/* GL dispatch code.
 * This is code-generated from the GL API XML files from Khronos.
 * 
 * Copyright (c) 2013-2014 The Khronos Group Inc.
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and/or associated documentation files (the
 * "Materials"), to deal in the Materials without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, sublicense, and/or sell copies of the Materials, and to
 * permit persons to whom the Materials are furnished to do so, subject to
 * the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Materials.
 * 
 * THE MATERIALS ARE PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
 * CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
 * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 * MATERIALS OR THE USE OR OTHER DEALINGS IN THE MATERIALS.
 * 
 */

#include <stdlib.h>
#include <string.h>
#include <stdio.h>

#include "dispatch_common.h"
#include "epoxy/gl.h"

struct dispatch_table {
    PFNGLACCUMPROC epoxy_glAccum;
    PFNGLACCUMXOESPROC epoxy_glAccumxOES;
    PFNGLACTIVEPROGRAMEXTPROC epoxy_glActiveProgramEXT;
    PFNGLACTIVESHADERPROGRAMPROC epoxy_glActiveShaderProgram;
    PFNGLACTIVESHADERPROGRAMEXTPROC epoxy_glActiveShaderProgramEXT;
    PFNGLACTIVESTENCILFACEEXTPROC epoxy_glActiveStencilFaceEXT;
    PFNGLACTIVETEXTUREPROC epoxy_glActiveTexture;
    PFNGLACTIVETEXTUREARBPROC epoxy_glActiveTextureARB;
    PFNGLACTIVEVARYINGNVPROC epoxy_glActiveVaryingNV;
    PFNGLALPHAFRAGMENTOP1ATIPROC epoxy_glAlphaFragmentOp1ATI;
    PFNGLALPHAFRAGMENTOP2ATIPROC epoxy_glAlphaFragmentOp2ATI;
    PFNGLALPHAFRAGMENTOP3ATIPROC epoxy_glAlphaFragmentOp3ATI;
    PFNGLALPHAFUNCPROC epoxy_glAlphaFunc;
    PFNGLALPHAFUNCQCOMPROC epoxy_glAlphaFuncQCOM;
    PFNGLALPHAFUNCXPROC epoxy_glAlphaFuncx;
    PFNGLALPHAFUNCXOESPROC epoxy_glAlphaFuncxOES;
    PFNGLAPPLYTEXTUREEXTPROC epoxy_glApplyTextureEXT;
    PFNGLAREPROGRAMSRESIDENTNVPROC epoxy_glAreProgramsResidentNV;
    PFNGLARETEXTURESRESIDENTPROC epoxy_glAreTexturesResident;
    PFNGLARETEXTURESRESIDENTEXTPROC epoxy_glAreTexturesResidentEXT;
    PFNGLARRAYELEMENTPROC epoxy_glArrayElement;
    PFNGLARRAYELEMENTEXTPROC epoxy_glArrayElementEXT;
    PFNGLARRAYOBJECTATIPROC epoxy_glArrayObjectATI;
    PFNGLASYNCMARKERSGIXPROC epoxy_glAsyncMarkerSGIX;
    PFNGLATTACHOBJECTARBPROC epoxy_glAttachObjectARB;
    PFNGLATTACHSHADERPROC epoxy_glAttachShader;
    PFNGLBEGINPROC epoxy_glBegin_unwrapped;
    PFNGLBEGINCONDITIONALRENDERPROC epoxy_glBeginConditionalRender;
    PFNGLBEGINCONDITIONALRENDERNVPROC epoxy_glBeginConditionalRenderNV;
    PFNGLBEGINCONDITIONALRENDERNVXPROC epoxy_glBeginConditionalRenderNVX;
    PFNGLBEGINFRAGMENTSHADERATIPROC epoxy_glBeginFragmentShaderATI;
    PFNGLBEGINOCCLUSIONQUERYNVPROC epoxy_glBeginOcclusionQueryNV;
    PFNGLBEGINPERFMONITORAMDPROC epoxy_glBeginPerfMonitorAMD;
    PFNGLBEGINPERFQUERYINTELPROC epoxy_glBeginPerfQueryINTEL;
    PFNGLBEGINQUERYPROC epoxy_glBeginQuery;
    PFNGLBEGINQUERYARBPROC epoxy_glBeginQueryARB;
    PFNGLBEGINQUERYEXTPROC epoxy_glBeginQueryEXT;
    PFNGLBEGINQUERYINDEXEDPROC epoxy_glBeginQueryIndexed;
    PFNGLBEGINTRANSFORMFEEDBACKPROC epoxy_glBeginTransformFeedback;
    PFNGLBEGINTRANSFORMFEEDBACKEXTPROC epoxy_glBeginTransformFeedbackEXT;
    PFNGLBEGINTRANSFORMFEEDBACKNVPROC epoxy_glBeginTransformFeedbackNV;
    PFNGLBEGINVERTEXSHADEREXTPROC epoxy_glBeginVertexShaderEXT;
    PFNGLBEGINVIDEOCAPTURENVPROC epoxy_glBeginVideoCaptureNV;
    PFNGLBINDATTRIBLOCATIONPROC epoxy_glBindAttribLocation;
    PFNGLBINDATTRIBLOCATIONARBPROC epoxy_glBindAttribLocationARB;
    PFNGLBINDBUFFERPROC epoxy_glBindBuffer;
    PFNGLBINDBUFFERARBPROC epoxy_glBindBufferARB;
    PFNGLBINDBUFFERBASEPROC epoxy_glBindBufferBase;
    PFNGLBINDBUFFERBASEEXTPROC epoxy_glBindBufferBaseEXT;
    PFNGLBINDBUFFERBASENVPROC epoxy_glBindBufferBaseNV;
    PFNGLBINDBUFFEROFFSETEXTPROC epoxy_glBindBufferOffsetEXT;
    PFNGLBINDBUFFEROFFSETNVPROC epoxy_glBindBufferOffsetNV;
    PFNGLBINDBUFFERRANGEPROC epoxy_glBindBufferRange;
    PFNGLBINDBUFFERRANGEEXTPROC epoxy_glBindBufferRangeEXT;
    PFNGLBINDBUFFERRANGENVPROC epoxy_glBindBufferRangeNV;
    PFNGLBINDBUFFERSBASEPROC epoxy_glBindBuffersBase;
    PFNGLBINDBUFFERSRANGEPROC epoxy_glBindBuffersRange;
    PFNGLBINDFRAGDATALOCATIONPROC epoxy_glBindFragDataLocation;
    PFNGLBINDFRAGDATALOCATIONEXTPROC epoxy_glBindFragDataLocationEXT;
    PFNGLBINDFRAGDATALOCATIONINDEXEDPROC epoxy_glBindFragDataLocationIndexed;
    PFNGLBINDFRAGMENTSHADERATIPROC epoxy_glBindFragmentShaderATI;
    PFNGLBINDFRAMEBUFFERPROC epoxy_glBindFramebuffer;
    PFNGLBINDFRAMEBUFFEREXTPROC epoxy_glBindFramebufferEXT;
    PFNGLBINDFRAMEBUFFEROESPROC epoxy_glBindFramebufferOES;
    PFNGLBINDIMAGETEXTUREPROC epoxy_glBindImageTexture;
    PFNGLBINDIMAGETEXTUREEXTPROC epoxy_glBindImageTextureEXT;
    PFNGLBINDIMAGETEXTURESPROC epoxy_glBindImageTextures;
    PFNGLBINDLIGHTPARAMETEREXTPROC epoxy_glBindLightParameterEXT;
    PFNGLBINDMATERIALPARAMETEREXTPROC epoxy_glBindMaterialParameterEXT;
    PFNGLBINDMULTITEXTUREEXTPROC epoxy_glBindMultiTextureEXT;
    PFNGLBINDPARAMETEREXTPROC epoxy_glBindParameterEXT;
    PFNGLBINDPROGRAMARBPROC epoxy_glBindProgramARB;
    PFNGLBINDPROGRAMNVPROC epoxy_glBindProgramNV;
    PFNGLBINDPROGRAMPIPELINEPROC epoxy_glBindProgramPipeline;
    PFNGLBINDPROGRAMPIPELINEEXTPROC epoxy_glBindProgramPipelineEXT;
    PFNGLBINDRENDERBUFFERPROC epoxy_glBindRenderbuffer;
    PFNGLBINDRENDERBUFFEREXTPROC epoxy_glBindRenderbufferEXT;
    PFNGLBINDRENDERBUFFEROESPROC epoxy_glBindRenderbufferOES;
    PFNGLBINDSAMPLERPROC epoxy_glBindSampler;
    PFNGLBINDSAMPLERSPROC epoxy_glBindSamplers;
    PFNGLBINDTEXGENPARAMETEREXTPROC epoxy_glBindTexGenParameterEXT;
    PFNGLBINDTEXTUREPROC epoxy_glBindTexture;
    PFNGLBINDTEXTUREEXTPROC epoxy_glBindTextureEXT;
    PFNGLBINDTEXTUREUNITPARAMETEREXTPROC epoxy_glBindTextureUnitParameterEXT;
    PFNGLBINDTEXTURESPROC epoxy_glBindTextures;
    PFNGLBINDTRANSFORMFEEDBACKPROC epoxy_glBindTransformFeedback;
    PFNGLBINDTRANSFORMFEEDBACKNVPROC epoxy_glBindTransformFeedbackNV;
    PFNGLBINDVERTEXARRAYPROC epoxy_glBindVertexArray;
    PFNGLBINDVERTEXARRAYAPPLEPROC epoxy_glBindVertexArrayAPPLE;
    PFNGLBINDVERTEXARRAYOESPROC epoxy_glBindVertexArrayOES;
    PFNGLBINDVERTEXBUFFERPROC epoxy_glBindVertexBuffer;
    PFNGLBINDVERTEXBUFFERSPROC epoxy_glBindVertexBuffers;
    PFNGLBINDVERTEXSHADEREXTPROC epoxy_glBindVertexShaderEXT;
    PFNGLBINDVIDEOCAPTURESTREAMBUFFERNVPROC epoxy_glBindVideoCaptureStreamBufferNV;
    PFNGLBINDVIDEOCAPTURESTREAMTEXTURENVPROC epoxy_glBindVideoCaptureStreamTextureNV;
    PFNGLBINORMAL3BEXTPROC epoxy_glBinormal3bEXT;
    PFNGLBINORMAL3BVEXTPROC epoxy_glBinormal3bvEXT;
    PFNGLBINORMAL3DEXTPROC epoxy_glBinormal3dEXT;
    PFNGLBINORMAL3DVEXTPROC epoxy_glBinormal3dvEXT;
    PFNGLBINORMAL3FEXTPROC epoxy_glBinormal3fEXT;
    PFNGLBINORMAL3FVEXTPROC epoxy_glBinormal3fvEXT;
    PFNGLBINORMAL3IEXTPROC epoxy_glBinormal3iEXT;
    PFNGLBINORMAL3IVEXTPROC epoxy_glBinormal3ivEXT;
    PFNGLBINORMAL3SEXTPROC epoxy_glBinormal3sEXT;
    PFNGLBINORMAL3SVEXTPROC epoxy_glBinormal3svEXT;
    PFNGLBINORMALPOINTEREXTPROC epoxy_glBinormalPointerEXT;
    PFNGLBITMAPPROC epoxy_glBitmap;
    PFNGLBITMAPXOESPROC epoxy_glBitmapxOES;
    PFNGLBLENDBARRIERKHRPROC epoxy_glBlendBarrierKHR;
    PFNGLBLENDBARRIERNVPROC epoxy_glBlendBarrierNV;
    PFNGLBLENDCOLORPROC epoxy_glBlendColor;
    PFNGLBLENDCOLOREXTPROC epoxy_glBlendColorEXT;
    PFNGLBLENDCOLORXOESPROC epoxy_glBlendColorxOES;
    PFNGLBLENDEQUATIONPROC epoxy_glBlendEquation;
    PFNGLBLENDEQUATIONEXTPROC epoxy_glBlendEquationEXT;
    PFNGLBLENDEQUATIONINDEXEDAMDPROC epoxy_glBlendEquationIndexedAMD;
    PFNGLBLENDEQUATIONOESPROC epoxy_glBlendEquationOES;
    PFNGLBLENDEQUATIONSEPARATEPROC epoxy_glBlendEquationSeparate;
    PFNGLBLENDEQUATIONSEPARATEEXTPROC epoxy_glBlendEquationSeparateEXT;
    PFNGLBLENDEQUATIONSEPARATEINDEXEDAMDPROC epoxy_glBlendEquationSeparateIndexedAMD;
    PFNGLBLENDEQUATIONSEPARATEOESPROC epoxy_glBlendEquationSeparateOES;
    PFNGLBLENDEQUATIONSEPARATEIPROC epoxy_glBlendEquationSeparatei;
    PFNGLBLENDEQUATIONSEPARATEIARBPROC epoxy_glBlendEquationSeparateiARB;
    PFNGLBLENDEQUATIONIPROC epoxy_glBlendEquationi;
    PFNGLBLENDEQUATIONIARBPROC epoxy_glBlendEquationiARB;
    PFNGLBLENDFUNCPROC epoxy_glBlendFunc;
    PFNGLBLENDFUNCINDEXEDAMDPROC epoxy_glBlendFuncIndexedAMD;
    PFNGLBLENDFUNCSEPARATEPROC epoxy_glBlendFuncSeparate;
    PFNGLBLENDFUNCSEPARATEEXTPROC epoxy_glBlendFuncSeparateEXT;
    PFNGLBLENDFUNCSEPARATEINGRPROC epoxy_glBlendFuncSeparateINGR;
    PFNGLBLENDFUNCSEPARATEINDEXEDAMDPROC epoxy_glBlendFuncSeparateIndexedAMD;
    PFNGLBLENDFUNCSEPARATEOESPROC epoxy_glBlendFuncSeparateOES;
    PFNGLBLENDFUNCSEPARATEIPROC epoxy_glBlendFuncSeparatei;
    PFNGLBLENDFUNCSEPARATEIARBPROC epoxy_glBlendFuncSeparateiARB;
    PFNGLBLENDFUNCIPROC epoxy_glBlendFunci;
    PFNGLBLENDFUNCIARBPROC epoxy_glBlendFunciARB;
    PFNGLBLENDPARAMETERINVPROC epoxy_glBlendParameteriNV;
    PFNGLBLITFRAMEBUFFERPROC epoxy_glBlitFramebuffer;
    PFNGLBLITFRAMEBUFFERANGLEPROC epoxy_glBlitFramebufferANGLE;
    PFNGLBLITFRAMEBUFFEREXTPROC epoxy_glBlitFramebufferEXT;
    PFNGLBLITFRAMEBUFFERNVPROC epoxy_glBlitFramebufferNV;
    PFNGLBUFFERADDRESSRANGENVPROC epoxy_glBufferAddressRangeNV;
    PFNGLBUFFERDATAPROC epoxy_glBufferData;
    PFNGLBUFFERDATAARBPROC epoxy_glBufferDataARB;
    PFNGLBUFFERPARAMETERIAPPLEPROC epoxy_glBufferParameteriAPPLE;
    PFNGLBUFFERSTORAGEPROC epoxy_glBufferStorage;
    PFNGLBUFFERSUBDATAPROC epoxy_glBufferSubData;
    PFNGLBUFFERSUBDATAARBPROC epoxy_glBufferSubDataARB;
    PFNGLCALLLISTPROC epoxy_glCallList;
    PFNGLCALLLISTSPROC epoxy_glCallLists;
    PFNGLCHECKFRAMEBUFFERSTATUSPROC epoxy_glCheckFramebufferStatus;
    PFNGLCHECKFRAMEBUFFERSTATUSEXTPROC epoxy_glCheckFramebufferStatusEXT;
    PFNGLCHECKFRAMEBUFFERSTATUSOESPROC epoxy_glCheckFramebufferStatusOES;
    PFNGLCHECKNAMEDFRAMEBUFFERSTATUSEXTPROC epoxy_glCheckNamedFramebufferStatusEXT;
    PFNGLCLAMPCOLORPROC epoxy_glClampColor;
    PFNGLCLAMPCOLORARBPROC epoxy_glClampColorARB;
    PFNGLCLEARPROC epoxy_glClear;
    PFNGLCLEARACCUMPROC epoxy_glClearAccum;
    PFNGLCLEARACCUMXOESPROC epoxy_glClearAccumxOES;
    PFNGLCLEARBUFFERDATAPROC epoxy_glClearBufferData;
    PFNGLCLEARBUFFERSUBDATAPROC epoxy_glClearBufferSubData;
    PFNGLCLEARBUFFERFIPROC epoxy_glClearBufferfi;
    PFNGLCLEARBUFFERFVPROC epoxy_glClearBufferfv;
    PFNGLCLEARBUFFERIVPROC epoxy_glClearBufferiv;
    PFNGLCLEARBUFFERUIVPROC epoxy_glClearBufferuiv;
    PFNGLCLEARCOLORPROC epoxy_glClearColor;
    PFNGLCLEARCOLORIIEXTPROC epoxy_glClearColorIiEXT;
    PFNGLCLEARCOLORIUIEXTPROC epoxy_glClearColorIuiEXT;
    PFNGLCLEARCOLORXPROC epoxy_glClearColorx;
    PFNGLCLEARCOLORXOESPROC epoxy_glClearColorxOES;
    PFNGLCLEARDEPTHPROC epoxy_glClearDepth;
    PFNGLCLEARDEPTHDNVPROC epoxy_glClearDepthdNV;
    PFNGLCLEARDEPTHFPROC epoxy_glClearDepthf;
    PFNGLCLEARDEPTHFOESPROC epoxy_glClearDepthfOES;
    PFNGLCLEARDEPTHXPROC epoxy_glClearDepthx;
    PFNGLCLEARDEPTHXOESPROC epoxy_glClearDepthxOES;
    PFNGLCLEARINDEXPROC epoxy_glClearIndex;
    PFNGLCLEARNAMEDBUFFERDATAEXTPROC epoxy_glClearNamedBufferDataEXT;
    PFNGLCLEARNAMEDBUFFERSUBDATAEXTPROC epoxy_glClearNamedBufferSubDataEXT;
    PFNGLCLEARSTENCILPROC epoxy_glClearStencil;
    PFNGLCLEARTEXIMAGEPROC epoxy_glClearTexImage;
    PFNGLCLEARTEXSUBIMAGEPROC epoxy_glClearTexSubImage;
    PFNGLCLIENTACTIVETEXTUREPROC epoxy_glClientActiveTexture;
    PFNGLCLIENTACTIVETEXTUREARBPROC epoxy_glClientActiveTextureARB;
    PFNGLCLIENTACTIVEVERTEXSTREAMATIPROC epoxy_glClientActiveVertexStreamATI;
    PFNGLCLIENTATTRIBDEFAULTEXTPROC epoxy_glClientAttribDefaultEXT;
    PFNGLCLIENTWAITSYNCPROC epoxy_glClientWaitSync;
    PFNGLCLIENTWAITSYNCAPPLEPROC epoxy_glClientWaitSyncAPPLE;
    PFNGLCLIPPLANEPROC epoxy_glClipPlane;
    PFNGLCLIPPLANEFPROC epoxy_glClipPlanef;
    PFNGLCLIPPLANEFIMGPROC epoxy_glClipPlanefIMG;
    PFNGLCLIPPLANEFOESPROC epoxy_glClipPlanefOES;
    PFNGLCLIPPLANEXPROC epoxy_glClipPlanex;
    PFNGLCLIPPLANEXIMGPROC epoxy_glClipPlanexIMG;
    PFNGLCLIPPLANEXOESPROC epoxy_glClipPlanexOES;
    PFNGLCOLOR3BPROC epoxy_glColor3b;
    PFNGLCOLOR3BVPROC epoxy_glColor3bv;
    PFNGLCOLOR3DPROC epoxy_glColor3d;
    PFNGLCOLOR3DVPROC epoxy_glColor3dv;
    PFNGLCOLOR3FPROC epoxy_glColor3f;
    PFNGLCOLOR3FVERTEX3FSUNPROC epoxy_glColor3fVertex3fSUN;
    PFNGLCOLOR3FVERTEX3FVSUNPROC epoxy_glColor3fVertex3fvSUN;
    PFNGLCOLOR3FVPROC epoxy_glColor3fv;
    PFNGLCOLOR3HNVPROC epoxy_glColor3hNV;
    PFNGLCOLOR3HVNVPROC epoxy_glColor3hvNV;
    PFNGLCOLOR3IPROC epoxy_glColor3i;
    PFNGLCOLOR3IVPROC epoxy_glColor3iv;
    PFNGLCOLOR3SPROC epoxy_glColor3s;
    PFNGLCOLOR3SVPROC epoxy_glColor3sv;
    PFNGLCOLOR3UBPROC epoxy_glColor3ub;
    PFNGLCOLOR3UBVPROC epoxy_glColor3ubv;
    PFNGLCOLOR3UIPROC epoxy_glColor3ui;
    PFNGLCOLOR3UIVPROC epoxy_glColor3uiv;
    PFNGLCOLOR3USPROC epoxy_glColor3us;
    PFNGLCOLOR3USVPROC epoxy_glColor3usv;
    PFNGLCOLOR3XOESPROC epoxy_glColor3xOES;
    PFNGLCOLOR3XVOESPROC epoxy_glColor3xvOES;
    PFNGLCOLOR4BPROC epoxy_glColor4b;
    PFNGLCOLOR4BVPROC epoxy_glColor4bv;
    PFNGLCOLOR4DPROC epoxy_glColor4d;
    PFNGLCOLOR4DVPROC epoxy_glColor4dv;
    PFNGLCOLOR4FPROC epoxy_glColor4f;
    PFNGLCOLOR4FNORMAL3FVERTEX3FSUNPROC epoxy_glColor4fNormal3fVertex3fSUN;
    PFNGLCOLOR4FNORMAL3FVERTEX3FVSUNPROC epoxy_glColor4fNormal3fVertex3fvSUN;
    PFNGLCOLOR4FVPROC epoxy_glColor4fv;
    PFNGLCOLOR4HNVPROC epoxy_glColor4hNV;
    PFNGLCOLOR4HVNVPROC epoxy_glColor4hvNV;
    PFNGLCOLOR4IPROC epoxy_glColor4i;
    PFNGLCOLOR4IVPROC epoxy_glColor4iv;
    PFNGLCOLOR4SPROC epoxy_glColor4s;
    PFNGLCOLOR4SVPROC epoxy_glColor4sv;
    PFNGLCOLOR4UBPROC epoxy_glColor4ub;
    PFNGLCOLOR4UBVERTEX2FSUNPROC epoxy_glColor4ubVertex2fSUN;
    PFNGLCOLOR4UBVERTEX2FVSUNPROC epoxy_glColor4ubVertex2fvSUN;
    PFNGLCOLOR4UBVERTEX3FSUNPROC epoxy_glColor4ubVertex3fSUN;
    PFNGLCOLOR4UBVERTEX3FVSUNPROC epoxy_glColor4ubVertex3fvSUN;
    PFNGLCOLOR4UBVPROC epoxy_glColor4ubv;
    PFNGLCOLOR4UIPROC epoxy_glColor4ui;
    PFNGLCOLOR4UIVPROC epoxy_glColor4uiv;
    PFNGLCOLOR4USPROC epoxy_glColor4us;
    PFNGLCOLOR4USVPROC epoxy_glColor4usv;
    PFNGLCOLOR4XPROC epoxy_glColor4x;
    PFNGLCOLOR4XOESPROC epoxy_glColor4xOES;
    PFNGLCOLOR4XVOESPROC epoxy_glColor4xvOES;
    PFNGLCOLORFORMATNVPROC epoxy_glColorFormatNV;
    PFNGLCOLORFRAGMENTOP1ATIPROC epoxy_glColorFragmentOp1ATI;
    PFNGLCOLORFRAGMENTOP2ATIPROC epoxy_glColorFragmentOp2ATI;
    PFNGLCOLORFRAGMENTOP3ATIPROC epoxy_glColorFragmentOp3ATI;
    PFNGLCOLORMASKPROC epoxy_glColorMask;
    PFNGLCOLORMASKINDEXEDEXTPROC epoxy_glColorMaskIndexedEXT;
    PFNGLCOLORMASKIPROC epoxy_glColorMaski;
    PFNGLCOLORMATERIALPROC epoxy_glColorMaterial;
    PFNGLCOLORP3UIPROC epoxy_glColorP3ui;
    PFNGLCOLORP3UIVPROC epoxy_glColorP3uiv;
    PFNGLCOLORP4UIPROC epoxy_glColorP4ui;
    PFNGLCOLORP4UIVPROC epoxy_glColorP4uiv;
    PFNGLCOLORPOINTERPROC epoxy_glColorPointer;
    PFNGLCOLORPOINTEREXTPROC epoxy_glColorPointerEXT;
    PFNGLCOLORPOINTERLISTIBMPROC epoxy_glColorPointerListIBM;
    PFNGLCOLORPOINTERVINTELPROC epoxy_glColorPointervINTEL;
    PFNGLCOLORSUBTABLEPROC epoxy_glColorSubTable;
    PFNGLCOLORSUBTABLEEXTPROC epoxy_glColorSubTableEXT;
    PFNGLCOLORTABLEPROC epoxy_glColorTable;
    PFNGLCOLORTABLEEXTPROC epoxy_glColorTableEXT;
    PFNGLCOLORTABLEPARAMETERFVPROC epoxy_glColorTableParameterfv;
    PFNGLCOLORTABLEPARAMETERFVSGIPROC epoxy_glColorTableParameterfvSGI;
    PFNGLCOLORTABLEPARAMETERIVPROC epoxy_glColorTableParameteriv;
    PFNGLCOLORTABLEPARAMETERIVSGIPROC epoxy_glColorTableParameterivSGI;
    PFNGLCOLORTABLESGIPROC epoxy_glColorTableSGI;
    PFNGLCOMBINERINPUTNVPROC epoxy_glCombinerInputNV;
    PFNGLCOMBINEROUTPUTNVPROC epoxy_glCombinerOutputNV;
    PFNGLCOMBINERPARAMETERFNVPROC epoxy_glCombinerParameterfNV;
    PFNGLCOMBINERPARAMETERFVNVPROC epoxy_glCombinerParameterfvNV;
    PFNGLCOMBINERPARAMETERINVPROC epoxy_glCombinerParameteriNV;
    PFNGLCOMBINERPARAMETERIVNVPROC epoxy_glCombinerParameterivNV;
    PFNGLCOMBINERSTAGEPARAMETERFVNVPROC epoxy_glCombinerStageParameterfvNV;
    PFNGLCOMPILESHADERPROC epoxy_glCompileShader;
    PFNGLCOMPILESHADERARBPROC epoxy_glCompileShaderARB;
    PFNGLCOMPILESHADERINCLUDEARBPROC epoxy_glCompileShaderIncludeARB;
    PFNGLCOMPRESSEDMULTITEXIMAGE1DEXTPROC epoxy_glCompressedMultiTexImage1DEXT;
    PFNGLCOMPRESSEDMULTITEXIMAGE2DEXTPROC epoxy_glCompressedMultiTexImage2DEXT;
    PFNGLCOMPRESSEDMULTITEXIMAGE3DEXTPROC epoxy_glCompressedMultiTexImage3DEXT;
    PFNGLCOMPRESSEDMULTITEXSUBIMAGE1DEXTPROC epoxy_glCompressedMultiTexSubImage1DEXT;
    PFNGLCOMPRESSEDMULTITEXSUBIMAGE2DEXTPROC epoxy_glCompressedMultiTexSubImage2DEXT;
    PFNGLCOMPRESSEDMULTITEXSUBIMAGE3DEXTPROC epoxy_glCompressedMultiTexSubImage3DEXT;
    PFNGLCOMPRESSEDTEXIMAGE1DPROC epoxy_glCompressedTexImage1D;
    PFNGLCOMPRESSEDTEXIMAGE1DARBPROC epoxy_glCompressedTexImage1DARB;
    PFNGLCOMPRESSEDTEXIMAGE2DPROC epoxy_glCompressedTexImage2D;
    PFNGLCOMPRESSEDTEXIMAGE2DARBPROC epoxy_glCompressedTexImage2DARB;
    PFNGLCOMPRESSEDTEXIMAGE3DPROC epoxy_glCompressedTexImage3D;
    PFNGLCOMPRESSEDTEXIMAGE3DARBPROC epoxy_glCompressedTexImage3DARB;
    PFNGLCOMPRESSEDTEXIMAGE3DOESPROC epoxy_glCompressedTexImage3DOES;
    PFNGLCOMPRESSEDTEXSUBIMAGE1DPROC epoxy_glCompressedTexSubImage1D;
    PFNGLCOMPRESSEDTEXSUBIMAGE1DARBPROC epoxy_glCompressedTexSubImage1DARB;
    PFNGLCOMPRESSEDTEXSUBIMAGE2DPROC epoxy_glCompressedTexSubImage2D;
    PFNGLCOMPRESSEDTEXSUBIMAGE2DARBPROC epoxy_glCompressedTexSubImage2DARB;
    PFNGLCOMPRESSEDTEXSUBIMAGE3DPROC epoxy_glCompressedTexSubImage3D;
    PFNGLCOMPRESSEDTEXSUBIMAGE3DARBPROC epoxy_glCompressedTexSubImage3DARB;
    PFNGLCOMPRESSEDTEXSUBIMAGE3DOESPROC epoxy_glCompressedTexSubImage3DOES;
    PFNGLCOMPRESSEDTEXTUREIMAGE1DEXTPROC epoxy_glCompressedTextureImage1DEXT;
    PFNGLCOMPRESSEDTEXTUREIMAGE2DEXTPROC epoxy_glCompressedTextureImage2DEXT;
    PFNGLCOMPRESSEDTEXTUREIMAGE3DEXTPROC epoxy_glCompressedTextureImage3DEXT;
    PFNGLCOMPRESSEDTEXTURESUBIMAGE1DEXTPROC epoxy_glCompressedTextureSubImage1DEXT;
    PFNGLCOMPRESSEDTEXTURESUBIMAGE2DEXTPROC epoxy_glCompressedTextureSubImage2DEXT;
    PFNGLCOMPRESSEDTEXTURESUBIMAGE3DEXTPROC epoxy_glCompressedTextureSubImage3DEXT;
    PFNGLCONVOLUTIONFILTER1DPROC epoxy_glConvolutionFilter1D;
    PFNGLCONVOLUTIONFILTER1DEXTPROC epoxy_glConvolutionFilter1DEXT;
    PFNGLCONVOLUTIONFILTER2DPROC epoxy_glConvolutionFilter2D;
    PFNGLCONVOLUTIONFILTER2DEXTPROC epoxy_glConvolutionFilter2DEXT;
    PFNGLCONVOLUTIONPARAMETERFPROC epoxy_glConvolutionParameterf;
    PFNGLCONVOLUTIONPARAMETERFEXTPROC epoxy_glConvolutionParameterfEXT;
    PFNGLCONVOLUTIONPARAMETERFVPROC epoxy_glConvolutionParameterfv;
    PFNGLCONVOLUTIONPARAMETERFVEXTPROC epoxy_glConvolutionParameterfvEXT;
    PFNGLCONVOLUTIONPARAMETERIPROC epoxy_glConvolutionParameteri;
    PFNGLCONVOLUTIONPARAMETERIEXTPROC epoxy_glConvolutionParameteriEXT;
    PFNGLCONVOLUTIONPARAMETERIVPROC epoxy_glConvolutionParameteriv;
    PFNGLCONVOLUTIONPARAMETERIVEXTPROC epoxy_glConvolutionParameterivEXT;
    PFNGLCONVOLUTIONPARAMETERXOESPROC epoxy_glConvolutionParameterxOES;
    PFNGLCONVOLUTIONPARAMETERXVOESPROC epoxy_glConvolutionParameterxvOES;
    PFNGLCOPYBUFFERSUBDATAPROC epoxy_glCopyBufferSubData;
    PFNGLCOPYBUFFERSUBDATANVPROC epoxy_glCopyBufferSubDataNV;
    PFNGLCOPYCOLORSUBTABLEPROC epoxy_glCopyColorSubTable;
    PFNGLCOPYCOLORSUBTABLEEXTPROC epoxy_glCopyColorSubTableEXT;
    PFNGLCOPYCOLORTABLEPROC epoxy_glCopyColorTable;
    PFNGLCOPYCOLORTABLESGIPROC epoxy_glCopyColorTableSGI;
    PFNGLCOPYCONVOLUTIONFILTER1DPROC epoxy_glCopyConvolutionFilter1D;
    PFNGLCOPYCONVOLUTIONFILTER1DEXTPROC epoxy_glCopyConvolutionFilter1DEXT;
    PFNGLCOPYCONVOLUTIONFILTER2DPROC epoxy_glCopyConvolutionFilter2D;
    PFNGLCOPYCONVOLUTIONFILTER2DEXTPROC epoxy_glCopyConvolutionFilter2DEXT;
    PFNGLCOPYIMAGESUBDATAPROC epoxy_glCopyImageSubData;
    PFNGLCOPYIMAGESUBDATANVPROC epoxy_glCopyImageSubDataNV;
    PFNGLCOPYMULTITEXIMAGE1DEXTPROC epoxy_glCopyMultiTexImage1DEXT;
    PFNGLCOPYMULTITEXIMAGE2DEXTPROC epoxy_glCopyMultiTexImage2DEXT;
    PFNGLCOPYMULTITEXSUBIMAGE1DEXTPROC epoxy_glCopyMultiTexSubImage1DEXT;
    PFNGLCOPYMULTITEXSUBIMAGE2DEXTPROC epoxy_glCopyMultiTexSubImage2DEXT;
    PFNGLCOPYMULTITEXSUBIMAGE3DEXTPROC epoxy_glCopyMultiTexSubImage3DEXT;
    PFNGLCOPYPATHNVPROC epoxy_glCopyPathNV;
    PFNGLCOPYPIXELSPROC epoxy_glCopyPixels;
    PFNGLCOPYTEXIMAGE1DPROC epoxy_glCopyTexImage1D;
    PFNGLCOPYTEXIMAGE1DEXTPROC epoxy_glCopyTexImage1DEXT;
    PFNGLCOPYTEXIMAGE2DPROC epoxy_glCopyTexImage2D;
    PFNGLCOPYTEXIMAGE2DEXTPROC epoxy_glCopyTexImage2DEXT;
    PFNGLCOPYTEXSUBIMAGE1DPROC epoxy_glCopyTexSubImage1D;
    PFNGLCOPYTEXSUBIMAGE1DEXTPROC epoxy_glCopyTexSubImage1DEXT;
    PFNGLCOPYTEXSUBIMAGE2DPROC epoxy_glCopyTexSubImage2D;
    PFNGLCOPYTEXSUBIMAGE2DEXTPROC epoxy_glCopyTexSubImage2DEXT;
    PFNGLCOPYTEXSUBIMAGE3DPROC epoxy_glCopyTexSubImage3D;
    PFNGLCOPYTEXSUBIMAGE3DEXTPROC epoxy_glCopyTexSubImage3DEXT;
    PFNGLCOPYTEXSUBIMAGE3DOESPROC epoxy_glCopyTexSubImage3DOES;
    PFNGLCOPYTEXTUREIMAGE1DEXTPROC epoxy_glCopyTextureImage1DEXT;
    PFNGLCOPYTEXTUREIMAGE2DEXTPROC epoxy_glCopyTextureImage2DEXT;
    PFNGLCOPYTEXTURELEVELSAPPLEPROC epoxy_glCopyTextureLevelsAPPLE;
    PFNGLCOPYTEXTURESUBIMAGE1DEXTPROC epoxy_glCopyTextureSubImage1DEXT;
    PFNGLCOPYTEXTURESUBIMAGE2DEXTPROC epoxy_glCopyTextureSubImage2DEXT;
    PFNGLCOPYTEXTURESUBIMAGE3DEXTPROC epoxy_glCopyTextureSubImage3DEXT;
    PFNGLCOVERFILLPATHINSTANCEDNVPROC epoxy_glCoverFillPathInstancedNV;
    PFNGLCOVERFILLPATHNVPROC epoxy_glCoverFillPathNV;
    PFNGLCOVERSTROKEPATHINSTANCEDNVPROC epoxy_glCoverStrokePathInstancedNV;
    PFNGLCOVERSTROKEPATHNVPROC epoxy_glCoverStrokePathNV;
    PFNGLCOVERAGEMASKNVPROC epoxy_glCoverageMaskNV;
    PFNGLCOVERAGEOPERATIONNVPROC epoxy_glCoverageOperationNV;
    PFNGLCREATEPERFQUERYINTELPROC epoxy_glCreatePerfQueryINTEL;
    PFNGLCREATEPROGRAMPROC epoxy_glCreateProgram;
    PFNGLCREATEPROGRAMOBJECTARBPROC epoxy_glCreateProgramObjectARB;
    PFNGLCREATESHADERPROC epoxy_glCreateShader;
    PFNGLCREATESHADEROBJECTARBPROC epoxy_glCreateShaderObjectARB;
    PFNGLCREATESHADERPROGRAMEXTPROC epoxy_glCreateShaderProgramEXT;
    PFNGLCREATESHADERPROGRAMVPROC epoxy_glCreateShaderProgramv;
    PFNGLCREATESHADERPROGRAMVEXTPROC epoxy_glCreateShaderProgramvEXT;
    PFNGLCREATESYNCFROMCLEVENTARBPROC epoxy_glCreateSyncFromCLeventARB;
    PFNGLCULLFACEPROC epoxy_glCullFace;
    PFNGLCULLPARAMETERDVEXTPROC epoxy_glCullParameterdvEXT;
    PFNGLCULLPARAMETERFVEXTPROC epoxy_glCullParameterfvEXT;
    PFNGLCURRENTPALETTEMATRIXARBPROC epoxy_glCurrentPaletteMatrixARB;
    PFNGLCURRENTPALETTEMATRIXOESPROC epoxy_glCurrentPaletteMatrixOES;
    PFNGLDEBUGMESSAGECALLBACKPROC epoxy_glDebugMessageCallback;
    PFNGLDEBUGMESSAGECALLBACKAMDPROC epoxy_glDebugMessageCallbackAMD;
    PFNGLDEBUGMESSAGECALLBACKARBPROC epoxy_glDebugMessageCallbackARB;
    PFNGLDEBUGMESSAGECALLBACKKHRPROC epoxy_glDebugMessageCallbackKHR;
    PFNGLDEBUGMESSAGECONTROLPROC epoxy_glDebugMessageControl;
    PFNGLDEBUGMESSAGECONTROLARBPROC epoxy_glDebugMessageControlARB;
    PFNGLDEBUGMESSAGECONTROLKHRPROC epoxy_glDebugMessageControlKHR;
    PFNGLDEBUGMESSAGEENABLEAMDPROC epoxy_glDebugMessageEnableAMD;
    PFNGLDEBUGMESSAGEINSERTPROC epoxy_glDebugMessageInsert;
    PFNGLDEBUGMESSAGEINSERTAMDPROC epoxy_glDebugMessageInsertAMD;
    PFNGLDEBUGMESSAGEINSERTARBPROC epoxy_glDebugMessageInsertARB;
    PFNGLDEBUGMESSAGEINSERTKHRPROC epoxy_glDebugMessageInsertKHR;
    PFNGLDEFORMSGIXPROC epoxy_glDeformSGIX;
    PFNGLDEFORMATIONMAP3DSGIXPROC epoxy_glDeformationMap3dSGIX;
    PFNGLDEFORMATIONMAP3FSGIXPROC epoxy_glDeformationMap3fSGIX;
    PFNGLDELETEASYNCMARKERSSGIXPROC epoxy_glDeleteAsyncMarkersSGIX;
    PFNGLDELETEBUFFERSPROC epoxy_glDeleteBuffers;
    PFNGLDELETEBUFFERSARBPROC epoxy_glDeleteBuffersARB;
    PFNGLDELETEFENCESAPPLEPROC epoxy_glDeleteFencesAPPLE;
    PFNGLDELETEFENCESNVPROC epoxy_glDeleteFencesNV;
    PFNGLDELETEFRAGMENTSHADERATIPROC epoxy_glDeleteFragmentShaderATI;
    PFNGLDELETEFRAMEBUFFERSPROC epoxy_glDeleteFramebuffers;
    PFNGLDELETEFRAMEBUFFERSEXTPROC epoxy_glDeleteFramebuffersEXT;
    PFNGLDELETEFRAMEBUFFERSOESPROC epoxy_glDeleteFramebuffersOES;
    PFNGLDELETELISTSPROC epoxy_glDeleteLists;
    PFNGLDELETENAMEDSTRINGARBPROC epoxy_glDeleteNamedStringARB;
    PFNGLDELETENAMESAMDPROC epoxy_glDeleteNamesAMD;
    PFNGLDELETEOBJECTARBPROC epoxy_glDeleteObjectARB;
    PFNGLDELETEOCCLUSIONQUERIESNVPROC epoxy_glDeleteOcclusionQueriesNV;
    PFNGLDELETEPATHSNVPROC epoxy_glDeletePathsNV;
    PFNGLDELETEPERFMONITORSAMDPROC epoxy_glDeletePerfMonitorsAMD;
    PFNGLDELETEPERFQUERYINTELPROC epoxy_glDeletePerfQueryINTEL;
    PFNGLDELETEPROGRAMPROC epoxy_glDeleteProgram;
    PFNGLDELETEPROGRAMPIPELINESPROC epoxy_glDeleteProgramPipelines;
    PFNGLDELETEPROGRAMPIPELINESEXTPROC epoxy_glDeleteProgramPipelinesEXT;
    PFNGLDELETEPROGRAMSARBPROC epoxy_glDeleteProgramsARB;
    PFNGLDELETEPROGRAMSNVPROC epoxy_glDeleteProgramsNV;
    PFNGLDELETEQUERIESPROC epoxy_glDeleteQueries;
    PFNGLDELETEQUERIESARBPROC epoxy_glDeleteQueriesARB;
    PFNGLDELETEQUERIESEXTPROC epoxy_glDeleteQueriesEXT;
    PFNGLDELETERENDERBUFFERSPROC epoxy_glDeleteRenderbuffers;
    PFNGLDELETERENDERBUFFERSEXTPROC epoxy_glDeleteRenderbuffersEXT;
    PFNGLDELETERENDERBUFFERSOESPROC epoxy_glDeleteRenderbuffersOES;
    PFNGLDELETESAMPLERSPROC epoxy_glDeleteSamplers;
    PFNGLDELETESHADERPROC epoxy_glDeleteShader;
    PFNGLDELETESYNCPROC epoxy_glDeleteSync;
    PFNGLDELETESYNCAPPLEPROC epoxy_glDeleteSyncAPPLE;
    PFNGLDELETETEXTURESPROC epoxy_glDeleteTextures;
    PFNGLDELETETEXTURESEXTPROC epoxy_glDeleteTexturesEXT;
    PFNGLDELETETRANSFORMFEEDBACKSPROC epoxy_glDeleteTransformFeedbacks;
    PFNGLDELETETRANSFORMFEEDBACKSNVPROC epoxy_glDeleteTransformFeedbacksNV;
    PFNGLDELETEVERTEXARRAYSPROC epoxy_glDeleteVertexArrays;
    PFNGLDELETEVERTEXARRAYSAPPLEPROC epoxy_glDeleteVertexArraysAPPLE;
    PFNGLDELETEVERTEXARRAYSOESPROC epoxy_glDeleteVertexArraysOES;
    PFNGLDELETEVERTEXSHADEREXTPROC epoxy_glDeleteVertexShaderEXT;
    PFNGLDEPTHBOUNDSEXTPROC epoxy_glDepthBoundsEXT;
    PFNGLDEPTHBOUNDSDNVPROC epoxy_glDepthBoundsdNV;
    PFNGLDEPTHFUNCPROC epoxy_glDepthFunc;
    PFNGLDEPTHMASKPROC epoxy_glDepthMask;
    PFNGLDEPTHRANGEPROC epoxy_glDepthRange;
    PFNGLDEPTHRANGEARRAYVPROC epoxy_glDepthRangeArrayv;
    PFNGLDEPTHRANGEINDEXEDPROC epoxy_glDepthRangeIndexed;
    PFNGLDEPTHRANGEDNVPROC epoxy_glDepthRangedNV;
    PFNGLDEPTHRANGEFPROC epoxy_glDepthRangef;
    PFNGLDEPTHRANGEFOESPROC epoxy_glDepthRangefOES;
    PFNGLDEPTHRANGEXPROC epoxy_glDepthRangex;
    PFNGLDEPTHRANGEXOESPROC epoxy_glDepthRangexOES;
    PFNGLDETACHOBJECTARBPROC epoxy_glDetachObjectARB;
    PFNGLDETACHSHADERPROC epoxy_glDetachShader;
    PFNGLDETAILTEXFUNCSGISPROC epoxy_glDetailTexFuncSGIS;
    PFNGLDISABLEPROC epoxy_glDisable;
    PFNGLDISABLECLIENTSTATEPROC epoxy_glDisableClientState;
    PFNGLDISABLECLIENTSTATEINDEXEDEXTPROC epoxy_glDisableClientStateIndexedEXT;
    PFNGLDISABLECLIENTSTATEIEXTPROC epoxy_glDisableClientStateiEXT;
    PFNGLDISABLEDRIVERCONTROLQCOMPROC epoxy_glDisableDriverControlQCOM;
    PFNGLDISABLEINDEXEDEXTPROC epoxy_glDisableIndexedEXT;
    PFNGLDISABLEVARIANTCLIENTSTATEEXTPROC epoxy_glDisableVariantClientStateEXT;
    PFNGLDISABLEVERTEXARRAYATTRIBEXTPROC epoxy_glDisableVertexArrayAttribEXT;
    PFNGLDISABLEVERTEXARRAYEXTPROC epoxy_glDisableVertexArrayEXT;
    PFNGLDISABLEVERTEXATTRIBAPPLEPROC epoxy_glDisableVertexAttribAPPLE;
    PFNGLDISABLEVERTEXATTRIBARRAYPROC epoxy_glDisableVertexAttribArray;
    PFNGLDISABLEVERTEXATTRIBARRAYARBPROC epoxy_glDisableVertexAttribArrayARB;
    PFNGLDISABLEIPROC epoxy_glDisablei;
    PFNGLDISCARDFRAMEBUFFEREXTPROC epoxy_glDiscardFramebufferEXT;
    PFNGLDISPATCHCOMPUTEPROC epoxy_glDispatchCompute;
    PFNGLDISPATCHCOMPUTEGROUPSIZEARBPROC epoxy_glDispatchComputeGroupSizeARB;
    PFNGLDISPATCHCOMPUTEINDIRECTPROC epoxy_glDispatchComputeIndirect;
    PFNGLDRAWARRAYSPROC epoxy_glDrawArrays;
    PFNGLDRAWARRAYSEXTPROC epoxy_glDrawArraysEXT;
    PFNGLDRAWARRAYSINDIRECTPROC epoxy_glDrawArraysIndirect;
    PFNGLDRAWARRAYSINSTANCEDPROC epoxy_glDrawArraysInstanced;
    PFNGLDRAWARRAYSINSTANCEDANGLEPROC epoxy_glDrawArraysInstancedANGLE;
    PFNGLDRAWARRAYSINSTANCEDARBPROC epoxy_glDrawArraysInstancedARB;
    PFNGLDRAWARRAYSINSTANCEDBASEINSTANCEPROC epoxy_glDrawArraysInstancedBaseInstance;
    PFNGLDRAWARRAYSINSTANCEDEXTPROC epoxy_glDrawArraysInstancedEXT;
    PFNGLDRAWARRAYSINSTANCEDNVPROC epoxy_glDrawArraysInstancedNV;
    PFNGLDRAWBUFFERPROC epoxy_glDrawBuffer;
    PFNGLDRAWBUFFERSPROC epoxy_glDrawBuffers;
    PFNGLDRAWBUFFERSARBPROC epoxy_glDrawBuffersARB;
    PFNGLDRAWBUFFERSATIPROC epoxy_glDrawBuffersATI;
    PFNGLDRAWBUFFERSEXTPROC epoxy_glDrawBuffersEXT;
    PFNGLDRAWBUFFERSINDEXEDEXTPROC epoxy_glDrawBuffersIndexedEXT;
    PFNGLDRAWBUFFERSNVPROC epoxy_glDrawBuffersNV;
    PFNGLDRAWELEMENTARRAYAPPLEPROC epoxy_glDrawElementArrayAPPLE;
    PFNGLDRAWELEMENTARRAYATIPROC epoxy_glDrawElementArrayATI;
    PFNGLDRAWELEMENTSPROC epoxy_glDrawElements;
    PFNGLDRAWELEMENTSBASEVERTEXPROC epoxy_glDrawElementsBaseVertex;
    PFNGLDRAWELEMENTSINDIRECTPROC epoxy_glDrawElementsIndirect;
    PFNGLDRAWELEMENTSINSTANCEDPROC epoxy_glDrawElementsInstanced;
    PFNGLDRAWELEMENTSINSTANCEDANGLEPROC epoxy_glDrawElementsInstancedANGLE;
    PFNGLDRAWELEMENTSINSTANCEDARBPROC epoxy_glDrawElementsInstancedARB;
    PFNGLDRAWELEMENTSINSTANCEDBASEINSTANCEPROC epoxy_glDrawElementsInstancedBaseInstance;
    PFNGLDRAWELEMENTSINSTANCEDBASEVERTEXPROC epoxy_glDrawElementsInstancedBaseVertex;
    PFNGLDRAWELEMENTSINSTANCEDBASEVERTEXBASEINSTANCEPROC epoxy_glDrawElementsInstancedBaseVertexBaseInstance;
    PFNGLDRAWELEMENTSINSTANCEDEXTPROC epoxy_glDrawElementsInstancedEXT;
    PFNGLDRAWELEMENTSINSTANCEDNVPROC epoxy_glDrawElementsInstancedNV;
    PFNGLDRAWMESHARRAYSSUNPROC epoxy_glDrawMeshArraysSUN;
    PFNGLDRAWPIXELSPROC epoxy_glDrawPixels;
    PFNGLDRAWRANGEELEMENTARRAYAPPLEPROC epoxy_glDrawRangeElementArrayAPPLE;
    PFNGLDRAWRANGEELEMENTARRAYATIPROC epoxy_glDrawRangeElementArrayATI;
    PFNGLDRAWRANGEELEMENTSPROC epoxy_glDrawRangeElements;
    PFNGLDRAWRANGEELEMENTSBASEVERTEXPROC epoxy_glDrawRangeElementsBaseVertex;
    PFNGLDRAWRANGEELEMENTSEXTPROC epoxy_glDrawRangeElementsEXT;
    PFNGLDRAWTEXFOESPROC epoxy_glDrawTexfOES;
    PFNGLDRAWTEXFVOESPROC epoxy_glDrawTexfvOES;
    PFNGLDRAWTEXIOESPROC epoxy_glDrawTexiOES;
    PFNGLDRAWTEXIVOESPROC epoxy_glDrawTexivOES;
    PFNGLDRAWTEXSOESPROC epoxy_glDrawTexsOES;
    PFNGLDRAWTEXSVOESPROC epoxy_glDrawTexsvOES;
    PFNGLDRAWTEXTURENVPROC epoxy_glDrawTextureNV;
    PFNGLDRAWTEXXOESPROC epoxy_glDrawTexxOES;
    PFNGLDRAWTEXXVOESPROC epoxy_glDrawTexxvOES;
    PFNGLDRAWTRANSFORMFEEDBACKPROC epoxy_glDrawTransformFeedback;
    PFNGLDRAWTRANSFORMFEEDBACKINSTANCEDPROC epoxy_glDrawTransformFeedbackInstanced;
    PFNGLDRAWTRANSFORMFEEDBACKNVPROC epoxy_glDrawTransformFeedbackNV;
    PFNGLDRAWTRANSFORMFEEDBACKSTREAMPROC epoxy_glDrawTransformFeedbackStream;
    PFNGLDRAWTRANSFORMFEEDBACKSTREAMINSTANCEDPROC epoxy_glDrawTransformFeedbackStreamInstanced;
    PFNGLEGLIMAGETARGETRENDERBUFFERSTORAGEOESPROC epoxy_glEGLImageTargetRenderbufferStorageOES;
    PFNGLEGLIMAGETARGETTEXTURE2DOESPROC epoxy_glEGLImageTargetTexture2DOES;
    PFNGLEDGEFLAGPROC epoxy_glEdgeFlag;
    PFNGLEDGEFLAGFORMATNVPROC epoxy_glEdgeFlagFormatNV;
    PFNGLEDGEFLAGPOINTERPROC epoxy_glEdgeFlagPointer;
    PFNGLEDGEFLAGPOINTEREXTPROC epoxy_glEdgeFlagPointerEXT;
    PFNGLEDGEFLAGPOINTERLISTIBMPROC epoxy_glEdgeFlagPointerListIBM;
    PFNGLEDGEFLAGVPROC epoxy_glEdgeFlagv;
    PFNGLELEMENTPOINTERAPPLEPROC epoxy_glElementPointerAPPLE;
    PFNGLELEMENTPOINTERATIPROC epoxy_glElementPointerATI;
    PFNGLENABLEPROC epoxy_glEnable;
    PFNGLENABLECLIENTSTATEPROC epoxy_glEnableClientState;
    PFNGLENABLECLIENTSTATEINDEXEDEXTPROC epoxy_glEnableClientStateIndexedEXT;
    PFNGLENABLECLIENTSTATEIEXTPROC epoxy_glEnableClientStateiEXT;
    PFNGLENABLEDRIVERCONTROLQCOMPROC epoxy_glEnableDriverControlQCOM;
    PFNGLENABLEINDEXEDEXTPROC epoxy_glEnableIndexedEXT;
    PFNGLENABLEVARIANTCLIENTSTATEEXTPROC epoxy_glEnableVariantClientStateEXT;
    PFNGLENABLEVERTEXARRAYATTRIBEXTPROC epoxy_glEnableVertexArrayAttribEXT;
    PFNGLENABLEVERTEXARRAYEXTPROC epoxy_glEnableVertexArrayEXT;
    PFNGLENABLEVERTEXATTRIBAPPLEPROC epoxy_glEnableVertexAttribAPPLE;
    PFNGLENABLEVERTEXATTRIBARRAYPROC epoxy_glEnableVertexAttribArray;
    PFNGLENABLEVERTEXATTRIBARRAYARBPROC epoxy_glEnableVertexAttribArrayARB;
    PFNGLENABLEIPROC epoxy_glEnablei;
    PFNGLENDPROC epoxy_glEnd_unwrapped;
    PFNGLENDCONDITIONALRENDERPROC epoxy_glEndConditionalRender;
    PFNGLENDCONDITIONALRENDERNVPROC epoxy_glEndConditionalRenderNV;
    PFNGLENDCONDITIONALRENDERNVXPROC epoxy_glEndConditionalRenderNVX;
    PFNGLENDFRAGMENTSHADERATIPROC epoxy_glEndFragmentShaderATI;
    PFNGLENDLISTPROC epoxy_glEndList;
    PFNGLENDOCCLUSIONQUERYNVPROC epoxy_glEndOcclusionQueryNV;
    PFNGLENDPERFMONITORAMDPROC epoxy_glEndPerfMonitorAMD;
    PFNGLENDPERFQUERYINTELPROC epoxy_glEndPerfQueryINTEL;
    PFNGLENDQUERYPROC epoxy_glEndQuery;
    PFNGLENDQUERYARBPROC epoxy_glEndQueryARB;
    PFNGLENDQUERYEXTPROC epoxy_glEndQueryEXT;
    PFNGLENDQUERYINDEXEDPROC epoxy_glEndQueryIndexed;
    PFNGLENDTILINGQCOMPROC epoxy_glEndTilingQCOM;
    PFNGLENDTRANSFORMFEEDBACKPROC epoxy_glEndTransformFeedback;
    PFNGLENDTRANSFORMFEEDBACKEXTPROC epoxy_glEndTransformFeedbackEXT;
    PFNGLENDTRANSFORMFEEDBACKNVPROC epoxy_glEndTransformFeedbackNV;
    PFNGLENDVERTEXSHADEREXTPROC epoxy_glEndVertexShaderEXT;
    PFNGLENDVIDEOCAPTURENVPROC epoxy_glEndVideoCaptureNV;
    PFNGLEVALCOORD1DPROC epoxy_glEvalCoord1d;
    PFNGLEVALCOORD1DVPROC epoxy_glEvalCoord1dv;
    PFNGLEVALCOORD1FPROC epoxy_glEvalCoord1f;
    PFNGLEVALCOORD1FVPROC epoxy_glEvalCoord1fv;
    PFNGLEVALCOORD1XOESPROC epoxy_glEvalCoord1xOES;
    PFNGLEVALCOORD1XVOESPROC epoxy_glEvalCoord1xvOES;
    PFNGLEVALCOORD2DPROC epoxy_glEvalCoord2d;
    PFNGLEVALCOORD2DVPROC epoxy_glEvalCoord2dv;
    PFNGLEVALCOORD2FPROC epoxy_glEvalCoord2f;
    PFNGLEVALCOORD2FVPROC epoxy_glEvalCoord2fv;
    PFNGLEVALCOORD2XOESPROC epoxy_glEvalCoord2xOES;
    PFNGLEVALCOORD2XVOESPROC epoxy_glEvalCoord2xvOES;
    PFNGLEVALMAPSNVPROC epoxy_glEvalMapsNV;
    PFNGLEVALMESH1PROC epoxy_glEvalMesh1;
    PFNGLEVALMESH2PROC epoxy_glEvalMesh2;
    PFNGLEVALPOINT1PROC epoxy_glEvalPoint1;
    PFNGLEVALPOINT2PROC epoxy_glEvalPoint2;
    PFNGLEXECUTEPROGRAMNVPROC epoxy_glExecuteProgramNV;
    PFNGLEXTGETBUFFERPOINTERVQCOMPROC epoxy_glExtGetBufferPointervQCOM;
    PFNGLEXTGETBUFFERSQCOMPROC epoxy_glExtGetBuffersQCOM;
    PFNGLEXTGETFRAMEBUFFERSQCOMPROC epoxy_glExtGetFramebuffersQCOM;
    PFNGLEXTGETPROGRAMBINARYSOURCEQCOMPROC epoxy_glExtGetProgramBinarySourceQCOM;
    PFNGLEXTGETPROGRAMSQCOMPROC epoxy_glExtGetProgramsQCOM;
    PFNGLEXTGETRENDERBUFFERSQCOMPROC epoxy_glExtGetRenderbuffersQCOM;
    PFNGLEXTGETSHADERSQCOMPROC epoxy_glExtGetShadersQCOM;
    PFNGLEXTGETTEXLEVELPARAMETERIVQCOMPROC epoxy_glExtGetTexLevelParameterivQCOM;
    PFNGLEXTGETTEXSUBIMAGEQCOMPROC epoxy_glExtGetTexSubImageQCOM;
    PFNGLEXTGETTEXTURESQCOMPROC epoxy_glExtGetTexturesQCOM;
    PFNGLEXTISPROGRAMBINARYQCOMPROC epoxy_glExtIsProgramBinaryQCOM;
    PFNGLEXTTEXOBJECTSTATEOVERRIDEIQCOMPROC epoxy_glExtTexObjectStateOverrideiQCOM;
    PFNGLEXTRACTCOMPONENTEXTPROC epoxy_glExtractComponentEXT;
    PFNGLFEEDBACKBUFFERPROC epoxy_glFeedbackBuffer;
    PFNGLFEEDBACKBUFFERXOESPROC epoxy_glFeedbackBufferxOES;
    PFNGLFENCESYNCPROC epoxy_glFenceSync;
    PFNGLFENCESYNCAPPLEPROC epoxy_glFenceSyncAPPLE;
    PFNGLFINALCOMBINERINPUTNVPROC epoxy_glFinalCombinerInputNV;
    PFNGLFINISHPROC epoxy_glFinish;
    PFNGLFINISHASYNCSGIXPROC epoxy_glFinishAsyncSGIX;
    PFNGLFINISHFENCEAPPLEPROC epoxy_glFinishFenceAPPLE;
    PFNGLFINISHFENCENVPROC epoxy_glFinishFenceNV;
    PFNGLFINISHOBJECTAPPLEPROC epoxy_glFinishObjectAPPLE;
    PFNGLFINISHTEXTURESUNXPROC epoxy_glFinishTextureSUNX;
    PFNGLFLUSHPROC epoxy_glFlush;
    PFNGLFLUSHMAPPEDBUFFERRANGEPROC epoxy_glFlushMappedBufferRange;
    PFNGLFLUSHMAPPEDBUFFERRANGEAPPLEPROC epoxy_glFlushMappedBufferRangeAPPLE;
    PFNGLFLUSHMAPPEDBUFFERRANGEEXTPROC epoxy_glFlushMappedBufferRangeEXT;
    PFNGLFLUSHMAPPEDNAMEDBUFFERRANGEEXTPROC epoxy_glFlushMappedNamedBufferRangeEXT;
    PFNGLFLUSHPIXELDATARANGENVPROC epoxy_glFlushPixelDataRangeNV;
    PFNGLFLUSHRASTERSGIXPROC epoxy_glFlushRasterSGIX;
    PFNGLFLUSHSTATICDATAIBMPROC epoxy_glFlushStaticDataIBM;
    PFNGLFLUSHVERTEXARRAYRANGEAPPLEPROC epoxy_glFlushVertexArrayRangeAPPLE;
    PFNGLFLUSHVERTEXARRAYRANGENVPROC epoxy_glFlushVertexArrayRangeNV;
    PFNGLFOGCOORDFORMATNVPROC epoxy_glFogCoordFormatNV;
    PFNGLFOGCOORDPOINTERPROC epoxy_glFogCoordPointer;
    PFNGLFOGCOORDPOINTEREXTPROC epoxy_glFogCoordPointerEXT;
    PFNGLFOGCOORDPOINTERLISTIBMPROC epoxy_glFogCoordPointerListIBM;
    PFNGLFOGCOORDDPROC epoxy_glFogCoordd;
    PFNGLFOGCOORDDEXTPROC epoxy_glFogCoorddEXT;
    PFNGLFOGCOORDDVPROC epoxy_glFogCoorddv;
    PFNGLFOGCOORDDVEXTPROC epoxy_glFogCoorddvEXT;
    PFNGLFOGCOORDFPROC epoxy_glFogCoordf;
    PFNGLFOGCOORDFEXTPROC epoxy_glFogCoordfEXT;
    PFNGLFOGCOORDFVPROC epoxy_glFogCoordfv;
    PFNGLFOGCOORDFVEXTPROC epoxy_glFogCoordfvEXT;
    PFNGLFOGCOORDHNVPROC epoxy_glFogCoordhNV;
    PFNGLFOGCOORDHVNVPROC epoxy_glFogCoordhvNV;
    PFNGLFOGFUNCSGISPROC epoxy_glFogFuncSGIS;
    PFNGLFOGFPROC epoxy_glFogf;
    PFNGLFOGFVPROC epoxy_glFogfv;
    PFNGLFOGIPROC epoxy_glFogi;
    PFNGLFOGIVPROC epoxy_glFogiv;
    PFNGLFOGXPROC epoxy_glFogx;
    PFNGLFOGXOESPROC epoxy_glFogxOES;
    PFNGLFOGXVPROC epoxy_glFogxv;
    PFNGLFOGXVOESPROC epoxy_glFogxvOES;
    PFNGLFRAGMENTCOLORMATERIALSGIXPROC epoxy_glFragmentColorMaterialSGIX;
    PFNGLFRAGMENTLIGHTMODELFSGIXPROC epoxy_glFragmentLightModelfSGIX;
    PFNGLFRAGMENTLIGHTMODELFVSGIXPROC epoxy_glFragmentLightModelfvSGIX;
    PFNGLFRAGMENTLIGHTMODELISGIXPROC epoxy_glFragmentLightModeliSGIX;
    PFNGLFRAGMENTLIGHTMODELIVSGIXPROC epoxy_glFragmentLightModelivSGIX;
    PFNGLFRAGMENTLIGHTFSGIXPROC epoxy_glFragmentLightfSGIX;
    PFNGLFRAGMENTLIGHTFVSGIXPROC epoxy_glFragmentLightfvSGIX;
    PFNGLFRAGMENTLIGHTISGIXPROC epoxy_glFragmentLightiSGIX;
    PFNGLFRAGMENTLIGHTIVSGIXPROC epoxy_glFragmentLightivSGIX;
    PFNGLFRAGMENTMATERIALFSGIXPROC epoxy_glFragmentMaterialfSGIX;
    PFNGLFRAGMENTMATERIALFVSGIXPROC epoxy_glFragmentMaterialfvSGIX;
    PFNGLFRAGMENTMATERIALISGIXPROC epoxy_glFragmentMaterialiSGIX;
    PFNGLFRAGMENTMATERIALIVSGIXPROC epoxy_glFragmentMaterialivSGIX;
    PFNGLFRAMETERMINATORGREMEDYPROC epoxy_glFrameTerminatorGREMEDY;
    PFNGLFRAMEZOOMSGIXPROC epoxy_glFrameZoomSGIX;
    PFNGLFRAMEBUFFERDRAWBUFFEREXTPROC epoxy_glFramebufferDrawBufferEXT;
    PFNGLFRAMEBUFFERDRAWBUFFERSEXTPROC epoxy_glFramebufferDrawBuffersEXT;
    PFNGLFRAMEBUFFERPARAMETERIPROC epoxy_glFramebufferParameteri;
    PFNGLFRAMEBUFFERREADBUFFEREXTPROC epoxy_glFramebufferReadBufferEXT;
    PFNGLFRAMEBUFFERRENDERBUFFERPROC epoxy_glFramebufferRenderbuffer;
    PFNGLFRAMEBUFFERRENDERBUFFEREXTPROC epoxy_glFramebufferRenderbufferEXT;
    PFNGLFRAMEBUFFERRENDERBUFFEROESPROC epoxy_glFramebufferRenderbufferOES;
    PFNGLFRAMEBUFFERTEXTUREPROC epoxy_glFramebufferTexture;
    PFNGLFRAMEBUFFERTEXTURE1DPROC epoxy_glFramebufferTexture1D;
    PFNGLFRAMEBUFFERTEXTURE1DEXTPROC epoxy_glFramebufferTexture1DEXT;
    PFNGLFRAMEBUFFERTEXTURE2DPROC epoxy_glFramebufferTexture2D;
    PFNGLFRAMEBUFFERTEXTURE2DEXTPROC epoxy_glFramebufferTexture2DEXT;
    PFNGLFRAMEBUFFERTEXTURE2DMULTISAMPLEEXTPROC epoxy_glFramebufferTexture2DMultisampleEXT;
    PFNGLFRAMEBUFFERTEXTURE2DMULTISAMPLEIMGPROC epoxy_glFramebufferTexture2DMultisampleIMG;
    PFNGLFRAMEBUFFERTEXTURE2DOESPROC epoxy_glFramebufferTexture2DOES;
    PFNGLFRAMEBUFFERTEXTURE3DPROC epoxy_glFramebufferTexture3D;
    PFNGLFRAMEBUFFERTEXTURE3DEXTPROC epoxy_glFramebufferTexture3DEXT;
    PFNGLFRAMEBUFFERTEXTURE3DOESPROC epoxy_glFramebufferTexture3DOES;
    PFNGLFRAMEBUFFERTEXTUREARBPROC epoxy_glFramebufferTextureARB;
    PFNGLFRAMEBUFFERTEXTUREEXTPROC epoxy_glFramebufferTextureEXT;
    PFNGLFRAMEBUFFERTEXTUREFACEARBPROC epoxy_glFramebufferTextureFaceARB;
    PFNGLFRAMEBUFFERTEXTUREFACEEXTPROC epoxy_glFramebufferTextureFaceEXT;
    PFNGLFRAMEBUFFERTEXTURELAYERPROC epoxy_glFramebufferTextureLayer;
    PFNGLFRAMEBUFFERTEXTURELAYERARBPROC epoxy_glFramebufferTextureLayerARB;
    PFNGLFRAMEBUFFERTEXTURELAYEREXTPROC epoxy_glFramebufferTextureLayerEXT;
    PFNGLFREEOBJECTBUFFERATIPROC epoxy_glFreeObjectBufferATI;
    PFNGLFRONTFACEPROC epoxy_glFrontFace;
    PFNGLFRUSTUMPROC epoxy_glFrustum;
    PFNGLFRUSTUMFPROC epoxy_glFrustumf;
    PFNGLFRUSTUMFOESPROC epoxy_glFrustumfOES;
    PFNGLFRUSTUMXPROC epoxy_glFrustumx;
    PFNGLFRUSTUMXOESPROC epoxy_glFrustumxOES;
    PFNGLGENASYNCMARKERSSGIXPROC epoxy_glGenAsyncMarkersSGIX;
    PFNGLGENBUFFERSPROC epoxy_glGenBuffers;
    PFNGLGENBUFFERSARBPROC epoxy_glGenBuffersARB;
    PFNGLGENFENCESAPPLEPROC epoxy_glGenFencesAPPLE;
    PFNGLGENFENCESNVPROC epoxy_glGenFencesNV;
    PFNGLGENFRAGMENTSHADERSATIPROC epoxy_glGenFragmentShadersATI;
    PFNGLGENFRAMEBUFFERSPROC epoxy_glGenFramebuffers;
    PFNGLGENFRAMEBUFFERSEXTPROC epoxy_glGenFramebuffersEXT;
    PFNGLGENFRAMEBUFFERSOESPROC epoxy_glGenFramebuffersOES;
    PFNGLGENLISTSPROC epoxy_glGenLists;
    PFNGLGENNAMESAMDPROC epoxy_glGenNamesAMD;
    PFNGLGENOCCLUSIONQUERIESNVPROC epoxy_glGenOcclusionQueriesNV;
    PFNGLGENPATHSNVPROC epoxy_glGenPathsNV;
    PFNGLGENPERFMONITORSAMDPROC epoxy_glGenPerfMonitorsAMD;
    PFNGLGENPROGRAMPIPELINESPROC epoxy_glGenProgramPipelines;
    PFNGLGENPROGRAMPIPELINESEXTPROC epoxy_glGenProgramPipelinesEXT;
    PFNGLGENPROGRAMSARBPROC epoxy_glGenProgramsARB;
    PFNGLGENPROGRAMSNVPROC epoxy_glGenProgramsNV;
    PFNGLGENQUERIESPROC epoxy_glGenQueries;
    PFNGLGENQUERIESARBPROC epoxy_glGenQueriesARB;
    PFNGLGENQUERIESEXTPROC epoxy_glGenQueriesEXT;
    PFNGLGENRENDERBUFFERSPROC epoxy_glGenRenderbuffers;
    PFNGLGENRENDERBUFFERSEXTPROC epoxy_glGenRenderbuffersEXT;
    PFNGLGENRENDERBUFFERSOESPROC epoxy_glGenRenderbuffersOES;
    PFNGLGENSAMPLERSPROC epoxy_glGenSamplers;
    PFNGLGENSYMBOLSEXTPROC epoxy_glGenSymbolsEXT;
    PFNGLGENTEXTURESPROC epoxy_glGenTextures;
    PFNGLGENTEXTURESEXTPROC epoxy_glGenTexturesEXT;
    PFNGLGENTRANSFORMFEEDBACKSPROC epoxy_glGenTransformFeedbacks;
    PFNGLGENTRANSFORMFEEDBACKSNVPROC epoxy_glGenTransformFeedbacksNV;
    PFNGLGENVERTEXARRAYSPROC epoxy_glGenVertexArrays;
    PFNGLGENVERTEXARRAYSAPPLEPROC epoxy_glGenVertexArraysAPPLE;
    PFNGLGENVERTEXARRAYSOESPROC epoxy_glGenVertexArraysOES;
    PFNGLGENVERTEXSHADERSEXTPROC epoxy_glGenVertexShadersEXT;
    PFNGLGENERATEMIPMAPPROC epoxy_glGenerateMipmap;
    PFNGLGENERATEMIPMAPEXTPROC epoxy_glGenerateMipmapEXT;
    PFNGLGENERATEMIPMAPOESPROC epoxy_glGenerateMipmapOES;
    PFNGLGENERATEMULTITEXMIPMAPEXTPROC epoxy_glGenerateMultiTexMipmapEXT;
    PFNGLGENERATETEXTUREMIPMAPEXTPROC epoxy_glGenerateTextureMipmapEXT;
    PFNGLGETACTIVEATOMICCOUNTERBUFFERIVPROC epoxy_glGetActiveAtomicCounterBufferiv;
    PFNGLGETACTIVEATTRIBPROC epoxy_glGetActiveAttrib;
    PFNGLGETACTIVEATTRIBARBPROC epoxy_glGetActiveAttribARB;
    PFNGLGETACTIVESUBROUTINENAMEPROC epoxy_glGetActiveSubroutineName;
    PFNGLGETACTIVESUBROUTINEUNIFORMNAMEPROC epoxy_glGetActiveSubroutineUniformName;
    PFNGLGETACTIVESUBROUTINEUNIFORMIVPROC epoxy_glGetActiveSubroutineUniformiv;
    PFNGLGETACTIVEUNIFORMPROC epoxy_glGetActiveUniform;
    PFNGLGETACTIVEUNIFORMARBPROC epoxy_glGetActiveUniformARB;
    PFNGLGETACTIVEUNIFORMBLOCKNAMEPROC epoxy_glGetActiveUniformBlockName;
    PFNGLGETACTIVEUNIFORMBLOCKIVPROC epoxy_glGetActiveUniformBlockiv;
    PFNGLGETACTIVEUNIFORMNAMEPROC epoxy_glGetActiveUniformName;
    PFNGLGETACTIVEUNIFORMSIVPROC epoxy_glGetActiveUniformsiv;
    PFNGLGETACTIVEVARYINGNVPROC epoxy_glGetActiveVaryingNV;
    PFNGLGETARRAYOBJECTFVATIPROC epoxy_glGetArrayObjectfvATI;
    PFNGLGETARRAYOBJECTIVATIPROC epoxy_glGetArrayObjectivATI;
    PFNGLGETATTACHEDOBJECTSARBPROC epoxy_glGetAttachedObjectsARB;
    PFNGLGETATTACHEDSHADERSPROC epoxy_glGetAttachedShaders;
    PFNGLGETATTRIBLOCATIONPROC epoxy_glGetAttribLocation;
    PFNGLGETATTRIBLOCATIONARBPROC epoxy_glGetAttribLocationARB;
    PFNGLGETBOOLEANINDEXEDVEXTPROC epoxy_glGetBooleanIndexedvEXT;
    PFNGLGETBOOLEANI_VPROC epoxy_glGetBooleani_v;
    PFNGLGETBOOLEANVPROC epoxy_glGetBooleanv;
    PFNGLGETBUFFERPARAMETERI64VPROC epoxy_glGetBufferParameteri64v;
    PFNGLGETBUFFERPARAMETERIVPROC epoxy_glGetBufferParameteriv;
    PFNGLGETBUFFERPARAMETERIVARBPROC epoxy_glGetBufferParameterivARB;
    PFNGLGETBUFFERPARAMETERUI64VNVPROC epoxy_glGetBufferParameterui64vNV;
    PFNGLGETBUFFERPOINTERVPROC epoxy_glGetBufferPointerv;
    PFNGLGETBUFFERPOINTERVARBPROC epoxy_glGetBufferPointervARB;
    PFNGLGETBUFFERPOINTERVOESPROC epoxy_glGetBufferPointervOES;
    PFNGLGETBUFFERSUBDATAPROC epoxy_glGetBufferSubData;
    PFNGLGETBUFFERSUBDATAARBPROC epoxy_glGetBufferSubDataARB;
    PFNGLGETCLIPPLANEPROC epoxy_glGetClipPlane;
    PFNGLGETCLIPPLANEFPROC epoxy_glGetClipPlanef;
    PFNGLGETCLIPPLANEFOESPROC epoxy_glGetClipPlanefOES;
    PFNGLGETCLIPPLANEXPROC epoxy_glGetClipPlanex;
    PFNGLGETCLIPPLANEXOESPROC epoxy_glGetClipPlanexOES;
    PFNGLGETCOLORTABLEPROC epoxy_glGetColorTable;
    PFNGLGETCOLORTABLEEXTPROC epoxy_glGetColorTableEXT;
    PFNGLGETCOLORTABLEPARAMETERFVPROC epoxy_glGetColorTableParameterfv;
    PFNGLGETCOLORTABLEPARAMETERFVEXTPROC epoxy_glGetColorTableParameterfvEXT;
    PFNGLGETCOLORTABLEPARAMETERFVSGIPROC epoxy_glGetColorTableParameterfvSGI;
    PFNGLGETCOLORTABLEPARAMETERIVPROC epoxy_glGetColorTableParameteriv;
    PFNGLGETCOLORTABLEPARAMETERIVEXTPROC epoxy_glGetColorTableParameterivEXT;
    PFNGLGETCOLORTABLEPARAMETERIVSGIPROC epoxy_glGetColorTableParameterivSGI;
    PFNGLGETCOLORTABLESGIPROC epoxy_glGetColorTableSGI;
    PFNGLGETCOMBINERINPUTPARAMETERFVNVPROC epoxy_glGetCombinerInputParameterfvNV;
    PFNGLGETCOMBINERINPUTPARAMETERIVNVPROC epoxy_glGetCombinerInputParameterivNV;
    PFNGLGETCOMBINEROUTPUTPARAMETERFVNVPROC epoxy_glGetCombinerOutputParameterfvNV;
    PFNGLGETCOMBINEROUTPUTPARAMETERIVNVPROC epoxy_glGetCombinerOutputParameterivNV;
    PFNGLGETCOMBINERSTAGEPARAMETERFVNVPROC epoxy_glGetCombinerStageParameterfvNV;
    PFNGLGETCOMPRESSEDMULTITEXIMAGEEXTPROC epoxy_glGetCompressedMultiTexImageEXT;
    PFNGLGETCOMPRESSEDTEXIMAGEPROC epoxy_glGetCompressedTexImage;
    PFNGLGETCOMPRESSEDTEXIMAGEARBPROC epoxy_glGetCompressedTexImageARB;
    PFNGLGETCOMPRESSEDTEXTUREIMAGEEXTPROC epoxy_glGetCompressedTextureImageEXT;
    PFNGLGETCONVOLUTIONFILTERPROC epoxy_glGetConvolutionFilter;
    PFNGLGETCONVOLUTIONFILTEREXTPROC epoxy_glGetConvolutionFilterEXT;
    PFNGLGETCONVOLUTIONPARAMETERFVPROC epoxy_glGetConvolutionParameterfv;
    PFNGLGETCONVOLUTIONPARAMETERFVEXTPROC epoxy_glGetConvolutionParameterfvEXT;
    PFNGLGETCONVOLUTIONPARAMETERIVPROC epoxy_glGetConvolutionParameteriv;
    PFNGLGETCONVOLUTIONPARAMETERIVEXTPROC epoxy_glGetConvolutionParameterivEXT;
    PFNGLGETCONVOLUTIONPARAMETERXVOESPROC epoxy_glGetConvolutionParameterxvOES;
    PFNGLGETDEBUGMESSAGELOGPROC epoxy_glGetDebugMessageLog;
    PFNGLGETDEBUGMESSAGELOGAMDPROC epoxy_glGetDebugMessageLogAMD;
    PFNGLGETDEBUGMESSAGELOGARBPROC epoxy_glGetDebugMessageLogARB;
    PFNGLGETDEBUGMESSAGELOGKHRPROC epoxy_glGetDebugMessageLogKHR;
    PFNGLGETDETAILTEXFUNCSGISPROC epoxy_glGetDetailTexFuncSGIS;
    PFNGLGETDOUBLEINDEXEDVEXTPROC epoxy_glGetDoubleIndexedvEXT;
    PFNGLGETDOUBLEI_VPROC epoxy_glGetDoublei_v;
    PFNGLGETDOUBLEI_VEXTPROC epoxy_glGetDoublei_vEXT;
    PFNGLGETDOUBLEVPROC epoxy_glGetDoublev;
    PFNGLGETDRIVERCONTROLSTRINGQCOMPROC epoxy_glGetDriverControlStringQCOM;
    PFNGLGETDRIVERCONTROLSQCOMPROC epoxy_glGetDriverControlsQCOM;
    PFNGLGETERRORPROC epoxy_glGetError;
    PFNGLGETFENCEIVNVPROC epoxy_glGetFenceivNV;
    PFNGLGETFINALCOMBINERINPUTPARAMETERFVNVPROC epoxy_glGetFinalCombinerInputParameterfvNV;
    PFNGLGETFINALCOMBINERINPUTPARAMETERIVNVPROC epoxy_glGetFinalCombinerInputParameterivNV;
    PFNGLGETFIRSTPERFQUERYIDINTELPROC epoxy_glGetFirstPerfQueryIdINTEL;
    PFNGLGETFIXEDVPROC epoxy_glGetFixedv;
    PFNGLGETFIXEDVOESPROC epoxy_glGetFixedvOES;
    PFNGLGETFLOATINDEXEDVEXTPROC epoxy_glGetFloatIndexedvEXT;
    PFNGLGETFLOATI_VPROC epoxy_glGetFloati_v;
    PFNGLGETFLOATI_VEXTPROC epoxy_glGetFloati_vEXT;
    PFNGLGETFLOATVPROC epoxy_glGetFloatv;
    PFNGLGETFOGFUNCSGISPROC epoxy_glGetFogFuncSGIS;
    PFNGLGETFRAGDATAINDEXPROC epoxy_glGetFragDataIndex;
    PFNGLGETFRAGDATALOCATIONPROC epoxy_glGetFragDataLocation;
    PFNGLGETFRAGDATALOCATIONEXTPROC epoxy_glGetFragDataLocationEXT;
    PFNGLGETFRAGMENTLIGHTFVSGIXPROC epoxy_glGetFragmentLightfvSGIX;
    PFNGLGETFRAGMENTLIGHTIVSGIXPROC epoxy_glGetFragmentLightivSGIX;
    PFNGLGETFRAGMENTMATERIALFVSGIXPROC epoxy_glGetFragmentMaterialfvSGIX;
    PFNGLGETFRAGMENTMATERIALIVSGIXPROC epoxy_glGetFragmentMaterialivSGIX;
    PFNGLGETFRAMEBUFFERATTACHMENTPARAMETERIVPROC epoxy_glGetFramebufferAttachmentParameteriv;
    PFNGLGETFRAMEBUFFERATTACHMENTPARAMETERIVEXTPROC epoxy_glGetFramebufferAttachmentParameterivEXT;
    PFNGLGETFRAMEBUFFERATTACHMENTPARAMETERIVOESPROC epoxy_glGetFramebufferAttachmentParameterivOES;
    PFNGLGETFRAMEBUFFERPARAMETERIVPROC epoxy_glGetFramebufferParameteriv;
    PFNGLGETFRAMEBUFFERPARAMETERIVEXTPROC epoxy_glGetFramebufferParameterivEXT;
    PFNGLGETGRAPHICSRESETSTATUSARBPROC epoxy_glGetGraphicsResetStatusARB;
    PFNGLGETGRAPHICSRESETSTATUSEXTPROC epoxy_glGetGraphicsResetStatusEXT;
    PFNGLGETHANDLEARBPROC epoxy_glGetHandleARB;
    PFNGLGETHISTOGRAMPROC epoxy_glGetHistogram;
    PFNGLGETHISTOGRAMEXTPROC epoxy_glGetHistogramEXT;
    PFNGLGETHISTOGRAMPARAMETERFVPROC epoxy_glGetHistogramParameterfv;
    PFNGLGETHISTOGRAMPARAMETERFVEXTPROC epoxy_glGetHistogramParameterfvEXT;
    PFNGLGETHISTOGRAMPARAMETERIVPROC epoxy_glGetHistogramParameteriv;
    PFNGLGETHISTOGRAMPARAMETERIVEXTPROC epoxy_glGetHistogramParameterivEXT;
    PFNGLGETHISTOGRAMPARAMETERXVOESPROC epoxy_glGetHistogramParameterxvOES;
    PFNGLGETIMAGEHANDLEARBPROC epoxy_glGetImageHandleARB;
    PFNGLGETIMAGEHANDLENVPROC epoxy_glGetImageHandleNV;
    PFNGLGETIMAGETRANSFORMPARAMETERFVHPPROC epoxy_glGetImageTransformParameterfvHP;
    PFNGLGETIMAGETRANSFORMPARAMETERIVHPPROC epoxy_glGetImageTransformParameterivHP;
    PFNGLGETINFOLOGARBPROC epoxy_glGetInfoLogARB;
    PFNGLGETINSTRUMENTSSGIXPROC epoxy_glGetInstrumentsSGIX;
    PFNGLGETINTEGER64I_VPROC epoxy_glGetInteger64i_v;
    PFNGLGETINTEGER64VPROC epoxy_glGetInteger64v;
    PFNGLGETINTEGER64VAPPLEPROC epoxy_glGetInteger64vAPPLE;
    PFNGLGETINTEGERINDEXEDVEXTPROC epoxy_glGetIntegerIndexedvEXT;
    PFNGLGETINTEGERI_VPROC epoxy_glGetIntegeri_v;
    PFNGLGETINTEGERI_VEXTPROC epoxy_glGetIntegeri_vEXT;
    PFNGLGETINTEGERUI64I_VNVPROC epoxy_glGetIntegerui64i_vNV;
    PFNGLGETINTEGERUI64VNVPROC epoxy_glGetIntegerui64vNV;
    PFNGLGETINTEGERVPROC epoxy_glGetIntegerv;
    PFNGLGETINTERNALFORMATI64VPROC epoxy_glGetInternalformati64v;
    PFNGLGETINTERNALFORMATIVPROC epoxy_glGetInternalformativ;
    PFNGLGETINVARIANTBOOLEANVEXTPROC epoxy_glGetInvariantBooleanvEXT;
    PFNGLGETINVARIANTFLOATVEXTPROC epoxy_glGetInvariantFloatvEXT;
    PFNGLGETINVARIANTINTEGERVEXTPROC epoxy_glGetInvariantIntegervEXT;
    PFNGLGETLIGHTFVPROC epoxy_glGetLightfv;
    PFNGLGETLIGHTIVPROC epoxy_glGetLightiv;
    PFNGLGETLIGHTXOESPROC epoxy_glGetLightxOES;
    PFNGLGETLIGHTXVPROC epoxy_glGetLightxv;
    PFNGLGETLIGHTXVOESPROC epoxy_glGetLightxvOES;
    PFNGLGETLISTPARAMETERFVSGIXPROC epoxy_glGetListParameterfvSGIX;
    PFNGLGETLISTPARAMETERIVSGIXPROC epoxy_glGetListParameterivSGIX;
    PFNGLGETLOCALCONSTANTBOOLEANVEXTPROC epoxy_glGetLocalConstantBooleanvEXT;
    PFNGLGETLOCALCONSTANTFLOATVEXTPROC epoxy_glGetLocalConstantFloatvEXT;
    PFNGLGETLOCALCONSTANTINTEGERVEXTPROC epoxy_glGetLocalConstantIntegervEXT;
    PFNGLGETMAPATTRIBPARAMETERFVNVPROC epoxy_glGetMapAttribParameterfvNV;
    PFNGLGETMAPATTRIBPARAMETERIVNVPROC epoxy_glGetMapAttribParameterivNV;
    PFNGLGETMAPCONTROLPOINTSNVPROC epoxy_glGetMapControlPointsNV;
    PFNGLGETMAPPARAMETERFVNVPROC epoxy_glGetMapParameterfvNV;
    PFNGLGETMAPPARAMETERIVNVPROC epoxy_glGetMapParameterivNV;
    PFNGLGETMAPDVPROC epoxy_glGetMapdv;
    PFNGLGETMAPFVPROC epoxy_glGetMapfv;
    PFNGLGETMAPIVPROC epoxy_glGetMapiv;
    PFNGLGETMAPXVOESPROC epoxy_glGetMapxvOES;
    PFNGLGETMATERIALFVPROC epoxy_glGetMaterialfv;
    PFNGLGETMATERIALIVPROC epoxy_glGetMaterialiv;
    PFNGLGETMATERIALXOESPROC epoxy_glGetMaterialxOES;
    PFNGLGETMATERIALXVPROC epoxy_glGetMaterialxv;
    PFNGLGETMATERIALXVOESPROC epoxy_glGetMaterialxvOES;
    PFNGLGETMINMAXPROC epoxy_glGetMinmax;
    PFNGLGETMINMAXEXTPROC epoxy_glGetMinmaxEXT;
    PFNGLGETMINMAXPARAMETERFVPROC epoxy_glGetMinmaxParameterfv;
    PFNGLGETMINMAXPARAMETERFVEXTPROC epoxy_glGetMinmaxParameterfvEXT;
    PFNGLGETMINMAXPARAMETERIVPROC epoxy_glGetMinmaxParameteriv;
    PFNGLGETMINMAXPARAMETERIVEXTPROC epoxy_glGetMinmaxParameterivEXT;
    PFNGLGETMULTITEXENVFVEXTPROC epoxy_glGetMultiTexEnvfvEXT;
    PFNGLGETMULTITEXENVIVEXTPROC epoxy_glGetMultiTexEnvivEXT;
    PFNGLGETMULTITEXGENDVEXTPROC epoxy_glGetMultiTexGendvEXT;
    PFNGLGETMULTITEXGENFVEXTPROC epoxy_glGetMultiTexGenfvEXT;
    PFNGLGETMULTITEXGENIVEXTPROC epoxy_glGetMultiTexGenivEXT;
    PFNGLGETMULTITEXIMAGEEXTPROC epoxy_glGetMultiTexImageEXT;
    PFNGLGETMULTITEXLEVELPARAMETERFVEXTPROC epoxy_glGetMultiTexLevelParameterfvEXT;
    PFNGLGETMULTITEXLEVELPARAMETERIVEXTPROC epoxy_glGetMultiTexLevelParameterivEXT;
    PFNGLGETMULTITEXPARAMETERIIVEXTPROC epoxy_glGetMultiTexParameterIivEXT;
    PFNGLGETMULTITEXPARAMETERIUIVEXTPROC epoxy_glGetMultiTexParameterIuivEXT;
    PFNGLGETMULTITEXPARAMETERFVEXTPROC epoxy_glGetMultiTexParameterfvEXT;
    PFNGLGETMULTITEXPARAMETERIVEXTPROC epoxy_glGetMultiTexParameterivEXT;
    PFNGLGETMULTISAMPLEFVPROC epoxy_glGetMultisamplefv;
    PFNGLGETMULTISAMPLEFVNVPROC epoxy_glGetMultisamplefvNV;
    PFNGLGETNAMEDBUFFERPARAMETERIVEXTPROC epoxy_glGetNamedBufferParameterivEXT;
    PFNGLGETNAMEDBUFFERPARAMETERUI64VNVPROC epoxy_glGetNamedBufferParameterui64vNV;
    PFNGLGETNAMEDBUFFERPOINTERVEXTPROC epoxy_glGetNamedBufferPointervEXT;
    PFNGLGETNAMEDBUFFERSUBDATAEXTPROC epoxy_glGetNamedBufferSubDataEXT;
    PFNGLGETNAMEDFRAMEBUFFERATTACHMENTPARAMETERIVEXTPROC epoxy_glGetNamedFramebufferAttachmentParameterivEXT;
    PFNGLGETNAMEDFRAMEBUFFERPARAMETERIVEXTPROC epoxy_glGetNamedFramebufferParameterivEXT;
    PFNGLGETNAMEDPROGRAMLOCALPARAMETERIIVEXTPROC epoxy_glGetNamedProgramLocalParameterIivEXT;
    PFNGLGETNAMEDPROGRAMLOCALPARAMETERIUIVEXTPROC epoxy_glGetNamedProgramLocalParameterIuivEXT;
    PFNGLGETNAMEDPROGRAMLOCALPARAMETERDVEXTPROC epoxy_glGetNamedProgramLocalParameterdvEXT;
    PFNGLGETNAMEDPROGRAMLOCALPARAMETERFVEXTPROC epoxy_glGetNamedProgramLocalParameterfvEXT;
    PFNGLGETNAMEDPROGRAMSTRINGEXTPROC epoxy_glGetNamedProgramStringEXT;
    PFNGLGETNAMEDPROGRAMIVEXTPROC epoxy_glGetNamedProgramivEXT;
    PFNGLGETNAMEDRENDERBUFFERPARAMETERIVEXTPROC epoxy_glGetNamedRenderbufferParameterivEXT;
    PFNGLGETNAMEDSTRINGARBPROC epoxy_glGetNamedStringARB;
    PFNGLGETNAMEDSTRINGIVARBPROC epoxy_glGetNamedStringivARB;
    PFNGLGETNEXTPERFQUERYIDINTELPROC epoxy_glGetNextPerfQueryIdINTEL;
    PFNGLGETOBJECTBUFFERFVATIPROC epoxy_glGetObjectBufferfvATI;
    PFNGLGETOBJECTBUFFERIVATIPROC epoxy_glGetObjectBufferivATI;
    PFNGLGETOBJECTLABELPROC epoxy_glGetObjectLabel;
    PFNGLGETOBJECTLABELEXTPROC epoxy_glGetObjectLabelEXT;
    PFNGLGETOBJECTLABELKHRPROC epoxy_glGetObjectLabelKHR;
    PFNGLGETOBJECTPARAMETERFVARBPROC epoxy_glGetObjectParameterfvARB;
    PFNGLGETOBJECTPARAMETERIVAPPLEPROC epoxy_glGetObjectParameterivAPPLE;
    PFNGLGETOBJECTPARAMETERIVARBPROC epoxy_glGetObjectParameterivARB;
    PFNGLGETOBJECTPTRLABELPROC epoxy_glGetObjectPtrLabel;
    PFNGLGETOBJECTPTRLABELKHRPROC epoxy_glGetObjectPtrLabelKHR;
    PFNGLGETOCCLUSIONQUERYIVNVPROC epoxy_glGetOcclusionQueryivNV;
    PFNGLGETOCCLUSIONQUERYUIVNVPROC epoxy_glGetOcclusionQueryuivNV;
    PFNGLGETPATHCOLORGENFVNVPROC epoxy_glGetPathColorGenfvNV;
    PFNGLGETPATHCOLORGENIVNVPROC epoxy_glGetPathColorGenivNV;
    PFNGLGETPATHCOMMANDSNVPROC epoxy_glGetPathCommandsNV;
    PFNGLGETPATHCOORDSNVPROC epoxy_glGetPathCoordsNV;
    PFNGLGETPATHDASHARRAYNVPROC epoxy_glGetPathDashArrayNV;
    PFNGLGETPATHLENGTHNVPROC epoxy_glGetPathLengthNV;
    PFNGLGETPATHMETRICRANGENVPROC epoxy_glGetPathMetricRangeNV;
    PFNGLGETPATHMETRICSNVPROC epoxy_glGetPathMetricsNV;
    PFNGLGETPATHPARAMETERFVNVPROC epoxy_glGetPathParameterfvNV;
    PFNGLGETPATHPARAMETERIVNVPROC epoxy_glGetPathParameterivNV;
    PFNGLGETPATHSPACINGNVPROC epoxy_glGetPathSpacingNV;
    PFNGLGETPATHTEXGENFVNVPROC epoxy_glGetPathTexGenfvNV;
    PFNGLGETPATHTEXGENIVNVPROC epoxy_glGetPathTexGenivNV;
    PFNGLGETPERFCOUNTERINFOINTELPROC epoxy_glGetPerfCounterInfoINTEL;
    PFNGLGETPERFMONITORCOUNTERDATAAMDPROC epoxy_glGetPerfMonitorCounterDataAMD;
    PFNGLGETPERFMONITORCOUNTERINFOAMDPROC epoxy_glGetPerfMonitorCounterInfoAMD;
    PFNGLGETPERFMONITORCOUNTERSTRINGAMDPROC epoxy_glGetPerfMonitorCounterStringAMD;
    PFNGLGETPERFMONITORCOUNTERSAMDPROC epoxy_glGetPerfMonitorCountersAMD;
    PFNGLGETPERFMONITORGROUPSTRINGAMDPROC epoxy_glGetPerfMonitorGroupStringAMD;
    PFNGLGETPERFMONITORGROUPSAMDPROC epoxy_glGetPerfMonitorGroupsAMD;
    PFNGLGETPERFQUERYDATAINTELPROC epoxy_glGetPerfQueryDataINTEL;
    PFNGLGETPERFQUERYIDBYNAMEINTELPROC epoxy_glGetPerfQueryIdByNameINTEL;
    PFNGLGETPERFQUERYINFOINTELPROC epoxy_glGetPerfQueryInfoINTEL;
    PFNGLGETPIXELMAPFVPROC epoxy_glGetPixelMapfv;
    PFNGLGETPIXELMAPUIVPROC epoxy_glGetPixelMapuiv;
    PFNGLGETPIXELMAPUSVPROC epoxy_glGetPixelMapusv;
    PFNGLGETPIXELMAPXVPROC epoxy_glGetPixelMapxv;
    PFNGLGETPIXELTEXGENPARAMETERFVSGISPROC epoxy_glGetPixelTexGenParameterfvSGIS;
    PFNGLGETPIXELTEXGENPARAMETERIVSGISPROC epoxy_glGetPixelTexGenParameterivSGIS;
    PFNGLGETPIXELTRANSFORMPARAMETERFVEXTPROC epoxy_glGetPixelTransformParameterfvEXT;
    PFNGLGETPIXELTRANSFORMPARAMETERIVEXTPROC epoxy_glGetPixelTransformParameterivEXT;
    PFNGLGETPOINTERINDEXEDVEXTPROC epoxy_glGetPointerIndexedvEXT;
    PFNGLGETPOINTERI_VEXTPROC epoxy_glGetPointeri_vEXT;
    PFNGLGETPOINTERVPROC epoxy_glGetPointerv;
    PFNGLGETPOINTERVEXTPROC epoxy_glGetPointervEXT;
    PFNGLGETPOINTERVKHRPROC epoxy_glGetPointervKHR;
    PFNGLGETPOLYGONSTIPPLEPROC epoxy_glGetPolygonStipple;
    PFNGLGETPROGRAMBINARYPROC epoxy_glGetProgramBinary;
    PFNGLGETPROGRAMBINARYOESPROC epoxy_glGetProgramBinaryOES;
    PFNGLGETPROGRAMENVPARAMETERIIVNVPROC epoxy_glGetProgramEnvParameterIivNV;
    PFNGLGETPROGRAMENVPARAMETERIUIVNVPROC epoxy_glGetProgramEnvParameterIuivNV;
    PFNGLGETPROGRAMENVPARAMETERDVARBPROC epoxy_glGetProgramEnvParameterdvARB;
    PFNGLGETPROGRAMENVPARAMETERFVARBPROC epoxy_glGetProgramEnvParameterfvARB;
    PFNGLGETPROGRAMINFOLOGPROC epoxy_glGetProgramInfoLog;
    PFNGLGETPROGRAMINTERFACEIVPROC epoxy_glGetProgramInterfaceiv;
    PFNGLGETPROGRAMLOCALPARAMETERIIVNVPROC epoxy_glGetProgramLocalParameterIivNV;
    PFNGLGETPROGRAMLOCALPARAMETERIUIVNVPROC epoxy_glGetProgramLocalParameterIuivNV;
    PFNGLGETPROGRAMLOCALPARAMETERDVARBPROC epoxy_glGetProgramLocalParameterdvARB;
    PFNGLGETPROGRAMLOCALPARAMETERFVARBPROC epoxy_glGetProgramLocalParameterfvARB;
    PFNGLGETPROGRAMNAMEDPARAMETERDVNVPROC epoxy_glGetProgramNamedParameterdvNV;
    PFNGLGETPROGRAMNAMEDPARAMETERFVNVPROC epoxy_glGetProgramNamedParameterfvNV;
    PFNGLGETPROGRAMPARAMETERDVNVPROC epoxy_glGetProgramParameterdvNV;
    PFNGLGETPROGRAMPARAMETERFVNVPROC epoxy_glGetProgramParameterfvNV;
    PFNGLGETPROGRAMPIPELINEINFOLOGPROC epoxy_glGetProgramPipelineInfoLog;
    PFNGLGETPROGRAMPIPELINEINFOLOGEXTPROC epoxy_glGetProgramPipelineInfoLogEXT;
    PFNGLGETPROGRAMPIPELINEIVPROC epoxy_glGetProgramPipelineiv;
    PFNGLGETPROGRAMPIPELINEIVEXTPROC epoxy_glGetProgramPipelineivEXT;
    PFNGLGETPROGRAMRESOURCEINDEXPROC epoxy_glGetProgramResourceIndex;
    PFNGLGETPROGRAMRESOURCELOCATIONPROC epoxy_glGetProgramResourceLocation;
    PFNGLGETPROGRAMRESOURCELOCATIONINDEXPROC epoxy_glGetProgramResourceLocationIndex;
    PFNGLGETPROGRAMRESOURCENAMEPROC epoxy_glGetProgramResourceName;
    PFNGLGETPROGRAMRESOURCEIVPROC epoxy_glGetProgramResourceiv;
    PFNGLGETPROGRAMSTAGEIVPROC epoxy_glGetProgramStageiv;
    PFNGLGETPROGRAMSTRINGARBPROC epoxy_glGetProgramStringARB;
    PFNGLGETPROGRAMSTRINGNVPROC epoxy_glGetProgramStringNV;
    PFNGLGETPROGRAMSUBROUTINEPARAMETERUIVNVPROC epoxy_glGetProgramSubroutineParameteruivNV;
    PFNGLGETPROGRAMIVPROC epoxy_glGetProgramiv;
    PFNGLGETPROGRAMIVARBPROC epoxy_glGetProgramivARB;
    PFNGLGETPROGRAMIVNVPROC epoxy_glGetProgramivNV;
    PFNGLGETQUERYINDEXEDIVPROC epoxy_glGetQueryIndexediv;
    PFNGLGETQUERYOBJECTI64VPROC epoxy_glGetQueryObjecti64v;
    PFNGLGETQUERYOBJECTI64VEXTPROC epoxy_glGetQueryObjecti64vEXT;
    PFNGLGETQUERYOBJECTIVPROC epoxy_glGetQueryObjectiv;
    PFNGLGETQUERYOBJECTIVARBPROC epoxy_glGetQueryObjectivARB;
    PFNGLGETQUERYOBJECTIVEXTPROC epoxy_glGetQueryObjectivEXT;
    PFNGLGETQUERYOBJECTUI64VPROC epoxy_glGetQueryObjectui64v;
    PFNGLGETQUERYOBJECTUI64VEXTPROC epoxy_glGetQueryObjectui64vEXT;
    PFNGLGETQUERYOBJECTUIVPROC epoxy_glGetQueryObjectuiv;
    PFNGLGETQUERYOBJECTUIVARBPROC epoxy_glGetQueryObjectuivARB;
    PFNGLGETQUERYOBJECTUIVEXTPROC epoxy_glGetQueryObjectuivEXT;
    PFNGLGETQUERYIVPROC epoxy_glGetQueryiv;
    PFNGLGETQUERYIVARBPROC epoxy_glGetQueryivARB;
    PFNGLGETQUERYIVEXTPROC epoxy_glGetQueryivEXT;
    PFNGLGETRENDERBUFFERPARAMETERIVPROC epoxy_glGetRenderbufferParameteriv;
    PFNGLGETRENDERBUFFERPARAMETERIVEXTPROC epoxy_glGetRenderbufferParameterivEXT;
    PFNGLGETRENDERBUFFERPARAMETERIVOESPROC epoxy_glGetRenderbufferParameterivOES;
    PFNGLGETSAMPLERPARAMETERIIVPROC epoxy_glGetSamplerParameterIiv;
    PFNGLGETSAMPLERPARAMETERIUIVPROC epoxy_glGetSamplerParameterIuiv;
    PFNGLGETSAMPLERPARAMETERFVPROC epoxy_glGetSamplerParameterfv;
    PFNGLGETSAMPLERPARAMETERIVPROC epoxy_glGetSamplerParameteriv;
    PFNGLGETSEPARABLEFILTERPROC epoxy_glGetSeparableFilter;
    PFNGLGETSEPARABLEFILTEREXTPROC epoxy_glGetSeparableFilterEXT;
    PFNGLGETSHADERINFOLOGPROC epoxy_glGetShaderInfoLog;
    PFNGLGETSHADERPRECISIONFORMATPROC epoxy_glGetShaderPrecisionFormat;
    PFNGLGETSHADERSOURCEPROC epoxy_glGetShaderSource;
    PFNGLGETSHADERSOURCEARBPROC epoxy_glGetShaderSourceARB;
    PFNGLGETSHADERIVPROC epoxy_glGetShaderiv;
    PFNGLGETSHARPENTEXFUNCSGISPROC epoxy_glGetSharpenTexFuncSGIS;
    PFNGLGETSTRINGPROC epoxy_glGetString;
    PFNGLGETSTRINGIPROC epoxy_glGetStringi;
    PFNGLGETSUBROUTINEINDEXPROC epoxy_glGetSubroutineIndex;
    PFNGLGETSUBROUTINEUNIFORMLOCATIONPROC epoxy_glGetSubroutineUniformLocation;
    PFNGLGETSYNCIVPROC epoxy_glGetSynciv;
    PFNGLGETSYNCIVAPPLEPROC epoxy_glGetSyncivAPPLE;
    PFNGLGETTEXBUMPPARAMETERFVATIPROC epoxy_glGetTexBumpParameterfvATI;
    PFNGLGETTEXBUMPPARAMETERIVATIPROC epoxy_glGetTexBumpParameterivATI;
    PFNGLGETTEXENVFVPROC epoxy_glGetTexEnvfv;
    PFNGLGETTEXENVIVPROC epoxy_glGetTexEnviv;
    PFNGLGETTEXENVXVPROC epoxy_glGetTexEnvxv;
    PFNGLGETTEXENVXVOESPROC epoxy_glGetTexEnvxvOES;
    PFNGLGETTEXFILTERFUNCSGISPROC epoxy_glGetTexFilterFuncSGIS;
    PFNGLGETTEXGENDVPROC epoxy_glGetTexGendv;
    PFNGLGETTEXGENFVPROC epoxy_glGetTexGenfv;
    PFNGLGETTEXGENFVOESPROC epoxy_glGetTexGenfvOES;
    PFNGLGETTEXGENIVPROC epoxy_glGetTexGeniv;
    PFNGLGETTEXGENIVOESPROC epoxy_glGetTexGenivOES;
    PFNGLGETTEXGENXVOESPROC epoxy_glGetTexGenxvOES;
    PFNGLGETTEXIMAGEPROC epoxy_glGetTexImage;
    PFNGLGETTEXLEVELPARAMETERFVPROC epoxy_glGetTexLevelParameterfv;
    PFNGLGETTEXLEVELPARAMETERIVPROC epoxy_glGetTexLevelParameteriv;
    PFNGLGETTEXLEVELPARAMETERXVOESPROC epoxy_glGetTexLevelParameterxvOES;
    PFNGLGETTEXPARAMETERIIVPROC epoxy_glGetTexParameterIiv;
    PFNGLGETTEXPARAMETERIIVEXTPROC epoxy_glGetTexParameterIivEXT;
    PFNGLGETTEXPARAMETERIUIVPROC epoxy_glGetTexParameterIuiv;
    PFNGLGETTEXPARAMETERIUIVEXTPROC epoxy_glGetTexParameterIuivEXT;
    PFNGLGETTEXPARAMETERPOINTERVAPPLEPROC epoxy_glGetTexParameterPointervAPPLE;
    PFNGLGETTEXPARAMETERFVPROC epoxy_glGetTexParameterfv;
    PFNGLGETTEXPARAMETERIVPROC epoxy_glGetTexParameteriv;
    PFNGLGETTEXPARAMETERXVPROC epoxy_glGetTexParameterxv;
    PFNGLGETTEXPARAMETERXVOESPROC epoxy_glGetTexParameterxvOES;
    PFNGLGETTEXTUREHANDLEARBPROC epoxy_glGetTextureHandleARB;
    PFNGLGETTEXTUREHANDLENVPROC epoxy_glGetTextureHandleNV;
    PFNGLGETTEXTUREIMAGEEXTPROC epoxy_glGetTextureImageEXT;
    PFNGLGETTEXTURELEVELPARAMETERFVEXTPROC epoxy_glGetTextureLevelParameterfvEXT;
    PFNGLGETTEXTURELEVELPARAMETERIVEXTPROC epoxy_glGetTextureLevelParameterivEXT;
    PFNGLGETTEXTUREPARAMETERIIVEXTPROC epoxy_glGetTextureParameterIivEXT;
    PFNGLGETTEXTUREPARAMETERIUIVEXTPROC epoxy_glGetTextureParameterIuivEXT;
    PFNGLGETTEXTUREPARAMETERFVEXTPROC epoxy_glGetTextureParameterfvEXT;
    PFNGLGETTEXTUREPARAMETERIVEXTPROC epoxy_glGetTextureParameterivEXT;
    PFNGLGETTEXTURESAMPLERHANDLEARBPROC epoxy_glGetTextureSamplerHandleARB;
    PFNGLGETTEXTURESAMPLERHANDLENVPROC epoxy_glGetTextureSamplerHandleNV;
    PFNGLGETTRACKMATRIXIVNVPROC epoxy_glGetTrackMatrixivNV;
    PFNGLGETTRANSFORMFEEDBACKVARYINGPROC epoxy_glGetTransformFeedbackVarying;
    PFNGLGETTRANSFORMFEEDBACKVARYINGEXTPROC epoxy_glGetTransformFeedbackVaryingEXT;
    PFNGLGETTRANSFORMFEEDBACKVARYINGNVPROC epoxy_glGetTransformFeedbackVaryingNV;
    PFNGLGETTRANSLATEDSHADERSOURCEANGLEPROC epoxy_glGetTranslatedShaderSourceANGLE;
    PFNGLGETUNIFORMBLOCKINDEXPROC epoxy_glGetUniformBlockIndex;
    PFNGLGETUNIFORMBUFFERSIZEEXTPROC epoxy_glGetUniformBufferSizeEXT;
    PFNGLGETUNIFORMINDICESPROC epoxy_glGetUniformIndices;
    PFNGLGETUNIFORMLOCATIONPROC epoxy_glGetUniformLocation;
    PFNGLGETUNIFORMLOCATIONARBPROC epoxy_glGetUniformLocationARB;
    PFNGLGETUNIFORMOFFSETEXTPROC epoxy_glGetUniformOffsetEXT;
    PFNGLGETUNIFORMSUBROUTINEUIVPROC epoxy_glGetUniformSubroutineuiv;
    PFNGLGETUNIFORMDVPROC epoxy_glGetUniformdv;
    PFNGLGETUNIFORMFVPROC epoxy_glGetUniformfv;
    PFNGLGETUNIFORMFVARBPROC epoxy_glGetUniformfvARB;
    PFNGLGETUNIFORMI64VNVPROC epoxy_glGetUniformi64vNV;
    PFNGLGETUNIFORMIVPROC epoxy_glGetUniformiv;
    PFNGLGETUNIFORMIVARBPROC epoxy_glGetUniformivARB;
    PFNGLGETUNIFORMUI64VNVPROC epoxy_glGetUniformui64vNV;
    PFNGLGETUNIFORMUIVPROC epoxy_glGetUniformuiv;
    PFNGLGETUNIFORMUIVEXTPROC epoxy_glGetUniformuivEXT;
    PFNGLGETVARIANTARRAYOBJECTFVATIPROC epoxy_glGetVariantArrayObjectfvATI;
    PFNGLGETVARIANTARRAYOBJECTIVATIPROC epoxy_glGetVariantArrayObjectivATI;
    PFNGLGETVARIANTBOOLEANVEXTPROC epoxy_glGetVariantBooleanvEXT;
    PFNGLGETVARIANTFLOATVEXTPROC epoxy_glGetVariantFloatvEXT;
    PFNGLGETVARIANTINTEGERVEXTPROC epoxy_glGetVariantIntegervEXT;
    PFNGLGETVARIANTPOINTERVEXTPROC epoxy_glGetVariantPointervEXT;
    PFNGLGETVARYINGLOCATIONNVPROC epoxy_glGetVaryingLocationNV;
    PFNGLGETVERTEXARRAYINTEGERI_VEXTPROC epoxy_glGetVertexArrayIntegeri_vEXT;
    PFNGLGETVERTEXARRAYINTEGERVEXTPROC epoxy_glGetVertexArrayIntegervEXT;
    PFNGLGETVERTEXARRAYPOINTERI_VEXTPROC epoxy_glGetVertexArrayPointeri_vEXT;
    PFNGLGETVERTEXARRAYPOINTERVEXTPROC epoxy_glGetVertexArrayPointervEXT;
    PFNGLGETVERTEXATTRIBARRAYOBJECTFVATIPROC epoxy_glGetVertexAttribArrayObjectfvATI;
    PFNGLGETVERTEXATTRIBARRAYOBJECTIVATIPROC epoxy_glGetVertexAttribArrayObjectivATI;
    PFNGLGETVERTEXATTRIBIIVPROC epoxy_glGetVertexAttribIiv;
    PFNGLGETVERTEXATTRIBIIVEXTPROC epoxy_glGetVertexAttribIivEXT;
    PFNGLGETVERTEXATTRIBIUIVPROC epoxy_glGetVertexAttribIuiv;
    PFNGLGETVERTEXATTRIBIUIVEXTPROC epoxy_glGetVertexAttribIuivEXT;
    PFNGLGETVERTEXATTRIBLDVPROC epoxy_glGetVertexAttribLdv;
    PFNGLGETVERTEXATTRIBLDVEXTPROC epoxy_glGetVertexAttribLdvEXT;
    PFNGLGETVERTEXATTRIBLI64VNVPROC epoxy_glGetVertexAttribLi64vNV;
    PFNGLGETVERTEXATTRIBLUI64VARBPROC epoxy_glGetVertexAttribLui64vARB;
    PFNGLGETVERTEXATTRIBLUI64VNVPROC epoxy_glGetVertexAttribLui64vNV;
    PFNGLGETVERTEXATTRIBPOINTERVPROC epoxy_glGetVertexAttribPointerv;
    PFNGLGETVERTEXATTRIBPOINTERVARBPROC epoxy_glGetVertexAttribPointervARB;
    PFNGLGETVERTEXATTRIBPOINTERVNVPROC epoxy_glGetVertexAttribPointervNV;
    PFNGLGETVERTEXATTRIBDVPROC epoxy_glGetVertexAttribdv;
    PFNGLGETVERTEXATTRIBDVARBPROC epoxy_glGetVertexAttribdvARB;
    PFNGLGETVERTEXATTRIBDVNVPROC epoxy_glGetVertexAttribdvNV;
    PFNGLGETVERTEXATTRIBFVPROC epoxy_glGetVertexAttribfv;
    PFNGLGETVERTEXATTRIBFVARBPROC epoxy_glGetVertexAttribfvARB;
    PFNGLGETVERTEXATTRIBFVNVPROC epoxy_glGetVertexAttribfvNV;
    PFNGLGETVERTEXATTRIBIVPROC epoxy_glGetVertexAttribiv;
    PFNGLGETVERTEXATTRIBIVARBPROC epoxy_glGetVertexAttribivARB;
    PFNGLGETVERTEXATTRIBIVNVPROC epoxy_glGetVertexAttribivNV;
    PFNGLGETVIDEOCAPTURESTREAMDVNVPROC epoxy_glGetVideoCaptureStreamdvNV;
    PFNGLGETVIDEOCAPTURESTREAMFVNVPROC epoxy_glGetVideoCaptureStreamfvNV;
    PFNGLGETVIDEOCAPTURESTREAMIVNVPROC epoxy_glGetVideoCaptureStreamivNV;
    PFNGLGETVIDEOCAPTUREIVNVPROC epoxy_glGetVideoCaptureivNV;
    PFNGLGETVIDEOI64VNVPROC epoxy_glGetVideoi64vNV;
    PFNGLGETVIDEOIVNVPROC epoxy_glGetVideoivNV;
    PFNGLGETVIDEOUI64VNVPROC epoxy_glGetVideoui64vNV;
    PFNGLGETVIDEOUIVNVPROC epoxy_glGetVideouivNV;
    PFNGLGETNCOLORTABLEARBPROC epoxy_glGetnColorTableARB;
    PFNGLGETNCOMPRESSEDTEXIMAGEARBPROC epoxy_glGetnCompressedTexImageARB;
    PFNGLGETNCONVOLUTIONFILTERARBPROC epoxy_glGetnConvolutionFilterARB;
    PFNGLGETNHISTOGRAMARBPROC epoxy_glGetnHistogramARB;
    PFNGLGETNMAPDVARBPROC epoxy_glGetnMapdvARB;
    PFNGLGETNMAPFVARBPROC epoxy_glGetnMapfvARB;
    PFNGLGETNMAPIVARBPROC epoxy_glGetnMapivARB;
    PFNGLGETNMINMAXARBPROC epoxy_glGetnMinmaxARB;
    PFNGLGETNPIXELMAPFVARBPROC epoxy_glGetnPixelMapfvARB;
    PFNGLGETNPIXELMAPUIVARBPROC epoxy_glGetnPixelMapuivARB;
    PFNGLGETNPIXELMAPUSVARBPROC epoxy_glGetnPixelMapusvARB;
    PFNGLGETNPOLYGONSTIPPLEARBPROC epoxy_glGetnPolygonStippleARB;
    PFNGLGETNSEPARABLEFILTERARBPROC epoxy_glGetnSeparableFilterARB;
    PFNGLGETNTEXIMAGEARBPROC epoxy_glGetnTexImageARB;
    PFNGLGETNUNIFORMDVARBPROC epoxy_glGetnUniformdvARB;
    PFNGLGETNUNIFORMFVARBPROC epoxy_glGetnUniformfvARB;
    PFNGLGETNUNIFORMFVEXTPROC epoxy_glGetnUniformfvEXT;
    PFNGLGETNUNIFORMIVARBPROC epoxy_glGetnUniformivARB;
    PFNGLGETNUNIFORMIVEXTPROC epoxy_glGetnUniformivEXT;
    PFNGLGETNUNIFORMUIVARBPROC epoxy_glGetnUniformuivARB;
    PFNGLGLOBALALPHAFACTORBSUNPROC epoxy_glGlobalAlphaFactorbSUN;
    PFNGLGLOBALALPHAFACTORDSUNPROC epoxy_glGlobalAlphaFactordSUN;
    PFNGLGLOBALALPHAFACTORFSUNPROC epoxy_glGlobalAlphaFactorfSUN;
    PFNGLGLOBALALPHAFACTORISUNPROC epoxy_glGlobalAlphaFactoriSUN;
    PFNGLGLOBALALPHAFACTORSSUNPROC epoxy_glGlobalAlphaFactorsSUN;
    PFNGLGLOBALALPHAFACTORUBSUNPROC epoxy_glGlobalAlphaFactorubSUN;
    PFNGLGLOBALALPHAFACTORUISUNPROC epoxy_glGlobalAlphaFactoruiSUN;
    PFNGLGLOBALALPHAFACTORUSSUNPROC epoxy_glGlobalAlphaFactorusSUN;
    PFNGLHINTPROC epoxy_glHint;
    PFNGLHINTPGIPROC epoxy_glHintPGI;
    PFNGLHISTOGRAMPROC epoxy_glHistogram;
    PFNGLHISTOGRAMEXTPROC epoxy_glHistogramEXT;
    PFNGLIGLOOINTERFACESGIXPROC epoxy_glIglooInterfaceSGIX;
    PFNGLIMAGETRANSFORMPARAMETERFHPPROC epoxy_glImageTransformParameterfHP;
    PFNGLIMAGETRANSFORMPARAMETERFVHPPROC epoxy_glImageTransformParameterfvHP;
    PFNGLIMAGETRANSFORMPARAMETERIHPPROC epoxy_glImageTransformParameteriHP;
    PFNGLIMAGETRANSFORMPARAMETERIVHPPROC epoxy_glImageTransformParameterivHP;
    PFNGLIMPORTSYNCEXTPROC epoxy_glImportSyncEXT;
    PFNGLINDEXFORMATNVPROC epoxy_glIndexFormatNV;
    PFNGLINDEXFUNCEXTPROC epoxy_glIndexFuncEXT;
    PFNGLINDEXMASKPROC epoxy_glIndexMask;
    PFNGLINDEXMATERIALEXTPROC epoxy_glIndexMaterialEXT;
    PFNGLINDEXPOINTERPROC epoxy_glIndexPointer;
    PFNGLINDEXPOINTEREXTPROC epoxy_glIndexPointerEXT;
    PFNGLINDEXPOINTERLISTIBMPROC epoxy_glIndexPointerListIBM;
    PFNGLINDEXDPROC epoxy_glIndexd;
    PFNGLINDEXDVPROC epoxy_glIndexdv;
    PFNGLINDEXFPROC epoxy_glIndexf;
    PFNGLINDEXFVPROC epoxy_glIndexfv;
    PFNGLINDEXIPROC epoxy_glIndexi;
    PFNGLINDEXIVPROC epoxy_glIndexiv;
    PFNGLINDEXSPROC epoxy_glIndexs;
    PFNGLINDEXSVPROC epoxy_glIndexsv;
    PFNGLINDEXUBPROC epoxy_glIndexub;
    PFNGLINDEXUBVPROC epoxy_glIndexubv;
    PFNGLINDEXXOESPROC epoxy_glIndexxOES;
    PFNGLINDEXXVOESPROC epoxy_glIndexxvOES;
    PFNGLINITNAMESPROC epoxy_glInitNames;
    PFNGLINSERTCOMPONENTEXTPROC epoxy_glInsertComponentEXT;
    PFNGLINSERTEVENTMARKEREXTPROC epoxy_glInsertEventMarkerEXT;
    PFNGLINSTRUMENTSBUFFERSGIXPROC epoxy_glInstrumentsBufferSGIX;
    PFNGLINTERLEAVEDARRAYSPROC epoxy_glInterleavedArrays;
    PFNGLINTERPOLATEPATHSNVPROC epoxy_glInterpolatePathsNV;
    PFNGLINVALIDATEBUFFERDATAPROC epoxy_glInvalidateBufferData;
    PFNGLINVALIDATEBUFFERSUBDATAPROC epoxy_glInvalidateBufferSubData;
    PFNGLINVALIDATEFRAMEBUFFERPROC epoxy_glInvalidateFramebuffer;
    PFNGLINVALIDATESUBFRAMEBUFFERPROC epoxy_glInvalidateSubFramebuffer;
    PFNGLINVALIDATETEXIMAGEPROC epoxy_glInvalidateTexImage;
    PFNGLINVALIDATETEXSUBIMAGEPROC epoxy_glInvalidateTexSubImage;
    PFNGLISASYNCMARKERSGIXPROC epoxy_glIsAsyncMarkerSGIX;
    PFNGLISBUFFERPROC epoxy_glIsBuffer;
    PFNGLISBUFFERARBPROC epoxy_glIsBufferARB;
    PFNGLISBUFFERRESIDENTNVPROC epoxy_glIsBufferResidentNV;
    PFNGLISENABLEDPROC epoxy_glIsEnabled;
    PFNGLISENABLEDINDEXEDEXTPROC epoxy_glIsEnabledIndexedEXT;
    PFNGLISENABLEDIPROC epoxy_glIsEnabledi;
    PFNGLISFENCEAPPLEPROC epoxy_glIsFenceAPPLE;
    PFNGLISFENCENVPROC epoxy_glIsFenceNV;
    PFNGLISFRAMEBUFFERPROC epoxy_glIsFramebuffer;
    PFNGLISFRAMEBUFFEREXTPROC epoxy_glIsFramebufferEXT;
    PFNGLISFRAMEBUFFEROESPROC epoxy_glIsFramebufferOES;
    PFNGLISIMAGEHANDLERESIDENTARBPROC epoxy_glIsImageHandleResidentARB;
    PFNGLISIMAGEHANDLERESIDENTNVPROC epoxy_glIsImageHandleResidentNV;
    PFNGLISLISTPROC epoxy_glIsList;
    PFNGLISNAMEAMDPROC epoxy_glIsNameAMD;
    PFNGLISNAMEDBUFFERRESIDENTNVPROC epoxy_glIsNamedBufferResidentNV;
    PFNGLISNAMEDSTRINGARBPROC epoxy_glIsNamedStringARB;
    PFNGLISOBJECTBUFFERATIPROC epoxy_glIsObjectBufferATI;
    PFNGLISOCCLUSIONQUERYNVPROC epoxy_glIsOcclusionQueryNV;
    PFNGLISPATHNVPROC epoxy_glIsPathNV;
    PFNGLISPOINTINFILLPATHNVPROC epoxy_glIsPointInFillPathNV;
    PFNGLISPOINTINSTROKEPATHNVPROC epoxy_glIsPointInStrokePathNV;
    PFNGLISPROGRAMPROC epoxy_glIsProgram;
    PFNGLISPROGRAMARBPROC epoxy_glIsProgramARB;
    PFNGLISPROGRAMNVPROC epoxy_glIsProgramNV;
    PFNGLISPROGRAMPIPELINEPROC epoxy_glIsProgramPipeline;
    PFNGLISPROGRAMPIPELINEEXTPROC epoxy_glIsProgramPipelineEXT;
    PFNGLISQUERYPROC epoxy_glIsQuery;
    PFNGLISQUERYARBPROC epoxy_glIsQueryARB;
    PFNGLISQUERYEXTPROC epoxy_glIsQueryEXT;
    PFNGLISRENDERBUFFERPROC epoxy_glIsRenderbuffer;
    PFNGLISRENDERBUFFEREXTPROC epoxy_glIsRenderbufferEXT;
    PFNGLISRENDERBUFFEROESPROC epoxy_glIsRenderbufferOES;
    PFNGLISSAMPLERPROC epoxy_glIsSampler;
    PFNGLISSHADERPROC epoxy_glIsShader;
    PFNGLISSYNCPROC epoxy_glIsSync;
    PFNGLISSYNCAPPLEPROC epoxy_glIsSyncAPPLE;
    PFNGLISTEXTUREPROC epoxy_glIsTexture;
    PFNGLISTEXTUREEXTPROC epoxy_glIsTextureEXT;
    PFNGLISTEXTUREHANDLERESIDENTARBPROC epoxy_glIsTextureHandleResidentARB;
    PFNGLISTEXTUREHANDLERESIDENTNVPROC epoxy_glIsTextureHandleResidentNV;
    PFNGLISTRANSFORMFEEDBACKPROC epoxy_glIsTransformFeedback;
    PFNGLISTRANSFORMFEEDBACKNVPROC epoxy_glIsTransformFeedbackNV;
    PFNGLISVARIANTENABLEDEXTPROC epoxy_glIsVariantEnabledEXT;
    PFNGLISVERTEXARRAYPROC epoxy_glIsVertexArray;
    PFNGLISVERTEXARRAYAPPLEPROC epoxy_glIsVertexArrayAPPLE;
    PFNGLISVERTEXARRAYOESPROC epoxy_glIsVertexArrayOES;
    PFNGLISVERTEXATTRIBENABLEDAPPLEPROC epoxy_glIsVertexAttribEnabledAPPLE;
    PFNGLLABELOBJECTEXTPROC epoxy_glLabelObjectEXT;
    PFNGLLIGHTENVISGIXPROC epoxy_glLightEnviSGIX;
    PFNGLLIGHTMODELFPROC epoxy_glLightModelf;
    PFNGLLIGHTMODELFVPROC epoxy_glLightModelfv;
    PFNGLLIGHTMODELIPROC epoxy_glLightModeli;
    PFNGLLIGHTMODELIVPROC epoxy_glLightModeliv;
    PFNGLLIGHTMODELXPROC epoxy_glLightModelx;
    PFNGLLIGHTMODELXOESPROC epoxy_glLightModelxOES;
    PFNGLLIGHTMODELXVPROC epoxy_glLightModelxv;
    PFNGLLIGHTMODELXVOESPROC epoxy_glLightModelxvOES;
    PFNGLLIGHTFPROC epoxy_glLightf;
    PFNGLLIGHTFVPROC epoxy_glLightfv;
    PFNGLLIGHTIPROC epoxy_glLighti;
    PFNGLLIGHTIVPROC epoxy_glLightiv;
    PFNGLLIGHTXPROC epoxy_glLightx;
    PFNGLLIGHTXOESPROC epoxy_glLightxOES;
    PFNGLLIGHTXVPROC epoxy_glLightxv;
    PFNGLLIGHTXVOESPROC epoxy_glLightxvOES;
    PFNGLLINESTIPPLEPROC epoxy_glLineStipple;
    PFNGLLINEWIDTHPROC epoxy_glLineWidth;
    PFNGLLINEWIDTHXPROC epoxy_glLineWidthx;
    PFNGLLINEWIDTHXOESPROC epoxy_glLineWidthxOES;
    PFNGLLINKPROGRAMPROC epoxy_glLinkProgram;
    PFNGLLINKPROGRAMARBPROC epoxy_glLinkProgramARB;
    PFNGLLISTBASEPROC epoxy_glListBase;
    PFNGLLISTPARAMETERFSGIXPROC epoxy_glListParameterfSGIX;
    PFNGLLISTPARAMETERFVSGIXPROC epoxy_glListParameterfvSGIX;
    PFNGLLISTPARAMETERISGIXPROC epoxy_glListParameteriSGIX;
    PFNGLLISTPARAMETERIVSGIXPROC epoxy_glListParameterivSGIX;
    PFNGLLOADIDENTITYPROC epoxy_glLoadIdentity;
    PFNGLLOADIDENTITYDEFORMATIONMAPSGIXPROC epoxy_glLoadIdentityDeformationMapSGIX;
    PFNGLLOADMATRIXDPROC epoxy_glLoadMatrixd;
    PFNGLLOADMATRIXFPROC epoxy_glLoadMatrixf;
    PFNGLLOADMATRIXXPROC epoxy_glLoadMatrixx;
    PFNGLLOADMATRIXXOESPROC epoxy_glLoadMatrixxOES;
    PFNGLLOADNAMEPROC epoxy_glLoadName;
    PFNGLLOADPALETTEFROMMODELVIEWMATRIXOESPROC epoxy_glLoadPaletteFromModelViewMatrixOES;
    PFNGLLOADPROGRAMNVPROC epoxy_glLoadProgramNV;
    PFNGLLOADTRANSPOSEMATRIXDPROC epoxy_glLoadTransposeMatrixd;
    PFNGLLOADTRANSPOSEMATRIXDARBPROC epoxy_glLoadTransposeMatrixdARB;
    PFNGLLOADTRANSPOSEMATRIXFPROC epoxy_glLoadTransposeMatrixf;
    PFNGLLOADTRANSPOSEMATRIXFARBPROC epoxy_glLoadTransposeMatrixfARB;
    PFNGLLOADTRANSPOSEMATRIXXOESPROC epoxy_glLoadTransposeMatrixxOES;
    PFNGLLOCKARRAYSEXTPROC epoxy_glLockArraysEXT;
    PFNGLLOGICOPPROC epoxy_glLogicOp;
    PFNGLMAKEBUFFERNONRESIDENTNVPROC epoxy_glMakeBufferNonResidentNV;
    PFNGLMAKEBUFFERRESIDENTNVPROC epoxy_glMakeBufferResidentNV;
    PFNGLMAKEIMAGEHANDLENONRESIDENTARBPROC epoxy_glMakeImageHandleNonResidentARB;
    PFNGLMAKEIMAGEHANDLENONRESIDENTNVPROC epoxy_glMakeImageHandleNonResidentNV;
    PFNGLMAKEIMAGEHANDLERESIDENTARBPROC epoxy_glMakeImageHandleResidentARB;
    PFNGLMAKEIMAGEHANDLERESIDENTNVPROC epoxy_glMakeImageHandleResidentNV;
    PFNGLMAKENAMEDBUFFERNONRESIDENTNVPROC epoxy_glMakeNamedBufferNonResidentNV;
    PFNGLMAKENAMEDBUFFERRESIDENTNVPROC epoxy_glMakeNamedBufferResidentNV;
    PFNGLMAKETEXTUREHANDLENONRESIDENTARBPROC epoxy_glMakeTextureHandleNonResidentARB;
    PFNGLMAKETEXTUREHANDLENONRESIDENTNVPROC epoxy_glMakeTextureHandleNonResidentNV;
    PFNGLMAKETEXTUREHANDLERESIDENTARBPROC epoxy_glMakeTextureHandleResidentARB;
    PFNGLMAKETEXTUREHANDLERESIDENTNVPROC epoxy_glMakeTextureHandleResidentNV;
    PFNGLMAP1DPROC epoxy_glMap1d;
    PFNGLMAP1FPROC epoxy_glMap1f;
    PFNGLMAP1XOESPROC epoxy_glMap1xOES;
    PFNGLMAP2DPROC epoxy_glMap2d;
    PFNGLMAP2FPROC epoxy_glMap2f;
    PFNGLMAP2XOESPROC epoxy_glMap2xOES;
    PFNGLMAPBUFFERPROC epoxy_glMapBuffer;
    PFNGLMAPBUFFERARBPROC epoxy_glMapBufferARB;
    PFNGLMAPBUFFEROESPROC epoxy_glMapBufferOES;
    PFNGLMAPBUFFERRANGEPROC epoxy_glMapBufferRange;
    PFNGLMAPBUFFERRANGEEXTPROC epoxy_glMapBufferRangeEXT;
    PFNGLMAPCONTROLPOINTSNVPROC epoxy_glMapControlPointsNV;
    PFNGLMAPGRID1DPROC epoxy_glMapGrid1d;
    PFNGLMAPGRID1FPROC epoxy_glMapGrid1f;
    PFNGLMAPGRID1XOESPROC epoxy_glMapGrid1xOES;
    PFNGLMAPGRID2DPROC epoxy_glMapGrid2d;
    PFNGLMAPGRID2FPROC epoxy_glMapGrid2f;
    PFNGLMAPGRID2XOESPROC epoxy_glMapGrid2xOES;
    PFNGLMAPNAMEDBUFFEREXTPROC epoxy_glMapNamedBufferEXT;
    PFNGLMAPNAMEDBUFFERRANGEEXTPROC epoxy_glMapNamedBufferRangeEXT;
    PFNGLMAPOBJECTBUFFERATIPROC epoxy_glMapObjectBufferATI;
    PFNGLMAPPARAMETERFVNVPROC epoxy_glMapParameterfvNV;
    PFNGLMAPPARAMETERIVNVPROC epoxy_glMapParameterivNV;
    PFNGLMAPTEXTURE2DINTELPROC epoxy_glMapTexture2DINTEL;
    PFNGLMAPVERTEXATTRIB1DAPPLEPROC epoxy_glMapVertexAttrib1dAPPLE;
    PFNGLMAPVERTEXATTRIB1FAPPLEPROC epoxy_glMapVertexAttrib1fAPPLE;
    PFNGLMAPVERTEXATTRIB2DAPPLEPROC epoxy_glMapVertexAttrib2dAPPLE;
    PFNGLMAPVERTEXATTRIB2FAPPLEPROC epoxy_glMapVertexAttrib2fAPPLE;
    PFNGLMATERIALFPROC epoxy_glMaterialf;
    PFNGLMATERIALFVPROC epoxy_glMaterialfv;
    PFNGLMATERIALIPROC epoxy_glMateriali;
    PFNGLMATERIALIVPROC epoxy_glMaterialiv;
    PFNGLMATERIALXPROC epoxy_glMaterialx;
    PFNGLMATERIALXOESPROC epoxy_glMaterialxOES;
    PFNGLMATERIALXVPROC epoxy_glMaterialxv;
    PFNGLMATERIALXVOESPROC epoxy_glMaterialxvOES;
    PFNGLMATRIXFRUSTUMEXTPROC epoxy_glMatrixFrustumEXT;
    PFNGLMATRIXINDEXPOINTERARBPROC epoxy_glMatrixIndexPointerARB;
    PFNGLMATRIXINDEXPOINTEROESPROC epoxy_glMatrixIndexPointerOES;
    PFNGLMATRIXINDEXUBVARBPROC epoxy_glMatrixIndexubvARB;
    PFNGLMATRIXINDEXUIVARBPROC epoxy_glMatrixIndexuivARB;
    PFNGLMATRIXINDEXUSVARBPROC epoxy_glMatrixIndexusvARB;
    PFNGLMATRIXLOADIDENTITYEXTPROC epoxy_glMatrixLoadIdentityEXT;
    PFNGLMATRIXLOADTRANSPOSEDEXTPROC epoxy_glMatrixLoadTransposedEXT;
    PFNGLMATRIXLOADTRANSPOSEFEXTPROC epoxy_glMatrixLoadTransposefEXT;
    PFNGLMATRIXLOADDEXTPROC epoxy_glMatrixLoaddEXT;
    PFNGLMATRIXLOADFEXTPROC epoxy_glMatrixLoadfEXT;
    PFNGLMATRIXMODEPROC epoxy_glMatrixMode;
    PFNGLMATRIXMULTTRANSPOSEDEXTPROC epoxy_glMatrixMultTransposedEXT;
    PFNGLMATRIXMULTTRANSPOSEFEXTPROC epoxy_glMatrixMultTransposefEXT;
    PFNGLMATRIXMULTDEXTPROC epoxy_glMatrixMultdEXT;
    PFNGLMATRIXMULTFEXTPROC epoxy_glMatrixMultfEXT;
    PFNGLMATRIXORTHOEXTPROC epoxy_glMatrixOrthoEXT;
    PFNGLMATRIXPOPEXTPROC epoxy_glMatrixPopEXT;
    PFNGLMATRIXPUSHEXTPROC epoxy_glMatrixPushEXT;
    PFNGLMATRIXROTATEDEXTPROC epoxy_glMatrixRotatedEXT;
    PFNGLMATRIXROTATEFEXTPROC epoxy_glMatrixRotatefEXT;
    PFNGLMATRIXSCALEDEXTPROC epoxy_glMatrixScaledEXT;
    PFNGLMATRIXSCALEFEXTPROC epoxy_glMatrixScalefEXT;
    PFNGLMATRIXTRANSLATEDEXTPROC epoxy_glMatrixTranslatedEXT;
    PFNGLMATRIXTRANSLATEFEXTPROC epoxy_glMatrixTranslatefEXT;
    PFNGLMEMORYBARRIERPROC epoxy_glMemoryBarrier;
    PFNGLMEMORYBARRIERBYREGIONPROC epoxy_glMemoryBarrierByRegion;
    PFNGLMEMORYBARRIEREXTPROC epoxy_glMemoryBarrierEXT;
    PFNGLMINSAMPLESHADINGPROC epoxy_glMinSampleShading;
    PFNGLMINSAMPLESHADINGARBPROC epoxy_glMinSampleShadingARB;
    PFNGLMINSAMPLESHADINGOESPROC epoxy_glMinSampleShadingOES;
    PFNGLMINMAXPROC epoxy_glMinmax;
    PFNGLMINMAXEXTPROC epoxy_glMinmaxEXT;
    PFNGLMULTMATRIXDPROC epoxy_glMultMatrixd;
    PFNGLMULTMATRIXFPROC epoxy_glMultMatrixf;
    PFNGLMULTMATRIXXPROC epoxy_glMultMatrixx;
    PFNGLMULTMATRIXXOESPROC epoxy_glMultMatrixxOES;
    PFNGLMULTTRANSPOSEMATRIXDPROC epoxy_glMultTransposeMatrixd;
    PFNGLMULTTRANSPOSEMATRIXDARBPROC epoxy_glMultTransposeMatrixdARB;
    PFNGLMULTTRANSPOSEMATRIXFPROC epoxy_glMultTransposeMatrixf;
    PFNGLMULTTRANSPOSEMATRIXFARBPROC epoxy_glMultTransposeMatrixfARB;
    PFNGLMULTTRANSPOSEMATRIXXOESPROC epoxy_glMultTransposeMatrixxOES;
    PFNGLMULTIDRAWARRAYSPROC epoxy_glMultiDrawArrays;
    PFNGLMULTIDRAWARRAYSEXTPROC epoxy_glMultiDrawArraysEXT;
    PFNGLMULTIDRAWARRAYSINDIRECTPROC epoxy_glMultiDrawArraysIndirect;
    PFNGLMULTIDRAWARRAYSINDIRECTAMDPROC epoxy_glMultiDrawArraysIndirectAMD;
    PFNGLMULTIDRAWARRAYSINDIRECTBINDLESSNVPROC epoxy_glMultiDrawArraysIndirectBindlessNV;
    PFNGLMULTIDRAWARRAYSINDIRECTCOUNTARBPROC epoxy_glMultiDrawArraysIndirectCountARB;
    PFNGLMULTIDRAWELEMENTARRAYAPPLEPROC epoxy_glMultiDrawElementArrayAPPLE;
    PFNGLMULTIDRAWELEMENTSPROC epoxy_glMultiDrawElements;
    PFNGLMULTIDRAWELEMENTSBASEVERTEXPROC epoxy_glMultiDrawElementsBaseVertex;
    PFNGLMULTIDRAWELEMENTSEXTPROC epoxy_glMultiDrawElementsEXT;
    PFNGLMULTIDRAWELEMENTSINDIRECTPROC epoxy_glMultiDrawElementsIndirect;
    PFNGLMULTIDRAWELEMENTSINDIRECTAMDPROC epoxy_glMultiDrawElementsIndirectAMD;
    PFNGLMULTIDRAWELEMENTSINDIRECTBINDLESSNVPROC epoxy_glMultiDrawElementsIndirectBindlessNV;
    PFNGLMULTIDRAWELEMENTSINDIRECTCOUNTARBPROC epoxy_glMultiDrawElementsIndirectCountARB;
    PFNGLMULTIDRAWRANGEELEMENTARRAYAPPLEPROC epoxy_glMultiDrawRangeElementArrayAPPLE;
    PFNGLMULTIMODEDRAWARRAYSIBMPROC epoxy_glMultiModeDrawArraysIBM;
    PFNGLMULTIMODEDRAWELEMENTSIBMPROC epoxy_glMultiModeDrawElementsIBM;
    PFNGLMULTITEXBUFFEREXTPROC epoxy_glMultiTexBufferEXT;
    PFNGLMULTITEXCOORD1BOESPROC epoxy_glMultiTexCoord1bOES;
    PFNGLMULTITEXCOORD1BVOESPROC epoxy_glMultiTexCoord1bvOES;
    PFNGLMULTITEXCOORD1DPROC epoxy_glMultiTexCoord1d;
    PFNGLMULTITEXCOORD1DARBPROC epoxy_glMultiTexCoord1dARB;
    PFNGLMULTITEXCOORD1DVPROC epoxy_glMultiTexCoord1dv;
    PFNGLMULTITEXCOORD1DVARBPROC epoxy_glMultiTexCoord1dvARB;
    PFNGLMULTITEXCOORD1FPROC epoxy_glMultiTexCoord1f;
    PFNGLMULTITEXCOORD1FARBPROC epoxy_glMultiTexCoord1fARB;
    PFNGLMULTITEXCOORD1FVPROC epoxy_glMultiTexCoord1fv;
    PFNGLMULTITEXCOORD1FVARBPROC epoxy_glMultiTexCoord1fvARB;
    PFNGLMULTITEXCOORD1HNVPROC epoxy_glMultiTexCoord1hNV;
    PFNGLMULTITEXCOORD1HVNVPROC epoxy_glMultiTexCoord1hvNV;
    PFNGLMULTITEXCOORD1IPROC epoxy_glMultiTexCoord1i;
    PFNGLMULTITEXCOORD1IARBPROC epoxy_glMultiTexCoord1iARB;
    PFNGLMULTITEXCOORD1IVPROC epoxy_glMultiTexCoord1iv;
    PFNGLMULTITEXCOORD1IVARBPROC epoxy_glMultiTexCoord1ivARB;
    PFNGLMULTITEXCOORD1SPROC epoxy_glMultiTexCoord1s;
    PFNGLMULTITEXCOORD1SARBPROC epoxy_glMultiTexCoord1sARB;
    PFNGLMULTITEXCOORD1SVPROC epoxy_glMultiTexCoord1sv;
    PFNGLMULTITEXCOORD1SVARBPROC epoxy_glMultiTexCoord1svARB;
    PFNGLMULTITEXCOORD1XOESPROC epoxy_glMultiTexCoord1xOES;
    PFNGLMULTITEXCOORD1XVOESPROC epoxy_glMultiTexCoord1xvOES;
    PFNGLMULTITEXCOORD2BOESPROC epoxy_glMultiTexCoord2bOES;
    PFNGLMULTITEXCOORD2BVOESPROC epoxy_glMultiTexCoord2bvOES;
    PFNGLMULTITEXCOORD2DPROC epoxy_glMultiTexCoord2d;
    PFNGLMULTITEXCOORD2DARBPROC epoxy_glMultiTexCoord2dARB;
    PFNGLMULTITEXCOORD2DVPROC epoxy_glMultiTexCoord2dv;
    PFNGLMULTITEXCOORD2DVARBPROC epoxy_glMultiTexCoord2dvARB;
    PFNGLMULTITEXCOORD2FPROC epoxy_glMultiTexCoord2f;
    PFNGLMULTITEXCOORD2FARBPROC epoxy_glMultiTexCoord2fARB;
    PFNGLMULTITEXCOORD2FVPROC epoxy_glMultiTexCoord2fv;
    PFNGLMULTITEXCOORD2FVARBPROC epoxy_glMultiTexCoord2fvARB;
    PFNGLMULTITEXCOORD2HNVPROC epoxy_glMultiTexCoord2hNV;
    PFNGLMULTITEXCOORD2HVNVPROC epoxy_glMultiTexCoord2hvNV;
    PFNGLMULTITEXCOORD2IPROC epoxy_glMultiTexCoord2i;
    PFNGLMULTITEXCOORD2IARBPROC epoxy_glMultiTexCoord2iARB;
    PFNGLMULTITEXCOORD2IVPROC epoxy_glMultiTexCoord2iv;
    PFNGLMULTITEXCOORD2IVARBPROC epoxy_glMultiTexCoord2ivARB;
    PFNGLMULTITEXCOORD2SPROC epoxy_glMultiTexCoord2s;
    PFNGLMULTITEXCOORD2SARBPROC epoxy_glMultiTexCoord2sARB;
    PFNGLMULTITEXCOORD2SVPROC epoxy_glMultiTexCoord2sv;
    PFNGLMULTITEXCOORD2SVARBPROC epoxy_glMultiTexCoord2svARB;
    PFNGLMULTITEXCOORD2XOESPROC epoxy_glMultiTexCoord2xOES;
    PFNGLMULTITEXCOORD2XVOESPROC epoxy_glMultiTexCoord2xvOES;
    PFNGLMULTITEXCOORD3BOESPROC epoxy_glMultiTexCoord3bOES;
    PFNGLMULTITEXCOORD3BVOESPROC epoxy_glMultiTexCoord3bvOES;
    PFNGLMULTITEXCOORD3DPROC epoxy_glMultiTexCoord3d;
    PFNGLMULTITEXCOORD3DARBPROC epoxy_glMultiTexCoord3dARB;
    PFNGLMULTITEXCOORD3DVPROC epoxy_glMultiTexCoord3dv;
    PFNGLMULTITEXCOORD3DVARBPROC epoxy_glMultiTexCoord3dvARB;
    PFNGLMULTITEXCOORD3FPROC epoxy_glMultiTexCoord3f;
    PFNGLMULTITEXCOORD3FARBPROC epoxy_glMultiTexCoord3fARB;
    PFNGLMULTITEXCOORD3FVPROC epoxy_glMultiTexCoord3fv;
    PFNGLMULTITEXCOORD3FVARBPROC epoxy_glMultiTexCoord3fvARB;
    PFNGLMULTITEXCOORD3HNVPROC epoxy_glMultiTexCoord3hNV;
    PFNGLMULTITEXCOORD3HVNVPROC epoxy_glMultiTexCoord3hvNV;
    PFNGLMULTITEXCOORD3IPROC epoxy_glMultiTexCoord3i;
    PFNGLMULTITEXCOORD3IARBPROC epoxy_glMultiTexCoord3iARB;
    PFNGLMULTITEXCOORD3IVPROC epoxy_glMultiTexCoord3iv;
    PFNGLMULTITEXCOORD3IVARBPROC epoxy_glMultiTexCoord3ivARB;
    PFNGLMULTITEXCOORD3SPROC epoxy_glMultiTexCoord3s;
    PFNGLMULTITEXCOORD3SARBPROC epoxy_glMultiTexCoord3sARB;
    PFNGLMULTITEXCOORD3SVPROC epoxy_glMultiTexCoord3sv;
    PFNGLMULTITEXCOORD3SVARBPROC epoxy_glMultiTexCoord3svARB;
    PFNGLMULTITEXCOORD3XOESPROC epoxy_glMultiTexCoord3xOES;
    PFNGLMULTITEXCOORD3XVOESPROC epoxy_glMultiTexCoord3xvOES;
    PFNGLMULTITEXCOORD4BOESPROC epoxy_glMultiTexCoord4bOES;
    PFNGLMULTITEXCOORD4BVOESPROC epoxy_glMultiTexCoord4bvOES;
    PFNGLMULTITEXCOORD4DPROC epoxy_glMultiTexCoord4d;
    PFNGLMULTITEXCOORD4DARBPROC epoxy_glMultiTexCoord4dARB;
    PFNGLMULTITEXCOORD4DVPROC epoxy_glMultiTexCoord4dv;
    PFNGLMULTITEXCOORD4DVARBPROC epoxy_glMultiTexCoord4dvARB;
    PFNGLMULTITEXCOORD4FPROC epoxy_glMultiTexCoord4f;
    PFNGLMULTITEXCOORD4FARBPROC epoxy_glMultiTexCoord4fARB;
    PFNGLMULTITEXCOORD4FVPROC epoxy_glMultiTexCoord4fv;
    PFNGLMULTITEXCOORD4FVARBPROC epoxy_glMultiTexCoord4fvARB;
    PFNGLMULTITEXCOORD4HNVPROC epoxy_glMultiTexCoord4hNV;
    PFNGLMULTITEXCOORD4HVNVPROC epoxy_glMultiTexCoord4hvNV;
    PFNGLMULTITEXCOORD4IPROC epoxy_glMultiTexCoord4i;
    PFNGLMULTITEXCOORD4IARBPROC epoxy_glMultiTexCoord4iARB;
    PFNGLMULTITEXCOORD4IVPROC epoxy_glMultiTexCoord4iv;
    PFNGLMULTITEXCOORD4IVARBPROC epoxy_glMultiTexCoord4ivARB;
    PFNGLMULTITEXCOORD4SPROC epoxy_glMultiTexCoord4s;
    PFNGLMULTITEXCOORD4SARBPROC epoxy_glMultiTexCoord4sARB;
    PFNGLMULTITEXCOORD4SVPROC epoxy_glMultiTexCoord4sv;
    PFNGLMULTITEXCOORD4SVARBPROC epoxy_glMultiTexCoord4svARB;
    PFNGLMULTITEXCOORD4XPROC epoxy_glMultiTexCoord4x;
    PFNGLMULTITEXCOORD4XOESPROC epoxy_glMultiTexCoord4xOES;
    PFNGLMULTITEXCOORD4XVOESPROC epoxy_glMultiTexCoord4xvOES;
    PFNGLMULTITEXCOORDP1UIPROC epoxy_glMultiTexCoordP1ui;
    PFNGLMULTITEXCOORDP1UIVPROC epoxy_glMultiTexCoordP1uiv;
    PFNGLMULTITEXCOORDP2UIPROC epoxy_glMultiTexCoordP2ui;
    PFNGLMULTITEXCOORDP2UIVPROC epoxy_glMultiTexCoordP2uiv;
    PFNGLMULTITEXCOORDP3UIPROC epoxy_glMultiTexCoordP3ui;
    PFNGLMULTITEXCOORDP3UIVPROC epoxy_glMultiTexCoordP3uiv;
    PFNGLMULTITEXCOORDP4UIPROC epoxy_glMultiTexCoordP4ui;
    PFNGLMULTITEXCOORDP4UIVPROC epoxy_glMultiTexCoordP4uiv;
    PFNGLMULTITEXCOORDPOINTEREXTPROC epoxy_glMultiTexCoordPointerEXT;
    PFNGLMULTITEXENVFEXTPROC epoxy_glMultiTexEnvfEXT;
    PFNGLMULTITEXENVFVEXTPROC epoxy_glMultiTexEnvfvEXT;
    PFNGLMULTITEXENVIEXTPROC epoxy_glMultiTexEnviEXT;
    PFNGLMULTITEXENVIVEXTPROC epoxy_glMultiTexEnvivEXT;
    PFNGLMULTITEXGENDEXTPROC epoxy_glMultiTexGendEXT;
    PFNGLMULTITEXGENDVEXTPROC epoxy_glMultiTexGendvEXT;
    PFNGLMULTITEXGENFEXTPROC epoxy_glMultiTexGenfEXT;
    PFNGLMULTITEXGENFVEXTPROC epoxy_glMultiTexGenfvEXT;
    PFNGLMULTITEXGENIEXTPROC epoxy_glMultiTexGeniEXT;
    PFNGLMULTITEXGENIVEXTPROC epoxy_glMultiTexGenivEXT;
    PFNGLMULTITEXIMAGE1DEXTPROC epoxy_glMultiTexImage1DEXT;
    PFNGLMULTITEXIMAGE2DEXTPROC epoxy_glMultiTexImage2DEXT;
    PFNGLMULTITEXIMAGE3DEXTPROC epoxy_glMultiTexImage3DEXT;
    PFNGLMULTITEXPARAMETERIIVEXTPROC epoxy_glMultiTexParameterIivEXT;
    PFNGLMULTITEXPARAMETERIUIVEXTPROC epoxy_glMultiTexParameterIuivEXT;
    PFNGLMULTITEXPARAMETERFEXTPROC epoxy_glMultiTexParameterfEXT;
    PFNGLMULTITEXPARAMETERFVEXTPROC epoxy_glMultiTexParameterfvEXT;
    PFNGLMULTITEXPARAMETERIEXTPROC epoxy_glMultiTexParameteriEXT;
    PFNGLMULTITEXPARAMETERIVEXTPROC epoxy_glMultiTexParameterivEXT;
    PFNGLMULTITEXRENDERBUFFEREXTPROC epoxy_glMultiTexRenderbufferEXT;
    PFNGLMULTITEXSUBIMAGE1DEXTPROC epoxy_glMultiTexSubImage1DEXT;
    PFNGLMULTITEXSUBIMAGE2DEXTPROC epoxy_glMultiTexSubImage2DEXT;
    PFNGLMULTITEXSUBIMAGE3DEXTPROC epoxy_glMultiTexSubImage3DEXT;
    PFNGLNAMEDBUFFERDATAEXTPROC epoxy_glNamedBufferDataEXT;
    PFNGLNAMEDBUFFERSTORAGEEXTPROC epoxy_glNamedBufferStorageEXT;
    PFNGLNAMEDBUFFERSUBDATAEXTPROC epoxy_glNamedBufferSubDataEXT;
    PFNGLNAMEDCOPYBUFFERSUBDATAEXTPROC epoxy_glNamedCopyBufferSubDataEXT;
    PFNGLNAMEDFRAMEBUFFERPARAMETERIEXTPROC epoxy_glNamedFramebufferParameteriEXT;
    PFNGLNAMEDFRAMEBUFFERRENDERBUFFEREXTPROC epoxy_glNamedFramebufferRenderbufferEXT;
    PFNGLNAMEDFRAMEBUFFERTEXTURE1DEXTPROC epoxy_glNamedFramebufferTexture1DEXT;
    PFNGLNAMEDFRAMEBUFFERTEXTURE2DEXTPROC epoxy_glNamedFramebufferTexture2DEXT;
    PFNGLNAMEDFRAMEBUFFERTEXTURE3DEXTPROC epoxy_glNamedFramebufferTexture3DEXT;
    PFNGLNAMEDFRAMEBUFFERTEXTUREEXTPROC epoxy_glNamedFramebufferTextureEXT;
    PFNGLNAMEDFRAMEBUFFERTEXTUREFACEEXTPROC epoxy_glNamedFramebufferTextureFaceEXT;
    PFNGLNAMEDFRAMEBUFFERTEXTURELAYEREXTPROC epoxy_glNamedFramebufferTextureLayerEXT;
    PFNGLNAMEDPROGRAMLOCALPARAMETER4DEXTPROC epoxy_glNamedProgramLocalParameter4dEXT;
    PFNGLNAMEDPROGRAMLOCALPARAMETER4DVEXTPROC epoxy_glNamedProgramLocalParameter4dvEXT;
    PFNGLNAMEDPROGRAMLOCALPARAMETER4FEXTPROC epoxy_glNamedProgramLocalParameter4fEXT;
    PFNGLNAMEDPROGRAMLOCALPARAMETER4FVEXTPROC epoxy_glNamedProgramLocalParameter4fvEXT;
    PFNGLNAMEDPROGRAMLOCALPARAMETERI4IEXTPROC epoxy_glNamedProgramLocalParameterI4iEXT;
    PFNGLNAMEDPROGRAMLOCALPARAMETERI4IVEXTPROC epoxy_glNamedProgramLocalParameterI4ivEXT;
    PFNGLNAMEDPROGRAMLOCALPARAMETERI4UIEXTPROC epoxy_glNamedProgramLocalParameterI4uiEXT;
    PFNGLNAMEDPROGRAMLOCALPARAMETERI4UIVEXTPROC epoxy_glNamedProgramLocalParameterI4uivEXT;
    PFNGLNAMEDPROGRAMLOCALPARAMETERS4FVEXTPROC epoxy_glNamedProgramLocalParameters4fvEXT;
    PFNGLNAMEDPROGRAMLOCALPARAMETERSI4IVEXTPROC epoxy_glNamedProgramLocalParametersI4ivEXT;
    PFNGLNAMEDPROGRAMLOCALPARAMETERSI4UIVEXTPROC epoxy_glNamedProgramLocalParametersI4uivEXT;
    PFNGLNAMEDPROGRAMSTRINGEXTPROC epoxy_glNamedProgramStringEXT;
    PFNGLNAMEDRENDERBUFFERSTORAGEEXTPROC epoxy_glNamedRenderbufferStorageEXT;
    PFNGLNAMEDRENDERBUFFERSTORAGEMULTISAMPLECOVERAGEEXTPROC epoxy_glNamedRenderbufferStorageMultisampleCoverageEXT;
    PFNGLNAMEDRENDERBUFFERSTORAGEMULTISAMPLEEXTPROC epoxy_glNamedRenderbufferStorageMultisampleEXT;
    PFNGLNAMEDSTRINGARBPROC epoxy_glNamedStringARB;
    PFNGLNEWLISTPROC epoxy_glNewList;
    PFNGLNEWOBJECTBUFFERATIPROC epoxy_glNewObjectBufferATI;
    PFNGLNORMAL3BPROC epoxy_glNormal3b;
    PFNGLNORMAL3BVPROC epoxy_glNormal3bv;
    PFNGLNORMAL3DPROC epoxy_glNormal3d;
    PFNGLNORMAL3DVPROC epoxy_glNormal3dv;
    PFNGLNORMAL3FPROC epoxy_glNormal3f;
    PFNGLNORMAL3FVERTEX3FSUNPROC epoxy_glNormal3fVertex3fSUN;
    PFNGLNORMAL3FVERTEX3FVSUNPROC epoxy_glNormal3fVertex3fvSUN;
    PFNGLNORMAL3FVPROC epoxy_glNormal3fv;
    PFNGLNORMAL3HNVPROC epoxy_glNormal3hNV;
    PFNGLNORMAL3HVNVPROC epoxy_glNormal3hvNV;
    PFNGLNORMAL3IPROC epoxy_glNormal3i;
    PFNGLNORMAL3IVPROC epoxy_glNormal3iv;
    PFNGLNORMAL3SPROC epoxy_glNormal3s;
    PFNGLNORMAL3SVPROC epoxy_glNormal3sv;
    PFNGLNORMAL3XPROC epoxy_glNormal3x;
    PFNGLNORMAL3XOESPROC epoxy_glNormal3xOES;
    PFNGLNORMAL3XVOESPROC epoxy_glNormal3xvOES;
    PFNGLNORMALFORMATNVPROC epoxy_glNormalFormatNV;
    PFNGLNORMALP3UIPROC epoxy_glNormalP3ui;
    PFNGLNORMALP3UIVPROC epoxy_glNormalP3uiv;
    PFNGLNORMALPOINTERPROC epoxy_glNormalPointer;
    PFNGLNORMALPOINTEREXTPROC epoxy_glNormalPointerEXT;
    PFNGLNORMALPOINTERLISTIBMPROC epoxy_glNormalPointerListIBM;
    PFNGLNORMALPOINTERVINTELPROC epoxy_glNormalPointervINTEL;
    PFNGLNORMALSTREAM3BATIPROC epoxy_glNormalStream3bATI;
    PFNGLNORMALSTREAM3BVATIPROC epoxy_glNormalStream3bvATI;
    PFNGLNORMALSTREAM3DATIPROC epoxy_glNormalStream3dATI;
    PFNGLNORMALSTREAM3DVATIPROC epoxy_glNormalStream3dvATI;
    PFNGLNORMALSTREAM3FATIPROC epoxy_glNormalStream3fATI;
    PFNGLNORMALSTREAM3FVATIPROC epoxy_glNormalStream3fvATI;
    PFNGLNORMALSTREAM3IATIPROC epoxy_glNormalStream3iATI;
    PFNGLNORMALSTREAM3IVATIPROC epoxy_glNormalStream3ivATI;
    PFNGLNORMALSTREAM3SATIPROC epoxy_glNormalStream3sATI;
    PFNGLNORMALSTREAM3SVATIPROC epoxy_glNormalStream3svATI;
    PFNGLOBJECTLABELPROC epoxy_glObjectLabel;
    PFNGLOBJECTLABELKHRPROC epoxy_glObjectLabelKHR;
    PFNGLOBJECTPTRLABELPROC epoxy_glObjectPtrLabel;
    PFNGLOBJECTPTRLABELKHRPROC epoxy_glObjectPtrLabelKHR;
    PFNGLOBJECTPURGEABLEAPPLEPROC epoxy_glObjectPurgeableAPPLE;
    PFNGLOBJECTUNPURGEABLEAPPLEPROC epoxy_glObjectUnpurgeableAPPLE;
    PFNGLORTHOPROC epoxy_glOrtho;
    PFNGLORTHOFPROC epoxy_glOrthof;
    PFNGLORTHOFOESPROC epoxy_glOrthofOES;
    PFNGLORTHOXPROC epoxy_glOrthox;
    PFNGLORTHOXOESPROC epoxy_glOrthoxOES;
    PFNGLPNTRIANGLESFATIPROC epoxy_glPNTrianglesfATI;
    PFNGLPNTRIANGLESIATIPROC epoxy_glPNTrianglesiATI;
    PFNGLPASSTEXCOORDATIPROC epoxy_glPassTexCoordATI;
    PFNGLPASSTHROUGHPROC epoxy_glPassThrough;
    PFNGLPASSTHROUGHXOESPROC epoxy_glPassThroughxOES;
    PFNGLPATCHPARAMETERFVPROC epoxy_glPatchParameterfv;
    PFNGLPATCHPARAMETERIPROC epoxy_glPatchParameteri;
    PFNGLPATHCOLORGENNVPROC epoxy_glPathColorGenNV;
    PFNGLPATHCOMMANDSNVPROC epoxy_glPathCommandsNV;
    PFNGLPATHCOORDSNVPROC epoxy_glPathCoordsNV;
    PFNGLPATHCOVERDEPTHFUNCNVPROC epoxy_glPathCoverDepthFuncNV;
    PFNGLPATHDASHARRAYNVPROC epoxy_glPathDashArrayNV;
    PFNGLPATHFOGGENNVPROC epoxy_glPathFogGenNV;
    PFNGLPATHGLYPHRANGENVPROC epoxy_glPathGlyphRangeNV;
    PFNGLPATHGLYPHSNVPROC epoxy_glPathGlyphsNV;
    PFNGLPATHPARAMETERFNVPROC epoxy_glPathParameterfNV;
    PFNGLPATHPARAMETERFVNVPROC epoxy_glPathParameterfvNV;
    PFNGLPATHPARAMETERINVPROC epoxy_glPathParameteriNV;
    PFNGLPATHPARAMETERIVNVPROC epoxy_glPathParameterivNV;
    PFNGLPATHSTENCILDEPTHOFFSETNVPROC epoxy_glPathStencilDepthOffsetNV;
    PFNGLPATHSTENCILFUNCNVPROC epoxy_glPathStencilFuncNV;
    PFNGLPATHSTRINGNVPROC epoxy_glPathStringNV;
    PFNGLPATHSUBCOMMANDSNVPROC epoxy_glPathSubCommandsNV;
    PFNGLPATHSUBCOORDSNVPROC epoxy_glPathSubCoordsNV;
    PFNGLPATHTEXGENNVPROC epoxy_glPathTexGenNV;
    PFNGLPAUSETRANSFORMFEEDBACKPROC epoxy_glPauseTransformFeedback;
    PFNGLPAUSETRANSFORMFEEDBACKNVPROC epoxy_glPauseTransformFeedbackNV;
    PFNGLPIXELDATARANGENVPROC epoxy_glPixelDataRangeNV;
    PFNGLPIXELMAPFVPROC epoxy_glPixelMapfv;
    PFNGLPIXELMAPUIVPROC epoxy_glPixelMapuiv;
    PFNGLPIXELMAPUSVPROC epoxy_glPixelMapusv;
    PFNGLPIXELMAPXPROC epoxy_glPixelMapx;
    PFNGLPIXELSTOREFPROC epoxy_glPixelStoref;
    PFNGLPIXELSTOREIPROC epoxy_glPixelStorei;
    PFNGLPIXELSTOREXPROC epoxy_glPixelStorex;
    PFNGLPIXELTEXGENPARAMETERFSGISPROC epoxy_glPixelTexGenParameterfSGIS;
    PFNGLPIXELTEXGENPARAMETERFVSGISPROC epoxy_glPixelTexGenParameterfvSGIS;
    PFNGLPIXELTEXGENPARAMETERISGISPROC epoxy_glPixelTexGenParameteriSGIS;
    PFNGLPIXELTEXGENPARAMETERIVSGISPROC epoxy_glPixelTexGenParameterivSGIS;
    PFNGLPIXELTEXGENSGIXPROC epoxy_glPixelTexGenSGIX;
    PFNGLPIXELTRANSFERFPROC epoxy_glPixelTransferf;
    PFNGLPIXELTRANSFERIPROC epoxy_glPixelTransferi;
    PFNGLPIXELTRANSFERXOESPROC epoxy_glPixelTransferxOES;
    PFNGLPIXELTRANSFORMPARAMETERFEXTPROC epoxy_glPixelTransformParameterfEXT;
    PFNGLPIXELTRANSFORMPARAMETERFVEXTPROC epoxy_glPixelTransformParameterfvEXT;
    PFNGLPIXELTRANSFORMPARAMETERIEXTPROC epoxy_glPixelTransformParameteriEXT;
    PFNGLPIXELTRANSFORMPARAMETERIVEXTPROC epoxy_glPixelTransformParameterivEXT;
    PFNGLPIXELZOOMPROC epoxy_glPixelZoom;
    PFNGLPIXELZOOMXOESPROC epoxy_glPixelZoomxOES;
    PFNGLPOINTALONGPATHNVPROC epoxy_glPointAlongPathNV;
    PFNGLPOINTPARAMETERFPROC epoxy_glPointParameterf;
    PFNGLPOINTPARAMETERFARBPROC epoxy_glPointParameterfARB;
    PFNGLPOINTPARAMETERFEXTPROC epoxy_glPointParameterfEXT;
    PFNGLPOINTPARAMETERFSGISPROC epoxy_glPointParameterfSGIS;
    PFNGLPOINTPARAMETERFVPROC epoxy_glPointParameterfv;
    PFNGLPOINTPARAMETERFVARBPROC epoxy_glPointParameterfvARB;
    PFNGLPOINTPARAMETERFVEXTPROC epoxy_glPointParameterfvEXT;
    PFNGLPOINTPARAMETERFVSGISPROC epoxy_glPointParameterfvSGIS;
    PFNGLPOINTPARAMETERIPROC epoxy_glPointParameteri;
    PFNGLPOINTPARAMETERINVPROC epoxy_glPointParameteriNV;
    PFNGLPOINTPARAMETERIVPROC epoxy_glPointParameteriv;
    PFNGLPOINTPARAMETERIVNVPROC epoxy_glPointParameterivNV;
    PFNGLPOINTPARAMETERXPROC epoxy_glPointParameterx;
    PFNGLPOINTPARAMETERXOESPROC epoxy_glPointParameterxOES;
    PFNGLPOINTPARAMETERXVPROC epoxy_glPointParameterxv;
    PFNGLPOINTPARAMETERXVOESPROC epoxy_glPointParameterxvOES;
    PFNGLPOINTSIZEPROC epoxy_glPointSize;
    PFNGLPOINTSIZEPOINTEROESPROC epoxy_glPointSizePointerOES;
    PFNGLPOINTSIZEXPROC epoxy_glPointSizex;
    PFNGLPOINTSIZEXOESPROC epoxy_glPointSizexOES;
    PFNGLPOLLASYNCSGIXPROC epoxy_glPollAsyncSGIX;
    PFNGLPOLLINSTRUMENTSSGIXPROC epoxy_glPollInstrumentsSGIX;
    PFNGLPOLYGONMODEPROC epoxy_glPolygonMode;
    PFNGLPOLYGONOFFSETPROC epoxy_glPolygonOffset;
    PFNGLPOLYGONOFFSETEXTPROC epoxy_glPolygonOffsetEXT;
    PFNGLPOLYGONOFFSETXPROC epoxy_glPolygonOffsetx;
    PFNGLPOLYGONOFFSETXOESPROC epoxy_glPolygonOffsetxOES;
    PFNGLPOLYGONSTIPPLEPROC epoxy_glPolygonStipple;
    PFNGLPOPATTRIBPROC epoxy_glPopAttrib;
    PFNGLPOPCLIENTATTRIBPROC epoxy_glPopClientAttrib;
    PFNGLPOPDEBUGGROUPPROC epoxy_glPopDebugGroup;
    PFNGLPOPDEBUGGROUPKHRPROC epoxy_glPopDebugGroupKHR;
    PFNGLPOPGROUPMARKEREXTPROC epoxy_glPopGroupMarkerEXT;
    PFNGLPOPMATRIXPROC epoxy_glPopMatrix;
    PFNGLPOPNAMEPROC epoxy_glPopName;
    PFNGLPRESENTFRAMEDUALFILLNVPROC epoxy_glPresentFrameDualFillNV;
    PFNGLPRESENTFRAMEKEYEDNVPROC epoxy_glPresentFrameKeyedNV;
    PFNGLPRIMITIVERESTARTINDEXPROC epoxy_glPrimitiveRestartIndex;
    PFNGLPRIMITIVERESTARTINDEXNVPROC epoxy_glPrimitiveRestartIndexNV;
    PFNGLPRIMITIVERESTARTNVPROC epoxy_glPrimitiveRestartNV;
    PFNGLPRIORITIZETEXTURESPROC epoxy_glPrioritizeTextures;
    PFNGLPRIORITIZETEXTURESEXTPROC epoxy_glPrioritizeTexturesEXT;
    PFNGLPRIORITIZETEXTURESXOESPROC epoxy_glPrioritizeTexturesxOES;
    PFNGLPROGRAMBINARYPROC epoxy_glProgramBinary;
    PFNGLPROGRAMBINARYOESPROC epoxy_glProgramBinaryOES;
    PFNGLPROGRAMBUFFERPARAMETERSIIVNVPROC epoxy_glProgramBufferParametersIivNV;
    PFNGLPROGRAMBUFFERPARAMETERSIUIVNVPROC epoxy_glProgramBufferParametersIuivNV;
    PFNGLPROGRAMBUFFERPARAMETERSFVNVPROC epoxy_glProgramBufferParametersfvNV;
    PFNGLPROGRAMENVPARAMETER4DARBPROC epoxy_glProgramEnvParameter4dARB;
    PFNGLPROGRAMENVPARAMETER4DVARBPROC epoxy_glProgramEnvParameter4dvARB;
    PFNGLPROGRAMENVPARAMETER4FARBPROC epoxy_glProgramEnvParameter4fARB;
    PFNGLPROGRAMENVPARAMETER4FVARBPROC epoxy_glProgramEnvParameter4fvARB;
    PFNGLPROGRAMENVPARAMETERI4INVPROC epoxy_glProgramEnvParameterI4iNV;
    PFNGLPROGRAMENVPARAMETERI4IVNVPROC epoxy_glProgramEnvParameterI4ivNV;
    PFNGLPROGRAMENVPARAMETERI4UINVPROC epoxy_glProgramEnvParameterI4uiNV;
    PFNGLPROGRAMENVPARAMETERI4UIVNVPROC epoxy_glProgramEnvParameterI4uivNV;
    PFNGLPROGRAMENVPARAMETERS4FVEXTPROC epoxy_glProgramEnvParameters4fvEXT;
    PFNGLPROGRAMENVPARAMETERSI4IVNVPROC epoxy_glProgramEnvParametersI4ivNV;
    PFNGLPROGRAMENVPARAMETERSI4UIVNVPROC epoxy_glProgramEnvParametersI4uivNV;
    PFNGLPROGRAMLOCALPARAMETER4DARBPROC epoxy_glProgramLocalParameter4dARB;
    PFNGLPROGRAMLOCALPARAMETER4DVARBPROC epoxy_glProgramLocalParameter4dvARB;
    PFNGLPROGRAMLOCALPARAMETER4FARBPROC epoxy_glProgramLocalParameter4fARB;
    PFNGLPROGRAMLOCALPARAMETER4FVARBPROC epoxy_glProgramLocalParameter4fvARB;
    PFNGLPROGRAMLOCALPARAMETERI4INVPROC epoxy_glProgramLocalParameterI4iNV;
    PFNGLPROGRAMLOCALPARAMETERI4IVNVPROC epoxy_glProgramLocalParameterI4ivNV;
    PFNGLPROGRAMLOCALPARAMETERI4UINVPROC epoxy_glProgramLocalParameterI4uiNV;
    PFNGLPROGRAMLOCALPARAMETERI4UIVNVPROC epoxy_glProgramLocalParameterI4uivNV;
    PFNGLPROGRAMLOCALPARAMETERS4FVEXTPROC epoxy_glProgramLocalParameters4fvEXT;
    PFNGLPROGRAMLOCALPARAMETERSI4IVNVPROC epoxy_glProgramLocalParametersI4ivNV;
    PFNGLPROGRAMLOCALPARAMETERSI4UIVNVPROC epoxy_glProgramLocalParametersI4uivNV;
    PFNGLPROGRAMNAMEDPARAMETER4DNVPROC epoxy_glProgramNamedParameter4dNV;
    PFNGLPROGRAMNAMEDPARAMETER4DVNVPROC epoxy_glProgramNamedParameter4dvNV;
    PFNGLPROGRAMNAMEDPARAMETER4FNVPROC epoxy_glProgramNamedParameter4fNV;
    PFNGLPROGRAMNAMEDPARAMETER4FVNVPROC epoxy_glProgramNamedParameter4fvNV;
    PFNGLPROGRAMPARAMETER4DNVPROC epoxy_glProgramParameter4dNV;
    PFNGLPROGRAMPARAMETER4DVNVPROC epoxy_glProgramParameter4dvNV;
    PFNGLPROGRAMPARAMETER4FNVPROC epoxy_glProgramParameter4fNV;
    PFNGLPROGRAMPARAMETER4FVNVPROC epoxy_glProgramParameter4fvNV;
    PFNGLPROGRAMPARAMETERIPROC epoxy_glProgramParameteri;
    PFNGLPROGRAMPARAMETERIARBPROC epoxy_glProgramParameteriARB;
    PFNGLPROGRAMPARAMETERIEXTPROC epoxy_glProgramParameteriEXT;
    PFNGLPROGRAMPARAMETERS4DVNVPROC epoxy_glProgramParameters4dvNV;
    PFNGLPROGRAMPARAMETERS4FVNVPROC epoxy_glProgramParameters4fvNV;
    PFNGLPROGRAMSTRINGARBPROC epoxy_glProgramStringARB;
    PFNGLPROGRAMSUBROUTINEPARAMETERSUIVNVPROC epoxy_glProgramSubroutineParametersuivNV;
    PFNGLPROGRAMUNIFORM1DPROC epoxy_glProgramUniform1d;
    PFNGLPROGRAMUNIFORM1DEXTPROC epoxy_glProgramUniform1dEXT;
    PFNGLPROGRAMUNIFORM1DVPROC epoxy_glProgramUniform1dv;
    PFNGLPROGRAMUNIFORM1DVEXTPROC epoxy_glProgramUniform1dvEXT;
    PFNGLPROGRAMUNIFORM1FPROC epoxy_glProgramUniform1f;
    PFNGLPROGRAMUNIFORM1FEXTPROC epoxy_glProgramUniform1fEXT;
    PFNGLPROGRAMUNIFORM1FVPROC epoxy_glProgramUniform1fv;
    PFNGLPROGRAMUNIFORM1FVEXTPROC epoxy_glProgramUniform1fvEXT;
    PFNGLPROGRAMUNIFORM1IPROC epoxy_glProgramUniform1i;
    PFNGLPROGRAMUNIFORM1I64NVPROC epoxy_glProgramUniform1i64NV;
    PFNGLPROGRAMUNIFORM1I64VNVPROC epoxy_glProgramUniform1i64vNV;
    PFNGLPROGRAMUNIFORM1IEXTPROC epoxy_glProgramUniform1iEXT;
    PFNGLPROGRAMUNIFORM1IVPROC epoxy_glProgramUniform1iv;
    PFNGLPROGRAMUNIFORM1IVEXTPROC epoxy_glProgramUniform1ivEXT;
    PFNGLPROGRAMUNIFORM1UIPROC epoxy_glProgramUniform1ui;
    PFNGLPROGRAMUNIFORM1UI64NVPROC epoxy_glProgramUniform1ui64NV;
    PFNGLPROGRAMUNIFORM1UI64VNVPROC epoxy_glProgramUniform1ui64vNV;
    PFNGLPROGRAMUNIFORM1UIEXTPROC epoxy_glProgramUniform1uiEXT;
    PFNGLPROGRAMUNIFORM1UIVPROC epoxy_glProgramUniform1uiv;
    PFNGLPROGRAMUNIFORM1UIVEXTPROC epoxy_glProgramUniform1uivEXT;
    PFNGLPROGRAMUNIFORM2DPROC epoxy_glProgramUniform2d;
    PFNGLPROGRAMUNIFORM2DEXTPROC epoxy_glProgramUniform2dEXT;
    PFNGLPROGRAMUNIFORM2DVPROC epoxy_glProgramUniform2dv;
    PFNGLPROGRAMUNIFORM2DVEXTPROC epoxy_glProgramUniform2dvEXT;
    PFNGLPROGRAMUNIFORM2FPROC epoxy_glProgramUniform2f;
    PFNGLPROGRAMUNIFORM2FEXTPROC epoxy_glProgramUniform2fEXT;
    PFNGLPROGRAMUNIFORM2FVPROC epoxy_glProgramUniform2fv;
    PFNGLPROGRAMUNIFORM2FVEXTPROC epoxy_glProgramUniform2fvEXT;
    PFNGLPROGRAMUNIFORM2IPROC epoxy_glProgramUniform2i;
    PFNGLPROGRAMUNIFORM2I64NVPROC epoxy_glProgramUniform2i64NV;
    PFNGLPROGRAMUNIFORM2I64VNVPROC epoxy_glProgramUniform2i64vNV;
    PFNGLPROGRAMUNIFORM2IEXTPROC epoxy_glProgramUniform2iEXT;
    PFNGLPROGRAMUNIFORM2IVPROC epoxy_glProgramUniform2iv;
    PFNGLPROGRAMUNIFORM2IVEXTPROC epoxy_glProgramUniform2ivEXT;
    PFNGLPROGRAMUNIFORM2UIPROC epoxy_glProgramUniform2ui;
    PFNGLPROGRAMUNIFORM2UI64NVPROC epoxy_glProgramUniform2ui64NV;
    PFNGLPROGRAMUNIFORM2UI64VNVPROC epoxy_glProgramUniform2ui64vNV;
    PFNGLPROGRAMUNIFORM2UIEXTPROC epoxy_glProgramUniform2uiEXT;
    PFNGLPROGRAMUNIFORM2UIVPROC epoxy_glProgramUniform2uiv;
    PFNGLPROGRAMUNIFORM2UIVEXTPROC epoxy_glProgramUniform2uivEXT;
    PFNGLPROGRAMUNIFORM3DPROC epoxy_glProgramUniform3d;
    PFNGLPROGRAMUNIFORM3DEXTPROC epoxy_glProgramUniform3dEXT;
    PFNGLPROGRAMUNIFORM3DVPROC epoxy_glProgramUniform3dv;
    PFNGLPROGRAMUNIFORM3DVEXTPROC epoxy_glProgramUniform3dvEXT;
    PFNGLPROGRAMUNIFORM3FPROC epoxy_glProgramUniform3f;
    PFNGLPROGRAMUNIFORM3FEXTPROC epoxy_glProgramUniform3fEXT;
    PFNGLPROGRAMUNIFORM3FVPROC epoxy_glProgramUniform3fv;
    PFNGLPROGRAMUNIFORM3FVEXTPROC epoxy_glProgramUniform3fvEXT;
    PFNGLPROGRAMUNIFORM3IPROC epoxy_glProgramUniform3i;
    PFNGLPROGRAMUNIFORM3I64NVPROC epoxy_glProgramUniform3i64NV;
    PFNGLPROGRAMUNIFORM3I64VNVPROC epoxy_glProgramUniform3i64vNV;
    PFNGLPROGRAMUNIFORM3IEXTPROC epoxy_glProgramUniform3iEXT;
    PFNGLPROGRAMUNIFORM3IVPROC epoxy_glProgramUniform3iv;
    PFNGLPROGRAMUNIFORM3IVEXTPROC epoxy_glProgramUniform3ivEXT;
    PFNGLPROGRAMUNIFORM3UIPROC epoxy_glProgramUniform3ui;
    PFNGLPROGRAMUNIFORM3UI64NVPROC epoxy_glProgramUniform3ui64NV;
    PFNGLPROGRAMUNIFORM3UI64VNVPROC epoxy_glProgramUniform3ui64vNV;
    PFNGLPROGRAMUNIFORM3UIEXTPROC epoxy_glProgramUniform3uiEXT;
    PFNGLPROGRAMUNIFORM3UIVPROC epoxy_glProgramUniform3uiv;
    PFNGLPROGRAMUNIFORM3UIVEXTPROC epoxy_glProgramUniform3uivEXT;
    PFNGLPROGRAMUNIFORM4DPROC epoxy_glProgramUniform4d;
    PFNGLPROGRAMUNIFORM4DEXTPROC epoxy_glProgramUniform4dEXT;
    PFNGLPROGRAMUNIFORM4DVPROC epoxy_glProgramUniform4dv;
    PFNGLPROGRAMUNIFORM4DVEXTPROC epoxy_glProgramUniform4dvEXT;
    PFNGLPROGRAMUNIFORM4FPROC epoxy_glProgramUniform4f;
    PFNGLPROGRAMUNIFORM4FEXTPROC epoxy_glProgramUniform4fEXT;
    PFNGLPROGRAMUNIFORM4FVPROC epoxy_glProgramUniform4fv;
    PFNGLPROGRAMUNIFORM4FVEXTPROC epoxy_glProgramUniform4fvEXT;
    PFNGLPROGRAMUNIFORM4IPROC epoxy_glProgramUniform4i;
    PFNGLPROGRAMUNIFORM4I64NVPROC epoxy_glProgramUniform4i64NV;
    PFNGLPROGRAMUNIFORM4I64VNVPROC epoxy_glProgramUniform4i64vNV;
    PFNGLPROGRAMUNIFORM4IEXTPROC epoxy_glProgramUniform4iEXT;
    PFNGLPROGRAMUNIFORM4IVPROC epoxy_glProgramUniform4iv;
    PFNGLPROGRAMUNIFORM4IVEXTPROC epoxy_glProgramUniform4ivEXT;
    PFNGLPROGRAMUNIFORM4UIPROC epoxy_glProgramUniform4ui;
    PFNGLPROGRAMUNIFORM4UI64NVPROC epoxy_glProgramUniform4ui64NV;
    PFNGLPROGRAMUNIFORM4UI64VNVPROC epoxy_glProgramUniform4ui64vNV;
    PFNGLPROGRAMUNIFORM4UIEXTPROC epoxy_glProgramUniform4uiEXT;
    PFNGLPROGRAMUNIFORM4UIVPROC epoxy_glProgramUniform4uiv;
    PFNGLPROGRAMUNIFORM4UIVEXTPROC epoxy_glProgramUniform4uivEXT;
    PFNGLPROGRAMUNIFORMHANDLEUI64ARBPROC epoxy_glProgramUniformHandleui64ARB;
    PFNGLPROGRAMUNIFORMHANDLEUI64NVPROC epoxy_glProgramUniformHandleui64NV;
    PFNGLPROGRAMUNIFORMHANDLEUI64VARBPROC epoxy_glProgramUniformHandleui64vARB;
    PFNGLPROGRAMUNIFORMHANDLEUI64VNVPROC epoxy_glProgramUniformHandleui64vNV;
    PFNGLPROGRAMUNIFORMMATRIX2DVPROC epoxy_glProgramUniformMatrix2dv;
    PFNGLPROGRAMUNIFORMMATRIX2DVEXTPROC epoxy_glProgramUniformMatrix2dvEXT;
    PFNGLPROGRAMUNIFORMMATRIX2FVPROC epoxy_glProgramUniformMatrix2fv;
    PFNGLPROGRAMUNIFORMMATRIX2FVEXTPROC epoxy_glProgramUniformMatrix2fvEXT;
    PFNGLPROGRAMUNIFORMMATRIX2X3DVPROC epoxy_glProgramUniformMatrix2x3dv;
    PFNGLPROGRAMUNIFORMMATRIX2X3DVEXTPROC epoxy_glProgramUniformMatrix2x3dvEXT;
    PFNGLPROGRAMUNIFORMMATRIX2X3FVPROC epoxy_glProgramUniformMatrix2x3fv;
    PFNGLPROGRAMUNIFORMMATRIX2X3FVEXTPROC epoxy_glProgramUniformMatrix2x3fvEXT;
    PFNGLPROGRAMUNIFORMMATRIX2X4DVPROC epoxy_glProgramUniformMatrix2x4dv;
    PFNGLPROGRAMUNIFORMMATRIX2X4DVEXTPROC epoxy_glProgramUniformMatrix2x4dvEXT;
    PFNGLPROGRAMUNIFORMMATRIX2X4FVPROC epoxy_glProgramUniformMatrix2x4fv;
    PFNGLPROGRAMUNIFORMMATRIX2X4FVEXTPROC epoxy_glProgramUniformMatrix2x4fvEXT;
    PFNGLPROGRAMUNIFORMMATRIX3DVPROC epoxy_glProgramUniformMatrix3dv;
    PFNGLPROGRAMUNIFORMMATRIX3DVEXTPROC epoxy_glProgramUniformMatrix3dvEXT;
    PFNGLPROGRAMUNIFORMMATRIX3FVPROC epoxy_glProgramUniformMatrix3fv;
    PFNGLPROGRAMUNIFORMMATRIX3FVEXTPROC epoxy_glProgramUniformMatrix3fvEXT;
    PFNGLPROGRAMUNIFORMMATRIX3X2DVPROC epoxy_glProgramUniformMatrix3x2dv;
    PFNGLPROGRAMUNIFORMMATRIX3X2DVEXTPROC epoxy_glProgramUniformMatrix3x2dvEXT;
    PFNGLPROGRAMUNIFORMMATRIX3X2FVPROC epoxy_glProgramUniformMatrix3x2fv;
    PFNGLPROGRAMUNIFORMMATRIX3X2FVEXTPROC epoxy_glProgramUniformMatrix3x2fvEXT;
    PFNGLPROGRAMUNIFORMMATRIX3X4DVPROC epoxy_glProgramUniformMatrix3x4dv;
    PFNGLPROGRAMUNIFORMMATRIX3X4DVEXTPROC epoxy_glProgramUniformMatrix3x4dvEXT;
    PFNGLPROGRAMUNIFORMMATRIX3X4FVPROC epoxy_glProgramUniformMatrix3x4fv;
    PFNGLPROGRAMUNIFORMMATRIX3X4FVEXTPROC epoxy_glProgramUniformMatrix3x4fvEXT;
    PFNGLPROGRAMUNIFORMMATRIX4DVPROC epoxy_glProgramUniformMatrix4dv;
    PFNGLPROGRAMUNIFORMMATRIX4DVEXTPROC epoxy_glProgramUniformMatrix4dvEXT;
    PFNGLPROGRAMUNIFORMMATRIX4FVPROC epoxy_glProgramUniformMatrix4fv;
    PFNGLPROGRAMUNIFORMMATRIX4FVEXTPROC epoxy_glProgramUniformMatrix4fvEXT;
    PFNGLPROGRAMUNIFORMMATRIX4X2DVPROC epoxy_glProgramUniformMatrix4x2dv;
    PFNGLPROGRAMUNIFORMMATRIX4X2DVEXTPROC epoxy_glProgramUniformMatrix4x2dvEXT;
    PFNGLPROGRAMUNIFORMMATRIX4X2FVPROC epoxy_glProgramUniformMatrix4x2fv;
    PFNGLPROGRAMUNIFORMMATRIX4X2FVEXTPROC epoxy_glProgramUniformMatrix4x2fvEXT;
    PFNGLPROGRAMUNIFORMMATRIX4X3DVPROC epoxy_glProgramUniformMatrix4x3dv;
    PFNGLPROGRAMUNIFORMMATRIX4X3DVEXTPROC epoxy_glProgramUniformMatrix4x3dvEXT;
    PFNGLPROGRAMUNIFORMMATRIX4X3FVPROC epoxy_glProgramUniformMatrix4x3fv;
    PFNGLPROGRAMUNIFORMMATRIX4X3FVEXTPROC epoxy_glProgramUniformMatrix4x3fvEXT;
    PFNGLPROGRAMUNIFORMUI64NVPROC epoxy_glProgramUniformui64NV;
    PFNGLPROGRAMUNIFORMUI64VNVPROC epoxy_glProgramUniformui64vNV;
    PFNGLPROGRAMVERTEXLIMITNVPROC epoxy_glProgramVertexLimitNV;
    PFNGLPROVOKINGVERTEXPROC epoxy_glProvokingVertex;
    PFNGLPROVOKINGVERTEXEXTPROC epoxy_glProvokingVertexEXT;
    PFNGLPUSHATTRIBPROC epoxy_glPushAttrib;
    PFNGLPUSHCLIENTATTRIBPROC epoxy_glPushClientAttrib;
    PFNGLPUSHCLIENTATTRIBDEFAULTEXTPROC epoxy_glPushClientAttribDefaultEXT;
    PFNGLPUSHDEBUGGROUPPROC epoxy_glPushDebugGroup;
    PFNGLPUSHDEBUGGROUPKHRPROC epoxy_glPushDebugGroupKHR;
    PFNGLPUSHGROUPMARKEREXTPROC epoxy_glPushGroupMarkerEXT;
    PFNGLPUSHMATRIXPROC epoxy_glPushMatrix;
    PFNGLPUSHNAMEPROC epoxy_glPushName;
    PFNGLQUERYCOUNTERPROC epoxy_glQueryCounter;
    PFNGLQUERYCOUNTEREXTPROC epoxy_glQueryCounterEXT;
    PFNGLQUERYMATRIXXOESPROC epoxy_glQueryMatrixxOES;
    PFNGLQUERYOBJECTPARAMETERUIAMDPROC epoxy_glQueryObjectParameteruiAMD;
    PFNGLRASTERPOS2DPROC epoxy_glRasterPos2d;
    PFNGLRASTERPOS2DVPROC epoxy_glRasterPos2dv;
    PFNGLRASTERPOS2FPROC epoxy_glRasterPos2f;
    PFNGLRASTERPOS2FVPROC epoxy_glRasterPos2fv;
    PFNGLRASTERPOS2IPROC epoxy_glRasterPos2i;
    PFNGLRASTERPOS2IVPROC epoxy_glRasterPos2iv;
    PFNGLRASTERPOS2SPROC epoxy_glRasterPos2s;
    PFNGLRASTERPOS2SVPROC epoxy_glRasterPos2sv;
    PFNGLRASTERPOS2XOESPROC epoxy_glRasterPos2xOES;
    PFNGLRASTERPOS2XVOESPROC epoxy_glRasterPos2xvOES;
    PFNGLRASTERPOS3DPROC epoxy_glRasterPos3d;
    PFNGLRASTERPOS3DVPROC epoxy_glRasterPos3dv;
    PFNGLRASTERPOS3FPROC epoxy_glRasterPos3f;
    PFNGLRASTERPOS3FVPROC epoxy_glRasterPos3fv;
    PFNGLRASTERPOS3IPROC epoxy_glRasterPos3i;
    PFNGLRASTERPOS3IVPROC epoxy_glRasterPos3iv;
    PFNGLRASTERPOS3SPROC epoxy_glRasterPos3s;
    PFNGLRASTERPOS3SVPROC epoxy_glRasterPos3sv;
    PFNGLRASTERPOS3XOESPROC epoxy_glRasterPos3xOES;
    PFNGLRASTERPOS3XVOESPROC epoxy_glRasterPos3xvOES;
    PFNGLRASTERPOS4DPROC epoxy_glRasterPos4d;
    PFNGLRASTERPOS4DVPROC epoxy_glRasterPos4dv;
    PFNGLRASTERPOS4FPROC epoxy_glRasterPos4f;
    PFNGLRASTERPOS4FVPROC epoxy_glRasterPos4fv;
    PFNGLRASTERPOS4IPROC epoxy_glRasterPos4i;
    PFNGLRASTERPOS4IVPROC epoxy_glRasterPos4iv;
    PFNGLRASTERPOS4SPROC epoxy_glRasterPos4s;
    PFNGLRASTERPOS4SVPROC epoxy_glRasterPos4sv;
    PFNGLRASTERPOS4XOESPROC epoxy_glRasterPos4xOES;
    PFNGLRASTERPOS4XVOESPROC epoxy_glRasterPos4xvOES;
    PFNGLREADBUFFERPROC epoxy_glReadBuffer;
    PFNGLREADBUFFERINDEXEDEXTPROC epoxy_glReadBufferIndexedEXT;
    PFNGLREADBUFFERNVPROC epoxy_glReadBufferNV;
    PFNGLREADINSTRUMENTSSGIXPROC epoxy_glReadInstrumentsSGIX;
    PFNGLREADPIXELSPROC epoxy_glReadPixels;
    PFNGLREADNPIXELSARBPROC epoxy_glReadnPixelsARB;
    PFNGLREADNPIXELSEXTPROC epoxy_glReadnPixelsEXT;
    PFNGLRECTDPROC epoxy_glRectd;
    PFNGLRECTDVPROC epoxy_glRectdv;
    PFNGLRECTFPROC epoxy_glRectf;
    PFNGLRECTFVPROC epoxy_glRectfv;
    PFNGLRECTIPROC epoxy_glRecti;
    PFNGLRECTIVPROC epoxy_glRectiv;
    PFNGLRECTSPROC epoxy_glRects;
    PFNGLRECTSVPROC epoxy_glRectsv;
    PFNGLRECTXOESPROC epoxy_glRectxOES;
    PFNGLRECTXVOESPROC epoxy_glRectxvOES;
    PFNGLREFERENCEPLANESGIXPROC epoxy_glReferencePlaneSGIX;
    PFNGLRELEASESHADERCOMPILERPROC epoxy_glReleaseShaderCompiler;
    PFNGLRENDERMODEPROC epoxy_glRenderMode;
    PFNGLRENDERBUFFERSTORAGEPROC epoxy_glRenderbufferStorage;
    PFNGLRENDERBUFFERSTORAGEEXTPROC epoxy_glRenderbufferStorageEXT;
    PFNGLRENDERBUFFERSTORAGEMULTISAMPLEPROC epoxy_glRenderbufferStorageMultisample;
    PFNGLRENDERBUFFERSTORAGEMULTISAMPLEANGLEPROC epoxy_glRenderbufferStorageMultisampleANGLE;
    PFNGLRENDERBUFFERSTORAGEMULTISAMPLEAPPLEPROC epoxy_glRenderbufferStorageMultisampleAPPLE;
    PFNGLRENDERBUFFERSTORAGEMULTISAMPLECOVERAGENVPROC epoxy_glRenderbufferStorageMultisampleCoverageNV;
    PFNGLRENDERBUFFERSTORAGEMULTISAMPLEEXTPROC epoxy_glRenderbufferStorageMultisampleEXT;
    PFNGLRENDERBUFFERSTORAGEMULTISAMPLEIMGPROC epoxy_glRenderbufferStorageMultisampleIMG;
    PFNGLRENDERBUFFERSTORAGEMULTISAMPLENVPROC epoxy_glRenderbufferStorageMultisampleNV;
    PFNGLRENDERBUFFERSTORAGEOESPROC epoxy_glRenderbufferStorageOES;
    PFNGLREPLACEMENTCODEPOINTERSUNPROC epoxy_glReplacementCodePointerSUN;
    PFNGLREPLACEMENTCODEUBSUNPROC epoxy_glReplacementCodeubSUN;
    PFNGLREPLACEMENTCODEUBVSUNPROC epoxy_glReplacementCodeubvSUN;
    PFNGLREPLACEMENTCODEUICOLOR3FVERTEX3FSUNPROC epoxy_glReplacementCodeuiColor3fVertex3fSUN;
    PFNGLREPLACEMENTCODEUICOLOR3FVERTEX3FVSUNPROC epoxy_glReplacementCodeuiColor3fVertex3fvSUN;
    PFNGLREPLACEMENTCODEUICOLOR4FNORMAL3FVERTEX3FSUNPROC epoxy_glReplacementCodeuiColor4fNormal3fVertex3fSUN;
    PFNGLREPLACEMENTCODEUICOLOR4FNORMAL3FVERTEX3FVSUNPROC epoxy_glReplacementCodeuiColor4fNormal3fVertex3fvSUN;
    PFNGLREPLACEMENTCODEUICOLOR4UBVERTEX3FSUNPROC epoxy_glReplacementCodeuiColor4ubVertex3fSUN;
    PFNGLREPLACEMENTCODEUICOLOR4UBVERTEX3FVSUNPROC epoxy_glReplacementCodeuiColor4ubVertex3fvSUN;
    PFNGLREPLACEMENTCODEUINORMAL3FVERTEX3FSUNPROC epoxy_glReplacementCodeuiNormal3fVertex3fSUN;
    PFNGLREPLACEMENTCODEUINORMAL3FVERTEX3FVSUNPROC epoxy_glReplacementCodeuiNormal3fVertex3fvSUN;
    PFNGLREPLACEMENTCODEUISUNPROC epoxy_glReplacementCodeuiSUN;
    PFNGLREPLACEMENTCODEUITEXCOORD2FCOLOR4FNORMAL3FVERTEX3FSUNPROC epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN;
    PFNGLREPLACEMENTCODEUITEXCOORD2FCOLOR4FNORMAL3FVERTEX3FVSUNPROC epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN;
    PFNGLREPLACEMENTCODEUITEXCOORD2FNORMAL3FVERTEX3FSUNPROC epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN;
    PFNGLREPLACEMENTCODEUITEXCOORD2FNORMAL3FVERTEX3FVSUNPROC epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN;
    PFNGLREPLACEMENTCODEUITEXCOORD2FVERTEX3FSUNPROC epoxy_glReplacementCodeuiTexCoord2fVertex3fSUN;
    PFNGLREPLACEMENTCODEUITEXCOORD2FVERTEX3FVSUNPROC epoxy_glReplacementCodeuiTexCoord2fVertex3fvSUN;
    PFNGLREPLACEMENTCODEUIVERTEX3FSUNPROC epoxy_glReplacementCodeuiVertex3fSUN;
    PFNGLREPLACEMENTCODEUIVERTEX3FVSUNPROC epoxy_glReplacementCodeuiVertex3fvSUN;
    PFNGLREPLACEMENTCODEUIVSUNPROC epoxy_glReplacementCodeuivSUN;
    PFNGLREPLACEMENTCODEUSSUNPROC epoxy_glReplacementCodeusSUN;
    PFNGLREPLACEMENTCODEUSVSUNPROC epoxy_glReplacementCodeusvSUN;
    PFNGLREQUESTRESIDENTPROGRAMSNVPROC epoxy_glRequestResidentProgramsNV;
    PFNGLRESETHISTOGRAMPROC epoxy_glResetHistogram;
    PFNGLRESETHISTOGRAMEXTPROC epoxy_glResetHistogramEXT;
    PFNGLRESETMINMAXPROC epoxy_glResetMinmax;
    PFNGLRESETMINMAXEXTPROC epoxy_glResetMinmaxEXT;
    PFNGLRESIZEBUFFERSMESAPROC epoxy_glResizeBuffersMESA;
    PFNGLRESOLVEMULTISAMPLEFRAMEBUFFERAPPLEPROC epoxy_glResolveMultisampleFramebufferAPPLE;
    PFNGLRESUMETRANSFORMFEEDBACKPROC epoxy_glResumeTransformFeedback;
    PFNGLRESUMETRANSFORMFEEDBACKNVPROC epoxy_glResumeTransformFeedbackNV;
    PFNGLROTATEDPROC epoxy_glRotated;
    PFNGLROTATEFPROC epoxy_glRotatef;
    PFNGLROTATEXPROC epoxy_glRotatex;
    PFNGLROTATEXOESPROC epoxy_glRotatexOES;
    PFNGLSAMPLECOVERAGEPROC epoxy_glSampleCoverage;
    PFNGLSAMPLECOVERAGEARBPROC epoxy_glSampleCoverageARB;
    PFNGLSAMPLECOVERAGEOESPROC epoxy_glSampleCoverageOES;
    PFNGLSAMPLECOVERAGEXPROC epoxy_glSampleCoveragex;
    PFNGLSAMPLECOVERAGEXOESPROC epoxy_glSampleCoveragexOES;
    PFNGLSAMPLEMAPATIPROC epoxy_glSampleMapATI;
    PFNGLSAMPLEMASKEXTPROC epoxy_glSampleMaskEXT;
    PFNGLSAMPLEMASKINDEXEDNVPROC epoxy_glSampleMaskIndexedNV;
    PFNGLSAMPLEMASKSGISPROC epoxy_glSampleMaskSGIS;
    PFNGLSAMPLEMASKIPROC epoxy_glSampleMaski;
    PFNGLSAMPLEPATTERNEXTPROC epoxy_glSamplePatternEXT;
    PFNGLSAMPLEPATTERNSGISPROC epoxy_glSamplePatternSGIS;
    PFNGLSAMPLERPARAMETERIIVPROC epoxy_glSamplerParameterIiv;
    PFNGLSAMPLERPARAMETERIUIVPROC epoxy_glSamplerParameterIuiv;
    PFNGLSAMPLERPARAMETERFPROC epoxy_glSamplerParameterf;
    PFNGLSAMPLERPARAMETERFVPROC epoxy_glSamplerParameterfv;
    PFNGLSAMPLERPARAMETERIPROC epoxy_glSamplerParameteri;
    PFNGLSAMPLERPARAMETERIVPROC epoxy_glSamplerParameteriv;
    PFNGLSCALEDPROC epoxy_glScaled;
    PFNGLSCALEFPROC epoxy_glScalef;
    PFNGLSCALEXPROC epoxy_glScalex;
    PFNGLSCALEXOESPROC epoxy_glScalexOES;
    PFNGLSCISSORPROC epoxy_glScissor;
    PFNGLSCISSORARRAYVPROC epoxy_glScissorArrayv;
    PFNGLSCISSORINDEXEDPROC epoxy_glScissorIndexed;
    PFNGLSCISSORINDEXEDVPROC epoxy_glScissorIndexedv;
    PFNGLSECONDARYCOLOR3BPROC epoxy_glSecondaryColor3b;
    PFNGLSECONDARYCOLOR3BEXTPROC epoxy_glSecondaryColor3bEXT;
    PFNGLSECONDARYCOLOR3BVPROC epoxy_glSecondaryColor3bv;
    PFNGLSECONDARYCOLOR3BVEXTPROC epoxy_glSecondaryColor3bvEXT;
    PFNGLSECONDARYCOLOR3DPROC epoxy_glSecondaryColor3d;
    PFNGLSECONDARYCOLOR3DEXTPROC epoxy_glSecondaryColor3dEXT;
    PFNGLSECONDARYCOLOR3DVPROC epoxy_glSecondaryColor3dv;
    PFNGLSECONDARYCOLOR3DVEXTPROC epoxy_glSecondaryColor3dvEXT;
    PFNGLSECONDARYCOLOR3FPROC epoxy_glSecondaryColor3f;
    PFNGLSECONDARYCOLOR3FEXTPROC epoxy_glSecondaryColor3fEXT;
    PFNGLSECONDARYCOLOR3FVPROC epoxy_glSecondaryColor3fv;
    PFNGLSECONDARYCOLOR3FVEXTPROC epoxy_glSecondaryColor3fvEXT;
    PFNGLSECONDARYCOLOR3HNVPROC epoxy_glSecondaryColor3hNV;
    PFNGLSECONDARYCOLOR3HVNVPROC epoxy_glSecondaryColor3hvNV;
    PFNGLSECONDARYCOLOR3IPROC epoxy_glSecondaryColor3i;
    PFNGLSECONDARYCOLOR3IEXTPROC epoxy_glSecondaryColor3iEXT;
    PFNGLSECONDARYCOLOR3IVPROC epoxy_glSecondaryColor3iv;
    PFNGLSECONDARYCOLOR3IVEXTPROC epoxy_glSecondaryColor3ivEXT;
    PFNGLSECONDARYCOLOR3SPROC epoxy_glSecondaryColor3s;
    PFNGLSECONDARYCOLOR3SEXTPROC epoxy_glSecondaryColor3sEXT;
    PFNGLSECONDARYCOLOR3SVPROC epoxy_glSecondaryColor3sv;
    PFNGLSECONDARYCOLOR3SVEXTPROC epoxy_glSecondaryColor3svEXT;
    PFNGLSECONDARYCOLOR3UBPROC epoxy_glSecondaryColor3ub;
    PFNGLSECONDARYCOLOR3UBEXTPROC epoxy_glSecondaryColor3ubEXT;
    PFNGLSECONDARYCOLOR3UBVPROC epoxy_glSecondaryColor3ubv;
    PFNGLSECONDARYCOLOR3UBVEXTPROC epoxy_glSecondaryColor3ubvEXT;
    PFNGLSECONDARYCOLOR3UIPROC epoxy_glSecondaryColor3ui;
    PFNGLSECONDARYCOLOR3UIEXTPROC epoxy_glSecondaryColor3uiEXT;
    PFNGLSECONDARYCOLOR3UIVPROC epoxy_glSecondaryColor3uiv;
    PFNGLSECONDARYCOLOR3UIVEXTPROC epoxy_glSecondaryColor3uivEXT;
    PFNGLSECONDARYCOLOR3USPROC epoxy_glSecondaryColor3us;
    PFNGLSECONDARYCOLOR3USEXTPROC epoxy_glSecondaryColor3usEXT;
    PFNGLSECONDARYCOLOR3USVPROC epoxy_glSecondaryColor3usv;
    PFNGLSECONDARYCOLOR3USVEXTPROC epoxy_glSecondaryColor3usvEXT;
    PFNGLSECONDARYCOLORFORMATNVPROC epoxy_glSecondaryColorFormatNV;
    PFNGLSECONDARYCOLORP3UIPROC epoxy_glSecondaryColorP3ui;
    PFNGLSECONDARYCOLORP3UIVPROC epoxy_glSecondaryColorP3uiv;
    PFNGLSECONDARYCOLORPOINTERPROC epoxy_glSecondaryColorPointer;
    PFNGLSECONDARYCOLORPOINTEREXTPROC epoxy_glSecondaryColorPointerEXT;
    PFNGLSECONDARYCOLORPOINTERLISTIBMPROC epoxy_glSecondaryColorPointerListIBM;
    PFNGLSELECTBUFFERPROC epoxy_glSelectBuffer;
    PFNGLSELECTPERFMONITORCOUNTERSAMDPROC epoxy_glSelectPerfMonitorCountersAMD;
    PFNGLSEPARABLEFILTER2DPROC epoxy_glSeparableFilter2D;
    PFNGLSEPARABLEFILTER2DEXTPROC epoxy_glSeparableFilter2DEXT;
    PFNGLSETFENCEAPPLEPROC epoxy_glSetFenceAPPLE;
    PFNGLSETFENCENVPROC epoxy_glSetFenceNV;
    PFNGLSETFRAGMENTSHADERCONSTANTATIPROC epoxy_glSetFragmentShaderConstantATI;
    PFNGLSETINVARIANTEXTPROC epoxy_glSetInvariantEXT;
    PFNGLSETLOCALCONSTANTEXTPROC epoxy_glSetLocalConstantEXT;
    PFNGLSETMULTISAMPLEFVAMDPROC epoxy_glSetMultisamplefvAMD;
    PFNGLSHADEMODELPROC epoxy_glShadeModel;
    PFNGLSHADERBINARYPROC epoxy_glShaderBinary;
    PFNGLSHADEROP1EXTPROC epoxy_glShaderOp1EXT;
    PFNGLSHADEROP2EXTPROC epoxy_glShaderOp2EXT;
    PFNGLSHADEROP3EXTPROC epoxy_glShaderOp3EXT;
    PFNGLSHADERSOURCEPROC epoxy_glShaderSource;
    PFNGLSHADERSOURCEARBPROC epoxy_glShaderSourceARB;
    PFNGLSHADERSTORAGEBLOCKBINDINGPROC epoxy_glShaderStorageBlockBinding;
    PFNGLSHARPENTEXFUNCSGISPROC epoxy_glSharpenTexFuncSGIS;
    PFNGLSPRITEPARAMETERFSGIXPROC epoxy_glSpriteParameterfSGIX;
    PFNGLSPRITEPARAMETERFVSGIXPROC epoxy_glSpriteParameterfvSGIX;
    PFNGLSPRITEPARAMETERISGIXPROC epoxy_glSpriteParameteriSGIX;
    PFNGLSPRITEPARAMETERIVSGIXPROC epoxy_glSpriteParameterivSGIX;
    PFNGLSTARTINSTRUMENTSSGIXPROC epoxy_glStartInstrumentsSGIX;
    PFNGLSTARTTILINGQCOMPROC epoxy_glStartTilingQCOM;
    PFNGLSTENCILCLEARTAGEXTPROC epoxy_glStencilClearTagEXT;
    PFNGLSTENCILFILLPATHINSTANCEDNVPROC epoxy_glStencilFillPathInstancedNV;
    PFNGLSTENCILFILLPATHNVPROC epoxy_glStencilFillPathNV;
    PFNGLSTENCILFUNCPROC epoxy_glStencilFunc;
    PFNGLSTENCILFUNCSEPARATEPROC epoxy_glStencilFuncSeparate;
    PFNGLSTENCILFUNCSEPARATEATIPROC epoxy_glStencilFuncSeparateATI;
    PFNGLSTENCILMASKPROC epoxy_glStencilMask;
    PFNGLSTENCILMASKSEPARATEPROC epoxy_glStencilMaskSeparate;
    PFNGLSTENCILOPPROC epoxy_glStencilOp;
    PFNGLSTENCILOPSEPARATEPROC epoxy_glStencilOpSeparate;
    PFNGLSTENCILOPSEPARATEATIPROC epoxy_glStencilOpSeparateATI;
    PFNGLSTENCILOPVALUEAMDPROC epoxy_glStencilOpValueAMD;
    PFNGLSTENCILSTROKEPATHINSTANCEDNVPROC epoxy_glStencilStrokePathInstancedNV;
    PFNGLSTENCILSTROKEPATHNVPROC epoxy_glStencilStrokePathNV;
    PFNGLSTOPINSTRUMENTSSGIXPROC epoxy_glStopInstrumentsSGIX;
    PFNGLSTRINGMARKERGREMEDYPROC epoxy_glStringMarkerGREMEDY;
    PFNGLSWIZZLEEXTPROC epoxy_glSwizzleEXT;
    PFNGLSYNCTEXTUREINTELPROC epoxy_glSyncTextureINTEL;
    PFNGLTAGSAMPLEBUFFERSGIXPROC epoxy_glTagSampleBufferSGIX;
    PFNGLTANGENT3BEXTPROC epoxy_glTangent3bEXT;
    PFNGLTANGENT3BVEXTPROC epoxy_glTangent3bvEXT;
    PFNGLTANGENT3DEXTPROC epoxy_glTangent3dEXT;
    PFNGLTANGENT3DVEXTPROC epoxy_glTangent3dvEXT;
    PFNGLTANGENT3FEXTPROC epoxy_glTangent3fEXT;
    PFNGLTANGENT3FVEXTPROC epoxy_glTangent3fvEXT;
    PFNGLTANGENT3IEXTPROC epoxy_glTangent3iEXT;
    PFNGLTANGENT3IVEXTPROC epoxy_glTangent3ivEXT;
    PFNGLTANGENT3SEXTPROC epoxy_glTangent3sEXT;
    PFNGLTANGENT3SVEXTPROC epoxy_glTangent3svEXT;
    PFNGLTANGENTPOINTEREXTPROC epoxy_glTangentPointerEXT;
    PFNGLTBUFFERMASK3DFXPROC epoxy_glTbufferMask3DFX;
    PFNGLTESSELLATIONFACTORAMDPROC epoxy_glTessellationFactorAMD;
    PFNGLTESSELLATIONMODEAMDPROC epoxy_glTessellationModeAMD;
    PFNGLTESTFENCEAPPLEPROC epoxy_glTestFenceAPPLE;
    PFNGLTESTFENCENVPROC epoxy_glTestFenceNV;
    PFNGLTESTOBJECTAPPLEPROC epoxy_glTestObjectAPPLE;
    PFNGLTEXBUFFERPROC epoxy_glTexBuffer;
    PFNGLTEXBUFFERARBPROC epoxy_glTexBufferARB;
    PFNGLTEXBUFFEREXTPROC epoxy_glTexBufferEXT;
    PFNGLTEXBUFFERRANGEPROC epoxy_glTexBufferRange;
    PFNGLTEXBUMPPARAMETERFVATIPROC epoxy_glTexBumpParameterfvATI;
    PFNGLTEXBUMPPARAMETERIVATIPROC epoxy_glTexBumpParameterivATI;
    PFNGLTEXCOORD1BOESPROC epoxy_glTexCoord1bOES;
    PFNGLTEXCOORD1BVOESPROC epoxy_glTexCoord1bvOES;
    PFNGLTEXCOORD1DPROC epoxy_glTexCoord1d;
    PFNGLTEXCOORD1DVPROC epoxy_glTexCoord1dv;
    PFNGLTEXCOORD1FPROC epoxy_glTexCoord1f;
    PFNGLTEXCOORD1FVPROC epoxy_glTexCoord1fv;
    PFNGLTEXCOORD1HNVPROC epoxy_glTexCoord1hNV;
    PFNGLTEXCOORD1HVNVPROC epoxy_glTexCoord1hvNV;
    PFNGLTEXCOORD1IPROC epoxy_glTexCoord1i;
    PFNGLTEXCOORD1IVPROC epoxy_glTexCoord1iv;
    PFNGLTEXCOORD1SPROC epoxy_glTexCoord1s;
    PFNGLTEXCOORD1SVPROC epoxy_glTexCoord1sv;
    PFNGLTEXCOORD1XOESPROC epoxy_glTexCoord1xOES;
    PFNGLTEXCOORD1XVOESPROC epoxy_glTexCoord1xvOES;
    PFNGLTEXCOORD2BOESPROC epoxy_glTexCoord2bOES;
    PFNGLTEXCOORD2BVOESPROC epoxy_glTexCoord2bvOES;
    PFNGLTEXCOORD2DPROC epoxy_glTexCoord2d;
    PFNGLTEXCOORD2DVPROC epoxy_glTexCoord2dv;
    PFNGLTEXCOORD2FPROC epoxy_glTexCoord2f;
    PFNGLTEXCOORD2FCOLOR3FVERTEX3FSUNPROC epoxy_glTexCoord2fColor3fVertex3fSUN;
    PFNGLTEXCOORD2FCOLOR3FVERTEX3FVSUNPROC epoxy_glTexCoord2fColor3fVertex3fvSUN;
    PFNGLTEXCOORD2FCOLOR4FNORMAL3FVERTEX3FSUNPROC epoxy_glTexCoord2fColor4fNormal3fVertex3fSUN;
    PFNGLTEXCOORD2FCOLOR4FNORMAL3FVERTEX3FVSUNPROC epoxy_glTexCoord2fColor4fNormal3fVertex3fvSUN;
    PFNGLTEXCOORD2FCOLOR4UBVERTEX3FSUNPROC epoxy_glTexCoord2fColor4ubVertex3fSUN;
    PFNGLTEXCOORD2FCOLOR4UBVERTEX3FVSUNPROC epoxy_glTexCoord2fColor4ubVertex3fvSUN;
    PFNGLTEXCOORD2FNORMAL3FVERTEX3FSUNPROC epoxy_glTexCoord2fNormal3fVertex3fSUN;
    PFNGLTEXCOORD2FNORMAL3FVERTEX3FVSUNPROC epoxy_glTexCoord2fNormal3fVertex3fvSUN;
    PFNGLTEXCOORD2FVERTEX3FSUNPROC epoxy_glTexCoord2fVertex3fSUN;
    PFNGLTEXCOORD2FVERTEX3FVSUNPROC epoxy_glTexCoord2fVertex3fvSUN;
    PFNGLTEXCOORD2FVPROC epoxy_glTexCoord2fv;
    PFNGLTEXCOORD2HNVPROC epoxy_glTexCoord2hNV;
    PFNGLTEXCOORD2HVNVPROC epoxy_glTexCoord2hvNV;
    PFNGLTEXCOORD2IPROC epoxy_glTexCoord2i;
    PFNGLTEXCOORD2IVPROC epoxy_glTexCoord2iv;
    PFNGLTEXCOORD2SPROC epoxy_glTexCoord2s;
    PFNGLTEXCOORD2SVPROC epoxy_glTexCoord2sv;
    PFNGLTEXCOORD2XOESPROC epoxy_glTexCoord2xOES;
    PFNGLTEXCOORD2XVOESPROC epoxy_glTexCoord2xvOES;
    PFNGLTEXCOORD3BOESPROC epoxy_glTexCoord3bOES;
    PFNGLTEXCOORD3BVOESPROC epoxy_glTexCoord3bvOES;
    PFNGLTEXCOORD3DPROC epoxy_glTexCoord3d;
    PFNGLTEXCOORD3DVPROC epoxy_glTexCoord3dv;
    PFNGLTEXCOORD3FPROC epoxy_glTexCoord3f;
    PFNGLTEXCOORD3FVPROC epoxy_glTexCoord3fv;
    PFNGLTEXCOORD3HNVPROC epoxy_glTexCoord3hNV;
    PFNGLTEXCOORD3HVNVPROC epoxy_glTexCoord3hvNV;
    PFNGLTEXCOORD3IPROC epoxy_glTexCoord3i;
    PFNGLTEXCOORD3IVPROC epoxy_glTexCoord3iv;
    PFNGLTEXCOORD3SPROC epoxy_glTexCoord3s;
    PFNGLTEXCOORD3SVPROC epoxy_glTexCoord3sv;
    PFNGLTEXCOORD3XOESPROC epoxy_glTexCoord3xOES;
    PFNGLTEXCOORD3XVOESPROC epoxy_glTexCoord3xvOES;
    PFNGLTEXCOORD4BOESPROC epoxy_glTexCoord4bOES;
    PFNGLTEXCOORD4BVOESPROC epoxy_glTexCoord4bvOES;
    PFNGLTEXCOORD4DPROC epoxy_glTexCoord4d;
    PFNGLTEXCOORD4DVPROC epoxy_glTexCoord4dv;
    PFNGLTEXCOORD4FPROC epoxy_glTexCoord4f;
    PFNGLTEXCOORD4FCOLOR4FNORMAL3FVERTEX4FSUNPROC epoxy_glTexCoord4fColor4fNormal3fVertex4fSUN;
    PFNGLTEXCOORD4FCOLOR4FNORMAL3FVERTEX4FVSUNPROC epoxy_glTexCoord4fColor4fNormal3fVertex4fvSUN;
    PFNGLTEXCOORD4FVERTEX4FSUNPROC epoxy_glTexCoord4fVertex4fSUN;
    PFNGLTEXCOORD4FVERTEX4FVSUNPROC epoxy_glTexCoord4fVertex4fvSUN;
    PFNGLTEXCOORD4FVPROC epoxy_glTexCoord4fv;
    PFNGLTEXCOORD4HNVPROC epoxy_glTexCoord4hNV;
    PFNGLTEXCOORD4HVNVPROC epoxy_glTexCoord4hvNV;
    PFNGLTEXCOORD4IPROC epoxy_glTexCoord4i;
    PFNGLTEXCOORD4IVPROC epoxy_glTexCoord4iv;
    PFNGLTEXCOORD4SPROC epoxy_glTexCoord4s;
    PFNGLTEXCOORD4SVPROC epoxy_glTexCoord4sv;
    PFNGLTEXCOORD4XOESPROC epoxy_glTexCoord4xOES;
    PFNGLTEXCOORD4XVOESPROC epoxy_glTexCoord4xvOES;
    PFNGLTEXCOORDFORMATNVPROC epoxy_glTexCoordFormatNV;
    PFNGLTEXCOORDP1UIPROC epoxy_glTexCoordP1ui;
    PFNGLTEXCOORDP1UIVPROC epoxy_glTexCoordP1uiv;
    PFNGLTEXCOORDP2UIPROC epoxy_glTexCoordP2ui;
    PFNGLTEXCOORDP2UIVPROC epoxy_glTexCoordP2uiv;
    PFNGLTEXCOORDP3UIPROC epoxy_glTexCoordP3ui;
    PFNGLTEXCOORDP3UIVPROC epoxy_glTexCoordP3uiv;
    PFNGLTEXCOORDP4UIPROC epoxy_glTexCoordP4ui;
    PFNGLTEXCOORDP4UIVPROC epoxy_glTexCoordP4uiv;
    PFNGLTEXCOORDPOINTERPROC epoxy_glTexCoordPointer;
    PFNGLTEXCOORDPOINTEREXTPROC epoxy_glTexCoordPointerEXT;
    PFNGLTEXCOORDPOINTERLISTIBMPROC epoxy_glTexCoordPointerListIBM;
    PFNGLTEXCOORDPOINTERVINTELPROC epoxy_glTexCoordPointervINTEL;
    PFNGLTEXENVFPROC epoxy_glTexEnvf;
    PFNGLTEXENVFVPROC epoxy_glTexEnvfv;
    PFNGLTEXENVIPROC epoxy_glTexEnvi;
    PFNGLTEXENVIVPROC epoxy_glTexEnviv;
    PFNGLTEXENVXPROC epoxy_glTexEnvx;
    PFNGLTEXENVXOESPROC epoxy_glTexEnvxOES;
    PFNGLTEXENVXVPROC epoxy_glTexEnvxv;
    PFNGLTEXENVXVOESPROC epoxy_glTexEnvxvOES;
    PFNGLTEXFILTERFUNCSGISPROC epoxy_glTexFilterFuncSGIS;
    PFNGLTEXGENDPROC epoxy_glTexGend;
    PFNGLTEXGENDVPROC epoxy_glTexGendv;
    PFNGLTEXGENFPROC epoxy_glTexGenf;
    PFNGLTEXGENFOESPROC epoxy_glTexGenfOES;
    PFNGLTEXGENFVPROC epoxy_glTexGenfv;
    PFNGLTEXGENFVOESPROC epoxy_glTexGenfvOES;
    PFNGLTEXGENIPROC epoxy_glTexGeni;
    PFNGLTEXGENIOESPROC epoxy_glTexGeniOES;
    PFNGLTEXGENIVPROC epoxy_glTexGeniv;
    PFNGLTEXGENIVOESPROC epoxy_glTexGenivOES;
    PFNGLTEXGENXOESPROC epoxy_glTexGenxOES;
    PFNGLTEXGENXVOESPROC epoxy_glTexGenxvOES;
    PFNGLTEXIMAGE1DPROC epoxy_glTexImage1D;
    PFNGLTEXIMAGE2DPROC epoxy_glTexImage2D;
    PFNGLTEXIMAGE2DMULTISAMPLEPROC epoxy_glTexImage2DMultisample;
    PFNGLTEXIMAGE2DMULTISAMPLECOVERAGENVPROC epoxy_glTexImage2DMultisampleCoverageNV;
    PFNGLTEXIMAGE3DPROC epoxy_glTexImage3D;
    PFNGLTEXIMAGE3DEXTPROC epoxy_glTexImage3DEXT;
    PFNGLTEXIMAGE3DMULTISAMPLEPROC epoxy_glTexImage3DMultisample;
    PFNGLTEXIMAGE3DMULTISAMPLECOVERAGENVPROC epoxy_glTexImage3DMultisampleCoverageNV;
    PFNGLTEXIMAGE3DOESPROC epoxy_glTexImage3DOES;
    PFNGLTEXIMAGE4DSGISPROC epoxy_glTexImage4DSGIS;
    PFNGLTEXPAGECOMMITMENTARBPROC epoxy_glTexPageCommitmentARB;
    PFNGLTEXPARAMETERIIVPROC epoxy_glTexParameterIiv;
    PFNGLTEXPARAMETERIIVEXTPROC epoxy_glTexParameterIivEXT;
    PFNGLTEXPARAMETERIUIVPROC epoxy_glTexParameterIuiv;
    PFNGLTEXPARAMETERIUIVEXTPROC epoxy_glTexParameterIuivEXT;
    PFNGLTEXPARAMETERFPROC epoxy_glTexParameterf;
    PFNGLTEXPARAMETERFVPROC epoxy_glTexParameterfv;
    PFNGLTEXPARAMETERIPROC epoxy_glTexParameteri;
    PFNGLTEXPARAMETERIVPROC epoxy_glTexParameteriv;
    PFNGLTEXPARAMETERXPROC epoxy_glTexParameterx;
    PFNGLTEXPARAMETERXOESPROC epoxy_glTexParameterxOES;
    PFNGLTEXPARAMETERXVPROC epoxy_glTexParameterxv;
    PFNGLTEXPARAMETERXVOESPROC epoxy_glTexParameterxvOES;
    PFNGLTEXRENDERBUFFERNVPROC epoxy_glTexRenderbufferNV;
    PFNGLTEXSTORAGE1DPROC epoxy_glTexStorage1D;
    PFNGLTEXSTORAGE1DEXTPROC epoxy_glTexStorage1DEXT;
    PFNGLTEXSTORAGE2DPROC epoxy_glTexStorage2D;
    PFNGLTEXSTORAGE2DEXTPROC epoxy_glTexStorage2DEXT;
    PFNGLTEXSTORAGE2DMULTISAMPLEPROC epoxy_glTexStorage2DMultisample;
    PFNGLTEXSTORAGE3DPROC epoxy_glTexStorage3D;
    PFNGLTEXSTORAGE3DEXTPROC epoxy_glTexStorage3DEXT;
    PFNGLTEXSTORAGE3DMULTISAMPLEPROC epoxy_glTexStorage3DMultisample;
    PFNGLTEXSTORAGE3DMULTISAMPLEOESPROC epoxy_glTexStorage3DMultisampleOES;
    PFNGLTEXSTORAGESPARSEAMDPROC epoxy_glTexStorageSparseAMD;
    PFNGLTEXSUBIMAGE1DPROC epoxy_glTexSubImage1D;
    PFNGLTEXSUBIMAGE1DEXTPROC epoxy_glTexSubImage1DEXT;
    PFNGLTEXSUBIMAGE2DPROC epoxy_glTexSubImage2D;
    PFNGLTEXSUBIMAGE2DEXTPROC epoxy_glTexSubImage2DEXT;
    PFNGLTEXSUBIMAGE3DPROC epoxy_glTexSubImage3D;
    PFNGLTEXSUBIMAGE3DEXTPROC epoxy_glTexSubImage3DEXT;
    PFNGLTEXSUBIMAGE3DOESPROC epoxy_glTexSubImage3DOES;
    PFNGLTEXSUBIMAGE4DSGISPROC epoxy_glTexSubImage4DSGIS;
    PFNGLTEXTUREBARRIERNVPROC epoxy_glTextureBarrierNV;
    PFNGLTEXTUREBUFFEREXTPROC epoxy_glTextureBufferEXT;
    PFNGLTEXTUREBUFFERRANGEEXTPROC epoxy_glTextureBufferRangeEXT;
    PFNGLTEXTURECOLORMASKSGISPROC epoxy_glTextureColorMaskSGIS;
    PFNGLTEXTUREIMAGE1DEXTPROC epoxy_glTextureImage1DEXT;
    PFNGLTEXTUREIMAGE2DEXTPROC epoxy_glTextureImage2DEXT;
    PFNGLTEXTUREIMAGE2DMULTISAMPLECOVERAGENVPROC epoxy_glTextureImage2DMultisampleCoverageNV;
    PFNGLTEXTUREIMAGE2DMULTISAMPLENVPROC epoxy_glTextureImage2DMultisampleNV;
    PFNGLTEXTUREIMAGE3DEXTPROC epoxy_glTextureImage3DEXT;
    PFNGLTEXTUREIMAGE3DMULTISAMPLECOVERAGENVPROC epoxy_glTextureImage3DMultisampleCoverageNV;
    PFNGLTEXTUREIMAGE3DMULTISAMPLENVPROC epoxy_glTextureImage3DMultisampleNV;
    PFNGLTEXTURELIGHTEXTPROC epoxy_glTextureLightEXT;
    PFNGLTEXTUREMATERIALEXTPROC epoxy_glTextureMaterialEXT;
    PFNGLTEXTURENORMALEXTPROC epoxy_glTextureNormalEXT;
    PFNGLTEXTUREPAGECOMMITMENTEXTPROC epoxy_glTexturePageCommitmentEXT;
    PFNGLTEXTUREPARAMETERIIVEXTPROC epoxy_glTextureParameterIivEXT;
    PFNGLTEXTUREPARAMETERIUIVEXTPROC epoxy_glTextureParameterIuivEXT;
    PFNGLTEXTUREPARAMETERFEXTPROC epoxy_glTextureParameterfEXT;
    PFNGLTEXTUREPARAMETERFVEXTPROC epoxy_glTextureParameterfvEXT;
    PFNGLTEXTUREPARAMETERIEXTPROC epoxy_glTextureParameteriEXT;
    PFNGLTEXTUREPARAMETERIVEXTPROC epoxy_glTextureParameterivEXT;
    PFNGLTEXTURERANGEAPPLEPROC epoxy_glTextureRangeAPPLE;
    PFNGLTEXTURERENDERBUFFEREXTPROC epoxy_glTextureRenderbufferEXT;
    PFNGLTEXTURESTORAGE1DEXTPROC epoxy_glTextureStorage1DEXT;
    PFNGLTEXTURESTORAGE2DEXTPROC epoxy_glTextureStorage2DEXT;
    PFNGLTEXTURESTORAGE2DMULTISAMPLEEXTPROC epoxy_glTextureStorage2DMultisampleEXT;
    PFNGLTEXTURESTORAGE3DEXTPROC epoxy_glTextureStorage3DEXT;
    PFNGLTEXTURESTORAGE3DMULTISAMPLEEXTPROC epoxy_glTextureStorage3DMultisampleEXT;
    PFNGLTEXTURESTORAGESPARSEAMDPROC epoxy_glTextureStorageSparseAMD;
    PFNGLTEXTURESUBIMAGE1DEXTPROC epoxy_glTextureSubImage1DEXT;
    PFNGLTEXTURESUBIMAGE2DEXTPROC epoxy_glTextureSubImage2DEXT;
    PFNGLTEXTURESUBIMAGE3DEXTPROC epoxy_glTextureSubImage3DEXT;
    PFNGLTEXTUREVIEWPROC epoxy_glTextureView;
    PFNGLTRACKMATRIXNVPROC epoxy_glTrackMatrixNV;
    PFNGLTRANSFORMFEEDBACKATTRIBSNVPROC epoxy_glTransformFeedbackAttribsNV;
    PFNGLTRANSFORMFEEDBACKSTREAMATTRIBSNVPROC epoxy_glTransformFeedbackStreamAttribsNV;
    PFNGLTRANSFORMFEEDBACKVARYINGSPROC epoxy_glTransformFeedbackVaryings;
    PFNGLTRANSFORMFEEDBACKVARYINGSEXTPROC epoxy_glTransformFeedbackVaryingsEXT;
    PFNGLTRANSFORMFEEDBACKVARYINGSNVPROC epoxy_glTransformFeedbackVaryingsNV;
    PFNGLTRANSFORMPATHNVPROC epoxy_glTransformPathNV;
    PFNGLTRANSLATEDPROC epoxy_glTranslated;
    PFNGLTRANSLATEFPROC epoxy_glTranslatef;
    PFNGLTRANSLATEXPROC epoxy_glTranslatex;
    PFNGLTRANSLATEXOESPROC epoxy_glTranslatexOES;
    PFNGLUNIFORM1DPROC epoxy_glUniform1d;
    PFNGLUNIFORM1DVPROC epoxy_glUniform1dv;
    PFNGLUNIFORM1FPROC epoxy_glUniform1f;
    PFNGLUNIFORM1FARBPROC epoxy_glUniform1fARB;
    PFNGLUNIFORM1FVPROC epoxy_glUniform1fv;
    PFNGLUNIFORM1FVARBPROC epoxy_glUniform1fvARB;
    PFNGLUNIFORM1IPROC epoxy_glUniform1i;
    PFNGLUNIFORM1I64NVPROC epoxy_glUniform1i64NV;
    PFNGLUNIFORM1I64VNVPROC epoxy_glUniform1i64vNV;
    PFNGLUNIFORM1IARBPROC epoxy_glUniform1iARB;
    PFNGLUNIFORM1IVPROC epoxy_glUniform1iv;
    PFNGLUNIFORM1IVARBPROC epoxy_glUniform1ivARB;
    PFNGLUNIFORM1UIPROC epoxy_glUniform1ui;
    PFNGLUNIFORM1UI64NVPROC epoxy_glUniform1ui64NV;
    PFNGLUNIFORM1UI64VNVPROC epoxy_glUniform1ui64vNV;
    PFNGLUNIFORM1UIEXTPROC epoxy_glUniform1uiEXT;
    PFNGLUNIFORM1UIVPROC epoxy_glUniform1uiv;
    PFNGLUNIFORM1UIVEXTPROC epoxy_glUniform1uivEXT;
    PFNGLUNIFORM2DPROC epoxy_glUniform2d;
    PFNGLUNIFORM2DVPROC epoxy_glUniform2dv;
    PFNGLUNIFORM2FPROC epoxy_glUniform2f;
    PFNGLUNIFORM2FARBPROC epoxy_glUniform2fARB;
    PFNGLUNIFORM2FVPROC epoxy_glUniform2fv;
    PFNGLUNIFORM2FVARBPROC epoxy_glUniform2fvARB;
    PFNGLUNIFORM2IPROC epoxy_glUniform2i;
    PFNGLUNIFORM2I64NVPROC epoxy_glUniform2i64NV;
    PFNGLUNIFORM2I64VNVPROC epoxy_glUniform2i64vNV;
    PFNGLUNIFORM2IARBPROC epoxy_glUniform2iARB;
    PFNGLUNIFORM2IVPROC epoxy_glUniform2iv;
    PFNGLUNIFORM2IVARBPROC epoxy_glUniform2ivARB;
    PFNGLUNIFORM2UIPROC epoxy_glUniform2ui;
    PFNGLUNIFORM2UI64NVPROC epoxy_glUniform2ui64NV;
    PFNGLUNIFORM2UI64VNVPROC epoxy_glUniform2ui64vNV;
    PFNGLUNIFORM2UIEXTPROC epoxy_glUniform2uiEXT;
    PFNGLUNIFORM2UIVPROC epoxy_glUniform2uiv;
    PFNGLUNIFORM2UIVEXTPROC epoxy_glUniform2uivEXT;
    PFNGLUNIFORM3DPROC epoxy_glUniform3d;
    PFNGLUNIFORM3DVPROC epoxy_glUniform3dv;
    PFNGLUNIFORM3FPROC epoxy_glUniform3f;
    PFNGLUNIFORM3FARBPROC epoxy_glUniform3fARB;
    PFNGLUNIFORM3FVPROC epoxy_glUniform3fv;
    PFNGLUNIFORM3FVARBPROC epoxy_glUniform3fvARB;
    PFNGLUNIFORM3IPROC epoxy_glUniform3i;
    PFNGLUNIFORM3I64NVPROC epoxy_glUniform3i64NV;
    PFNGLUNIFORM3I64VNVPROC epoxy_glUniform3i64vNV;
    PFNGLUNIFORM3IARBPROC epoxy_glUniform3iARB;
    PFNGLUNIFORM3IVPROC epoxy_glUniform3iv;
    PFNGLUNIFORM3IVARBPROC epoxy_glUniform3ivARB;
    PFNGLUNIFORM3UIPROC epoxy_glUniform3ui;
    PFNGLUNIFORM3UI64NVPROC epoxy_glUniform3ui64NV;
    PFNGLUNIFORM3UI64VNVPROC epoxy_glUniform3ui64vNV;
    PFNGLUNIFORM3UIEXTPROC epoxy_glUniform3uiEXT;
    PFNGLUNIFORM3UIVPROC epoxy_glUniform3uiv;
    PFNGLUNIFORM3UIVEXTPROC epoxy_glUniform3uivEXT;
    PFNGLUNIFORM4DPROC epoxy_glUniform4d;
    PFNGLUNIFORM4DVPROC epoxy_glUniform4dv;
    PFNGLUNIFORM4FPROC epoxy_glUniform4f;
    PFNGLUNIFORM4FARBPROC epoxy_glUniform4fARB;
    PFNGLUNIFORM4FVPROC epoxy_glUniform4fv;
    PFNGLUNIFORM4FVARBPROC epoxy_glUniform4fvARB;
    PFNGLUNIFORM4IPROC epoxy_glUniform4i;
    PFNGLUNIFORM4I64NVPROC epoxy_glUniform4i64NV;
    PFNGLUNIFORM4I64VNVPROC epoxy_glUniform4i64vNV;
    PFNGLUNIFORM4IARBPROC epoxy_glUniform4iARB;
    PFNGLUNIFORM4IVPROC epoxy_glUniform4iv;
    PFNGLUNIFORM4IVARBPROC epoxy_glUniform4ivARB;
    PFNGLUNIFORM4UIPROC epoxy_glUniform4ui;
    PFNGLUNIFORM4UI64NVPROC epoxy_glUniform4ui64NV;
    PFNGLUNIFORM4UI64VNVPROC epoxy_glUniform4ui64vNV;
    PFNGLUNIFORM4UIEXTPROC epoxy_glUniform4uiEXT;
    PFNGLUNIFORM4UIVPROC epoxy_glUniform4uiv;
    PFNGLUNIFORM4UIVEXTPROC epoxy_glUniform4uivEXT;
    PFNGLUNIFORMBLOCKBINDINGPROC epoxy_glUniformBlockBinding;
    PFNGLUNIFORMBUFFEREXTPROC epoxy_glUniformBufferEXT;
    PFNGLUNIFORMHANDLEUI64ARBPROC epoxy_glUniformHandleui64ARB;
    PFNGLUNIFORMHANDLEUI64NVPROC epoxy_glUniformHandleui64NV;
    PFNGLUNIFORMHANDLEUI64VARBPROC epoxy_glUniformHandleui64vARB;
    PFNGLUNIFORMHANDLEUI64VNVPROC epoxy_glUniformHandleui64vNV;
    PFNGLUNIFORMMATRIX2DVPROC epoxy_glUniformMatrix2dv;
    PFNGLUNIFORMMATRIX2FVPROC epoxy_glUniformMatrix2fv;
    PFNGLUNIFORMMATRIX2FVARBPROC epoxy_glUniformMatrix2fvARB;
    PFNGLUNIFORMMATRIX2X3DVPROC epoxy_glUniformMatrix2x3dv;
    PFNGLUNIFORMMATRIX2X3FVPROC epoxy_glUniformMatrix2x3fv;
    PFNGLUNIFORMMATRIX2X3FVNVPROC epoxy_glUniformMatrix2x3fvNV;
    PFNGLUNIFORMMATRIX2X4DVPROC epoxy_glUniformMatrix2x4dv;
    PFNGLUNIFORMMATRIX2X4FVPROC epoxy_glUniformMatrix2x4fv;
    PFNGLUNIFORMMATRIX2X4FVNVPROC epoxy_glUniformMatrix2x4fvNV;
    PFNGLUNIFORMMATRIX3DVPROC epoxy_glUniformMatrix3dv;
    PFNGLUNIFORMMATRIX3FVPROC epoxy_glUniformMatrix3fv;
    PFNGLUNIFORMMATRIX3FVARBPROC epoxy_glUniformMatrix3fvARB;
    PFNGLUNIFORMMATRIX3X2DVPROC epoxy_glUniformMatrix3x2dv;
    PFNGLUNIFORMMATRIX3X2FVPROC epoxy_glUniformMatrix3x2fv;
    PFNGLUNIFORMMATRIX3X2FVNVPROC epoxy_glUniformMatrix3x2fvNV;
    PFNGLUNIFORMMATRIX3X4DVPROC epoxy_glUniformMatrix3x4dv;
    PFNGLUNIFORMMATRIX3X4FVPROC epoxy_glUniformMatrix3x4fv;
    PFNGLUNIFORMMATRIX3X4FVNVPROC epoxy_glUniformMatrix3x4fvNV;
    PFNGLUNIFORMMATRIX4DVPROC epoxy_glUniformMatrix4dv;
    PFNGLUNIFORMMATRIX4FVPROC epoxy_glUniformMatrix4fv;
    PFNGLUNIFORMMATRIX4FVARBPROC epoxy_glUniformMatrix4fvARB;
    PFNGLUNIFORMMATRIX4X2DVPROC epoxy_glUniformMatrix4x2dv;
    PFNGLUNIFORMMATRIX4X2FVPROC epoxy_glUniformMatrix4x2fv;
    PFNGLUNIFORMMATRIX4X2FVNVPROC epoxy_glUniformMatrix4x2fvNV;
    PFNGLUNIFORMMATRIX4X3DVPROC epoxy_glUniformMatrix4x3dv;
    PFNGLUNIFORMMATRIX4X3FVPROC epoxy_glUniformMatrix4x3fv;
    PFNGLUNIFORMMATRIX4X3FVNVPROC epoxy_glUniformMatrix4x3fvNV;
    PFNGLUNIFORMSUBROUTINESUIVPROC epoxy_glUniformSubroutinesuiv;
    PFNGLUNIFORMUI64NVPROC epoxy_glUniformui64NV;
    PFNGLUNIFORMUI64VNVPROC epoxy_glUniformui64vNV;
    PFNGLUNLOCKARRAYSEXTPROC epoxy_glUnlockArraysEXT;
    PFNGLUNMAPBUFFERPROC epoxy_glUnmapBuffer;
    PFNGLUNMAPBUFFERARBPROC epoxy_glUnmapBufferARB;
    PFNGLUNMAPBUFFEROESPROC epoxy_glUnmapBufferOES;
    PFNGLUNMAPNAMEDBUFFEREXTPROC epoxy_glUnmapNamedBufferEXT;
    PFNGLUNMAPOBJECTBUFFERATIPROC epoxy_glUnmapObjectBufferATI;
    PFNGLUNMAPTEXTURE2DINTELPROC epoxy_glUnmapTexture2DINTEL;
    PFNGLUPDATEOBJECTBUFFERATIPROC epoxy_glUpdateObjectBufferATI;
    PFNGLUSEPROGRAMPROC epoxy_glUseProgram;
    PFNGLUSEPROGRAMOBJECTARBPROC epoxy_glUseProgramObjectARB;
    PFNGLUSEPROGRAMSTAGESPROC epoxy_glUseProgramStages;
    PFNGLUSEPROGRAMSTAGESEXTPROC epoxy_glUseProgramStagesEXT;
    PFNGLUSESHADERPROGRAMEXTPROC epoxy_glUseShaderProgramEXT;
    PFNGLVDPAUFININVPROC epoxy_glVDPAUFiniNV;
    PFNGLVDPAUGETSURFACEIVNVPROC epoxy_glVDPAUGetSurfaceivNV;
    PFNGLVDPAUINITNVPROC epoxy_glVDPAUInitNV;
    PFNGLVDPAUISSURFACENVPROC epoxy_glVDPAUIsSurfaceNV;
    PFNGLVDPAUMAPSURFACESNVPROC epoxy_glVDPAUMapSurfacesNV;
    PFNGLVDPAUREGISTEROUTPUTSURFACENVPROC epoxy_glVDPAURegisterOutputSurfaceNV;
    PFNGLVDPAUREGISTERVIDEOSURFACENVPROC epoxy_glVDPAURegisterVideoSurfaceNV;
    PFNGLVDPAUSURFACEACCESSNVPROC epoxy_glVDPAUSurfaceAccessNV;
    PFNGLVDPAUUNMAPSURFACESNVPROC epoxy_glVDPAUUnmapSurfacesNV;
    PFNGLVDPAUUNREGISTERSURFACENVPROC epoxy_glVDPAUUnregisterSurfaceNV;
    PFNGLVALIDATEPROGRAMPROC epoxy_glValidateProgram;
    PFNGLVALIDATEPROGRAMARBPROC epoxy_glValidateProgramARB;
    PFNGLVALIDATEPROGRAMPIPELINEPROC epoxy_glValidateProgramPipeline;
    PFNGLVALIDATEPROGRAMPIPELINEEXTPROC epoxy_glValidateProgramPipelineEXT;
    PFNGLVARIANTARRAYOBJECTATIPROC epoxy_glVariantArrayObjectATI;
    PFNGLVARIANTPOINTEREXTPROC epoxy_glVariantPointerEXT;
    PFNGLVARIANTBVEXTPROC epoxy_glVariantbvEXT;
    PFNGLVARIANTDVEXTPROC epoxy_glVariantdvEXT;
    PFNGLVARIANTFVEXTPROC epoxy_glVariantfvEXT;
    PFNGLVARIANTIVEXTPROC epoxy_glVariantivEXT;
    PFNGLVARIANTSVEXTPROC epoxy_glVariantsvEXT;
    PFNGLVARIANTUBVEXTPROC epoxy_glVariantubvEXT;
    PFNGLVARIANTUIVEXTPROC epoxy_glVariantuivEXT;
    PFNGLVARIANTUSVEXTPROC epoxy_glVariantusvEXT;
    PFNGLVERTEX2BOESPROC epoxy_glVertex2bOES;
    PFNGLVERTEX2BVOESPROC epoxy_glVertex2bvOES;
    PFNGLVERTEX2DPROC epoxy_glVertex2d;
    PFNGLVERTEX2DVPROC epoxy_glVertex2dv;
    PFNGLVERTEX2FPROC epoxy_glVertex2f;
    PFNGLVERTEX2FVPROC epoxy_glVertex2fv;
    PFNGLVERTEX2HNVPROC epoxy_glVertex2hNV;
    PFNGLVERTEX2HVNVPROC epoxy_glVertex2hvNV;
    PFNGLVERTEX2IPROC epoxy_glVertex2i;
    PFNGLVERTEX2IVPROC epoxy_glVertex2iv;
    PFNGLVERTEX2SPROC epoxy_glVertex2s;
    PFNGLVERTEX2SVPROC epoxy_glVertex2sv;
    PFNGLVERTEX2XOESPROC epoxy_glVertex2xOES;
    PFNGLVERTEX2XVOESPROC epoxy_glVertex2xvOES;
    PFNGLVERTEX3BOESPROC epoxy_glVertex3bOES;
    PFNGLVERTEX3BVOESPROC epoxy_glVertex3bvOES;
    PFNGLVERTEX3DPROC epoxy_glVertex3d;
    PFNGLVERTEX3DVPROC epoxy_glVertex3dv;
    PFNGLVERTEX3FPROC epoxy_glVertex3f;
    PFNGLVERTEX3FVPROC epoxy_glVertex3fv;
    PFNGLVERTEX3HNVPROC epoxy_glVertex3hNV;
    PFNGLVERTEX3HVNVPROC epoxy_glVertex3hvNV;
    PFNGLVERTEX3IPROC epoxy_glVertex3i;
    PFNGLVERTEX3IVPROC epoxy_glVertex3iv;
    PFNGLVERTEX3SPROC epoxy_glVertex3s;
    PFNGLVERTEX3SVPROC epoxy_glVertex3sv;
    PFNGLVERTEX3XOESPROC epoxy_glVertex3xOES;
    PFNGLVERTEX3XVOESPROC epoxy_glVertex3xvOES;
    PFNGLVERTEX4BOESPROC epoxy_glVertex4bOES;
    PFNGLVERTEX4BVOESPROC epoxy_glVertex4bvOES;
    PFNGLVERTEX4DPROC epoxy_glVertex4d;
    PFNGLVERTEX4DVPROC epoxy_glVertex4dv;
    PFNGLVERTEX4FPROC epoxy_glVertex4f;
    PFNGLVERTEX4FVPROC epoxy_glVertex4fv;
    PFNGLVERTEX4HNVPROC epoxy_glVertex4hNV;
    PFNGLVERTEX4HVNVPROC epoxy_glVertex4hvNV;
    PFNGLVERTEX4IPROC epoxy_glVertex4i;
    PFNGLVERTEX4IVPROC epoxy_glVertex4iv;
    PFNGLVERTEX4SPROC epoxy_glVertex4s;
    PFNGLVERTEX4SVPROC epoxy_glVertex4sv;
    PFNGLVERTEX4XOESPROC epoxy_glVertex4xOES;
    PFNGLVERTEX4XVOESPROC epoxy_glVertex4xvOES;
    PFNGLVERTEXARRAYBINDVERTEXBUFFEREXTPROC epoxy_glVertexArrayBindVertexBufferEXT;
    PFNGLVERTEXARRAYCOLOROFFSETEXTPROC epoxy_glVertexArrayColorOffsetEXT;
    PFNGLVERTEXARRAYEDGEFLAGOFFSETEXTPROC epoxy_glVertexArrayEdgeFlagOffsetEXT;
    PFNGLVERTEXARRAYFOGCOORDOFFSETEXTPROC epoxy_glVertexArrayFogCoordOffsetEXT;
    PFNGLVERTEXARRAYINDEXOFFSETEXTPROC epoxy_glVertexArrayIndexOffsetEXT;
    PFNGLVERTEXARRAYMULTITEXCOORDOFFSETEXTPROC epoxy_glVertexArrayMultiTexCoordOffsetEXT;
    PFNGLVERTEXARRAYNORMALOFFSETEXTPROC epoxy_glVertexArrayNormalOffsetEXT;
    PFNGLVERTEXARRAYPARAMETERIAPPLEPROC epoxy_glVertexArrayParameteriAPPLE;
    PFNGLVERTEXARRAYRANGEAPPLEPROC epoxy_glVertexArrayRangeAPPLE;
    PFNGLVERTEXARRAYRANGENVPROC epoxy_glVertexArrayRangeNV;
    PFNGLVERTEXARRAYSECONDARYCOLOROFFSETEXTPROC epoxy_glVertexArraySecondaryColorOffsetEXT;
    PFNGLVERTEXARRAYTEXCOORDOFFSETEXTPROC epoxy_glVertexArrayTexCoordOffsetEXT;
    PFNGLVERTEXARRAYVERTEXATTRIBBINDINGEXTPROC epoxy_glVertexArrayVertexAttribBindingEXT;
    PFNGLVERTEXARRAYVERTEXATTRIBDIVISOREXTPROC epoxy_glVertexArrayVertexAttribDivisorEXT;
    PFNGLVERTEXARRAYVERTEXATTRIBFORMATEXTPROC epoxy_glVertexArrayVertexAttribFormatEXT;
    PFNGLVERTEXARRAYVERTEXATTRIBIFORMATEXTPROC epoxy_glVertexArrayVertexAttribIFormatEXT;
    PFNGLVERTEXARRAYVERTEXATTRIBIOFFSETEXTPROC epoxy_glVertexArrayVertexAttribIOffsetEXT;
    PFNGLVERTEXARRAYVERTEXATTRIBLFORMATEXTPROC epoxy_glVertexArrayVertexAttribLFormatEXT;
    PFNGLVERTEXARRAYVERTEXATTRIBLOFFSETEXTPROC epoxy_glVertexArrayVertexAttribLOffsetEXT;
    PFNGLVERTEXARRAYVERTEXATTRIBOFFSETEXTPROC epoxy_glVertexArrayVertexAttribOffsetEXT;
    PFNGLVERTEXARRAYVERTEXBINDINGDIVISOREXTPROC epoxy_glVertexArrayVertexBindingDivisorEXT;
    PFNGLVERTEXARRAYVERTEXOFFSETEXTPROC epoxy_glVertexArrayVertexOffsetEXT;
    PFNGLVERTEXATTRIB1DPROC epoxy_glVertexAttrib1d;
    PFNGLVERTEXATTRIB1DARBPROC epoxy_glVertexAttrib1dARB;
    PFNGLVERTEXATTRIB1DNVPROC epoxy_glVertexAttrib1dNV;
    PFNGLVERTEXATTRIB1DVPROC epoxy_glVertexAttrib1dv;
    PFNGLVERTEXATTRIB1DVARBPROC epoxy_glVertexAttrib1dvARB;
    PFNGLVERTEXATTRIB1DVNVPROC epoxy_glVertexAttrib1dvNV;
    PFNGLVERTEXATTRIB1FPROC epoxy_glVertexAttrib1f;
    PFNGLVERTEXATTRIB1FARBPROC epoxy_glVertexAttrib1fARB;
    PFNGLVERTEXATTRIB1FNVPROC epoxy_glVertexAttrib1fNV;
    PFNGLVERTEXATTRIB1FVPROC epoxy_glVertexAttrib1fv;
    PFNGLVERTEXATTRIB1FVARBPROC epoxy_glVertexAttrib1fvARB;
    PFNGLVERTEXATTRIB1FVNVPROC epoxy_glVertexAttrib1fvNV;
    PFNGLVERTEXATTRIB1HNVPROC epoxy_glVertexAttrib1hNV;
    PFNGLVERTEXATTRIB1HVNVPROC epoxy_glVertexAttrib1hvNV;
    PFNGLVERTEXATTRIB1SPROC epoxy_glVertexAttrib1s;
    PFNGLVERTEXATTRIB1SARBPROC epoxy_glVertexAttrib1sARB;
    PFNGLVERTEXATTRIB1SNVPROC epoxy_glVertexAttrib1sNV;
    PFNGLVERTEXATTRIB1SVPROC epoxy_glVertexAttrib1sv;
    PFNGLVERTEXATTRIB1SVARBPROC epoxy_glVertexAttrib1svARB;
    PFNGLVERTEXATTRIB1SVNVPROC epoxy_glVertexAttrib1svNV;
    PFNGLVERTEXATTRIB2DPROC epoxy_glVertexAttrib2d;
    PFNGLVERTEXATTRIB2DARBPROC epoxy_glVertexAttrib2dARB;
    PFNGLVERTEXATTRIB2DNVPROC epoxy_glVertexAttrib2dNV;
    PFNGLVERTEXATTRIB2DVPROC epoxy_glVertexAttrib2dv;
    PFNGLVERTEXATTRIB2DVARBPROC epoxy_glVertexAttrib2dvARB;
    PFNGLVERTEXATTRIB2DVNVPROC epoxy_glVertexAttrib2dvNV;
    PFNGLVERTEXATTRIB2FPROC epoxy_glVertexAttrib2f;
    PFNGLVERTEXATTRIB2FARBPROC epoxy_glVertexAttrib2fARB;
    PFNGLVERTEXATTRIB2FNVPROC epoxy_glVertexAttrib2fNV;
    PFNGLVERTEXATTRIB2FVPROC epoxy_glVertexAttrib2fv;
    PFNGLVERTEXATTRIB2FVARBPROC epoxy_glVertexAttrib2fvARB;
    PFNGLVERTEXATTRIB2FVNVPROC epoxy_glVertexAttrib2fvNV;
    PFNGLVERTEXATTRIB2HNVPROC epoxy_glVertexAttrib2hNV;
    PFNGLVERTEXATTRIB2HVNVPROC epoxy_glVertexAttrib2hvNV;
    PFNGLVERTEXATTRIB2SPROC epoxy_glVertexAttrib2s;
    PFNGLVERTEXATTRIB2SARBPROC epoxy_glVertexAttrib2sARB;
    PFNGLVERTEXATTRIB2SNVPROC epoxy_glVertexAttrib2sNV;
    PFNGLVERTEXATTRIB2SVPROC epoxy_glVertexAttrib2sv;
    PFNGLVERTEXATTRIB2SVARBPROC epoxy_glVertexAttrib2svARB;
    PFNGLVERTEXATTRIB2SVNVPROC epoxy_glVertexAttrib2svNV;
    PFNGLVERTEXATTRIB3DPROC epoxy_glVertexAttrib3d;
    PFNGLVERTEXATTRIB3DARBPROC epoxy_glVertexAttrib3dARB;
    PFNGLVERTEXATTRIB3DNVPROC epoxy_glVertexAttrib3dNV;
    PFNGLVERTEXATTRIB3DVPROC epoxy_glVertexAttrib3dv;
    PFNGLVERTEXATTRIB3DVARBPROC epoxy_glVertexAttrib3dvARB;
    PFNGLVERTEXATTRIB3DVNVPROC epoxy_glVertexAttrib3dvNV;
    PFNGLVERTEXATTRIB3FPROC epoxy_glVertexAttrib3f;
    PFNGLVERTEXATTRIB3FARBPROC epoxy_glVertexAttrib3fARB;
    PFNGLVERTEXATTRIB3FNVPROC epoxy_glVertexAttrib3fNV;
    PFNGLVERTEXATTRIB3FVPROC epoxy_glVertexAttrib3fv;
    PFNGLVERTEXATTRIB3FVARBPROC epoxy_glVertexAttrib3fvARB;
    PFNGLVERTEXATTRIB3FVNVPROC epoxy_glVertexAttrib3fvNV;
    PFNGLVERTEXATTRIB3HNVPROC epoxy_glVertexAttrib3hNV;
    PFNGLVERTEXATTRIB3HVNVPROC epoxy_glVertexAttrib3hvNV;
    PFNGLVERTEXATTRIB3SPROC epoxy_glVertexAttrib3s;
    PFNGLVERTEXATTRIB3SARBPROC epoxy_glVertexAttrib3sARB;
    PFNGLVERTEXATTRIB3SNVPROC epoxy_glVertexAttrib3sNV;
    PFNGLVERTEXATTRIB3SVPROC epoxy_glVertexAttrib3sv;
    PFNGLVERTEXATTRIB3SVARBPROC epoxy_glVertexAttrib3svARB;
    PFNGLVERTEXATTRIB3SVNVPROC epoxy_glVertexAttrib3svNV;
    PFNGLVERTEXATTRIB4NBVPROC epoxy_glVertexAttrib4Nbv;
    PFNGLVERTEXATTRIB4NBVARBPROC epoxy_glVertexAttrib4NbvARB;
    PFNGLVERTEXATTRIB4NIVPROC epoxy_glVertexAttrib4Niv;
    PFNGLVERTEXATTRIB4NIVARBPROC epoxy_glVertexAttrib4NivARB;
    PFNGLVERTEXATTRIB4NSVPROC epoxy_glVertexAttrib4Nsv;
    PFNGLVERTEXATTRIB4NSVARBPROC epoxy_glVertexAttrib4NsvARB;
    PFNGLVERTEXATTRIB4NUBPROC epoxy_glVertexAttrib4Nub;
    PFNGLVERTEXATTRIB4NUBARBPROC epoxy_glVertexAttrib4NubARB;
    PFNGLVERTEXATTRIB4NUBVPROC epoxy_glVertexAttrib4Nubv;
    PFNGLVERTEXATTRIB4NUBVARBPROC epoxy_glVertexAttrib4NubvARB;
    PFNGLVERTEXATTRIB4NUIVPROC epoxy_glVertexAttrib4Nuiv;
    PFNGLVERTEXATTRIB4NUIVARBPROC epoxy_glVertexAttrib4NuivARB;
    PFNGLVERTEXATTRIB4NUSVPROC epoxy_glVertexAttrib4Nusv;
    PFNGLVERTEXATTRIB4NUSVARBPROC epoxy_glVertexAttrib4NusvARB;
    PFNGLVERTEXATTRIB4BVPROC epoxy_glVertexAttrib4bv;
    PFNGLVERTEXATTRIB4BVARBPROC epoxy_glVertexAttrib4bvARB;
    PFNGLVERTEXATTRIB4DPROC epoxy_glVertexAttrib4d;
    PFNGLVERTEXATTRIB4DARBPROC epoxy_glVertexAttrib4dARB;
    PFNGLVERTEXATTRIB4DNVPROC epoxy_glVertexAttrib4dNV;
    PFNGLVERTEXATTRIB4DVPROC epoxy_glVertexAttrib4dv;
    PFNGLVERTEXATTRIB4DVARBPROC epoxy_glVertexAttrib4dvARB;
    PFNGLVERTEXATTRIB4DVNVPROC epoxy_glVertexAttrib4dvNV;
    PFNGLVERTEXATTRIB4FPROC epoxy_glVertexAttrib4f;
    PFNGLVERTEXATTRIB4FARBPROC epoxy_glVertexAttrib4fARB;
    PFNGLVERTEXATTRIB4FNVPROC epoxy_glVertexAttrib4fNV;
    PFNGLVERTEXATTRIB4FVPROC epoxy_glVertexAttrib4fv;
    PFNGLVERTEXATTRIB4FVARBPROC epoxy_glVertexAttrib4fvARB;
    PFNGLVERTEXATTRIB4FVNVPROC epoxy_glVertexAttrib4fvNV;
    PFNGLVERTEXATTRIB4HNVPROC epoxy_glVertexAttrib4hNV;
    PFNGLVERTEXATTRIB4HVNVPROC epoxy_glVertexAttrib4hvNV;
    PFNGLVERTEXATTRIB4IVPROC epoxy_glVertexAttrib4iv;
    PFNGLVERTEXATTRIB4IVARBPROC epoxy_glVertexAttrib4ivARB;
    PFNGLVERTEXATTRIB4SPROC epoxy_glVertexAttrib4s;
    PFNGLVERTEXATTRIB4SARBPROC epoxy_glVertexAttrib4sARB;
    PFNGLVERTEXATTRIB4SNVPROC epoxy_glVertexAttrib4sNV;
    PFNGLVERTEXATTRIB4SVPROC epoxy_glVertexAttrib4sv;
    PFNGLVERTEXATTRIB4SVARBPROC epoxy_glVertexAttrib4svARB;
    PFNGLVERTEXATTRIB4SVNVPROC epoxy_glVertexAttrib4svNV;
    PFNGLVERTEXATTRIB4UBNVPROC epoxy_glVertexAttrib4ubNV;
    PFNGLVERTEXATTRIB4UBVPROC epoxy_glVertexAttrib4ubv;
    PFNGLVERTEXATTRIB4UBVARBPROC epoxy_glVertexAttrib4ubvARB;
    PFNGLVERTEXATTRIB4UBVNVPROC epoxy_glVertexAttrib4ubvNV;
    PFNGLVERTEXATTRIB4UIVPROC epoxy_glVertexAttrib4uiv;
    PFNGLVERTEXATTRIB4UIVARBPROC epoxy_glVertexAttrib4uivARB;
    PFNGLVERTEXATTRIB4USVPROC epoxy_glVertexAttrib4usv;
    PFNGLVERTEXATTRIB4USVARBPROC epoxy_glVertexAttrib4usvARB;
    PFNGLVERTEXATTRIBARRAYOBJECTATIPROC epoxy_glVertexAttribArrayObjectATI;
    PFNGLVERTEXATTRIBBINDINGPROC epoxy_glVertexAttribBinding;
    PFNGLVERTEXATTRIBDIVISORPROC epoxy_glVertexAttribDivisor;
    PFNGLVERTEXATTRIBDIVISORANGLEPROC epoxy_glVertexAttribDivisorANGLE;
    PFNGLVERTEXATTRIBDIVISORARBPROC epoxy_glVertexAttribDivisorARB;
    PFNGLVERTEXATTRIBDIVISOREXTPROC epoxy_glVertexAttribDivisorEXT;
    PFNGLVERTEXATTRIBDIVISORNVPROC epoxy_glVertexAttribDivisorNV;
    PFNGLVERTEXATTRIBFORMATPROC epoxy_glVertexAttribFormat;
    PFNGLVERTEXATTRIBFORMATNVPROC epoxy_glVertexAttribFormatNV;
    PFNGLVERTEXATTRIBI1IPROC epoxy_glVertexAttribI1i;
    PFNGLVERTEXATTRIBI1IEXTPROC epoxy_glVertexAttribI1iEXT;
    PFNGLVERTEXATTRIBI1IVPROC epoxy_glVertexAttribI1iv;
    PFNGLVERTEXATTRIBI1IVEXTPROC epoxy_glVertexAttribI1ivEXT;
    PFNGLVERTEXATTRIBI1UIPROC epoxy_glVertexAttribI1ui;
    PFNGLVERTEXATTRIBI1UIEXTPROC epoxy_glVertexAttribI1uiEXT;
    PFNGLVERTEXATTRIBI1UIVPROC epoxy_glVertexAttribI1uiv;
    PFNGLVERTEXATTRIBI1UIVEXTPROC epoxy_glVertexAttribI1uivEXT;
    PFNGLVERTEXATTRIBI2IPROC epoxy_glVertexAttribI2i;
    PFNGLVERTEXATTRIBI2IEXTPROC epoxy_glVertexAttribI2iEXT;
    PFNGLVERTEXATTRIBI2IVPROC epoxy_glVertexAttribI2iv;
    PFNGLVERTEXATTRIBI2IVEXTPROC epoxy_glVertexAttribI2ivEXT;
    PFNGLVERTEXATTRIBI2UIPROC epoxy_glVertexAttribI2ui;
    PFNGLVERTEXATTRIBI2UIEXTPROC epoxy_glVertexAttribI2uiEXT;
    PFNGLVERTEXATTRIBI2UIVPROC epoxy_glVertexAttribI2uiv;
    PFNGLVERTEXATTRIBI2UIVEXTPROC epoxy_glVertexAttribI2uivEXT;
    PFNGLVERTEXATTRIBI3IPROC epoxy_glVertexAttribI3i;
    PFNGLVERTEXATTRIBI3IEXTPROC epoxy_glVertexAttribI3iEXT;
    PFNGLVERTEXATTRIBI3IVPROC epoxy_glVertexAttribI3iv;
    PFNGLVERTEXATTRIBI3IVEXTPROC epoxy_glVertexAttribI3ivEXT;
    PFNGLVERTEXATTRIBI3UIPROC epoxy_glVertexAttribI3ui;
    PFNGLVERTEXATTRIBI3UIEXTPROC epoxy_glVertexAttribI3uiEXT;
    PFNGLVERTEXATTRIBI3UIVPROC epoxy_glVertexAttribI3uiv;
    PFNGLVERTEXATTRIBI3UIVEXTPROC epoxy_glVertexAttribI3uivEXT;
    PFNGLVERTEXATTRIBI4BVPROC epoxy_glVertexAttribI4bv;
    PFNGLVERTEXATTRIBI4BVEXTPROC epoxy_glVertexAttribI4bvEXT;
    PFNGLVERTEXATTRIBI4IPROC epoxy_glVertexAttribI4i;
    PFNGLVERTEXATTRIBI4IEXTPROC epoxy_glVertexAttribI4iEXT;
    PFNGLVERTEXATTRIBI4IVPROC epoxy_glVertexAttribI4iv;
    PFNGLVERTEXATTRIBI4IVEXTPROC epoxy_glVertexAttribI4ivEXT;
    PFNGLVERTEXATTRIBI4SVPROC epoxy_glVertexAttribI4sv;
    PFNGLVERTEXATTRIBI4SVEXTPROC epoxy_glVertexAttribI4svEXT;
    PFNGLVERTEXATTRIBI4UBVPROC epoxy_glVertexAttribI4ubv;
    PFNGLVERTEXATTRIBI4UBVEXTPROC epoxy_glVertexAttribI4ubvEXT;
    PFNGLVERTEXATTRIBI4UIPROC epoxy_glVertexAttribI4ui;
    PFNGLVERTEXATTRIBI4UIEXTPROC epoxy_glVertexAttribI4uiEXT;
    PFNGLVERTEXATTRIBI4UIVPROC epoxy_glVertexAttribI4uiv;
    PFNGLVERTEXATTRIBI4UIVEXTPROC epoxy_glVertexAttribI4uivEXT;
    PFNGLVERTEXATTRIBI4USVPROC epoxy_glVertexAttribI4usv;
    PFNGLVERTEXATTRIBI4USVEXTPROC epoxy_glVertexAttribI4usvEXT;
    PFNGLVERTEXATTRIBIFORMATPROC epoxy_glVertexAttribIFormat;
    PFNGLVERTEXATTRIBIFORMATNVPROC epoxy_glVertexAttribIFormatNV;
    PFNGLVERTEXATTRIBIPOINTERPROC epoxy_glVertexAttribIPointer;
    PFNGLVERTEXATTRIBIPOINTEREXTPROC epoxy_glVertexAttribIPointerEXT;
    PFNGLVERTEXATTRIBL1DPROC epoxy_glVertexAttribL1d;
    PFNGLVERTEXATTRIBL1DEXTPROC epoxy_glVertexAttribL1dEXT;
    PFNGLVERTEXATTRIBL1DVPROC epoxy_glVertexAttribL1dv;
    PFNGLVERTEXATTRIBL1DVEXTPROC epoxy_glVertexAttribL1dvEXT;
    PFNGLVERTEXATTRIBL1I64NVPROC epoxy_glVertexAttribL1i64NV;
    PFNGLVERTEXATTRIBL1I64VNVPROC epoxy_glVertexAttribL1i64vNV;
    PFNGLVERTEXATTRIBL1UI64ARBPROC epoxy_glVertexAttribL1ui64ARB;
    PFNGLVERTEXATTRIBL1UI64NVPROC epoxy_glVertexAttribL1ui64NV;
    PFNGLVERTEXATTRIBL1UI64VARBPROC epoxy_glVertexAttribL1ui64vARB;
    PFNGLVERTEXATTRIBL1UI64VNVPROC epoxy_glVertexAttribL1ui64vNV;
    PFNGLVERTEXATTRIBL2DPROC epoxy_glVertexAttribL2d;
    PFNGLVERTEXATTRIBL2DEXTPROC epoxy_glVertexAttribL2dEXT;
    PFNGLVERTEXATTRIBL2DVPROC epoxy_glVertexAttribL2dv;
    PFNGLVERTEXATTRIBL2DVEXTPROC epoxy_glVertexAttribL2dvEXT;
    PFNGLVERTEXATTRIBL2I64NVPROC epoxy_glVertexAttribL2i64NV;
    PFNGLVERTEXATTRIBL2I64VNVPROC epoxy_glVertexAttribL2i64vNV;
    PFNGLVERTEXATTRIBL2UI64NVPROC epoxy_glVertexAttribL2ui64NV;
    PFNGLVERTEXATTRIBL2UI64VNVPROC epoxy_glVertexAttribL2ui64vNV;
    PFNGLVERTEXATTRIBL3DPROC epoxy_glVertexAttribL3d;
    PFNGLVERTEXATTRIBL3DEXTPROC epoxy_glVertexAttribL3dEXT;
    PFNGLVERTEXATTRIBL3DVPROC epoxy_glVertexAttribL3dv;
    PFNGLVERTEXATTRIBL3DVEXTPROC epoxy_glVertexAttribL3dvEXT;
    PFNGLVERTEXATTRIBL3I64NVPROC epoxy_glVertexAttribL3i64NV;
    PFNGLVERTEXATTRIBL3I64VNVPROC epoxy_glVertexAttribL3i64vNV;
    PFNGLVERTEXATTRIBL3UI64NVPROC epoxy_glVertexAttribL3ui64NV;
    PFNGLVERTEXATTRIBL3UI64VNVPROC epoxy_glVertexAttribL3ui64vNV;
    PFNGLVERTEXATTRIBL4DPROC epoxy_glVertexAttribL4d;
    PFNGLVERTEXATTRIBL4DEXTPROC epoxy_glVertexAttribL4dEXT;
    PFNGLVERTEXATTRIBL4DVPROC epoxy_glVertexAttribL4dv;
    PFNGLVERTEXATTRIBL4DVEXTPROC epoxy_glVertexAttribL4dvEXT;
    PFNGLVERTEXATTRIBL4I64NVPROC epoxy_glVertexAttribL4i64NV;
    PFNGLVERTEXATTRIBL4I64VNVPROC epoxy_glVertexAttribL4i64vNV;
    PFNGLVERTEXATTRIBL4UI64NVPROC epoxy_glVertexAttribL4ui64NV;
    PFNGLVERTEXATTRIBL4UI64VNVPROC epoxy_glVertexAttribL4ui64vNV;
    PFNGLVERTEXATTRIBLFORMATPROC epoxy_glVertexAttribLFormat;
    PFNGLVERTEXATTRIBLFORMATNVPROC epoxy_glVertexAttribLFormatNV;
    PFNGLVERTEXATTRIBLPOINTERPROC epoxy_glVertexAttribLPointer;
    PFNGLVERTEXATTRIBLPOINTEREXTPROC epoxy_glVertexAttribLPointerEXT;
    PFNGLVERTEXATTRIBP1UIPROC epoxy_glVertexAttribP1ui;
    PFNGLVERTEXATTRIBP1UIVPROC epoxy_glVertexAttribP1uiv;
    PFNGLVERTEXATTRIBP2UIPROC epoxy_glVertexAttribP2ui;
    PFNGLVERTEXATTRIBP2UIVPROC epoxy_glVertexAttribP2uiv;
    PFNGLVERTEXATTRIBP3UIPROC epoxy_glVertexAttribP3ui;
    PFNGLVERTEXATTRIBP3UIVPROC epoxy_glVertexAttribP3uiv;
    PFNGLVERTEXATTRIBP4UIPROC epoxy_glVertexAttribP4ui;
    PFNGLVERTEXATTRIBP4UIVPROC epoxy_glVertexAttribP4uiv;
    PFNGLVERTEXATTRIBPARAMETERIAMDPROC epoxy_glVertexAttribParameteriAMD;
    PFNGLVERTEXATTRIBPOINTERPROC epoxy_glVertexAttribPointer;
    PFNGLVERTEXATTRIBPOINTERARBPROC epoxy_glVertexAttribPointerARB;
    PFNGLVERTEXATTRIBPOINTERNVPROC epoxy_glVertexAttribPointerNV;
    PFNGLVERTEXATTRIBS1DVNVPROC epoxy_glVertexAttribs1dvNV;
    PFNGLVERTEXATTRIBS1FVNVPROC epoxy_glVertexAttribs1fvNV;
    PFNGLVERTEXATTRIBS1HVNVPROC epoxy_glVertexAttribs1hvNV;
    PFNGLVERTEXATTRIBS1SVNVPROC epoxy_glVertexAttribs1svNV;
    PFNGLVERTEXATTRIBS2DVNVPROC epoxy_glVertexAttribs2dvNV;
    PFNGLVERTEXATTRIBS2FVNVPROC epoxy_glVertexAttribs2fvNV;
    PFNGLVERTEXATTRIBS2HVNVPROC epoxy_glVertexAttribs2hvNV;
    PFNGLVERTEXATTRIBS2SVNVPROC epoxy_glVertexAttribs2svNV;
    PFNGLVERTEXATTRIBS3DVNVPROC epoxy_glVertexAttribs3dvNV;
    PFNGLVERTEXATTRIBS3FVNVPROC epoxy_glVertexAttribs3fvNV;
    PFNGLVERTEXATTRIBS3HVNVPROC epoxy_glVertexAttribs3hvNV;
    PFNGLVERTEXATTRIBS3SVNVPROC epoxy_glVertexAttribs3svNV;
    PFNGLVERTEXATTRIBS4DVNVPROC epoxy_glVertexAttribs4dvNV;
    PFNGLVERTEXATTRIBS4FVNVPROC epoxy_glVertexAttribs4fvNV;
    PFNGLVERTEXATTRIBS4HVNVPROC epoxy_glVertexAttribs4hvNV;
    PFNGLVERTEXATTRIBS4SVNVPROC epoxy_glVertexAttribs4svNV;
    PFNGLVERTEXATTRIBS4UBVNVPROC epoxy_glVertexAttribs4ubvNV;
    PFNGLVERTEXBINDINGDIVISORPROC epoxy_glVertexBindingDivisor;
    PFNGLVERTEXBLENDARBPROC epoxy_glVertexBlendARB;
    PFNGLVERTEXBLENDENVFATIPROC epoxy_glVertexBlendEnvfATI;
    PFNGLVERTEXBLENDENVIATIPROC epoxy_glVertexBlendEnviATI;
    PFNGLVERTEXFORMATNVPROC epoxy_glVertexFormatNV;
    PFNGLVERTEXP2UIPROC epoxy_glVertexP2ui;
    PFNGLVERTEXP2UIVPROC epoxy_glVertexP2uiv;
    PFNGLVERTEXP3UIPROC epoxy_glVertexP3ui;
    PFNGLVERTEXP3UIVPROC epoxy_glVertexP3uiv;
    PFNGLVERTEXP4UIPROC epoxy_glVertexP4ui;
    PFNGLVERTEXP4UIVPROC epoxy_glVertexP4uiv;
    PFNGLVERTEXPOINTERPROC epoxy_glVertexPointer;
    PFNGLVERTEXPOINTEREXTPROC epoxy_glVertexPointerEXT;
    PFNGLVERTEXPOINTERLISTIBMPROC epoxy_glVertexPointerListIBM;
    PFNGLVERTEXPOINTERVINTELPROC epoxy_glVertexPointervINTEL;
    PFNGLVERTEXSTREAM1DATIPROC epoxy_glVertexStream1dATI;
    PFNGLVERTEXSTREAM1DVATIPROC epoxy_glVertexStream1dvATI;
    PFNGLVERTEXSTREAM1FATIPROC epoxy_glVertexStream1fATI;
    PFNGLVERTEXSTREAM1FVATIPROC epoxy_glVertexStream1fvATI;
    PFNGLVERTEXSTREAM1IATIPROC epoxy_glVertexStream1iATI;
    PFNGLVERTEXSTREAM1IVATIPROC epoxy_glVertexStream1ivATI;
    PFNGLVERTEXSTREAM1SATIPROC epoxy_glVertexStream1sATI;
    PFNGLVERTEXSTREAM1SVATIPROC epoxy_glVertexStream1svATI;
    PFNGLVERTEXSTREAM2DATIPROC epoxy_glVertexStream2dATI;
    PFNGLVERTEXSTREAM2DVATIPROC epoxy_glVertexStream2dvATI;
    PFNGLVERTEXSTREAM2FATIPROC epoxy_glVertexStream2fATI;
    PFNGLVERTEXSTREAM2FVATIPROC epoxy_glVertexStream2fvATI;
    PFNGLVERTEXSTREAM2IATIPROC epoxy_glVertexStream2iATI;
    PFNGLVERTEXSTREAM2IVATIPROC epoxy_glVertexStream2ivATI;
    PFNGLVERTEXSTREAM2SATIPROC epoxy_glVertexStream2sATI;
    PFNGLVERTEXSTREAM2SVATIPROC epoxy_glVertexStream2svATI;
    PFNGLVERTEXSTREAM3DATIPROC epoxy_glVertexStream3dATI;
    PFNGLVERTEXSTREAM3DVATIPROC epoxy_glVertexStream3dvATI;
    PFNGLVERTEXSTREAM3FATIPROC epoxy_glVertexStream3fATI;
    PFNGLVERTEXSTREAM3FVATIPROC epoxy_glVertexStream3fvATI;
    PFNGLVERTEXSTREAM3IATIPROC epoxy_glVertexStream3iATI;
    PFNGLVERTEXSTREAM3IVATIPROC epoxy_glVertexStream3ivATI;
    PFNGLVERTEXSTREAM3SATIPROC epoxy_glVertexStream3sATI;
    PFNGLVERTEXSTREAM3SVATIPROC epoxy_glVertexStream3svATI;
    PFNGLVERTEXSTREAM4DATIPROC epoxy_glVertexStream4dATI;
    PFNGLVERTEXSTREAM4DVATIPROC epoxy_glVertexStream4dvATI;
    PFNGLVERTEXSTREAM4FATIPROC epoxy_glVertexStream4fATI;
    PFNGLVERTEXSTREAM4FVATIPROC epoxy_glVertexStream4fvATI;
    PFNGLVERTEXSTREAM4IATIPROC epoxy_glVertexStream4iATI;
    PFNGLVERTEXSTREAM4IVATIPROC epoxy_glVertexStream4ivATI;
    PFNGLVERTEXSTREAM4SATIPROC epoxy_glVertexStream4sATI;
    PFNGLVERTEXSTREAM4SVATIPROC epoxy_glVertexStream4svATI;
    PFNGLVERTEXWEIGHTPOINTEREXTPROC epoxy_glVertexWeightPointerEXT;
    PFNGLVERTEXWEIGHTFEXTPROC epoxy_glVertexWeightfEXT;
    PFNGLVERTEXWEIGHTFVEXTPROC epoxy_glVertexWeightfvEXT;
    PFNGLVERTEXWEIGHTHNVPROC epoxy_glVertexWeighthNV;
    PFNGLVERTEXWEIGHTHVNVPROC epoxy_glVertexWeighthvNV;
    PFNGLVIDEOCAPTURENVPROC epoxy_glVideoCaptureNV;
    PFNGLVIDEOCAPTURESTREAMPARAMETERDVNVPROC epoxy_glVideoCaptureStreamParameterdvNV;
    PFNGLVIDEOCAPTURESTREAMPARAMETERFVNVPROC epoxy_glVideoCaptureStreamParameterfvNV;
    PFNGLVIDEOCAPTURESTREAMPARAMETERIVNVPROC epoxy_glVideoCaptureStreamParameterivNV;
    PFNGLVIEWPORTPROC epoxy_glViewport;
    PFNGLVIEWPORTARRAYVPROC epoxy_glViewportArrayv;
    PFNGLVIEWPORTINDEXEDFPROC epoxy_glViewportIndexedf;
    PFNGLVIEWPORTINDEXEDFVPROC epoxy_glViewportIndexedfv;
    PFNGLWAITSYNCPROC epoxy_glWaitSync;
    PFNGLWAITSYNCAPPLEPROC epoxy_glWaitSyncAPPLE;
    PFNGLWEIGHTPATHSNVPROC epoxy_glWeightPathsNV;
    PFNGLWEIGHTPOINTERARBPROC epoxy_glWeightPointerARB;
    PFNGLWEIGHTPOINTEROESPROC epoxy_glWeightPointerOES;
    PFNGLWEIGHTBVARBPROC epoxy_glWeightbvARB;
    PFNGLWEIGHTDVARBPROC epoxy_glWeightdvARB;
    PFNGLWEIGHTFVARBPROC epoxy_glWeightfvARB;
    PFNGLWEIGHTIVARBPROC epoxy_glWeightivARB;
    PFNGLWEIGHTSVARBPROC epoxy_glWeightsvARB;
    PFNGLWEIGHTUBVARBPROC epoxy_glWeightubvARB;
    PFNGLWEIGHTUIVARBPROC epoxy_glWeightuivARB;
    PFNGLWEIGHTUSVARBPROC epoxy_glWeightusvARB;
    PFNGLWINDOWPOS2DPROC epoxy_glWindowPos2d;
    PFNGLWINDOWPOS2DARBPROC epoxy_glWindowPos2dARB;
    PFNGLWINDOWPOS2DMESAPROC epoxy_glWindowPos2dMESA;
    PFNGLWINDOWPOS2DVPROC epoxy_glWindowPos2dv;
    PFNGLWINDOWPOS2DVARBPROC epoxy_glWindowPos2dvARB;
    PFNGLWINDOWPOS2DVMESAPROC epoxy_glWindowPos2dvMESA;
    PFNGLWINDOWPOS2FPROC epoxy_glWindowPos2f;
    PFNGLWINDOWPOS2FARBPROC epoxy_glWindowPos2fARB;
    PFNGLWINDOWPOS2FMESAPROC epoxy_glWindowPos2fMESA;
    PFNGLWINDOWPOS2FVPROC epoxy_glWindowPos2fv;
    PFNGLWINDOWPOS2FVARBPROC epoxy_glWindowPos2fvARB;
    PFNGLWINDOWPOS2FVMESAPROC epoxy_glWindowPos2fvMESA;
    PFNGLWINDOWPOS2IPROC epoxy_glWindowPos2i;
    PFNGLWINDOWPOS2IARBPROC epoxy_glWindowPos2iARB;
    PFNGLWINDOWPOS2IMESAPROC epoxy_glWindowPos2iMESA;
    PFNGLWINDOWPOS2IVPROC epoxy_glWindowPos2iv;
    PFNGLWINDOWPOS2IVARBPROC epoxy_glWindowPos2ivARB;
    PFNGLWINDOWPOS2IVMESAPROC epoxy_glWindowPos2ivMESA;
    PFNGLWINDOWPOS2SPROC epoxy_glWindowPos2s;
    PFNGLWINDOWPOS2SARBPROC epoxy_glWindowPos2sARB;
    PFNGLWINDOWPOS2SMESAPROC epoxy_glWindowPos2sMESA;
    PFNGLWINDOWPOS2SVPROC epoxy_glWindowPos2sv;
    PFNGLWINDOWPOS2SVARBPROC epoxy_glWindowPos2svARB;
    PFNGLWINDOWPOS2SVMESAPROC epoxy_glWindowPos2svMESA;
    PFNGLWINDOWPOS3DPROC epoxy_glWindowPos3d;
    PFNGLWINDOWPOS3DARBPROC epoxy_glWindowPos3dARB;
    PFNGLWINDOWPOS3DMESAPROC epoxy_glWindowPos3dMESA;
    PFNGLWINDOWPOS3DVPROC epoxy_glWindowPos3dv;
    PFNGLWINDOWPOS3DVARBPROC epoxy_glWindowPos3dvARB;
    PFNGLWINDOWPOS3DVMESAPROC epoxy_glWindowPos3dvMESA;
    PFNGLWINDOWPOS3FPROC epoxy_glWindowPos3f;
    PFNGLWINDOWPOS3FARBPROC epoxy_glWindowPos3fARB;
    PFNGLWINDOWPOS3FMESAPROC epoxy_glWindowPos3fMESA;
    PFNGLWINDOWPOS3FVPROC epoxy_glWindowPos3fv;
    PFNGLWINDOWPOS3FVARBPROC epoxy_glWindowPos3fvARB;
    PFNGLWINDOWPOS3FVMESAPROC epoxy_glWindowPos3fvMESA;
    PFNGLWINDOWPOS3IPROC epoxy_glWindowPos3i;
    PFNGLWINDOWPOS3IARBPROC epoxy_glWindowPos3iARB;
    PFNGLWINDOWPOS3IMESAPROC epoxy_glWindowPos3iMESA;
    PFNGLWINDOWPOS3IVPROC epoxy_glWindowPos3iv;
    PFNGLWINDOWPOS3IVARBPROC epoxy_glWindowPos3ivARB;
    PFNGLWINDOWPOS3IVMESAPROC epoxy_glWindowPos3ivMESA;
    PFNGLWINDOWPOS3SPROC epoxy_glWindowPos3s;
    PFNGLWINDOWPOS3SARBPROC epoxy_glWindowPos3sARB;
    PFNGLWINDOWPOS3SMESAPROC epoxy_glWindowPos3sMESA;
    PFNGLWINDOWPOS3SVPROC epoxy_glWindowPos3sv;
    PFNGLWINDOWPOS3SVARBPROC epoxy_glWindowPos3svARB;
    PFNGLWINDOWPOS3SVMESAPROC epoxy_glWindowPos3svMESA;
    PFNGLWINDOWPOS4DMESAPROC epoxy_glWindowPos4dMESA;
    PFNGLWINDOWPOS4DVMESAPROC epoxy_glWindowPos4dvMESA;
    PFNGLWINDOWPOS4FMESAPROC epoxy_glWindowPos4fMESA;
    PFNGLWINDOWPOS4FVMESAPROC epoxy_glWindowPos4fvMESA;
    PFNGLWINDOWPOS4IMESAPROC epoxy_glWindowPos4iMESA;
    PFNGLWINDOWPOS4IVMESAPROC epoxy_glWindowPos4ivMESA;
    PFNGLWINDOWPOS4SMESAPROC epoxy_glWindowPos4sMESA;
    PFNGLWINDOWPOS4SVMESAPROC epoxy_glWindowPos4svMESA;
    PFNGLWRITEMASKEXTPROC epoxy_glWriteMaskEXT;
};

#if USING_DISPATCH_TABLE
static inline struct dispatch_table *
get_dispatch_table(void);

#endif
enum gl_provider {
    gl_provider_terminator = 0,
    Desktop_OpenGL_1_0,
    Desktop_OpenGL_1_1,
    Desktop_OpenGL_1_2,
    Desktop_OpenGL_1_3,
    Desktop_OpenGL_1_4,
    Desktop_OpenGL_1_5,
    Desktop_OpenGL_2_0,
    Desktop_OpenGL_2_1,
    Desktop_OpenGL_3_0,
    Desktop_OpenGL_3_1,
    Desktop_OpenGL_3_2,
    Desktop_OpenGL_3_3,
    Desktop_OpenGL_4_0,
    Desktop_OpenGL_4_1,
    Desktop_OpenGL_4_2,
    Desktop_OpenGL_4_3,
    Desktop_OpenGL_4_4,
    GL_extension_GL_3DFX_tbuffer,
    GL_extension_GL_AMD_debug_output,
    GL_extension_GL_AMD_draw_buffers_blend,
    GL_extension_GL_AMD_gpu_shader_int64,
    GL_extension_GL_AMD_interleaved_elements,
    GL_extension_GL_AMD_multi_draw_indirect,
    GL_extension_GL_AMD_name_gen_delete,
    GL_extension_GL_AMD_occlusion_query_event,
    GL_extension_GL_AMD_performance_monitor,
    GL_extension_GL_AMD_sample_positions,
    GL_extension_GL_AMD_sparse_texture,
    GL_extension_GL_AMD_stencil_operation_extended,
    GL_extension_GL_AMD_vertex_shader_tessellator,
    GL_extension_GL_ANGLE_framebuffer_blit,
    GL_extension_GL_ANGLE_framebuffer_multisample,
    GL_extension_GL_ANGLE_instanced_arrays,
    GL_extension_GL_ANGLE_translated_shader_source,
    GL_extension_GL_APPLE_copy_texture_levels,
    GL_extension_GL_APPLE_element_array,
    GL_extension_GL_APPLE_fence,
    GL_extension_GL_APPLE_flush_buffer_range,
    GL_extension_GL_APPLE_framebuffer_multisample,
    GL_extension_GL_APPLE_object_purgeable,
    GL_extension_GL_APPLE_sync,
    GL_extension_GL_APPLE_texture_range,
    GL_extension_GL_APPLE_vertex_array_object,
    GL_extension_GL_APPLE_vertex_array_range,
    GL_extension_GL_APPLE_vertex_program_evaluators,
    GL_extension_GL_ARB_ES2_compatibility,
    GL_extension_GL_ARB_base_instance,
    GL_extension_GL_ARB_bindless_texture,
    GL_extension_GL_ARB_blend_func_extended,
    GL_extension_GL_ARB_buffer_storage,
    GL_extension_GL_ARB_cl_event,
    GL_extension_GL_ARB_clear_buffer_object,
    GL_extension_GL_ARB_clear_texture,
    GL_extension_GL_ARB_color_buffer_float,
    GL_extension_GL_ARB_compute_shader,
    GL_extension_GL_ARB_compute_variable_group_size,
    GL_extension_GL_ARB_copy_buffer,
    GL_extension_GL_ARB_copy_image,
    GL_extension_GL_ARB_debug_output,
    GL_extension_GL_ARB_draw_buffers,
    GL_extension_GL_ARB_draw_buffers_blend,
    GL_extension_GL_ARB_draw_elements_base_vertex,
    GL_extension_GL_ARB_draw_indirect,
    GL_extension_GL_ARB_draw_instanced,
    GL_extension_GL_ARB_fragment_program,
    GL_extension_GL_ARB_framebuffer_no_attachments,
    GL_extension_GL_ARB_framebuffer_object,
    GL_extension_GL_ARB_geometry_shader4,
    GL_extension_GL_ARB_get_program_binary,
    GL_extension_GL_ARB_gpu_shader_fp64,
    GL_extension_GL_ARB_imaging,
    GL_extension_GL_ARB_indirect_parameters,
    GL_extension_GL_ARB_instanced_arrays,
    GL_extension_GL_ARB_internalformat_query2,
    GL_extension_GL_ARB_internalformat_query,
    GL_extension_GL_ARB_invalidate_subdata,
    GL_extension_GL_ARB_map_buffer_range,
    GL_extension_GL_ARB_matrix_palette,
    GL_extension_GL_ARB_multi_bind,
    GL_extension_GL_ARB_multi_draw_indirect,
    GL_extension_GL_ARB_multisample,
    GL_extension_GL_ARB_multitexture,
    GL_extension_GL_ARB_occlusion_query,
    GL_extension_GL_ARB_point_parameters,
    GL_extension_GL_ARB_program_interface_query,
    GL_extension_GL_ARB_provoking_vertex,
    GL_extension_GL_ARB_robustness,
    GL_extension_GL_ARB_sample_shading,
    GL_extension_GL_ARB_sampler_objects,
    GL_extension_GL_ARB_separate_shader_objects,
    GL_extension_GL_ARB_shader_atomic_counters,
    GL_extension_GL_ARB_shader_image_load_store,
    GL_extension_GL_ARB_shader_objects,
    GL_extension_GL_ARB_shader_storage_buffer_object,
    GL_extension_GL_ARB_shader_subroutine,
    GL_extension_GL_ARB_shading_language_include,
    GL_extension_GL_ARB_sparse_texture,
    GL_extension_GL_ARB_sync,
    GL_extension_GL_ARB_tessellation_shader,
    GL_extension_GL_ARB_texture_buffer_object,
    GL_extension_GL_ARB_texture_buffer_range,
    GL_extension_GL_ARB_texture_compression,
    GL_extension_GL_ARB_texture_multisample,
    GL_extension_GL_ARB_texture_storage,
    GL_extension_GL_ARB_texture_storage_multisample,
    GL_extension_GL_ARB_texture_view,
    GL_extension_GL_ARB_timer_query,
    GL_extension_GL_ARB_transform_feedback2,
    GL_extension_GL_ARB_transform_feedback3,
    GL_extension_GL_ARB_transform_feedback_instanced,
    GL_extension_GL_ARB_transpose_matrix,
    GL_extension_GL_ARB_uniform_buffer_object,
    GL_extension_GL_ARB_vertex_array_object,
    GL_extension_GL_ARB_vertex_attrib_64bit,
    GL_extension_GL_ARB_vertex_attrib_binding,
    GL_extension_GL_ARB_vertex_blend,
    GL_extension_GL_ARB_vertex_buffer_object,
    GL_extension_GL_ARB_vertex_program,
    GL_extension_GL_ARB_vertex_shader,
    GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
    GL_extension_GL_ARB_viewport_array,
    GL_extension_GL_ARB_window_pos,
    GL_extension_GL_ATI_draw_buffers,
    GL_extension_GL_ATI_element_array,
    GL_extension_GL_ATI_envmap_bumpmap,
    GL_extension_GL_ATI_fragment_shader,
    GL_extension_GL_ATI_map_object_buffer,
    GL_extension_GL_ATI_pn_triangles,
    GL_extension_GL_ATI_separate_stencil,
    GL_extension_GL_ATI_vertex_array_object,
    GL_extension_GL_ATI_vertex_attrib_array_object,
    GL_extension_GL_ATI_vertex_streams,
    GL_extension_GL_EXT_bindable_uniform,
    GL_extension_GL_EXT_blend_color,
    GL_extension_GL_EXT_blend_equation_separate,
    GL_extension_GL_EXT_blend_func_separate,
    GL_extension_GL_EXT_blend_minmax,
    GL_extension_GL_EXT_color_subtable,
    GL_extension_GL_EXT_compiled_vertex_array,
    GL_extension_GL_EXT_convolution,
    GL_extension_GL_EXT_coordinate_frame,
    GL_extension_GL_EXT_copy_texture,
    GL_extension_GL_EXT_cull_vertex,
    GL_extension_GL_EXT_debug_label,
    GL_extension_GL_EXT_debug_marker,
    GL_extension_GL_EXT_depth_bounds_test,
    GL_extension_GL_EXT_direct_state_access,
    GL_extension_GL_EXT_discard_framebuffer,
    GL_extension_GL_EXT_disjoint_timer_query,
    GL_extension_GL_EXT_draw_buffers2,
    GL_extension_GL_EXT_draw_buffers,
    GL_extension_GL_EXT_draw_instanced,
    GL_extension_GL_EXT_draw_range_elements,
    GL_extension_GL_EXT_fog_coord,
    GL_extension_GL_EXT_framebuffer_blit,
    GL_extension_GL_EXT_framebuffer_multisample,
    GL_extension_GL_EXT_framebuffer_object,
    GL_extension_GL_EXT_geometry_shader4,
    GL_extension_GL_EXT_gpu_program_parameters,
    GL_extension_GL_EXT_gpu_shader4,
    GL_extension_GL_EXT_histogram,
    GL_extension_GL_EXT_index_func,
    GL_extension_GL_EXT_index_material,
    GL_extension_GL_EXT_instanced_arrays,
    GL_extension_GL_EXT_light_texture,
    GL_extension_GL_EXT_map_buffer_range,
    GL_extension_GL_EXT_multi_draw_arrays,
    GL_extension_GL_EXT_multisample,
    GL_extension_GL_EXT_multisampled_render_to_texture,
    GL_extension_GL_EXT_multiview_draw_buffers,
    GL_extension_GL_EXT_occlusion_query_boolean,
    GL_extension_GL_EXT_paletted_texture,
    GL_extension_GL_EXT_pixel_transform,
    GL_extension_GL_EXT_point_parameters,
    GL_extension_GL_EXT_polygon_offset,
    GL_extension_GL_EXT_provoking_vertex,
    GL_extension_GL_EXT_robustness,
    GL_extension_GL_EXT_secondary_color,
    GL_extension_GL_EXT_separate_shader_objects,
    GL_extension_GL_EXT_shader_image_load_store,
    GL_extension_GL_EXT_stencil_clear_tag,
    GL_extension_GL_EXT_stencil_two_side,
    GL_extension_GL_EXT_subtexture,
    GL_extension_GL_EXT_texture3D,
    GL_extension_GL_EXT_texture_buffer_object,
    GL_extension_GL_EXT_texture_integer,
    GL_extension_GL_EXT_texture_object,
    GL_extension_GL_EXT_texture_perturb_normal,
    GL_extension_GL_EXT_texture_storage,
    GL_extension_GL_EXT_timer_query,
    GL_extension_GL_EXT_transform_feedback,
    GL_extension_GL_EXT_vertex_array,
    GL_extension_GL_EXT_vertex_attrib_64bit,
    GL_extension_GL_EXT_vertex_shader,
    GL_extension_GL_EXT_vertex_weighting,
    GL_extension_GL_EXT_x11_sync_object,
    GL_extension_GL_GREMEDY_frame_terminator,
    GL_extension_GL_GREMEDY_string_marker,
    GL_extension_GL_HP_image_transform,
    GL_extension_GL_IBM_multimode_draw_arrays,
    GL_extension_GL_IBM_static_data,
    GL_extension_GL_IBM_vertex_array_lists,
    GL_extension_GL_IMG_multisampled_render_to_texture,
    GL_extension_GL_IMG_user_clip_plane,
    GL_extension_GL_INGR_blend_func_separate,
    GL_extension_GL_INTEL_map_texture,
    GL_extension_GL_INTEL_parallel_arrays,
    GL_extension_GL_INTEL_performance_query,
    GL_extension_GL_KHR_blend_equation_advanced,
    GL_extension_GL_KHR_debug,
    GL_extension_GL_MESA_resize_buffers,
    GL_extension_GL_MESA_window_pos,
    GL_extension_GL_NVX_conditional_render,
    GL_extension_GL_NV_bindless_multi_draw_indirect,
    GL_extension_GL_NV_bindless_texture,
    GL_extension_GL_NV_blend_equation_advanced,
    GL_extension_GL_NV_conditional_render,
    GL_extension_GL_NV_copy_buffer,
    GL_extension_GL_NV_copy_image,
    GL_extension_GL_NV_coverage_sample,
    GL_extension_GL_NV_depth_buffer_float,
    GL_extension_GL_NV_draw_buffers,
    GL_extension_GL_NV_draw_instanced,
    GL_extension_GL_NV_draw_texture,
    GL_extension_GL_NV_evaluators,
    GL_extension_GL_NV_explicit_multisample,
    GL_extension_GL_NV_fence,
    GL_extension_GL_NV_fragment_program,
    GL_extension_GL_NV_framebuffer_blit,
    GL_extension_GL_NV_framebuffer_multisample,
    GL_extension_GL_NV_framebuffer_multisample_coverage,
    GL_extension_GL_NV_geometry_program4,
    GL_extension_GL_NV_gpu_program4,
    GL_extension_GL_NV_gpu_program5,
    GL_extension_GL_NV_gpu_shader5,
    GL_extension_GL_NV_half_float,
    GL_extension_GL_NV_instanced_arrays,
    GL_extension_GL_NV_non_square_matrices,
    GL_extension_GL_NV_occlusion_query,
    GL_extension_GL_NV_parameter_buffer_object,
    GL_extension_GL_NV_path_rendering,
    GL_extension_GL_NV_pixel_data_range,
    GL_extension_GL_NV_point_sprite,
    GL_extension_GL_NV_present_video,
    GL_extension_GL_NV_primitive_restart,
    GL_extension_GL_NV_read_buffer,
    GL_extension_GL_NV_register_combiners2,
    GL_extension_GL_NV_register_combiners,
    GL_extension_GL_NV_shader_buffer_load,
    GL_extension_GL_NV_texture_barrier,
    GL_extension_GL_NV_texture_multisample,
    GL_extension_GL_NV_transform_feedback2,
    GL_extension_GL_NV_transform_feedback,
    GL_extension_GL_NV_vdpau_interop,
    GL_extension_GL_NV_vertex_array_range,
    GL_extension_GL_NV_vertex_attrib_integer_64bit,
    GL_extension_GL_NV_vertex_buffer_unified_memory,
    GL_extension_GL_NV_vertex_program4,
    GL_extension_GL_NV_vertex_program,
    GL_extension_GL_NV_video_capture,
    GL_extension_GL_OES_EGL_image,
    GL_extension_GL_OES_blend_equation_separate,
    GL_extension_GL_OES_blend_func_separate,
    GL_extension_GL_OES_blend_subtract,
    GL_extension_GL_OES_byte_coordinates,
    GL_extension_GL_OES_draw_texture,
    GL_extension_GL_OES_fixed_point,
    GL_extension_GL_OES_framebuffer_object,
    GL_extension_GL_OES_get_program_binary,
    GL_extension_GL_OES_mapbuffer,
    GL_extension_GL_OES_matrix_palette,
    GL_extension_GL_OES_point_size_array,
    GL_extension_GL_OES_query_matrix,
    GL_extension_GL_OES_sample_shading,
    GL_extension_GL_OES_single_precision,
    GL_extension_GL_OES_texture_3D,
    GL_extension_GL_OES_texture_cube_map,
    GL_extension_GL_OES_texture_storage_multisample_2d_array,
    GL_extension_GL_OES_vertex_array_object,
    GL_extension_GL_PGI_misc_hints,
    GL_extension_GL_QCOM_alpha_test,
    GL_extension_GL_QCOM_driver_control,
    GL_extension_GL_QCOM_extended_get2,
    GL_extension_GL_QCOM_extended_get,
    GL_extension_GL_QCOM_tiled_rendering,
    GL_extension_GL_SGIS_detail_texture,
    GL_extension_GL_SGIS_fog_function,
    GL_extension_GL_SGIS_multisample,
    GL_extension_GL_SGIS_pixel_texture,
    GL_extension_GL_SGIS_point_parameters,
    GL_extension_GL_SGIS_sharpen_texture,
    GL_extension_GL_SGIS_texture4D,
    GL_extension_GL_SGIS_texture_color_mask,
    GL_extension_GL_SGIS_texture_filter4,
    GL_extension_GL_SGIX_async,
    GL_extension_GL_SGIX_flush_raster,
    GL_extension_GL_SGIX_fragment_lighting,
    GL_extension_GL_SGIX_framezoom,
    GL_extension_GL_SGIX_igloo_interface,
    GL_extension_GL_SGIX_instruments,
    GL_extension_GL_SGIX_list_priority,
    GL_extension_GL_SGIX_pixel_texture,
    GL_extension_GL_SGIX_polynomial_ffd,
    GL_extension_GL_SGIX_reference_plane,
    GL_extension_GL_SGIX_sprite,
    GL_extension_GL_SGIX_tag_sample_buffer,
    GL_extension_GL_SGI_color_table,
    GL_extension_GL_SUNX_constant_data,
    GL_extension_GL_SUN_global_alpha,
    GL_extension_GL_SUN_mesh_array,
    GL_extension_GL_SUN_triangle_list,
    GL_extension_GL_SUN_vertex,
    OpenGL_ES_1_0,
    OpenGL_ES_2_0,
    OpenGL_ES_3_0,
    OpenGL_ES_3_1,
    always_present,
};

static const char *enum_strings[] = {
    [Desktop_OpenGL_1_0] = "Desktop OpenGL 1.0",
    [Desktop_OpenGL_1_1] = "Desktop OpenGL 1.1",
    [Desktop_OpenGL_1_2] = "Desktop OpenGL 1.2",
    [Desktop_OpenGL_1_3] = "Desktop OpenGL 1.3",
    [Desktop_OpenGL_1_4] = "Desktop OpenGL 1.4",
    [Desktop_OpenGL_1_5] = "Desktop OpenGL 1.5",
    [Desktop_OpenGL_2_0] = "Desktop OpenGL 2.0",
    [Desktop_OpenGL_2_1] = "Desktop OpenGL 2.1",
    [Desktop_OpenGL_3_0] = "Desktop OpenGL 3.0",
    [Desktop_OpenGL_3_1] = "Desktop OpenGL 3.1",
    [Desktop_OpenGL_3_2] = "Desktop OpenGL 3.2",
    [Desktop_OpenGL_3_3] = "Desktop OpenGL 3.3",
    [Desktop_OpenGL_4_0] = "Desktop OpenGL 4.0",
    [Desktop_OpenGL_4_1] = "Desktop OpenGL 4.1",
    [Desktop_OpenGL_4_2] = "Desktop OpenGL 4.2",
    [Desktop_OpenGL_4_3] = "Desktop OpenGL 4.3",
    [Desktop_OpenGL_4_4] = "Desktop OpenGL 4.4",
    [GL_extension_GL_3DFX_tbuffer] = "GL extension \"GL_3DFX_tbuffer\"",
    [GL_extension_GL_AMD_debug_output] = "GL extension \"GL_AMD_debug_output\"",
    [GL_extension_GL_AMD_draw_buffers_blend] = "GL extension \"GL_AMD_draw_buffers_blend\"",
    [GL_extension_GL_AMD_gpu_shader_int64] = "GL extension \"GL_AMD_gpu_shader_int64\"",
    [GL_extension_GL_AMD_interleaved_elements] = "GL extension \"GL_AMD_interleaved_elements\"",
    [GL_extension_GL_AMD_multi_draw_indirect] = "GL extension \"GL_AMD_multi_draw_indirect\"",
    [GL_extension_GL_AMD_name_gen_delete] = "GL extension \"GL_AMD_name_gen_delete\"",
    [GL_extension_GL_AMD_occlusion_query_event] = "GL extension \"GL_AMD_occlusion_query_event\"",
    [GL_extension_GL_AMD_performance_monitor] = "GL extension \"GL_AMD_performance_monitor\"",
    [GL_extension_GL_AMD_sample_positions] = "GL extension \"GL_AMD_sample_positions\"",
    [GL_extension_GL_AMD_sparse_texture] = "GL extension \"GL_AMD_sparse_texture\"",
    [GL_extension_GL_AMD_stencil_operation_extended] = "GL extension \"GL_AMD_stencil_operation_extended\"",
    [GL_extension_GL_AMD_vertex_shader_tessellator] = "GL extension \"GL_AMD_vertex_shader_tessellator\"",
    [GL_extension_GL_ANGLE_framebuffer_blit] = "GL extension \"GL_ANGLE_framebuffer_blit\"",
    [GL_extension_GL_ANGLE_framebuffer_multisample] = "GL extension \"GL_ANGLE_framebuffer_multisample\"",
    [GL_extension_GL_ANGLE_instanced_arrays] = "GL extension \"GL_ANGLE_instanced_arrays\"",
    [GL_extension_GL_ANGLE_translated_shader_source] = "GL extension \"GL_ANGLE_translated_shader_source\"",
    [GL_extension_GL_APPLE_copy_texture_levels] = "GL extension \"GL_APPLE_copy_texture_levels\"",
    [GL_extension_GL_APPLE_element_array] = "GL extension \"GL_APPLE_element_array\"",
    [GL_extension_GL_APPLE_fence] = "GL extension \"GL_APPLE_fence\"",
    [GL_extension_GL_APPLE_flush_buffer_range] = "GL extension \"GL_APPLE_flush_buffer_range\"",
    [GL_extension_GL_APPLE_framebuffer_multisample] = "GL extension \"GL_APPLE_framebuffer_multisample\"",
    [GL_extension_GL_APPLE_object_purgeable] = "GL extension \"GL_APPLE_object_purgeable\"",
    [GL_extension_GL_APPLE_sync] = "GL extension \"GL_APPLE_sync\"",
    [GL_extension_GL_APPLE_texture_range] = "GL extension \"GL_APPLE_texture_range\"",
    [GL_extension_GL_APPLE_vertex_array_object] = "GL extension \"GL_APPLE_vertex_array_object\"",
    [GL_extension_GL_APPLE_vertex_array_range] = "GL extension \"GL_APPLE_vertex_array_range\"",
    [GL_extension_GL_APPLE_vertex_program_evaluators] = "GL extension \"GL_APPLE_vertex_program_evaluators\"",
    [GL_extension_GL_ARB_ES2_compatibility] = "GL extension \"GL_ARB_ES2_compatibility\"",
    [GL_extension_GL_ARB_base_instance] = "GL extension \"GL_ARB_base_instance\"",
    [GL_extension_GL_ARB_bindless_texture] = "GL extension \"GL_ARB_bindless_texture\"",
    [GL_extension_GL_ARB_blend_func_extended] = "GL extension \"GL_ARB_blend_func_extended\"",
    [GL_extension_GL_ARB_buffer_storage] = "GL extension \"GL_ARB_buffer_storage\"",
    [GL_extension_GL_ARB_cl_event] = "GL extension \"GL_ARB_cl_event\"",
    [GL_extension_GL_ARB_clear_buffer_object] = "GL extension \"GL_ARB_clear_buffer_object\"",
    [GL_extension_GL_ARB_clear_texture] = "GL extension \"GL_ARB_clear_texture\"",
    [GL_extension_GL_ARB_color_buffer_float] = "GL extension \"GL_ARB_color_buffer_float\"",
    [GL_extension_GL_ARB_compute_shader] = "GL extension \"GL_ARB_compute_shader\"",
    [GL_extension_GL_ARB_compute_variable_group_size] = "GL extension \"GL_ARB_compute_variable_group_size\"",
    [GL_extension_GL_ARB_copy_buffer] = "GL extension \"GL_ARB_copy_buffer\"",
    [GL_extension_GL_ARB_copy_image] = "GL extension \"GL_ARB_copy_image\"",
    [GL_extension_GL_ARB_debug_output] = "GL extension \"GL_ARB_debug_output\"",
    [GL_extension_GL_ARB_draw_buffers] = "GL extension \"GL_ARB_draw_buffers\"",
    [GL_extension_GL_ARB_draw_buffers_blend] = "GL extension \"GL_ARB_draw_buffers_blend\"",
    [GL_extension_GL_ARB_draw_elements_base_vertex] = "GL extension \"GL_ARB_draw_elements_base_vertex\"",
    [GL_extension_GL_ARB_draw_indirect] = "GL extension \"GL_ARB_draw_indirect\"",
    [GL_extension_GL_ARB_draw_instanced] = "GL extension \"GL_ARB_draw_instanced\"",
    [GL_extension_GL_ARB_fragment_program] = "GL extension \"GL_ARB_fragment_program\"",
    [GL_extension_GL_ARB_framebuffer_no_attachments] = "GL extension \"GL_ARB_framebuffer_no_attachments\"",
    [GL_extension_GL_ARB_framebuffer_object] = "GL extension \"GL_ARB_framebuffer_object\"",
    [GL_extension_GL_ARB_geometry_shader4] = "GL extension \"GL_ARB_geometry_shader4\"",
    [GL_extension_GL_ARB_get_program_binary] = "GL extension \"GL_ARB_get_program_binary\"",
    [GL_extension_GL_ARB_gpu_shader_fp64] = "GL extension \"GL_ARB_gpu_shader_fp64\"",
    [GL_extension_GL_ARB_imaging] = "GL extension \"GL_ARB_imaging\"",
    [GL_extension_GL_ARB_indirect_parameters] = "GL extension \"GL_ARB_indirect_parameters\"",
    [GL_extension_GL_ARB_instanced_arrays] = "GL extension \"GL_ARB_instanced_arrays\"",
    [GL_extension_GL_ARB_internalformat_query2] = "GL extension \"GL_ARB_internalformat_query2\"",
    [GL_extension_GL_ARB_internalformat_query] = "GL extension \"GL_ARB_internalformat_query\"",
    [GL_extension_GL_ARB_invalidate_subdata] = "GL extension \"GL_ARB_invalidate_subdata\"",
    [GL_extension_GL_ARB_map_buffer_range] = "GL extension \"GL_ARB_map_buffer_range\"",
    [GL_extension_GL_ARB_matrix_palette] = "GL extension \"GL_ARB_matrix_palette\"",
    [GL_extension_GL_ARB_multi_bind] = "GL extension \"GL_ARB_multi_bind\"",
    [GL_extension_GL_ARB_multi_draw_indirect] = "GL extension \"GL_ARB_multi_draw_indirect\"",
    [GL_extension_GL_ARB_multisample] = "GL extension \"GL_ARB_multisample\"",
    [GL_extension_GL_ARB_multitexture] = "GL extension \"GL_ARB_multitexture\"",
    [GL_extension_GL_ARB_occlusion_query] = "GL extension \"GL_ARB_occlusion_query\"",
    [GL_extension_GL_ARB_point_parameters] = "GL extension \"GL_ARB_point_parameters\"",
    [GL_extension_GL_ARB_program_interface_query] = "GL extension \"GL_ARB_program_interface_query\"",
    [GL_extension_GL_ARB_provoking_vertex] = "GL extension \"GL_ARB_provoking_vertex\"",
    [GL_extension_GL_ARB_robustness] = "GL extension \"GL_ARB_robustness\"",
    [GL_extension_GL_ARB_sample_shading] = "GL extension \"GL_ARB_sample_shading\"",
    [GL_extension_GL_ARB_sampler_objects] = "GL extension \"GL_ARB_sampler_objects\"",
    [GL_extension_GL_ARB_separate_shader_objects] = "GL extension \"GL_ARB_separate_shader_objects\"",
    [GL_extension_GL_ARB_shader_atomic_counters] = "GL extension \"GL_ARB_shader_atomic_counters\"",
    [GL_extension_GL_ARB_shader_image_load_store] = "GL extension \"GL_ARB_shader_image_load_store\"",
    [GL_extension_GL_ARB_shader_objects] = "GL extension \"GL_ARB_shader_objects\"",
    [GL_extension_GL_ARB_shader_storage_buffer_object] = "GL extension \"GL_ARB_shader_storage_buffer_object\"",
    [GL_extension_GL_ARB_shader_subroutine] = "GL extension \"GL_ARB_shader_subroutine\"",
    [GL_extension_GL_ARB_shading_language_include] = "GL extension \"GL_ARB_shading_language_include\"",
    [GL_extension_GL_ARB_sparse_texture] = "GL extension \"GL_ARB_sparse_texture\"",
    [GL_extension_GL_ARB_sync] = "GL extension \"GL_ARB_sync\"",
    [GL_extension_GL_ARB_tessellation_shader] = "GL extension \"GL_ARB_tessellation_shader\"",
    [GL_extension_GL_ARB_texture_buffer_object] = "GL extension \"GL_ARB_texture_buffer_object\"",
    [GL_extension_GL_ARB_texture_buffer_range] = "GL extension \"GL_ARB_texture_buffer_range\"",
    [GL_extension_GL_ARB_texture_compression] = "GL extension \"GL_ARB_texture_compression\"",
    [GL_extension_GL_ARB_texture_multisample] = "GL extension \"GL_ARB_texture_multisample\"",
    [GL_extension_GL_ARB_texture_storage] = "GL extension \"GL_ARB_texture_storage\"",
    [GL_extension_GL_ARB_texture_storage_multisample] = "GL extension \"GL_ARB_texture_storage_multisample\"",
    [GL_extension_GL_ARB_texture_view] = "GL extension \"GL_ARB_texture_view\"",
    [GL_extension_GL_ARB_timer_query] = "GL extension \"GL_ARB_timer_query\"",
    [GL_extension_GL_ARB_transform_feedback2] = "GL extension \"GL_ARB_transform_feedback2\"",
    [GL_extension_GL_ARB_transform_feedback3] = "GL extension \"GL_ARB_transform_feedback3\"",
    [GL_extension_GL_ARB_transform_feedback_instanced] = "GL extension \"GL_ARB_transform_feedback_instanced\"",
    [GL_extension_GL_ARB_transpose_matrix] = "GL extension \"GL_ARB_transpose_matrix\"",
    [GL_extension_GL_ARB_uniform_buffer_object] = "GL extension \"GL_ARB_uniform_buffer_object\"",
    [GL_extension_GL_ARB_vertex_array_object] = "GL extension \"GL_ARB_vertex_array_object\"",
    [GL_extension_GL_ARB_vertex_attrib_64bit] = "GL extension \"GL_ARB_vertex_attrib_64bit\"",
    [GL_extension_GL_ARB_vertex_attrib_binding] = "GL extension \"GL_ARB_vertex_attrib_binding\"",
    [GL_extension_GL_ARB_vertex_blend] = "GL extension \"GL_ARB_vertex_blend\"",
    [GL_extension_GL_ARB_vertex_buffer_object] = "GL extension \"GL_ARB_vertex_buffer_object\"",
    [GL_extension_GL_ARB_vertex_program] = "GL extension \"GL_ARB_vertex_program\"",
    [GL_extension_GL_ARB_vertex_shader] = "GL extension \"GL_ARB_vertex_shader\"",
    [GL_extension_GL_ARB_vertex_type_2_10_10_10_rev] = "GL extension \"GL_ARB_vertex_type_2_10_10_10_rev\"",
    [GL_extension_GL_ARB_viewport_array] = "GL extension \"GL_ARB_viewport_array\"",
    [GL_extension_GL_ARB_window_pos] = "GL extension \"GL_ARB_window_pos\"",
    [GL_extension_GL_ATI_draw_buffers] = "GL extension \"GL_ATI_draw_buffers\"",
    [GL_extension_GL_ATI_element_array] = "GL extension \"GL_ATI_element_array\"",
    [GL_extension_GL_ATI_envmap_bumpmap] = "GL extension \"GL_ATI_envmap_bumpmap\"",
    [GL_extension_GL_ATI_fragment_shader] = "GL extension \"GL_ATI_fragment_shader\"",
    [GL_extension_GL_ATI_map_object_buffer] = "GL extension \"GL_ATI_map_object_buffer\"",
    [GL_extension_GL_ATI_pn_triangles] = "GL extension \"GL_ATI_pn_triangles\"",
    [GL_extension_GL_ATI_separate_stencil] = "GL extension \"GL_ATI_separate_stencil\"",
    [GL_extension_GL_ATI_vertex_array_object] = "GL extension \"GL_ATI_vertex_array_object\"",
    [GL_extension_GL_ATI_vertex_attrib_array_object] = "GL extension \"GL_ATI_vertex_attrib_array_object\"",
    [GL_extension_GL_ATI_vertex_streams] = "GL extension \"GL_ATI_vertex_streams\"",
    [GL_extension_GL_EXT_bindable_uniform] = "GL extension \"GL_EXT_bindable_uniform\"",
    [GL_extension_GL_EXT_blend_color] = "GL extension \"GL_EXT_blend_color\"",
    [GL_extension_GL_EXT_blend_equation_separate] = "GL extension \"GL_EXT_blend_equation_separate\"",
    [GL_extension_GL_EXT_blend_func_separate] = "GL extension \"GL_EXT_blend_func_separate\"",
    [GL_extension_GL_EXT_blend_minmax] = "GL extension \"GL_EXT_blend_minmax\"",
    [GL_extension_GL_EXT_color_subtable] = "GL extension \"GL_EXT_color_subtable\"",
    [GL_extension_GL_EXT_compiled_vertex_array] = "GL extension \"GL_EXT_compiled_vertex_array\"",
    [GL_extension_GL_EXT_convolution] = "GL extension \"GL_EXT_convolution\"",
    [GL_extension_GL_EXT_coordinate_frame] = "GL extension \"GL_EXT_coordinate_frame\"",
    [GL_extension_GL_EXT_copy_texture] = "GL extension \"GL_EXT_copy_texture\"",
    [GL_extension_GL_EXT_cull_vertex] = "GL extension \"GL_EXT_cull_vertex\"",
    [GL_extension_GL_EXT_debug_label] = "GL extension \"GL_EXT_debug_label\"",
    [GL_extension_GL_EXT_debug_marker] = "GL extension \"GL_EXT_debug_marker\"",
    [GL_extension_GL_EXT_depth_bounds_test] = "GL extension \"GL_EXT_depth_bounds_test\"",
    [GL_extension_GL_EXT_direct_state_access] = "GL extension \"GL_EXT_direct_state_access\"",
    [GL_extension_GL_EXT_discard_framebuffer] = "GL extension \"GL_EXT_discard_framebuffer\"",
    [GL_extension_GL_EXT_disjoint_timer_query] = "GL extension \"GL_EXT_disjoint_timer_query\"",
    [GL_extension_GL_EXT_draw_buffers2] = "GL extension \"GL_EXT_draw_buffers2\"",
    [GL_extension_GL_EXT_draw_buffers] = "GL extension \"GL_EXT_draw_buffers\"",
    [GL_extension_GL_EXT_draw_instanced] = "GL extension \"GL_EXT_draw_instanced\"",
    [GL_extension_GL_EXT_draw_range_elements] = "GL extension \"GL_EXT_draw_range_elements\"",
    [GL_extension_GL_EXT_fog_coord] = "GL extension \"GL_EXT_fog_coord\"",
    [GL_extension_GL_EXT_framebuffer_blit] = "GL extension \"GL_EXT_framebuffer_blit\"",
    [GL_extension_GL_EXT_framebuffer_multisample] = "GL extension \"GL_EXT_framebuffer_multisample\"",
    [GL_extension_GL_EXT_framebuffer_object] = "GL extension \"GL_EXT_framebuffer_object\"",
    [GL_extension_GL_EXT_geometry_shader4] = "GL extension \"GL_EXT_geometry_shader4\"",
    [GL_extension_GL_EXT_gpu_program_parameters] = "GL extension \"GL_EXT_gpu_program_parameters\"",
    [GL_extension_GL_EXT_gpu_shader4] = "GL extension \"GL_EXT_gpu_shader4\"",
    [GL_extension_GL_EXT_histogram] = "GL extension \"GL_EXT_histogram\"",
    [GL_extension_GL_EXT_index_func] = "GL extension \"GL_EXT_index_func\"",
    [GL_extension_GL_EXT_index_material] = "GL extension \"GL_EXT_index_material\"",
    [GL_extension_GL_EXT_instanced_arrays] = "GL extension \"GL_EXT_instanced_arrays\"",
    [GL_extension_GL_EXT_light_texture] = "GL extension \"GL_EXT_light_texture\"",
    [GL_extension_GL_EXT_map_buffer_range] = "GL extension \"GL_EXT_map_buffer_range\"",
    [GL_extension_GL_EXT_multi_draw_arrays] = "GL extension \"GL_EXT_multi_draw_arrays\"",
    [GL_extension_GL_EXT_multisample] = "GL extension \"GL_EXT_multisample\"",
    [GL_extension_GL_EXT_multisampled_render_to_texture] = "GL extension \"GL_EXT_multisampled_render_to_texture\"",
    [GL_extension_GL_EXT_multiview_draw_buffers] = "GL extension \"GL_EXT_multiview_draw_buffers\"",
    [GL_extension_GL_EXT_occlusion_query_boolean] = "GL extension \"GL_EXT_occlusion_query_boolean\"",
    [GL_extension_GL_EXT_paletted_texture] = "GL extension \"GL_EXT_paletted_texture\"",
    [GL_extension_GL_EXT_pixel_transform] = "GL extension \"GL_EXT_pixel_transform\"",
    [GL_extension_GL_EXT_point_parameters] = "GL extension \"GL_EXT_point_parameters\"",
    [GL_extension_GL_EXT_polygon_offset] = "GL extension \"GL_EXT_polygon_offset\"",
    [GL_extension_GL_EXT_provoking_vertex] = "GL extension \"GL_EXT_provoking_vertex\"",
    [GL_extension_GL_EXT_robustness] = "GL extension \"GL_EXT_robustness\"",
    [GL_extension_GL_EXT_secondary_color] = "GL extension \"GL_EXT_secondary_color\"",
    [GL_extension_GL_EXT_separate_shader_objects] = "GL extension \"GL_EXT_separate_shader_objects\"",
    [GL_extension_GL_EXT_shader_image_load_store] = "GL extension \"GL_EXT_shader_image_load_store\"",
    [GL_extension_GL_EXT_stencil_clear_tag] = "GL extension \"GL_EXT_stencil_clear_tag\"",
    [GL_extension_GL_EXT_stencil_two_side] = "GL extension \"GL_EXT_stencil_two_side\"",
    [GL_extension_GL_EXT_subtexture] = "GL extension \"GL_EXT_subtexture\"",
    [GL_extension_GL_EXT_texture3D] = "GL extension \"GL_EXT_texture3D\"",
    [GL_extension_GL_EXT_texture_buffer_object] = "GL extension \"GL_EXT_texture_buffer_object\"",
    [GL_extension_GL_EXT_texture_integer] = "GL extension \"GL_EXT_texture_integer\"",
    [GL_extension_GL_EXT_texture_object] = "GL extension \"GL_EXT_texture_object\"",
    [GL_extension_GL_EXT_texture_perturb_normal] = "GL extension \"GL_EXT_texture_perturb_normal\"",
    [GL_extension_GL_EXT_texture_storage] = "GL extension \"GL_EXT_texture_storage\"",
    [GL_extension_GL_EXT_timer_query] = "GL extension \"GL_EXT_timer_query\"",
    [GL_extension_GL_EXT_transform_feedback] = "GL extension \"GL_EXT_transform_feedback\"",
    [GL_extension_GL_EXT_vertex_array] = "GL extension \"GL_EXT_vertex_array\"",
    [GL_extension_GL_EXT_vertex_attrib_64bit] = "GL extension \"GL_EXT_vertex_attrib_64bit\"",
    [GL_extension_GL_EXT_vertex_shader] = "GL extension \"GL_EXT_vertex_shader\"",
    [GL_extension_GL_EXT_vertex_weighting] = "GL extension \"GL_EXT_vertex_weighting\"",
    [GL_extension_GL_EXT_x11_sync_object] = "GL extension \"GL_EXT_x11_sync_object\"",
    [GL_extension_GL_GREMEDY_frame_terminator] = "GL extension \"GL_GREMEDY_frame_terminator\"",
    [GL_extension_GL_GREMEDY_string_marker] = "GL extension \"GL_GREMEDY_string_marker\"",
    [GL_extension_GL_HP_image_transform] = "GL extension \"GL_HP_image_transform\"",
    [GL_extension_GL_IBM_multimode_draw_arrays] = "GL extension \"GL_IBM_multimode_draw_arrays\"",
    [GL_extension_GL_IBM_static_data] = "GL extension \"GL_IBM_static_data\"",
    [GL_extension_GL_IBM_vertex_array_lists] = "GL extension \"GL_IBM_vertex_array_lists\"",
    [GL_extension_GL_IMG_multisampled_render_to_texture] = "GL extension \"GL_IMG_multisampled_render_to_texture\"",
    [GL_extension_GL_IMG_user_clip_plane] = "GL extension \"GL_IMG_user_clip_plane\"",
    [GL_extension_GL_INGR_blend_func_separate] = "GL extension \"GL_INGR_blend_func_separate\"",
    [GL_extension_GL_INTEL_map_texture] = "GL extension \"GL_INTEL_map_texture\"",
    [GL_extension_GL_INTEL_parallel_arrays] = "GL extension \"GL_INTEL_parallel_arrays\"",
    [GL_extension_GL_INTEL_performance_query] = "GL extension \"GL_INTEL_performance_query\"",
    [GL_extension_GL_KHR_blend_equation_advanced] = "GL extension \"GL_KHR_blend_equation_advanced\"",
    [GL_extension_GL_KHR_debug] = "GL extension \"GL_KHR_debug\"",
    [GL_extension_GL_MESA_resize_buffers] = "GL extension \"GL_MESA_resize_buffers\"",
    [GL_extension_GL_MESA_window_pos] = "GL extension \"GL_MESA_window_pos\"",
    [GL_extension_GL_NVX_conditional_render] = "GL extension \"GL_NVX_conditional_render\"",
    [GL_extension_GL_NV_bindless_multi_draw_indirect] = "GL extension \"GL_NV_bindless_multi_draw_indirect\"",
    [GL_extension_GL_NV_bindless_texture] = "GL extension \"GL_NV_bindless_texture\"",
    [GL_extension_GL_NV_blend_equation_advanced] = "GL extension \"GL_NV_blend_equation_advanced\"",
    [GL_extension_GL_NV_conditional_render] = "GL extension \"GL_NV_conditional_render\"",
    [GL_extension_GL_NV_copy_buffer] = "GL extension \"GL_NV_copy_buffer\"",
    [GL_extension_GL_NV_copy_image] = "GL extension \"GL_NV_copy_image\"",
    [GL_extension_GL_NV_coverage_sample] = "GL extension \"GL_NV_coverage_sample\"",
    [GL_extension_GL_NV_depth_buffer_float] = "GL extension \"GL_NV_depth_buffer_float\"",
    [GL_extension_GL_NV_draw_buffers] = "GL extension \"GL_NV_draw_buffers\"",
    [GL_extension_GL_NV_draw_instanced] = "GL extension \"GL_NV_draw_instanced\"",
    [GL_extension_GL_NV_draw_texture] = "GL extension \"GL_NV_draw_texture\"",
    [GL_extension_GL_NV_evaluators] = "GL extension \"GL_NV_evaluators\"",
    [GL_extension_GL_NV_explicit_multisample] = "GL extension \"GL_NV_explicit_multisample\"",
    [GL_extension_GL_NV_fence] = "GL extension \"GL_NV_fence\"",
    [GL_extension_GL_NV_fragment_program] = "GL extension \"GL_NV_fragment_program\"",
    [GL_extension_GL_NV_framebuffer_blit] = "GL extension \"GL_NV_framebuffer_blit\"",
    [GL_extension_GL_NV_framebuffer_multisample] = "GL extension \"GL_NV_framebuffer_multisample\"",
    [GL_extension_GL_NV_framebuffer_multisample_coverage] = "GL extension \"GL_NV_framebuffer_multisample_coverage\"",
    [GL_extension_GL_NV_geometry_program4] = "GL extension \"GL_NV_geometry_program4\"",
    [GL_extension_GL_NV_gpu_program4] = "GL extension \"GL_NV_gpu_program4\"",
    [GL_extension_GL_NV_gpu_program5] = "GL extension \"GL_NV_gpu_program5\"",
    [GL_extension_GL_NV_gpu_shader5] = "GL extension \"GL_NV_gpu_shader5\"",
    [GL_extension_GL_NV_half_float] = "GL extension \"GL_NV_half_float\"",
    [GL_extension_GL_NV_instanced_arrays] = "GL extension \"GL_NV_instanced_arrays\"",
    [GL_extension_GL_NV_non_square_matrices] = "GL extension \"GL_NV_non_square_matrices\"",
    [GL_extension_GL_NV_occlusion_query] = "GL extension \"GL_NV_occlusion_query\"",
    [GL_extension_GL_NV_parameter_buffer_object] = "GL extension \"GL_NV_parameter_buffer_object\"",
    [GL_extension_GL_NV_path_rendering] = "GL extension \"GL_NV_path_rendering\"",
    [GL_extension_GL_NV_pixel_data_range] = "GL extension \"GL_NV_pixel_data_range\"",
    [GL_extension_GL_NV_point_sprite] = "GL extension \"GL_NV_point_sprite\"",
    [GL_extension_GL_NV_present_video] = "GL extension \"GL_NV_present_video\"",
    [GL_extension_GL_NV_primitive_restart] = "GL extension \"GL_NV_primitive_restart\"",
    [GL_extension_GL_NV_read_buffer] = "GL extension \"GL_NV_read_buffer\"",
    [GL_extension_GL_NV_register_combiners2] = "GL extension \"GL_NV_register_combiners2\"",
    [GL_extension_GL_NV_register_combiners] = "GL extension \"GL_NV_register_combiners\"",
    [GL_extension_GL_NV_shader_buffer_load] = "GL extension \"GL_NV_shader_buffer_load\"",
    [GL_extension_GL_NV_texture_barrier] = "GL extension \"GL_NV_texture_barrier\"",
    [GL_extension_GL_NV_texture_multisample] = "GL extension \"GL_NV_texture_multisample\"",
    [GL_extension_GL_NV_transform_feedback2] = "GL extension \"GL_NV_transform_feedback2\"",
    [GL_extension_GL_NV_transform_feedback] = "GL extension \"GL_NV_transform_feedback\"",
    [GL_extension_GL_NV_vdpau_interop] = "GL extension \"GL_NV_vdpau_interop\"",
    [GL_extension_GL_NV_vertex_array_range] = "GL extension \"GL_NV_vertex_array_range\"",
    [GL_extension_GL_NV_vertex_attrib_integer_64bit] = "GL extension \"GL_NV_vertex_attrib_integer_64bit\"",
    [GL_extension_GL_NV_vertex_buffer_unified_memory] = "GL extension \"GL_NV_vertex_buffer_unified_memory\"",
    [GL_extension_GL_NV_vertex_program4] = "GL extension \"GL_NV_vertex_program4\"",
    [GL_extension_GL_NV_vertex_program] = "GL extension \"GL_NV_vertex_program\"",
    [GL_extension_GL_NV_video_capture] = "GL extension \"GL_NV_video_capture\"",
    [GL_extension_GL_OES_EGL_image] = "GL extension \"GL_OES_EGL_image\"",
    [GL_extension_GL_OES_blend_equation_separate] = "GL extension \"GL_OES_blend_equation_separate\"",
    [GL_extension_GL_OES_blend_func_separate] = "GL extension \"GL_OES_blend_func_separate\"",
    [GL_extension_GL_OES_blend_subtract] = "GL extension \"GL_OES_blend_subtract\"",
    [GL_extension_GL_OES_byte_coordinates] = "GL extension \"GL_OES_byte_coordinates\"",
    [GL_extension_GL_OES_draw_texture] = "GL extension \"GL_OES_draw_texture\"",
    [GL_extension_GL_OES_fixed_point] = "GL extension \"GL_OES_fixed_point\"",
    [GL_extension_GL_OES_framebuffer_object] = "GL extension \"GL_OES_framebuffer_object\"",
    [GL_extension_GL_OES_get_program_binary] = "GL extension \"GL_OES_get_program_binary\"",
    [GL_extension_GL_OES_mapbuffer] = "GL extension \"GL_OES_mapbuffer\"",
    [GL_extension_GL_OES_matrix_palette] = "GL extension \"GL_OES_matrix_palette\"",
    [GL_extension_GL_OES_point_size_array] = "GL extension \"GL_OES_point_size_array\"",
    [GL_extension_GL_OES_query_matrix] = "GL extension \"GL_OES_query_matrix\"",
    [GL_extension_GL_OES_sample_shading] = "GL extension \"GL_OES_sample_shading\"",
    [GL_extension_GL_OES_single_precision] = "GL extension \"GL_OES_single_precision\"",
    [GL_extension_GL_OES_texture_3D] = "GL extension \"GL_OES_texture_3D\"",
    [GL_extension_GL_OES_texture_cube_map] = "GL extension \"GL_OES_texture_cube_map\"",
    [GL_extension_GL_OES_texture_storage_multisample_2d_array] = "GL extension \"GL_OES_texture_storage_multisample_2d_array\"",
    [GL_extension_GL_OES_vertex_array_object] = "GL extension \"GL_OES_vertex_array_object\"",
    [GL_extension_GL_PGI_misc_hints] = "GL extension \"GL_PGI_misc_hints\"",
    [GL_extension_GL_QCOM_alpha_test] = "GL extension \"GL_QCOM_alpha_test\"",
    [GL_extension_GL_QCOM_driver_control] = "GL extension \"GL_QCOM_driver_control\"",
    [GL_extension_GL_QCOM_extended_get2] = "GL extension \"GL_QCOM_extended_get2\"",
    [GL_extension_GL_QCOM_extended_get] = "GL extension \"GL_QCOM_extended_get\"",
    [GL_extension_GL_QCOM_tiled_rendering] = "GL extension \"GL_QCOM_tiled_rendering\"",
    [GL_extension_GL_SGIS_detail_texture] = "GL extension \"GL_SGIS_detail_texture\"",
    [GL_extension_GL_SGIS_fog_function] = "GL extension \"GL_SGIS_fog_function\"",
    [GL_extension_GL_SGIS_multisample] = "GL extension \"GL_SGIS_multisample\"",
    [GL_extension_GL_SGIS_pixel_texture] = "GL extension \"GL_SGIS_pixel_texture\"",
    [GL_extension_GL_SGIS_point_parameters] = "GL extension \"GL_SGIS_point_parameters\"",
    [GL_extension_GL_SGIS_sharpen_texture] = "GL extension \"GL_SGIS_sharpen_texture\"",
    [GL_extension_GL_SGIS_texture4D] = "GL extension \"GL_SGIS_texture4D\"",
    [GL_extension_GL_SGIS_texture_color_mask] = "GL extension \"GL_SGIS_texture_color_mask\"",
    [GL_extension_GL_SGIS_texture_filter4] = "GL extension \"GL_SGIS_texture_filter4\"",
    [GL_extension_GL_SGIX_async] = "GL extension \"GL_SGIX_async\"",
    [GL_extension_GL_SGIX_flush_raster] = "GL extension \"GL_SGIX_flush_raster\"",
    [GL_extension_GL_SGIX_fragment_lighting] = "GL extension \"GL_SGIX_fragment_lighting\"",
    [GL_extension_GL_SGIX_framezoom] = "GL extension \"GL_SGIX_framezoom\"",
    [GL_extension_GL_SGIX_igloo_interface] = "GL extension \"GL_SGIX_igloo_interface\"",
    [GL_extension_GL_SGIX_instruments] = "GL extension \"GL_SGIX_instruments\"",
    [GL_extension_GL_SGIX_list_priority] = "GL extension \"GL_SGIX_list_priority\"",
    [GL_extension_GL_SGIX_pixel_texture] = "GL extension \"GL_SGIX_pixel_texture\"",
    [GL_extension_GL_SGIX_polynomial_ffd] = "GL extension \"GL_SGIX_polynomial_ffd\"",
    [GL_extension_GL_SGIX_reference_plane] = "GL extension \"GL_SGIX_reference_plane\"",
    [GL_extension_GL_SGIX_sprite] = "GL extension \"GL_SGIX_sprite\"",
    [GL_extension_GL_SGIX_tag_sample_buffer] = "GL extension \"GL_SGIX_tag_sample_buffer\"",
    [GL_extension_GL_SGI_color_table] = "GL extension \"GL_SGI_color_table\"",
    [GL_extension_GL_SUNX_constant_data] = "GL extension \"GL_SUNX_constant_data\"",
    [GL_extension_GL_SUN_global_alpha] = "GL extension \"GL_SUN_global_alpha\"",
    [GL_extension_GL_SUN_mesh_array] = "GL extension \"GL_SUN_mesh_array\"",
    [GL_extension_GL_SUN_triangle_list] = "GL extension \"GL_SUN_triangle_list\"",
    [GL_extension_GL_SUN_vertex] = "GL extension \"GL_SUN_vertex\"",
    [OpenGL_ES_1_0] = "OpenGL ES 1.0",
    [OpenGL_ES_2_0] = "OpenGL ES 2.0",
    [OpenGL_ES_3_0] = "OpenGL ES 3.0",
    [OpenGL_ES_3_1] = "OpenGL ES 3.1",
    [always_present] = "always present",
};

static const char entrypoint_strings[] = 
   "glAccum\0"
   "glAccumxOES\0"
   "glActiveProgramEXT\0"
   "glActiveShaderProgram\0"
   "glActiveShaderProgramEXT\0"
   "glActiveStencilFaceEXT\0"
   "glActiveTexture\0"
   "glActiveTextureARB\0"
   "glActiveVaryingNV\0"
   "glAlphaFragmentOp1ATI\0"
   "glAlphaFragmentOp2ATI\0"
   "glAlphaFragmentOp3ATI\0"
   "glAlphaFunc\0"
   "glAlphaFuncQCOM\0"
   "glAlphaFuncx\0"
   "glAlphaFuncxOES\0"
   "glApplyTextureEXT\0"
   "glAreProgramsResidentNV\0"
   "glAreTexturesResident\0"
   "glAreTexturesResidentEXT\0"
   "glArrayElement\0"
   "glArrayElementEXT\0"
   "glArrayObjectATI\0"
   "glAsyncMarkerSGIX\0"
   "glAttachObjectARB\0"
   "glAttachShader\0"
   "glBegin\0"
   "glBeginConditionalRender\0"
   "glBeginConditionalRenderNV\0"
   "glBeginConditionalRenderNVX\0"
   "glBeginFragmentShaderATI\0"
   "glBeginOcclusionQueryNV\0"
   "glBeginPerfMonitorAMD\0"
   "glBeginPerfQueryINTEL\0"
   "glBeginQuery\0"
   "glBeginQueryARB\0"
   "glBeginQueryEXT\0"
   "glBeginQueryIndexed\0"
   "glBeginTransformFeedback\0"
   "glBeginTransformFeedbackEXT\0"
   "glBeginTransformFeedbackNV\0"
   "glBeginVertexShaderEXT\0"
   "glBeginVideoCaptureNV\0"
   "glBindAttribLocation\0"
   "glBindAttribLocationARB\0"
   "glBindBuffer\0"
   "glBindBufferARB\0"
   "glBindBufferBase\0"
   "glBindBufferBaseEXT\0"
   "glBindBufferBaseNV\0"
   "glBindBufferOffsetEXT\0"
   "glBindBufferOffsetNV\0"
   "glBindBufferRange\0"
   "glBindBufferRangeEXT\0"
   "glBindBufferRangeNV\0"
   "glBindBuffersBase\0"
   "glBindBuffersRange\0"
   "glBindFragDataLocation\0"
   "glBindFragDataLocationEXT\0"
   "glBindFragDataLocationIndexed\0"
   "glBindFragmentShaderATI\0"
   "glBindFramebuffer\0"
   "glBindFramebufferEXT\0"
   "glBindFramebufferOES\0"
   "glBindImageTexture\0"
   "glBindImageTextureEXT\0"
   "glBindImageTextures\0"
   "glBindLightParameterEXT\0"
   "glBindMaterialParameterEXT\0"
   "glBindMultiTextureEXT\0"
   "glBindParameterEXT\0"
   "glBindProgramARB\0"
   "glBindProgramNV\0"
   "glBindProgramPipeline\0"
   "glBindProgramPipelineEXT\0"
   "glBindRenderbuffer\0"
   "glBindRenderbufferEXT\0"
   "glBindRenderbufferOES\0"
   "glBindSampler\0"
   "glBindSamplers\0"
   "glBindTexGenParameterEXT\0"
   "glBindTexture\0"
   "glBindTextureEXT\0"
   "glBindTextureUnitParameterEXT\0"
   "glBindTextures\0"
   "glBindTransformFeedback\0"
   "glBindTransformFeedbackNV\0"
   "glBindVertexArray\0"
   "glBindVertexArrayAPPLE\0"
   "glBindVertexArrayOES\0"
   "glBindVertexBuffer\0"
   "glBindVertexBuffers\0"
   "glBindVertexShaderEXT\0"
   "glBindVideoCaptureStreamBufferNV\0"
   "glBindVideoCaptureStreamTextureNV\0"
   "glBinormal3bEXT\0"
   "glBinormal3bvEXT\0"
   "glBinormal3dEXT\0"
   "glBinormal3dvEXT\0"
   "glBinormal3fEXT\0"
   "glBinormal3fvEXT\0"
   "glBinormal3iEXT\0"
   "glBinormal3ivEXT\0"
   "glBinormal3sEXT\0"
   "glBinormal3svEXT\0"
   "glBinormalPointerEXT\0"
   "glBitmap\0"
   "glBitmapxOES\0"
   "glBlendBarrierKHR\0"
   "glBlendBarrierNV\0"
   "glBlendColor\0"
   "glBlendColorEXT\0"
   "glBlendColorxOES\0"
   "glBlendEquation\0"
   "glBlendEquationEXT\0"
   "glBlendEquationIndexedAMD\0"
   "glBlendEquationOES\0"
   "glBlendEquationSeparate\0"
   "glBlendEquationSeparateEXT\0"
   "glBlendEquationSeparateIndexedAMD\0"
   "glBlendEquationSeparateOES\0"
   "glBlendEquationSeparatei\0"
   "glBlendEquationSeparateiARB\0"
   "glBlendEquationi\0"
   "glBlendEquationiARB\0"
   "glBlendFunc\0"
   "glBlendFuncIndexedAMD\0"
   "glBlendFuncSeparate\0"
   "glBlendFuncSeparateEXT\0"
   "glBlendFuncSeparateINGR\0"
   "glBlendFuncSeparateIndexedAMD\0"
   "glBlendFuncSeparateOES\0"
   "glBlendFuncSeparatei\0"
   "glBlendFuncSeparateiARB\0"
   "glBlendFunci\0"
   "glBlendFunciARB\0"
   "glBlendParameteriNV\0"
   "glBlitFramebuffer\0"
   "glBlitFramebufferANGLE\0"
   "glBlitFramebufferEXT\0"
   "glBlitFramebufferNV\0"
   "glBufferAddressRangeNV\0"
   "glBufferData\0"
   "glBufferDataARB\0"
   "glBufferParameteriAPPLE\0"
   "glBufferStorage\0"
   "glBufferSubData\0"
   "glBufferSubDataARB\0"
   "glCallList\0"
   "glCallLists\0"
   "glCheckFramebufferStatus\0"
   "glCheckFramebufferStatusEXT\0"
   "glCheckFramebufferStatusOES\0"
   "glCheckNamedFramebufferStatusEXT\0"
   "glClampColor\0"
   "glClampColorARB\0"
   "glClear\0"
   "glClearAccum\0"
   "glClearAccumxOES\0"
   "glClearBufferData\0"
   "glClearBufferSubData\0"
   "glClearBufferfi\0"
   "glClearBufferfv\0"
   "glClearBufferiv\0"
   "glClearBufferuiv\0"
   "glClearColor\0"
   "glClearColorIiEXT\0"
   "glClearColorIuiEXT\0"
   "glClearColorx\0"
   "glClearColorxOES\0"
   "glClearDepth\0"
   "glClearDepthdNV\0"
   "glClearDepthf\0"
   "glClearDepthfOES\0"
   "glClearDepthx\0"
   "glClearDepthxOES\0"
   "glClearIndex\0"
   "glClearNamedBufferDataEXT\0"
   "glClearNamedBufferSubDataEXT\0"
   "glClearStencil\0"
   "glClearTexImage\0"
   "glClearTexSubImage\0"
   "glClientActiveTexture\0"
   "glClientActiveTextureARB\0"
   "glClientActiveVertexStreamATI\0"
   "glClientAttribDefaultEXT\0"
   "glClientWaitSync\0"
   "glClientWaitSyncAPPLE\0"
   "glClipPlane\0"
   "glClipPlanef\0"
   "glClipPlanefIMG\0"
   "glClipPlanefOES\0"
   "glClipPlanex\0"
   "glClipPlanexIMG\0"
   "glClipPlanexOES\0"
   "glColor3b\0"
   "glColor3bv\0"
   "glColor3d\0"
   "glColor3dv\0"
   "glColor3f\0"
   "glColor3fVertex3fSUN\0"
   "glColor3fVertex3fvSUN\0"
   "glColor3fv\0"
   "glColor3hNV\0"
   "glColor3hvNV\0"
   "glColor3i\0"
   "glColor3iv\0"
   "glColor3s\0"
   "glColor3sv\0"
   "glColor3ub\0"
   "glColor3ubv\0"
   "glColor3ui\0"
   "glColor3uiv\0"
   "glColor3us\0"
   "glColor3usv\0"
   "glColor3xOES\0"
   "glColor3xvOES\0"
   "glColor4b\0"
   "glColor4bv\0"
   "glColor4d\0"
   "glColor4dv\0"
   "glColor4f\0"
   "glColor4fNormal3fVertex3fSUN\0"
   "glColor4fNormal3fVertex3fvSUN\0"
   "glColor4fv\0"
   "glColor4hNV\0"
   "glColor4hvNV\0"
   "glColor4i\0"
   "glColor4iv\0"
   "glColor4s\0"
   "glColor4sv\0"
   "glColor4ub\0"
   "glColor4ubVertex2fSUN\0"
   "glColor4ubVertex2fvSUN\0"
   "glColor4ubVertex3fSUN\0"
   "glColor4ubVertex3fvSUN\0"
   "glColor4ubv\0"
   "glColor4ui\0"
   "glColor4uiv\0"
   "glColor4us\0"
   "glColor4usv\0"
   "glColor4x\0"
   "glColor4xOES\0"
   "glColor4xvOES\0"
   "glColorFormatNV\0"
   "glColorFragmentOp1ATI\0"
   "glColorFragmentOp2ATI\0"
   "glColorFragmentOp3ATI\0"
   "glColorMask\0"
   "glColorMaskIndexedEXT\0"
   "glColorMaski\0"
   "glColorMaterial\0"
   "glColorP3ui\0"
   "glColorP3uiv\0"
   "glColorP4ui\0"
   "glColorP4uiv\0"
   "glColorPointer\0"
   "glColorPointerEXT\0"
   "glColorPointerListIBM\0"
   "glColorPointervINTEL\0"
   "glColorSubTable\0"
   "glColorSubTableEXT\0"
   "glColorTable\0"
   "glColorTableEXT\0"
   "glColorTableParameterfv\0"
   "glColorTableParameterfvSGI\0"
   "glColorTableParameteriv\0"
   "glColorTableParameterivSGI\0"
   "glColorTableSGI\0"
   "glCombinerInputNV\0"
   "glCombinerOutputNV\0"
   "glCombinerParameterfNV\0"
   "glCombinerParameterfvNV\0"
   "glCombinerParameteriNV\0"
   "glCombinerParameterivNV\0"
   "glCombinerStageParameterfvNV\0"
   "glCompileShader\0"
   "glCompileShaderARB\0"
   "glCompileShaderIncludeARB\0"
   "glCompressedMultiTexImage1DEXT\0"
   "glCompressedMultiTexImage2DEXT\0"
   "glCompressedMultiTexImage3DEXT\0"
   "glCompressedMultiTexSubImage1DEXT\0"
   "glCompressedMultiTexSubImage2DEXT\0"
   "glCompressedMultiTexSubImage3DEXT\0"
   "glCompressedTexImage1D\0"
   "glCompressedTexImage1DARB\0"
   "glCompressedTexImage2D\0"
   "glCompressedTexImage2DARB\0"
   "glCompressedTexImage3D\0"
   "glCompressedTexImage3DARB\0"
   "glCompressedTexImage3DOES\0"
   "glCompressedTexSubImage1D\0"
   "glCompressedTexSubImage1DARB\0"
   "glCompressedTexSubImage2D\0"
   "glCompressedTexSubImage2DARB\0"
   "glCompressedTexSubImage3D\0"
   "glCompressedTexSubImage3DARB\0"
   "glCompressedTexSubImage3DOES\0"
   "glCompressedTextureImage1DEXT\0"
   "glCompressedTextureImage2DEXT\0"
   "glCompressedTextureImage3DEXT\0"
   "glCompressedTextureSubImage1DEXT\0"
   "glCompressedTextureSubImage2DEXT\0"
   "glCompressedTextureSubImage3DEXT\0"
   "glConvolutionFilter1D\0"
   "glConvolutionFilter1DEXT\0"
   "glConvolutionFilter2D\0"
   "glConvolutionFilter2DEXT\0"
   "glConvolutionParameterf\0"
   "glConvolutionParameterfEXT\0"
   "glConvolutionParameterfv\0"
   "glConvolutionParameterfvEXT\0"
   "glConvolutionParameteri\0"
   "glConvolutionParameteriEXT\0"
   "glConvolutionParameteriv\0"
   "glConvolutionParameterivEXT\0"
   "glConvolutionParameterxOES\0"
   "glConvolutionParameterxvOES\0"
   "glCopyBufferSubData\0"
   "glCopyBufferSubDataNV\0"
   "glCopyColorSubTable\0"
   "glCopyColorSubTableEXT\0"
   "glCopyColorTable\0"
   "glCopyColorTableSGI\0"
   "glCopyConvolutionFilter1D\0"
   "glCopyConvolutionFilter1DEXT\0"
   "glCopyConvolutionFilter2D\0"
   "glCopyConvolutionFilter2DEXT\0"
   "glCopyImageSubData\0"
   "glCopyImageSubDataNV\0"
   "glCopyMultiTexImage1DEXT\0"
   "glCopyMultiTexImage2DEXT\0"
   "glCopyMultiTexSubImage1DEXT\0"
   "glCopyMultiTexSubImage2DEXT\0"
   "glCopyMultiTexSubImage3DEXT\0"
   "glCopyPathNV\0"
   "glCopyPixels\0"
   "glCopyTexImage1D\0"
   "glCopyTexImage1DEXT\0"
   "glCopyTexImage2D\0"
   "glCopyTexImage2DEXT\0"
   "glCopyTexSubImage1D\0"
   "glCopyTexSubImage1DEXT\0"
   "glCopyTexSubImage2D\0"
   "glCopyTexSubImage2DEXT\0"
   "glCopyTexSubImage3D\0"
   "glCopyTexSubImage3DEXT\0"
   "glCopyTexSubImage3DOES\0"
   "glCopyTextureImage1DEXT\0"
   "glCopyTextureImage2DEXT\0"
   "glCopyTextureLevelsAPPLE\0"
   "glCopyTextureSubImage1DEXT\0"
   "glCopyTextureSubImage2DEXT\0"
   "glCopyTextureSubImage3DEXT\0"
   "glCoverFillPathInstancedNV\0"
   "glCoverFillPathNV\0"
   "glCoverStrokePathInstancedNV\0"
   "glCoverStrokePathNV\0"
   "glCoverageMaskNV\0"
   "glCoverageOperationNV\0"
   "glCreatePerfQueryINTEL\0"
   "glCreateProgram\0"
   "glCreateProgramObjectARB\0"
   "glCreateShader\0"
   "glCreateShaderObjectARB\0"
   "glCreateShaderProgramEXT\0"
   "glCreateShaderProgramv\0"
   "glCreateShaderProgramvEXT\0"
   "glCreateSyncFromCLeventARB\0"
   "glCullFace\0"
   "glCullParameterdvEXT\0"
   "glCullParameterfvEXT\0"
   "glCurrentPaletteMatrixARB\0"
   "glCurrentPaletteMatrixOES\0"
   "glDebugMessageCallback\0"
   "glDebugMessageCallbackAMD\0"
   "glDebugMessageCallbackARB\0"
   "glDebugMessageCallbackKHR\0"
   "glDebugMessageControl\0"
   "glDebugMessageControlARB\0"
   "glDebugMessageControlKHR\0"
   "glDebugMessageEnableAMD\0"
   "glDebugMessageInsert\0"
   "glDebugMessageInsertAMD\0"
   "glDebugMessageInsertARB\0"
   "glDebugMessageInsertKHR\0"
   "glDeformSGIX\0"
   "glDeformationMap3dSGIX\0"
   "glDeformationMap3fSGIX\0"
   "glDeleteAsyncMarkersSGIX\0"
   "glDeleteBuffers\0"
   "glDeleteBuffersARB\0"
   "glDeleteFencesAPPLE\0"
   "glDeleteFencesNV\0"
   "glDeleteFragmentShaderATI\0"
   "glDeleteFramebuffers\0"
   "glDeleteFramebuffersEXT\0"
   "glDeleteFramebuffersOES\0"
   "glDeleteLists\0"
   "glDeleteNamedStringARB\0"
   "glDeleteNamesAMD\0"
   "glDeleteObjectARB\0"
   "glDeleteOcclusionQueriesNV\0"
   "glDeletePathsNV\0"
   "glDeletePerfMonitorsAMD\0"
   "glDeletePerfQueryINTEL\0"
   "glDeleteProgram\0"
   "glDeleteProgramPipelines\0"
   "glDeleteProgramPipelinesEXT\0"
   "glDeleteProgramsARB\0"
   "glDeleteProgramsNV\0"
   "glDeleteQueries\0"
   "glDeleteQueriesARB\0"
   "glDeleteQueriesEXT\0"
   "glDeleteRenderbuffers\0"
   "glDeleteRenderbuffersEXT\0"
   "glDeleteRenderbuffersOES\0"
   "glDeleteSamplers\0"
   "glDeleteShader\0"
   "glDeleteSync\0"
   "glDeleteSyncAPPLE\0"
   "glDeleteTextures\0"
   "glDeleteTexturesEXT\0"
   "glDeleteTransformFeedbacks\0"
   "glDeleteTransformFeedbacksNV\0"
   "glDeleteVertexArrays\0"
   "glDeleteVertexArraysAPPLE\0"
   "glDeleteVertexArraysOES\0"
   "glDeleteVertexShaderEXT\0"
   "glDepthBoundsEXT\0"
   "glDepthBoundsdNV\0"
   "glDepthFunc\0"
   "glDepthMask\0"
   "glDepthRange\0"
   "glDepthRangeArrayv\0"
   "glDepthRangeIndexed\0"
   "glDepthRangedNV\0"
   "glDepthRangef\0"
   "glDepthRangefOES\0"
   "glDepthRangex\0"
   "glDepthRangexOES\0"
   "glDetachObjectARB\0"
   "glDetachShader\0"
   "glDetailTexFuncSGIS\0"
   "glDisable\0"
   "glDisableClientState\0"
   "glDisableClientStateIndexedEXT\0"
   "glDisableClientStateiEXT\0"
   "glDisableDriverControlQCOM\0"
   "glDisableIndexedEXT\0"
   "glDisableVariantClientStateEXT\0"
   "glDisableVertexArrayAttribEXT\0"
   "glDisableVertexArrayEXT\0"
   "glDisableVertexAttribAPPLE\0"
   "glDisableVertexAttribArray\0"
   "glDisableVertexAttribArrayARB\0"
   "glDisablei\0"
   "glDiscardFramebufferEXT\0"
   "glDispatchCompute\0"
   "glDispatchComputeGroupSizeARB\0"
   "glDispatchComputeIndirect\0"
   "glDrawArrays\0"
   "glDrawArraysEXT\0"
   "glDrawArraysIndirect\0"
   "glDrawArraysInstanced\0"
   "glDrawArraysInstancedANGLE\0"
   "glDrawArraysInstancedARB\0"
   "glDrawArraysInstancedBaseInstance\0"
   "glDrawArraysInstancedEXT\0"
   "glDrawArraysInstancedNV\0"
   "glDrawBuffer\0"
   "glDrawBuffers\0"
   "glDrawBuffersARB\0"
   "glDrawBuffersATI\0"
   "glDrawBuffersEXT\0"
   "glDrawBuffersIndexedEXT\0"
   "glDrawBuffersNV\0"
   "glDrawElementArrayAPPLE\0"
   "glDrawElementArrayATI\0"
   "glDrawElements\0"
   "glDrawElementsBaseVertex\0"
   "glDrawElementsIndirect\0"
   "glDrawElementsInstanced\0"
   "glDrawElementsInstancedANGLE\0"
   "glDrawElementsInstancedARB\0"
   "glDrawElementsInstancedBaseInstance\0"
   "glDrawElementsInstancedBaseVertex\0"
   "glDrawElementsInstancedBaseVertexBaseInstance\0"
   "glDrawElementsInstancedEXT\0"
   "glDrawElementsInstancedNV\0"
   "glDrawMeshArraysSUN\0"
   "glDrawPixels\0"
   "glDrawRangeElementArrayAPPLE\0"
   "glDrawRangeElementArrayATI\0"
   "glDrawRangeElements\0"
   "glDrawRangeElementsBaseVertex\0"
   "glDrawRangeElementsEXT\0"
   "glDrawTexfOES\0"
   "glDrawTexfvOES\0"
   "glDrawTexiOES\0"
   "glDrawTexivOES\0"
   "glDrawTexsOES\0"
   "glDrawTexsvOES\0"
   "glDrawTextureNV\0"
   "glDrawTexxOES\0"
   "glDrawTexxvOES\0"
   "glDrawTransformFeedback\0"
   "glDrawTransformFeedbackInstanced\0"
   "glDrawTransformFeedbackNV\0"
   "glDrawTransformFeedbackStream\0"
   "glDrawTransformFeedbackStreamInstanced\0"
   "glEGLImageTargetRenderbufferStorageOES\0"
   "glEGLImageTargetTexture2DOES\0"
   "glEdgeFlag\0"
   "glEdgeFlagFormatNV\0"
   "glEdgeFlagPointer\0"
   "glEdgeFlagPointerEXT\0"
   "glEdgeFlagPointerListIBM\0"
   "glEdgeFlagv\0"
   "glElementPointerAPPLE\0"
   "glElementPointerATI\0"
   "glEnable\0"
   "glEnableClientState\0"
   "glEnableClientStateIndexedEXT\0"
   "glEnableClientStateiEXT\0"
   "glEnableDriverControlQCOM\0"
   "glEnableIndexedEXT\0"
   "glEnableVariantClientStateEXT\0"
   "glEnableVertexArrayAttribEXT\0"
   "glEnableVertexArrayEXT\0"
   "glEnableVertexAttribAPPLE\0"
   "glEnableVertexAttribArray\0"
   "glEnableVertexAttribArrayARB\0"
   "glEnablei\0"
   "glEnd\0"
   "glEndConditionalRender\0"
   "glEndConditionalRenderNV\0"
   "glEndConditionalRenderNVX\0"
   "glEndFragmentShaderATI\0"
   "glEndList\0"
   "glEndOcclusionQueryNV\0"
   "glEndPerfMonitorAMD\0"
   "glEndPerfQueryINTEL\0"
   "glEndQuery\0"
   "glEndQueryARB\0"
   "glEndQueryEXT\0"
   "glEndQueryIndexed\0"
   "glEndTilingQCOM\0"
   "glEndTransformFeedback\0"
   "glEndTransformFeedbackEXT\0"
   "glEndTransformFeedbackNV\0"
   "glEndVertexShaderEXT\0"
   "glEndVideoCaptureNV\0"
   "glEvalCoord1d\0"
   "glEvalCoord1dv\0"
   "glEvalCoord1f\0"
   "glEvalCoord1fv\0"
   "glEvalCoord1xOES\0"
   "glEvalCoord1xvOES\0"
   "glEvalCoord2d\0"
   "glEvalCoord2dv\0"
   "glEvalCoord2f\0"
   "glEvalCoord2fv\0"
   "glEvalCoord2xOES\0"
   "glEvalCoord2xvOES\0"
   "glEvalMapsNV\0"
   "glEvalMesh1\0"
   "glEvalMesh2\0"
   "glEvalPoint1\0"
   "glEvalPoint2\0"
   "glExecuteProgramNV\0"
   "glExtGetBufferPointervQCOM\0"
   "glExtGetBuffersQCOM\0"
   "glExtGetFramebuffersQCOM\0"
   "glExtGetProgramBinarySourceQCOM\0"
   "glExtGetProgramsQCOM\0"
   "glExtGetRenderbuffersQCOM\0"
   "glExtGetShadersQCOM\0"
   "glExtGetTexLevelParameterivQCOM\0"
   "glExtGetTexSubImageQCOM\0"
   "glExtGetTexturesQCOM\0"
   "glExtIsProgramBinaryQCOM\0"
   "glExtTexObjectStateOverrideiQCOM\0"
   "glExtractComponentEXT\0"
   "glFeedbackBuffer\0"
   "glFeedbackBufferxOES\0"
   "glFenceSync\0"
   "glFenceSyncAPPLE\0"
   "glFinalCombinerInputNV\0"
   "glFinish\0"
   "glFinishAsyncSGIX\0"
   "glFinishFenceAPPLE\0"
   "glFinishFenceNV\0"
   "glFinishObjectAPPLE\0"
   "glFinishTextureSUNX\0"
   "glFlush\0"
   "glFlushMappedBufferRange\0"
   "glFlushMappedBufferRangeAPPLE\0"
   "glFlushMappedBufferRangeEXT\0"
   "glFlushMappedNamedBufferRangeEXT\0"
   "glFlushPixelDataRangeNV\0"
   "glFlushRasterSGIX\0"
   "glFlushStaticDataIBM\0"
   "glFlushVertexArrayRangeAPPLE\0"
   "glFlushVertexArrayRangeNV\0"
   "glFogCoordFormatNV\0"
   "glFogCoordPointer\0"
   "glFogCoordPointerEXT\0"
   "glFogCoordPointerListIBM\0"
   "glFogCoordd\0"
   "glFogCoorddEXT\0"
   "glFogCoorddv\0"
   "glFogCoorddvEXT\0"
   "glFogCoordf\0"
   "glFogCoordfEXT\0"
   "glFogCoordfv\0"
   "glFogCoordfvEXT\0"
   "glFogCoordhNV\0"
   "glFogCoordhvNV\0"
   "glFogFuncSGIS\0"
   "glFogf\0"
   "glFogfv\0"
   "glFogi\0"
   "glFogiv\0"
   "glFogx\0"
   "glFogxOES\0"
   "glFogxv\0"
   "glFogxvOES\0"
   "glFragmentColorMaterialSGIX\0"
   "glFragmentLightModelfSGIX\0"
   "glFragmentLightModelfvSGIX\0"
   "glFragmentLightModeliSGIX\0"
   "glFragmentLightModelivSGIX\0"
   "glFragmentLightfSGIX\0"
   "glFragmentLightfvSGIX\0"
   "glFragmentLightiSGIX\0"
   "glFragmentLightivSGIX\0"
   "glFragmentMaterialfSGIX\0"
   "glFragmentMaterialfvSGIX\0"
   "glFragmentMaterialiSGIX\0"
   "glFragmentMaterialivSGIX\0"
   "glFrameTerminatorGREMEDY\0"
   "glFrameZoomSGIX\0"
   "glFramebufferDrawBufferEXT\0"
   "glFramebufferDrawBuffersEXT\0"
   "glFramebufferParameteri\0"
   "glFramebufferReadBufferEXT\0"
   "glFramebufferRenderbuffer\0"
   "glFramebufferRenderbufferEXT\0"
   "glFramebufferRenderbufferOES\0"
   "glFramebufferTexture\0"
   "glFramebufferTexture1D\0"
   "glFramebufferTexture1DEXT\0"
   "glFramebufferTexture2D\0"
   "glFramebufferTexture2DEXT\0"
   "glFramebufferTexture2DMultisampleEXT\0"
   "glFramebufferTexture2DMultisampleIMG\0"
   "glFramebufferTexture2DOES\0"
   "glFramebufferTexture3D\0"
   "glFramebufferTexture3DEXT\0"
   "glFramebufferTexture3DOES\0"
   "glFramebufferTextureARB\0"
   "glFramebufferTextureEXT\0"
   "glFramebufferTextureFaceARB\0"
   "glFramebufferTextureFaceEXT\0"
   "glFramebufferTextureLayer\0"
   "glFramebufferTextureLayerARB\0"
   "glFramebufferTextureLayerEXT\0"
   "glFreeObjectBufferATI\0"
   "glFrontFace\0"
   "glFrustum\0"
   "glFrustumf\0"
   "glFrustumfOES\0"
   "glFrustumx\0"
   "glFrustumxOES\0"
   "glGenAsyncMarkersSGIX\0"
   "glGenBuffers\0"
   "glGenBuffersARB\0"
   "glGenFencesAPPLE\0"
   "glGenFencesNV\0"
   "glGenFragmentShadersATI\0"
   "glGenFramebuffers\0"
   "glGenFramebuffersEXT\0"
   "glGenFramebuffersOES\0"
   "glGenLists\0"
   "glGenNamesAMD\0"
   "glGenOcclusionQueriesNV\0"
   "glGenPathsNV\0"
   "glGenPerfMonitorsAMD\0"
   "glGenProgramPipelines\0"
   "glGenProgramPipelinesEXT\0"
   "glGenProgramsARB\0"
   "glGenProgramsNV\0"
   "glGenQueries\0"
   "glGenQueriesARB\0"
   "glGenQueriesEXT\0"
   "glGenRenderbuffers\0"
   "glGenRenderbuffersEXT\0"
   "glGenRenderbuffersOES\0"
   "glGenSamplers\0"
   "glGenSymbolsEXT\0"
   "glGenTextures\0"
   "glGenTexturesEXT\0"
   "glGenTransformFeedbacks\0"
   "glGenTransformFeedbacksNV\0"
   "glGenVertexArrays\0"
   "glGenVertexArraysAPPLE\0"
   "glGenVertexArraysOES\0"
   "glGenVertexShadersEXT\0"
   "glGenerateMipmap\0"
   "glGenerateMipmapEXT\0"
   "glGenerateMipmapOES\0"
   "glGenerateMultiTexMipmapEXT\0"
   "glGenerateTextureMipmapEXT\0"
   "glGetActiveAtomicCounterBufferiv\0"
   "glGetActiveAttrib\0"
   "glGetActiveAttribARB\0"
   "glGetActiveSubroutineName\0"
   "glGetActiveSubroutineUniformName\0"
   "glGetActiveSubroutineUniformiv\0"
   "glGetActiveUniform\0"
   "glGetActiveUniformARB\0"
   "glGetActiveUniformBlockName\0"
   "glGetActiveUniformBlockiv\0"
   "glGetActiveUniformName\0"
   "glGetActiveUniformsiv\0"
   "glGetActiveVaryingNV\0"
   "glGetArrayObjectfvATI\0"
   "glGetArrayObjectivATI\0"
   "glGetAttachedObjectsARB\0"
   "glGetAttachedShaders\0"
   "glGetAttribLocation\0"
   "glGetAttribLocationARB\0"
   "glGetBooleanIndexedvEXT\0"
   "glGetBooleani_v\0"
   "glGetBooleanv\0"
   "glGetBufferParameteri64v\0"
   "glGetBufferParameteriv\0"
   "glGetBufferParameterivARB\0"
   "glGetBufferParameterui64vNV\0"
   "glGetBufferPointerv\0"
   "glGetBufferPointervARB\0"
   "glGetBufferPointervOES\0"
   "glGetBufferSubData\0"
   "glGetBufferSubDataARB\0"
   "glGetClipPlane\0"
   "glGetClipPlanef\0"
   "glGetClipPlanefOES\0"
   "glGetClipPlanex\0"
   "glGetClipPlanexOES\0"
   "glGetColorTable\0"
   "glGetColorTableEXT\0"
   "glGetColorTableParameterfv\0"
   "glGetColorTableParameterfvEXT\0"
   "glGetColorTableParameterfvSGI\0"
   "glGetColorTableParameteriv\0"
   "glGetColorTableParameterivEXT\0"
   "glGetColorTableParameterivSGI\0"
   "glGetColorTableSGI\0"
   "glGetCombinerInputParameterfvNV\0"
   "glGetCombinerInputParameterivNV\0"
   "glGetCombinerOutputParameterfvNV\0"
   "glGetCombinerOutputParameterivNV\0"
   "glGetCombinerStageParameterfvNV\0"
   "glGetCompressedMultiTexImageEXT\0"
   "glGetCompressedTexImage\0"
   "glGetCompressedTexImageARB\0"
   "glGetCompressedTextureImageEXT\0"
   "glGetConvolutionFilter\0"
   "glGetConvolutionFilterEXT\0"
   "glGetConvolutionParameterfv\0"
   "glGetConvolutionParameterfvEXT\0"
   "glGetConvolutionParameteriv\0"
   "glGetConvolutionParameterivEXT\0"
   "glGetConvolutionParameterxvOES\0"
   "glGetDebugMessageLog\0"
   "glGetDebugMessageLogAMD\0"
   "glGetDebugMessageLogARB\0"
   "glGetDebugMessageLogKHR\0"
   "glGetDetailTexFuncSGIS\0"
   "glGetDoubleIndexedvEXT\0"
   "glGetDoublei_v\0"
   "glGetDoublei_vEXT\0"
   "glGetDoublev\0"
   "glGetDriverControlStringQCOM\0"
   "glGetDriverControlsQCOM\0"
   "glGetError\0"
   "glGetFenceivNV\0"
   "glGetFinalCombinerInputParameterfvNV\0"
   "glGetFinalCombinerInputParameterivNV\0"
   "glGetFirstPerfQueryIdINTEL\0"
   "glGetFixedv\0"
   "glGetFixedvOES\0"
   "glGetFloatIndexedvEXT\0"
   "glGetFloati_v\0"
   "glGetFloati_vEXT\0"
   "glGetFloatv\0"
   "glGetFogFuncSGIS\0"
   "glGetFragDataIndex\0"
   "glGetFragDataLocation\0"
   "glGetFragDataLocationEXT\0"
   "glGetFragmentLightfvSGIX\0"
   "glGetFragmentLightivSGIX\0"
   "glGetFragmentMaterialfvSGIX\0"
   "glGetFragmentMaterialivSGIX\0"
   "glGetFramebufferAttachmentParameteriv\0"
   "glGetFramebufferAttachmentParameterivEXT\0"
   "glGetFramebufferAttachmentParameterivOES\0"
   "glGetFramebufferParameteriv\0"
   "glGetFramebufferParameterivEXT\0"
   "glGetGraphicsResetStatusARB\0"
   "glGetGraphicsResetStatusEXT\0"
   "glGetHandleARB\0"
   "glGetHistogram\0"
   "glGetHistogramEXT\0"
   "glGetHistogramParameterfv\0"
   "glGetHistogramParameterfvEXT\0"
   "glGetHistogramParameteriv\0"
   "glGetHistogramParameterivEXT\0"
   "glGetHistogramParameterxvOES\0"
   "glGetImageHandleARB\0"
   "glGetImageHandleNV\0"
   "glGetImageTransformParameterfvHP\0"
   "glGetImageTransformParameterivHP\0"
   "glGetInfoLogARB\0"
   "glGetInstrumentsSGIX\0"
   "glGetInteger64i_v\0"
   "glGetInteger64v\0"
   "glGetInteger64vAPPLE\0"
   "glGetIntegerIndexedvEXT\0"
   "glGetIntegeri_v\0"
   "glGetIntegeri_vEXT\0"
   "glGetIntegerui64i_vNV\0"
   "glGetIntegerui64vNV\0"
   "glGetIntegerv\0"
   "glGetInternalformati64v\0"
   "glGetInternalformativ\0"
   "glGetInvariantBooleanvEXT\0"
   "glGetInvariantFloatvEXT\0"
   "glGetInvariantIntegervEXT\0"
   "glGetLightfv\0"
   "glGetLightiv\0"
   "glGetLightxOES\0"
   "glGetLightxv\0"
   "glGetLightxvOES\0"
   "glGetListParameterfvSGIX\0"
   "glGetListParameterivSGIX\0"
   "glGetLocalConstantBooleanvEXT\0"
   "glGetLocalConstantFloatvEXT\0"
   "glGetLocalConstantIntegervEXT\0"
   "glGetMapAttribParameterfvNV\0"
   "glGetMapAttribParameterivNV\0"
   "glGetMapControlPointsNV\0"
   "glGetMapParameterfvNV\0"
   "glGetMapParameterivNV\0"
   "glGetMapdv\0"
   "glGetMapfv\0"
   "glGetMapiv\0"
   "glGetMapxvOES\0"
   "glGetMaterialfv\0"
   "glGetMaterialiv\0"
   "glGetMaterialxOES\0"
   "glGetMaterialxv\0"
   "glGetMaterialxvOES\0"
   "glGetMinmax\0"
   "glGetMinmaxEXT\0"
   "glGetMinmaxParameterfv\0"
   "glGetMinmaxParameterfvEXT\0"
   "glGetMinmaxParameteriv\0"
   "glGetMinmaxParameterivEXT\0"
   "glGetMultiTexEnvfvEXT\0"
   "glGetMultiTexEnvivEXT\0"
   "glGetMultiTexGendvEXT\0"
   "glGetMultiTexGenfvEXT\0"
   "glGetMultiTexGenivEXT\0"
   "glGetMultiTexImageEXT\0"
   "glGetMultiTexLevelParameterfvEXT\0"
   "glGetMultiTexLevelParameterivEXT\0"
   "glGetMultiTexParameterIivEXT\0"
   "glGetMultiTexParameterIuivEXT\0"
   "glGetMultiTexParameterfvEXT\0"
   "glGetMultiTexParameterivEXT\0"
   "glGetMultisamplefv\0"
   "glGetMultisamplefvNV\0"
   "glGetNamedBufferParameterivEXT\0"
   "glGetNamedBufferParameterui64vNV\0"
   "glGetNamedBufferPointervEXT\0"
   "glGetNamedBufferSubDataEXT\0"
   "glGetNamedFramebufferAttachmentParameterivEXT\0"
   "glGetNamedFramebufferParameterivEXT\0"
   "glGetNamedProgramLocalParameterIivEXT\0"
   "glGetNamedProgramLocalParameterIuivEXT\0"
   "glGetNamedProgramLocalParameterdvEXT\0"
   "glGetNamedProgramLocalParameterfvEXT\0"
   "glGetNamedProgramStringEXT\0"
   "glGetNamedProgramivEXT\0"
   "glGetNamedRenderbufferParameterivEXT\0"
   "glGetNamedStringARB\0"
   "glGetNamedStringivARB\0"
   "glGetNextPerfQueryIdINTEL\0"
   "glGetObjectBufferfvATI\0"
   "glGetObjectBufferivATI\0"
   "glGetObjectLabel\0"
   "glGetObjectLabelEXT\0"
   "glGetObjectLabelKHR\0"
   "glGetObjectParameterfvARB\0"
   "glGetObjectParameterivAPPLE\0"
   "glGetObjectParameterivARB\0"
   "glGetObjectPtrLabel\0"
   "glGetObjectPtrLabelKHR\0"
   "glGetOcclusionQueryivNV\0"
   "glGetOcclusionQueryuivNV\0"
   "glGetPathColorGenfvNV\0"
   "glGetPathColorGenivNV\0"
   "glGetPathCommandsNV\0"
   "glGetPathCoordsNV\0"
   "glGetPathDashArrayNV\0"
   "glGetPathLengthNV\0"
   "glGetPathMetricRangeNV\0"
   "glGetPathMetricsNV\0"
   "glGetPathParameterfvNV\0"
   "glGetPathParameterivNV\0"
   "glGetPathSpacingNV\0"
   "glGetPathTexGenfvNV\0"
   "glGetPathTexGenivNV\0"
   "glGetPerfCounterInfoINTEL\0"
   "glGetPerfMonitorCounterDataAMD\0"
   "glGetPerfMonitorCounterInfoAMD\0"
   "glGetPerfMonitorCounterStringAMD\0"
   "glGetPerfMonitorCountersAMD\0"
   "glGetPerfMonitorGroupStringAMD\0"
   "glGetPerfMonitorGroupsAMD\0"
   "glGetPerfQueryDataINTEL\0"
   "glGetPerfQueryIdByNameINTEL\0"
   "glGetPerfQueryInfoINTEL\0"
   "glGetPixelMapfv\0"
   "glGetPixelMapuiv\0"
   "glGetPixelMapusv\0"
   "glGetPixelMapxv\0"
   "glGetPixelTexGenParameterfvSGIS\0"
   "glGetPixelTexGenParameterivSGIS\0"
   "glGetPixelTransformParameterfvEXT\0"
   "glGetPixelTransformParameterivEXT\0"
   "glGetPointerIndexedvEXT\0"
   "glGetPointeri_vEXT\0"
   "glGetPointerv\0"
   "glGetPointervEXT\0"
   "glGetPointervKHR\0"
   "glGetPolygonStipple\0"
   "glGetProgramBinary\0"
   "glGetProgramBinaryOES\0"
   "glGetProgramEnvParameterIivNV\0"
   "glGetProgramEnvParameterIuivNV\0"
   "glGetProgramEnvParameterdvARB\0"
   "glGetProgramEnvParameterfvARB\0"
   "glGetProgramInfoLog\0"
   "glGetProgramInterfaceiv\0"
   "glGetProgramLocalParameterIivNV\0"
   "glGetProgramLocalParameterIuivNV\0"
   "glGetProgramLocalParameterdvARB\0"
   "glGetProgramLocalParameterfvARB\0"
   "glGetProgramNamedParameterdvNV\0"
   "glGetProgramNamedParameterfvNV\0"
   "glGetProgramParameterdvNV\0"
   "glGetProgramParameterfvNV\0"
   "glGetProgramPipelineInfoLog\0"
   "glGetProgramPipelineInfoLogEXT\0"
   "glGetProgramPipelineiv\0"
   "glGetProgramPipelineivEXT\0"
   "glGetProgramResourceIndex\0"
   "glGetProgramResourceLocation\0"
   "glGetProgramResourceLocationIndex\0"
   "glGetProgramResourceName\0"
   "glGetProgramResourceiv\0"
   "glGetProgramStageiv\0"
   "glGetProgramStringARB\0"
   "glGetProgramStringNV\0"
   "glGetProgramSubroutineParameteruivNV\0"
   "glGetProgramiv\0"
   "glGetProgramivARB\0"
   "glGetProgramivNV\0"
   "glGetQueryIndexediv\0"
   "glGetQueryObjecti64v\0"
   "glGetQueryObjecti64vEXT\0"
   "glGetQueryObjectiv\0"
   "glGetQueryObjectivARB\0"
   "glGetQueryObjectivEXT\0"
   "glGetQueryObjectui64v\0"
   "glGetQueryObjectui64vEXT\0"
   "glGetQueryObjectuiv\0"
   "glGetQueryObjectuivARB\0"
   "glGetQueryObjectuivEXT\0"
   "glGetQueryiv\0"
   "glGetQueryivARB\0"
   "glGetQueryivEXT\0"
   "glGetRenderbufferParameteriv\0"
   "glGetRenderbufferParameterivEXT\0"
   "glGetRenderbufferParameterivOES\0"
   "glGetSamplerParameterIiv\0"
   "glGetSamplerParameterIuiv\0"
   "glGetSamplerParameterfv\0"
   "glGetSamplerParameteriv\0"
   "glGetSeparableFilter\0"
   "glGetSeparableFilterEXT\0"
   "glGetShaderInfoLog\0"
   "glGetShaderPrecisionFormat\0"
   "glGetShaderSource\0"
   "glGetShaderSourceARB\0"
   "glGetShaderiv\0"
   "glGetSharpenTexFuncSGIS\0"
   "glGetString\0"
   "glGetStringi\0"
   "glGetSubroutineIndex\0"
   "glGetSubroutineUniformLocation\0"
   "glGetSynciv\0"
   "glGetSyncivAPPLE\0"
   "glGetTexBumpParameterfvATI\0"
   "glGetTexBumpParameterivATI\0"
   "glGetTexEnvfv\0"
   "glGetTexEnviv\0"
   "glGetTexEnvxv\0"
   "glGetTexEnvxvOES\0"
   "glGetTexFilterFuncSGIS\0"
   "glGetTexGendv\0"
   "glGetTexGenfv\0"
   "glGetTexGenfvOES\0"
   "glGetTexGeniv\0"
   "glGetTexGenivOES\0"
   "glGetTexGenxvOES\0"
   "glGetTexImage\0"
   "glGetTexLevelParameterfv\0"
   "glGetTexLevelParameteriv\0"
   "glGetTexLevelParameterxvOES\0"
   "glGetTexParameterIiv\0"
   "glGetTexParameterIivEXT\0"
   "glGetTexParameterIuiv\0"
   "glGetTexParameterIuivEXT\0"
   "glGetTexParameterPointervAPPLE\0"
   "glGetTexParameterfv\0"
   "glGetTexParameteriv\0"
   "glGetTexParameterxv\0"
   "glGetTexParameterxvOES\0"
   "glGetTextureHandleARB\0"
   "glGetTextureHandleNV\0"
   "glGetTextureImageEXT\0"
   "glGetTextureLevelParameterfvEXT\0"
   "glGetTextureLevelParameterivEXT\0"
   "glGetTextureParameterIivEXT\0"
   "glGetTextureParameterIuivEXT\0"
   "glGetTextureParameterfvEXT\0"
   "glGetTextureParameterivEXT\0"
   "glGetTextureSamplerHandleARB\0"
   "glGetTextureSamplerHandleNV\0"
   "glGetTrackMatrixivNV\0"
   "glGetTransformFeedbackVarying\0"
   "glGetTransformFeedbackVaryingEXT\0"
   "glGetTransformFeedbackVaryingNV\0"
   "glGetTranslatedShaderSourceANGLE\0"
   "glGetUniformBlockIndex\0"
   "glGetUniformBufferSizeEXT\0"
   "glGetUniformIndices\0"
   "glGetUniformLocation\0"
   "glGetUniformLocationARB\0"
   "glGetUniformOffsetEXT\0"
   "glGetUniformSubroutineuiv\0"
   "glGetUniformdv\0"
   "glGetUniformfv\0"
   "glGetUniformfvARB\0"
   "glGetUniformi64vNV\0"
   "glGetUniformiv\0"
   "glGetUniformivARB\0"
   "glGetUniformui64vNV\0"
   "glGetUniformuiv\0"
   "glGetUniformuivEXT\0"
   "glGetVariantArrayObjectfvATI\0"
   "glGetVariantArrayObjectivATI\0"
   "glGetVariantBooleanvEXT\0"
   "glGetVariantFloatvEXT\0"
   "glGetVariantIntegervEXT\0"
   "glGetVariantPointervEXT\0"
   "glGetVaryingLocationNV\0"
   "glGetVertexArrayIntegeri_vEXT\0"
   "glGetVertexArrayIntegervEXT\0"
   "glGetVertexArrayPointeri_vEXT\0"
   "glGetVertexArrayPointervEXT\0"
   "glGetVertexAttribArrayObjectfvATI\0"
   "glGetVertexAttribArrayObjectivATI\0"
   "glGetVertexAttribIiv\0"
   "glGetVertexAttribIivEXT\0"
   "glGetVertexAttribIuiv\0"
   "glGetVertexAttribIuivEXT\0"
   "glGetVertexAttribLdv\0"
   "glGetVertexAttribLdvEXT\0"
   "glGetVertexAttribLi64vNV\0"
   "glGetVertexAttribLui64vARB\0"
   "glGetVertexAttribLui64vNV\0"
   "glGetVertexAttribPointerv\0"
   "glGetVertexAttribPointervARB\0"
   "glGetVertexAttribPointervNV\0"
   "glGetVertexAttribdv\0"
   "glGetVertexAttribdvARB\0"
   "glGetVertexAttribdvNV\0"
   "glGetVertexAttribfv\0"
   "glGetVertexAttribfvARB\0"
   "glGetVertexAttribfvNV\0"
   "glGetVertexAttribiv\0"
   "glGetVertexAttribivARB\0"
   "glGetVertexAttribivNV\0"
   "glGetVideoCaptureStreamdvNV\0"
   "glGetVideoCaptureStreamfvNV\0"
   "glGetVideoCaptureStreamivNV\0"
   "glGetVideoCaptureivNV\0"
   "glGetVideoi64vNV\0"
   "glGetVideoivNV\0"
   "glGetVideoui64vNV\0"
   "glGetVideouivNV\0"
   "glGetnColorTableARB\0"
   "glGetnCompressedTexImageARB\0"
   "glGetnConvolutionFilterARB\0"
   "glGetnHistogramARB\0"
   "glGetnMapdvARB\0"
   "glGetnMapfvARB\0"
   "glGetnMapivARB\0"
   "glGetnMinmaxARB\0"
   "glGetnPixelMapfvARB\0"
   "glGetnPixelMapuivARB\0"
   "glGetnPixelMapusvARB\0"
   "glGetnPolygonStippleARB\0"
   "glGetnSeparableFilterARB\0"
   "glGetnTexImageARB\0"
   "glGetnUniformdvARB\0"
   "glGetnUniformfvARB\0"
   "glGetnUniformfvEXT\0"
   "glGetnUniformivARB\0"
   "glGetnUniformivEXT\0"
   "glGetnUniformuivARB\0"
   "glGlobalAlphaFactorbSUN\0"
   "glGlobalAlphaFactordSUN\0"
   "glGlobalAlphaFactorfSUN\0"
   "glGlobalAlphaFactoriSUN\0"
   "glGlobalAlphaFactorsSUN\0"
   "glGlobalAlphaFactorubSUN\0"
   "glGlobalAlphaFactoruiSUN\0"
   "glGlobalAlphaFactorusSUN\0"
   "glHint\0"
   "glHintPGI\0"
   "glHistogram\0"
   "glHistogramEXT\0"
   "glIglooInterfaceSGIX\0"
   "glImageTransformParameterfHP\0"
   "glImageTransformParameterfvHP\0"
   "glImageTransformParameteriHP\0"
   "glImageTransformParameterivHP\0"
   "glImportSyncEXT\0"
   "glIndexFormatNV\0"
   "glIndexFuncEXT\0"
   "glIndexMask\0"
   "glIndexMaterialEXT\0"
   "glIndexPointer\0"
   "glIndexPointerEXT\0"
   "glIndexPointerListIBM\0"
   "glIndexd\0"
   "glIndexdv\0"
   "glIndexf\0"
   "glIndexfv\0"
   "glIndexi\0"
   "glIndexiv\0"
   "glIndexs\0"
   "glIndexsv\0"
   "glIndexub\0"
   "glIndexubv\0"
   "glIndexxOES\0"
   "glIndexxvOES\0"
   "glInitNames\0"
   "glInsertComponentEXT\0"
   "glInsertEventMarkerEXT\0"
   "glInstrumentsBufferSGIX\0"
   "glInterleavedArrays\0"
   "glInterpolatePathsNV\0"
   "glInvalidateBufferData\0"
   "glInvalidateBufferSubData\0"
   "glInvalidateFramebuffer\0"
   "glInvalidateSubFramebuffer\0"
   "glInvalidateTexImage\0"
   "glInvalidateTexSubImage\0"
   "glIsAsyncMarkerSGIX\0"
   "glIsBuffer\0"
   "glIsBufferARB\0"
   "glIsBufferResidentNV\0"
   "glIsEnabled\0"
   "glIsEnabledIndexedEXT\0"
   "glIsEnabledi\0"
   "glIsFenceAPPLE\0"
   "glIsFenceNV\0"
   "glIsFramebuffer\0"
   "glIsFramebufferEXT\0"
   "glIsFramebufferOES\0"
   "glIsImageHandleResidentARB\0"
   "glIsImageHandleResidentNV\0"
   "glIsList\0"
   "glIsNameAMD\0"
   "glIsNamedBufferResidentNV\0"
   "glIsNamedStringARB\0"
   "glIsObjectBufferATI\0"
   "glIsOcclusionQueryNV\0"
   "glIsPathNV\0"
   "glIsPointInFillPathNV\0"
   "glIsPointInStrokePathNV\0"
   "glIsProgram\0"
   "glIsProgramARB\0"
   "glIsProgramNV\0"
   "glIsProgramPipeline\0"
   "glIsProgramPipelineEXT\0"
   "glIsQuery\0"
   "glIsQueryARB\0"
   "glIsQueryEXT\0"
   "glIsRenderbuffer\0"
   "glIsRenderbufferEXT\0"
   "glIsRenderbufferOES\0"
   "glIsSampler\0"
   "glIsShader\0"
   "glIsSync\0"
   "glIsSyncAPPLE\0"
   "glIsTexture\0"
   "glIsTextureEXT\0"
   "glIsTextureHandleResidentARB\0"
   "glIsTextureHandleResidentNV\0"
   "glIsTransformFeedback\0"
   "glIsTransformFeedbackNV\0"
   "glIsVariantEnabledEXT\0"
   "glIsVertexArray\0"
   "glIsVertexArrayAPPLE\0"
   "glIsVertexArrayOES\0"
   "glIsVertexAttribEnabledAPPLE\0"
   "glLabelObjectEXT\0"
   "glLightEnviSGIX\0"
   "glLightModelf\0"
   "glLightModelfv\0"
   "glLightModeli\0"
   "glLightModeliv\0"
   "glLightModelx\0"
   "glLightModelxOES\0"
   "glLightModelxv\0"
   "glLightModelxvOES\0"
   "glLightf\0"
   "glLightfv\0"
   "glLighti\0"
   "glLightiv\0"
   "glLightx\0"
   "glLightxOES\0"
   "glLightxv\0"
   "glLightxvOES\0"
   "glLineStipple\0"
   "glLineWidth\0"
   "glLineWidthx\0"
   "glLineWidthxOES\0"
   "glLinkProgram\0"
   "glLinkProgramARB\0"
   "glListBase\0"
   "glListParameterfSGIX\0"
   "glListParameterfvSGIX\0"
   "glListParameteriSGIX\0"
   "glListParameterivSGIX\0"
   "glLoadIdentity\0"
   "glLoadIdentityDeformationMapSGIX\0"
   "glLoadMatrixd\0"
   "glLoadMatrixf\0"
   "glLoadMatrixx\0"
   "glLoadMatrixxOES\0"
   "glLoadName\0"
   "glLoadPaletteFromModelViewMatrixOES\0"
   "glLoadProgramNV\0"
   "glLoadTransposeMatrixd\0"
   "glLoadTransposeMatrixdARB\0"
   "glLoadTransposeMatrixf\0"
   "glLoadTransposeMatrixfARB\0"
   "glLoadTransposeMatrixxOES\0"
   "glLockArraysEXT\0"
   "glLogicOp\0"
   "glMakeBufferNonResidentNV\0"
   "glMakeBufferResidentNV\0"
   "glMakeImageHandleNonResidentARB\0"
   "glMakeImageHandleNonResidentNV\0"
   "glMakeImageHandleResidentARB\0"
   "glMakeImageHandleResidentNV\0"
   "glMakeNamedBufferNonResidentNV\0"
   "glMakeNamedBufferResidentNV\0"
   "glMakeTextureHandleNonResidentARB\0"
   "glMakeTextureHandleNonResidentNV\0"
   "glMakeTextureHandleResidentARB\0"
   "glMakeTextureHandleResidentNV\0"
   "glMap1d\0"
   "glMap1f\0"
   "glMap1xOES\0"
   "glMap2d\0"
   "glMap2f\0"
   "glMap2xOES\0"
   "glMapBuffer\0"
   "glMapBufferARB\0"
   "glMapBufferOES\0"
   "glMapBufferRange\0"
   "glMapBufferRangeEXT\0"
   "glMapControlPointsNV\0"
   "glMapGrid1d\0"
   "glMapGrid1f\0"
   "glMapGrid1xOES\0"
   "glMapGrid2d\0"
   "glMapGrid2f\0"
   "glMapGrid2xOES\0"
   "glMapNamedBufferEXT\0"
   "glMapNamedBufferRangeEXT\0"
   "glMapObjectBufferATI\0"
   "glMapParameterfvNV\0"
   "glMapParameterivNV\0"
   "glMapTexture2DINTEL\0"
   "glMapVertexAttrib1dAPPLE\0"
   "glMapVertexAttrib1fAPPLE\0"
   "glMapVertexAttrib2dAPPLE\0"
   "glMapVertexAttrib2fAPPLE\0"
   "glMaterialf\0"
   "glMaterialfv\0"
   "glMateriali\0"
   "glMaterialiv\0"
   "glMaterialx\0"
   "glMaterialxOES\0"
   "glMaterialxv\0"
   "glMaterialxvOES\0"
   "glMatrixFrustumEXT\0"
   "glMatrixIndexPointerARB\0"
   "glMatrixIndexPointerOES\0"
   "glMatrixIndexubvARB\0"
   "glMatrixIndexuivARB\0"
   "glMatrixIndexusvARB\0"
   "glMatrixLoadIdentityEXT\0"
   "glMatrixLoadTransposedEXT\0"
   "glMatrixLoadTransposefEXT\0"
   "glMatrixLoaddEXT\0"
   "glMatrixLoadfEXT\0"
   "glMatrixMode\0"
   "glMatrixMultTransposedEXT\0"
   "glMatrixMultTransposefEXT\0"
   "glMatrixMultdEXT\0"
   "glMatrixMultfEXT\0"
   "glMatrixOrthoEXT\0"
   "glMatrixPopEXT\0"
   "glMatrixPushEXT\0"
   "glMatrixRotatedEXT\0"
   "glMatrixRotatefEXT\0"
   "glMatrixScaledEXT\0"
   "glMatrixScalefEXT\0"
   "glMatrixTranslatedEXT\0"
   "glMatrixTranslatefEXT\0"
   "glMemoryBarrier\0"
   "glMemoryBarrierByRegion\0"
   "glMemoryBarrierEXT\0"
   "glMinSampleShading\0"
   "glMinSampleShadingARB\0"
   "glMinSampleShadingOES\0"
   "glMinmax\0"
   "glMinmaxEXT\0"
   "glMultMatrixd\0"
   "glMultMatrixf\0"
   "glMultMatrixx\0"
   "glMultMatrixxOES\0"
   "glMultTransposeMatrixd\0"
   "glMultTransposeMatrixdARB\0"
   "glMultTransposeMatrixf\0"
   "glMultTransposeMatrixfARB\0"
   "glMultTransposeMatrixxOES\0"
   "glMultiDrawArrays\0"
   "glMultiDrawArraysEXT\0"
   "glMultiDrawArraysIndirect\0"
   "glMultiDrawArraysIndirectAMD\0"
   "glMultiDrawArraysIndirectBindlessNV\0"
   "glMultiDrawArraysIndirectCountARB\0"
   "glMultiDrawElementArrayAPPLE\0"
   "glMultiDrawElements\0"
   "glMultiDrawElementsBaseVertex\0"
   "glMultiDrawElementsEXT\0"
   "glMultiDrawElementsIndirect\0"
   "glMultiDrawElementsIndirectAMD\0"
   "glMultiDrawElementsIndirectBindlessNV\0"
   "glMultiDrawElementsIndirectCountARB\0"
   "glMultiDrawRangeElementArrayAPPLE\0"
   "glMultiModeDrawArraysIBM\0"
   "glMultiModeDrawElementsIBM\0"
   "glMultiTexBufferEXT\0"
   "glMultiTexCoord1bOES\0"
   "glMultiTexCoord1bvOES\0"
   "glMultiTexCoord1d\0"
   "glMultiTexCoord1dARB\0"
   "glMultiTexCoord1dv\0"
   "glMultiTexCoord1dvARB\0"
   "glMultiTexCoord1f\0"
   "glMultiTexCoord1fARB\0"
   "glMultiTexCoord1fv\0"
   "glMultiTexCoord1fvARB\0"
   "glMultiTexCoord1hNV\0"
   "glMultiTexCoord1hvNV\0"
   "glMultiTexCoord1i\0"
   "glMultiTexCoord1iARB\0"
   "glMultiTexCoord1iv\0"
   "glMultiTexCoord1ivARB\0"
   "glMultiTexCoord1s\0"
   "glMultiTexCoord1sARB\0"
   "glMultiTexCoord1sv\0"
   "glMultiTexCoord1svARB\0"
   "glMultiTexCoord1xOES\0"
   "glMultiTexCoord1xvOES\0"
   "glMultiTexCoord2bOES\0"
   "glMultiTexCoord2bvOES\0"
   "glMultiTexCoord2d\0"
   "glMultiTexCoord2dARB\0"
   "glMultiTexCoord2dv\0"
   "glMultiTexCoord2dvARB\0"
   "glMultiTexCoord2f\0"
   "glMultiTexCoord2fARB\0"
   "glMultiTexCoord2fv\0"
   "glMultiTexCoord2fvARB\0"
   "glMultiTexCoord2hNV\0"
   "glMultiTexCoord2hvNV\0"
   "glMultiTexCoord2i\0"
   "glMultiTexCoord2iARB\0"
   "glMultiTexCoord2iv\0"
   "glMultiTexCoord2ivARB\0"
   "glMultiTexCoord2s\0"
   "glMultiTexCoord2sARB\0"
   "glMultiTexCoord2sv\0"
   "glMultiTexCoord2svARB\0"
   "glMultiTexCoord2xOES\0"
   "glMultiTexCoord2xvOES\0"
   "glMultiTexCoord3bOES\0"
   "glMultiTexCoord3bvOES\0"
   "glMultiTexCoord3d\0"
   "glMultiTexCoord3dARB\0"
   "glMultiTexCoord3dv\0"
   "glMultiTexCoord3dvARB\0"
   "glMultiTexCoord3f\0"
   "glMultiTexCoord3fARB\0"
   "glMultiTexCoord3fv\0"
   "glMultiTexCoord3fvARB\0"
   "glMultiTexCoord3hNV\0"
   "glMultiTexCoord3hvNV\0"
   "glMultiTexCoord3i\0"
   "glMultiTexCoord3iARB\0"
   "glMultiTexCoord3iv\0"
   "glMultiTexCoord3ivARB\0"
   "glMultiTexCoord3s\0"
   "glMultiTexCoord3sARB\0"
   "glMultiTexCoord3sv\0"
   "glMultiTexCoord3svARB\0"
   "glMultiTexCoord3xOES\0"
   "glMultiTexCoord3xvOES\0"
   "glMultiTexCoord4bOES\0"
   "glMultiTexCoord4bvOES\0"
   "glMultiTexCoord4d\0"
   "glMultiTexCoord4dARB\0"
   "glMultiTexCoord4dv\0"
   "glMultiTexCoord4dvARB\0"
   "glMultiTexCoord4f\0"
   "glMultiTexCoord4fARB\0"
   "glMultiTexCoord4fv\0"
   "glMultiTexCoord4fvARB\0"
   "glMultiTexCoord4hNV\0"
   "glMultiTexCoord4hvNV\0"
   "glMultiTexCoord4i\0"
   "glMultiTexCoord4iARB\0"
   "glMultiTexCoord4iv\0"
   "glMultiTexCoord4ivARB\0"
   "glMultiTexCoord4s\0"
   "glMultiTexCoord4sARB\0"
   "glMultiTexCoord4sv\0"
   "glMultiTexCoord4svARB\0"
   "glMultiTexCoord4x\0"
   "glMultiTexCoord4xOES\0"
   "glMultiTexCoord4xvOES\0"
   "glMultiTexCoordP1ui\0"
   "glMultiTexCoordP1uiv\0"
   "glMultiTexCoordP2ui\0"
   "glMultiTexCoordP2uiv\0"
   "glMultiTexCoordP3ui\0"
   "glMultiTexCoordP3uiv\0"
   "glMultiTexCoordP4ui\0"
   "glMultiTexCoordP4uiv\0"
   "glMultiTexCoordPointerEXT\0"
   "glMultiTexEnvfEXT\0"
   "glMultiTexEnvfvEXT\0"
   "glMultiTexEnviEXT\0"
   "glMultiTexEnvivEXT\0"
   "glMultiTexGendEXT\0"
   "glMultiTexGendvEXT\0"
   "glMultiTexGenfEXT\0"
   "glMultiTexGenfvEXT\0"
   "glMultiTexGeniEXT\0"
   "glMultiTexGenivEXT\0"
   "glMultiTexImage1DEXT\0"
   "glMultiTexImage2DEXT\0"
   "glMultiTexImage3DEXT\0"
   "glMultiTexParameterIivEXT\0"
   "glMultiTexParameterIuivEXT\0"
   "glMultiTexParameterfEXT\0"
   "glMultiTexParameterfvEXT\0"
   "glMultiTexParameteriEXT\0"
   "glMultiTexParameterivEXT\0"
   "glMultiTexRenderbufferEXT\0"
   "glMultiTexSubImage1DEXT\0"
   "glMultiTexSubImage2DEXT\0"
   "glMultiTexSubImage3DEXT\0"
   "glNamedBufferDataEXT\0"
   "glNamedBufferStorageEXT\0"
   "glNamedBufferSubDataEXT\0"
   "glNamedCopyBufferSubDataEXT\0"
   "glNamedFramebufferParameteriEXT\0"
   "glNamedFramebufferRenderbufferEXT\0"
   "glNamedFramebufferTexture1DEXT\0"
   "glNamedFramebufferTexture2DEXT\0"
   "glNamedFramebufferTexture3DEXT\0"
   "glNamedFramebufferTextureEXT\0"
   "glNamedFramebufferTextureFaceEXT\0"
   "glNamedFramebufferTextureLayerEXT\0"
   "glNamedProgramLocalParameter4dEXT\0"
   "glNamedProgramLocalParameter4dvEXT\0"
   "glNamedProgramLocalParameter4fEXT\0"
   "glNamedProgramLocalParameter4fvEXT\0"
   "glNamedProgramLocalParameterI4iEXT\0"
   "glNamedProgramLocalParameterI4ivEXT\0"
   "glNamedProgramLocalParameterI4uiEXT\0"
   "glNamedProgramLocalParameterI4uivEXT\0"
   "glNamedProgramLocalParameters4fvEXT\0"
   "glNamedProgramLocalParametersI4ivEXT\0"
   "glNamedProgramLocalParametersI4uivEXT\0"
   "glNamedProgramStringEXT\0"
   "glNamedRenderbufferStorageEXT\0"
   "glNamedRenderbufferStorageMultisampleCoverageEXT\0"
   "glNamedRenderbufferStorageMultisampleEXT\0"
   "glNamedStringARB\0"
   "glNewList\0"
   "glNewObjectBufferATI\0"
   "glNormal3b\0"
   "glNormal3bv\0"
   "glNormal3d\0"
   "glNormal3dv\0"
   "glNormal3f\0"
   "glNormal3fVertex3fSUN\0"
   "glNormal3fVertex3fvSUN\0"
   "glNormal3fv\0"
   "glNormal3hNV\0"
   "glNormal3hvNV\0"
   "glNormal3i\0"
   "glNormal3iv\0"
   "glNormal3s\0"
   "glNormal3sv\0"
   "glNormal3x\0"
   "glNormal3xOES\0"
   "glNormal3xvOES\0"
   "glNormalFormatNV\0"
   "glNormalP3ui\0"
   "glNormalP3uiv\0"
   "glNormalPointer\0"
   "glNormalPointerEXT\0"
   "glNormalPointerListIBM\0"
   "glNormalPointervINTEL\0"
   "glNormalStream3bATI\0"
   "glNormalStream3bvATI\0"
   "glNormalStream3dATI\0"
   "glNormalStream3dvATI\0"
   "glNormalStream3fATI\0"
   "glNormalStream3fvATI\0"
   "glNormalStream3iATI\0"
   "glNormalStream3ivATI\0"
   "glNormalStream3sATI\0"
   "glNormalStream3svATI\0"
   "glObjectLabel\0"
   "glObjectLabelKHR\0"
   "glObjectPtrLabel\0"
   "glObjectPtrLabelKHR\0"
   "glObjectPurgeableAPPLE\0"
   "glObjectUnpurgeableAPPLE\0"
   "glOrtho\0"
   "glOrthof\0"
   "glOrthofOES\0"
   "glOrthox\0"
   "glOrthoxOES\0"
   "glPNTrianglesfATI\0"
   "glPNTrianglesiATI\0"
   "glPassTexCoordATI\0"
   "glPassThrough\0"
   "glPassThroughxOES\0"
   "glPatchParameterfv\0"
   "glPatchParameteri\0"
   "glPathColorGenNV\0"
   "glPathCommandsNV\0"
   "glPathCoordsNV\0"
   "glPathCoverDepthFuncNV\0"
   "glPathDashArrayNV\0"
   "glPathFogGenNV\0"
   "glPathGlyphRangeNV\0"
   "glPathGlyphsNV\0"
   "glPathParameterfNV\0"
   "glPathParameterfvNV\0"
   "glPathParameteriNV\0"
   "glPathParameterivNV\0"
   "glPathStencilDepthOffsetNV\0"
   "glPathStencilFuncNV\0"
   "glPathStringNV\0"
   "glPathSubCommandsNV\0"
   "glPathSubCoordsNV\0"
   "glPathTexGenNV\0"
   "glPauseTransformFeedback\0"
   "glPauseTransformFeedbackNV\0"
   "glPixelDataRangeNV\0"
   "glPixelMapfv\0"
   "glPixelMapuiv\0"
   "glPixelMapusv\0"
   "glPixelMapx\0"
   "glPixelStoref\0"
   "glPixelStorei\0"
   "glPixelStorex\0"
   "glPixelTexGenParameterfSGIS\0"
   "glPixelTexGenParameterfvSGIS\0"
   "glPixelTexGenParameteriSGIS\0"
   "glPixelTexGenParameterivSGIS\0"
   "glPixelTexGenSGIX\0"
   "glPixelTransferf\0"
   "glPixelTransferi\0"
   "glPixelTransferxOES\0"
   "glPixelTransformParameterfEXT\0"
   "glPixelTransformParameterfvEXT\0"
   "glPixelTransformParameteriEXT\0"
   "glPixelTransformParameterivEXT\0"
   "glPixelZoom\0"
   "glPixelZoomxOES\0"
   "glPointAlongPathNV\0"
   "glPointParameterf\0"
   "glPointParameterfARB\0"
   "glPointParameterfEXT\0"
   "glPointParameterfSGIS\0"
   "glPointParameterfv\0"
   "glPointParameterfvARB\0"
   "glPointParameterfvEXT\0"
   "glPointParameterfvSGIS\0"
   "glPointParameteri\0"
   "glPointParameteriNV\0"
   "glPointParameteriv\0"
   "glPointParameterivNV\0"
   "glPointParameterx\0"
   "glPointParameterxOES\0"
   "glPointParameterxv\0"
   "glPointParameterxvOES\0"
   "glPointSize\0"
   "glPointSizePointerOES\0"
   "glPointSizex\0"
   "glPointSizexOES\0"
   "glPollAsyncSGIX\0"
   "glPollInstrumentsSGIX\0"
   "glPolygonMode\0"
   "glPolygonOffset\0"
   "glPolygonOffsetEXT\0"
   "glPolygonOffsetx\0"
   "glPolygonOffsetxOES\0"
   "glPolygonStipple\0"
   "glPopAttrib\0"
   "glPopClientAttrib\0"
   "glPopDebugGroup\0"
   "glPopDebugGroupKHR\0"
   "glPopGroupMarkerEXT\0"
   "glPopMatrix\0"
   "glPopName\0"
   "glPresentFrameDualFillNV\0"
   "glPresentFrameKeyedNV\0"
   "glPrimitiveRestartIndex\0"
   "glPrimitiveRestartIndexNV\0"
   "glPrimitiveRestartNV\0"
   "glPrioritizeTextures\0"
   "glPrioritizeTexturesEXT\0"
   "glPrioritizeTexturesxOES\0"
   "glProgramBinary\0"
   "glProgramBinaryOES\0"
   "glProgramBufferParametersIivNV\0"
   "glProgramBufferParametersIuivNV\0"
   "glProgramBufferParametersfvNV\0"
   "glProgramEnvParameter4dARB\0"
   "glProgramEnvParameter4dvARB\0"
   "glProgramEnvParameter4fARB\0"
   "glProgramEnvParameter4fvARB\0"
   "glProgramEnvParameterI4iNV\0"
   "glProgramEnvParameterI4ivNV\0"
   "glProgramEnvParameterI4uiNV\0"
   "glProgramEnvParameterI4uivNV\0"
   "glProgramEnvParameters4fvEXT\0"
   "glProgramEnvParametersI4ivNV\0"
   "glProgramEnvParametersI4uivNV\0"
   "glProgramLocalParameter4dARB\0"
   "glProgramLocalParameter4dvARB\0"
   "glProgramLocalParameter4fARB\0"
   "glProgramLocalParameter4fvARB\0"
   "glProgramLocalParameterI4iNV\0"
   "glProgramLocalParameterI4ivNV\0"
   "glProgramLocalParameterI4uiNV\0"
   "glProgramLocalParameterI4uivNV\0"
   "glProgramLocalParameters4fvEXT\0"
   "glProgramLocalParametersI4ivNV\0"
   "glProgramLocalParametersI4uivNV\0"
   "glProgramNamedParameter4dNV\0"
   "glProgramNamedParameter4dvNV\0"
   "glProgramNamedParameter4fNV\0"
   "glProgramNamedParameter4fvNV\0"
   "glProgramParameter4dNV\0"
   "glProgramParameter4dvNV\0"
   "glProgramParameter4fNV\0"
   "glProgramParameter4fvNV\0"
   "glProgramParameteri\0"
   "glProgramParameteriARB\0"
   "glProgramParameteriEXT\0"
   "glProgramParameters4dvNV\0"
   "glProgramParameters4fvNV\0"
   "glProgramStringARB\0"
   "glProgramSubroutineParametersuivNV\0"
   "glProgramUniform1d\0"
   "glProgramUniform1dEXT\0"
   "glProgramUniform1dv\0"
   "glProgramUniform1dvEXT\0"
   "glProgramUniform1f\0"
   "glProgramUniform1fEXT\0"
   "glProgramUniform1fv\0"
   "glProgramUniform1fvEXT\0"
   "glProgramUniform1i\0"
   "glProgramUniform1i64NV\0"
   "glProgramUniform1i64vNV\0"
   "glProgramUniform1iEXT\0"
   "glProgramUniform1iv\0"
   "glProgramUniform1ivEXT\0"
   "glProgramUniform1ui\0"
   "glProgramUniform1ui64NV\0"
   "glProgramUniform1ui64vNV\0"
   "glProgramUniform1uiEXT\0"
   "glProgramUniform1uiv\0"
   "glProgramUniform1uivEXT\0"
   "glProgramUniform2d\0"
   "glProgramUniform2dEXT\0"
   "glProgramUniform2dv\0"
   "glProgramUniform2dvEXT\0"
   "glProgramUniform2f\0"
   "glProgramUniform2fEXT\0"
   "glProgramUniform2fv\0"
   "glProgramUniform2fvEXT\0"
   "glProgramUniform2i\0"
   "glProgramUniform2i64NV\0"
   "glProgramUniform2i64vNV\0"
   "glProgramUniform2iEXT\0"
   "glProgramUniform2iv\0"
   "glProgramUniform2ivEXT\0"
   "glProgramUniform2ui\0"
   "glProgramUniform2ui64NV\0"
   "glProgramUniform2ui64vNV\0"
   "glProgramUniform2uiEXT\0"
   "glProgramUniform2uiv\0"
   "glProgramUniform2uivEXT\0"
   "glProgramUniform3d\0"
   "glProgramUniform3dEXT\0"
   "glProgramUniform3dv\0"
   "glProgramUniform3dvEXT\0"
   "glProgramUniform3f\0"
   "glProgramUniform3fEXT\0"
   "glProgramUniform3fv\0"
   "glProgramUniform3fvEXT\0"
   "glProgramUniform3i\0"
   "glProgramUniform3i64NV\0"
   "glProgramUniform3i64vNV\0"
   "glProgramUniform3iEXT\0"
   "glProgramUniform3iv\0"
   "glProgramUniform3ivEXT\0"
   "glProgramUniform3ui\0"
   "glProgramUniform3ui64NV\0"
   "glProgramUniform3ui64vNV\0"
   "glProgramUniform3uiEXT\0"
   "glProgramUniform3uiv\0"
   "glProgramUniform3uivEXT\0"
   "glProgramUniform4d\0"
   "glProgramUniform4dEXT\0"
   "glProgramUniform4dv\0"
   "glProgramUniform4dvEXT\0"
   "glProgramUniform4f\0"
   "glProgramUniform4fEXT\0"
   "glProgramUniform4fv\0"
   "glProgramUniform4fvEXT\0"
   "glProgramUniform4i\0"
   "glProgramUniform4i64NV\0"
   "glProgramUniform4i64vNV\0"
   "glProgramUniform4iEXT\0"
   "glProgramUniform4iv\0"
   "glProgramUniform4ivEXT\0"
   "glProgramUniform4ui\0"
   "glProgramUniform4ui64NV\0"
   "glProgramUniform4ui64vNV\0"
   "glProgramUniform4uiEXT\0"
   "glProgramUniform4uiv\0"
   "glProgramUniform4uivEXT\0"
   "glProgramUniformHandleui64ARB\0"
   "glProgramUniformHandleui64NV\0"
   "glProgramUniformHandleui64vARB\0"
   "glProgramUniformHandleui64vNV\0"
   "glProgramUniformMatrix2dv\0"
   "glProgramUniformMatrix2dvEXT\0"
   "glProgramUniformMatrix2fv\0"
   "glProgramUniformMatrix2fvEXT\0"
   "glProgramUniformMatrix2x3dv\0"
   "glProgramUniformMatrix2x3dvEXT\0"
   "glProgramUniformMatrix2x3fv\0"
   "glProgramUniformMatrix2x3fvEXT\0"
   "glProgramUniformMatrix2x4dv\0"
   "glProgramUniformMatrix2x4dvEXT\0"
   "glProgramUniformMatrix2x4fv\0"
   "glProgramUniformMatrix2x4fvEXT\0"
   "glProgramUniformMatrix3dv\0"
   "glProgramUniformMatrix3dvEXT\0"
   "glProgramUniformMatrix3fv\0"
   "glProgramUniformMatrix3fvEXT\0"
   "glProgramUniformMatrix3x2dv\0"
   "glProgramUniformMatrix3x2dvEXT\0"
   "glProgramUniformMatrix3x2fv\0"
   "glProgramUniformMatrix3x2fvEXT\0"
   "glProgramUniformMatrix3x4dv\0"
   "glProgramUniformMatrix3x4dvEXT\0"
   "glProgramUniformMatrix3x4fv\0"
   "glProgramUniformMatrix3x4fvEXT\0"
   "glProgramUniformMatrix4dv\0"
   "glProgramUniformMatrix4dvEXT\0"
   "glProgramUniformMatrix4fv\0"
   "glProgramUniformMatrix4fvEXT\0"
   "glProgramUniformMatrix4x2dv\0"
   "glProgramUniformMatrix4x2dvEXT\0"
   "glProgramUniformMatrix4x2fv\0"
   "glProgramUniformMatrix4x2fvEXT\0"
   "glProgramUniformMatrix4x3dv\0"
   "glProgramUniformMatrix4x3dvEXT\0"
   "glProgramUniformMatrix4x3fv\0"
   "glProgramUniformMatrix4x3fvEXT\0"
   "glProgramUniformui64NV\0"
   "glProgramUniformui64vNV\0"
   "glProgramVertexLimitNV\0"
   "glProvokingVertex\0"
   "glProvokingVertexEXT\0"
   "glPushAttrib\0"
   "glPushClientAttrib\0"
   "glPushClientAttribDefaultEXT\0"
   "glPushDebugGroup\0"
   "glPushDebugGroupKHR\0"
   "glPushGroupMarkerEXT\0"
   "glPushMatrix\0"
   "glPushName\0"
   "glQueryCounter\0"
   "glQueryCounterEXT\0"
   "glQueryMatrixxOES\0"
   "glQueryObjectParameteruiAMD\0"
   "glRasterPos2d\0"
   "glRasterPos2dv\0"
   "glRasterPos2f\0"
   "glRasterPos2fv\0"
   "glRasterPos2i\0"
   "glRasterPos2iv\0"
   "glRasterPos2s\0"
   "glRasterPos2sv\0"
   "glRasterPos2xOES\0"
   "glRasterPos2xvOES\0"
   "glRasterPos3d\0"
   "glRasterPos3dv\0"
   "glRasterPos3f\0"
   "glRasterPos3fv\0"
   "glRasterPos3i\0"
   "glRasterPos3iv\0"
   "glRasterPos3s\0"
   "glRasterPos3sv\0"
   "glRasterPos3xOES\0"
   "glRasterPos3xvOES\0"
   "glRasterPos4d\0"
   "glRasterPos4dv\0"
   "glRasterPos4f\0"
   "glRasterPos4fv\0"
   "glRasterPos4i\0"
   "glRasterPos4iv\0"
   "glRasterPos4s\0"
   "glRasterPos4sv\0"
   "glRasterPos4xOES\0"
   "glRasterPos4xvOES\0"
   "glReadBuffer\0"
   "glReadBufferIndexedEXT\0"
   "glReadBufferNV\0"
   "glReadInstrumentsSGIX\0"
   "glReadPixels\0"
   "glReadnPixelsARB\0"
   "glReadnPixelsEXT\0"
   "glRectd\0"
   "glRectdv\0"
   "glRectf\0"
   "glRectfv\0"
   "glRecti\0"
   "glRectiv\0"
   "glRects\0"
   "glRectsv\0"
   "glRectxOES\0"
   "glRectxvOES\0"
   "glReferencePlaneSGIX\0"
   "glReleaseShaderCompiler\0"
   "glRenderMode\0"
   "glRenderbufferStorage\0"
   "glRenderbufferStorageEXT\0"
   "glRenderbufferStorageMultisample\0"
   "glRenderbufferStorageMultisampleANGLE\0"
   "glRenderbufferStorageMultisampleAPPLE\0"
   "glRenderbufferStorageMultisampleCoverageNV\0"
   "glRenderbufferStorageMultisampleEXT\0"
   "glRenderbufferStorageMultisampleIMG\0"
   "glRenderbufferStorageMultisampleNV\0"
   "glRenderbufferStorageOES\0"
   "glReplacementCodePointerSUN\0"
   "glReplacementCodeubSUN\0"
   "glReplacementCodeubvSUN\0"
   "glReplacementCodeuiColor3fVertex3fSUN\0"
   "glReplacementCodeuiColor3fVertex3fvSUN\0"
   "glReplacementCodeuiColor4fNormal3fVertex3fSUN\0"
   "glReplacementCodeuiColor4fNormal3fVertex3fvSUN\0"
   "glReplacementCodeuiColor4ubVertex3fSUN\0"
   "glReplacementCodeuiColor4ubVertex3fvSUN\0"
   "glReplacementCodeuiNormal3fVertex3fSUN\0"
   "glReplacementCodeuiNormal3fVertex3fvSUN\0"
   "glReplacementCodeuiSUN\0"
   "glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN\0"
   "glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN\0"
   "glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN\0"
   "glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN\0"
   "glReplacementCodeuiTexCoord2fVertex3fSUN\0"
   "glReplacementCodeuiTexCoord2fVertex3fvSUN\0"
   "glReplacementCodeuiVertex3fSUN\0"
   "glReplacementCodeuiVertex3fvSUN\0"
   "glReplacementCodeuivSUN\0"
   "glReplacementCodeusSUN\0"
   "glReplacementCodeusvSUN\0"
   "glRequestResidentProgramsNV\0"
   "glResetHistogram\0"
   "glResetHistogramEXT\0"
   "glResetMinmax\0"
   "glResetMinmaxEXT\0"
   "glResizeBuffersMESA\0"
   "glResolveMultisampleFramebufferAPPLE\0"
   "glResumeTransformFeedback\0"
   "glResumeTransformFeedbackNV\0"
   "glRotated\0"
   "glRotatef\0"
   "glRotatex\0"
   "glRotatexOES\0"
   "glSampleCoverage\0"
   "glSampleCoverageARB\0"
   "glSampleCoverageOES\0"
   "glSampleCoveragex\0"
   "glSampleCoveragexOES\0"
   "glSampleMapATI\0"
   "glSampleMaskEXT\0"
   "glSampleMaskIndexedNV\0"
   "glSampleMaskSGIS\0"
   "glSampleMaski\0"
   "glSamplePatternEXT\0"
   "glSamplePatternSGIS\0"
   "glSamplerParameterIiv\0"
   "glSamplerParameterIuiv\0"
   "glSamplerParameterf\0"
   "glSamplerParameterfv\0"
   "glSamplerParameteri\0"
   "glSamplerParameteriv\0"
   "glScaled\0"
   "glScalef\0"
   "glScalex\0"
   "glScalexOES\0"
   "glScissor\0"
   "glScissorArrayv\0"
   "glScissorIndexed\0"
   "glScissorIndexedv\0"
   "glSecondaryColor3b\0"
   "glSecondaryColor3bEXT\0"
   "glSecondaryColor3bv\0"
   "glSecondaryColor3bvEXT\0"
   "glSecondaryColor3d\0"
   "glSecondaryColor3dEXT\0"
   "glSecondaryColor3dv\0"
   "glSecondaryColor3dvEXT\0"
   "glSecondaryColor3f\0"
   "glSecondaryColor3fEXT\0"
   "glSecondaryColor3fv\0"
   "glSecondaryColor3fvEXT\0"
   "glSecondaryColor3hNV\0"
   "glSecondaryColor3hvNV\0"
   "glSecondaryColor3i\0"
   "glSecondaryColor3iEXT\0"
   "glSecondaryColor3iv\0"
   "glSecondaryColor3ivEXT\0"
   "glSecondaryColor3s\0"
   "glSecondaryColor3sEXT\0"
   "glSecondaryColor3sv\0"
   "glSecondaryColor3svEXT\0"
   "glSecondaryColor3ub\0"
   "glSecondaryColor3ubEXT\0"
   "glSecondaryColor3ubv\0"
   "glSecondaryColor3ubvEXT\0"
   "glSecondaryColor3ui\0"
   "glSecondaryColor3uiEXT\0"
   "glSecondaryColor3uiv\0"
   "glSecondaryColor3uivEXT\0"
   "glSecondaryColor3us\0"
   "glSecondaryColor3usEXT\0"
   "glSecondaryColor3usv\0"
   "glSecondaryColor3usvEXT\0"
   "glSecondaryColorFormatNV\0"
   "glSecondaryColorP3ui\0"
   "glSecondaryColorP3uiv\0"
   "glSecondaryColorPointer\0"
   "glSecondaryColorPointerEXT\0"
   "glSecondaryColorPointerListIBM\0"
   "glSelectBuffer\0"
   "glSelectPerfMonitorCountersAMD\0"
   "glSeparableFilter2D\0"
   "glSeparableFilter2DEXT\0"
   "glSetFenceAPPLE\0"
   "glSetFenceNV\0"
   "glSetFragmentShaderConstantATI\0"
   "glSetInvariantEXT\0"
   "glSetLocalConstantEXT\0"
   "glSetMultisamplefvAMD\0"
   "glShadeModel\0"
   "glShaderBinary\0"
   "glShaderOp1EXT\0"
   "glShaderOp2EXT\0"
   "glShaderOp3EXT\0"
   "glShaderSource\0"
   "glShaderSourceARB\0"
   "glShaderStorageBlockBinding\0"
   "glSharpenTexFuncSGIS\0"
   "glSpriteParameterfSGIX\0"
   "glSpriteParameterfvSGIX\0"
   "glSpriteParameteriSGIX\0"
   "glSpriteParameterivSGIX\0"
   "glStartInstrumentsSGIX\0"
   "glStartTilingQCOM\0"
   "glStencilClearTagEXT\0"
   "glStencilFillPathInstancedNV\0"
   "glStencilFillPathNV\0"
   "glStencilFunc\0"
   "glStencilFuncSeparate\0"
   "glStencilFuncSeparateATI\0"
   "glStencilMask\0"
   "glStencilMaskSeparate\0"
   "glStencilOp\0"
   "glStencilOpSeparate\0"
   "glStencilOpSeparateATI\0"
   "glStencilOpValueAMD\0"
   "glStencilStrokePathInstancedNV\0"
   "glStencilStrokePathNV\0"
   "glStopInstrumentsSGIX\0"
   "glStringMarkerGREMEDY\0"
   "glSwizzleEXT\0"
   "glSyncTextureINTEL\0"
   "glTagSampleBufferSGIX\0"
   "glTangent3bEXT\0"
   "glTangent3bvEXT\0"
   "glTangent3dEXT\0"
   "glTangent3dvEXT\0"
   "glTangent3fEXT\0"
   "glTangent3fvEXT\0"
   "glTangent3iEXT\0"
   "glTangent3ivEXT\0"
   "glTangent3sEXT\0"
   "glTangent3svEXT\0"
   "glTangentPointerEXT\0"
   "glTbufferMask3DFX\0"
   "glTessellationFactorAMD\0"
   "glTessellationModeAMD\0"
   "glTestFenceAPPLE\0"
   "glTestFenceNV\0"
   "glTestObjectAPPLE\0"
   "glTexBuffer\0"
   "glTexBufferARB\0"
   "glTexBufferEXT\0"
   "glTexBufferRange\0"
   "glTexBumpParameterfvATI\0"
   "glTexBumpParameterivATI\0"
   "glTexCoord1bOES\0"
   "glTexCoord1bvOES\0"
   "glTexCoord1d\0"
   "glTexCoord1dv\0"
   "glTexCoord1f\0"
   "glTexCoord1fv\0"
   "glTexCoord1hNV\0"
   "glTexCoord1hvNV\0"
   "glTexCoord1i\0"
   "glTexCoord1iv\0"
   "glTexCoord1s\0"
   "glTexCoord1sv\0"
   "glTexCoord1xOES\0"
   "glTexCoord1xvOES\0"
   "glTexCoord2bOES\0"
   "glTexCoord2bvOES\0"
   "glTexCoord2d\0"
   "glTexCoord2dv\0"
   "glTexCoord2f\0"
   "glTexCoord2fColor3fVertex3fSUN\0"
   "glTexCoord2fColor3fVertex3fvSUN\0"
   "glTexCoord2fColor4fNormal3fVertex3fSUN\0"
   "glTexCoord2fColor4fNormal3fVertex3fvSUN\0"
   "glTexCoord2fColor4ubVertex3fSUN\0"
   "glTexCoord2fColor4ubVertex3fvSUN\0"
   "glTexCoord2fNormal3fVertex3fSUN\0"
   "glTexCoord2fNormal3fVertex3fvSUN\0"
   "glTexCoord2fVertex3fSUN\0"
   "glTexCoord2fVertex3fvSUN\0"
   "glTexCoord2fv\0"
   "glTexCoord2hNV\0"
   "glTexCoord2hvNV\0"
   "glTexCoord2i\0"
   "glTexCoord2iv\0"
   "glTexCoord2s\0"
   "glTexCoord2sv\0"
   "glTexCoord2xOES\0"
   "glTexCoord2xvOES\0"
   "glTexCoord3bOES\0"
   "glTexCoord3bvOES\0"
   "glTexCoord3d\0"
   "glTexCoord3dv\0"
   "glTexCoord3f\0"
   "glTexCoord3fv\0"
   "glTexCoord3hNV\0"
   "glTexCoord3hvNV\0"
   "glTexCoord3i\0"
   "glTexCoord3iv\0"
   "glTexCoord3s\0"
   "glTexCoord3sv\0"
   "glTexCoord3xOES\0"
   "glTexCoord3xvOES\0"
   "glTexCoord4bOES\0"
   "glTexCoord4bvOES\0"
   "glTexCoord4d\0"
   "glTexCoord4dv\0"
   "glTexCoord4f\0"
   "glTexCoord4fColor4fNormal3fVertex4fSUN\0"
   "glTexCoord4fColor4fNormal3fVertex4fvSUN\0"
   "glTexCoord4fVertex4fSUN\0"
   "glTexCoord4fVertex4fvSUN\0"
   "glTexCoord4fv\0"
   "glTexCoord4hNV\0"
   "glTexCoord4hvNV\0"
   "glTexCoord4i\0"
   "glTexCoord4iv\0"
   "glTexCoord4s\0"
   "glTexCoord4sv\0"
   "glTexCoord4xOES\0"
   "glTexCoord4xvOES\0"
   "glTexCoordFormatNV\0"
   "glTexCoordP1ui\0"
   "glTexCoordP1uiv\0"
   "glTexCoordP2ui\0"
   "glTexCoordP2uiv\0"
   "glTexCoordP3ui\0"
   "glTexCoordP3uiv\0"
   "glTexCoordP4ui\0"
   "glTexCoordP4uiv\0"
   "glTexCoordPointer\0"
   "glTexCoordPointerEXT\0"
   "glTexCoordPointerListIBM\0"
   "glTexCoordPointervINTEL\0"
   "glTexEnvf\0"
   "glTexEnvfv\0"
   "glTexEnvi\0"
   "glTexEnviv\0"
   "glTexEnvx\0"
   "glTexEnvxOES\0"
   "glTexEnvxv\0"
   "glTexEnvxvOES\0"
   "glTexFilterFuncSGIS\0"
   "glTexGend\0"
   "glTexGendv\0"
   "glTexGenf\0"
   "glTexGenfOES\0"
   "glTexGenfv\0"
   "glTexGenfvOES\0"
   "glTexGeni\0"
   "glTexGeniOES\0"
   "glTexGeniv\0"
   "glTexGenivOES\0"
   "glTexGenxOES\0"
   "glTexGenxvOES\0"
   "glTexImage1D\0"
   "glTexImage2D\0"
   "glTexImage2DMultisample\0"
   "glTexImage2DMultisampleCoverageNV\0"
   "glTexImage3D\0"
   "glTexImage3DEXT\0"
   "glTexImage3DMultisample\0"
   "glTexImage3DMultisampleCoverageNV\0"
   "glTexImage3DOES\0"
   "glTexImage4DSGIS\0"
   "glTexPageCommitmentARB\0"
   "glTexParameterIiv\0"
   "glTexParameterIivEXT\0"
   "glTexParameterIuiv\0"
   "glTexParameterIuivEXT\0"
   "glTexParameterf\0"
   "glTexParameterfv\0"
   "glTexParameteri\0"
   "glTexParameteriv\0"
   "glTexParameterx\0"
   "glTexParameterxOES\0"
   "glTexParameterxv\0"
   "glTexParameterxvOES\0"
   "glTexRenderbufferNV\0"
   "glTexStorage1D\0"
   "glTexStorage1DEXT\0"
   "glTexStorage2D\0"
   "glTexStorage2DEXT\0"
   "glTexStorage2DMultisample\0"
   "glTexStorage3D\0"
   "glTexStorage3DEXT\0"
   "glTexStorage3DMultisample\0"
   "glTexStorage3DMultisampleOES\0"
   "glTexStorageSparseAMD\0"
   "glTexSubImage1D\0"
   "glTexSubImage1DEXT\0"
   "glTexSubImage2D\0"
   "glTexSubImage2DEXT\0"
   "glTexSubImage3D\0"
   "glTexSubImage3DEXT\0"
   "glTexSubImage3DOES\0"
   "glTexSubImage4DSGIS\0"
   "glTextureBarrierNV\0"
   "glTextureBufferEXT\0"
   "glTextureBufferRangeEXT\0"
   "glTextureColorMaskSGIS\0"
   "glTextureImage1DEXT\0"
   "glTextureImage2DEXT\0"
   "glTextureImage2DMultisampleCoverageNV\0"
   "glTextureImage2DMultisampleNV\0"
   "glTextureImage3DEXT\0"
   "glTextureImage3DMultisampleCoverageNV\0"
   "glTextureImage3DMultisampleNV\0"
   "glTextureLightEXT\0"
   "glTextureMaterialEXT\0"
   "glTextureNormalEXT\0"
   "glTexturePageCommitmentEXT\0"
   "glTextureParameterIivEXT\0"
   "glTextureParameterIuivEXT\0"
   "glTextureParameterfEXT\0"
   "glTextureParameterfvEXT\0"
   "glTextureParameteriEXT\0"
   "glTextureParameterivEXT\0"
   "glTextureRangeAPPLE\0"
   "glTextureRenderbufferEXT\0"
   "glTextureStorage1DEXT\0"
   "glTextureStorage2DEXT\0"
   "glTextureStorage2DMultisampleEXT\0"
   "glTextureStorage3DEXT\0"
   "glTextureStorage3DMultisampleEXT\0"
   "glTextureStorageSparseAMD\0"
   "glTextureSubImage1DEXT\0"
   "glTextureSubImage2DEXT\0"
   "glTextureSubImage3DEXT\0"
   "glTextureView\0"
   "glTrackMatrixNV\0"
   "glTransformFeedbackAttribsNV\0"
   "glTransformFeedbackStreamAttribsNV\0"
   "glTransformFeedbackVaryings\0"
   "glTransformFeedbackVaryingsEXT\0"
   "glTransformFeedbackVaryingsNV\0"
   "glTransformPathNV\0"
   "glTranslated\0"
   "glTranslatef\0"
   "glTranslatex\0"
   "glTranslatexOES\0"
   "glUniform1d\0"
   "glUniform1dv\0"
   "glUniform1f\0"
   "glUniform1fARB\0"
   "glUniform1fv\0"
   "glUniform1fvARB\0"
   "glUniform1i\0"
   "glUniform1i64NV\0"
   "glUniform1i64vNV\0"
   "glUniform1iARB\0"
   "glUniform1iv\0"
   "glUniform1ivARB\0"
   "glUniform1ui\0"
   "glUniform1ui64NV\0"
   "glUniform1ui64vNV\0"
   "glUniform1uiEXT\0"
   "glUniform1uiv\0"
   "glUniform1uivEXT\0"
   "glUniform2d\0"
   "glUniform2dv\0"
   "glUniform2f\0"
   "glUniform2fARB\0"
   "glUniform2fv\0"
   "glUniform2fvARB\0"
   "glUniform2i\0"
   "glUniform2i64NV\0"
   "glUniform2i64vNV\0"
   "glUniform2iARB\0"
   "glUniform2iv\0"
   "glUniform2ivARB\0"
   "glUniform2ui\0"
   "glUniform2ui64NV\0"
   "glUniform2ui64vNV\0"
   "glUniform2uiEXT\0"
   "glUniform2uiv\0"
   "glUniform2uivEXT\0"
   "glUniform3d\0"
   "glUniform3dv\0"
   "glUniform3f\0"
   "glUniform3fARB\0"
   "glUniform3fv\0"
   "glUniform3fvARB\0"
   "glUniform3i\0"
   "glUniform3i64NV\0"
   "glUniform3i64vNV\0"
   "glUniform3iARB\0"
   "glUniform3iv\0"
   "glUniform3ivARB\0"
   "glUniform3ui\0"
   "glUniform3ui64NV\0"
   "glUniform3ui64vNV\0"
   "glUniform3uiEXT\0"
   "glUniform3uiv\0"
   "glUniform3uivEXT\0"
   "glUniform4d\0"
   "glUniform4dv\0"
   "glUniform4f\0"
   "glUniform4fARB\0"
   "glUniform4fv\0"
   "glUniform4fvARB\0"
   "glUniform4i\0"
   "glUniform4i64NV\0"
   "glUniform4i64vNV\0"
   "glUniform4iARB\0"
   "glUniform4iv\0"
   "glUniform4ivARB\0"
   "glUniform4ui\0"
   "glUniform4ui64NV\0"
   "glUniform4ui64vNV\0"
   "glUniform4uiEXT\0"
   "glUniform4uiv\0"
   "glUniform4uivEXT\0"
   "glUniformBlockBinding\0"
   "glUniformBufferEXT\0"
   "glUniformHandleui64ARB\0"
   "glUniformHandleui64NV\0"
   "glUniformHandleui64vARB\0"
   "glUniformHandleui64vNV\0"
   "glUniformMatrix2dv\0"
   "glUniformMatrix2fv\0"
   "glUniformMatrix2fvARB\0"
   "glUniformMatrix2x3dv\0"
   "glUniformMatrix2x3fv\0"
   "glUniformMatrix2x3fvNV\0"
   "glUniformMatrix2x4dv\0"
   "glUniformMatrix2x4fv\0"
   "glUniformMatrix2x4fvNV\0"
   "glUniformMatrix3dv\0"
   "glUniformMatrix3fv\0"
   "glUniformMatrix3fvARB\0"
   "glUniformMatrix3x2dv\0"
   "glUniformMatrix3x2fv\0"
   "glUniformMatrix3x2fvNV\0"
   "glUniformMatrix3x4dv\0"
   "glUniformMatrix3x4fv\0"
   "glUniformMatrix3x4fvNV\0"
   "glUniformMatrix4dv\0"
   "glUniformMatrix4fv\0"
   "glUniformMatrix4fvARB\0"
   "glUniformMatrix4x2dv\0"
   "glUniformMatrix4x2fv\0"
   "glUniformMatrix4x2fvNV\0"
   "glUniformMatrix4x3dv\0"
   "glUniformMatrix4x3fv\0"
   "glUniformMatrix4x3fvNV\0"
   "glUniformSubroutinesuiv\0"
   "glUniformui64NV\0"
   "glUniformui64vNV\0"
   "glUnlockArraysEXT\0"
   "glUnmapBuffer\0"
   "glUnmapBufferARB\0"
   "glUnmapBufferOES\0"
   "glUnmapNamedBufferEXT\0"
   "glUnmapObjectBufferATI\0"
   "glUnmapTexture2DINTEL\0"
   "glUpdateObjectBufferATI\0"
   "glUseProgram\0"
   "glUseProgramObjectARB\0"
   "glUseProgramStages\0"
   "glUseProgramStagesEXT\0"
   "glUseShaderProgramEXT\0"
   "glVDPAUFiniNV\0"
   "glVDPAUGetSurfaceivNV\0"
   "glVDPAUInitNV\0"
   "glVDPAUIsSurfaceNV\0"
   "glVDPAUMapSurfacesNV\0"
   "glVDPAURegisterOutputSurfaceNV\0"
   "glVDPAURegisterVideoSurfaceNV\0"
   "glVDPAUSurfaceAccessNV\0"
   "glVDPAUUnmapSurfacesNV\0"
   "glVDPAUUnregisterSurfaceNV\0"
   "glValidateProgram\0"
   "glValidateProgramARB\0"
   "glValidateProgramPipeline\0"
   "glValidateProgramPipelineEXT\0"
   "glVariantArrayObjectATI\0"
   "glVariantPointerEXT\0"
   "glVariantbvEXT\0"
   "glVariantdvEXT\0"
   "glVariantfvEXT\0"
   "glVariantivEXT\0"
   "glVariantsvEXT\0"
   "glVariantubvEXT\0"
   "glVariantuivEXT\0"
   "glVariantusvEXT\0"
   "glVertex2bOES\0"
   "glVertex2bvOES\0"
   "glVertex2d\0"
   "glVertex2dv\0"
   "glVertex2f\0"
   "glVertex2fv\0"
   "glVertex2hNV\0"
   "glVertex2hvNV\0"
   "glVertex2i\0"
   "glVertex2iv\0"
   "glVertex2s\0"
   "glVertex2sv\0"
   "glVertex2xOES\0"
   "glVertex2xvOES\0"
   "glVertex3bOES\0"
   "glVertex3bvOES\0"
   "glVertex3d\0"
   "glVertex3dv\0"
   "glVertex3f\0"
   "glVertex3fv\0"
   "glVertex3hNV\0"
   "glVertex3hvNV\0"
   "glVertex3i\0"
   "glVertex3iv\0"
   "glVertex3s\0"
   "glVertex3sv\0"
   "glVertex3xOES\0"
   "glVertex3xvOES\0"
   "glVertex4bOES\0"
   "glVertex4bvOES\0"
   "glVertex4d\0"
   "glVertex4dv\0"
   "glVertex4f\0"
   "glVertex4fv\0"
   "glVertex4hNV\0"
   "glVertex4hvNV\0"
   "glVertex4i\0"
   "glVertex4iv\0"
   "glVertex4s\0"
   "glVertex4sv\0"
   "glVertex4xOES\0"
   "glVertex4xvOES\0"
   "glVertexArrayBindVertexBufferEXT\0"
   "glVertexArrayColorOffsetEXT\0"
   "glVertexArrayEdgeFlagOffsetEXT\0"
   "glVertexArrayFogCoordOffsetEXT\0"
   "glVertexArrayIndexOffsetEXT\0"
   "glVertexArrayMultiTexCoordOffsetEXT\0"
   "glVertexArrayNormalOffsetEXT\0"
   "glVertexArrayParameteriAPPLE\0"
   "glVertexArrayRangeAPPLE\0"
   "glVertexArrayRangeNV\0"
   "glVertexArraySecondaryColorOffsetEXT\0"
   "glVertexArrayTexCoordOffsetEXT\0"
   "glVertexArrayVertexAttribBindingEXT\0"
   "glVertexArrayVertexAttribDivisorEXT\0"
   "glVertexArrayVertexAttribFormatEXT\0"
   "glVertexArrayVertexAttribIFormatEXT\0"
   "glVertexArrayVertexAttribIOffsetEXT\0"
   "glVertexArrayVertexAttribLFormatEXT\0"
   "glVertexArrayVertexAttribLOffsetEXT\0"
   "glVertexArrayVertexAttribOffsetEXT\0"
   "glVertexArrayVertexBindingDivisorEXT\0"
   "glVertexArrayVertexOffsetEXT\0"
   "glVertexAttrib1d\0"
   "glVertexAttrib1dARB\0"
   "glVertexAttrib1dNV\0"
   "glVertexAttrib1dv\0"
   "glVertexAttrib1dvARB\0"
   "glVertexAttrib1dvNV\0"
   "glVertexAttrib1f\0"
   "glVertexAttrib1fARB\0"
   "glVertexAttrib1fNV\0"
   "glVertexAttrib1fv\0"
   "glVertexAttrib1fvARB\0"
   "glVertexAttrib1fvNV\0"
   "glVertexAttrib1hNV\0"
   "glVertexAttrib1hvNV\0"
   "glVertexAttrib1s\0"
   "glVertexAttrib1sARB\0"
   "glVertexAttrib1sNV\0"
   "glVertexAttrib1sv\0"
   "glVertexAttrib1svARB\0"
   "glVertexAttrib1svNV\0"
   "glVertexAttrib2d\0"
   "glVertexAttrib2dARB\0"
   "glVertexAttrib2dNV\0"
   "glVertexAttrib2dv\0"
   "glVertexAttrib2dvARB\0"
   "glVertexAttrib2dvNV\0"
   "glVertexAttrib2f\0"
   "glVertexAttrib2fARB\0"
   "glVertexAttrib2fNV\0"
   "glVertexAttrib2fv\0"
   "glVertexAttrib2fvARB\0"
   "glVertexAttrib2fvNV\0"
   "glVertexAttrib2hNV\0"
   "glVertexAttrib2hvNV\0"
   "glVertexAttrib2s\0"
   "glVertexAttrib2sARB\0"
   "glVertexAttrib2sNV\0"
   "glVertexAttrib2sv\0"
   "glVertexAttrib2svARB\0"
   "glVertexAttrib2svNV\0"
   "glVertexAttrib3d\0"
   "glVertexAttrib3dARB\0"
   "glVertexAttrib3dNV\0"
   "glVertexAttrib3dv\0"
   "glVertexAttrib3dvARB\0"
   "glVertexAttrib3dvNV\0"
   "glVertexAttrib3f\0"
   "glVertexAttrib3fARB\0"
   "glVertexAttrib3fNV\0"
   "glVertexAttrib3fv\0"
   "glVertexAttrib3fvARB\0"
   "glVertexAttrib3fvNV\0"
   "glVertexAttrib3hNV\0"
   "glVertexAttrib3hvNV\0"
   "glVertexAttrib3s\0"
   "glVertexAttrib3sARB\0"
   "glVertexAttrib3sNV\0"
   "glVertexAttrib3sv\0"
   "glVertexAttrib3svARB\0"
   "glVertexAttrib3svNV\0"
   "glVertexAttrib4Nbv\0"
   "glVertexAttrib4NbvARB\0"
   "glVertexAttrib4Niv\0"
   "glVertexAttrib4NivARB\0"
   "glVertexAttrib4Nsv\0"
   "glVertexAttrib4NsvARB\0"
   "glVertexAttrib4Nub\0"
   "glVertexAttrib4NubARB\0"
   "glVertexAttrib4Nubv\0"
   "glVertexAttrib4NubvARB\0"
   "glVertexAttrib4Nuiv\0"
   "glVertexAttrib4NuivARB\0"
   "glVertexAttrib4Nusv\0"
   "glVertexAttrib4NusvARB\0"
   "glVertexAttrib4bv\0"
   "glVertexAttrib4bvARB\0"
   "glVertexAttrib4d\0"
   "glVertexAttrib4dARB\0"
   "glVertexAttrib4dNV\0"
   "glVertexAttrib4dv\0"
   "glVertexAttrib4dvARB\0"
   "glVertexAttrib4dvNV\0"
   "glVertexAttrib4f\0"
   "glVertexAttrib4fARB\0"
   "glVertexAttrib4fNV\0"
   "glVertexAttrib4fv\0"
   "glVertexAttrib4fvARB\0"
   "glVertexAttrib4fvNV\0"
   "glVertexAttrib4hNV\0"
   "glVertexAttrib4hvNV\0"
   "glVertexAttrib4iv\0"
   "glVertexAttrib4ivARB\0"
   "glVertexAttrib4s\0"
   "glVertexAttrib4sARB\0"
   "glVertexAttrib4sNV\0"
   "glVertexAttrib4sv\0"
   "glVertexAttrib4svARB\0"
   "glVertexAttrib4svNV\0"
   "glVertexAttrib4ubNV\0"
   "glVertexAttrib4ubv\0"
   "glVertexAttrib4ubvARB\0"
   "glVertexAttrib4ubvNV\0"
   "glVertexAttrib4uiv\0"
   "glVertexAttrib4uivARB\0"
   "glVertexAttrib4usv\0"
   "glVertexAttrib4usvARB\0"
   "glVertexAttribArrayObjectATI\0"
   "glVertexAttribBinding\0"
   "glVertexAttribDivisor\0"
   "glVertexAttribDivisorANGLE\0"
   "glVertexAttribDivisorARB\0"
   "glVertexAttribDivisorEXT\0"
   "glVertexAttribDivisorNV\0"
   "glVertexAttribFormat\0"
   "glVertexAttribFormatNV\0"
   "glVertexAttribI1i\0"
   "glVertexAttribI1iEXT\0"
   "glVertexAttribI1iv\0"
   "glVertexAttribI1ivEXT\0"
   "glVertexAttribI1ui\0"
   "glVertexAttribI1uiEXT\0"
   "glVertexAttribI1uiv\0"
   "glVertexAttribI1uivEXT\0"
   "glVertexAttribI2i\0"
   "glVertexAttribI2iEXT\0"
   "glVertexAttribI2iv\0"
   "glVertexAttribI2ivEXT\0"
   "glVertexAttribI2ui\0"
   "glVertexAttribI2uiEXT\0"
   "glVertexAttribI2uiv\0"
   "glVertexAttribI2uivEXT\0"
   "glVertexAttribI3i\0"
   "glVertexAttribI3iEXT\0"
   "glVertexAttribI3iv\0"
   "glVertexAttribI3ivEXT\0"
   "glVertexAttribI3ui\0"
   "glVertexAttribI3uiEXT\0"
   "glVertexAttribI3uiv\0"
   "glVertexAttribI3uivEXT\0"
   "glVertexAttribI4bv\0"
   "glVertexAttribI4bvEXT\0"
   "glVertexAttribI4i\0"
   "glVertexAttribI4iEXT\0"
   "glVertexAttribI4iv\0"
   "glVertexAttribI4ivEXT\0"
   "glVertexAttribI4sv\0"
   "glVertexAttribI4svEXT\0"
   "glVertexAttribI4ubv\0"
   "glVertexAttribI4ubvEXT\0"
   "glVertexAttribI4ui\0"
   "glVertexAttribI4uiEXT\0"
   "glVertexAttribI4uiv\0"
   "glVertexAttribI4uivEXT\0"
   "glVertexAttribI4usv\0"
   "glVertexAttribI4usvEXT\0"
   "glVertexAttribIFormat\0"
   "glVertexAttribIFormatNV\0"
   "glVertexAttribIPointer\0"
   "glVertexAttribIPointerEXT\0"
   "glVertexAttribL1d\0"
   "glVertexAttribL1dEXT\0"
   "glVertexAttribL1dv\0"
   "glVertexAttribL1dvEXT\0"
   "glVertexAttribL1i64NV\0"
   "glVertexAttribL1i64vNV\0"
   "glVertexAttribL1ui64ARB\0"
   "glVertexAttribL1ui64NV\0"
   "glVertexAttribL1ui64vARB\0"
   "glVertexAttribL1ui64vNV\0"
   "glVertexAttribL2d\0"
   "glVertexAttribL2dEXT\0"
   "glVertexAttribL2dv\0"
   "glVertexAttribL2dvEXT\0"
   "glVertexAttribL2i64NV\0"
   "glVertexAttribL2i64vNV\0"
   "glVertexAttribL2ui64NV\0"
   "glVertexAttribL2ui64vNV\0"
   "glVertexAttribL3d\0"
   "glVertexAttribL3dEXT\0"
   "glVertexAttribL3dv\0"
   "glVertexAttribL3dvEXT\0"
   "glVertexAttribL3i64NV\0"
   "glVertexAttribL3i64vNV\0"
   "glVertexAttribL3ui64NV\0"
   "glVertexAttribL3ui64vNV\0"
   "glVertexAttribL4d\0"
   "glVertexAttribL4dEXT\0"
   "glVertexAttribL4dv\0"
   "glVertexAttribL4dvEXT\0"
   "glVertexAttribL4i64NV\0"
   "glVertexAttribL4i64vNV\0"
   "glVertexAttribL4ui64NV\0"
   "glVertexAttribL4ui64vNV\0"
   "glVertexAttribLFormat\0"
   "glVertexAttribLFormatNV\0"
   "glVertexAttribLPointer\0"
   "glVertexAttribLPointerEXT\0"
   "glVertexAttribP1ui\0"
   "glVertexAttribP1uiv\0"
   "glVertexAttribP2ui\0"
   "glVertexAttribP2uiv\0"
   "glVertexAttribP3ui\0"
   "glVertexAttribP3uiv\0"
   "glVertexAttribP4ui\0"
   "glVertexAttribP4uiv\0"
   "glVertexAttribParameteriAMD\0"
   "glVertexAttribPointer\0"
   "glVertexAttribPointerARB\0"
   "glVertexAttribPointerNV\0"
   "glVertexAttribs1dvNV\0"
   "glVertexAttribs1fvNV\0"
   "glVertexAttribs1hvNV\0"
   "glVertexAttribs1svNV\0"
   "glVertexAttribs2dvNV\0"
   "glVertexAttribs2fvNV\0"
   "glVertexAttribs2hvNV\0"
   "glVertexAttribs2svNV\0"
   "glVertexAttribs3dvNV\0"
   "glVertexAttribs3fvNV\0"
   "glVertexAttribs3hvNV\0"
   "glVertexAttribs3svNV\0"
   "glVertexAttribs4dvNV\0"
   "glVertexAttribs4fvNV\0"
   "glVertexAttribs4hvNV\0"
   "glVertexAttribs4svNV\0"
   "glVertexAttribs4ubvNV\0"
   "glVertexBindingDivisor\0"
   "glVertexBlendARB\0"
   "glVertexBlendEnvfATI\0"
   "glVertexBlendEnviATI\0"
   "glVertexFormatNV\0"
   "glVertexP2ui\0"
   "glVertexP2uiv\0"
   "glVertexP3ui\0"
   "glVertexP3uiv\0"
   "glVertexP4ui\0"
   "glVertexP4uiv\0"
   "glVertexPointer\0"
   "glVertexPointerEXT\0"
   "glVertexPointerListIBM\0"
   "glVertexPointervINTEL\0"
   "glVertexStream1dATI\0"
   "glVertexStream1dvATI\0"
   "glVertexStream1fATI\0"
   "glVertexStream1fvATI\0"
   "glVertexStream1iATI\0"
   "glVertexStream1ivATI\0"
   "glVertexStream1sATI\0"
   "glVertexStream1svATI\0"
   "glVertexStream2dATI\0"
   "glVertexStream2dvATI\0"
   "glVertexStream2fATI\0"
   "glVertexStream2fvATI\0"
   "glVertexStream2iATI\0"
   "glVertexStream2ivATI\0"
   "glVertexStream2sATI\0"
   "glVertexStream2svATI\0"
   "glVertexStream3dATI\0"
   "glVertexStream3dvATI\0"
   "glVertexStream3fATI\0"
   "glVertexStream3fvATI\0"
   "glVertexStream3iATI\0"
   "glVertexStream3ivATI\0"
   "glVertexStream3sATI\0"
   "glVertexStream3svATI\0"
   "glVertexStream4dATI\0"
   "glVertexStream4dvATI\0"
   "glVertexStream4fATI\0"
   "glVertexStream4fvATI\0"
   "glVertexStream4iATI\0"
   "glVertexStream4ivATI\0"
   "glVertexStream4sATI\0"
   "glVertexStream4svATI\0"
   "glVertexWeightPointerEXT\0"
   "glVertexWeightfEXT\0"
   "glVertexWeightfvEXT\0"
   "glVertexWeighthNV\0"
   "glVertexWeighthvNV\0"
   "glVideoCaptureNV\0"
   "glVideoCaptureStreamParameterdvNV\0"
   "glVideoCaptureStreamParameterfvNV\0"
   "glVideoCaptureStreamParameterivNV\0"
   "glViewport\0"
   "glViewportArrayv\0"
   "glViewportIndexedf\0"
   "glViewportIndexedfv\0"
   "glWaitSync\0"
   "glWaitSyncAPPLE\0"
   "glWeightPathsNV\0"
   "glWeightPointerARB\0"
   "glWeightPointerOES\0"
   "glWeightbvARB\0"
   "glWeightdvARB\0"
   "glWeightfvARB\0"
   "glWeightivARB\0"
   "glWeightsvARB\0"
   "glWeightubvARB\0"
   "glWeightuivARB\0"
   "glWeightusvARB\0"
   "glWindowPos2d\0"
   "glWindowPos2dARB\0"
   "glWindowPos2dMESA\0"
   "glWindowPos2dv\0"
   "glWindowPos2dvARB\0"
   "glWindowPos2dvMESA\0"
   "glWindowPos2f\0"
   "glWindowPos2fARB\0"
   "glWindowPos2fMESA\0"
   "glWindowPos2fv\0"
   "glWindowPos2fvARB\0"
   "glWindowPos2fvMESA\0"
   "glWindowPos2i\0"
   "glWindowPos2iARB\0"
   "glWindowPos2iMESA\0"
   "glWindowPos2iv\0"
   "glWindowPos2ivARB\0"
   "glWindowPos2ivMESA\0"
   "glWindowPos2s\0"
   "glWindowPos2sARB\0"
   "glWindowPos2sMESA\0"
   "glWindowPos2sv\0"
   "glWindowPos2svARB\0"
   "glWindowPos2svMESA\0"
   "glWindowPos3d\0"
   "glWindowPos3dARB\0"
   "glWindowPos3dMESA\0"
   "glWindowPos3dv\0"
   "glWindowPos3dvARB\0"
   "glWindowPos3dvMESA\0"
   "glWindowPos3f\0"
   "glWindowPos3fARB\0"
   "glWindowPos3fMESA\0"
   "glWindowPos3fv\0"
   "glWindowPos3fvARB\0"
   "glWindowPos3fvMESA\0"
   "glWindowPos3i\0"
   "glWindowPos3iARB\0"
   "glWindowPos3iMESA\0"
   "glWindowPos3iv\0"
   "glWindowPos3ivARB\0"
   "glWindowPos3ivMESA\0"
   "glWindowPos3s\0"
   "glWindowPos3sARB\0"
   "glWindowPos3sMESA\0"
   "glWindowPos3sv\0"
   "glWindowPos3svARB\0"
   "glWindowPos3svMESA\0"
   "glWindowPos4dMESA\0"
   "glWindowPos4dvMESA\0"
   "glWindowPos4fMESA\0"
   "glWindowPos4fvMESA\0"
   "glWindowPos4iMESA\0"
   "glWindowPos4ivMESA\0"
   "glWindowPos4sMESA\0"
   "glWindowPos4svMESA\0"
   "glWriteMaskEXT\0"
    ;

static void *gl_provider_resolver(const char *name,
                                   const enum gl_provider *providers,
                                   const uint16_t *entrypoints)
{
    int i;
    for (i = 0; providers[i] != gl_provider_terminator; i++) {
        switch (providers[i]) {
        case Desktop_OpenGL_1_0:
            if (epoxy_is_desktop_gl())
                return epoxy_get_core_proc_address(entrypoint_strings + entrypoints[i], 10);
            break;
        case Desktop_OpenGL_1_1:
            if (epoxy_is_desktop_gl() && epoxy_conservative_gl_version() >= 11)
                return epoxy_get_core_proc_address(entrypoint_strings + entrypoints[i], 11);
            break;
        case Desktop_OpenGL_1_2:
            if (epoxy_is_desktop_gl() && epoxy_conservative_gl_version() >= 12)
                return epoxy_get_core_proc_address(entrypoint_strings + entrypoints[i], 12);
            break;
        case Desktop_OpenGL_1_3:
            if (epoxy_is_desktop_gl() && epoxy_conservative_gl_version() >= 13)
                return epoxy_get_core_proc_address(entrypoint_strings + entrypoints[i], 13);
            break;
        case Desktop_OpenGL_1_4:
            if (epoxy_is_desktop_gl() && epoxy_conservative_gl_version() >= 14)
                return epoxy_get_core_proc_address(entrypoint_strings + entrypoints[i], 14);
            break;
        case Desktop_OpenGL_1_5:
            if (epoxy_is_desktop_gl() && epoxy_conservative_gl_version() >= 15)
                return epoxy_get_core_proc_address(entrypoint_strings + entrypoints[i], 15);
            break;
        case Desktop_OpenGL_2_0:
            if (epoxy_is_desktop_gl() && epoxy_conservative_gl_version() >= 20)
                return epoxy_get_core_proc_address(entrypoint_strings + entrypoints[i], 20);
            break;
        case Desktop_OpenGL_2_1:
            if (epoxy_is_desktop_gl() && epoxy_conservative_gl_version() >= 21)
                return epoxy_get_core_proc_address(entrypoint_strings + entrypoints[i], 21);
            break;
        case Desktop_OpenGL_3_0:
            if (epoxy_is_desktop_gl() && epoxy_conservative_gl_version() >= 30)
                return epoxy_get_core_proc_address(entrypoint_strings + entrypoints[i], 30);
            break;
        case Desktop_OpenGL_3_1:
            if (epoxy_is_desktop_gl() && epoxy_conservative_gl_version() >= 31)
                return epoxy_get_core_proc_address(entrypoint_strings + entrypoints[i], 31);
            break;
        case Desktop_OpenGL_3_2:
            if (epoxy_is_desktop_gl() && epoxy_conservative_gl_version() >= 32)
                return epoxy_get_core_proc_address(entrypoint_strings + entrypoints[i], 32);
            break;
        case Desktop_OpenGL_3_3:
            if (epoxy_is_desktop_gl() && epoxy_conservative_gl_version() >= 33)
                return epoxy_get_core_proc_address(entrypoint_strings + entrypoints[i], 33);
            break;
        case Desktop_OpenGL_4_0:
            if (epoxy_is_desktop_gl() && epoxy_conservative_gl_version() >= 40)
                return epoxy_get_core_proc_address(entrypoint_strings + entrypoints[i], 40);
            break;
        case Desktop_OpenGL_4_1:
            if (epoxy_is_desktop_gl() && epoxy_conservative_gl_version() >= 41)
                return epoxy_get_core_proc_address(entrypoint_strings + entrypoints[i], 41);
            break;
        case Desktop_OpenGL_4_2:
            if (epoxy_is_desktop_gl() && epoxy_conservative_gl_version() >= 42)
                return epoxy_get_core_proc_address(entrypoint_strings + entrypoints[i], 42);
            break;
        case Desktop_OpenGL_4_3:
            if (epoxy_is_desktop_gl() && epoxy_conservative_gl_version() >= 43)
                return epoxy_get_core_proc_address(entrypoint_strings + entrypoints[i], 43);
            break;
        case Desktop_OpenGL_4_4:
            if (epoxy_is_desktop_gl() && epoxy_conservative_gl_version() >= 44)
                return epoxy_get_core_proc_address(entrypoint_strings + entrypoints[i], 44);
            break;
        case GL_extension_GL_3DFX_tbuffer:
            if (epoxy_conservative_has_gl_extension("GL_3DFX_tbuffer"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_AMD_debug_output:
            if (epoxy_conservative_has_gl_extension("GL_AMD_debug_output"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_AMD_draw_buffers_blend:
            if (epoxy_conservative_has_gl_extension("GL_AMD_draw_buffers_blend"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_AMD_gpu_shader_int64:
            if (epoxy_conservative_has_gl_extension("GL_AMD_gpu_shader_int64"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_AMD_interleaved_elements:
            if (epoxy_conservative_has_gl_extension("GL_AMD_interleaved_elements"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_AMD_multi_draw_indirect:
            if (epoxy_conservative_has_gl_extension("GL_AMD_multi_draw_indirect"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_AMD_name_gen_delete:
            if (epoxy_conservative_has_gl_extension("GL_AMD_name_gen_delete"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_AMD_occlusion_query_event:
            if (epoxy_conservative_has_gl_extension("GL_AMD_occlusion_query_event"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_AMD_performance_monitor:
            if (epoxy_conservative_has_gl_extension("GL_AMD_performance_monitor"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_AMD_sample_positions:
            if (epoxy_conservative_has_gl_extension("GL_AMD_sample_positions"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_AMD_sparse_texture:
            if (epoxy_conservative_has_gl_extension("GL_AMD_sparse_texture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_AMD_stencil_operation_extended:
            if (epoxy_conservative_has_gl_extension("GL_AMD_stencil_operation_extended"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_AMD_vertex_shader_tessellator:
            if (epoxy_conservative_has_gl_extension("GL_AMD_vertex_shader_tessellator"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ANGLE_framebuffer_blit:
            if (epoxy_conservative_has_gl_extension("GL_ANGLE_framebuffer_blit"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ANGLE_framebuffer_multisample:
            if (epoxy_conservative_has_gl_extension("GL_ANGLE_framebuffer_multisample"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ANGLE_instanced_arrays:
            if (epoxy_conservative_has_gl_extension("GL_ANGLE_instanced_arrays"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ANGLE_translated_shader_source:
            if (epoxy_conservative_has_gl_extension("GL_ANGLE_translated_shader_source"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_APPLE_copy_texture_levels:
            if (epoxy_conservative_has_gl_extension("GL_APPLE_copy_texture_levels"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_APPLE_element_array:
            if (epoxy_conservative_has_gl_extension("GL_APPLE_element_array"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_APPLE_fence:
            if (epoxy_conservative_has_gl_extension("GL_APPLE_fence"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_APPLE_flush_buffer_range:
            if (epoxy_conservative_has_gl_extension("GL_APPLE_flush_buffer_range"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_APPLE_framebuffer_multisample:
            if (epoxy_conservative_has_gl_extension("GL_APPLE_framebuffer_multisample"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_APPLE_object_purgeable:
            if (epoxy_conservative_has_gl_extension("GL_APPLE_object_purgeable"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_APPLE_sync:
            if (epoxy_conservative_has_gl_extension("GL_APPLE_sync"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_APPLE_texture_range:
            if (epoxy_conservative_has_gl_extension("GL_APPLE_texture_range"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_APPLE_vertex_array_object:
            if (epoxy_conservative_has_gl_extension("GL_APPLE_vertex_array_object"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_APPLE_vertex_array_range:
            if (epoxy_conservative_has_gl_extension("GL_APPLE_vertex_array_range"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_APPLE_vertex_program_evaluators:
            if (epoxy_conservative_has_gl_extension("GL_APPLE_vertex_program_evaluators"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_ES2_compatibility:
            if (epoxy_conservative_has_gl_extension("GL_ARB_ES2_compatibility"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_base_instance:
            if (epoxy_conservative_has_gl_extension("GL_ARB_base_instance"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_bindless_texture:
            if (epoxy_conservative_has_gl_extension("GL_ARB_bindless_texture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_blend_func_extended:
            if (epoxy_conservative_has_gl_extension("GL_ARB_blend_func_extended"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_buffer_storage:
            if (epoxy_conservative_has_gl_extension("GL_ARB_buffer_storage"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_cl_event:
            if (epoxy_conservative_has_gl_extension("GL_ARB_cl_event"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_clear_buffer_object:
            if (epoxy_conservative_has_gl_extension("GL_ARB_clear_buffer_object"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_clear_texture:
            if (epoxy_conservative_has_gl_extension("GL_ARB_clear_texture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_color_buffer_float:
            if (epoxy_conservative_has_gl_extension("GL_ARB_color_buffer_float"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_compute_shader:
            if (epoxy_conservative_has_gl_extension("GL_ARB_compute_shader"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_compute_variable_group_size:
            if (epoxy_conservative_has_gl_extension("GL_ARB_compute_variable_group_size"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_copy_buffer:
            if (epoxy_conservative_has_gl_extension("GL_ARB_copy_buffer"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_copy_image:
            if (epoxy_conservative_has_gl_extension("GL_ARB_copy_image"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_debug_output:
            if (epoxy_conservative_has_gl_extension("GL_ARB_debug_output"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_draw_buffers:
            if (epoxy_conservative_has_gl_extension("GL_ARB_draw_buffers"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_draw_buffers_blend:
            if (epoxy_conservative_has_gl_extension("GL_ARB_draw_buffers_blend"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_draw_elements_base_vertex:
            if (epoxy_conservative_has_gl_extension("GL_ARB_draw_elements_base_vertex"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_draw_indirect:
            if (epoxy_conservative_has_gl_extension("GL_ARB_draw_indirect"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_draw_instanced:
            if (epoxy_conservative_has_gl_extension("GL_ARB_draw_instanced"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_fragment_program:
            if (epoxy_conservative_has_gl_extension("GL_ARB_fragment_program"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_framebuffer_no_attachments:
            if (epoxy_conservative_has_gl_extension("GL_ARB_framebuffer_no_attachments"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_framebuffer_object:
            if (epoxy_conservative_has_gl_extension("GL_ARB_framebuffer_object"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_geometry_shader4:
            if (epoxy_conservative_has_gl_extension("GL_ARB_geometry_shader4"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_get_program_binary:
            if (epoxy_conservative_has_gl_extension("GL_ARB_get_program_binary"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_gpu_shader_fp64:
            if (epoxy_conservative_has_gl_extension("GL_ARB_gpu_shader_fp64"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_imaging:
            if (epoxy_conservative_has_gl_extension("GL_ARB_imaging"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_indirect_parameters:
            if (epoxy_conservative_has_gl_extension("GL_ARB_indirect_parameters"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_instanced_arrays:
            if (epoxy_conservative_has_gl_extension("GL_ARB_instanced_arrays"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_internalformat_query2:
            if (epoxy_conservative_has_gl_extension("GL_ARB_internalformat_query2"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_internalformat_query:
            if (epoxy_conservative_has_gl_extension("GL_ARB_internalformat_query"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_invalidate_subdata:
            if (epoxy_conservative_has_gl_extension("GL_ARB_invalidate_subdata"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_map_buffer_range:
            if (epoxy_conservative_has_gl_extension("GL_ARB_map_buffer_range"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_matrix_palette:
            if (epoxy_conservative_has_gl_extension("GL_ARB_matrix_palette"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_multi_bind:
            if (epoxy_conservative_has_gl_extension("GL_ARB_multi_bind"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_multi_draw_indirect:
            if (epoxy_conservative_has_gl_extension("GL_ARB_multi_draw_indirect"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_multisample:
            if (epoxy_conservative_has_gl_extension("GL_ARB_multisample"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_multitexture:
            if (epoxy_conservative_has_gl_extension("GL_ARB_multitexture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_occlusion_query:
            if (epoxy_conservative_has_gl_extension("GL_ARB_occlusion_query"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_point_parameters:
            if (epoxy_conservative_has_gl_extension("GL_ARB_point_parameters"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_program_interface_query:
            if (epoxy_conservative_has_gl_extension("GL_ARB_program_interface_query"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_provoking_vertex:
            if (epoxy_conservative_has_gl_extension("GL_ARB_provoking_vertex"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_robustness:
            if (epoxy_conservative_has_gl_extension("GL_ARB_robustness"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_sample_shading:
            if (epoxy_conservative_has_gl_extension("GL_ARB_sample_shading"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_sampler_objects:
            if (epoxy_conservative_has_gl_extension("GL_ARB_sampler_objects"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_separate_shader_objects:
            if (epoxy_conservative_has_gl_extension("GL_ARB_separate_shader_objects"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_shader_atomic_counters:
            if (epoxy_conservative_has_gl_extension("GL_ARB_shader_atomic_counters"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_shader_image_load_store:
            if (epoxy_conservative_has_gl_extension("GL_ARB_shader_image_load_store"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_shader_objects:
            if (epoxy_conservative_has_gl_extension("GL_ARB_shader_objects"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_shader_storage_buffer_object:
            if (epoxy_conservative_has_gl_extension("GL_ARB_shader_storage_buffer_object"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_shader_subroutine:
            if (epoxy_conservative_has_gl_extension("GL_ARB_shader_subroutine"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_shading_language_include:
            if (epoxy_conservative_has_gl_extension("GL_ARB_shading_language_include"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_sparse_texture:
            if (epoxy_conservative_has_gl_extension("GL_ARB_sparse_texture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_sync:
            if (epoxy_conservative_has_gl_extension("GL_ARB_sync"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_tessellation_shader:
            if (epoxy_conservative_has_gl_extension("GL_ARB_tessellation_shader"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_texture_buffer_object:
            if (epoxy_conservative_has_gl_extension("GL_ARB_texture_buffer_object"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_texture_buffer_range:
            if (epoxy_conservative_has_gl_extension("GL_ARB_texture_buffer_range"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_texture_compression:
            if (epoxy_conservative_has_gl_extension("GL_ARB_texture_compression"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_texture_multisample:
            if (epoxy_conservative_has_gl_extension("GL_ARB_texture_multisample"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_texture_storage:
            if (epoxy_conservative_has_gl_extension("GL_ARB_texture_storage"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_texture_storage_multisample:
            if (epoxy_conservative_has_gl_extension("GL_ARB_texture_storage_multisample"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_texture_view:
            if (epoxy_conservative_has_gl_extension("GL_ARB_texture_view"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_timer_query:
            if (epoxy_conservative_has_gl_extension("GL_ARB_timer_query"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_transform_feedback2:
            if (epoxy_conservative_has_gl_extension("GL_ARB_transform_feedback2"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_transform_feedback3:
            if (epoxy_conservative_has_gl_extension("GL_ARB_transform_feedback3"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_transform_feedback_instanced:
            if (epoxy_conservative_has_gl_extension("GL_ARB_transform_feedback_instanced"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_transpose_matrix:
            if (epoxy_conservative_has_gl_extension("GL_ARB_transpose_matrix"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_uniform_buffer_object:
            if (epoxy_conservative_has_gl_extension("GL_ARB_uniform_buffer_object"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_vertex_array_object:
            if (epoxy_conservative_has_gl_extension("GL_ARB_vertex_array_object"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_vertex_attrib_64bit:
            if (epoxy_conservative_has_gl_extension("GL_ARB_vertex_attrib_64bit"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_vertex_attrib_binding:
            if (epoxy_conservative_has_gl_extension("GL_ARB_vertex_attrib_binding"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_vertex_blend:
            if (epoxy_conservative_has_gl_extension("GL_ARB_vertex_blend"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_vertex_buffer_object:
            if (epoxy_conservative_has_gl_extension("GL_ARB_vertex_buffer_object"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_vertex_program:
            if (epoxy_conservative_has_gl_extension("GL_ARB_vertex_program"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_vertex_shader:
            if (epoxy_conservative_has_gl_extension("GL_ARB_vertex_shader"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_vertex_type_2_10_10_10_rev:
            if (epoxy_conservative_has_gl_extension("GL_ARB_vertex_type_2_10_10_10_rev"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_viewport_array:
            if (epoxy_conservative_has_gl_extension("GL_ARB_viewport_array"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ARB_window_pos:
            if (epoxy_conservative_has_gl_extension("GL_ARB_window_pos"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ATI_draw_buffers:
            if (epoxy_conservative_has_gl_extension("GL_ATI_draw_buffers"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ATI_element_array:
            if (epoxy_conservative_has_gl_extension("GL_ATI_element_array"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ATI_envmap_bumpmap:
            if (epoxy_conservative_has_gl_extension("GL_ATI_envmap_bumpmap"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ATI_fragment_shader:
            if (epoxy_conservative_has_gl_extension("GL_ATI_fragment_shader"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ATI_map_object_buffer:
            if (epoxy_conservative_has_gl_extension("GL_ATI_map_object_buffer"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ATI_pn_triangles:
            if (epoxy_conservative_has_gl_extension("GL_ATI_pn_triangles"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ATI_separate_stencil:
            if (epoxy_conservative_has_gl_extension("GL_ATI_separate_stencil"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ATI_vertex_array_object:
            if (epoxy_conservative_has_gl_extension("GL_ATI_vertex_array_object"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ATI_vertex_attrib_array_object:
            if (epoxy_conservative_has_gl_extension("GL_ATI_vertex_attrib_array_object"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_ATI_vertex_streams:
            if (epoxy_conservative_has_gl_extension("GL_ATI_vertex_streams"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_bindable_uniform:
            if (epoxy_conservative_has_gl_extension("GL_EXT_bindable_uniform"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_blend_color:
            if (epoxy_conservative_has_gl_extension("GL_EXT_blend_color"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_blend_equation_separate:
            if (epoxy_conservative_has_gl_extension("GL_EXT_blend_equation_separate"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_blend_func_separate:
            if (epoxy_conservative_has_gl_extension("GL_EXT_blend_func_separate"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_blend_minmax:
            if (epoxy_conservative_has_gl_extension("GL_EXT_blend_minmax"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_color_subtable:
            if (epoxy_conservative_has_gl_extension("GL_EXT_color_subtable"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_compiled_vertex_array:
            if (epoxy_conservative_has_gl_extension("GL_EXT_compiled_vertex_array"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_convolution:
            if (epoxy_conservative_has_gl_extension("GL_EXT_convolution"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_coordinate_frame:
            if (epoxy_conservative_has_gl_extension("GL_EXT_coordinate_frame"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_copy_texture:
            if (epoxy_conservative_has_gl_extension("GL_EXT_copy_texture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_cull_vertex:
            if (epoxy_conservative_has_gl_extension("GL_EXT_cull_vertex"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_debug_label:
            if (epoxy_conservative_has_gl_extension("GL_EXT_debug_label"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_debug_marker:
            if (epoxy_conservative_has_gl_extension("GL_EXT_debug_marker"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_depth_bounds_test:
            if (epoxy_conservative_has_gl_extension("GL_EXT_depth_bounds_test"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_direct_state_access:
            if (epoxy_conservative_has_gl_extension("GL_EXT_direct_state_access"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_discard_framebuffer:
            if (epoxy_conservative_has_gl_extension("GL_EXT_discard_framebuffer"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_disjoint_timer_query:
            if (epoxy_conservative_has_gl_extension("GL_EXT_disjoint_timer_query"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_draw_buffers2:
            if (epoxy_conservative_has_gl_extension("GL_EXT_draw_buffers2"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_draw_buffers:
            if (epoxy_conservative_has_gl_extension("GL_EXT_draw_buffers"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_draw_instanced:
            if (epoxy_conservative_has_gl_extension("GL_EXT_draw_instanced"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_draw_range_elements:
            if (epoxy_conservative_has_gl_extension("GL_EXT_draw_range_elements"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_fog_coord:
            if (epoxy_conservative_has_gl_extension("GL_EXT_fog_coord"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_framebuffer_blit:
            if (epoxy_conservative_has_gl_extension("GL_EXT_framebuffer_blit"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_framebuffer_multisample:
            if (epoxy_conservative_has_gl_extension("GL_EXT_framebuffer_multisample"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_framebuffer_object:
            if (epoxy_conservative_has_gl_extension("GL_EXT_framebuffer_object"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_geometry_shader4:
            if (epoxy_conservative_has_gl_extension("GL_EXT_geometry_shader4"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_gpu_program_parameters:
            if (epoxy_conservative_has_gl_extension("GL_EXT_gpu_program_parameters"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_gpu_shader4:
            if (epoxy_conservative_has_gl_extension("GL_EXT_gpu_shader4"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_histogram:
            if (epoxy_conservative_has_gl_extension("GL_EXT_histogram"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_index_func:
            if (epoxy_conservative_has_gl_extension("GL_EXT_index_func"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_index_material:
            if (epoxy_conservative_has_gl_extension("GL_EXT_index_material"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_instanced_arrays:
            if (epoxy_conservative_has_gl_extension("GL_EXT_instanced_arrays"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_light_texture:
            if (epoxy_conservative_has_gl_extension("GL_EXT_light_texture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_map_buffer_range:
            if (epoxy_conservative_has_gl_extension("GL_EXT_map_buffer_range"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_multi_draw_arrays:
            if (epoxy_conservative_has_gl_extension("GL_EXT_multi_draw_arrays"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_multisample:
            if (epoxy_conservative_has_gl_extension("GL_EXT_multisample"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_multisampled_render_to_texture:
            if (epoxy_conservative_has_gl_extension("GL_EXT_multisampled_render_to_texture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_multiview_draw_buffers:
            if (epoxy_conservative_has_gl_extension("GL_EXT_multiview_draw_buffers"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_occlusion_query_boolean:
            if (epoxy_conservative_has_gl_extension("GL_EXT_occlusion_query_boolean"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_paletted_texture:
            if (epoxy_conservative_has_gl_extension("GL_EXT_paletted_texture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_pixel_transform:
            if (epoxy_conservative_has_gl_extension("GL_EXT_pixel_transform"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_point_parameters:
            if (epoxy_conservative_has_gl_extension("GL_EXT_point_parameters"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_polygon_offset:
            if (epoxy_conservative_has_gl_extension("GL_EXT_polygon_offset"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_provoking_vertex:
            if (epoxy_conservative_has_gl_extension("GL_EXT_provoking_vertex"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_robustness:
            if (epoxy_conservative_has_gl_extension("GL_EXT_robustness"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_secondary_color:
            if (epoxy_conservative_has_gl_extension("GL_EXT_secondary_color"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_separate_shader_objects:
            if (epoxy_conservative_has_gl_extension("GL_EXT_separate_shader_objects"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_shader_image_load_store:
            if (epoxy_conservative_has_gl_extension("GL_EXT_shader_image_load_store"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_stencil_clear_tag:
            if (epoxy_conservative_has_gl_extension("GL_EXT_stencil_clear_tag"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_stencil_two_side:
            if (epoxy_conservative_has_gl_extension("GL_EXT_stencil_two_side"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_subtexture:
            if (epoxy_conservative_has_gl_extension("GL_EXT_subtexture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_texture3D:
            if (epoxy_conservative_has_gl_extension("GL_EXT_texture3D"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_texture_buffer_object:
            if (epoxy_conservative_has_gl_extension("GL_EXT_texture_buffer_object"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_texture_integer:
            if (epoxy_conservative_has_gl_extension("GL_EXT_texture_integer"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_texture_object:
            if (epoxy_conservative_has_gl_extension("GL_EXT_texture_object"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_texture_perturb_normal:
            if (epoxy_conservative_has_gl_extension("GL_EXT_texture_perturb_normal"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_texture_storage:
            if (epoxy_conservative_has_gl_extension("GL_EXT_texture_storage"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_timer_query:
            if (epoxy_conservative_has_gl_extension("GL_EXT_timer_query"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_transform_feedback:
            if (epoxy_conservative_has_gl_extension("GL_EXT_transform_feedback"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_vertex_array:
            if (epoxy_conservative_has_gl_extension("GL_EXT_vertex_array"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_vertex_attrib_64bit:
            if (epoxy_conservative_has_gl_extension("GL_EXT_vertex_attrib_64bit"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_vertex_shader:
            if (epoxy_conservative_has_gl_extension("GL_EXT_vertex_shader"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_vertex_weighting:
            if (epoxy_conservative_has_gl_extension("GL_EXT_vertex_weighting"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_EXT_x11_sync_object:
            if (epoxy_conservative_has_gl_extension("GL_EXT_x11_sync_object"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_GREMEDY_frame_terminator:
            if (epoxy_conservative_has_gl_extension("GL_GREMEDY_frame_terminator"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_GREMEDY_string_marker:
            if (epoxy_conservative_has_gl_extension("GL_GREMEDY_string_marker"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_HP_image_transform:
            if (epoxy_conservative_has_gl_extension("GL_HP_image_transform"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_IBM_multimode_draw_arrays:
            if (epoxy_conservative_has_gl_extension("GL_IBM_multimode_draw_arrays"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_IBM_static_data:
            if (epoxy_conservative_has_gl_extension("GL_IBM_static_data"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_IBM_vertex_array_lists:
            if (epoxy_conservative_has_gl_extension("GL_IBM_vertex_array_lists"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_IMG_multisampled_render_to_texture:
            if (epoxy_conservative_has_gl_extension("GL_IMG_multisampled_render_to_texture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_IMG_user_clip_plane:
            if (epoxy_conservative_has_gl_extension("GL_IMG_user_clip_plane"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_INGR_blend_func_separate:
            if (epoxy_conservative_has_gl_extension("GL_INGR_blend_func_separate"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_INTEL_map_texture:
            if (epoxy_conservative_has_gl_extension("GL_INTEL_map_texture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_INTEL_parallel_arrays:
            if (epoxy_conservative_has_gl_extension("GL_INTEL_parallel_arrays"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_INTEL_performance_query:
            if (epoxy_conservative_has_gl_extension("GL_INTEL_performance_query"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_KHR_blend_equation_advanced:
            if (epoxy_conservative_has_gl_extension("GL_KHR_blend_equation_advanced"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_KHR_debug:
            if (epoxy_conservative_has_gl_extension("GL_KHR_debug"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_MESA_resize_buffers:
            if (epoxy_conservative_has_gl_extension("GL_MESA_resize_buffers"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_MESA_window_pos:
            if (epoxy_conservative_has_gl_extension("GL_MESA_window_pos"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NVX_conditional_render:
            if (epoxy_conservative_has_gl_extension("GL_NVX_conditional_render"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_bindless_multi_draw_indirect:
            if (epoxy_conservative_has_gl_extension("GL_NV_bindless_multi_draw_indirect"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_bindless_texture:
            if (epoxy_conservative_has_gl_extension("GL_NV_bindless_texture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_blend_equation_advanced:
            if (epoxy_conservative_has_gl_extension("GL_NV_blend_equation_advanced"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_conditional_render:
            if (epoxy_conservative_has_gl_extension("GL_NV_conditional_render"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_copy_buffer:
            if (epoxy_conservative_has_gl_extension("GL_NV_copy_buffer"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_copy_image:
            if (epoxy_conservative_has_gl_extension("GL_NV_copy_image"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_coverage_sample:
            if (epoxy_conservative_has_gl_extension("GL_NV_coverage_sample"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_depth_buffer_float:
            if (epoxy_conservative_has_gl_extension("GL_NV_depth_buffer_float"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_draw_buffers:
            if (epoxy_conservative_has_gl_extension("GL_NV_draw_buffers"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_draw_instanced:
            if (epoxy_conservative_has_gl_extension("GL_NV_draw_instanced"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_draw_texture:
            if (epoxy_conservative_has_gl_extension("GL_NV_draw_texture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_evaluators:
            if (epoxy_conservative_has_gl_extension("GL_NV_evaluators"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_explicit_multisample:
            if (epoxy_conservative_has_gl_extension("GL_NV_explicit_multisample"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_fence:
            if (epoxy_conservative_has_gl_extension("GL_NV_fence"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_fragment_program:
            if (epoxy_conservative_has_gl_extension("GL_NV_fragment_program"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_framebuffer_blit:
            if (epoxy_conservative_has_gl_extension("GL_NV_framebuffer_blit"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_framebuffer_multisample:
            if (epoxy_conservative_has_gl_extension("GL_NV_framebuffer_multisample"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_framebuffer_multisample_coverage:
            if (epoxy_conservative_has_gl_extension("GL_NV_framebuffer_multisample_coverage"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_geometry_program4:
            if (epoxy_conservative_has_gl_extension("GL_NV_geometry_program4"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_gpu_program4:
            if (epoxy_conservative_has_gl_extension("GL_NV_gpu_program4"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_gpu_program5:
            if (epoxy_conservative_has_gl_extension("GL_NV_gpu_program5"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_gpu_shader5:
            if (epoxy_conservative_has_gl_extension("GL_NV_gpu_shader5"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_half_float:
            if (epoxy_conservative_has_gl_extension("GL_NV_half_float"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_instanced_arrays:
            if (epoxy_conservative_has_gl_extension("GL_NV_instanced_arrays"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_non_square_matrices:
            if (epoxy_conservative_has_gl_extension("GL_NV_non_square_matrices"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_occlusion_query:
            if (epoxy_conservative_has_gl_extension("GL_NV_occlusion_query"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_parameter_buffer_object:
            if (epoxy_conservative_has_gl_extension("GL_NV_parameter_buffer_object"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_path_rendering:
            if (epoxy_conservative_has_gl_extension("GL_NV_path_rendering"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_pixel_data_range:
            if (epoxy_conservative_has_gl_extension("GL_NV_pixel_data_range"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_point_sprite:
            if (epoxy_conservative_has_gl_extension("GL_NV_point_sprite"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_present_video:
            if (epoxy_conservative_has_gl_extension("GL_NV_present_video"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_primitive_restart:
            if (epoxy_conservative_has_gl_extension("GL_NV_primitive_restart"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_read_buffer:
            if (epoxy_conservative_has_gl_extension("GL_NV_read_buffer"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_register_combiners2:
            if (epoxy_conservative_has_gl_extension("GL_NV_register_combiners2"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_register_combiners:
            if (epoxy_conservative_has_gl_extension("GL_NV_register_combiners"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_shader_buffer_load:
            if (epoxy_conservative_has_gl_extension("GL_NV_shader_buffer_load"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_texture_barrier:
            if (epoxy_conservative_has_gl_extension("GL_NV_texture_barrier"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_texture_multisample:
            if (epoxy_conservative_has_gl_extension("GL_NV_texture_multisample"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_transform_feedback2:
            if (epoxy_conservative_has_gl_extension("GL_NV_transform_feedback2"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_transform_feedback:
            if (epoxy_conservative_has_gl_extension("GL_NV_transform_feedback"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_vdpau_interop:
            if (epoxy_conservative_has_gl_extension("GL_NV_vdpau_interop"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_vertex_array_range:
            if (epoxy_conservative_has_gl_extension("GL_NV_vertex_array_range"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_vertex_attrib_integer_64bit:
            if (epoxy_conservative_has_gl_extension("GL_NV_vertex_attrib_integer_64bit"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_vertex_buffer_unified_memory:
            if (epoxy_conservative_has_gl_extension("GL_NV_vertex_buffer_unified_memory"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_vertex_program4:
            if (epoxy_conservative_has_gl_extension("GL_NV_vertex_program4"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_vertex_program:
            if (epoxy_conservative_has_gl_extension("GL_NV_vertex_program"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_NV_video_capture:
            if (epoxy_conservative_has_gl_extension("GL_NV_video_capture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_OES_EGL_image:
            if (epoxy_conservative_has_gl_extension("GL_OES_EGL_image"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_OES_blend_equation_separate:
            if (epoxy_conservative_has_gl_extension("GL_OES_blend_equation_separate"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_OES_blend_func_separate:
            if (epoxy_conservative_has_gl_extension("GL_OES_blend_func_separate"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_OES_blend_subtract:
            if (epoxy_conservative_has_gl_extension("GL_OES_blend_subtract"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_OES_byte_coordinates:
            if (epoxy_conservative_has_gl_extension("GL_OES_byte_coordinates"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_OES_draw_texture:
            if (epoxy_conservative_has_gl_extension("GL_OES_draw_texture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_OES_fixed_point:
            if (epoxy_conservative_has_gl_extension("GL_OES_fixed_point"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_OES_framebuffer_object:
            if (epoxy_conservative_has_gl_extension("GL_OES_framebuffer_object"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_OES_get_program_binary:
            if (epoxy_conservative_has_gl_extension("GL_OES_get_program_binary"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_OES_mapbuffer:
            if (epoxy_conservative_has_gl_extension("GL_OES_mapbuffer"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_OES_matrix_palette:
            if (epoxy_conservative_has_gl_extension("GL_OES_matrix_palette"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_OES_point_size_array:
            if (epoxy_conservative_has_gl_extension("GL_OES_point_size_array"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_OES_query_matrix:
            if (epoxy_conservative_has_gl_extension("GL_OES_query_matrix"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_OES_sample_shading:
            if (epoxy_conservative_has_gl_extension("GL_OES_sample_shading"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_OES_single_precision:
            if (epoxy_conservative_has_gl_extension("GL_OES_single_precision"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_OES_texture_3D:
            if (epoxy_conservative_has_gl_extension("GL_OES_texture_3D"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_OES_texture_cube_map:
            if (epoxy_conservative_has_gl_extension("GL_OES_texture_cube_map"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_OES_texture_storage_multisample_2d_array:
            if (epoxy_conservative_has_gl_extension("GL_OES_texture_storage_multisample_2d_array"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_OES_vertex_array_object:
            if (epoxy_conservative_has_gl_extension("GL_OES_vertex_array_object"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_PGI_misc_hints:
            if (epoxy_conservative_has_gl_extension("GL_PGI_misc_hints"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_QCOM_alpha_test:
            if (epoxy_conservative_has_gl_extension("GL_QCOM_alpha_test"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_QCOM_driver_control:
            if (epoxy_conservative_has_gl_extension("GL_QCOM_driver_control"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_QCOM_extended_get2:
            if (epoxy_conservative_has_gl_extension("GL_QCOM_extended_get2"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_QCOM_extended_get:
            if (epoxy_conservative_has_gl_extension("GL_QCOM_extended_get"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_QCOM_tiled_rendering:
            if (epoxy_conservative_has_gl_extension("GL_QCOM_tiled_rendering"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIS_detail_texture:
            if (epoxy_conservative_has_gl_extension("GL_SGIS_detail_texture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIS_fog_function:
            if (epoxy_conservative_has_gl_extension("GL_SGIS_fog_function"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIS_multisample:
            if (epoxy_conservative_has_gl_extension("GL_SGIS_multisample"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIS_pixel_texture:
            if (epoxy_conservative_has_gl_extension("GL_SGIS_pixel_texture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIS_point_parameters:
            if (epoxy_conservative_has_gl_extension("GL_SGIS_point_parameters"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIS_sharpen_texture:
            if (epoxy_conservative_has_gl_extension("GL_SGIS_sharpen_texture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIS_texture4D:
            if (epoxy_conservative_has_gl_extension("GL_SGIS_texture4D"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIS_texture_color_mask:
            if (epoxy_conservative_has_gl_extension("GL_SGIS_texture_color_mask"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIS_texture_filter4:
            if (epoxy_conservative_has_gl_extension("GL_SGIS_texture_filter4"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIX_async:
            if (epoxy_conservative_has_gl_extension("GL_SGIX_async"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIX_flush_raster:
            if (epoxy_conservative_has_gl_extension("GL_SGIX_flush_raster"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIX_fragment_lighting:
            if (epoxy_conservative_has_gl_extension("GL_SGIX_fragment_lighting"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIX_framezoom:
            if (epoxy_conservative_has_gl_extension("GL_SGIX_framezoom"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIX_igloo_interface:
            if (epoxy_conservative_has_gl_extension("GL_SGIX_igloo_interface"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIX_instruments:
            if (epoxy_conservative_has_gl_extension("GL_SGIX_instruments"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIX_list_priority:
            if (epoxy_conservative_has_gl_extension("GL_SGIX_list_priority"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIX_pixel_texture:
            if (epoxy_conservative_has_gl_extension("GL_SGIX_pixel_texture"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIX_polynomial_ffd:
            if (epoxy_conservative_has_gl_extension("GL_SGIX_polynomial_ffd"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIX_reference_plane:
            if (epoxy_conservative_has_gl_extension("GL_SGIX_reference_plane"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIX_sprite:
            if (epoxy_conservative_has_gl_extension("GL_SGIX_sprite"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGIX_tag_sample_buffer:
            if (epoxy_conservative_has_gl_extension("GL_SGIX_tag_sample_buffer"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SGI_color_table:
            if (epoxy_conservative_has_gl_extension("GL_SGI_color_table"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SUNX_constant_data:
            if (epoxy_conservative_has_gl_extension("GL_SUNX_constant_data"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SUN_global_alpha:
            if (epoxy_conservative_has_gl_extension("GL_SUN_global_alpha"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SUN_mesh_array:
            if (epoxy_conservative_has_gl_extension("GL_SUN_mesh_array"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SUN_triangle_list:
            if (epoxy_conservative_has_gl_extension("GL_SUN_triangle_list"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case GL_extension_GL_SUN_vertex:
            if (epoxy_conservative_has_gl_extension("GL_SUN_vertex"))
                return epoxy_get_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case OpenGL_ES_1_0:
            if (!epoxy_is_desktop_gl() && epoxy_gl_version() >= 10 && epoxy_gl_version() < 20)
                return epoxy_gles1_dlsym(entrypoint_strings + entrypoints[i]);
            break;
        case OpenGL_ES_2_0:
            if (!epoxy_is_desktop_gl() && epoxy_gl_version() >= 20)
                return epoxy_gles2_dlsym(entrypoint_strings + entrypoints[i]);
            break;
        case OpenGL_ES_3_0:
            if (!epoxy_is_desktop_gl() && epoxy_gl_version() >= 30)
                return epoxy_gles3_dlsym(entrypoint_strings + entrypoints[i]);
            break;
        case OpenGL_ES_3_1:
            if (!epoxy_is_desktop_gl() && epoxy_gl_version() >= 31)
                return epoxy_gles3_dlsym(entrypoint_strings + entrypoints[i]);
            break;
        case always_present:
            if (true)
                return epoxy_get_bootstrap_proc_address(entrypoint_strings + entrypoints[i]);
            break;
        case gl_provider_terminator:
            abort(); /* Not reached */
        }
    }

    epoxy_print_failure_reasons(name, enum_strings, (const int *)providers);
    abort();
}

static void *
gl_single_resolver(enum gl_provider provider, uint16_t entrypoint_offset) __attribute__((noinline));

static void *
gl_single_resolver(enum gl_provider provider, uint16_t entrypoint_offset)
{
    enum gl_provider providers[] = {
        provider,
        gl_provider_terminator
    };
    return gl_provider_resolver(entrypoint_strings + entrypoint_offset,
                                providers, &entrypoint_offset);
}

static PFNGLACCUMPROC
epoxy_glAccum_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 0 /* glAccum */);
}

static PFNGLACCUMXOESPROC
epoxy_glAccumxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 8 /* glAccumxOES */);
}

static PFNGLACTIVEPROGRAMEXTPROC
epoxy_glActiveProgramEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_separate_shader_objects, 20 /* glActiveProgramEXT */);
}

static PFNGLACTIVESHADERPROGRAMPROC
epoxy_glActiveShaderProgram_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        39 /* "glActiveShaderProgram" */,
        39 /* "glActiveShaderProgram" */,
        39 /* "glActiveShaderProgram" */,
    };
    return gl_provider_resolver(entrypoint_strings + 39 /* "glActiveShaderProgram" */,
                                providers, entrypoints);
}

static PFNGLACTIVESHADERPROGRAMEXTPROC
epoxy_glActiveShaderProgramEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_separate_shader_objects, 61 /* glActiveShaderProgramEXT */);
}

static PFNGLACTIVESTENCILFACEEXTPROC
epoxy_glActiveStencilFaceEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_stencil_two_side, 86 /* glActiveStencilFaceEXT */);
}

static PFNGLACTIVETEXTUREPROC
epoxy_glActiveTexture_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_3,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        109 /* "glActiveTexture" */,
        109 /* "glActiveTexture" */,
        109 /* "glActiveTexture" */,
        125 /* "glActiveTextureARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 109 /* "glActiveTexture" */,
                                providers, entrypoints);
}

static PFNGLACTIVETEXTUREARBPROC
epoxy_glActiveTextureARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multitexture,
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_3,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        125 /* "glActiveTextureARB" */,
        109 /* "glActiveTexture" */,
        109 /* "glActiveTexture" */,
        109 /* "glActiveTexture" */,
    };
    return gl_provider_resolver(entrypoint_strings + 125 /* "glActiveTextureARB" */,
                                providers, entrypoints);
}

static PFNGLACTIVEVARYINGNVPROC
epoxy_glActiveVaryingNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_transform_feedback, 144 /* glActiveVaryingNV */);
}

static PFNGLALPHAFRAGMENTOP1ATIPROC
epoxy_glAlphaFragmentOp1ATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_fragment_shader, 162 /* glAlphaFragmentOp1ATI */);
}

static PFNGLALPHAFRAGMENTOP2ATIPROC
epoxy_glAlphaFragmentOp2ATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_fragment_shader, 184 /* glAlphaFragmentOp2ATI */);
}

static PFNGLALPHAFRAGMENTOP3ATIPROC
epoxy_glAlphaFragmentOp3ATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_fragment_shader, 206 /* glAlphaFragmentOp3ATI */);
}

static PFNGLALPHAFUNCPROC
epoxy_glAlphaFunc_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        228 /* "glAlphaFunc" */,
        228 /* "glAlphaFunc" */,
    };
    return gl_provider_resolver(entrypoint_strings + 228 /* "glAlphaFunc" */,
                                providers, entrypoints);
}

static PFNGLALPHAFUNCQCOMPROC
epoxy_glAlphaFuncQCOM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_QCOM_alpha_test, 240 /* glAlphaFuncQCOM */);
}

static PFNGLALPHAFUNCXPROC
epoxy_glAlphaFuncx_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 256 /* glAlphaFuncx */);
}

static PFNGLALPHAFUNCXOESPROC
epoxy_glAlphaFuncxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 269 /* glAlphaFuncxOES */);
}

static PFNGLAPPLYTEXTUREEXTPROC
epoxy_glApplyTextureEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_light_texture, 285 /* glApplyTextureEXT */);
}

static PFNGLAREPROGRAMSRESIDENTNVPROC
epoxy_glAreProgramsResidentNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 303 /* glAreProgramsResidentNV */);
}

static PFNGLARETEXTURESRESIDENTPROC
epoxy_glAreTexturesResident_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_1, 327 /* glAreTexturesResident */);
}

static PFNGLARETEXTURESRESIDENTEXTPROC
epoxy_glAreTexturesResidentEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_texture_object, 349 /* glAreTexturesResidentEXT */);
}

static PFNGLARRAYELEMENTPROC
epoxy_glArrayElement_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_1,
        GL_extension_GL_EXT_vertex_array,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        374 /* "glArrayElement" */,
        389 /* "glArrayElementEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 374 /* "glArrayElement" */,
                                providers, entrypoints);
}

static PFNGLARRAYELEMENTEXTPROC
epoxy_glArrayElementEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_vertex_array,
        Desktop_OpenGL_1_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        389 /* "glArrayElementEXT" */,
        374 /* "glArrayElement" */,
    };
    return gl_provider_resolver(entrypoint_strings + 389 /* "glArrayElementEXT" */,
                                providers, entrypoints);
}

static PFNGLARRAYOBJECTATIPROC
epoxy_glArrayObjectATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_array_object, 407 /* glArrayObjectATI */);
}

static PFNGLASYNCMARKERSGIXPROC
epoxy_glAsyncMarkerSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_async, 424 /* glAsyncMarkerSGIX */);
}

static PFNGLATTACHOBJECTARBPROC
epoxy_glAttachObjectARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_objects,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        442 /* "glAttachObjectARB" */,
        460 /* "glAttachShader" */,
        460 /* "glAttachShader" */,
    };
    return gl_provider_resolver(entrypoint_strings + 442 /* "glAttachObjectARB" */,
                                providers, entrypoints);
}

static PFNGLATTACHSHADERPROC
epoxy_glAttachShader_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        460 /* "glAttachShader" */,
        460 /* "glAttachShader" */,
        442 /* "glAttachObjectARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 460 /* "glAttachShader" */,
                                providers, entrypoints);
}

static PFNGLBEGINPROC
epoxy_glBegin_unwrapped_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 475 /* glBegin */);
}

static PFNGLBEGINCONDITIONALRENDERPROC
epoxy_glBeginConditionalRender_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_conditional_render,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        483 /* "glBeginConditionalRender" */,
        508 /* "glBeginConditionalRenderNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 483 /* "glBeginConditionalRender" */,
                                providers, entrypoints);
}

static PFNGLBEGINCONDITIONALRENDERNVPROC
epoxy_glBeginConditionalRenderNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_conditional_render,
        Desktop_OpenGL_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        508 /* "glBeginConditionalRenderNV" */,
        483 /* "glBeginConditionalRender" */,
    };
    return gl_provider_resolver(entrypoint_strings + 508 /* "glBeginConditionalRenderNV" */,
                                providers, entrypoints);
}

static PFNGLBEGINCONDITIONALRENDERNVXPROC
epoxy_glBeginConditionalRenderNVX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NVX_conditional_render, 535 /* glBeginConditionalRenderNVX */);
}

static PFNGLBEGINFRAGMENTSHADERATIPROC
epoxy_glBeginFragmentShaderATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_fragment_shader, 563 /* glBeginFragmentShaderATI */);
}

static PFNGLBEGINOCCLUSIONQUERYNVPROC
epoxy_glBeginOcclusionQueryNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_occlusion_query, 588 /* glBeginOcclusionQueryNV */);
}

static PFNGLBEGINPERFMONITORAMDPROC
epoxy_glBeginPerfMonitorAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_performance_monitor, 612 /* glBeginPerfMonitorAMD */);
}

static PFNGLBEGINPERFQUERYINTELPROC
epoxy_glBeginPerfQueryINTEL_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_INTEL_performance_query, 634 /* glBeginPerfQueryINTEL */);
}

static PFNGLBEGINQUERYPROC
epoxy_glBeginQuery_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_1_5,
        GL_extension_GL_ARB_occlusion_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        656 /* "glBeginQuery" */,
        656 /* "glBeginQuery" */,
        669 /* "glBeginQueryARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 656 /* "glBeginQuery" */,
                                providers, entrypoints);
}

static PFNGLBEGINQUERYARBPROC
epoxy_glBeginQueryARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_occlusion_query,
        OpenGL_ES_3_0,
        Desktop_OpenGL_1_5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        669 /* "glBeginQueryARB" */,
        656 /* "glBeginQuery" */,
        656 /* "glBeginQuery" */,
    };
    return gl_provider_resolver(entrypoint_strings + 669 /* "glBeginQueryARB" */,
                                providers, entrypoints);
}

static PFNGLBEGINQUERYEXTPROC
epoxy_glBeginQueryEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_occlusion_query_boolean,
        GL_extension_GL_EXT_disjoint_timer_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        685 /* "glBeginQueryEXT" */,
        685 /* "glBeginQueryEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 685 /* "glBeginQueryEXT" */,
                                providers, entrypoints);
}

static PFNGLBEGINQUERYINDEXEDPROC
epoxy_glBeginQueryIndexed_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_transform_feedback3,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        701 /* "glBeginQueryIndexed" */,
        701 /* "glBeginQueryIndexed" */,
    };
    return gl_provider_resolver(entrypoint_strings + 701 /* "glBeginQueryIndexed" */,
                                providers, entrypoints);
}

static PFNGLBEGINTRANSFORMFEEDBACKPROC
epoxy_glBeginTransformFeedback_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_EXT_transform_feedback,
        GL_extension_GL_NV_transform_feedback,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        721 /* "glBeginTransformFeedback" */,
        721 /* "glBeginTransformFeedback" */,
        746 /* "glBeginTransformFeedbackEXT" */,
        774 /* "glBeginTransformFeedbackNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 721 /* "glBeginTransformFeedback" */,
                                providers, entrypoints);
}

static PFNGLBEGINTRANSFORMFEEDBACKEXTPROC
epoxy_glBeginTransformFeedbackEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_transform_feedback,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_NV_transform_feedback,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        746 /* "glBeginTransformFeedbackEXT" */,
        721 /* "glBeginTransformFeedback" */,
        721 /* "glBeginTransformFeedback" */,
        774 /* "glBeginTransformFeedbackNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 746 /* "glBeginTransformFeedbackEXT" */,
                                providers, entrypoints);
}

static PFNGLBEGINTRANSFORMFEEDBACKNVPROC
epoxy_glBeginTransformFeedbackNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_transform_feedback,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_EXT_transform_feedback,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        774 /* "glBeginTransformFeedbackNV" */,
        721 /* "glBeginTransformFeedback" */,
        721 /* "glBeginTransformFeedback" */,
        746 /* "glBeginTransformFeedbackEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 774 /* "glBeginTransformFeedbackNV" */,
                                providers, entrypoints);
}

static PFNGLBEGINVERTEXSHADEREXTPROC
epoxy_glBeginVertexShaderEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 801 /* glBeginVertexShaderEXT */);
}

static PFNGLBEGINVIDEOCAPTURENVPROC
epoxy_glBeginVideoCaptureNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_video_capture, 824 /* glBeginVideoCaptureNV */);
}

static PFNGLBINDATTRIBLOCATIONPROC
epoxy_glBindAttribLocation_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        846 /* "glBindAttribLocation" */,
        846 /* "glBindAttribLocation" */,
        867 /* "glBindAttribLocationARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 846 /* "glBindAttribLocation" */,
                                providers, entrypoints);
}

static PFNGLBINDATTRIBLOCATIONARBPROC
epoxy_glBindAttribLocationARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        867 /* "glBindAttribLocationARB" */,
        846 /* "glBindAttribLocation" */,
        846 /* "glBindAttribLocation" */,
    };
    return gl_provider_resolver(entrypoint_strings + 867 /* "glBindAttribLocationARB" */,
                                providers, entrypoints);
}

static PFNGLBINDBUFFERPROC
epoxy_glBindBuffer_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_5,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_vertex_buffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        891 /* "glBindBuffer" */,
        891 /* "glBindBuffer" */,
        891 /* "glBindBuffer" */,
        904 /* "glBindBufferARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 891 /* "glBindBuffer" */,
                                providers, entrypoints);
}

static PFNGLBINDBUFFERARBPROC
epoxy_glBindBufferARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_buffer_object,
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_5,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        904 /* "glBindBufferARB" */,
        891 /* "glBindBuffer" */,
        891 /* "glBindBuffer" */,
        891 /* "glBindBuffer" */,
    };
    return gl_provider_resolver(entrypoint_strings + 904 /* "glBindBufferARB" */,
                                providers, entrypoints);
}

static PFNGLBINDBUFFERBASEPROC
epoxy_glBindBufferBase_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_EXT_transform_feedback,
        GL_extension_GL_NV_transform_feedback,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        920 /* "glBindBufferBase" */,
        920 /* "glBindBufferBase" */,
        937 /* "glBindBufferBaseEXT" */,
        957 /* "glBindBufferBaseNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 920 /* "glBindBufferBase" */,
                                providers, entrypoints);
}

static PFNGLBINDBUFFERBASEEXTPROC
epoxy_glBindBufferBaseEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_transform_feedback,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_NV_transform_feedback,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        937 /* "glBindBufferBaseEXT" */,
        920 /* "glBindBufferBase" */,
        920 /* "glBindBufferBase" */,
        957 /* "glBindBufferBaseNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 937 /* "glBindBufferBaseEXT" */,
                                providers, entrypoints);
}

static PFNGLBINDBUFFERBASENVPROC
epoxy_glBindBufferBaseNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_transform_feedback,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_EXT_transform_feedback,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        957 /* "glBindBufferBaseNV" */,
        920 /* "glBindBufferBase" */,
        920 /* "glBindBufferBase" */,
        937 /* "glBindBufferBaseEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 957 /* "glBindBufferBaseNV" */,
                                providers, entrypoints);
}

static PFNGLBINDBUFFEROFFSETEXTPROC
epoxy_glBindBufferOffsetEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_transform_feedback,
        GL_extension_GL_NV_transform_feedback,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        976 /* "glBindBufferOffsetEXT" */,
        998 /* "glBindBufferOffsetNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 976 /* "glBindBufferOffsetEXT" */,
                                providers, entrypoints);
}

static PFNGLBINDBUFFEROFFSETNVPROC
epoxy_glBindBufferOffsetNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_transform_feedback,
        GL_extension_GL_EXT_transform_feedback,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        998 /* "glBindBufferOffsetNV" */,
        976 /* "glBindBufferOffsetEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 998 /* "glBindBufferOffsetNV" */,
                                providers, entrypoints);
}

static PFNGLBINDBUFFERRANGEPROC
epoxy_glBindBufferRange_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_EXT_transform_feedback,
        GL_extension_GL_NV_transform_feedback,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1019 /* "glBindBufferRange" */,
        1019 /* "glBindBufferRange" */,
        1037 /* "glBindBufferRangeEXT" */,
        1058 /* "glBindBufferRangeNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1019 /* "glBindBufferRange" */,
                                providers, entrypoints);
}

static PFNGLBINDBUFFERRANGEEXTPROC
epoxy_glBindBufferRangeEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_transform_feedback,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_NV_transform_feedback,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1037 /* "glBindBufferRangeEXT" */,
        1019 /* "glBindBufferRange" */,
        1019 /* "glBindBufferRange" */,
        1058 /* "glBindBufferRangeNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1037 /* "glBindBufferRangeEXT" */,
                                providers, entrypoints);
}

static PFNGLBINDBUFFERRANGENVPROC
epoxy_glBindBufferRangeNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_transform_feedback,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_EXT_transform_feedback,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1058 /* "glBindBufferRangeNV" */,
        1019 /* "glBindBufferRange" */,
        1019 /* "glBindBufferRange" */,
        1037 /* "glBindBufferRangeEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1058 /* "glBindBufferRangeNV" */,
                                providers, entrypoints);
}

static PFNGLBINDBUFFERSBASEPROC
epoxy_glBindBuffersBase_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multi_bind,
        Desktop_OpenGL_4_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1078 /* "glBindBuffersBase" */,
        1078 /* "glBindBuffersBase" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1078 /* "glBindBuffersBase" */,
                                providers, entrypoints);
}

static PFNGLBINDBUFFERSRANGEPROC
epoxy_glBindBuffersRange_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multi_bind,
        Desktop_OpenGL_4_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1096 /* "glBindBuffersRange" */,
        1096 /* "glBindBuffersRange" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1096 /* "glBindBuffersRange" */,
                                providers, entrypoints);
}

static PFNGLBINDFRAGDATALOCATIONPROC
epoxy_glBindFragDataLocation_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_EXT_gpu_shader4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1115 /* "glBindFragDataLocation" */,
        1138 /* "glBindFragDataLocationEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1115 /* "glBindFragDataLocation" */,
                                providers, entrypoints);
}

static PFNGLBINDFRAGDATALOCATIONEXTPROC
epoxy_glBindFragDataLocationEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_gpu_shader4,
        Desktop_OpenGL_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1138 /* "glBindFragDataLocationEXT" */,
        1115 /* "glBindFragDataLocation" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1138 /* "glBindFragDataLocationEXT" */,
                                providers, entrypoints);
}

static PFNGLBINDFRAGDATALOCATIONINDEXEDPROC
epoxy_glBindFragDataLocationIndexed_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_3,
        GL_extension_GL_ARB_blend_func_extended,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1164 /* "glBindFragDataLocationIndexed" */,
        1164 /* "glBindFragDataLocationIndexed" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1164 /* "glBindFragDataLocationIndexed" */,
                                providers, entrypoints);
}

static PFNGLBINDFRAGMENTSHADERATIPROC
epoxy_glBindFragmentShaderATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_fragment_shader, 1194 /* glBindFragmentShaderATI */);
}

static PFNGLBINDFRAMEBUFFERPROC
epoxy_glBindFramebuffer_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        OpenGL_ES_2_0,
        GL_extension_GL_EXT_framebuffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1218 /* "glBindFramebuffer" */,
        1218 /* "glBindFramebuffer" */,
        1218 /* "glBindFramebuffer" */,
        1236 /* "glBindFramebufferEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1218 /* "glBindFramebuffer" */,
                                providers, entrypoints);
}

static PFNGLBINDFRAMEBUFFEREXTPROC
epoxy_glBindFramebufferEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_framebuffer_object,
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1236 /* "glBindFramebufferEXT" */,
        1218 /* "glBindFramebuffer" */,
        1218 /* "glBindFramebuffer" */,
        1218 /* "glBindFramebuffer" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1236 /* "glBindFramebufferEXT" */,
                                providers, entrypoints);
}

static PFNGLBINDFRAMEBUFFEROESPROC
epoxy_glBindFramebufferOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_framebuffer_object, 1257 /* glBindFramebufferOES */);
}

static PFNGLBINDIMAGETEXTUREPROC
epoxy_glBindImageTexture_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_1,
        Desktop_OpenGL_4_2,
        GL_extension_GL_ARB_shader_image_load_store,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1278 /* "glBindImageTexture" */,
        1278 /* "glBindImageTexture" */,
        1278 /* "glBindImageTexture" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1278 /* "glBindImageTexture" */,
                                providers, entrypoints);
}

static PFNGLBINDIMAGETEXTUREEXTPROC
epoxy_glBindImageTextureEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_shader_image_load_store, 1297 /* glBindImageTextureEXT */);
}

static PFNGLBINDIMAGETEXTURESPROC
epoxy_glBindImageTextures_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multi_bind,
        Desktop_OpenGL_4_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1319 /* "glBindImageTextures" */,
        1319 /* "glBindImageTextures" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1319 /* "glBindImageTextures" */,
                                providers, entrypoints);
}

static PFNGLBINDLIGHTPARAMETEREXTPROC
epoxy_glBindLightParameterEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 1339 /* glBindLightParameterEXT */);
}

static PFNGLBINDMATERIALPARAMETEREXTPROC
epoxy_glBindMaterialParameterEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 1363 /* glBindMaterialParameterEXT */);
}

static PFNGLBINDMULTITEXTUREEXTPROC
epoxy_glBindMultiTextureEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 1390 /* glBindMultiTextureEXT */);
}

static PFNGLBINDPARAMETEREXTPROC
epoxy_glBindParameterEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 1412 /* glBindParameterEXT */);
}

static PFNGLBINDPROGRAMARBPROC
epoxy_glBindProgramARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_fragment_program,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1431 /* "glBindProgramARB" */,
        1431 /* "glBindProgramARB" */,
        1448 /* "glBindProgramNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1431 /* "glBindProgramARB" */,
                                providers, entrypoints);
}

static PFNGLBINDPROGRAMNVPROC
epoxy_glBindProgramNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_fragment_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1448 /* "glBindProgramNV" */,
        1431 /* "glBindProgramARB" */,
        1431 /* "glBindProgramARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1448 /* "glBindProgramNV" */,
                                providers, entrypoints);
}

static PFNGLBINDPROGRAMPIPELINEPROC
epoxy_glBindProgramPipeline_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1464 /* "glBindProgramPipeline" */,
        1464 /* "glBindProgramPipeline" */,
        1464 /* "glBindProgramPipeline" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1464 /* "glBindProgramPipeline" */,
                                providers, entrypoints);
}

static PFNGLBINDPROGRAMPIPELINEEXTPROC
epoxy_glBindProgramPipelineEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_separate_shader_objects, 1486 /* glBindProgramPipelineEXT */);
}

static PFNGLBINDRENDERBUFFERPROC
epoxy_glBindRenderbuffer_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1511 /* "glBindRenderbuffer" */,
        1511 /* "glBindRenderbuffer" */,
        1511 /* "glBindRenderbuffer" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1511 /* "glBindRenderbuffer" */,
                                providers, entrypoints);
}

static PFNGLBINDRENDERBUFFEREXTPROC
epoxy_glBindRenderbufferEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_framebuffer_object, 1530 /* glBindRenderbufferEXT */);
}

static PFNGLBINDRENDERBUFFEROESPROC
epoxy_glBindRenderbufferOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_framebuffer_object, 1552 /* glBindRenderbufferOES */);
}

static PFNGLBINDSAMPLERPROC
epoxy_glBindSampler_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_sampler_objects,
        Desktop_OpenGL_3_3,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1574 /* "glBindSampler" */,
        1574 /* "glBindSampler" */,
        1574 /* "glBindSampler" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1574 /* "glBindSampler" */,
                                providers, entrypoints);
}

static PFNGLBINDSAMPLERSPROC
epoxy_glBindSamplers_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multi_bind,
        Desktop_OpenGL_4_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1588 /* "glBindSamplers" */,
        1588 /* "glBindSamplers" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1588 /* "glBindSamplers" */,
                                providers, entrypoints);
}

static PFNGLBINDTEXGENPARAMETEREXTPROC
epoxy_glBindTexGenParameterEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 1603 /* glBindTexGenParameterEXT */);
}

static PFNGLBINDTEXTUREPROC
epoxy_glBindTexture_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_1,
        OpenGL_ES_2_0,
        OpenGL_ES_1_0,
        GL_extension_GL_EXT_texture_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1628 /* "glBindTexture" */,
        1628 /* "glBindTexture" */,
        1628 /* "glBindTexture" */,
        1642 /* "glBindTextureEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1628 /* "glBindTexture" */,
                                providers, entrypoints);
}

static PFNGLBINDTEXTUREEXTPROC
epoxy_glBindTextureEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_texture_object,
        Desktop_OpenGL_1_1,
        OpenGL_ES_2_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1642 /* "glBindTextureEXT" */,
        1628 /* "glBindTexture" */,
        1628 /* "glBindTexture" */,
        1628 /* "glBindTexture" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1642 /* "glBindTextureEXT" */,
                                providers, entrypoints);
}

static PFNGLBINDTEXTUREUNITPARAMETEREXTPROC
epoxy_glBindTextureUnitParameterEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 1659 /* glBindTextureUnitParameterEXT */);
}

static PFNGLBINDTEXTURESPROC
epoxy_glBindTextures_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multi_bind,
        Desktop_OpenGL_4_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1689 /* "glBindTextures" */,
        1689 /* "glBindTextures" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1689 /* "glBindTextures" */,
                                providers, entrypoints);
}

static PFNGLBINDTRANSFORMFEEDBACKPROC
epoxy_glBindTransformFeedback_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_transform_feedback2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1704 /* "glBindTransformFeedback" */,
        1704 /* "glBindTransformFeedback" */,
        1704 /* "glBindTransformFeedback" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1704 /* "glBindTransformFeedback" */,
                                providers, entrypoints);
}

static PFNGLBINDTRANSFORMFEEDBACKNVPROC
epoxy_glBindTransformFeedbackNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_transform_feedback2, 1728 /* glBindTransformFeedbackNV */);
}

static PFNGLBINDVERTEXARRAYPROC
epoxy_glBindVertexArray_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_vertex_array_object,
        GL_extension_GL_APPLE_vertex_array_object,
        GL_extension_GL_OES_vertex_array_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1754 /* "glBindVertexArray" */,
        1754 /* "glBindVertexArray" */,
        1754 /* "glBindVertexArray" */,
        1772 /* "glBindVertexArrayAPPLE" */,
        1795 /* "glBindVertexArrayOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1754 /* "glBindVertexArray" */,
                                providers, entrypoints);
}

static PFNGLBINDVERTEXARRAYAPPLEPROC
epoxy_glBindVertexArrayAPPLE_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_APPLE_vertex_array_object,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_vertex_array_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1772 /* "glBindVertexArrayAPPLE" */,
        1754 /* "glBindVertexArray" */,
        1754 /* "glBindVertexArray" */,
        1754 /* "glBindVertexArray" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1772 /* "glBindVertexArrayAPPLE" */,
                                providers, entrypoints);
}

static PFNGLBINDVERTEXARRAYOESPROC
epoxy_glBindVertexArrayOES_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_OES_vertex_array_object,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_vertex_array_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1795 /* "glBindVertexArrayOES" */,
        1754 /* "glBindVertexArray" */,
        1754 /* "glBindVertexArray" */,
        1754 /* "glBindVertexArray" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1795 /* "glBindVertexArrayOES" */,
                                providers, entrypoints);
}

static PFNGLBINDVERTEXBUFFERPROC
epoxy_glBindVertexBuffer_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_attrib_binding,
        Desktop_OpenGL_4_3,
        OpenGL_ES_3_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1816 /* "glBindVertexBuffer" */,
        1816 /* "glBindVertexBuffer" */,
        1816 /* "glBindVertexBuffer" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1816 /* "glBindVertexBuffer" */,
                                providers, entrypoints);
}

static PFNGLBINDVERTEXBUFFERSPROC
epoxy_glBindVertexBuffers_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multi_bind,
        Desktop_OpenGL_4_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        1835 /* "glBindVertexBuffers" */,
        1835 /* "glBindVertexBuffers" */,
    };
    return gl_provider_resolver(entrypoint_strings + 1835 /* "glBindVertexBuffers" */,
                                providers, entrypoints);
}

static PFNGLBINDVERTEXSHADEREXTPROC
epoxy_glBindVertexShaderEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 1855 /* glBindVertexShaderEXT */);
}

static PFNGLBINDVIDEOCAPTURESTREAMBUFFERNVPROC
epoxy_glBindVideoCaptureStreamBufferNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_video_capture, 1877 /* glBindVideoCaptureStreamBufferNV */);
}

static PFNGLBINDVIDEOCAPTURESTREAMTEXTURENVPROC
epoxy_glBindVideoCaptureStreamTextureNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_video_capture, 1910 /* glBindVideoCaptureStreamTextureNV */);
}

static PFNGLBINORMAL3BEXTPROC
epoxy_glBinormal3bEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 1944 /* glBinormal3bEXT */);
}

static PFNGLBINORMAL3BVEXTPROC
epoxy_glBinormal3bvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 1960 /* glBinormal3bvEXT */);
}

static PFNGLBINORMAL3DEXTPROC
epoxy_glBinormal3dEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 1977 /* glBinormal3dEXT */);
}

static PFNGLBINORMAL3DVEXTPROC
epoxy_glBinormal3dvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 1993 /* glBinormal3dvEXT */);
}

static PFNGLBINORMAL3FEXTPROC
epoxy_glBinormal3fEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 2010 /* glBinormal3fEXT */);
}

static PFNGLBINORMAL3FVEXTPROC
epoxy_glBinormal3fvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 2026 /* glBinormal3fvEXT */);
}

static PFNGLBINORMAL3IEXTPROC
epoxy_glBinormal3iEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 2043 /* glBinormal3iEXT */);
}

static PFNGLBINORMAL3IVEXTPROC
epoxy_glBinormal3ivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 2059 /* glBinormal3ivEXT */);
}

static PFNGLBINORMAL3SEXTPROC
epoxy_glBinormal3sEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 2076 /* glBinormal3sEXT */);
}

static PFNGLBINORMAL3SVEXTPROC
epoxy_glBinormal3svEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 2092 /* glBinormal3svEXT */);
}

static PFNGLBINORMALPOINTEREXTPROC
epoxy_glBinormalPointerEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 2109 /* glBinormalPointerEXT */);
}

static PFNGLBITMAPPROC
epoxy_glBitmap_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 2130 /* glBitmap */);
}

static PFNGLBITMAPXOESPROC
epoxy_glBitmapxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 2139 /* glBitmapxOES */);
}

static PFNGLBLENDBARRIERKHRPROC
epoxy_glBlendBarrierKHR_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_KHR_blend_equation_advanced, 2152 /* glBlendBarrierKHR */);
}

static PFNGLBLENDBARRIERNVPROC
epoxy_glBlendBarrierNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_blend_equation_advanced, 2170 /* glBlendBarrierNV */);
}

static PFNGLBLENDCOLORPROC
epoxy_glBlendColor_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        Desktop_OpenGL_1_4,
        OpenGL_ES_2_0,
        GL_extension_GL_EXT_blend_color,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2187 /* "glBlendColor" */,
        2187 /* "glBlendColor" */,
        2187 /* "glBlendColor" */,
        2200 /* "glBlendColorEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2187 /* "glBlendColor" */,
                                providers, entrypoints);
}

static PFNGLBLENDCOLOREXTPROC
epoxy_glBlendColorEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_blend_color,
        GL_extension_GL_ARB_imaging,
        Desktop_OpenGL_1_4,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2200 /* "glBlendColorEXT" */,
        2187 /* "glBlendColor" */,
        2187 /* "glBlendColor" */,
        2187 /* "glBlendColor" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2200 /* "glBlendColorEXT" */,
                                providers, entrypoints);
}

static PFNGLBLENDCOLORXOESPROC
epoxy_glBlendColorxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 2216 /* glBlendColorxOES */);
}

static PFNGLBLENDEQUATIONPROC
epoxy_glBlendEquation_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        Desktop_OpenGL_1_4,
        OpenGL_ES_2_0,
        GL_extension_GL_EXT_blend_minmax,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2233 /* "glBlendEquation" */,
        2233 /* "glBlendEquation" */,
        2233 /* "glBlendEquation" */,
        2249 /* "glBlendEquationEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2233 /* "glBlendEquation" */,
                                providers, entrypoints);
}

static PFNGLBLENDEQUATIONEXTPROC
epoxy_glBlendEquationEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_blend_minmax,
        GL_extension_GL_ARB_imaging,
        Desktop_OpenGL_1_4,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2249 /* "glBlendEquationEXT" */,
        2233 /* "glBlendEquation" */,
        2233 /* "glBlendEquation" */,
        2233 /* "glBlendEquation" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2249 /* "glBlendEquationEXT" */,
                                providers, entrypoints);
}

static PFNGLBLENDEQUATIONINDEXEDAMDPROC
epoxy_glBlendEquationIndexedAMD_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_draw_buffers_blend,
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_draw_buffers_blend,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2268 /* "glBlendEquationIndexedAMD" */,
        2478 /* "glBlendEquationi" */,
        2495 /* "glBlendEquationiARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2268 /* "glBlendEquationIndexedAMD" */,
                                providers, entrypoints);
}

static PFNGLBLENDEQUATIONOESPROC
epoxy_glBlendEquationOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_blend_subtract, 2294 /* glBlendEquationOES */);
}

static PFNGLBLENDEQUATIONSEPARATEPROC
epoxy_glBlendEquationSeparate_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_EXT_blend_equation_separate,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2313 /* "glBlendEquationSeparate" */,
        2313 /* "glBlendEquationSeparate" */,
        2337 /* "glBlendEquationSeparateEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2313 /* "glBlendEquationSeparate" */,
                                providers, entrypoints);
}

static PFNGLBLENDEQUATIONSEPARATEEXTPROC
epoxy_glBlendEquationSeparateEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_blend_equation_separate,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2337 /* "glBlendEquationSeparateEXT" */,
        2313 /* "glBlendEquationSeparate" */,
        2313 /* "glBlendEquationSeparate" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2337 /* "glBlendEquationSeparateEXT" */,
                                providers, entrypoints);
}

static PFNGLBLENDEQUATIONSEPARATEINDEXEDAMDPROC
epoxy_glBlendEquationSeparateIndexedAMD_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_draw_buffers_blend,
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_draw_buffers_blend,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2364 /* "glBlendEquationSeparateIndexedAMD" */,
        2425 /* "glBlendEquationSeparatei" */,
        2450 /* "glBlendEquationSeparateiARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2364 /* "glBlendEquationSeparateIndexedAMD" */,
                                providers, entrypoints);
}

static PFNGLBLENDEQUATIONSEPARATEOESPROC
epoxy_glBlendEquationSeparateOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_blend_equation_separate, 2398 /* glBlendEquationSeparateOES */);
}

static PFNGLBLENDEQUATIONSEPARATEIPROC
epoxy_glBlendEquationSeparatei_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        GL_extension_GL_AMD_draw_buffers_blend,
        GL_extension_GL_ARB_draw_buffers_blend,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2425 /* "glBlendEquationSeparatei" */,
        2364 /* "glBlendEquationSeparateIndexedAMD" */,
        2450 /* "glBlendEquationSeparateiARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2425 /* "glBlendEquationSeparatei" */,
                                providers, entrypoints);
}

static PFNGLBLENDEQUATIONSEPARATEIARBPROC
epoxy_glBlendEquationSeparateiARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_draw_buffers_blend,
        GL_extension_GL_AMD_draw_buffers_blend,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2450 /* "glBlendEquationSeparateiARB" */,
        2364 /* "glBlendEquationSeparateIndexedAMD" */,
        2425 /* "glBlendEquationSeparatei" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2450 /* "glBlendEquationSeparateiARB" */,
                                providers, entrypoints);
}

static PFNGLBLENDEQUATIONIPROC
epoxy_glBlendEquationi_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        GL_extension_GL_AMD_draw_buffers_blend,
        GL_extension_GL_ARB_draw_buffers_blend,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2478 /* "glBlendEquationi" */,
        2268 /* "glBlendEquationIndexedAMD" */,
        2495 /* "glBlendEquationiARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2478 /* "glBlendEquationi" */,
                                providers, entrypoints);
}

static PFNGLBLENDEQUATIONIARBPROC
epoxy_glBlendEquationiARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_draw_buffers_blend,
        GL_extension_GL_AMD_draw_buffers_blend,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2495 /* "glBlendEquationiARB" */,
        2268 /* "glBlendEquationIndexedAMD" */,
        2478 /* "glBlendEquationi" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2495 /* "glBlendEquationiARB" */,
                                providers, entrypoints);
}

static PFNGLBLENDFUNCPROC
epoxy_glBlendFunc_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2515 /* "glBlendFunc" */,
        2515 /* "glBlendFunc" */,
        2515 /* "glBlendFunc" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2515 /* "glBlendFunc" */,
                                providers, entrypoints);
}

static PFNGLBLENDFUNCINDEXEDAMDPROC
epoxy_glBlendFuncIndexedAMD_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_draw_buffers_blend,
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_draw_buffers_blend,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2527 /* "glBlendFuncIndexedAMD" */,
        2714 /* "glBlendFunci" */,
        2727 /* "glBlendFunciARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2527 /* "glBlendFuncIndexedAMD" */,
                                providers, entrypoints);
}

static PFNGLBLENDFUNCSEPARATEPROC
epoxy_glBlendFuncSeparate_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        OpenGL_ES_2_0,
        GL_extension_GL_EXT_blend_func_separate,
        GL_extension_GL_INGR_blend_func_separate,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2549 /* "glBlendFuncSeparate" */,
        2549 /* "glBlendFuncSeparate" */,
        2569 /* "glBlendFuncSeparateEXT" */,
        2592 /* "glBlendFuncSeparateINGR" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2549 /* "glBlendFuncSeparate" */,
                                providers, entrypoints);
}

static PFNGLBLENDFUNCSEPARATEEXTPROC
epoxy_glBlendFuncSeparateEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_blend_func_separate,
        Desktop_OpenGL_1_4,
        OpenGL_ES_2_0,
        GL_extension_GL_INGR_blend_func_separate,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2569 /* "glBlendFuncSeparateEXT" */,
        2549 /* "glBlendFuncSeparate" */,
        2549 /* "glBlendFuncSeparate" */,
        2592 /* "glBlendFuncSeparateINGR" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2569 /* "glBlendFuncSeparateEXT" */,
                                providers, entrypoints);
}

static PFNGLBLENDFUNCSEPARATEINGRPROC
epoxy_glBlendFuncSeparateINGR_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_INGR_blend_func_separate,
        Desktop_OpenGL_1_4,
        OpenGL_ES_2_0,
        GL_extension_GL_EXT_blend_func_separate,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2592 /* "glBlendFuncSeparateINGR" */,
        2549 /* "glBlendFuncSeparate" */,
        2549 /* "glBlendFuncSeparate" */,
        2569 /* "glBlendFuncSeparateEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2592 /* "glBlendFuncSeparateINGR" */,
                                providers, entrypoints);
}

static PFNGLBLENDFUNCSEPARATEINDEXEDAMDPROC
epoxy_glBlendFuncSeparateIndexedAMD_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_draw_buffers_blend,
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_draw_buffers_blend,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2616 /* "glBlendFuncSeparateIndexedAMD" */,
        2669 /* "glBlendFuncSeparatei" */,
        2690 /* "glBlendFuncSeparateiARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2616 /* "glBlendFuncSeparateIndexedAMD" */,
                                providers, entrypoints);
}

static PFNGLBLENDFUNCSEPARATEOESPROC
epoxy_glBlendFuncSeparateOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_blend_func_separate, 2646 /* glBlendFuncSeparateOES */);
}

static PFNGLBLENDFUNCSEPARATEIPROC
epoxy_glBlendFuncSeparatei_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        GL_extension_GL_AMD_draw_buffers_blend,
        GL_extension_GL_ARB_draw_buffers_blend,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2669 /* "glBlendFuncSeparatei" */,
        2616 /* "glBlendFuncSeparateIndexedAMD" */,
        2690 /* "glBlendFuncSeparateiARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2669 /* "glBlendFuncSeparatei" */,
                                providers, entrypoints);
}

static PFNGLBLENDFUNCSEPARATEIARBPROC
epoxy_glBlendFuncSeparateiARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_draw_buffers_blend,
        GL_extension_GL_AMD_draw_buffers_blend,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2690 /* "glBlendFuncSeparateiARB" */,
        2616 /* "glBlendFuncSeparateIndexedAMD" */,
        2669 /* "glBlendFuncSeparatei" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2690 /* "glBlendFuncSeparateiARB" */,
                                providers, entrypoints);
}

static PFNGLBLENDFUNCIPROC
epoxy_glBlendFunci_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        GL_extension_GL_AMD_draw_buffers_blend,
        GL_extension_GL_ARB_draw_buffers_blend,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2714 /* "glBlendFunci" */,
        2527 /* "glBlendFuncIndexedAMD" */,
        2727 /* "glBlendFunciARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2714 /* "glBlendFunci" */,
                                providers, entrypoints);
}

static PFNGLBLENDFUNCIARBPROC
epoxy_glBlendFunciARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_draw_buffers_blend,
        GL_extension_GL_AMD_draw_buffers_blend,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2727 /* "glBlendFunciARB" */,
        2527 /* "glBlendFuncIndexedAMD" */,
        2714 /* "glBlendFunci" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2727 /* "glBlendFunciARB" */,
                                providers, entrypoints);
}

static PFNGLBLENDPARAMETERINVPROC
epoxy_glBlendParameteriNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_blend_equation_advanced, 2743 /* glBlendParameteriNV */);
}

static PFNGLBLITFRAMEBUFFERPROC
epoxy_glBlitFramebuffer_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        GL_extension_GL_EXT_framebuffer_blit,
        GL_extension_GL_NV_framebuffer_blit,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2763 /* "glBlitFramebuffer" */,
        2763 /* "glBlitFramebuffer" */,
        2763 /* "glBlitFramebuffer" */,
        2804 /* "glBlitFramebufferEXT" */,
        2825 /* "glBlitFramebufferNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2763 /* "glBlitFramebuffer" */,
                                providers, entrypoints);
}

static PFNGLBLITFRAMEBUFFERANGLEPROC
epoxy_glBlitFramebufferANGLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ANGLE_framebuffer_blit, 2781 /* glBlitFramebufferANGLE */);
}

static PFNGLBLITFRAMEBUFFEREXTPROC
epoxy_glBlitFramebufferEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_framebuffer_blit,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        GL_extension_GL_NV_framebuffer_blit,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2804 /* "glBlitFramebufferEXT" */,
        2763 /* "glBlitFramebuffer" */,
        2763 /* "glBlitFramebuffer" */,
        2763 /* "glBlitFramebuffer" */,
        2825 /* "glBlitFramebufferNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2804 /* "glBlitFramebufferEXT" */,
                                providers, entrypoints);
}

static PFNGLBLITFRAMEBUFFERNVPROC
epoxy_glBlitFramebufferNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_framebuffer_blit,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        GL_extension_GL_EXT_framebuffer_blit,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2825 /* "glBlitFramebufferNV" */,
        2763 /* "glBlitFramebuffer" */,
        2763 /* "glBlitFramebuffer" */,
        2763 /* "glBlitFramebuffer" */,
        2804 /* "glBlitFramebufferEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2825 /* "glBlitFramebufferNV" */,
                                providers, entrypoints);
}

static PFNGLBUFFERADDRESSRANGENVPROC
epoxy_glBufferAddressRangeNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_buffer_unified_memory, 2845 /* glBufferAddressRangeNV */);
}

static PFNGLBUFFERDATAPROC
epoxy_glBufferData_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_5,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_vertex_buffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2868 /* "glBufferData" */,
        2868 /* "glBufferData" */,
        2868 /* "glBufferData" */,
        2881 /* "glBufferDataARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2868 /* "glBufferData" */,
                                providers, entrypoints);
}

static PFNGLBUFFERDATAARBPROC
epoxy_glBufferDataARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_buffer_object,
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_5,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2881 /* "glBufferDataARB" */,
        2868 /* "glBufferData" */,
        2868 /* "glBufferData" */,
        2868 /* "glBufferData" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2881 /* "glBufferDataARB" */,
                                providers, entrypoints);
}

static PFNGLBUFFERPARAMETERIAPPLEPROC
epoxy_glBufferParameteriAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_flush_buffer_range, 2897 /* glBufferParameteriAPPLE */);
}

static PFNGLBUFFERSTORAGEPROC
epoxy_glBufferStorage_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_buffer_storage,
        Desktop_OpenGL_4_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2921 /* "glBufferStorage" */,
        2921 /* "glBufferStorage" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2921 /* "glBufferStorage" */,
                                providers, entrypoints);
}

static PFNGLBUFFERSUBDATAPROC
epoxy_glBufferSubData_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_5,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_vertex_buffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2937 /* "glBufferSubData" */,
        2937 /* "glBufferSubData" */,
        2937 /* "glBufferSubData" */,
        2953 /* "glBufferSubDataARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2937 /* "glBufferSubData" */,
                                providers, entrypoints);
}

static PFNGLBUFFERSUBDATAARBPROC
epoxy_glBufferSubDataARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_buffer_object,
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_5,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2953 /* "glBufferSubDataARB" */,
        2937 /* "glBufferSubData" */,
        2937 /* "glBufferSubData" */,
        2937 /* "glBufferSubData" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2953 /* "glBufferSubDataARB" */,
                                providers, entrypoints);
}

static PFNGLCALLLISTPROC
epoxy_glCallList_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 2972 /* glCallList */);
}

static PFNGLCALLLISTSPROC
epoxy_glCallLists_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 2983 /* glCallLists */);
}

static PFNGLCHECKFRAMEBUFFERSTATUSPROC
epoxy_glCheckFramebufferStatus_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        OpenGL_ES_2_0,
        GL_extension_GL_EXT_framebuffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        2995 /* "glCheckFramebufferStatus" */,
        2995 /* "glCheckFramebufferStatus" */,
        2995 /* "glCheckFramebufferStatus" */,
        3020 /* "glCheckFramebufferStatusEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 2995 /* "glCheckFramebufferStatus" */,
                                providers, entrypoints);
}

static PFNGLCHECKFRAMEBUFFERSTATUSEXTPROC
epoxy_glCheckFramebufferStatusEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_framebuffer_object,
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        3020 /* "glCheckFramebufferStatusEXT" */,
        2995 /* "glCheckFramebufferStatus" */,
        2995 /* "glCheckFramebufferStatus" */,
        2995 /* "glCheckFramebufferStatus" */,
    };
    return gl_provider_resolver(entrypoint_strings + 3020 /* "glCheckFramebufferStatusEXT" */,
                                providers, entrypoints);
}

static PFNGLCHECKFRAMEBUFFERSTATUSOESPROC
epoxy_glCheckFramebufferStatusOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_framebuffer_object, 3048 /* glCheckFramebufferStatusOES */);
}

static PFNGLCHECKNAMEDFRAMEBUFFERSTATUSEXTPROC
epoxy_glCheckNamedFramebufferStatusEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 3076 /* glCheckNamedFramebufferStatusEXT */);
}

static PFNGLCLAMPCOLORPROC
epoxy_glClampColor_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_color_buffer_float,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        3109 /* "glClampColor" */,
        3122 /* "glClampColorARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 3109 /* "glClampColor" */,
                                providers, entrypoints);
}

static PFNGLCLAMPCOLORARBPROC
epoxy_glClampColorARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_color_buffer_float,
        Desktop_OpenGL_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        3122 /* "glClampColorARB" */,
        3109 /* "glClampColor" */,
    };
    return gl_provider_resolver(entrypoint_strings + 3122 /* "glClampColorARB" */,
                                providers, entrypoints);
}

static PFNGLCLEARPROC
epoxy_glClear_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        3138 /* "glClear" */,
        3138 /* "glClear" */,
        3138 /* "glClear" */,
    };
    return gl_provider_resolver(entrypoint_strings + 3138 /* "glClear" */,
                                providers, entrypoints);
}

static PFNGLCLEARACCUMPROC
epoxy_glClearAccum_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 3146 /* glClearAccum */);
}

static PFNGLCLEARACCUMXOESPROC
epoxy_glClearAccumxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 3159 /* glClearAccumxOES */);
}

static PFNGLCLEARBUFFERDATAPROC
epoxy_glClearBufferData_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_3,
        GL_extension_GL_ARB_clear_buffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        3176 /* "glClearBufferData" */,
        3176 /* "glClearBufferData" */,
    };
    return gl_provider_resolver(entrypoint_strings + 3176 /* "glClearBufferData" */,
                                providers, entrypoints);
}

static PFNGLCLEARBUFFERSUBDATAPROC
epoxy_glClearBufferSubData_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_3,
        GL_extension_GL_ARB_clear_buffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        3194 /* "glClearBufferSubData" */,
        3194 /* "glClearBufferSubData" */,
    };
    return gl_provider_resolver(entrypoint_strings + 3194 /* "glClearBufferSubData" */,
                                providers, entrypoints);
}

static PFNGLCLEARBUFFERFIPROC
epoxy_glClearBufferfi_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        3215 /* "glClearBufferfi" */,
        3215 /* "glClearBufferfi" */,
    };
    return gl_provider_resolver(entrypoint_strings + 3215 /* "glClearBufferfi" */,
                                providers, entrypoints);
}

static PFNGLCLEARBUFFERFVPROC
epoxy_glClearBufferfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        3231 /* "glClearBufferfv" */,
        3231 /* "glClearBufferfv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 3231 /* "glClearBufferfv" */,
                                providers, entrypoints);
}

static PFNGLCLEARBUFFERIVPROC
epoxy_glClearBufferiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        3247 /* "glClearBufferiv" */,
        3247 /* "glClearBufferiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 3247 /* "glClearBufferiv" */,
                                providers, entrypoints);
}

static PFNGLCLEARBUFFERUIVPROC
epoxy_glClearBufferuiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        3263 /* "glClearBufferuiv" */,
        3263 /* "glClearBufferuiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 3263 /* "glClearBufferuiv" */,
                                providers, entrypoints);
}

static PFNGLCLEARCOLORPROC
epoxy_glClearColor_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        3280 /* "glClearColor" */,
        3280 /* "glClearColor" */,
        3280 /* "glClearColor" */,
    };
    return gl_provider_resolver(entrypoint_strings + 3280 /* "glClearColor" */,
                                providers, entrypoints);
}

static PFNGLCLEARCOLORIIEXTPROC
epoxy_glClearColorIiEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_texture_integer, 3293 /* glClearColorIiEXT */);
}

static PFNGLCLEARCOLORIUIEXTPROC
epoxy_glClearColorIuiEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_texture_integer, 3311 /* glClearColorIuiEXT */);
}

static PFNGLCLEARCOLORXPROC
epoxy_glClearColorx_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 3330 /* glClearColorx */);
}

static PFNGLCLEARCOLORXOESPROC
epoxy_glClearColorxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 3344 /* glClearColorxOES */);
}

static PFNGLCLEARDEPTHPROC
epoxy_glClearDepth_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 3361 /* glClearDepth */);
}

static PFNGLCLEARDEPTHDNVPROC
epoxy_glClearDepthdNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_depth_buffer_float, 3374 /* glClearDepthdNV */);
}

static PFNGLCLEARDEPTHFPROC
epoxy_glClearDepthf_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_1_0,
        GL_extension_GL_ARB_ES2_compatibility,
        OpenGL_ES_2_0,
        GL_extension_GL_OES_single_precision,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        3390 /* "glClearDepthf" */,
        3390 /* "glClearDepthf" */,
        3390 /* "glClearDepthf" */,
        3390 /* "glClearDepthf" */,
        3404 /* "glClearDepthfOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 3390 /* "glClearDepthf" */,
                                providers, entrypoints);
}

static PFNGLCLEARDEPTHFOESPROC
epoxy_glClearDepthfOES_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_OES_single_precision,
        Desktop_OpenGL_4_1,
        OpenGL_ES_1_0,
        GL_extension_GL_ARB_ES2_compatibility,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        3404 /* "glClearDepthfOES" */,
        3390 /* "glClearDepthf" */,
        3390 /* "glClearDepthf" */,
        3390 /* "glClearDepthf" */,
        3390 /* "glClearDepthf" */,
    };
    return gl_provider_resolver(entrypoint_strings + 3404 /* "glClearDepthfOES" */,
                                providers, entrypoints);
}

static PFNGLCLEARDEPTHXPROC
epoxy_glClearDepthx_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 3421 /* glClearDepthx */);
}

static PFNGLCLEARDEPTHXOESPROC
epoxy_glClearDepthxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 3435 /* glClearDepthxOES */);
}

static PFNGLCLEARINDEXPROC
epoxy_glClearIndex_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 3452 /* glClearIndex */);
}

static PFNGLCLEARNAMEDBUFFERDATAEXTPROC
epoxy_glClearNamedBufferDataEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 3465 /* glClearNamedBufferDataEXT */);
}

static PFNGLCLEARNAMEDBUFFERSUBDATAEXTPROC
epoxy_glClearNamedBufferSubDataEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 3491 /* glClearNamedBufferSubDataEXT */);
}

static PFNGLCLEARSTENCILPROC
epoxy_glClearStencil_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        3520 /* "glClearStencil" */,
        3520 /* "glClearStencil" */,
        3520 /* "glClearStencil" */,
    };
    return gl_provider_resolver(entrypoint_strings + 3520 /* "glClearStencil" */,
                                providers, entrypoints);
}

static PFNGLCLEARTEXIMAGEPROC
epoxy_glClearTexImage_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_clear_texture,
        Desktop_OpenGL_4_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        3535 /* "glClearTexImage" */,
        3535 /* "glClearTexImage" */,
    };
    return gl_provider_resolver(entrypoint_strings + 3535 /* "glClearTexImage" */,
                                providers, entrypoints);
}

static PFNGLCLEARTEXSUBIMAGEPROC
epoxy_glClearTexSubImage_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_clear_texture,
        Desktop_OpenGL_4_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        3551 /* "glClearTexSubImage" */,
        3551 /* "glClearTexSubImage" */,
    };
    return gl_provider_resolver(entrypoint_strings + 3551 /* "glClearTexSubImage" */,
                                providers, entrypoints);
}

static PFNGLCLIENTACTIVETEXTUREPROC
epoxy_glClientActiveTexture_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        3570 /* "glClientActiveTexture" */,
        3570 /* "glClientActiveTexture" */,
        3592 /* "glClientActiveTextureARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 3570 /* "glClientActiveTexture" */,
                                providers, entrypoints);
}

static PFNGLCLIENTACTIVETEXTUREARBPROC
epoxy_glClientActiveTextureARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multitexture,
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        3592 /* "glClientActiveTextureARB" */,
        3570 /* "glClientActiveTexture" */,
        3570 /* "glClientActiveTexture" */,
    };
    return gl_provider_resolver(entrypoint_strings + 3592 /* "glClientActiveTextureARB" */,
                                providers, entrypoints);
}

static PFNGLCLIENTACTIVEVERTEXSTREAMATIPROC
epoxy_glClientActiveVertexStreamATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 3617 /* glClientActiveVertexStreamATI */);
}

static PFNGLCLIENTATTRIBDEFAULTEXTPROC
epoxy_glClientAttribDefaultEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 3647 /* glClientAttribDefaultEXT */);
}

static PFNGLCLIENTWAITSYNCPROC
epoxy_glClientWaitSync_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_2,
        GL_extension_GL_ARB_sync,
        OpenGL_ES_3_0,
        GL_extension_GL_APPLE_sync,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        3672 /* "glClientWaitSync" */,
        3672 /* "glClientWaitSync" */,
        3672 /* "glClientWaitSync" */,
        3689 /* "glClientWaitSyncAPPLE" */,
    };
    return gl_provider_resolver(entrypoint_strings + 3672 /* "glClientWaitSync" */,
                                providers, entrypoints);
}

static PFNGLCLIENTWAITSYNCAPPLEPROC
epoxy_glClientWaitSyncAPPLE_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_APPLE_sync,
        Desktop_OpenGL_3_2,
        GL_extension_GL_ARB_sync,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        3689 /* "glClientWaitSyncAPPLE" */,
        3672 /* "glClientWaitSync" */,
        3672 /* "glClientWaitSync" */,
        3672 /* "glClientWaitSync" */,
    };
    return gl_provider_resolver(entrypoint_strings + 3689 /* "glClientWaitSyncAPPLE" */,
                                providers, entrypoints);
}

static PFNGLCLIPPLANEPROC
epoxy_glClipPlane_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 3711 /* glClipPlane */);
}

static PFNGLCLIPPLANEFPROC
epoxy_glClipPlanef_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 3723 /* glClipPlanef */);
}

static PFNGLCLIPPLANEFIMGPROC
epoxy_glClipPlanefIMG_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_IMG_user_clip_plane, 3736 /* glClipPlanefIMG */);
}

static PFNGLCLIPPLANEFOESPROC
epoxy_glClipPlanefOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_single_precision, 3752 /* glClipPlanefOES */);
}

static PFNGLCLIPPLANEXPROC
epoxy_glClipPlanex_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 3768 /* glClipPlanex */);
}

static PFNGLCLIPPLANEXIMGPROC
epoxy_glClipPlanexIMG_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_IMG_user_clip_plane, 3781 /* glClipPlanexIMG */);
}

static PFNGLCLIPPLANEXOESPROC
epoxy_glClipPlanexOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 3797 /* glClipPlanexOES */);
}

static PFNGLCOLOR3BPROC
epoxy_glColor3b_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 3813 /* glColor3b */);
}

static PFNGLCOLOR3BVPROC
epoxy_glColor3bv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 3823 /* glColor3bv */);
}

static PFNGLCOLOR3DPROC
epoxy_glColor3d_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 3834 /* glColor3d */);
}

static PFNGLCOLOR3DVPROC
epoxy_glColor3dv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 3844 /* glColor3dv */);
}

static PFNGLCOLOR3FPROC
epoxy_glColor3f_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 3855 /* glColor3f */);
}

static PFNGLCOLOR3FVERTEX3FSUNPROC
epoxy_glColor3fVertex3fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 3865 /* glColor3fVertex3fSUN */);
}

static PFNGLCOLOR3FVERTEX3FVSUNPROC
epoxy_glColor3fVertex3fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 3886 /* glColor3fVertex3fvSUN */);
}

static PFNGLCOLOR3FVPROC
epoxy_glColor3fv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 3908 /* glColor3fv */);
}

static PFNGLCOLOR3HNVPROC
epoxy_glColor3hNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 3919 /* glColor3hNV */);
}

static PFNGLCOLOR3HVNVPROC
epoxy_glColor3hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 3931 /* glColor3hvNV */);
}

static PFNGLCOLOR3IPROC
epoxy_glColor3i_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 3944 /* glColor3i */);
}

static PFNGLCOLOR3IVPROC
epoxy_glColor3iv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 3954 /* glColor3iv */);
}

static PFNGLCOLOR3SPROC
epoxy_glColor3s_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 3965 /* glColor3s */);
}

static PFNGLCOLOR3SVPROC
epoxy_glColor3sv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 3975 /* glColor3sv */);
}

static PFNGLCOLOR3UBPROC
epoxy_glColor3ub_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 3986 /* glColor3ub */);
}

static PFNGLCOLOR3UBVPROC
epoxy_glColor3ubv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 3997 /* glColor3ubv */);
}

static PFNGLCOLOR3UIPROC
epoxy_glColor3ui_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 4009 /* glColor3ui */);
}

static PFNGLCOLOR3UIVPROC
epoxy_glColor3uiv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 4020 /* glColor3uiv */);
}

static PFNGLCOLOR3USPROC
epoxy_glColor3us_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 4032 /* glColor3us */);
}

static PFNGLCOLOR3USVPROC
epoxy_glColor3usv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 4043 /* glColor3usv */);
}

static PFNGLCOLOR3XOESPROC
epoxy_glColor3xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 4055 /* glColor3xOES */);
}

static PFNGLCOLOR3XVOESPROC
epoxy_glColor3xvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 4068 /* glColor3xvOES */);
}

static PFNGLCOLOR4BPROC
epoxy_glColor4b_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 4082 /* glColor4b */);
}

static PFNGLCOLOR4BVPROC
epoxy_glColor4bv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 4092 /* glColor4bv */);
}

static PFNGLCOLOR4DPROC
epoxy_glColor4d_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 4103 /* glColor4d */);
}

static PFNGLCOLOR4DVPROC
epoxy_glColor4dv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 4113 /* glColor4dv */);
}

static PFNGLCOLOR4FPROC
epoxy_glColor4f_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        4124 /* "glColor4f" */,
        4124 /* "glColor4f" */,
    };
    return gl_provider_resolver(entrypoint_strings + 4124 /* "glColor4f" */,
                                providers, entrypoints);
}

static PFNGLCOLOR4FNORMAL3FVERTEX3FSUNPROC
epoxy_glColor4fNormal3fVertex3fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 4134 /* glColor4fNormal3fVertex3fSUN */);
}

static PFNGLCOLOR4FNORMAL3FVERTEX3FVSUNPROC
epoxy_glColor4fNormal3fVertex3fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 4163 /* glColor4fNormal3fVertex3fvSUN */);
}

static PFNGLCOLOR4FVPROC
epoxy_glColor4fv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 4193 /* glColor4fv */);
}

static PFNGLCOLOR4HNVPROC
epoxy_glColor4hNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 4204 /* glColor4hNV */);
}

static PFNGLCOLOR4HVNVPROC
epoxy_glColor4hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 4216 /* glColor4hvNV */);
}

static PFNGLCOLOR4IPROC
epoxy_glColor4i_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 4229 /* glColor4i */);
}

static PFNGLCOLOR4IVPROC
epoxy_glColor4iv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 4239 /* glColor4iv */);
}

static PFNGLCOLOR4SPROC
epoxy_glColor4s_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 4250 /* glColor4s */);
}

static PFNGLCOLOR4SVPROC
epoxy_glColor4sv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 4260 /* glColor4sv */);
}

static PFNGLCOLOR4UBPROC
epoxy_glColor4ub_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        4271 /* "glColor4ub" */,
        4271 /* "glColor4ub" */,
    };
    return gl_provider_resolver(entrypoint_strings + 4271 /* "glColor4ub" */,
                                providers, entrypoints);
}

static PFNGLCOLOR4UBVERTEX2FSUNPROC
epoxy_glColor4ubVertex2fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 4282 /* glColor4ubVertex2fSUN */);
}

static PFNGLCOLOR4UBVERTEX2FVSUNPROC
epoxy_glColor4ubVertex2fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 4304 /* glColor4ubVertex2fvSUN */);
}

static PFNGLCOLOR4UBVERTEX3FSUNPROC
epoxy_glColor4ubVertex3fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 4327 /* glColor4ubVertex3fSUN */);
}

static PFNGLCOLOR4UBVERTEX3FVSUNPROC
epoxy_glColor4ubVertex3fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 4349 /* glColor4ubVertex3fvSUN */);
}

static PFNGLCOLOR4UBVPROC
epoxy_glColor4ubv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 4372 /* glColor4ubv */);
}

static PFNGLCOLOR4UIPROC
epoxy_glColor4ui_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 4384 /* glColor4ui */);
}

static PFNGLCOLOR4UIVPROC
epoxy_glColor4uiv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 4395 /* glColor4uiv */);
}

static PFNGLCOLOR4USPROC
epoxy_glColor4us_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 4407 /* glColor4us */);
}

static PFNGLCOLOR4USVPROC
epoxy_glColor4usv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 4418 /* glColor4usv */);
}

static PFNGLCOLOR4XPROC
epoxy_glColor4x_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 4430 /* glColor4x */);
}

static PFNGLCOLOR4XOESPROC
epoxy_glColor4xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 4440 /* glColor4xOES */);
}

static PFNGLCOLOR4XVOESPROC
epoxy_glColor4xvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 4453 /* glColor4xvOES */);
}

static PFNGLCOLORFORMATNVPROC
epoxy_glColorFormatNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_buffer_unified_memory, 4467 /* glColorFormatNV */);
}

static PFNGLCOLORFRAGMENTOP1ATIPROC
epoxy_glColorFragmentOp1ATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_fragment_shader, 4483 /* glColorFragmentOp1ATI */);
}

static PFNGLCOLORFRAGMENTOP2ATIPROC
epoxy_glColorFragmentOp2ATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_fragment_shader, 4505 /* glColorFragmentOp2ATI */);
}

static PFNGLCOLORFRAGMENTOP3ATIPROC
epoxy_glColorFragmentOp3ATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_fragment_shader, 4527 /* glColorFragmentOp3ATI */);
}

static PFNGLCOLORMASKPROC
epoxy_glColorMask_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        4549 /* "glColorMask" */,
        4549 /* "glColorMask" */,
        4549 /* "glColorMask" */,
    };
    return gl_provider_resolver(entrypoint_strings + 4549 /* "glColorMask" */,
                                providers, entrypoints);
}

static PFNGLCOLORMASKINDEXEDEXTPROC
epoxy_glColorMaskIndexedEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_draw_buffers2,
        Desktop_OpenGL_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        4561 /* "glColorMaskIndexedEXT" */,
        4583 /* "glColorMaski" */,
    };
    return gl_provider_resolver(entrypoint_strings + 4561 /* "glColorMaskIndexedEXT" */,
                                providers, entrypoints);
}

static PFNGLCOLORMASKIPROC
epoxy_glColorMaski_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_EXT_draw_buffers2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        4583 /* "glColorMaski" */,
        4561 /* "glColorMaskIndexedEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 4583 /* "glColorMaski" */,
                                providers, entrypoints);
}

static PFNGLCOLORMATERIALPROC
epoxy_glColorMaterial_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 4596 /* glColorMaterial */);
}

static PFNGLCOLORP3UIPROC
epoxy_glColorP3ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        4612 /* "glColorP3ui" */,
        4612 /* "glColorP3ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 4612 /* "glColorP3ui" */,
                                providers, entrypoints);
}

static PFNGLCOLORP3UIVPROC
epoxy_glColorP3uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        4624 /* "glColorP3uiv" */,
        4624 /* "glColorP3uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 4624 /* "glColorP3uiv" */,
                                providers, entrypoints);
}

static PFNGLCOLORP4UIPROC
epoxy_glColorP4ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        4637 /* "glColorP4ui" */,
        4637 /* "glColorP4ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 4637 /* "glColorP4ui" */,
                                providers, entrypoints);
}

static PFNGLCOLORP4UIVPROC
epoxy_glColorP4uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        4649 /* "glColorP4uiv" */,
        4649 /* "glColorP4uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 4649 /* "glColorP4uiv" */,
                                providers, entrypoints);
}

static PFNGLCOLORPOINTERPROC
epoxy_glColorPointer_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_1,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        4662 /* "glColorPointer" */,
        4662 /* "glColorPointer" */,
    };
    return gl_provider_resolver(entrypoint_strings + 4662 /* "glColorPointer" */,
                                providers, entrypoints);
}

static PFNGLCOLORPOINTEREXTPROC
epoxy_glColorPointerEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_array, 4677 /* glColorPointerEXT */);
}

static PFNGLCOLORPOINTERLISTIBMPROC
epoxy_glColorPointerListIBM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_IBM_vertex_array_lists, 4695 /* glColorPointerListIBM */);
}

static PFNGLCOLORPOINTERVINTELPROC
epoxy_glColorPointervINTEL_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_INTEL_parallel_arrays, 4717 /* glColorPointervINTEL */);
}

static PFNGLCOLORSUBTABLEPROC
epoxy_glColorSubTable_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_EXT_color_subtable,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        4738 /* "glColorSubTable" */,
        4754 /* "glColorSubTableEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 4738 /* "glColorSubTable" */,
                                providers, entrypoints);
}

static PFNGLCOLORSUBTABLEEXTPROC
epoxy_glColorSubTableEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_color_subtable,
        GL_extension_GL_ARB_imaging,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        4754 /* "glColorSubTableEXT" */,
        4738 /* "glColorSubTable" */,
    };
    return gl_provider_resolver(entrypoint_strings + 4754 /* "glColorSubTableEXT" */,
                                providers, entrypoints);
}

static PFNGLCOLORTABLEPROC
epoxy_glColorTable_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_EXT_paletted_texture,
        GL_extension_GL_SGI_color_table,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        4773 /* "glColorTable" */,
        4786 /* "glColorTableEXT" */,
        4904 /* "glColorTableSGI" */,
    };
    return gl_provider_resolver(entrypoint_strings + 4773 /* "glColorTable" */,
                                providers, entrypoints);
}

static PFNGLCOLORTABLEEXTPROC
epoxy_glColorTableEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_paletted_texture,
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_SGI_color_table,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        4786 /* "glColorTableEXT" */,
        4773 /* "glColorTable" */,
        4904 /* "glColorTableSGI" */,
    };
    return gl_provider_resolver(entrypoint_strings + 4786 /* "glColorTableEXT" */,
                                providers, entrypoints);
}

static PFNGLCOLORTABLEPARAMETERFVPROC
epoxy_glColorTableParameterfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_SGI_color_table,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        4802 /* "glColorTableParameterfv" */,
        4826 /* "glColorTableParameterfvSGI" */,
    };
    return gl_provider_resolver(entrypoint_strings + 4802 /* "glColorTableParameterfv" */,
                                providers, entrypoints);
}

static PFNGLCOLORTABLEPARAMETERFVSGIPROC
epoxy_glColorTableParameterfvSGI_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_SGI_color_table,
        GL_extension_GL_ARB_imaging,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        4826 /* "glColorTableParameterfvSGI" */,
        4802 /* "glColorTableParameterfv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 4826 /* "glColorTableParameterfvSGI" */,
                                providers, entrypoints);
}

static PFNGLCOLORTABLEPARAMETERIVPROC
epoxy_glColorTableParameteriv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_SGI_color_table,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        4853 /* "glColorTableParameteriv" */,
        4877 /* "glColorTableParameterivSGI" */,
    };
    return gl_provider_resolver(entrypoint_strings + 4853 /* "glColorTableParameteriv" */,
                                providers, entrypoints);
}

static PFNGLCOLORTABLEPARAMETERIVSGIPROC
epoxy_glColorTableParameterivSGI_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_SGI_color_table,
        GL_extension_GL_ARB_imaging,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        4877 /* "glColorTableParameterivSGI" */,
        4853 /* "glColorTableParameteriv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 4877 /* "glColorTableParameterivSGI" */,
                                providers, entrypoints);
}

static PFNGLCOLORTABLESGIPROC
epoxy_glColorTableSGI_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_SGI_color_table,
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_EXT_paletted_texture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        4904 /* "glColorTableSGI" */,
        4773 /* "glColorTable" */,
        4786 /* "glColorTableEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 4904 /* "glColorTableSGI" */,
                                providers, entrypoints);
}

static PFNGLCOMBINERINPUTNVPROC
epoxy_glCombinerInputNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_register_combiners, 4920 /* glCombinerInputNV */);
}

static PFNGLCOMBINEROUTPUTNVPROC
epoxy_glCombinerOutputNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_register_combiners, 4938 /* glCombinerOutputNV */);
}

static PFNGLCOMBINERPARAMETERFNVPROC
epoxy_glCombinerParameterfNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_register_combiners, 4957 /* glCombinerParameterfNV */);
}

static PFNGLCOMBINERPARAMETERFVNVPROC
epoxy_glCombinerParameterfvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_register_combiners, 4980 /* glCombinerParameterfvNV */);
}

static PFNGLCOMBINERPARAMETERINVPROC
epoxy_glCombinerParameteriNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_register_combiners, 5004 /* glCombinerParameteriNV */);
}

static PFNGLCOMBINERPARAMETERIVNVPROC
epoxy_glCombinerParameterivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_register_combiners, 5027 /* glCombinerParameterivNV */);
}

static PFNGLCOMBINERSTAGEPARAMETERFVNVPROC
epoxy_glCombinerStageParameterfvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_register_combiners2, 5051 /* glCombinerStageParameterfvNV */);
}

static PFNGLCOMPILESHADERPROC
epoxy_glCompileShader_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        5080 /* "glCompileShader" */,
        5080 /* "glCompileShader" */,
        5096 /* "glCompileShaderARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 5080 /* "glCompileShader" */,
                                providers, entrypoints);
}

static PFNGLCOMPILESHADERARBPROC
epoxy_glCompileShaderARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_objects,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        5096 /* "glCompileShaderARB" */,
        5080 /* "glCompileShader" */,
        5080 /* "glCompileShader" */,
    };
    return gl_provider_resolver(entrypoint_strings + 5096 /* "glCompileShaderARB" */,
                                providers, entrypoints);
}

static PFNGLCOMPILESHADERINCLUDEARBPROC
epoxy_glCompileShaderIncludeARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_shading_language_include, 5115 /* glCompileShaderIncludeARB */);
}

static PFNGLCOMPRESSEDMULTITEXIMAGE1DEXTPROC
epoxy_glCompressedMultiTexImage1DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 5141 /* glCompressedMultiTexImage1DEXT */);
}

static PFNGLCOMPRESSEDMULTITEXIMAGE2DEXTPROC
epoxy_glCompressedMultiTexImage2DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 5172 /* glCompressedMultiTexImage2DEXT */);
}

static PFNGLCOMPRESSEDMULTITEXIMAGE3DEXTPROC
epoxy_glCompressedMultiTexImage3DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 5203 /* glCompressedMultiTexImage3DEXT */);
}

static PFNGLCOMPRESSEDMULTITEXSUBIMAGE1DEXTPROC
epoxy_glCompressedMultiTexSubImage1DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 5234 /* glCompressedMultiTexSubImage1DEXT */);
}

static PFNGLCOMPRESSEDMULTITEXSUBIMAGE2DEXTPROC
epoxy_glCompressedMultiTexSubImage2DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 5268 /* glCompressedMultiTexSubImage2DEXT */);
}

static PFNGLCOMPRESSEDMULTITEXSUBIMAGE3DEXTPROC
epoxy_glCompressedMultiTexSubImage3DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 5302 /* glCompressedMultiTexSubImage3DEXT */);
}

static PFNGLCOMPRESSEDTEXIMAGE1DPROC
epoxy_glCompressedTexImage1D_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_texture_compression,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        5336 /* "glCompressedTexImage1D" */,
        5359 /* "glCompressedTexImage1DARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 5336 /* "glCompressedTexImage1D" */,
                                providers, entrypoints);
}

static PFNGLCOMPRESSEDTEXIMAGE1DARBPROC
epoxy_glCompressedTexImage1DARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_texture_compression,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        5359 /* "glCompressedTexImage1DARB" */,
        5336 /* "glCompressedTexImage1D" */,
    };
    return gl_provider_resolver(entrypoint_strings + 5359 /* "glCompressedTexImage1DARB" */,
                                providers, entrypoints);
}

static PFNGLCOMPRESSEDTEXIMAGE2DPROC
epoxy_glCompressedTexImage2D_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_3,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_texture_compression,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        5385 /* "glCompressedTexImage2D" */,
        5385 /* "glCompressedTexImage2D" */,
        5385 /* "glCompressedTexImage2D" */,
        5408 /* "glCompressedTexImage2DARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 5385 /* "glCompressedTexImage2D" */,
                                providers, entrypoints);
}

static PFNGLCOMPRESSEDTEXIMAGE2DARBPROC
epoxy_glCompressedTexImage2DARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_texture_compression,
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_3,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        5408 /* "glCompressedTexImage2DARB" */,
        5385 /* "glCompressedTexImage2D" */,
        5385 /* "glCompressedTexImage2D" */,
        5385 /* "glCompressedTexImage2D" */,
    };
    return gl_provider_resolver(entrypoint_strings + 5408 /* "glCompressedTexImage2DARB" */,
                                providers, entrypoints);
}

static PFNGLCOMPRESSEDTEXIMAGE3DPROC
epoxy_glCompressedTexImage3D_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_texture_compression,
        GL_extension_GL_OES_texture_3D,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        5434 /* "glCompressedTexImage3D" */,
        5434 /* "glCompressedTexImage3D" */,
        5457 /* "glCompressedTexImage3DARB" */,
        5483 /* "glCompressedTexImage3DOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 5434 /* "glCompressedTexImage3D" */,
                                providers, entrypoints);
}

static PFNGLCOMPRESSEDTEXIMAGE3DARBPROC
epoxy_glCompressedTexImage3DARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_texture_compression,
        Desktop_OpenGL_1_3,
        OpenGL_ES_3_0,
        GL_extension_GL_OES_texture_3D,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        5457 /* "glCompressedTexImage3DARB" */,
        5434 /* "glCompressedTexImage3D" */,
        5434 /* "glCompressedTexImage3D" */,
        5483 /* "glCompressedTexImage3DOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 5457 /* "glCompressedTexImage3DARB" */,
                                providers, entrypoints);
}

static PFNGLCOMPRESSEDTEXIMAGE3DOESPROC
epoxy_glCompressedTexImage3DOES_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_OES_texture_3D,
        Desktop_OpenGL_1_3,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_texture_compression,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        5483 /* "glCompressedTexImage3DOES" */,
        5434 /* "glCompressedTexImage3D" */,
        5434 /* "glCompressedTexImage3D" */,
        5457 /* "glCompressedTexImage3DARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 5483 /* "glCompressedTexImage3DOES" */,
                                providers, entrypoints);
}

static PFNGLCOMPRESSEDTEXSUBIMAGE1DPROC
epoxy_glCompressedTexSubImage1D_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_texture_compression,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        5509 /* "glCompressedTexSubImage1D" */,
        5535 /* "glCompressedTexSubImage1DARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 5509 /* "glCompressedTexSubImage1D" */,
                                providers, entrypoints);
}

static PFNGLCOMPRESSEDTEXSUBIMAGE1DARBPROC
epoxy_glCompressedTexSubImage1DARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_texture_compression,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        5535 /* "glCompressedTexSubImage1DARB" */,
        5509 /* "glCompressedTexSubImage1D" */,
    };
    return gl_provider_resolver(entrypoint_strings + 5535 /* "glCompressedTexSubImage1DARB" */,
                                providers, entrypoints);
}

static PFNGLCOMPRESSEDTEXSUBIMAGE2DPROC
epoxy_glCompressedTexSubImage2D_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_3,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_texture_compression,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        5564 /* "glCompressedTexSubImage2D" */,
        5564 /* "glCompressedTexSubImage2D" */,
        5564 /* "glCompressedTexSubImage2D" */,
        5590 /* "glCompressedTexSubImage2DARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 5564 /* "glCompressedTexSubImage2D" */,
                                providers, entrypoints);
}

static PFNGLCOMPRESSEDTEXSUBIMAGE2DARBPROC
epoxy_glCompressedTexSubImage2DARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_texture_compression,
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_3,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        5590 /* "glCompressedTexSubImage2DARB" */,
        5564 /* "glCompressedTexSubImage2D" */,
        5564 /* "glCompressedTexSubImage2D" */,
        5564 /* "glCompressedTexSubImage2D" */,
    };
    return gl_provider_resolver(entrypoint_strings + 5590 /* "glCompressedTexSubImage2DARB" */,
                                providers, entrypoints);
}

static PFNGLCOMPRESSEDTEXSUBIMAGE3DPROC
epoxy_glCompressedTexSubImage3D_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_texture_compression,
        GL_extension_GL_OES_texture_3D,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        5619 /* "glCompressedTexSubImage3D" */,
        5619 /* "glCompressedTexSubImage3D" */,
        5645 /* "glCompressedTexSubImage3DARB" */,
        5674 /* "glCompressedTexSubImage3DOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 5619 /* "glCompressedTexSubImage3D" */,
                                providers, entrypoints);
}

static PFNGLCOMPRESSEDTEXSUBIMAGE3DARBPROC
epoxy_glCompressedTexSubImage3DARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_texture_compression,
        Desktop_OpenGL_1_3,
        OpenGL_ES_3_0,
        GL_extension_GL_OES_texture_3D,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        5645 /* "glCompressedTexSubImage3DARB" */,
        5619 /* "glCompressedTexSubImage3D" */,
        5619 /* "glCompressedTexSubImage3D" */,
        5674 /* "glCompressedTexSubImage3DOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 5645 /* "glCompressedTexSubImage3DARB" */,
                                providers, entrypoints);
}

static PFNGLCOMPRESSEDTEXSUBIMAGE3DOESPROC
epoxy_glCompressedTexSubImage3DOES_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_OES_texture_3D,
        Desktop_OpenGL_1_3,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_texture_compression,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        5674 /* "glCompressedTexSubImage3DOES" */,
        5619 /* "glCompressedTexSubImage3D" */,
        5619 /* "glCompressedTexSubImage3D" */,
        5645 /* "glCompressedTexSubImage3DARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 5674 /* "glCompressedTexSubImage3DOES" */,
                                providers, entrypoints);
}

static PFNGLCOMPRESSEDTEXTUREIMAGE1DEXTPROC
epoxy_glCompressedTextureImage1DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 5703 /* glCompressedTextureImage1DEXT */);
}

static PFNGLCOMPRESSEDTEXTUREIMAGE2DEXTPROC
epoxy_glCompressedTextureImage2DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 5733 /* glCompressedTextureImage2DEXT */);
}

static PFNGLCOMPRESSEDTEXTUREIMAGE3DEXTPROC
epoxy_glCompressedTextureImage3DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 5763 /* glCompressedTextureImage3DEXT */);
}

static PFNGLCOMPRESSEDTEXTURESUBIMAGE1DEXTPROC
epoxy_glCompressedTextureSubImage1DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 5793 /* glCompressedTextureSubImage1DEXT */);
}

static PFNGLCOMPRESSEDTEXTURESUBIMAGE2DEXTPROC
epoxy_glCompressedTextureSubImage2DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 5826 /* glCompressedTextureSubImage2DEXT */);
}

static PFNGLCOMPRESSEDTEXTURESUBIMAGE3DEXTPROC
epoxy_glCompressedTextureSubImage3DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 5859 /* glCompressedTextureSubImage3DEXT */);
}

static PFNGLCONVOLUTIONFILTER1DPROC
epoxy_glConvolutionFilter1D_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_EXT_convolution,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        5892 /* "glConvolutionFilter1D" */,
        5914 /* "glConvolutionFilter1DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 5892 /* "glConvolutionFilter1D" */,
                                providers, entrypoints);
}

static PFNGLCONVOLUTIONFILTER1DEXTPROC
epoxy_glConvolutionFilter1DEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_convolution,
        GL_extension_GL_ARB_imaging,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        5914 /* "glConvolutionFilter1DEXT" */,
        5892 /* "glConvolutionFilter1D" */,
    };
    return gl_provider_resolver(entrypoint_strings + 5914 /* "glConvolutionFilter1DEXT" */,
                                providers, entrypoints);
}

static PFNGLCONVOLUTIONFILTER2DPROC
epoxy_glConvolutionFilter2D_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_EXT_convolution,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        5939 /* "glConvolutionFilter2D" */,
        5961 /* "glConvolutionFilter2DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 5939 /* "glConvolutionFilter2D" */,
                                providers, entrypoints);
}

static PFNGLCONVOLUTIONFILTER2DEXTPROC
epoxy_glConvolutionFilter2DEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_convolution,
        GL_extension_GL_ARB_imaging,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        5961 /* "glConvolutionFilter2DEXT" */,
        5939 /* "glConvolutionFilter2D" */,
    };
    return gl_provider_resolver(entrypoint_strings + 5961 /* "glConvolutionFilter2DEXT" */,
                                providers, entrypoints);
}

static PFNGLCONVOLUTIONPARAMETERFPROC
epoxy_glConvolutionParameterf_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_EXT_convolution,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        5986 /* "glConvolutionParameterf" */,
        6010 /* "glConvolutionParameterfEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 5986 /* "glConvolutionParameterf" */,
                                providers, entrypoints);
}

static PFNGLCONVOLUTIONPARAMETERFEXTPROC
epoxy_glConvolutionParameterfEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_convolution,
        GL_extension_GL_ARB_imaging,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6010 /* "glConvolutionParameterfEXT" */,
        5986 /* "glConvolutionParameterf" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6010 /* "glConvolutionParameterfEXT" */,
                                providers, entrypoints);
}

static PFNGLCONVOLUTIONPARAMETERFVPROC
epoxy_glConvolutionParameterfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_EXT_convolution,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6037 /* "glConvolutionParameterfv" */,
        6062 /* "glConvolutionParameterfvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6037 /* "glConvolutionParameterfv" */,
                                providers, entrypoints);
}

static PFNGLCONVOLUTIONPARAMETERFVEXTPROC
epoxy_glConvolutionParameterfvEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_convolution,
        GL_extension_GL_ARB_imaging,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6062 /* "glConvolutionParameterfvEXT" */,
        6037 /* "glConvolutionParameterfv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6062 /* "glConvolutionParameterfvEXT" */,
                                providers, entrypoints);
}

static PFNGLCONVOLUTIONPARAMETERIPROC
epoxy_glConvolutionParameteri_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_EXT_convolution,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6090 /* "glConvolutionParameteri" */,
        6114 /* "glConvolutionParameteriEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6090 /* "glConvolutionParameteri" */,
                                providers, entrypoints);
}

static PFNGLCONVOLUTIONPARAMETERIEXTPROC
epoxy_glConvolutionParameteriEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_convolution,
        GL_extension_GL_ARB_imaging,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6114 /* "glConvolutionParameteriEXT" */,
        6090 /* "glConvolutionParameteri" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6114 /* "glConvolutionParameteriEXT" */,
                                providers, entrypoints);
}

static PFNGLCONVOLUTIONPARAMETERIVPROC
epoxy_glConvolutionParameteriv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_EXT_convolution,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6141 /* "glConvolutionParameteriv" */,
        6166 /* "glConvolutionParameterivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6141 /* "glConvolutionParameteriv" */,
                                providers, entrypoints);
}

static PFNGLCONVOLUTIONPARAMETERIVEXTPROC
epoxy_glConvolutionParameterivEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_convolution,
        GL_extension_GL_ARB_imaging,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6166 /* "glConvolutionParameterivEXT" */,
        6141 /* "glConvolutionParameteriv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6166 /* "glConvolutionParameterivEXT" */,
                                providers, entrypoints);
}

static PFNGLCONVOLUTIONPARAMETERXOESPROC
epoxy_glConvolutionParameterxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 6194 /* glConvolutionParameterxOES */);
}

static PFNGLCONVOLUTIONPARAMETERXVOESPROC
epoxy_glConvolutionParameterxvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 6221 /* glConvolutionParameterxvOES */);
}

static PFNGLCOPYBUFFERSUBDATAPROC
epoxy_glCopyBufferSubData_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_1,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_copy_buffer,
        GL_extension_GL_NV_copy_buffer,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6249 /* "glCopyBufferSubData" */,
        6249 /* "glCopyBufferSubData" */,
        6249 /* "glCopyBufferSubData" */,
        6269 /* "glCopyBufferSubDataNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6249 /* "glCopyBufferSubData" */,
                                providers, entrypoints);
}

static PFNGLCOPYBUFFERSUBDATANVPROC
epoxy_glCopyBufferSubDataNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_copy_buffer,
        Desktop_OpenGL_3_1,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_copy_buffer,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6269 /* "glCopyBufferSubDataNV" */,
        6249 /* "glCopyBufferSubData" */,
        6249 /* "glCopyBufferSubData" */,
        6249 /* "glCopyBufferSubData" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6269 /* "glCopyBufferSubDataNV" */,
                                providers, entrypoints);
}

static PFNGLCOPYCOLORSUBTABLEPROC
epoxy_glCopyColorSubTable_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_EXT_color_subtable,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6291 /* "glCopyColorSubTable" */,
        6311 /* "glCopyColorSubTableEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6291 /* "glCopyColorSubTable" */,
                                providers, entrypoints);
}

static PFNGLCOPYCOLORSUBTABLEEXTPROC
epoxy_glCopyColorSubTableEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_color_subtable,
        GL_extension_GL_ARB_imaging,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6311 /* "glCopyColorSubTableEXT" */,
        6291 /* "glCopyColorSubTable" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6311 /* "glCopyColorSubTableEXT" */,
                                providers, entrypoints);
}

static PFNGLCOPYCOLORTABLEPROC
epoxy_glCopyColorTable_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_SGI_color_table,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6334 /* "glCopyColorTable" */,
        6351 /* "glCopyColorTableSGI" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6334 /* "glCopyColorTable" */,
                                providers, entrypoints);
}

static PFNGLCOPYCOLORTABLESGIPROC
epoxy_glCopyColorTableSGI_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_SGI_color_table,
        GL_extension_GL_ARB_imaging,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6351 /* "glCopyColorTableSGI" */,
        6334 /* "glCopyColorTable" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6351 /* "glCopyColorTableSGI" */,
                                providers, entrypoints);
}

static PFNGLCOPYCONVOLUTIONFILTER1DPROC
epoxy_glCopyConvolutionFilter1D_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_EXT_convolution,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6371 /* "glCopyConvolutionFilter1D" */,
        6397 /* "glCopyConvolutionFilter1DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6371 /* "glCopyConvolutionFilter1D" */,
                                providers, entrypoints);
}

static PFNGLCOPYCONVOLUTIONFILTER1DEXTPROC
epoxy_glCopyConvolutionFilter1DEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_convolution,
        GL_extension_GL_ARB_imaging,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6397 /* "glCopyConvolutionFilter1DEXT" */,
        6371 /* "glCopyConvolutionFilter1D" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6397 /* "glCopyConvolutionFilter1DEXT" */,
                                providers, entrypoints);
}

static PFNGLCOPYCONVOLUTIONFILTER2DPROC
epoxy_glCopyConvolutionFilter2D_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_EXT_convolution,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6426 /* "glCopyConvolutionFilter2D" */,
        6452 /* "glCopyConvolutionFilter2DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6426 /* "glCopyConvolutionFilter2D" */,
                                providers, entrypoints);
}

static PFNGLCOPYCONVOLUTIONFILTER2DEXTPROC
epoxy_glCopyConvolutionFilter2DEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_convolution,
        GL_extension_GL_ARB_imaging,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6452 /* "glCopyConvolutionFilter2DEXT" */,
        6426 /* "glCopyConvolutionFilter2D" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6452 /* "glCopyConvolutionFilter2DEXT" */,
                                providers, entrypoints);
}

static PFNGLCOPYIMAGESUBDATAPROC
epoxy_glCopyImageSubData_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_3,
        GL_extension_GL_ARB_copy_image,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6481 /* "glCopyImageSubData" */,
        6481 /* "glCopyImageSubData" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6481 /* "glCopyImageSubData" */,
                                providers, entrypoints);
}

static PFNGLCOPYIMAGESUBDATANVPROC
epoxy_glCopyImageSubDataNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_copy_image, 6500 /* glCopyImageSubDataNV */);
}

static PFNGLCOPYMULTITEXIMAGE1DEXTPROC
epoxy_glCopyMultiTexImage1DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 6521 /* glCopyMultiTexImage1DEXT */);
}

static PFNGLCOPYMULTITEXIMAGE2DEXTPROC
epoxy_glCopyMultiTexImage2DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 6546 /* glCopyMultiTexImage2DEXT */);
}

static PFNGLCOPYMULTITEXSUBIMAGE1DEXTPROC
epoxy_glCopyMultiTexSubImage1DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 6571 /* glCopyMultiTexSubImage1DEXT */);
}

static PFNGLCOPYMULTITEXSUBIMAGE2DEXTPROC
epoxy_glCopyMultiTexSubImage2DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 6599 /* glCopyMultiTexSubImage2DEXT */);
}

static PFNGLCOPYMULTITEXSUBIMAGE3DEXTPROC
epoxy_glCopyMultiTexSubImage3DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 6627 /* glCopyMultiTexSubImage3DEXT */);
}

static PFNGLCOPYPATHNVPROC
epoxy_glCopyPathNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 6655 /* glCopyPathNV */);
}

static PFNGLCOPYPIXELSPROC
epoxy_glCopyPixels_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 6668 /* glCopyPixels */);
}

static PFNGLCOPYTEXIMAGE1DPROC
epoxy_glCopyTexImage1D_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_1,
        GL_extension_GL_EXT_copy_texture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6681 /* "glCopyTexImage1D" */,
        6698 /* "glCopyTexImage1DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6681 /* "glCopyTexImage1D" */,
                                providers, entrypoints);
}

static PFNGLCOPYTEXIMAGE1DEXTPROC
epoxy_glCopyTexImage1DEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_copy_texture,
        Desktop_OpenGL_1_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6698 /* "glCopyTexImage1DEXT" */,
        6681 /* "glCopyTexImage1D" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6698 /* "glCopyTexImage1DEXT" */,
                                providers, entrypoints);
}

static PFNGLCOPYTEXIMAGE2DPROC
epoxy_glCopyTexImage2D_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_1,
        OpenGL_ES_2_0,
        OpenGL_ES_1_0,
        GL_extension_GL_EXT_copy_texture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6718 /* "glCopyTexImage2D" */,
        6718 /* "glCopyTexImage2D" */,
        6718 /* "glCopyTexImage2D" */,
        6735 /* "glCopyTexImage2DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6718 /* "glCopyTexImage2D" */,
                                providers, entrypoints);
}

static PFNGLCOPYTEXIMAGE2DEXTPROC
epoxy_glCopyTexImage2DEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_copy_texture,
        Desktop_OpenGL_1_1,
        OpenGL_ES_2_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6735 /* "glCopyTexImage2DEXT" */,
        6718 /* "glCopyTexImage2D" */,
        6718 /* "glCopyTexImage2D" */,
        6718 /* "glCopyTexImage2D" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6735 /* "glCopyTexImage2DEXT" */,
                                providers, entrypoints);
}

static PFNGLCOPYTEXSUBIMAGE1DPROC
epoxy_glCopyTexSubImage1D_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_1,
        GL_extension_GL_EXT_copy_texture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6755 /* "glCopyTexSubImage1D" */,
        6775 /* "glCopyTexSubImage1DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6755 /* "glCopyTexSubImage1D" */,
                                providers, entrypoints);
}

static PFNGLCOPYTEXSUBIMAGE1DEXTPROC
epoxy_glCopyTexSubImage1DEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_copy_texture,
        Desktop_OpenGL_1_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6775 /* "glCopyTexSubImage1DEXT" */,
        6755 /* "glCopyTexSubImage1D" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6775 /* "glCopyTexSubImage1DEXT" */,
                                providers, entrypoints);
}

static PFNGLCOPYTEXSUBIMAGE2DPROC
epoxy_glCopyTexSubImage2D_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_1,
        OpenGL_ES_2_0,
        OpenGL_ES_1_0,
        GL_extension_GL_EXT_copy_texture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6798 /* "glCopyTexSubImage2D" */,
        6798 /* "glCopyTexSubImage2D" */,
        6798 /* "glCopyTexSubImage2D" */,
        6818 /* "glCopyTexSubImage2DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6798 /* "glCopyTexSubImage2D" */,
                                providers, entrypoints);
}

static PFNGLCOPYTEXSUBIMAGE2DEXTPROC
epoxy_glCopyTexSubImage2DEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_copy_texture,
        Desktop_OpenGL_1_1,
        OpenGL_ES_2_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6818 /* "glCopyTexSubImage2DEXT" */,
        6798 /* "glCopyTexSubImage2D" */,
        6798 /* "glCopyTexSubImage2D" */,
        6798 /* "glCopyTexSubImage2D" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6818 /* "glCopyTexSubImage2DEXT" */,
                                providers, entrypoints);
}

static PFNGLCOPYTEXSUBIMAGE3DPROC
epoxy_glCopyTexSubImage3D_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_2,
        OpenGL_ES_3_0,
        GL_extension_GL_EXT_copy_texture,
        GL_extension_GL_OES_texture_3D,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6841 /* "glCopyTexSubImage3D" */,
        6841 /* "glCopyTexSubImage3D" */,
        6861 /* "glCopyTexSubImage3DEXT" */,
        6884 /* "glCopyTexSubImage3DOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6841 /* "glCopyTexSubImage3D" */,
                                providers, entrypoints);
}

static PFNGLCOPYTEXSUBIMAGE3DEXTPROC
epoxy_glCopyTexSubImage3DEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_copy_texture,
        Desktop_OpenGL_1_2,
        OpenGL_ES_3_0,
        GL_extension_GL_OES_texture_3D,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6861 /* "glCopyTexSubImage3DEXT" */,
        6841 /* "glCopyTexSubImage3D" */,
        6841 /* "glCopyTexSubImage3D" */,
        6884 /* "glCopyTexSubImage3DOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6861 /* "glCopyTexSubImage3DEXT" */,
                                providers, entrypoints);
}

static PFNGLCOPYTEXSUBIMAGE3DOESPROC
epoxy_glCopyTexSubImage3DOES_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_OES_texture_3D,
        Desktop_OpenGL_1_2,
        OpenGL_ES_3_0,
        GL_extension_GL_EXT_copy_texture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        6884 /* "glCopyTexSubImage3DOES" */,
        6841 /* "glCopyTexSubImage3D" */,
        6841 /* "glCopyTexSubImage3D" */,
        6861 /* "glCopyTexSubImage3DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 6884 /* "glCopyTexSubImage3DOES" */,
                                providers, entrypoints);
}

static PFNGLCOPYTEXTUREIMAGE1DEXTPROC
epoxy_glCopyTextureImage1DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 6907 /* glCopyTextureImage1DEXT */);
}

static PFNGLCOPYTEXTUREIMAGE2DEXTPROC
epoxy_glCopyTextureImage2DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 6931 /* glCopyTextureImage2DEXT */);
}

static PFNGLCOPYTEXTURELEVELSAPPLEPROC
epoxy_glCopyTextureLevelsAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_copy_texture_levels, 6955 /* glCopyTextureLevelsAPPLE */);
}

static PFNGLCOPYTEXTURESUBIMAGE1DEXTPROC
epoxy_glCopyTextureSubImage1DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 6980 /* glCopyTextureSubImage1DEXT */);
}

static PFNGLCOPYTEXTURESUBIMAGE2DEXTPROC
epoxy_glCopyTextureSubImage2DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 7007 /* glCopyTextureSubImage2DEXT */);
}

static PFNGLCOPYTEXTURESUBIMAGE3DEXTPROC
epoxy_glCopyTextureSubImage3DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 7034 /* glCopyTextureSubImage3DEXT */);
}

static PFNGLCOVERFILLPATHINSTANCEDNVPROC
epoxy_glCoverFillPathInstancedNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 7061 /* glCoverFillPathInstancedNV */);
}

static PFNGLCOVERFILLPATHNVPROC
epoxy_glCoverFillPathNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 7088 /* glCoverFillPathNV */);
}

static PFNGLCOVERSTROKEPATHINSTANCEDNVPROC
epoxy_glCoverStrokePathInstancedNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 7106 /* glCoverStrokePathInstancedNV */);
}

static PFNGLCOVERSTROKEPATHNVPROC
epoxy_glCoverStrokePathNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 7135 /* glCoverStrokePathNV */);
}

static PFNGLCOVERAGEMASKNVPROC
epoxy_glCoverageMaskNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_coverage_sample, 7155 /* glCoverageMaskNV */);
}

static PFNGLCOVERAGEOPERATIONNVPROC
epoxy_glCoverageOperationNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_coverage_sample, 7172 /* glCoverageOperationNV */);
}

static PFNGLCREATEPERFQUERYINTELPROC
epoxy_glCreatePerfQueryINTEL_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_INTEL_performance_query, 7194 /* glCreatePerfQueryINTEL */);
}

static PFNGLCREATEPROGRAMPROC
epoxy_glCreateProgram_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        7217 /* "glCreateProgram" */,
        7217 /* "glCreateProgram" */,
        7233 /* "glCreateProgramObjectARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 7217 /* "glCreateProgram" */,
                                providers, entrypoints);
}

static PFNGLCREATEPROGRAMOBJECTARBPROC
epoxy_glCreateProgramObjectARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_objects,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        7233 /* "glCreateProgramObjectARB" */,
        7217 /* "glCreateProgram" */,
        7217 /* "glCreateProgram" */,
    };
    return gl_provider_resolver(entrypoint_strings + 7233 /* "glCreateProgramObjectARB" */,
                                providers, entrypoints);
}

static PFNGLCREATESHADERPROC
epoxy_glCreateShader_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        7258 /* "glCreateShader" */,
        7258 /* "glCreateShader" */,
        7273 /* "glCreateShaderObjectARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 7258 /* "glCreateShader" */,
                                providers, entrypoints);
}

static PFNGLCREATESHADEROBJECTARBPROC
epoxy_glCreateShaderObjectARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_objects,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        7273 /* "glCreateShaderObjectARB" */,
        7258 /* "glCreateShader" */,
        7258 /* "glCreateShader" */,
    };
    return gl_provider_resolver(entrypoint_strings + 7273 /* "glCreateShaderObjectARB" */,
                                providers, entrypoints);
}

static PFNGLCREATESHADERPROGRAMEXTPROC
epoxy_glCreateShaderProgramEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_separate_shader_objects, 7297 /* glCreateShaderProgramEXT */);
}

static PFNGLCREATESHADERPROGRAMVPROC
epoxy_glCreateShaderProgramv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        7322 /* "glCreateShaderProgramv" */,
        7322 /* "glCreateShaderProgramv" */,
        7322 /* "glCreateShaderProgramv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 7322 /* "glCreateShaderProgramv" */,
                                providers, entrypoints);
}

static PFNGLCREATESHADERPROGRAMVEXTPROC
epoxy_glCreateShaderProgramvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_separate_shader_objects, 7345 /* glCreateShaderProgramvEXT */);
}

static PFNGLCREATESYNCFROMCLEVENTARBPROC
epoxy_glCreateSyncFromCLeventARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_cl_event, 7371 /* glCreateSyncFromCLeventARB */);
}

static PFNGLCULLFACEPROC
epoxy_glCullFace_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        7398 /* "glCullFace" */,
        7398 /* "glCullFace" */,
        7398 /* "glCullFace" */,
    };
    return gl_provider_resolver(entrypoint_strings + 7398 /* "glCullFace" */,
                                providers, entrypoints);
}

static PFNGLCULLPARAMETERDVEXTPROC
epoxy_glCullParameterdvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_cull_vertex, 7409 /* glCullParameterdvEXT */);
}

static PFNGLCULLPARAMETERFVEXTPROC
epoxy_glCullParameterfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_cull_vertex, 7430 /* glCullParameterfvEXT */);
}

static PFNGLCURRENTPALETTEMATRIXARBPROC
epoxy_glCurrentPaletteMatrixARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_matrix_palette, 7451 /* glCurrentPaletteMatrixARB */);
}

static PFNGLCURRENTPALETTEMATRIXOESPROC
epoxy_glCurrentPaletteMatrixOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_matrix_palette, 7477 /* glCurrentPaletteMatrixOES */);
}

static PFNGLDEBUGMESSAGECALLBACKPROC
epoxy_glDebugMessageCallback_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_3,
        GL_extension_GL_KHR_debug,
        GL_extension_GL_ARB_debug_output,
        GL_extension_GL_KHR_debug,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        7503 /* "glDebugMessageCallback" */,
        7503 /* "glDebugMessageCallback" */,
        7552 /* "glDebugMessageCallbackARB" */,
        7578 /* "glDebugMessageCallbackKHR" */,
    };
    return gl_provider_resolver(entrypoint_strings + 7503 /* "glDebugMessageCallback" */,
                                providers, entrypoints);
}

static PFNGLDEBUGMESSAGECALLBACKAMDPROC
epoxy_glDebugMessageCallbackAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_debug_output, 7526 /* glDebugMessageCallbackAMD */);
}

static PFNGLDEBUGMESSAGECALLBACKARBPROC
epoxy_glDebugMessageCallbackARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_debug_output,
        Desktop_OpenGL_4_3,
        GL_extension_GL_KHR_debug,
        GL_extension_GL_KHR_debug,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        7552 /* "glDebugMessageCallbackARB" */,
        7503 /* "glDebugMessageCallback" */,
        7503 /* "glDebugMessageCallback" */,
        7578 /* "glDebugMessageCallbackKHR" */,
    };
    return gl_provider_resolver(entrypoint_strings + 7552 /* "glDebugMessageCallbackARB" */,
                                providers, entrypoints);
}

static PFNGLDEBUGMESSAGECALLBACKKHRPROC
epoxy_glDebugMessageCallbackKHR_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_KHR_debug,
        Desktop_OpenGL_4_3,
        GL_extension_GL_KHR_debug,
        GL_extension_GL_ARB_debug_output,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        7578 /* "glDebugMessageCallbackKHR" */,
        7503 /* "glDebugMessageCallback" */,
        7503 /* "glDebugMessageCallback" */,
        7552 /* "glDebugMessageCallbackARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 7578 /* "glDebugMessageCallbackKHR" */,
                                providers, entrypoints);
}

static PFNGLDEBUGMESSAGECONTROLPROC
epoxy_glDebugMessageControl_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_3,
        GL_extension_GL_KHR_debug,
        GL_extension_GL_ARB_debug_output,
        GL_extension_GL_KHR_debug,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        7604 /* "glDebugMessageControl" */,
        7604 /* "glDebugMessageControl" */,
        7626 /* "glDebugMessageControlARB" */,
        7651 /* "glDebugMessageControlKHR" */,
    };
    return gl_provider_resolver(entrypoint_strings + 7604 /* "glDebugMessageControl" */,
                                providers, entrypoints);
}

static PFNGLDEBUGMESSAGECONTROLARBPROC
epoxy_glDebugMessageControlARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_debug_output,
        Desktop_OpenGL_4_3,
        GL_extension_GL_KHR_debug,
        GL_extension_GL_KHR_debug,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        7626 /* "glDebugMessageControlARB" */,
        7604 /* "glDebugMessageControl" */,
        7604 /* "glDebugMessageControl" */,
        7651 /* "glDebugMessageControlKHR" */,
    };
    return gl_provider_resolver(entrypoint_strings + 7626 /* "glDebugMessageControlARB" */,
                                providers, entrypoints);
}

static PFNGLDEBUGMESSAGECONTROLKHRPROC
epoxy_glDebugMessageControlKHR_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_KHR_debug,
        Desktop_OpenGL_4_3,
        GL_extension_GL_KHR_debug,
        GL_extension_GL_ARB_debug_output,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        7651 /* "glDebugMessageControlKHR" */,
        7604 /* "glDebugMessageControl" */,
        7604 /* "glDebugMessageControl" */,
        7626 /* "glDebugMessageControlARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 7651 /* "glDebugMessageControlKHR" */,
                                providers, entrypoints);
}

static PFNGLDEBUGMESSAGEENABLEAMDPROC
epoxy_glDebugMessageEnableAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_debug_output, 7676 /* glDebugMessageEnableAMD */);
}

static PFNGLDEBUGMESSAGEINSERTPROC
epoxy_glDebugMessageInsert_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_3,
        GL_extension_GL_KHR_debug,
        GL_extension_GL_ARB_debug_output,
        GL_extension_GL_KHR_debug,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        7700 /* "glDebugMessageInsert" */,
        7700 /* "glDebugMessageInsert" */,
        7745 /* "glDebugMessageInsertARB" */,
        7769 /* "glDebugMessageInsertKHR" */,
    };
    return gl_provider_resolver(entrypoint_strings + 7700 /* "glDebugMessageInsert" */,
                                providers, entrypoints);
}

static PFNGLDEBUGMESSAGEINSERTAMDPROC
epoxy_glDebugMessageInsertAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_debug_output, 7721 /* glDebugMessageInsertAMD */);
}

static PFNGLDEBUGMESSAGEINSERTARBPROC
epoxy_glDebugMessageInsertARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_debug_output,
        Desktop_OpenGL_4_3,
        GL_extension_GL_KHR_debug,
        GL_extension_GL_KHR_debug,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        7745 /* "glDebugMessageInsertARB" */,
        7700 /* "glDebugMessageInsert" */,
        7700 /* "glDebugMessageInsert" */,
        7769 /* "glDebugMessageInsertKHR" */,
    };
    return gl_provider_resolver(entrypoint_strings + 7745 /* "glDebugMessageInsertARB" */,
                                providers, entrypoints);
}

static PFNGLDEBUGMESSAGEINSERTKHRPROC
epoxy_glDebugMessageInsertKHR_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_KHR_debug,
        Desktop_OpenGL_4_3,
        GL_extension_GL_KHR_debug,
        GL_extension_GL_ARB_debug_output,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        7769 /* "glDebugMessageInsertKHR" */,
        7700 /* "glDebugMessageInsert" */,
        7700 /* "glDebugMessageInsert" */,
        7745 /* "glDebugMessageInsertARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 7769 /* "glDebugMessageInsertKHR" */,
                                providers, entrypoints);
}

static PFNGLDEFORMSGIXPROC
epoxy_glDeformSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_polynomial_ffd, 7793 /* glDeformSGIX */);
}

static PFNGLDEFORMATIONMAP3DSGIXPROC
epoxy_glDeformationMap3dSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_polynomial_ffd, 7806 /* glDeformationMap3dSGIX */);
}

static PFNGLDEFORMATIONMAP3FSGIXPROC
epoxy_glDeformationMap3fSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_polynomial_ffd, 7829 /* glDeformationMap3fSGIX */);
}

static PFNGLDELETEASYNCMARKERSSGIXPROC
epoxy_glDeleteAsyncMarkersSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_async, 7852 /* glDeleteAsyncMarkersSGIX */);
}

static PFNGLDELETEBUFFERSPROC
epoxy_glDeleteBuffers_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_5,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_vertex_buffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        7877 /* "glDeleteBuffers" */,
        7877 /* "glDeleteBuffers" */,
        7877 /* "glDeleteBuffers" */,
        7893 /* "glDeleteBuffersARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 7877 /* "glDeleteBuffers" */,
                                providers, entrypoints);
}

static PFNGLDELETEBUFFERSARBPROC
epoxy_glDeleteBuffersARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_buffer_object,
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_5,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        7893 /* "glDeleteBuffersARB" */,
        7877 /* "glDeleteBuffers" */,
        7877 /* "glDeleteBuffers" */,
        7877 /* "glDeleteBuffers" */,
    };
    return gl_provider_resolver(entrypoint_strings + 7893 /* "glDeleteBuffersARB" */,
                                providers, entrypoints);
}

static PFNGLDELETEFENCESAPPLEPROC
epoxy_glDeleteFencesAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_fence, 7912 /* glDeleteFencesAPPLE */);
}

static PFNGLDELETEFENCESNVPROC
epoxy_glDeleteFencesNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_fence, 7932 /* glDeleteFencesNV */);
}

static PFNGLDELETEFRAGMENTSHADERATIPROC
epoxy_glDeleteFragmentShaderATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_fragment_shader, 7949 /* glDeleteFragmentShaderATI */);
}

static PFNGLDELETEFRAMEBUFFERSPROC
epoxy_glDeleteFramebuffers_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        OpenGL_ES_2_0,
        GL_extension_GL_EXT_framebuffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        7975 /* "glDeleteFramebuffers" */,
        7975 /* "glDeleteFramebuffers" */,
        7975 /* "glDeleteFramebuffers" */,
        7996 /* "glDeleteFramebuffersEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 7975 /* "glDeleteFramebuffers" */,
                                providers, entrypoints);
}

static PFNGLDELETEFRAMEBUFFERSEXTPROC
epoxy_glDeleteFramebuffersEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_framebuffer_object,
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        7996 /* "glDeleteFramebuffersEXT" */,
        7975 /* "glDeleteFramebuffers" */,
        7975 /* "glDeleteFramebuffers" */,
        7975 /* "glDeleteFramebuffers" */,
    };
    return gl_provider_resolver(entrypoint_strings + 7996 /* "glDeleteFramebuffersEXT" */,
                                providers, entrypoints);
}

static PFNGLDELETEFRAMEBUFFERSOESPROC
epoxy_glDeleteFramebuffersOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_framebuffer_object, 8020 /* glDeleteFramebuffersOES */);
}

static PFNGLDELETELISTSPROC
epoxy_glDeleteLists_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 8044 /* glDeleteLists */);
}

static PFNGLDELETENAMEDSTRINGARBPROC
epoxy_glDeleteNamedStringARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_shading_language_include, 8058 /* glDeleteNamedStringARB */);
}

static PFNGLDELETENAMESAMDPROC
epoxy_glDeleteNamesAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_name_gen_delete, 8081 /* glDeleteNamesAMD */);
}

static PFNGLDELETEOBJECTARBPROC
epoxy_glDeleteObjectARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_shader_objects, 8098 /* glDeleteObjectARB */);
}

static PFNGLDELETEOCCLUSIONQUERIESNVPROC
epoxy_glDeleteOcclusionQueriesNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_occlusion_query, 8116 /* glDeleteOcclusionQueriesNV */);
}

static PFNGLDELETEPATHSNVPROC
epoxy_glDeletePathsNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 8143 /* glDeletePathsNV */);
}

static PFNGLDELETEPERFMONITORSAMDPROC
epoxy_glDeletePerfMonitorsAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_performance_monitor, 8159 /* glDeletePerfMonitorsAMD */);
}

static PFNGLDELETEPERFQUERYINTELPROC
epoxy_glDeletePerfQueryINTEL_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_INTEL_performance_query, 8183 /* glDeletePerfQueryINTEL */);
}

static PFNGLDELETEPROGRAMPROC
epoxy_glDeleteProgram_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8206 /* "glDeleteProgram" */,
        8206 /* "glDeleteProgram" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8206 /* "glDeleteProgram" */,
                                providers, entrypoints);
}

static PFNGLDELETEPROGRAMPIPELINESPROC
epoxy_glDeleteProgramPipelines_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8222 /* "glDeleteProgramPipelines" */,
        8222 /* "glDeleteProgramPipelines" */,
        8222 /* "glDeleteProgramPipelines" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8222 /* "glDeleteProgramPipelines" */,
                                providers, entrypoints);
}

static PFNGLDELETEPROGRAMPIPELINESEXTPROC
epoxy_glDeleteProgramPipelinesEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_separate_shader_objects, 8247 /* glDeleteProgramPipelinesEXT */);
}

static PFNGLDELETEPROGRAMSARBPROC
epoxy_glDeleteProgramsARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_fragment_program,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8275 /* "glDeleteProgramsARB" */,
        8275 /* "glDeleteProgramsARB" */,
        8295 /* "glDeleteProgramsNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8275 /* "glDeleteProgramsARB" */,
                                providers, entrypoints);
}

static PFNGLDELETEPROGRAMSNVPROC
epoxy_glDeleteProgramsNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_fragment_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8295 /* "glDeleteProgramsNV" */,
        8275 /* "glDeleteProgramsARB" */,
        8275 /* "glDeleteProgramsARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8295 /* "glDeleteProgramsNV" */,
                                providers, entrypoints);
}

static PFNGLDELETEQUERIESPROC
epoxy_glDeleteQueries_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_1_5,
        GL_extension_GL_ARB_occlusion_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8314 /* "glDeleteQueries" */,
        8314 /* "glDeleteQueries" */,
        8330 /* "glDeleteQueriesARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8314 /* "glDeleteQueries" */,
                                providers, entrypoints);
}

static PFNGLDELETEQUERIESARBPROC
epoxy_glDeleteQueriesARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_occlusion_query,
        OpenGL_ES_3_0,
        Desktop_OpenGL_1_5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8330 /* "glDeleteQueriesARB" */,
        8314 /* "glDeleteQueries" */,
        8314 /* "glDeleteQueries" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8330 /* "glDeleteQueriesARB" */,
                                providers, entrypoints);
}

static PFNGLDELETEQUERIESEXTPROC
epoxy_glDeleteQueriesEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_occlusion_query_boolean,
        GL_extension_GL_EXT_disjoint_timer_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8349 /* "glDeleteQueriesEXT" */,
        8349 /* "glDeleteQueriesEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8349 /* "glDeleteQueriesEXT" */,
                                providers, entrypoints);
}

static PFNGLDELETERENDERBUFFERSPROC
epoxy_glDeleteRenderbuffers_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        OpenGL_ES_2_0,
        GL_extension_GL_EXT_framebuffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8368 /* "glDeleteRenderbuffers" */,
        8368 /* "glDeleteRenderbuffers" */,
        8368 /* "glDeleteRenderbuffers" */,
        8390 /* "glDeleteRenderbuffersEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8368 /* "glDeleteRenderbuffers" */,
                                providers, entrypoints);
}

static PFNGLDELETERENDERBUFFERSEXTPROC
epoxy_glDeleteRenderbuffersEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_framebuffer_object,
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8390 /* "glDeleteRenderbuffersEXT" */,
        8368 /* "glDeleteRenderbuffers" */,
        8368 /* "glDeleteRenderbuffers" */,
        8368 /* "glDeleteRenderbuffers" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8390 /* "glDeleteRenderbuffersEXT" */,
                                providers, entrypoints);
}

static PFNGLDELETERENDERBUFFERSOESPROC
epoxy_glDeleteRenderbuffersOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_framebuffer_object, 8415 /* glDeleteRenderbuffersOES */);
}

static PFNGLDELETESAMPLERSPROC
epoxy_glDeleteSamplers_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_sampler_objects,
        Desktop_OpenGL_3_3,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8440 /* "glDeleteSamplers" */,
        8440 /* "glDeleteSamplers" */,
        8440 /* "glDeleteSamplers" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8440 /* "glDeleteSamplers" */,
                                providers, entrypoints);
}

static PFNGLDELETESHADERPROC
epoxy_glDeleteShader_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8457 /* "glDeleteShader" */,
        8457 /* "glDeleteShader" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8457 /* "glDeleteShader" */,
                                providers, entrypoints);
}

static PFNGLDELETESYNCPROC
epoxy_glDeleteSync_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_2,
        GL_extension_GL_ARB_sync,
        OpenGL_ES_3_0,
        GL_extension_GL_APPLE_sync,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8472 /* "glDeleteSync" */,
        8472 /* "glDeleteSync" */,
        8472 /* "glDeleteSync" */,
        8485 /* "glDeleteSyncAPPLE" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8472 /* "glDeleteSync" */,
                                providers, entrypoints);
}

static PFNGLDELETESYNCAPPLEPROC
epoxy_glDeleteSyncAPPLE_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_APPLE_sync,
        Desktop_OpenGL_3_2,
        GL_extension_GL_ARB_sync,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8485 /* "glDeleteSyncAPPLE" */,
        8472 /* "glDeleteSync" */,
        8472 /* "glDeleteSync" */,
        8472 /* "glDeleteSync" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8485 /* "glDeleteSyncAPPLE" */,
                                providers, entrypoints);
}

static PFNGLDELETETEXTURESPROC
epoxy_glDeleteTextures_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_1,
        OpenGL_ES_2_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8503 /* "glDeleteTextures" */,
        8503 /* "glDeleteTextures" */,
        8503 /* "glDeleteTextures" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8503 /* "glDeleteTextures" */,
                                providers, entrypoints);
}

static PFNGLDELETETEXTURESEXTPROC
epoxy_glDeleteTexturesEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_texture_object, 8520 /* glDeleteTexturesEXT */);
}

static PFNGLDELETETRANSFORMFEEDBACKSPROC
epoxy_glDeleteTransformFeedbacks_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_transform_feedback2,
        GL_extension_GL_NV_transform_feedback2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8540 /* "glDeleteTransformFeedbacks" */,
        8540 /* "glDeleteTransformFeedbacks" */,
        8540 /* "glDeleteTransformFeedbacks" */,
        8567 /* "glDeleteTransformFeedbacksNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8540 /* "glDeleteTransformFeedbacks" */,
                                providers, entrypoints);
}

static PFNGLDELETETRANSFORMFEEDBACKSNVPROC
epoxy_glDeleteTransformFeedbacksNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_transform_feedback2,
        Desktop_OpenGL_4_0,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_transform_feedback2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8567 /* "glDeleteTransformFeedbacksNV" */,
        8540 /* "glDeleteTransformFeedbacks" */,
        8540 /* "glDeleteTransformFeedbacks" */,
        8540 /* "glDeleteTransformFeedbacks" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8567 /* "glDeleteTransformFeedbacksNV" */,
                                providers, entrypoints);
}

static PFNGLDELETEVERTEXARRAYSPROC
epoxy_glDeleteVertexArrays_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_vertex_array_object,
        GL_extension_GL_APPLE_vertex_array_object,
        GL_extension_GL_OES_vertex_array_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8596 /* "glDeleteVertexArrays" */,
        8596 /* "glDeleteVertexArrays" */,
        8596 /* "glDeleteVertexArrays" */,
        8617 /* "glDeleteVertexArraysAPPLE" */,
        8643 /* "glDeleteVertexArraysOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8596 /* "glDeleteVertexArrays" */,
                                providers, entrypoints);
}

static PFNGLDELETEVERTEXARRAYSAPPLEPROC
epoxy_glDeleteVertexArraysAPPLE_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_APPLE_vertex_array_object,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_vertex_array_object,
        GL_extension_GL_OES_vertex_array_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8617 /* "glDeleteVertexArraysAPPLE" */,
        8596 /* "glDeleteVertexArrays" */,
        8596 /* "glDeleteVertexArrays" */,
        8596 /* "glDeleteVertexArrays" */,
        8643 /* "glDeleteVertexArraysOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8617 /* "glDeleteVertexArraysAPPLE" */,
                                providers, entrypoints);
}

static PFNGLDELETEVERTEXARRAYSOESPROC
epoxy_glDeleteVertexArraysOES_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_OES_vertex_array_object,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_vertex_array_object,
        GL_extension_GL_APPLE_vertex_array_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8643 /* "glDeleteVertexArraysOES" */,
        8596 /* "glDeleteVertexArrays" */,
        8596 /* "glDeleteVertexArrays" */,
        8596 /* "glDeleteVertexArrays" */,
        8617 /* "glDeleteVertexArraysAPPLE" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8643 /* "glDeleteVertexArraysOES" */,
                                providers, entrypoints);
}

static PFNGLDELETEVERTEXSHADEREXTPROC
epoxy_glDeleteVertexShaderEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 8667 /* glDeleteVertexShaderEXT */);
}

static PFNGLDEPTHBOUNDSEXTPROC
epoxy_glDepthBoundsEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_depth_bounds_test, 8691 /* glDepthBoundsEXT */);
}

static PFNGLDEPTHBOUNDSDNVPROC
epoxy_glDepthBoundsdNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_depth_buffer_float, 8708 /* glDepthBoundsdNV */);
}

static PFNGLDEPTHFUNCPROC
epoxy_glDepthFunc_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8725 /* "glDepthFunc" */,
        8725 /* "glDepthFunc" */,
        8725 /* "glDepthFunc" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8725 /* "glDepthFunc" */,
                                providers, entrypoints);
}

static PFNGLDEPTHMASKPROC
epoxy_glDepthMask_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8737 /* "glDepthMask" */,
        8737 /* "glDepthMask" */,
        8737 /* "glDepthMask" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8737 /* "glDepthMask" */,
                                providers, entrypoints);
}

static PFNGLDEPTHRANGEPROC
epoxy_glDepthRange_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 8749 /* glDepthRange */);
}

static PFNGLDEPTHRANGEARRAYVPROC
epoxy_glDepthRangeArrayv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_viewport_array,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8762 /* "glDepthRangeArrayv" */,
        8762 /* "glDepthRangeArrayv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8762 /* "glDepthRangeArrayv" */,
                                providers, entrypoints);
}

static PFNGLDEPTHRANGEINDEXEDPROC
epoxy_glDepthRangeIndexed_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_viewport_array,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8781 /* "glDepthRangeIndexed" */,
        8781 /* "glDepthRangeIndexed" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8781 /* "glDepthRangeIndexed" */,
                                providers, entrypoints);
}

static PFNGLDEPTHRANGEDNVPROC
epoxy_glDepthRangedNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_depth_buffer_float, 8801 /* glDepthRangedNV */);
}

static PFNGLDEPTHRANGEFPROC
epoxy_glDepthRangef_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_1_0,
        GL_extension_GL_ARB_ES2_compatibility,
        OpenGL_ES_2_0,
        GL_extension_GL_OES_single_precision,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8817 /* "glDepthRangef" */,
        8817 /* "glDepthRangef" */,
        8817 /* "glDepthRangef" */,
        8817 /* "glDepthRangef" */,
        8831 /* "glDepthRangefOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8817 /* "glDepthRangef" */,
                                providers, entrypoints);
}

static PFNGLDEPTHRANGEFOESPROC
epoxy_glDepthRangefOES_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_OES_single_precision,
        Desktop_OpenGL_4_1,
        OpenGL_ES_1_0,
        GL_extension_GL_ARB_ES2_compatibility,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8831 /* "glDepthRangefOES" */,
        8817 /* "glDepthRangef" */,
        8817 /* "glDepthRangef" */,
        8817 /* "glDepthRangef" */,
        8817 /* "glDepthRangef" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8831 /* "glDepthRangefOES" */,
                                providers, entrypoints);
}

static PFNGLDEPTHRANGEXPROC
epoxy_glDepthRangex_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 8848 /* glDepthRangex */);
}

static PFNGLDEPTHRANGEXOESPROC
epoxy_glDepthRangexOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 8862 /* glDepthRangexOES */);
}

static PFNGLDETACHOBJECTARBPROC
epoxy_glDetachObjectARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_objects,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8879 /* "glDetachObjectARB" */,
        8897 /* "glDetachShader" */,
        8897 /* "glDetachShader" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8879 /* "glDetachObjectARB" */,
                                providers, entrypoints);
}

static PFNGLDETACHSHADERPROC
epoxy_glDetachShader_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8897 /* "glDetachShader" */,
        8897 /* "glDetachShader" */,
        8879 /* "glDetachObjectARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8897 /* "glDetachShader" */,
                                providers, entrypoints);
}

static PFNGLDETAILTEXFUNCSGISPROC
epoxy_glDetailTexFuncSGIS_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIS_detail_texture, 8912 /* glDetailTexFuncSGIS */);
}

static PFNGLDISABLEPROC
epoxy_glDisable_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8932 /* "glDisable" */,
        8932 /* "glDisable" */,
        8932 /* "glDisable" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8932 /* "glDisable" */,
                                providers, entrypoints);
}

static PFNGLDISABLECLIENTSTATEPROC
epoxy_glDisableClientState_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_1,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        8942 /* "glDisableClientState" */,
        8942 /* "glDisableClientState" */,
    };
    return gl_provider_resolver(entrypoint_strings + 8942 /* "glDisableClientState" */,
                                providers, entrypoints);
}

static PFNGLDISABLECLIENTSTATEINDEXEDEXTPROC
epoxy_glDisableClientStateIndexedEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 8963 /* glDisableClientStateIndexedEXT */);
}

static PFNGLDISABLECLIENTSTATEIEXTPROC
epoxy_glDisableClientStateiEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 8994 /* glDisableClientStateiEXT */);
}

static PFNGLDISABLEDRIVERCONTROLQCOMPROC
epoxy_glDisableDriverControlQCOM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_QCOM_driver_control, 9019 /* glDisableDriverControlQCOM */);
}

static PFNGLDISABLEINDEXEDEXTPROC
epoxy_glDisableIndexedEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_draw_buffers2,
        GL_extension_GL_EXT_direct_state_access,
        Desktop_OpenGL_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9046 /* "glDisableIndexedEXT" */,
        9046 /* "glDisableIndexedEXT" */,
        9235 /* "glDisablei" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9046 /* "glDisableIndexedEXT" */,
                                providers, entrypoints);
}

static PFNGLDISABLEVARIANTCLIENTSTATEEXTPROC
epoxy_glDisableVariantClientStateEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 9066 /* glDisableVariantClientStateEXT */);
}

static PFNGLDISABLEVERTEXARRAYATTRIBEXTPROC
epoxy_glDisableVertexArrayAttribEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 9097 /* glDisableVertexArrayAttribEXT */);
}

static PFNGLDISABLEVERTEXARRAYEXTPROC
epoxy_glDisableVertexArrayEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 9127 /* glDisableVertexArrayEXT */);
}

static PFNGLDISABLEVERTEXATTRIBAPPLEPROC
epoxy_glDisableVertexAttribAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_vertex_program_evaluators, 9151 /* glDisableVertexAttribAPPLE */);
}

static PFNGLDISABLEVERTEXATTRIBARRAYPROC
epoxy_glDisableVertexAttribArray_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9178 /* "glDisableVertexAttribArray" */,
        9178 /* "glDisableVertexAttribArray" */,
        9205 /* "glDisableVertexAttribArrayARB" */,
        9205 /* "glDisableVertexAttribArrayARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9178 /* "glDisableVertexAttribArray" */,
                                providers, entrypoints);
}

static PFNGLDISABLEVERTEXATTRIBARRAYARBPROC
epoxy_glDisableVertexAttribArrayARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9205 /* "glDisableVertexAttribArrayARB" */,
        9205 /* "glDisableVertexAttribArrayARB" */,
        9178 /* "glDisableVertexAttribArray" */,
        9178 /* "glDisableVertexAttribArray" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9205 /* "glDisableVertexAttribArrayARB" */,
                                providers, entrypoints);
}

static PFNGLDISABLEIPROC
epoxy_glDisablei_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_EXT_draw_buffers2,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9235 /* "glDisablei" */,
        9046 /* "glDisableIndexedEXT" */,
        9046 /* "glDisableIndexedEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9235 /* "glDisablei" */,
                                providers, entrypoints);
}

static PFNGLDISCARDFRAMEBUFFEREXTPROC
epoxy_glDiscardFramebufferEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_discard_framebuffer, 9246 /* glDiscardFramebufferEXT */);
}

static PFNGLDISPATCHCOMPUTEPROC
epoxy_glDispatchCompute_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_compute_shader,
        Desktop_OpenGL_4_3,
        OpenGL_ES_3_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9270 /* "glDispatchCompute" */,
        9270 /* "glDispatchCompute" */,
        9270 /* "glDispatchCompute" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9270 /* "glDispatchCompute" */,
                                providers, entrypoints);
}

static PFNGLDISPATCHCOMPUTEGROUPSIZEARBPROC
epoxy_glDispatchComputeGroupSizeARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_compute_variable_group_size, 9288 /* glDispatchComputeGroupSizeARB */);
}

static PFNGLDISPATCHCOMPUTEINDIRECTPROC
epoxy_glDispatchComputeIndirect_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_compute_shader,
        Desktop_OpenGL_4_3,
        OpenGL_ES_3_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9318 /* "glDispatchComputeIndirect" */,
        9318 /* "glDispatchComputeIndirect" */,
        9318 /* "glDispatchComputeIndirect" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9318 /* "glDispatchComputeIndirect" */,
                                providers, entrypoints);
}

static PFNGLDRAWARRAYSPROC
epoxy_glDrawArrays_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_1,
        OpenGL_ES_2_0,
        OpenGL_ES_1_0,
        GL_extension_GL_EXT_vertex_array,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9344 /* "glDrawArrays" */,
        9344 /* "glDrawArrays" */,
        9344 /* "glDrawArrays" */,
        9357 /* "glDrawArraysEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9344 /* "glDrawArrays" */,
                                providers, entrypoints);
}

static PFNGLDRAWARRAYSEXTPROC
epoxy_glDrawArraysEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_vertex_array,
        Desktop_OpenGL_1_1,
        OpenGL_ES_2_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9357 /* "glDrawArraysEXT" */,
        9344 /* "glDrawArrays" */,
        9344 /* "glDrawArrays" */,
        9344 /* "glDrawArrays" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9357 /* "glDrawArraysEXT" */,
                                providers, entrypoints);
}

static PFNGLDRAWARRAYSINDIRECTPROC
epoxy_glDrawArraysIndirect_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_draw_indirect,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9373 /* "glDrawArraysIndirect" */,
        9373 /* "glDrawArraysIndirect" */,
        9373 /* "glDrawArraysIndirect" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9373 /* "glDrawArraysIndirect" */,
                                providers, entrypoints);
}

static PFNGLDRAWARRAYSINSTANCEDPROC
epoxy_glDrawArraysInstanced_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_1,
        OpenGL_ES_3_0,
        GL_extension_GL_ANGLE_instanced_arrays,
        GL_extension_GL_ARB_draw_instanced,
        GL_extension_GL_EXT_draw_instanced,
        GL_extension_GL_EXT_instanced_arrays,
        GL_extension_GL_NV_draw_instanced,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9394 /* "glDrawArraysInstanced" */,
        9394 /* "glDrawArraysInstanced" */,
        9416 /* "glDrawArraysInstancedANGLE" */,
        9443 /* "glDrawArraysInstancedARB" */,
        9502 /* "glDrawArraysInstancedEXT" */,
        9502 /* "glDrawArraysInstancedEXT" */,
        9527 /* "glDrawArraysInstancedNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9394 /* "glDrawArraysInstanced" */,
                                providers, entrypoints);
}

static PFNGLDRAWARRAYSINSTANCEDANGLEPROC
epoxy_glDrawArraysInstancedANGLE_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ANGLE_instanced_arrays,
        Desktop_OpenGL_3_1,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_draw_instanced,
        GL_extension_GL_EXT_draw_instanced,
        GL_extension_GL_EXT_instanced_arrays,
        GL_extension_GL_NV_draw_instanced,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9416 /* "glDrawArraysInstancedANGLE" */,
        9394 /* "glDrawArraysInstanced" */,
        9394 /* "glDrawArraysInstanced" */,
        9443 /* "glDrawArraysInstancedARB" */,
        9502 /* "glDrawArraysInstancedEXT" */,
        9502 /* "glDrawArraysInstancedEXT" */,
        9527 /* "glDrawArraysInstancedNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9416 /* "glDrawArraysInstancedANGLE" */,
                                providers, entrypoints);
}

static PFNGLDRAWARRAYSINSTANCEDARBPROC
epoxy_glDrawArraysInstancedARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_draw_instanced,
        Desktop_OpenGL_3_1,
        OpenGL_ES_3_0,
        GL_extension_GL_ANGLE_instanced_arrays,
        GL_extension_GL_EXT_draw_instanced,
        GL_extension_GL_EXT_instanced_arrays,
        GL_extension_GL_NV_draw_instanced,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9443 /* "glDrawArraysInstancedARB" */,
        9394 /* "glDrawArraysInstanced" */,
        9394 /* "glDrawArraysInstanced" */,
        9416 /* "glDrawArraysInstancedANGLE" */,
        9502 /* "glDrawArraysInstancedEXT" */,
        9502 /* "glDrawArraysInstancedEXT" */,
        9527 /* "glDrawArraysInstancedNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9443 /* "glDrawArraysInstancedARB" */,
                                providers, entrypoints);
}

static PFNGLDRAWARRAYSINSTANCEDBASEINSTANCEPROC
epoxy_glDrawArraysInstancedBaseInstance_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_base_instance,
        Desktop_OpenGL_4_2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9468 /* "glDrawArraysInstancedBaseInstance" */,
        9468 /* "glDrawArraysInstancedBaseInstance" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9468 /* "glDrawArraysInstancedBaseInstance" */,
                                providers, entrypoints);
}

static PFNGLDRAWARRAYSINSTANCEDEXTPROC
epoxy_glDrawArraysInstancedEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_draw_instanced,
        GL_extension_GL_EXT_instanced_arrays,
        Desktop_OpenGL_3_1,
        OpenGL_ES_3_0,
        GL_extension_GL_ANGLE_instanced_arrays,
        GL_extension_GL_ARB_draw_instanced,
        GL_extension_GL_NV_draw_instanced,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9502 /* "glDrawArraysInstancedEXT" */,
        9502 /* "glDrawArraysInstancedEXT" */,
        9394 /* "glDrawArraysInstanced" */,
        9394 /* "glDrawArraysInstanced" */,
        9416 /* "glDrawArraysInstancedANGLE" */,
        9443 /* "glDrawArraysInstancedARB" */,
        9527 /* "glDrawArraysInstancedNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9502 /* "glDrawArraysInstancedEXT" */,
                                providers, entrypoints);
}

static PFNGLDRAWARRAYSINSTANCEDNVPROC
epoxy_glDrawArraysInstancedNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_draw_instanced,
        Desktop_OpenGL_3_1,
        OpenGL_ES_3_0,
        GL_extension_GL_ANGLE_instanced_arrays,
        GL_extension_GL_ARB_draw_instanced,
        GL_extension_GL_EXT_draw_instanced,
        GL_extension_GL_EXT_instanced_arrays,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9527 /* "glDrawArraysInstancedNV" */,
        9394 /* "glDrawArraysInstanced" */,
        9394 /* "glDrawArraysInstanced" */,
        9416 /* "glDrawArraysInstancedANGLE" */,
        9443 /* "glDrawArraysInstancedARB" */,
        9502 /* "glDrawArraysInstancedEXT" */,
        9502 /* "glDrawArraysInstancedEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9527 /* "glDrawArraysInstancedNV" */,
                                providers, entrypoints);
}

static PFNGLDRAWBUFFERPROC
epoxy_glDrawBuffer_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 9551 /* glDrawBuffer */);
}

static PFNGLDRAWBUFFERSPROC
epoxy_glDrawBuffers_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_draw_buffers,
        GL_extension_GL_ATI_draw_buffers,
        GL_extension_GL_EXT_draw_buffers,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9564 /* "glDrawBuffers" */,
        9564 /* "glDrawBuffers" */,
        9578 /* "glDrawBuffersARB" */,
        9595 /* "glDrawBuffersATI" */,
        9612 /* "glDrawBuffersEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9564 /* "glDrawBuffers" */,
                                providers, entrypoints);
}

static PFNGLDRAWBUFFERSARBPROC
epoxy_glDrawBuffersARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_draw_buffers,
        OpenGL_ES_3_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ATI_draw_buffers,
        GL_extension_GL_EXT_draw_buffers,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9578 /* "glDrawBuffersARB" */,
        9564 /* "glDrawBuffers" */,
        9564 /* "glDrawBuffers" */,
        9595 /* "glDrawBuffersATI" */,
        9612 /* "glDrawBuffersEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9578 /* "glDrawBuffersARB" */,
                                providers, entrypoints);
}

static PFNGLDRAWBUFFERSATIPROC
epoxy_glDrawBuffersATI_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ATI_draw_buffers,
        OpenGL_ES_3_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_draw_buffers,
        GL_extension_GL_EXT_draw_buffers,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9595 /* "glDrawBuffersATI" */,
        9564 /* "glDrawBuffers" */,
        9564 /* "glDrawBuffers" */,
        9578 /* "glDrawBuffersARB" */,
        9612 /* "glDrawBuffersEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9595 /* "glDrawBuffersATI" */,
                                providers, entrypoints);
}

static PFNGLDRAWBUFFERSEXTPROC
epoxy_glDrawBuffersEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_draw_buffers,
        OpenGL_ES_3_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_draw_buffers,
        GL_extension_GL_ATI_draw_buffers,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9612 /* "glDrawBuffersEXT" */,
        9564 /* "glDrawBuffers" */,
        9564 /* "glDrawBuffers" */,
        9578 /* "glDrawBuffersARB" */,
        9595 /* "glDrawBuffersATI" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9612 /* "glDrawBuffersEXT" */,
                                providers, entrypoints);
}

static PFNGLDRAWBUFFERSINDEXEDEXTPROC
epoxy_glDrawBuffersIndexedEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_multiview_draw_buffers, 9629 /* glDrawBuffersIndexedEXT */);
}

static PFNGLDRAWBUFFERSNVPROC
epoxy_glDrawBuffersNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_draw_buffers, 9653 /* glDrawBuffersNV */);
}

static PFNGLDRAWELEMENTARRAYAPPLEPROC
epoxy_glDrawElementArrayAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_element_array, 9669 /* glDrawElementArrayAPPLE */);
}

static PFNGLDRAWELEMENTARRAYATIPROC
epoxy_glDrawElementArrayATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_element_array, 9693 /* glDrawElementArrayATI */);
}

static PFNGLDRAWELEMENTSPROC
epoxy_glDrawElements_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_1,
        OpenGL_ES_2_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9715 /* "glDrawElements" */,
        9715 /* "glDrawElements" */,
        9715 /* "glDrawElements" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9715 /* "glDrawElements" */,
                                providers, entrypoints);
}

static PFNGLDRAWELEMENTSBASEVERTEXPROC
epoxy_glDrawElementsBaseVertex_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_2,
        GL_extension_GL_ARB_draw_elements_base_vertex,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9730 /* "glDrawElementsBaseVertex" */,
        9730 /* "glDrawElementsBaseVertex" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9730 /* "glDrawElementsBaseVertex" */,
                                providers, entrypoints);
}

static PFNGLDRAWELEMENTSINDIRECTPROC
epoxy_glDrawElementsIndirect_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_draw_indirect,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9755 /* "glDrawElementsIndirect" */,
        9755 /* "glDrawElementsIndirect" */,
        9755 /* "glDrawElementsIndirect" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9755 /* "glDrawElementsIndirect" */,
                                providers, entrypoints);
}

static PFNGLDRAWELEMENTSINSTANCEDPROC
epoxy_glDrawElementsInstanced_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_1,
        OpenGL_ES_3_0,
        GL_extension_GL_ANGLE_instanced_arrays,
        GL_extension_GL_ARB_draw_instanced,
        GL_extension_GL_EXT_draw_instanced,
        GL_extension_GL_EXT_instanced_arrays,
        GL_extension_GL_NV_draw_instanced,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9778 /* "glDrawElementsInstanced" */,
        9778 /* "glDrawElementsInstanced" */,
        9802 /* "glDrawElementsInstancedANGLE" */,
        9831 /* "glDrawElementsInstancedARB" */,
        9974 /* "glDrawElementsInstancedEXT" */,
        9974 /* "glDrawElementsInstancedEXT" */,
        10001 /* "glDrawElementsInstancedNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9778 /* "glDrawElementsInstanced" */,
                                providers, entrypoints);
}

static PFNGLDRAWELEMENTSINSTANCEDANGLEPROC
epoxy_glDrawElementsInstancedANGLE_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ANGLE_instanced_arrays,
        Desktop_OpenGL_3_1,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_draw_instanced,
        GL_extension_GL_EXT_draw_instanced,
        GL_extension_GL_EXT_instanced_arrays,
        GL_extension_GL_NV_draw_instanced,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9802 /* "glDrawElementsInstancedANGLE" */,
        9778 /* "glDrawElementsInstanced" */,
        9778 /* "glDrawElementsInstanced" */,
        9831 /* "glDrawElementsInstancedARB" */,
        9974 /* "glDrawElementsInstancedEXT" */,
        9974 /* "glDrawElementsInstancedEXT" */,
        10001 /* "glDrawElementsInstancedNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9802 /* "glDrawElementsInstancedANGLE" */,
                                providers, entrypoints);
}

static PFNGLDRAWELEMENTSINSTANCEDARBPROC
epoxy_glDrawElementsInstancedARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_draw_instanced,
        Desktop_OpenGL_3_1,
        OpenGL_ES_3_0,
        GL_extension_GL_ANGLE_instanced_arrays,
        GL_extension_GL_EXT_draw_instanced,
        GL_extension_GL_EXT_instanced_arrays,
        GL_extension_GL_NV_draw_instanced,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9831 /* "glDrawElementsInstancedARB" */,
        9778 /* "glDrawElementsInstanced" */,
        9778 /* "glDrawElementsInstanced" */,
        9802 /* "glDrawElementsInstancedANGLE" */,
        9974 /* "glDrawElementsInstancedEXT" */,
        9974 /* "glDrawElementsInstancedEXT" */,
        10001 /* "glDrawElementsInstancedNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9831 /* "glDrawElementsInstancedARB" */,
                                providers, entrypoints);
}

static PFNGLDRAWELEMENTSINSTANCEDBASEINSTANCEPROC
epoxy_glDrawElementsInstancedBaseInstance_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_base_instance,
        Desktop_OpenGL_4_2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9858 /* "glDrawElementsInstancedBaseInstance" */,
        9858 /* "glDrawElementsInstancedBaseInstance" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9858 /* "glDrawElementsInstancedBaseInstance" */,
                                providers, entrypoints);
}

static PFNGLDRAWELEMENTSINSTANCEDBASEVERTEXPROC
epoxy_glDrawElementsInstancedBaseVertex_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_2,
        GL_extension_GL_ARB_draw_elements_base_vertex,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9894 /* "glDrawElementsInstancedBaseVertex" */,
        9894 /* "glDrawElementsInstancedBaseVertex" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9894 /* "glDrawElementsInstancedBaseVertex" */,
                                providers, entrypoints);
}

static PFNGLDRAWELEMENTSINSTANCEDBASEVERTEXBASEINSTANCEPROC
epoxy_glDrawElementsInstancedBaseVertexBaseInstance_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_base_instance,
        Desktop_OpenGL_4_2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9928 /* "glDrawElementsInstancedBaseVertexBaseInstance" */,
        9928 /* "glDrawElementsInstancedBaseVertexBaseInstance" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9928 /* "glDrawElementsInstancedBaseVertexBaseInstance" */,
                                providers, entrypoints);
}

static PFNGLDRAWELEMENTSINSTANCEDEXTPROC
epoxy_glDrawElementsInstancedEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_draw_instanced,
        GL_extension_GL_EXT_instanced_arrays,
        Desktop_OpenGL_3_1,
        OpenGL_ES_3_0,
        GL_extension_GL_ANGLE_instanced_arrays,
        GL_extension_GL_ARB_draw_instanced,
        GL_extension_GL_NV_draw_instanced,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        9974 /* "glDrawElementsInstancedEXT" */,
        9974 /* "glDrawElementsInstancedEXT" */,
        9778 /* "glDrawElementsInstanced" */,
        9778 /* "glDrawElementsInstanced" */,
        9802 /* "glDrawElementsInstancedANGLE" */,
        9831 /* "glDrawElementsInstancedARB" */,
        10001 /* "glDrawElementsInstancedNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 9974 /* "glDrawElementsInstancedEXT" */,
                                providers, entrypoints);
}

static PFNGLDRAWELEMENTSINSTANCEDNVPROC
epoxy_glDrawElementsInstancedNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_draw_instanced,
        Desktop_OpenGL_3_1,
        OpenGL_ES_3_0,
        GL_extension_GL_ANGLE_instanced_arrays,
        GL_extension_GL_ARB_draw_instanced,
        GL_extension_GL_EXT_draw_instanced,
        GL_extension_GL_EXT_instanced_arrays,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        10001 /* "glDrawElementsInstancedNV" */,
        9778 /* "glDrawElementsInstanced" */,
        9778 /* "glDrawElementsInstanced" */,
        9802 /* "glDrawElementsInstancedANGLE" */,
        9831 /* "glDrawElementsInstancedARB" */,
        9974 /* "glDrawElementsInstancedEXT" */,
        9974 /* "glDrawElementsInstancedEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 10001 /* "glDrawElementsInstancedNV" */,
                                providers, entrypoints);
}

static PFNGLDRAWMESHARRAYSSUNPROC
epoxy_glDrawMeshArraysSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_mesh_array, 10027 /* glDrawMeshArraysSUN */);
}

static PFNGLDRAWPIXELSPROC
epoxy_glDrawPixels_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 10047 /* glDrawPixels */);
}

static PFNGLDRAWRANGEELEMENTARRAYAPPLEPROC
epoxy_glDrawRangeElementArrayAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_element_array, 10060 /* glDrawRangeElementArrayAPPLE */);
}

static PFNGLDRAWRANGEELEMENTARRAYATIPROC
epoxy_glDrawRangeElementArrayATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_element_array, 10089 /* glDrawRangeElementArrayATI */);
}

static PFNGLDRAWRANGEELEMENTSPROC
epoxy_glDrawRangeElements_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_2,
        OpenGL_ES_3_0,
        GL_extension_GL_EXT_draw_range_elements,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        10116 /* "glDrawRangeElements" */,
        10116 /* "glDrawRangeElements" */,
        10166 /* "glDrawRangeElementsEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 10116 /* "glDrawRangeElements" */,
                                providers, entrypoints);
}

static PFNGLDRAWRANGEELEMENTSBASEVERTEXPROC
epoxy_glDrawRangeElementsBaseVertex_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_2,
        GL_extension_GL_ARB_draw_elements_base_vertex,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        10136 /* "glDrawRangeElementsBaseVertex" */,
        10136 /* "glDrawRangeElementsBaseVertex" */,
    };
    return gl_provider_resolver(entrypoint_strings + 10136 /* "glDrawRangeElementsBaseVertex" */,
                                providers, entrypoints);
}

static PFNGLDRAWRANGEELEMENTSEXTPROC
epoxy_glDrawRangeElementsEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_draw_range_elements,
        Desktop_OpenGL_1_2,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        10166 /* "glDrawRangeElementsEXT" */,
        10116 /* "glDrawRangeElements" */,
        10116 /* "glDrawRangeElements" */,
    };
    return gl_provider_resolver(entrypoint_strings + 10166 /* "glDrawRangeElementsEXT" */,
                                providers, entrypoints);
}

static PFNGLDRAWTEXFOESPROC
epoxy_glDrawTexfOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_draw_texture, 10189 /* glDrawTexfOES */);
}

static PFNGLDRAWTEXFVOESPROC
epoxy_glDrawTexfvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_draw_texture, 10203 /* glDrawTexfvOES */);
}

static PFNGLDRAWTEXIOESPROC
epoxy_glDrawTexiOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_draw_texture, 10218 /* glDrawTexiOES */);
}

static PFNGLDRAWTEXIVOESPROC
epoxy_glDrawTexivOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_draw_texture, 10232 /* glDrawTexivOES */);
}

static PFNGLDRAWTEXSOESPROC
epoxy_glDrawTexsOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_draw_texture, 10247 /* glDrawTexsOES */);
}

static PFNGLDRAWTEXSVOESPROC
epoxy_glDrawTexsvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_draw_texture, 10261 /* glDrawTexsvOES */);
}

static PFNGLDRAWTEXTURENVPROC
epoxy_glDrawTextureNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_draw_texture, 10276 /* glDrawTextureNV */);
}

static PFNGLDRAWTEXXOESPROC
epoxy_glDrawTexxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_draw_texture, 10292 /* glDrawTexxOES */);
}

static PFNGLDRAWTEXXVOESPROC
epoxy_glDrawTexxvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_draw_texture, 10306 /* glDrawTexxvOES */);
}

static PFNGLDRAWTRANSFORMFEEDBACKPROC
epoxy_glDrawTransformFeedback_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_transform_feedback2,
        GL_extension_GL_NV_transform_feedback2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        10321 /* "glDrawTransformFeedback" */,
        10321 /* "glDrawTransformFeedback" */,
        10378 /* "glDrawTransformFeedbackNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 10321 /* "glDrawTransformFeedback" */,
                                providers, entrypoints);
}

static PFNGLDRAWTRANSFORMFEEDBACKINSTANCEDPROC
epoxy_glDrawTransformFeedbackInstanced_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_2,
        GL_extension_GL_ARB_transform_feedback_instanced,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        10345 /* "glDrawTransformFeedbackInstanced" */,
        10345 /* "glDrawTransformFeedbackInstanced" */,
    };
    return gl_provider_resolver(entrypoint_strings + 10345 /* "glDrawTransformFeedbackInstanced" */,
                                providers, entrypoints);
}

static PFNGLDRAWTRANSFORMFEEDBACKNVPROC
epoxy_glDrawTransformFeedbackNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_transform_feedback2,
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_transform_feedback2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        10378 /* "glDrawTransformFeedbackNV" */,
        10321 /* "glDrawTransformFeedback" */,
        10321 /* "glDrawTransformFeedback" */,
    };
    return gl_provider_resolver(entrypoint_strings + 10378 /* "glDrawTransformFeedbackNV" */,
                                providers, entrypoints);
}

static PFNGLDRAWTRANSFORMFEEDBACKSTREAMPROC
epoxy_glDrawTransformFeedbackStream_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_transform_feedback3,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        10404 /* "glDrawTransformFeedbackStream" */,
        10404 /* "glDrawTransformFeedbackStream" */,
    };
    return gl_provider_resolver(entrypoint_strings + 10404 /* "glDrawTransformFeedbackStream" */,
                                providers, entrypoints);
}

static PFNGLDRAWTRANSFORMFEEDBACKSTREAMINSTANCEDPROC
epoxy_glDrawTransformFeedbackStreamInstanced_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_2,
        GL_extension_GL_ARB_transform_feedback_instanced,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        10434 /* "glDrawTransformFeedbackStreamInstanced" */,
        10434 /* "glDrawTransformFeedbackStreamInstanced" */,
    };
    return gl_provider_resolver(entrypoint_strings + 10434 /* "glDrawTransformFeedbackStreamInstanced" */,
                                providers, entrypoints);
}

static PFNGLEGLIMAGETARGETRENDERBUFFERSTORAGEOESPROC
epoxy_glEGLImageTargetRenderbufferStorageOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_EGL_image, 10473 /* glEGLImageTargetRenderbufferStorageOES */);
}

static PFNGLEGLIMAGETARGETTEXTURE2DOESPROC
epoxy_glEGLImageTargetTexture2DOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_EGL_image, 10512 /* glEGLImageTargetTexture2DOES */);
}

static PFNGLEDGEFLAGPROC
epoxy_glEdgeFlag_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 10541 /* glEdgeFlag */);
}

static PFNGLEDGEFLAGFORMATNVPROC
epoxy_glEdgeFlagFormatNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_buffer_unified_memory, 10552 /* glEdgeFlagFormatNV */);
}

static PFNGLEDGEFLAGPOINTERPROC
epoxy_glEdgeFlagPointer_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_1, 10571 /* glEdgeFlagPointer */);
}

static PFNGLEDGEFLAGPOINTEREXTPROC
epoxy_glEdgeFlagPointerEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_array, 10589 /* glEdgeFlagPointerEXT */);
}

static PFNGLEDGEFLAGPOINTERLISTIBMPROC
epoxy_glEdgeFlagPointerListIBM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_IBM_vertex_array_lists, 10610 /* glEdgeFlagPointerListIBM */);
}

static PFNGLEDGEFLAGVPROC
epoxy_glEdgeFlagv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 10635 /* glEdgeFlagv */);
}

static PFNGLELEMENTPOINTERAPPLEPROC
epoxy_glElementPointerAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_element_array, 10647 /* glElementPointerAPPLE */);
}

static PFNGLELEMENTPOINTERATIPROC
epoxy_glElementPointerATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_element_array, 10669 /* glElementPointerATI */);
}

static PFNGLENABLEPROC
epoxy_glEnable_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        10689 /* "glEnable" */,
        10689 /* "glEnable" */,
        10689 /* "glEnable" */,
    };
    return gl_provider_resolver(entrypoint_strings + 10689 /* "glEnable" */,
                                providers, entrypoints);
}

static PFNGLENABLECLIENTSTATEPROC
epoxy_glEnableClientState_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_1,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        10698 /* "glEnableClientState" */,
        10698 /* "glEnableClientState" */,
    };
    return gl_provider_resolver(entrypoint_strings + 10698 /* "glEnableClientState" */,
                                providers, entrypoints);
}

static PFNGLENABLECLIENTSTATEINDEXEDEXTPROC
epoxy_glEnableClientStateIndexedEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 10718 /* glEnableClientStateIndexedEXT */);
}

static PFNGLENABLECLIENTSTATEIEXTPROC
epoxy_glEnableClientStateiEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 10748 /* glEnableClientStateiEXT */);
}

static PFNGLENABLEDRIVERCONTROLQCOMPROC
epoxy_glEnableDriverControlQCOM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_QCOM_driver_control, 10772 /* glEnableDriverControlQCOM */);
}

static PFNGLENABLEINDEXEDEXTPROC
epoxy_glEnableIndexedEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_draw_buffers2,
        GL_extension_GL_EXT_direct_state_access,
        Desktop_OpenGL_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        10798 /* "glEnableIndexedEXT" */,
        10798 /* "glEnableIndexedEXT" */,
        10980 /* "glEnablei" */,
    };
    return gl_provider_resolver(entrypoint_strings + 10798 /* "glEnableIndexedEXT" */,
                                providers, entrypoints);
}

static PFNGLENABLEVARIANTCLIENTSTATEEXTPROC
epoxy_glEnableVariantClientStateEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 10817 /* glEnableVariantClientStateEXT */);
}

static PFNGLENABLEVERTEXARRAYATTRIBEXTPROC
epoxy_glEnableVertexArrayAttribEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 10847 /* glEnableVertexArrayAttribEXT */);
}

static PFNGLENABLEVERTEXARRAYEXTPROC
epoxy_glEnableVertexArrayEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 10876 /* glEnableVertexArrayEXT */);
}

static PFNGLENABLEVERTEXATTRIBAPPLEPROC
epoxy_glEnableVertexAttribAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_vertex_program_evaluators, 10899 /* glEnableVertexAttribAPPLE */);
}

static PFNGLENABLEVERTEXATTRIBARRAYPROC
epoxy_glEnableVertexAttribArray_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        10925 /* "glEnableVertexAttribArray" */,
        10925 /* "glEnableVertexAttribArray" */,
        10951 /* "glEnableVertexAttribArrayARB" */,
        10951 /* "glEnableVertexAttribArrayARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 10925 /* "glEnableVertexAttribArray" */,
                                providers, entrypoints);
}

static PFNGLENABLEVERTEXATTRIBARRAYARBPROC
epoxy_glEnableVertexAttribArrayARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        10951 /* "glEnableVertexAttribArrayARB" */,
        10951 /* "glEnableVertexAttribArrayARB" */,
        10925 /* "glEnableVertexAttribArray" */,
        10925 /* "glEnableVertexAttribArray" */,
    };
    return gl_provider_resolver(entrypoint_strings + 10951 /* "glEnableVertexAttribArrayARB" */,
                                providers, entrypoints);
}

static PFNGLENABLEIPROC
epoxy_glEnablei_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_EXT_draw_buffers2,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        10980 /* "glEnablei" */,
        10798 /* "glEnableIndexedEXT" */,
        10798 /* "glEnableIndexedEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 10980 /* "glEnablei" */,
                                providers, entrypoints);
}

static PFNGLENDPROC
epoxy_glEnd_unwrapped_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 10990 /* glEnd */);
}

static PFNGLENDCONDITIONALRENDERPROC
epoxy_glEndConditionalRender_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_conditional_render,
        GL_extension_GL_NVX_conditional_render,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        10996 /* "glEndConditionalRender" */,
        11019 /* "glEndConditionalRenderNV" */,
        11044 /* "glEndConditionalRenderNVX" */,
    };
    return gl_provider_resolver(entrypoint_strings + 10996 /* "glEndConditionalRender" */,
                                providers, entrypoints);
}

static PFNGLENDCONDITIONALRENDERNVPROC
epoxy_glEndConditionalRenderNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_conditional_render,
        Desktop_OpenGL_3_0,
        GL_extension_GL_NVX_conditional_render,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        11019 /* "glEndConditionalRenderNV" */,
        10996 /* "glEndConditionalRender" */,
        11044 /* "glEndConditionalRenderNVX" */,
    };
    return gl_provider_resolver(entrypoint_strings + 11019 /* "glEndConditionalRenderNV" */,
                                providers, entrypoints);
}

static PFNGLENDCONDITIONALRENDERNVXPROC
epoxy_glEndConditionalRenderNVX_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NVX_conditional_render,
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_conditional_render,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        11044 /* "glEndConditionalRenderNVX" */,
        10996 /* "glEndConditionalRender" */,
        11019 /* "glEndConditionalRenderNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 11044 /* "glEndConditionalRenderNVX" */,
                                providers, entrypoints);
}

static PFNGLENDFRAGMENTSHADERATIPROC
epoxy_glEndFragmentShaderATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_fragment_shader, 11070 /* glEndFragmentShaderATI */);
}

static PFNGLENDLISTPROC
epoxy_glEndList_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 11093 /* glEndList */);
}

static PFNGLENDOCCLUSIONQUERYNVPROC
epoxy_glEndOcclusionQueryNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_occlusion_query, 11103 /* glEndOcclusionQueryNV */);
}

static PFNGLENDPERFMONITORAMDPROC
epoxy_glEndPerfMonitorAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_performance_monitor, 11125 /* glEndPerfMonitorAMD */);
}

static PFNGLENDPERFQUERYINTELPROC
epoxy_glEndPerfQueryINTEL_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_INTEL_performance_query, 11145 /* glEndPerfQueryINTEL */);
}

static PFNGLENDQUERYPROC
epoxy_glEndQuery_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_1_5,
        GL_extension_GL_ARB_occlusion_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        11165 /* "glEndQuery" */,
        11165 /* "glEndQuery" */,
        11176 /* "glEndQueryARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 11165 /* "glEndQuery" */,
                                providers, entrypoints);
}

static PFNGLENDQUERYARBPROC
epoxy_glEndQueryARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_occlusion_query,
        OpenGL_ES_3_0,
        Desktop_OpenGL_1_5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        11176 /* "glEndQueryARB" */,
        11165 /* "glEndQuery" */,
        11165 /* "glEndQuery" */,
    };
    return gl_provider_resolver(entrypoint_strings + 11176 /* "glEndQueryARB" */,
                                providers, entrypoints);
}

static PFNGLENDQUERYEXTPROC
epoxy_glEndQueryEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_occlusion_query_boolean,
        GL_extension_GL_EXT_disjoint_timer_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        11190 /* "glEndQueryEXT" */,
        11190 /* "glEndQueryEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 11190 /* "glEndQueryEXT" */,
                                providers, entrypoints);
}

static PFNGLENDQUERYINDEXEDPROC
epoxy_glEndQueryIndexed_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_transform_feedback3,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        11204 /* "glEndQueryIndexed" */,
        11204 /* "glEndQueryIndexed" */,
    };
    return gl_provider_resolver(entrypoint_strings + 11204 /* "glEndQueryIndexed" */,
                                providers, entrypoints);
}

static PFNGLENDTILINGQCOMPROC
epoxy_glEndTilingQCOM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_QCOM_tiled_rendering, 11222 /* glEndTilingQCOM */);
}

static PFNGLENDTRANSFORMFEEDBACKPROC
epoxy_glEndTransformFeedback_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_EXT_transform_feedback,
        GL_extension_GL_NV_transform_feedback,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        11238 /* "glEndTransformFeedback" */,
        11238 /* "glEndTransformFeedback" */,
        11261 /* "glEndTransformFeedbackEXT" */,
        11287 /* "glEndTransformFeedbackNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 11238 /* "glEndTransformFeedback" */,
                                providers, entrypoints);
}

static PFNGLENDTRANSFORMFEEDBACKEXTPROC
epoxy_glEndTransformFeedbackEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_transform_feedback,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_NV_transform_feedback,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        11261 /* "glEndTransformFeedbackEXT" */,
        11238 /* "glEndTransformFeedback" */,
        11238 /* "glEndTransformFeedback" */,
        11287 /* "glEndTransformFeedbackNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 11261 /* "glEndTransformFeedbackEXT" */,
                                providers, entrypoints);
}

static PFNGLENDTRANSFORMFEEDBACKNVPROC
epoxy_glEndTransformFeedbackNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_transform_feedback,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_EXT_transform_feedback,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        11287 /* "glEndTransformFeedbackNV" */,
        11238 /* "glEndTransformFeedback" */,
        11238 /* "glEndTransformFeedback" */,
        11261 /* "glEndTransformFeedbackEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 11287 /* "glEndTransformFeedbackNV" */,
                                providers, entrypoints);
}

static PFNGLENDVERTEXSHADEREXTPROC
epoxy_glEndVertexShaderEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 11312 /* glEndVertexShaderEXT */);
}

static PFNGLENDVIDEOCAPTURENVPROC
epoxy_glEndVideoCaptureNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_video_capture, 11333 /* glEndVideoCaptureNV */);
}

static PFNGLEVALCOORD1DPROC
epoxy_glEvalCoord1d_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 11353 /* glEvalCoord1d */);
}

static PFNGLEVALCOORD1DVPROC
epoxy_glEvalCoord1dv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 11367 /* glEvalCoord1dv */);
}

static PFNGLEVALCOORD1FPROC
epoxy_glEvalCoord1f_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 11382 /* glEvalCoord1f */);
}

static PFNGLEVALCOORD1FVPROC
epoxy_glEvalCoord1fv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 11396 /* glEvalCoord1fv */);
}

static PFNGLEVALCOORD1XOESPROC
epoxy_glEvalCoord1xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 11411 /* glEvalCoord1xOES */);
}

static PFNGLEVALCOORD1XVOESPROC
epoxy_glEvalCoord1xvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 11428 /* glEvalCoord1xvOES */);
}

static PFNGLEVALCOORD2DPROC
epoxy_glEvalCoord2d_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 11446 /* glEvalCoord2d */);
}

static PFNGLEVALCOORD2DVPROC
epoxy_glEvalCoord2dv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 11460 /* glEvalCoord2dv */);
}

static PFNGLEVALCOORD2FPROC
epoxy_glEvalCoord2f_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 11475 /* glEvalCoord2f */);
}

static PFNGLEVALCOORD2FVPROC
epoxy_glEvalCoord2fv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 11489 /* glEvalCoord2fv */);
}

static PFNGLEVALCOORD2XOESPROC
epoxy_glEvalCoord2xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 11504 /* glEvalCoord2xOES */);
}

static PFNGLEVALCOORD2XVOESPROC
epoxy_glEvalCoord2xvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 11521 /* glEvalCoord2xvOES */);
}

static PFNGLEVALMAPSNVPROC
epoxy_glEvalMapsNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_evaluators, 11539 /* glEvalMapsNV */);
}

static PFNGLEVALMESH1PROC
epoxy_glEvalMesh1_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 11552 /* glEvalMesh1 */);
}

static PFNGLEVALMESH2PROC
epoxy_glEvalMesh2_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 11564 /* glEvalMesh2 */);
}

static PFNGLEVALPOINT1PROC
epoxy_glEvalPoint1_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 11576 /* glEvalPoint1 */);
}

static PFNGLEVALPOINT2PROC
epoxy_glEvalPoint2_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 11589 /* glEvalPoint2 */);
}

static PFNGLEXECUTEPROGRAMNVPROC
epoxy_glExecuteProgramNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 11602 /* glExecuteProgramNV */);
}

static PFNGLEXTGETBUFFERPOINTERVQCOMPROC
epoxy_glExtGetBufferPointervQCOM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_QCOM_extended_get, 11621 /* glExtGetBufferPointervQCOM */);
}

static PFNGLEXTGETBUFFERSQCOMPROC
epoxy_glExtGetBuffersQCOM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_QCOM_extended_get, 11648 /* glExtGetBuffersQCOM */);
}

static PFNGLEXTGETFRAMEBUFFERSQCOMPROC
epoxy_glExtGetFramebuffersQCOM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_QCOM_extended_get, 11668 /* glExtGetFramebuffersQCOM */);
}

static PFNGLEXTGETPROGRAMBINARYSOURCEQCOMPROC
epoxy_glExtGetProgramBinarySourceQCOM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_QCOM_extended_get2, 11693 /* glExtGetProgramBinarySourceQCOM */);
}

static PFNGLEXTGETPROGRAMSQCOMPROC
epoxy_glExtGetProgramsQCOM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_QCOM_extended_get2, 11725 /* glExtGetProgramsQCOM */);
}

static PFNGLEXTGETRENDERBUFFERSQCOMPROC
epoxy_glExtGetRenderbuffersQCOM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_QCOM_extended_get, 11746 /* glExtGetRenderbuffersQCOM */);
}

static PFNGLEXTGETSHADERSQCOMPROC
epoxy_glExtGetShadersQCOM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_QCOM_extended_get2, 11772 /* glExtGetShadersQCOM */);
}

static PFNGLEXTGETTEXLEVELPARAMETERIVQCOMPROC
epoxy_glExtGetTexLevelParameterivQCOM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_QCOM_extended_get, 11792 /* glExtGetTexLevelParameterivQCOM */);
}

static PFNGLEXTGETTEXSUBIMAGEQCOMPROC
epoxy_glExtGetTexSubImageQCOM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_QCOM_extended_get, 11824 /* glExtGetTexSubImageQCOM */);
}

static PFNGLEXTGETTEXTURESQCOMPROC
epoxy_glExtGetTexturesQCOM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_QCOM_extended_get, 11848 /* glExtGetTexturesQCOM */);
}

static PFNGLEXTISPROGRAMBINARYQCOMPROC
epoxy_glExtIsProgramBinaryQCOM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_QCOM_extended_get2, 11869 /* glExtIsProgramBinaryQCOM */);
}

static PFNGLEXTTEXOBJECTSTATEOVERRIDEIQCOMPROC
epoxy_glExtTexObjectStateOverrideiQCOM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_QCOM_extended_get, 11894 /* glExtTexObjectStateOverrideiQCOM */);
}

static PFNGLEXTRACTCOMPONENTEXTPROC
epoxy_glExtractComponentEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 11927 /* glExtractComponentEXT */);
}

static PFNGLFEEDBACKBUFFERPROC
epoxy_glFeedbackBuffer_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 11949 /* glFeedbackBuffer */);
}

static PFNGLFEEDBACKBUFFERXOESPROC
epoxy_glFeedbackBufferxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 11966 /* glFeedbackBufferxOES */);
}

static PFNGLFENCESYNCPROC
epoxy_glFenceSync_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_2,
        GL_extension_GL_ARB_sync,
        OpenGL_ES_3_0,
        GL_extension_GL_APPLE_sync,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        11987 /* "glFenceSync" */,
        11987 /* "glFenceSync" */,
        11987 /* "glFenceSync" */,
        11999 /* "glFenceSyncAPPLE" */,
    };
    return gl_provider_resolver(entrypoint_strings + 11987 /* "glFenceSync" */,
                                providers, entrypoints);
}

static PFNGLFENCESYNCAPPLEPROC
epoxy_glFenceSyncAPPLE_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_APPLE_sync,
        Desktop_OpenGL_3_2,
        GL_extension_GL_ARB_sync,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        11999 /* "glFenceSyncAPPLE" */,
        11987 /* "glFenceSync" */,
        11987 /* "glFenceSync" */,
        11987 /* "glFenceSync" */,
    };
    return gl_provider_resolver(entrypoint_strings + 11999 /* "glFenceSyncAPPLE" */,
                                providers, entrypoints);
}

static PFNGLFINALCOMBINERINPUTNVPROC
epoxy_glFinalCombinerInputNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_register_combiners, 12016 /* glFinalCombinerInputNV */);
}

static PFNGLFINISHPROC
epoxy_glFinish_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        12039 /* "glFinish" */,
        12039 /* "glFinish" */,
        12039 /* "glFinish" */,
    };
    return gl_provider_resolver(entrypoint_strings + 12039 /* "glFinish" */,
                                providers, entrypoints);
}

static PFNGLFINISHASYNCSGIXPROC
epoxy_glFinishAsyncSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_async, 12048 /* glFinishAsyncSGIX */);
}

static PFNGLFINISHFENCEAPPLEPROC
epoxy_glFinishFenceAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_fence, 12066 /* glFinishFenceAPPLE */);
}

static PFNGLFINISHFENCENVPROC
epoxy_glFinishFenceNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_fence, 12085 /* glFinishFenceNV */);
}

static PFNGLFINISHOBJECTAPPLEPROC
epoxy_glFinishObjectAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_fence, 12101 /* glFinishObjectAPPLE */);
}

static PFNGLFINISHTEXTURESUNXPROC
epoxy_glFinishTextureSUNX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUNX_constant_data, 12121 /* glFinishTextureSUNX */);
}

static PFNGLFLUSHPROC
epoxy_glFlush_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        12141 /* "glFlush" */,
        12141 /* "glFlush" */,
        12141 /* "glFlush" */,
    };
    return gl_provider_resolver(entrypoint_strings + 12141 /* "glFlush" */,
                                providers, entrypoints);
}

static PFNGLFLUSHMAPPEDBUFFERRANGEPROC
epoxy_glFlushMappedBufferRange_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_map_buffer_range,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_APPLE_flush_buffer_range,
        GL_extension_GL_EXT_map_buffer_range,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        12149 /* "glFlushMappedBufferRange" */,
        12149 /* "glFlushMappedBufferRange" */,
        12149 /* "glFlushMappedBufferRange" */,
        12174 /* "glFlushMappedBufferRangeAPPLE" */,
        12204 /* "glFlushMappedBufferRangeEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 12149 /* "glFlushMappedBufferRange" */,
                                providers, entrypoints);
}

static PFNGLFLUSHMAPPEDBUFFERRANGEAPPLEPROC
epoxy_glFlushMappedBufferRangeAPPLE_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_APPLE_flush_buffer_range,
        GL_extension_GL_ARB_map_buffer_range,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_EXT_map_buffer_range,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        12174 /* "glFlushMappedBufferRangeAPPLE" */,
        12149 /* "glFlushMappedBufferRange" */,
        12149 /* "glFlushMappedBufferRange" */,
        12149 /* "glFlushMappedBufferRange" */,
        12204 /* "glFlushMappedBufferRangeEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 12174 /* "glFlushMappedBufferRangeAPPLE" */,
                                providers, entrypoints);
}

static PFNGLFLUSHMAPPEDBUFFERRANGEEXTPROC
epoxy_glFlushMappedBufferRangeEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_map_buffer_range,
        GL_extension_GL_ARB_map_buffer_range,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_APPLE_flush_buffer_range,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        12204 /* "glFlushMappedBufferRangeEXT" */,
        12149 /* "glFlushMappedBufferRange" */,
        12149 /* "glFlushMappedBufferRange" */,
        12149 /* "glFlushMappedBufferRange" */,
        12174 /* "glFlushMappedBufferRangeAPPLE" */,
    };
    return gl_provider_resolver(entrypoint_strings + 12204 /* "glFlushMappedBufferRangeEXT" */,
                                providers, entrypoints);
}

static PFNGLFLUSHMAPPEDNAMEDBUFFERRANGEEXTPROC
epoxy_glFlushMappedNamedBufferRangeEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 12232 /* glFlushMappedNamedBufferRangeEXT */);
}

static PFNGLFLUSHPIXELDATARANGENVPROC
epoxy_glFlushPixelDataRangeNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_pixel_data_range, 12265 /* glFlushPixelDataRangeNV */);
}

static PFNGLFLUSHRASTERSGIXPROC
epoxy_glFlushRasterSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_flush_raster, 12289 /* glFlushRasterSGIX */);
}

static PFNGLFLUSHSTATICDATAIBMPROC
epoxy_glFlushStaticDataIBM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_IBM_static_data, 12307 /* glFlushStaticDataIBM */);
}

static PFNGLFLUSHVERTEXARRAYRANGEAPPLEPROC
epoxy_glFlushVertexArrayRangeAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_vertex_array_range, 12328 /* glFlushVertexArrayRangeAPPLE */);
}

static PFNGLFLUSHVERTEXARRAYRANGENVPROC
epoxy_glFlushVertexArrayRangeNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_array_range, 12357 /* glFlushVertexArrayRangeNV */);
}

static PFNGLFOGCOORDFORMATNVPROC
epoxy_glFogCoordFormatNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_buffer_unified_memory, 12383 /* glFogCoordFormatNV */);
}

static PFNGLFOGCOORDPOINTERPROC
epoxy_glFogCoordPointer_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_fog_coord,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        12402 /* "glFogCoordPointer" */,
        12420 /* "glFogCoordPointerEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 12402 /* "glFogCoordPointer" */,
                                providers, entrypoints);
}

static PFNGLFOGCOORDPOINTEREXTPROC
epoxy_glFogCoordPointerEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_fog_coord,
        Desktop_OpenGL_1_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        12420 /* "glFogCoordPointerEXT" */,
        12402 /* "glFogCoordPointer" */,
    };
    return gl_provider_resolver(entrypoint_strings + 12420 /* "glFogCoordPointerEXT" */,
                                providers, entrypoints);
}

static PFNGLFOGCOORDPOINTERLISTIBMPROC
epoxy_glFogCoordPointerListIBM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_IBM_vertex_array_lists, 12441 /* glFogCoordPointerListIBM */);
}

static PFNGLFOGCOORDDPROC
epoxy_glFogCoordd_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_fog_coord,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        12466 /* "glFogCoordd" */,
        12478 /* "glFogCoorddEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 12466 /* "glFogCoordd" */,
                                providers, entrypoints);
}

static PFNGLFOGCOORDDEXTPROC
epoxy_glFogCoorddEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_fog_coord,
        Desktop_OpenGL_1_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        12478 /* "glFogCoorddEXT" */,
        12466 /* "glFogCoordd" */,
    };
    return gl_provider_resolver(entrypoint_strings + 12478 /* "glFogCoorddEXT" */,
                                providers, entrypoints);
}

static PFNGLFOGCOORDDVPROC
epoxy_glFogCoorddv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_fog_coord,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        12493 /* "glFogCoorddv" */,
        12506 /* "glFogCoorddvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 12493 /* "glFogCoorddv" */,
                                providers, entrypoints);
}

static PFNGLFOGCOORDDVEXTPROC
epoxy_glFogCoorddvEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_fog_coord,
        Desktop_OpenGL_1_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        12506 /* "glFogCoorddvEXT" */,
        12493 /* "glFogCoorddv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 12506 /* "glFogCoorddvEXT" */,
                                providers, entrypoints);
}

static PFNGLFOGCOORDFPROC
epoxy_glFogCoordf_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_fog_coord,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        12522 /* "glFogCoordf" */,
        12534 /* "glFogCoordfEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 12522 /* "glFogCoordf" */,
                                providers, entrypoints);
}

static PFNGLFOGCOORDFEXTPROC
epoxy_glFogCoordfEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_fog_coord,
        Desktop_OpenGL_1_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        12534 /* "glFogCoordfEXT" */,
        12522 /* "glFogCoordf" */,
    };
    return gl_provider_resolver(entrypoint_strings + 12534 /* "glFogCoordfEXT" */,
                                providers, entrypoints);
}

static PFNGLFOGCOORDFVPROC
epoxy_glFogCoordfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_fog_coord,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        12549 /* "glFogCoordfv" */,
        12562 /* "glFogCoordfvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 12549 /* "glFogCoordfv" */,
                                providers, entrypoints);
}

static PFNGLFOGCOORDFVEXTPROC
epoxy_glFogCoordfvEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_fog_coord,
        Desktop_OpenGL_1_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        12562 /* "glFogCoordfvEXT" */,
        12549 /* "glFogCoordfv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 12562 /* "glFogCoordfvEXT" */,
                                providers, entrypoints);
}

static PFNGLFOGCOORDHNVPROC
epoxy_glFogCoordhNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 12578 /* glFogCoordhNV */);
}

static PFNGLFOGCOORDHVNVPROC
epoxy_glFogCoordhvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 12592 /* glFogCoordhvNV */);
}

static PFNGLFOGFUNCSGISPROC
epoxy_glFogFuncSGIS_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIS_fog_function, 12607 /* glFogFuncSGIS */);
}

static PFNGLFOGFPROC
epoxy_glFogf_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        12621 /* "glFogf" */,
        12621 /* "glFogf" */,
    };
    return gl_provider_resolver(entrypoint_strings + 12621 /* "glFogf" */,
                                providers, entrypoints);
}

static PFNGLFOGFVPROC
epoxy_glFogfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        12628 /* "glFogfv" */,
        12628 /* "glFogfv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 12628 /* "glFogfv" */,
                                providers, entrypoints);
}

static PFNGLFOGIPROC
epoxy_glFogi_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 12636 /* glFogi */);
}

static PFNGLFOGIVPROC
epoxy_glFogiv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 12643 /* glFogiv */);
}

static PFNGLFOGXPROC
epoxy_glFogx_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 12651 /* glFogx */);
}

static PFNGLFOGXOESPROC
epoxy_glFogxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 12658 /* glFogxOES */);
}

static PFNGLFOGXVPROC
epoxy_glFogxv_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 12668 /* glFogxv */);
}

static PFNGLFOGXVOESPROC
epoxy_glFogxvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 12676 /* glFogxvOES */);
}

static PFNGLFRAGMENTCOLORMATERIALSGIXPROC
epoxy_glFragmentColorMaterialSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_fragment_lighting, 12687 /* glFragmentColorMaterialSGIX */);
}

static PFNGLFRAGMENTLIGHTMODELFSGIXPROC
epoxy_glFragmentLightModelfSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_fragment_lighting, 12715 /* glFragmentLightModelfSGIX */);
}

static PFNGLFRAGMENTLIGHTMODELFVSGIXPROC
epoxy_glFragmentLightModelfvSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_fragment_lighting, 12741 /* glFragmentLightModelfvSGIX */);
}

static PFNGLFRAGMENTLIGHTMODELISGIXPROC
epoxy_glFragmentLightModeliSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_fragment_lighting, 12768 /* glFragmentLightModeliSGIX */);
}

static PFNGLFRAGMENTLIGHTMODELIVSGIXPROC
epoxy_glFragmentLightModelivSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_fragment_lighting, 12794 /* glFragmentLightModelivSGIX */);
}

static PFNGLFRAGMENTLIGHTFSGIXPROC
epoxy_glFragmentLightfSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_fragment_lighting, 12821 /* glFragmentLightfSGIX */);
}

static PFNGLFRAGMENTLIGHTFVSGIXPROC
epoxy_glFragmentLightfvSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_fragment_lighting, 12842 /* glFragmentLightfvSGIX */);
}

static PFNGLFRAGMENTLIGHTISGIXPROC
epoxy_glFragmentLightiSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_fragment_lighting, 12864 /* glFragmentLightiSGIX */);
}

static PFNGLFRAGMENTLIGHTIVSGIXPROC
epoxy_glFragmentLightivSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_fragment_lighting, 12885 /* glFragmentLightivSGIX */);
}

static PFNGLFRAGMENTMATERIALFSGIXPROC
epoxy_glFragmentMaterialfSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_fragment_lighting, 12907 /* glFragmentMaterialfSGIX */);
}

static PFNGLFRAGMENTMATERIALFVSGIXPROC
epoxy_glFragmentMaterialfvSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_fragment_lighting, 12931 /* glFragmentMaterialfvSGIX */);
}

static PFNGLFRAGMENTMATERIALISGIXPROC
epoxy_glFragmentMaterialiSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_fragment_lighting, 12956 /* glFragmentMaterialiSGIX */);
}

static PFNGLFRAGMENTMATERIALIVSGIXPROC
epoxy_glFragmentMaterialivSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_fragment_lighting, 12980 /* glFragmentMaterialivSGIX */);
}

static PFNGLFRAMETERMINATORGREMEDYPROC
epoxy_glFrameTerminatorGREMEDY_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_GREMEDY_frame_terminator, 13005 /* glFrameTerminatorGREMEDY */);
}

static PFNGLFRAMEZOOMSGIXPROC
epoxy_glFrameZoomSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_framezoom, 13030 /* glFrameZoomSGIX */);
}

static PFNGLFRAMEBUFFERDRAWBUFFEREXTPROC
epoxy_glFramebufferDrawBufferEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 13046 /* glFramebufferDrawBufferEXT */);
}

static PFNGLFRAMEBUFFERDRAWBUFFERSEXTPROC
epoxy_glFramebufferDrawBuffersEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 13073 /* glFramebufferDrawBuffersEXT */);
}

static PFNGLFRAMEBUFFERPARAMETERIPROC
epoxy_glFramebufferParameteri_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_3,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_framebuffer_no_attachments,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        13101 /* "glFramebufferParameteri" */,
        13101 /* "glFramebufferParameteri" */,
        13101 /* "glFramebufferParameteri" */,
    };
    return gl_provider_resolver(entrypoint_strings + 13101 /* "glFramebufferParameteri" */,
                                providers, entrypoints);
}

static PFNGLFRAMEBUFFERREADBUFFEREXTPROC
epoxy_glFramebufferReadBufferEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 13125 /* glFramebufferReadBufferEXT */);
}

static PFNGLFRAMEBUFFERRENDERBUFFERPROC
epoxy_glFramebufferRenderbuffer_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        OpenGL_ES_2_0,
        GL_extension_GL_EXT_framebuffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        13152 /* "glFramebufferRenderbuffer" */,
        13152 /* "glFramebufferRenderbuffer" */,
        13152 /* "glFramebufferRenderbuffer" */,
        13178 /* "glFramebufferRenderbufferEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 13152 /* "glFramebufferRenderbuffer" */,
                                providers, entrypoints);
}

static PFNGLFRAMEBUFFERRENDERBUFFEREXTPROC
epoxy_glFramebufferRenderbufferEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_framebuffer_object,
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        13178 /* "glFramebufferRenderbufferEXT" */,
        13152 /* "glFramebufferRenderbuffer" */,
        13152 /* "glFramebufferRenderbuffer" */,
        13152 /* "glFramebufferRenderbuffer" */,
    };
    return gl_provider_resolver(entrypoint_strings + 13178 /* "glFramebufferRenderbufferEXT" */,
                                providers, entrypoints);
}

static PFNGLFRAMEBUFFERRENDERBUFFEROESPROC
epoxy_glFramebufferRenderbufferOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_framebuffer_object, 13207 /* glFramebufferRenderbufferOES */);
}

static PFNGLFRAMEBUFFERTEXTUREPROC
epoxy_glFramebufferTexture_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_2,
        GL_extension_GL_ARB_geometry_shader4,
        GL_extension_GL_NV_geometry_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        13236 /* "glFramebufferTexture" */,
        13530 /* "glFramebufferTextureARB" */,
        13554 /* "glFramebufferTextureEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 13236 /* "glFramebufferTexture" */,
                                providers, entrypoints);
}

static PFNGLFRAMEBUFFERTEXTURE1DPROC
epoxy_glFramebufferTexture1D_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        GL_extension_GL_EXT_framebuffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        13257 /* "glFramebufferTexture1D" */,
        13257 /* "glFramebufferTexture1D" */,
        13280 /* "glFramebufferTexture1DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 13257 /* "glFramebufferTexture1D" */,
                                providers, entrypoints);
}

static PFNGLFRAMEBUFFERTEXTURE1DEXTPROC
epoxy_glFramebufferTexture1DEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_framebuffer_object,
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        13280 /* "glFramebufferTexture1DEXT" */,
        13257 /* "glFramebufferTexture1D" */,
        13257 /* "glFramebufferTexture1D" */,
    };
    return gl_provider_resolver(entrypoint_strings + 13280 /* "glFramebufferTexture1DEXT" */,
                                providers, entrypoints);
}

static PFNGLFRAMEBUFFERTEXTURE2DPROC
epoxy_glFramebufferTexture2D_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        OpenGL_ES_2_0,
        GL_extension_GL_EXT_framebuffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        13306 /* "glFramebufferTexture2D" */,
        13306 /* "glFramebufferTexture2D" */,
        13306 /* "glFramebufferTexture2D" */,
        13329 /* "glFramebufferTexture2DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 13306 /* "glFramebufferTexture2D" */,
                                providers, entrypoints);
}

static PFNGLFRAMEBUFFERTEXTURE2DEXTPROC
epoxy_glFramebufferTexture2DEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_framebuffer_object,
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        13329 /* "glFramebufferTexture2DEXT" */,
        13306 /* "glFramebufferTexture2D" */,
        13306 /* "glFramebufferTexture2D" */,
        13306 /* "glFramebufferTexture2D" */,
    };
    return gl_provider_resolver(entrypoint_strings + 13329 /* "glFramebufferTexture2DEXT" */,
                                providers, entrypoints);
}

static PFNGLFRAMEBUFFERTEXTURE2DMULTISAMPLEEXTPROC
epoxy_glFramebufferTexture2DMultisampleEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_multisampled_render_to_texture, 13355 /* glFramebufferTexture2DMultisampleEXT */);
}

static PFNGLFRAMEBUFFERTEXTURE2DMULTISAMPLEIMGPROC
epoxy_glFramebufferTexture2DMultisampleIMG_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_IMG_multisampled_render_to_texture, 13392 /* glFramebufferTexture2DMultisampleIMG */);
}

static PFNGLFRAMEBUFFERTEXTURE2DOESPROC
epoxy_glFramebufferTexture2DOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_framebuffer_object, 13429 /* glFramebufferTexture2DOES */);
}

static PFNGLFRAMEBUFFERTEXTURE3DPROC
epoxy_glFramebufferTexture3D_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        GL_extension_GL_EXT_framebuffer_object,
        GL_extension_GL_OES_texture_3D,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        13455 /* "glFramebufferTexture3D" */,
        13455 /* "glFramebufferTexture3D" */,
        13478 /* "glFramebufferTexture3DEXT" */,
        13504 /* "glFramebufferTexture3DOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 13455 /* "glFramebufferTexture3D" */,
                                providers, entrypoints);
}

static PFNGLFRAMEBUFFERTEXTURE3DEXTPROC
epoxy_glFramebufferTexture3DEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_framebuffer_object,
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        GL_extension_GL_OES_texture_3D,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        13478 /* "glFramebufferTexture3DEXT" */,
        13455 /* "glFramebufferTexture3D" */,
        13455 /* "glFramebufferTexture3D" */,
        13504 /* "glFramebufferTexture3DOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 13478 /* "glFramebufferTexture3DEXT" */,
                                providers, entrypoints);
}

static PFNGLFRAMEBUFFERTEXTURE3DOESPROC
epoxy_glFramebufferTexture3DOES_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_OES_texture_3D,
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        GL_extension_GL_EXT_framebuffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        13504 /* "glFramebufferTexture3DOES" */,
        13455 /* "glFramebufferTexture3D" */,
        13455 /* "glFramebufferTexture3D" */,
        13478 /* "glFramebufferTexture3DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 13504 /* "glFramebufferTexture3DOES" */,
                                providers, entrypoints);
}

static PFNGLFRAMEBUFFERTEXTUREARBPROC
epoxy_glFramebufferTextureARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_geometry_shader4,
        Desktop_OpenGL_3_2,
        GL_extension_GL_NV_geometry_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        13530 /* "glFramebufferTextureARB" */,
        13236 /* "glFramebufferTexture" */,
        13554 /* "glFramebufferTextureEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 13530 /* "glFramebufferTextureARB" */,
                                providers, entrypoints);
}

static PFNGLFRAMEBUFFERTEXTUREEXTPROC
epoxy_glFramebufferTextureEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_geometry_program4,
        Desktop_OpenGL_3_2,
        GL_extension_GL_ARB_geometry_shader4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        13554 /* "glFramebufferTextureEXT" */,
        13236 /* "glFramebufferTexture" */,
        13530 /* "glFramebufferTextureARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 13554 /* "glFramebufferTextureEXT" */,
                                providers, entrypoints);
}

static PFNGLFRAMEBUFFERTEXTUREFACEARBPROC
epoxy_glFramebufferTextureFaceARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_geometry_shader4,
        GL_extension_GL_NV_geometry_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        13578 /* "glFramebufferTextureFaceARB" */,
        13606 /* "glFramebufferTextureFaceEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 13578 /* "glFramebufferTextureFaceARB" */,
                                providers, entrypoints);
}

static PFNGLFRAMEBUFFERTEXTUREFACEEXTPROC
epoxy_glFramebufferTextureFaceEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_geometry_program4,
        GL_extension_GL_ARB_geometry_shader4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        13606 /* "glFramebufferTextureFaceEXT" */,
        13578 /* "glFramebufferTextureFaceARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 13606 /* "glFramebufferTextureFaceEXT" */,
                                providers, entrypoints);
}

static PFNGLFRAMEBUFFERTEXTURELAYERPROC
epoxy_glFramebufferTextureLayer_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        GL_extension_GL_ARB_geometry_shader4,
        GL_extension_GL_NV_geometry_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        13634 /* "glFramebufferTextureLayer" */,
        13634 /* "glFramebufferTextureLayer" */,
        13634 /* "glFramebufferTextureLayer" */,
        13660 /* "glFramebufferTextureLayerARB" */,
        13689 /* "glFramebufferTextureLayerEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 13634 /* "glFramebufferTextureLayer" */,
                                providers, entrypoints);
}

static PFNGLFRAMEBUFFERTEXTURELAYERARBPROC
epoxy_glFramebufferTextureLayerARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_geometry_shader4,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        GL_extension_GL_NV_geometry_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        13660 /* "glFramebufferTextureLayerARB" */,
        13634 /* "glFramebufferTextureLayer" */,
        13634 /* "glFramebufferTextureLayer" */,
        13634 /* "glFramebufferTextureLayer" */,
        13689 /* "glFramebufferTextureLayerEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 13660 /* "glFramebufferTextureLayerARB" */,
                                providers, entrypoints);
}

static PFNGLFRAMEBUFFERTEXTURELAYEREXTPROC
epoxy_glFramebufferTextureLayerEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_geometry_program4,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        GL_extension_GL_ARB_geometry_shader4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        13689 /* "glFramebufferTextureLayerEXT" */,
        13634 /* "glFramebufferTextureLayer" */,
        13634 /* "glFramebufferTextureLayer" */,
        13634 /* "glFramebufferTextureLayer" */,
        13660 /* "glFramebufferTextureLayerARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 13689 /* "glFramebufferTextureLayerEXT" */,
                                providers, entrypoints);
}

static PFNGLFREEOBJECTBUFFERATIPROC
epoxy_glFreeObjectBufferATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_array_object, 13718 /* glFreeObjectBufferATI */);
}

static PFNGLFRONTFACEPROC
epoxy_glFrontFace_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        13740 /* "glFrontFace" */,
        13740 /* "glFrontFace" */,
        13740 /* "glFrontFace" */,
    };
    return gl_provider_resolver(entrypoint_strings + 13740 /* "glFrontFace" */,
                                providers, entrypoints);
}

static PFNGLFRUSTUMPROC
epoxy_glFrustum_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 13752 /* glFrustum */);
}

static PFNGLFRUSTUMFPROC
epoxy_glFrustumf_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 13762 /* glFrustumf */);
}

static PFNGLFRUSTUMFOESPROC
epoxy_glFrustumfOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_single_precision, 13773 /* glFrustumfOES */);
}

static PFNGLFRUSTUMXPROC
epoxy_glFrustumx_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 13787 /* glFrustumx */);
}

static PFNGLFRUSTUMXOESPROC
epoxy_glFrustumxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 13798 /* glFrustumxOES */);
}

static PFNGLGENASYNCMARKERSSGIXPROC
epoxy_glGenAsyncMarkersSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_async, 13812 /* glGenAsyncMarkersSGIX */);
}

static PFNGLGENBUFFERSPROC
epoxy_glGenBuffers_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_5,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_vertex_buffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        13834 /* "glGenBuffers" */,
        13834 /* "glGenBuffers" */,
        13834 /* "glGenBuffers" */,
        13847 /* "glGenBuffersARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 13834 /* "glGenBuffers" */,
                                providers, entrypoints);
}

static PFNGLGENBUFFERSARBPROC
epoxy_glGenBuffersARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_buffer_object,
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_5,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        13847 /* "glGenBuffersARB" */,
        13834 /* "glGenBuffers" */,
        13834 /* "glGenBuffers" */,
        13834 /* "glGenBuffers" */,
    };
    return gl_provider_resolver(entrypoint_strings + 13847 /* "glGenBuffersARB" */,
                                providers, entrypoints);
}

static PFNGLGENFENCESAPPLEPROC
epoxy_glGenFencesAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_fence, 13863 /* glGenFencesAPPLE */);
}

static PFNGLGENFENCESNVPROC
epoxy_glGenFencesNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_fence, 13880 /* glGenFencesNV */);
}

static PFNGLGENFRAGMENTSHADERSATIPROC
epoxy_glGenFragmentShadersATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_fragment_shader, 13894 /* glGenFragmentShadersATI */);
}

static PFNGLGENFRAMEBUFFERSPROC
epoxy_glGenFramebuffers_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        OpenGL_ES_2_0,
        GL_extension_GL_EXT_framebuffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        13918 /* "glGenFramebuffers" */,
        13918 /* "glGenFramebuffers" */,
        13918 /* "glGenFramebuffers" */,
        13936 /* "glGenFramebuffersEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 13918 /* "glGenFramebuffers" */,
                                providers, entrypoints);
}

static PFNGLGENFRAMEBUFFERSEXTPROC
epoxy_glGenFramebuffersEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_framebuffer_object,
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        13936 /* "glGenFramebuffersEXT" */,
        13918 /* "glGenFramebuffers" */,
        13918 /* "glGenFramebuffers" */,
        13918 /* "glGenFramebuffers" */,
    };
    return gl_provider_resolver(entrypoint_strings + 13936 /* "glGenFramebuffersEXT" */,
                                providers, entrypoints);
}

static PFNGLGENFRAMEBUFFERSOESPROC
epoxy_glGenFramebuffersOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_framebuffer_object, 13957 /* glGenFramebuffersOES */);
}

static PFNGLGENLISTSPROC
epoxy_glGenLists_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 13978 /* glGenLists */);
}

static PFNGLGENNAMESAMDPROC
epoxy_glGenNamesAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_name_gen_delete, 13989 /* glGenNamesAMD */);
}

static PFNGLGENOCCLUSIONQUERIESNVPROC
epoxy_glGenOcclusionQueriesNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_occlusion_query, 14003 /* glGenOcclusionQueriesNV */);
}

static PFNGLGENPATHSNVPROC
epoxy_glGenPathsNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 14027 /* glGenPathsNV */);
}

static PFNGLGENPERFMONITORSAMDPROC
epoxy_glGenPerfMonitorsAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_performance_monitor, 14040 /* glGenPerfMonitorsAMD */);
}

static PFNGLGENPROGRAMPIPELINESPROC
epoxy_glGenProgramPipelines_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14061 /* "glGenProgramPipelines" */,
        14061 /* "glGenProgramPipelines" */,
        14061 /* "glGenProgramPipelines" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14061 /* "glGenProgramPipelines" */,
                                providers, entrypoints);
}

static PFNGLGENPROGRAMPIPELINESEXTPROC
epoxy_glGenProgramPipelinesEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_separate_shader_objects, 14083 /* glGenProgramPipelinesEXT */);
}

static PFNGLGENPROGRAMSARBPROC
epoxy_glGenProgramsARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_fragment_program,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14108 /* "glGenProgramsARB" */,
        14108 /* "glGenProgramsARB" */,
        14125 /* "glGenProgramsNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14108 /* "glGenProgramsARB" */,
                                providers, entrypoints);
}

static PFNGLGENPROGRAMSNVPROC
epoxy_glGenProgramsNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_fragment_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14125 /* "glGenProgramsNV" */,
        14108 /* "glGenProgramsARB" */,
        14108 /* "glGenProgramsARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14125 /* "glGenProgramsNV" */,
                                providers, entrypoints);
}

static PFNGLGENQUERIESPROC
epoxy_glGenQueries_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_1_5,
        GL_extension_GL_ARB_occlusion_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14141 /* "glGenQueries" */,
        14141 /* "glGenQueries" */,
        14154 /* "glGenQueriesARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14141 /* "glGenQueries" */,
                                providers, entrypoints);
}

static PFNGLGENQUERIESARBPROC
epoxy_glGenQueriesARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_occlusion_query,
        OpenGL_ES_3_0,
        Desktop_OpenGL_1_5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14154 /* "glGenQueriesARB" */,
        14141 /* "glGenQueries" */,
        14141 /* "glGenQueries" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14154 /* "glGenQueriesARB" */,
                                providers, entrypoints);
}

static PFNGLGENQUERIESEXTPROC
epoxy_glGenQueriesEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_occlusion_query_boolean,
        GL_extension_GL_EXT_disjoint_timer_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14170 /* "glGenQueriesEXT" */,
        14170 /* "glGenQueriesEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14170 /* "glGenQueriesEXT" */,
                                providers, entrypoints);
}

static PFNGLGENRENDERBUFFERSPROC
epoxy_glGenRenderbuffers_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        OpenGL_ES_2_0,
        GL_extension_GL_EXT_framebuffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14186 /* "glGenRenderbuffers" */,
        14186 /* "glGenRenderbuffers" */,
        14186 /* "glGenRenderbuffers" */,
        14205 /* "glGenRenderbuffersEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14186 /* "glGenRenderbuffers" */,
                                providers, entrypoints);
}

static PFNGLGENRENDERBUFFERSEXTPROC
epoxy_glGenRenderbuffersEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_framebuffer_object,
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14205 /* "glGenRenderbuffersEXT" */,
        14186 /* "glGenRenderbuffers" */,
        14186 /* "glGenRenderbuffers" */,
        14186 /* "glGenRenderbuffers" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14205 /* "glGenRenderbuffersEXT" */,
                                providers, entrypoints);
}

static PFNGLGENRENDERBUFFERSOESPROC
epoxy_glGenRenderbuffersOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_framebuffer_object, 14227 /* glGenRenderbuffersOES */);
}

static PFNGLGENSAMPLERSPROC
epoxy_glGenSamplers_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_sampler_objects,
        Desktop_OpenGL_3_3,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14249 /* "glGenSamplers" */,
        14249 /* "glGenSamplers" */,
        14249 /* "glGenSamplers" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14249 /* "glGenSamplers" */,
                                providers, entrypoints);
}

static PFNGLGENSYMBOLSEXTPROC
epoxy_glGenSymbolsEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 14263 /* glGenSymbolsEXT */);
}

static PFNGLGENTEXTURESPROC
epoxy_glGenTextures_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_1,
        OpenGL_ES_2_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14279 /* "glGenTextures" */,
        14279 /* "glGenTextures" */,
        14279 /* "glGenTextures" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14279 /* "glGenTextures" */,
                                providers, entrypoints);
}

static PFNGLGENTEXTURESEXTPROC
epoxy_glGenTexturesEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_texture_object, 14293 /* glGenTexturesEXT */);
}

static PFNGLGENTRANSFORMFEEDBACKSPROC
epoxy_glGenTransformFeedbacks_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_transform_feedback2,
        GL_extension_GL_NV_transform_feedback2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14310 /* "glGenTransformFeedbacks" */,
        14310 /* "glGenTransformFeedbacks" */,
        14310 /* "glGenTransformFeedbacks" */,
        14334 /* "glGenTransformFeedbacksNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14310 /* "glGenTransformFeedbacks" */,
                                providers, entrypoints);
}

static PFNGLGENTRANSFORMFEEDBACKSNVPROC
epoxy_glGenTransformFeedbacksNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_transform_feedback2,
        Desktop_OpenGL_4_0,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_transform_feedback2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14334 /* "glGenTransformFeedbacksNV" */,
        14310 /* "glGenTransformFeedbacks" */,
        14310 /* "glGenTransformFeedbacks" */,
        14310 /* "glGenTransformFeedbacks" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14334 /* "glGenTransformFeedbacksNV" */,
                                providers, entrypoints);
}

static PFNGLGENVERTEXARRAYSPROC
epoxy_glGenVertexArrays_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_vertex_array_object,
        GL_extension_GL_APPLE_vertex_array_object,
        GL_extension_GL_OES_vertex_array_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14360 /* "glGenVertexArrays" */,
        14360 /* "glGenVertexArrays" */,
        14360 /* "glGenVertexArrays" */,
        14378 /* "glGenVertexArraysAPPLE" */,
        14401 /* "glGenVertexArraysOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14360 /* "glGenVertexArrays" */,
                                providers, entrypoints);
}

static PFNGLGENVERTEXARRAYSAPPLEPROC
epoxy_glGenVertexArraysAPPLE_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_APPLE_vertex_array_object,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_vertex_array_object,
        GL_extension_GL_OES_vertex_array_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14378 /* "glGenVertexArraysAPPLE" */,
        14360 /* "glGenVertexArrays" */,
        14360 /* "glGenVertexArrays" */,
        14360 /* "glGenVertexArrays" */,
        14401 /* "glGenVertexArraysOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14378 /* "glGenVertexArraysAPPLE" */,
                                providers, entrypoints);
}

static PFNGLGENVERTEXARRAYSOESPROC
epoxy_glGenVertexArraysOES_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_OES_vertex_array_object,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_vertex_array_object,
        GL_extension_GL_APPLE_vertex_array_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14401 /* "glGenVertexArraysOES" */,
        14360 /* "glGenVertexArrays" */,
        14360 /* "glGenVertexArrays" */,
        14360 /* "glGenVertexArrays" */,
        14378 /* "glGenVertexArraysAPPLE" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14401 /* "glGenVertexArraysOES" */,
                                providers, entrypoints);
}

static PFNGLGENVERTEXSHADERSEXTPROC
epoxy_glGenVertexShadersEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 14422 /* glGenVertexShadersEXT */);
}

static PFNGLGENERATEMIPMAPPROC
epoxy_glGenerateMipmap_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        OpenGL_ES_2_0,
        GL_extension_GL_EXT_framebuffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14444 /* "glGenerateMipmap" */,
        14444 /* "glGenerateMipmap" */,
        14444 /* "glGenerateMipmap" */,
        14461 /* "glGenerateMipmapEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14444 /* "glGenerateMipmap" */,
                                providers, entrypoints);
}

static PFNGLGENERATEMIPMAPEXTPROC
epoxy_glGenerateMipmapEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_framebuffer_object,
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14461 /* "glGenerateMipmapEXT" */,
        14444 /* "glGenerateMipmap" */,
        14444 /* "glGenerateMipmap" */,
        14444 /* "glGenerateMipmap" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14461 /* "glGenerateMipmapEXT" */,
                                providers, entrypoints);
}

static PFNGLGENERATEMIPMAPOESPROC
epoxy_glGenerateMipmapOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_framebuffer_object, 14481 /* glGenerateMipmapOES */);
}

static PFNGLGENERATEMULTITEXMIPMAPEXTPROC
epoxy_glGenerateMultiTexMipmapEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 14501 /* glGenerateMultiTexMipmapEXT */);
}

static PFNGLGENERATETEXTUREMIPMAPEXTPROC
epoxy_glGenerateTextureMipmapEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 14529 /* glGenerateTextureMipmapEXT */);
}

static PFNGLGETACTIVEATOMICCOUNTERBUFFERIVPROC
epoxy_glGetActiveAtomicCounterBufferiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_2,
        GL_extension_GL_ARB_shader_atomic_counters,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14556 /* "glGetActiveAtomicCounterBufferiv" */,
        14556 /* "glGetActiveAtomicCounterBufferiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14556 /* "glGetActiveAtomicCounterBufferiv" */,
                                providers, entrypoints);
}

static PFNGLGETACTIVEATTRIBPROC
epoxy_glGetActiveAttrib_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14589 /* "glGetActiveAttrib" */,
        14589 /* "glGetActiveAttrib" */,
        14607 /* "glGetActiveAttribARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14589 /* "glGetActiveAttrib" */,
                                providers, entrypoints);
}

static PFNGLGETACTIVEATTRIBARBPROC
epoxy_glGetActiveAttribARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14607 /* "glGetActiveAttribARB" */,
        14589 /* "glGetActiveAttrib" */,
        14589 /* "glGetActiveAttrib" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14607 /* "glGetActiveAttribARB" */,
                                providers, entrypoints);
}

static PFNGLGETACTIVESUBROUTINENAMEPROC
epoxy_glGetActiveSubroutineName_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_shader_subroutine,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14628 /* "glGetActiveSubroutineName" */,
        14628 /* "glGetActiveSubroutineName" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14628 /* "glGetActiveSubroutineName" */,
                                providers, entrypoints);
}

static PFNGLGETACTIVESUBROUTINEUNIFORMNAMEPROC
epoxy_glGetActiveSubroutineUniformName_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_shader_subroutine,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14654 /* "glGetActiveSubroutineUniformName" */,
        14654 /* "glGetActiveSubroutineUniformName" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14654 /* "glGetActiveSubroutineUniformName" */,
                                providers, entrypoints);
}

static PFNGLGETACTIVESUBROUTINEUNIFORMIVPROC
epoxy_glGetActiveSubroutineUniformiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_shader_subroutine,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14687 /* "glGetActiveSubroutineUniformiv" */,
        14687 /* "glGetActiveSubroutineUniformiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14687 /* "glGetActiveSubroutineUniformiv" */,
                                providers, entrypoints);
}

static PFNGLGETACTIVEUNIFORMPROC
epoxy_glGetActiveUniform_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14718 /* "glGetActiveUniform" */,
        14718 /* "glGetActiveUniform" */,
        14737 /* "glGetActiveUniformARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14718 /* "glGetActiveUniform" */,
                                providers, entrypoints);
}

static PFNGLGETACTIVEUNIFORMARBPROC
epoxy_glGetActiveUniformARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_objects,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14737 /* "glGetActiveUniformARB" */,
        14718 /* "glGetActiveUniform" */,
        14718 /* "glGetActiveUniform" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14737 /* "glGetActiveUniformARB" */,
                                providers, entrypoints);
}

static PFNGLGETACTIVEUNIFORMBLOCKNAMEPROC
epoxy_glGetActiveUniformBlockName_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_uniform_buffer_object,
        Desktop_OpenGL_3_1,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14759 /* "glGetActiveUniformBlockName" */,
        14759 /* "glGetActiveUniformBlockName" */,
        14759 /* "glGetActiveUniformBlockName" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14759 /* "glGetActiveUniformBlockName" */,
                                providers, entrypoints);
}

static PFNGLGETACTIVEUNIFORMBLOCKIVPROC
epoxy_glGetActiveUniformBlockiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_uniform_buffer_object,
        Desktop_OpenGL_3_1,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14787 /* "glGetActiveUniformBlockiv" */,
        14787 /* "glGetActiveUniformBlockiv" */,
        14787 /* "glGetActiveUniformBlockiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14787 /* "glGetActiveUniformBlockiv" */,
                                providers, entrypoints);
}

static PFNGLGETACTIVEUNIFORMNAMEPROC
epoxy_glGetActiveUniformName_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_uniform_buffer_object,
        Desktop_OpenGL_3_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14813 /* "glGetActiveUniformName" */,
        14813 /* "glGetActiveUniformName" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14813 /* "glGetActiveUniformName" */,
                                providers, entrypoints);
}

static PFNGLGETACTIVEUNIFORMSIVPROC
epoxy_glGetActiveUniformsiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_uniform_buffer_object,
        Desktop_OpenGL_3_1,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14836 /* "glGetActiveUniformsiv" */,
        14836 /* "glGetActiveUniformsiv" */,
        14836 /* "glGetActiveUniformsiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14836 /* "glGetActiveUniformsiv" */,
                                providers, entrypoints);
}

static PFNGLGETACTIVEVARYINGNVPROC
epoxy_glGetActiveVaryingNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_transform_feedback, 14858 /* glGetActiveVaryingNV */);
}

static PFNGLGETARRAYOBJECTFVATIPROC
epoxy_glGetArrayObjectfvATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_array_object, 14879 /* glGetArrayObjectfvATI */);
}

static PFNGLGETARRAYOBJECTIVATIPROC
epoxy_glGetArrayObjectivATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_array_object, 14901 /* glGetArrayObjectivATI */);
}

static PFNGLGETATTACHEDOBJECTSARBPROC
epoxy_glGetAttachedObjectsARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_shader_objects, 14923 /* glGetAttachedObjectsARB */);
}

static PFNGLGETATTACHEDSHADERSPROC
epoxy_glGetAttachedShaders_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14947 /* "glGetAttachedShaders" */,
        14947 /* "glGetAttachedShaders" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14947 /* "glGetAttachedShaders" */,
                                providers, entrypoints);
}

static PFNGLGETATTRIBLOCATIONPROC
epoxy_glGetAttribLocation_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14968 /* "glGetAttribLocation" */,
        14968 /* "glGetAttribLocation" */,
        14988 /* "glGetAttribLocationARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14968 /* "glGetAttribLocation" */,
                                providers, entrypoints);
}

static PFNGLGETATTRIBLOCATIONARBPROC
epoxy_glGetAttribLocationARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        14988 /* "glGetAttribLocationARB" */,
        14968 /* "glGetAttribLocation" */,
        14968 /* "glGetAttribLocation" */,
    };
    return gl_provider_resolver(entrypoint_strings + 14988 /* "glGetAttribLocationARB" */,
                                providers, entrypoints);
}

static PFNGLGETBOOLEANINDEXEDVEXTPROC
epoxy_glGetBooleanIndexedvEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_draw_buffers2,
        GL_extension_GL_EXT_direct_state_access,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        15011 /* "glGetBooleanIndexedvEXT" */,
        15011 /* "glGetBooleanIndexedvEXT" */,
        15035 /* "glGetBooleani_v" */,
        15035 /* "glGetBooleani_v" */,
    };
    return gl_provider_resolver(entrypoint_strings + 15011 /* "glGetBooleanIndexedvEXT" */,
                                providers, entrypoints);
}

static PFNGLGETBOOLEANI_VPROC
epoxy_glGetBooleani_v_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_1,
        GL_extension_GL_EXT_draw_buffers2,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        15035 /* "glGetBooleani_v" */,
        15035 /* "glGetBooleani_v" */,
        15011 /* "glGetBooleanIndexedvEXT" */,
        15011 /* "glGetBooleanIndexedvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 15035 /* "glGetBooleani_v" */,
                                providers, entrypoints);
}

static PFNGLGETBOOLEANVPROC
epoxy_glGetBooleanv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        15051 /* "glGetBooleanv" */,
        15051 /* "glGetBooleanv" */,
        15051 /* "glGetBooleanv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 15051 /* "glGetBooleanv" */,
                                providers, entrypoints);
}

static PFNGLGETBUFFERPARAMETERI64VPROC
epoxy_glGetBufferParameteri64v_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_2,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        15065 /* "glGetBufferParameteri64v" */,
        15065 /* "glGetBufferParameteri64v" */,
    };
    return gl_provider_resolver(entrypoint_strings + 15065 /* "glGetBufferParameteri64v" */,
                                providers, entrypoints);
}

static PFNGLGETBUFFERPARAMETERIVPROC
epoxy_glGetBufferParameteriv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_5,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_vertex_buffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        15090 /* "glGetBufferParameteriv" */,
        15090 /* "glGetBufferParameteriv" */,
        15090 /* "glGetBufferParameteriv" */,
        15113 /* "glGetBufferParameterivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 15090 /* "glGetBufferParameteriv" */,
                                providers, entrypoints);
}

static PFNGLGETBUFFERPARAMETERIVARBPROC
epoxy_glGetBufferParameterivARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_buffer_object,
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_5,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        15113 /* "glGetBufferParameterivARB" */,
        15090 /* "glGetBufferParameteriv" */,
        15090 /* "glGetBufferParameteriv" */,
        15090 /* "glGetBufferParameteriv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 15113 /* "glGetBufferParameterivARB" */,
                                providers, entrypoints);
}

static PFNGLGETBUFFERPARAMETERUI64VNVPROC
epoxy_glGetBufferParameterui64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_shader_buffer_load, 15139 /* glGetBufferParameterui64vNV */);
}

static PFNGLGETBUFFERPOINTERVPROC
epoxy_glGetBufferPointerv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_1_5,
        GL_extension_GL_ARB_vertex_buffer_object,
        GL_extension_GL_OES_mapbuffer,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        15167 /* "glGetBufferPointerv" */,
        15167 /* "glGetBufferPointerv" */,
        15187 /* "glGetBufferPointervARB" */,
        15210 /* "glGetBufferPointervOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 15167 /* "glGetBufferPointerv" */,
                                providers, entrypoints);
}

static PFNGLGETBUFFERPOINTERVARBPROC
epoxy_glGetBufferPointervARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_buffer_object,
        OpenGL_ES_3_0,
        Desktop_OpenGL_1_5,
        GL_extension_GL_OES_mapbuffer,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        15187 /* "glGetBufferPointervARB" */,
        15167 /* "glGetBufferPointerv" */,
        15167 /* "glGetBufferPointerv" */,
        15210 /* "glGetBufferPointervOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 15187 /* "glGetBufferPointervARB" */,
                                providers, entrypoints);
}

static PFNGLGETBUFFERPOINTERVOESPROC
epoxy_glGetBufferPointervOES_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_OES_mapbuffer,
        OpenGL_ES_3_0,
        Desktop_OpenGL_1_5,
        GL_extension_GL_ARB_vertex_buffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        15210 /* "glGetBufferPointervOES" */,
        15167 /* "glGetBufferPointerv" */,
        15167 /* "glGetBufferPointerv" */,
        15187 /* "glGetBufferPointervARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 15210 /* "glGetBufferPointervOES" */,
                                providers, entrypoints);
}

static PFNGLGETBUFFERSUBDATAPROC
epoxy_glGetBufferSubData_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_5,
        GL_extension_GL_ARB_vertex_buffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        15233 /* "glGetBufferSubData" */,
        15252 /* "glGetBufferSubDataARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 15233 /* "glGetBufferSubData" */,
                                providers, entrypoints);
}

static PFNGLGETBUFFERSUBDATAARBPROC
epoxy_glGetBufferSubDataARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_buffer_object,
        Desktop_OpenGL_1_5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        15252 /* "glGetBufferSubDataARB" */,
        15233 /* "glGetBufferSubData" */,
    };
    return gl_provider_resolver(entrypoint_strings + 15252 /* "glGetBufferSubDataARB" */,
                                providers, entrypoints);
}

static PFNGLGETCLIPPLANEPROC
epoxy_glGetClipPlane_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 15274 /* glGetClipPlane */);
}

static PFNGLGETCLIPPLANEFPROC
epoxy_glGetClipPlanef_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 15289 /* glGetClipPlanef */);
}

static PFNGLGETCLIPPLANEFOESPROC
epoxy_glGetClipPlanefOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_single_precision, 15305 /* glGetClipPlanefOES */);
}

static PFNGLGETCLIPPLANEXPROC
epoxy_glGetClipPlanex_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 15324 /* glGetClipPlanex */);
}

static PFNGLGETCLIPPLANEXOESPROC
epoxy_glGetClipPlanexOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 15340 /* glGetClipPlanexOES */);
}

static PFNGLGETCOLORTABLEPROC
epoxy_glGetColorTable_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_EXT_paletted_texture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        15359 /* "glGetColorTable" */,
        15375 /* "glGetColorTableEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 15359 /* "glGetColorTable" */,
                                providers, entrypoints);
}

static PFNGLGETCOLORTABLEEXTPROC
epoxy_glGetColorTableEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_paletted_texture,
        GL_extension_GL_ARB_imaging,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        15375 /* "glGetColorTableEXT" */,
        15359 /* "glGetColorTable" */,
    };
    return gl_provider_resolver(entrypoint_strings + 15375 /* "glGetColorTableEXT" */,
                                providers, entrypoints);
}

static PFNGLGETCOLORTABLEPARAMETERFVPROC
epoxy_glGetColorTableParameterfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_EXT_paletted_texture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        15394 /* "glGetColorTableParameterfv" */,
        15421 /* "glGetColorTableParameterfvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 15394 /* "glGetColorTableParameterfv" */,
                                providers, entrypoints);
}

static PFNGLGETCOLORTABLEPARAMETERFVEXTPROC
epoxy_glGetColorTableParameterfvEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_paletted_texture,
        GL_extension_GL_ARB_imaging,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        15421 /* "glGetColorTableParameterfvEXT" */,
        15394 /* "glGetColorTableParameterfv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 15421 /* "glGetColorTableParameterfvEXT" */,
                                providers, entrypoints);
}

static PFNGLGETCOLORTABLEPARAMETERFVSGIPROC
epoxy_glGetColorTableParameterfvSGI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGI_color_table, 15451 /* glGetColorTableParameterfvSGI */);
}

static PFNGLGETCOLORTABLEPARAMETERIVPROC
epoxy_glGetColorTableParameteriv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_EXT_paletted_texture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        15481 /* "glGetColorTableParameteriv" */,
        15508 /* "glGetColorTableParameterivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 15481 /* "glGetColorTableParameteriv" */,
                                providers, entrypoints);
}

static PFNGLGETCOLORTABLEPARAMETERIVEXTPROC
epoxy_glGetColorTableParameterivEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_paletted_texture,
        GL_extension_GL_ARB_imaging,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        15508 /* "glGetColorTableParameterivEXT" */,
        15481 /* "glGetColorTableParameteriv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 15508 /* "glGetColorTableParameterivEXT" */,
                                providers, entrypoints);
}

static PFNGLGETCOLORTABLEPARAMETERIVSGIPROC
epoxy_glGetColorTableParameterivSGI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGI_color_table, 15538 /* glGetColorTableParameterivSGI */);
}

static PFNGLGETCOLORTABLESGIPROC
epoxy_glGetColorTableSGI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGI_color_table, 15568 /* glGetColorTableSGI */);
}

static PFNGLGETCOMBINERINPUTPARAMETERFVNVPROC
epoxy_glGetCombinerInputParameterfvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_register_combiners, 15587 /* glGetCombinerInputParameterfvNV */);
}

static PFNGLGETCOMBINERINPUTPARAMETERIVNVPROC
epoxy_glGetCombinerInputParameterivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_register_combiners, 15619 /* glGetCombinerInputParameterivNV */);
}

static PFNGLGETCOMBINEROUTPUTPARAMETERFVNVPROC
epoxy_glGetCombinerOutputParameterfvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_register_combiners, 15651 /* glGetCombinerOutputParameterfvNV */);
}

static PFNGLGETCOMBINEROUTPUTPARAMETERIVNVPROC
epoxy_glGetCombinerOutputParameterivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_register_combiners, 15684 /* glGetCombinerOutputParameterivNV */);
}

static PFNGLGETCOMBINERSTAGEPARAMETERFVNVPROC
epoxy_glGetCombinerStageParameterfvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_register_combiners2, 15717 /* glGetCombinerStageParameterfvNV */);
}

static PFNGLGETCOMPRESSEDMULTITEXIMAGEEXTPROC
epoxy_glGetCompressedMultiTexImageEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 15749 /* glGetCompressedMultiTexImageEXT */);
}

static PFNGLGETCOMPRESSEDTEXIMAGEPROC
epoxy_glGetCompressedTexImage_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_texture_compression,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        15781 /* "glGetCompressedTexImage" */,
        15805 /* "glGetCompressedTexImageARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 15781 /* "glGetCompressedTexImage" */,
                                providers, entrypoints);
}

static PFNGLGETCOMPRESSEDTEXIMAGEARBPROC
epoxy_glGetCompressedTexImageARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_texture_compression,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        15805 /* "glGetCompressedTexImageARB" */,
        15781 /* "glGetCompressedTexImage" */,
    };
    return gl_provider_resolver(entrypoint_strings + 15805 /* "glGetCompressedTexImageARB" */,
                                providers, entrypoints);
}

static PFNGLGETCOMPRESSEDTEXTUREIMAGEEXTPROC
epoxy_glGetCompressedTextureImageEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 15832 /* glGetCompressedTextureImageEXT */);
}

static PFNGLGETCONVOLUTIONFILTERPROC
epoxy_glGetConvolutionFilter_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_imaging, 15863 /* glGetConvolutionFilter */);
}

static PFNGLGETCONVOLUTIONFILTEREXTPROC
epoxy_glGetConvolutionFilterEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_convolution, 15886 /* glGetConvolutionFilterEXT */);
}

static PFNGLGETCONVOLUTIONPARAMETERFVPROC
epoxy_glGetConvolutionParameterfv_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_imaging, 15912 /* glGetConvolutionParameterfv */);
}

static PFNGLGETCONVOLUTIONPARAMETERFVEXTPROC
epoxy_glGetConvolutionParameterfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_convolution, 15940 /* glGetConvolutionParameterfvEXT */);
}

static PFNGLGETCONVOLUTIONPARAMETERIVPROC
epoxy_glGetConvolutionParameteriv_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_imaging, 15971 /* glGetConvolutionParameteriv */);
}

static PFNGLGETCONVOLUTIONPARAMETERIVEXTPROC
epoxy_glGetConvolutionParameterivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_convolution, 15999 /* glGetConvolutionParameterivEXT */);
}

static PFNGLGETCONVOLUTIONPARAMETERXVOESPROC
epoxy_glGetConvolutionParameterxvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 16030 /* glGetConvolutionParameterxvOES */);
}

static PFNGLGETDEBUGMESSAGELOGPROC
epoxy_glGetDebugMessageLog_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_3,
        GL_extension_GL_KHR_debug,
        GL_extension_GL_ARB_debug_output,
        GL_extension_GL_KHR_debug,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        16061 /* "glGetDebugMessageLog" */,
        16061 /* "glGetDebugMessageLog" */,
        16106 /* "glGetDebugMessageLogARB" */,
        16130 /* "glGetDebugMessageLogKHR" */,
    };
    return gl_provider_resolver(entrypoint_strings + 16061 /* "glGetDebugMessageLog" */,
                                providers, entrypoints);
}

static PFNGLGETDEBUGMESSAGELOGAMDPROC
epoxy_glGetDebugMessageLogAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_debug_output, 16082 /* glGetDebugMessageLogAMD */);
}

static PFNGLGETDEBUGMESSAGELOGARBPROC
epoxy_glGetDebugMessageLogARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_debug_output,
        Desktop_OpenGL_4_3,
        GL_extension_GL_KHR_debug,
        GL_extension_GL_KHR_debug,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        16106 /* "glGetDebugMessageLogARB" */,
        16061 /* "glGetDebugMessageLog" */,
        16061 /* "glGetDebugMessageLog" */,
        16130 /* "glGetDebugMessageLogKHR" */,
    };
    return gl_provider_resolver(entrypoint_strings + 16106 /* "glGetDebugMessageLogARB" */,
                                providers, entrypoints);
}

static PFNGLGETDEBUGMESSAGELOGKHRPROC
epoxy_glGetDebugMessageLogKHR_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_KHR_debug,
        Desktop_OpenGL_4_3,
        GL_extension_GL_KHR_debug,
        GL_extension_GL_ARB_debug_output,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        16130 /* "glGetDebugMessageLogKHR" */,
        16061 /* "glGetDebugMessageLog" */,
        16061 /* "glGetDebugMessageLog" */,
        16106 /* "glGetDebugMessageLogARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 16130 /* "glGetDebugMessageLogKHR" */,
                                providers, entrypoints);
}

static PFNGLGETDETAILTEXFUNCSGISPROC
epoxy_glGetDetailTexFuncSGIS_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIS_detail_texture, 16154 /* glGetDetailTexFuncSGIS */);
}

static PFNGLGETDOUBLEINDEXEDVEXTPROC
epoxy_glGetDoubleIndexedvEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_viewport_array,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        16177 /* "glGetDoubleIndexedvEXT" */,
        16200 /* "glGetDoublei_v" */,
        16200 /* "glGetDoublei_v" */,
        16215 /* "glGetDoublei_vEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 16177 /* "glGetDoubleIndexedvEXT" */,
                                providers, entrypoints);
}

static PFNGLGETDOUBLEI_VPROC
epoxy_glGetDoublei_v_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_viewport_array,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        16200 /* "glGetDoublei_v" */,
        16200 /* "glGetDoublei_v" */,
        16177 /* "glGetDoubleIndexedvEXT" */,
        16215 /* "glGetDoublei_vEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 16200 /* "glGetDoublei_v" */,
                                providers, entrypoints);
}

static PFNGLGETDOUBLEI_VEXTPROC
epoxy_glGetDoublei_vEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_direct_state_access,
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_viewport_array,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        16215 /* "glGetDoublei_vEXT" */,
        16177 /* "glGetDoubleIndexedvEXT" */,
        16200 /* "glGetDoublei_v" */,
        16200 /* "glGetDoublei_v" */,
    };
    return gl_provider_resolver(entrypoint_strings + 16215 /* "glGetDoublei_vEXT" */,
                                providers, entrypoints);
}

static PFNGLGETDOUBLEVPROC
epoxy_glGetDoublev_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 16233 /* glGetDoublev */);
}

static PFNGLGETDRIVERCONTROLSTRINGQCOMPROC
epoxy_glGetDriverControlStringQCOM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_QCOM_driver_control, 16246 /* glGetDriverControlStringQCOM */);
}

static PFNGLGETDRIVERCONTROLSQCOMPROC
epoxy_glGetDriverControlsQCOM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_QCOM_driver_control, 16275 /* glGetDriverControlsQCOM */);
}

static PFNGLGETERRORPROC
epoxy_glGetError_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        16299 /* "glGetError" */,
        16299 /* "glGetError" */,
        16299 /* "glGetError" */,
    };
    return gl_provider_resolver(entrypoint_strings + 16299 /* "glGetError" */,
                                providers, entrypoints);
}

static PFNGLGETFENCEIVNVPROC
epoxy_glGetFenceivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_fence, 16310 /* glGetFenceivNV */);
}

static PFNGLGETFINALCOMBINERINPUTPARAMETERFVNVPROC
epoxy_glGetFinalCombinerInputParameterfvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_register_combiners, 16325 /* glGetFinalCombinerInputParameterfvNV */);
}

static PFNGLGETFINALCOMBINERINPUTPARAMETERIVNVPROC
epoxy_glGetFinalCombinerInputParameterivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_register_combiners, 16362 /* glGetFinalCombinerInputParameterivNV */);
}

static PFNGLGETFIRSTPERFQUERYIDINTELPROC
epoxy_glGetFirstPerfQueryIdINTEL_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_INTEL_performance_query, 16399 /* glGetFirstPerfQueryIdINTEL */);
}

static PFNGLGETFIXEDVPROC
epoxy_glGetFixedv_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 16426 /* glGetFixedv */);
}

static PFNGLGETFIXEDVOESPROC
epoxy_glGetFixedvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 16438 /* glGetFixedvOES */);
}

static PFNGLGETFLOATINDEXEDVEXTPROC
epoxy_glGetFloatIndexedvEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_viewport_array,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        16453 /* "glGetFloatIndexedvEXT" */,
        16475 /* "glGetFloati_v" */,
        16475 /* "glGetFloati_v" */,
        16489 /* "glGetFloati_vEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 16453 /* "glGetFloatIndexedvEXT" */,
                                providers, entrypoints);
}

static PFNGLGETFLOATI_VPROC
epoxy_glGetFloati_v_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_viewport_array,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        16475 /* "glGetFloati_v" */,
        16475 /* "glGetFloati_v" */,
        16453 /* "glGetFloatIndexedvEXT" */,
        16489 /* "glGetFloati_vEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 16475 /* "glGetFloati_v" */,
                                providers, entrypoints);
}

static PFNGLGETFLOATI_VEXTPROC
epoxy_glGetFloati_vEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_direct_state_access,
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_viewport_array,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        16489 /* "glGetFloati_vEXT" */,
        16453 /* "glGetFloatIndexedvEXT" */,
        16475 /* "glGetFloati_v" */,
        16475 /* "glGetFloati_v" */,
    };
    return gl_provider_resolver(entrypoint_strings + 16489 /* "glGetFloati_vEXT" */,
                                providers, entrypoints);
}

static PFNGLGETFLOATVPROC
epoxy_glGetFloatv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        16506 /* "glGetFloatv" */,
        16506 /* "glGetFloatv" */,
        16506 /* "glGetFloatv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 16506 /* "glGetFloatv" */,
                                providers, entrypoints);
}

static PFNGLGETFOGFUNCSGISPROC
epoxy_glGetFogFuncSGIS_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIS_fog_function, 16518 /* glGetFogFuncSGIS */);
}

static PFNGLGETFRAGDATAINDEXPROC
epoxy_glGetFragDataIndex_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_3,
        GL_extension_GL_ARB_blend_func_extended,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        16535 /* "glGetFragDataIndex" */,
        16535 /* "glGetFragDataIndex" */,
    };
    return gl_provider_resolver(entrypoint_strings + 16535 /* "glGetFragDataIndex" */,
                                providers, entrypoints);
}

static PFNGLGETFRAGDATALOCATIONPROC
epoxy_glGetFragDataLocation_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_EXT_gpu_shader4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        16554 /* "glGetFragDataLocation" */,
        16554 /* "glGetFragDataLocation" */,
        16576 /* "glGetFragDataLocationEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 16554 /* "glGetFragDataLocation" */,
                                providers, entrypoints);
}

static PFNGLGETFRAGDATALOCATIONEXTPROC
epoxy_glGetFragDataLocationEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_gpu_shader4,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        16576 /* "glGetFragDataLocationEXT" */,
        16554 /* "glGetFragDataLocation" */,
        16554 /* "glGetFragDataLocation" */,
    };
    return gl_provider_resolver(entrypoint_strings + 16576 /* "glGetFragDataLocationEXT" */,
                                providers, entrypoints);
}

static PFNGLGETFRAGMENTLIGHTFVSGIXPROC
epoxy_glGetFragmentLightfvSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_fragment_lighting, 16601 /* glGetFragmentLightfvSGIX */);
}

static PFNGLGETFRAGMENTLIGHTIVSGIXPROC
epoxy_glGetFragmentLightivSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_fragment_lighting, 16626 /* glGetFragmentLightivSGIX */);
}

static PFNGLGETFRAGMENTMATERIALFVSGIXPROC
epoxy_glGetFragmentMaterialfvSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_fragment_lighting, 16651 /* glGetFragmentMaterialfvSGIX */);
}

static PFNGLGETFRAGMENTMATERIALIVSGIXPROC
epoxy_glGetFragmentMaterialivSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_fragment_lighting, 16679 /* glGetFragmentMaterialivSGIX */);
}

static PFNGLGETFRAMEBUFFERATTACHMENTPARAMETERIVPROC
epoxy_glGetFramebufferAttachmentParameteriv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        OpenGL_ES_2_0,
        GL_extension_GL_EXT_framebuffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        16707 /* "glGetFramebufferAttachmentParameteriv" */,
        16707 /* "glGetFramebufferAttachmentParameteriv" */,
        16707 /* "glGetFramebufferAttachmentParameteriv" */,
        16745 /* "glGetFramebufferAttachmentParameterivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 16707 /* "glGetFramebufferAttachmentParameteriv" */,
                                providers, entrypoints);
}

static PFNGLGETFRAMEBUFFERATTACHMENTPARAMETERIVEXTPROC
epoxy_glGetFramebufferAttachmentParameterivEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_framebuffer_object,
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        16745 /* "glGetFramebufferAttachmentParameterivEXT" */,
        16707 /* "glGetFramebufferAttachmentParameteriv" */,
        16707 /* "glGetFramebufferAttachmentParameteriv" */,
        16707 /* "glGetFramebufferAttachmentParameteriv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 16745 /* "glGetFramebufferAttachmentParameterivEXT" */,
                                providers, entrypoints);
}

static PFNGLGETFRAMEBUFFERATTACHMENTPARAMETERIVOESPROC
epoxy_glGetFramebufferAttachmentParameterivOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_framebuffer_object, 16786 /* glGetFramebufferAttachmentParameterivOES */);
}

static PFNGLGETFRAMEBUFFERPARAMETERIVPROC
epoxy_glGetFramebufferParameteriv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_3,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_framebuffer_no_attachments,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        16827 /* "glGetFramebufferParameteriv" */,
        16827 /* "glGetFramebufferParameteriv" */,
        16827 /* "glGetFramebufferParameteriv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 16827 /* "glGetFramebufferParameteriv" */,
                                providers, entrypoints);
}

static PFNGLGETFRAMEBUFFERPARAMETERIVEXTPROC
epoxy_glGetFramebufferParameterivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 16855 /* glGetFramebufferParameterivEXT */);
}

static PFNGLGETGRAPHICSRESETSTATUSARBPROC
epoxy_glGetGraphicsResetStatusARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 16886 /* glGetGraphicsResetStatusARB */);
}

static PFNGLGETGRAPHICSRESETSTATUSEXTPROC
epoxy_glGetGraphicsResetStatusEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_robustness, 16914 /* glGetGraphicsResetStatusEXT */);
}

static PFNGLGETHANDLEARBPROC
epoxy_glGetHandleARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_shader_objects, 16942 /* glGetHandleARB */);
}

static PFNGLGETHISTOGRAMPROC
epoxy_glGetHistogram_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_imaging, 16957 /* glGetHistogram */);
}

static PFNGLGETHISTOGRAMEXTPROC
epoxy_glGetHistogramEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_histogram, 16972 /* glGetHistogramEXT */);
}

static PFNGLGETHISTOGRAMPARAMETERFVPROC
epoxy_glGetHistogramParameterfv_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_imaging, 16990 /* glGetHistogramParameterfv */);
}

static PFNGLGETHISTOGRAMPARAMETERFVEXTPROC
epoxy_glGetHistogramParameterfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_histogram, 17016 /* glGetHistogramParameterfvEXT */);
}

static PFNGLGETHISTOGRAMPARAMETERIVPROC
epoxy_glGetHistogramParameteriv_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_imaging, 17045 /* glGetHistogramParameteriv */);
}

static PFNGLGETHISTOGRAMPARAMETERIVEXTPROC
epoxy_glGetHistogramParameterivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_histogram, 17071 /* glGetHistogramParameterivEXT */);
}

static PFNGLGETHISTOGRAMPARAMETERXVOESPROC
epoxy_glGetHistogramParameterxvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 17100 /* glGetHistogramParameterxvOES */);
}

static PFNGLGETIMAGEHANDLEARBPROC
epoxy_glGetImageHandleARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_bindless_texture, 17129 /* glGetImageHandleARB */);
}

static PFNGLGETIMAGEHANDLENVPROC
epoxy_glGetImageHandleNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_bindless_texture, 17149 /* glGetImageHandleNV */);
}

static PFNGLGETIMAGETRANSFORMPARAMETERFVHPPROC
epoxy_glGetImageTransformParameterfvHP_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_HP_image_transform, 17168 /* glGetImageTransformParameterfvHP */);
}

static PFNGLGETIMAGETRANSFORMPARAMETERIVHPPROC
epoxy_glGetImageTransformParameterivHP_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_HP_image_transform, 17201 /* glGetImageTransformParameterivHP */);
}

static PFNGLGETINFOLOGARBPROC
epoxy_glGetInfoLogARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_shader_objects, 17234 /* glGetInfoLogARB */);
}

static PFNGLGETINSTRUMENTSSGIXPROC
epoxy_glGetInstrumentsSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_instruments, 17250 /* glGetInstrumentsSGIX */);
}

static PFNGLGETINTEGER64I_VPROC
epoxy_glGetInteger64i_v_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_2,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        17271 /* "glGetInteger64i_v" */,
        17271 /* "glGetInteger64i_v" */,
    };
    return gl_provider_resolver(entrypoint_strings + 17271 /* "glGetInteger64i_v" */,
                                providers, entrypoints);
}

static PFNGLGETINTEGER64VPROC
epoxy_glGetInteger64v_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_2,
        GL_extension_GL_ARB_sync,
        OpenGL_ES_3_0,
        GL_extension_GL_APPLE_sync,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        17289 /* "glGetInteger64v" */,
        17289 /* "glGetInteger64v" */,
        17289 /* "glGetInteger64v" */,
        17305 /* "glGetInteger64vAPPLE" */,
    };
    return gl_provider_resolver(entrypoint_strings + 17289 /* "glGetInteger64v" */,
                                providers, entrypoints);
}

static PFNGLGETINTEGER64VAPPLEPROC
epoxy_glGetInteger64vAPPLE_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_APPLE_sync,
        Desktop_OpenGL_3_2,
        GL_extension_GL_ARB_sync,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        17305 /* "glGetInteger64vAPPLE" */,
        17289 /* "glGetInteger64v" */,
        17289 /* "glGetInteger64v" */,
        17289 /* "glGetInteger64v" */,
    };
    return gl_provider_resolver(entrypoint_strings + 17305 /* "glGetInteger64vAPPLE" */,
                                providers, entrypoints);
}

static PFNGLGETINTEGERINDEXEDVEXTPROC
epoxy_glGetIntegerIndexedvEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_draw_buffers2,
        GL_extension_GL_EXT_direct_state_access,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        17326 /* "glGetIntegerIndexedvEXT" */,
        17326 /* "glGetIntegerIndexedvEXT" */,
        17350 /* "glGetIntegeri_v" */,
        17350 /* "glGetIntegeri_v" */,
    };
    return gl_provider_resolver(entrypoint_strings + 17326 /* "glGetIntegerIndexedvEXT" */,
                                providers, entrypoints);
}

static PFNGLGETINTEGERI_VPROC
epoxy_glGetIntegeri_v_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_EXT_draw_buffers2,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        17350 /* "glGetIntegeri_v" */,
        17350 /* "glGetIntegeri_v" */,
        17326 /* "glGetIntegerIndexedvEXT" */,
        17326 /* "glGetIntegerIndexedvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 17350 /* "glGetIntegeri_v" */,
                                providers, entrypoints);
}

static PFNGLGETINTEGERI_VEXTPROC
epoxy_glGetIntegeri_vEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_multiview_draw_buffers, 17366 /* glGetIntegeri_vEXT */);
}

static PFNGLGETINTEGERUI64I_VNVPROC
epoxy_glGetIntegerui64i_vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_buffer_unified_memory, 17385 /* glGetIntegerui64i_vNV */);
}

static PFNGLGETINTEGERUI64VNVPROC
epoxy_glGetIntegerui64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_shader_buffer_load, 17407 /* glGetIntegerui64vNV */);
}

static PFNGLGETINTEGERVPROC
epoxy_glGetIntegerv_resolver(void)
{
    return gl_single_resolver(always_present, 17427 /* glGetIntegerv */);
}

static PFNGLGETINTERNALFORMATI64VPROC
epoxy_glGetInternalformati64v_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_internalformat_query2,
        Desktop_OpenGL_4_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        17441 /* "glGetInternalformati64v" */,
        17441 /* "glGetInternalformati64v" */,
    };
    return gl_provider_resolver(entrypoint_strings + 17441 /* "glGetInternalformati64v" */,
                                providers, entrypoints);
}

static PFNGLGETINTERNALFORMATIVPROC
epoxy_glGetInternalformativ_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_internalformat_query,
        Desktop_OpenGL_4_2,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        17465 /* "glGetInternalformativ" */,
        17465 /* "glGetInternalformativ" */,
        17465 /* "glGetInternalformativ" */,
    };
    return gl_provider_resolver(entrypoint_strings + 17465 /* "glGetInternalformativ" */,
                                providers, entrypoints);
}

static PFNGLGETINVARIANTBOOLEANVEXTPROC
epoxy_glGetInvariantBooleanvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 17487 /* glGetInvariantBooleanvEXT */);
}

static PFNGLGETINVARIANTFLOATVEXTPROC
epoxy_glGetInvariantFloatvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 17513 /* glGetInvariantFloatvEXT */);
}

static PFNGLGETINVARIANTINTEGERVEXTPROC
epoxy_glGetInvariantIntegervEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 17537 /* glGetInvariantIntegervEXT */);
}

static PFNGLGETLIGHTFVPROC
epoxy_glGetLightfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        17563 /* "glGetLightfv" */,
        17563 /* "glGetLightfv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 17563 /* "glGetLightfv" */,
                                providers, entrypoints);
}

static PFNGLGETLIGHTIVPROC
epoxy_glGetLightiv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 17576 /* glGetLightiv */);
}

static PFNGLGETLIGHTXOESPROC
epoxy_glGetLightxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 17589 /* glGetLightxOES */);
}

static PFNGLGETLIGHTXVPROC
epoxy_glGetLightxv_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 17604 /* glGetLightxv */);
}

static PFNGLGETLIGHTXVOESPROC
epoxy_glGetLightxvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 17617 /* glGetLightxvOES */);
}

static PFNGLGETLISTPARAMETERFVSGIXPROC
epoxy_glGetListParameterfvSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_list_priority, 17633 /* glGetListParameterfvSGIX */);
}

static PFNGLGETLISTPARAMETERIVSGIXPROC
epoxy_glGetListParameterivSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_list_priority, 17658 /* glGetListParameterivSGIX */);
}

static PFNGLGETLOCALCONSTANTBOOLEANVEXTPROC
epoxy_glGetLocalConstantBooleanvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 17683 /* glGetLocalConstantBooleanvEXT */);
}

static PFNGLGETLOCALCONSTANTFLOATVEXTPROC
epoxy_glGetLocalConstantFloatvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 17713 /* glGetLocalConstantFloatvEXT */);
}

static PFNGLGETLOCALCONSTANTINTEGERVEXTPROC
epoxy_glGetLocalConstantIntegervEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 17741 /* glGetLocalConstantIntegervEXT */);
}

static PFNGLGETMAPATTRIBPARAMETERFVNVPROC
epoxy_glGetMapAttribParameterfvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_evaluators, 17771 /* glGetMapAttribParameterfvNV */);
}

static PFNGLGETMAPATTRIBPARAMETERIVNVPROC
epoxy_glGetMapAttribParameterivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_evaluators, 17799 /* glGetMapAttribParameterivNV */);
}

static PFNGLGETMAPCONTROLPOINTSNVPROC
epoxy_glGetMapControlPointsNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_evaluators, 17827 /* glGetMapControlPointsNV */);
}

static PFNGLGETMAPPARAMETERFVNVPROC
epoxy_glGetMapParameterfvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_evaluators, 17851 /* glGetMapParameterfvNV */);
}

static PFNGLGETMAPPARAMETERIVNVPROC
epoxy_glGetMapParameterivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_evaluators, 17873 /* glGetMapParameterivNV */);
}

static PFNGLGETMAPDVPROC
epoxy_glGetMapdv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 17895 /* glGetMapdv */);
}

static PFNGLGETMAPFVPROC
epoxy_glGetMapfv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 17906 /* glGetMapfv */);
}

static PFNGLGETMAPIVPROC
epoxy_glGetMapiv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 17917 /* glGetMapiv */);
}

static PFNGLGETMAPXVOESPROC
epoxy_glGetMapxvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 17928 /* glGetMapxvOES */);
}

static PFNGLGETMATERIALFVPROC
epoxy_glGetMaterialfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        17942 /* "glGetMaterialfv" */,
        17942 /* "glGetMaterialfv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 17942 /* "glGetMaterialfv" */,
                                providers, entrypoints);
}

static PFNGLGETMATERIALIVPROC
epoxy_glGetMaterialiv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 17958 /* glGetMaterialiv */);
}

static PFNGLGETMATERIALXOESPROC
epoxy_glGetMaterialxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 17974 /* glGetMaterialxOES */);
}

static PFNGLGETMATERIALXVPROC
epoxy_glGetMaterialxv_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 17992 /* glGetMaterialxv */);
}

static PFNGLGETMATERIALXVOESPROC
epoxy_glGetMaterialxvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 18008 /* glGetMaterialxvOES */);
}

static PFNGLGETMINMAXPROC
epoxy_glGetMinmax_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_imaging, 18027 /* glGetMinmax */);
}

static PFNGLGETMINMAXEXTPROC
epoxy_glGetMinmaxEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_histogram, 18039 /* glGetMinmaxEXT */);
}

static PFNGLGETMINMAXPARAMETERFVPROC
epoxy_glGetMinmaxParameterfv_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_imaging, 18054 /* glGetMinmaxParameterfv */);
}

static PFNGLGETMINMAXPARAMETERFVEXTPROC
epoxy_glGetMinmaxParameterfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_histogram, 18077 /* glGetMinmaxParameterfvEXT */);
}

static PFNGLGETMINMAXPARAMETERIVPROC
epoxy_glGetMinmaxParameteriv_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_imaging, 18103 /* glGetMinmaxParameteriv */);
}

static PFNGLGETMINMAXPARAMETERIVEXTPROC
epoxy_glGetMinmaxParameterivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_histogram, 18126 /* glGetMinmaxParameterivEXT */);
}

static PFNGLGETMULTITEXENVFVEXTPROC
epoxy_glGetMultiTexEnvfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18152 /* glGetMultiTexEnvfvEXT */);
}

static PFNGLGETMULTITEXENVIVEXTPROC
epoxy_glGetMultiTexEnvivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18174 /* glGetMultiTexEnvivEXT */);
}

static PFNGLGETMULTITEXGENDVEXTPROC
epoxy_glGetMultiTexGendvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18196 /* glGetMultiTexGendvEXT */);
}

static PFNGLGETMULTITEXGENFVEXTPROC
epoxy_glGetMultiTexGenfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18218 /* glGetMultiTexGenfvEXT */);
}

static PFNGLGETMULTITEXGENIVEXTPROC
epoxy_glGetMultiTexGenivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18240 /* glGetMultiTexGenivEXT */);
}

static PFNGLGETMULTITEXIMAGEEXTPROC
epoxy_glGetMultiTexImageEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18262 /* glGetMultiTexImageEXT */);
}

static PFNGLGETMULTITEXLEVELPARAMETERFVEXTPROC
epoxy_glGetMultiTexLevelParameterfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18284 /* glGetMultiTexLevelParameterfvEXT */);
}

static PFNGLGETMULTITEXLEVELPARAMETERIVEXTPROC
epoxy_glGetMultiTexLevelParameterivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18317 /* glGetMultiTexLevelParameterivEXT */);
}

static PFNGLGETMULTITEXPARAMETERIIVEXTPROC
epoxy_glGetMultiTexParameterIivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18350 /* glGetMultiTexParameterIivEXT */);
}

static PFNGLGETMULTITEXPARAMETERIUIVEXTPROC
epoxy_glGetMultiTexParameterIuivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18379 /* glGetMultiTexParameterIuivEXT */);
}

static PFNGLGETMULTITEXPARAMETERFVEXTPROC
epoxy_glGetMultiTexParameterfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18409 /* glGetMultiTexParameterfvEXT */);
}

static PFNGLGETMULTITEXPARAMETERIVEXTPROC
epoxy_glGetMultiTexParameterivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18437 /* glGetMultiTexParameterivEXT */);
}

static PFNGLGETMULTISAMPLEFVPROC
epoxy_glGetMultisamplefv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_2,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_texture_multisample,
        GL_extension_GL_NV_explicit_multisample,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        18465 /* "glGetMultisamplefv" */,
        18465 /* "glGetMultisamplefv" */,
        18465 /* "glGetMultisamplefv" */,
        18484 /* "glGetMultisamplefvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 18465 /* "glGetMultisamplefv" */,
                                providers, entrypoints);
}

static PFNGLGETMULTISAMPLEFVNVPROC
epoxy_glGetMultisamplefvNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_explicit_multisample,
        Desktop_OpenGL_3_2,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_texture_multisample,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        18484 /* "glGetMultisamplefvNV" */,
        18465 /* "glGetMultisamplefv" */,
        18465 /* "glGetMultisamplefv" */,
        18465 /* "glGetMultisamplefv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 18484 /* "glGetMultisamplefvNV" */,
                                providers, entrypoints);
}

static PFNGLGETNAMEDBUFFERPARAMETERIVEXTPROC
epoxy_glGetNamedBufferParameterivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18505 /* glGetNamedBufferParameterivEXT */);
}

static PFNGLGETNAMEDBUFFERPARAMETERUI64VNVPROC
epoxy_glGetNamedBufferParameterui64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_shader_buffer_load, 18536 /* glGetNamedBufferParameterui64vNV */);
}

static PFNGLGETNAMEDBUFFERPOINTERVEXTPROC
epoxy_glGetNamedBufferPointervEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18569 /* glGetNamedBufferPointervEXT */);
}

static PFNGLGETNAMEDBUFFERSUBDATAEXTPROC
epoxy_glGetNamedBufferSubDataEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18597 /* glGetNamedBufferSubDataEXT */);
}

static PFNGLGETNAMEDFRAMEBUFFERATTACHMENTPARAMETERIVEXTPROC
epoxy_glGetNamedFramebufferAttachmentParameterivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18624 /* glGetNamedFramebufferAttachmentParameterivEXT */);
}

static PFNGLGETNAMEDFRAMEBUFFERPARAMETERIVEXTPROC
epoxy_glGetNamedFramebufferParameterivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18670 /* glGetNamedFramebufferParameterivEXT */);
}

static PFNGLGETNAMEDPROGRAMLOCALPARAMETERIIVEXTPROC
epoxy_glGetNamedProgramLocalParameterIivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18706 /* glGetNamedProgramLocalParameterIivEXT */);
}

static PFNGLGETNAMEDPROGRAMLOCALPARAMETERIUIVEXTPROC
epoxy_glGetNamedProgramLocalParameterIuivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18744 /* glGetNamedProgramLocalParameterIuivEXT */);
}

static PFNGLGETNAMEDPROGRAMLOCALPARAMETERDVEXTPROC
epoxy_glGetNamedProgramLocalParameterdvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18783 /* glGetNamedProgramLocalParameterdvEXT */);
}

static PFNGLGETNAMEDPROGRAMLOCALPARAMETERFVEXTPROC
epoxy_glGetNamedProgramLocalParameterfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18820 /* glGetNamedProgramLocalParameterfvEXT */);
}

static PFNGLGETNAMEDPROGRAMSTRINGEXTPROC
epoxy_glGetNamedProgramStringEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18857 /* glGetNamedProgramStringEXT */);
}

static PFNGLGETNAMEDPROGRAMIVEXTPROC
epoxy_glGetNamedProgramivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18884 /* glGetNamedProgramivEXT */);
}

static PFNGLGETNAMEDRENDERBUFFERPARAMETERIVEXTPROC
epoxy_glGetNamedRenderbufferParameterivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 18907 /* glGetNamedRenderbufferParameterivEXT */);
}

static PFNGLGETNAMEDSTRINGARBPROC
epoxy_glGetNamedStringARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_shading_language_include, 18944 /* glGetNamedStringARB */);
}

static PFNGLGETNAMEDSTRINGIVARBPROC
epoxy_glGetNamedStringivARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_shading_language_include, 18964 /* glGetNamedStringivARB */);
}

static PFNGLGETNEXTPERFQUERYIDINTELPROC
epoxy_glGetNextPerfQueryIdINTEL_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_INTEL_performance_query, 18986 /* glGetNextPerfQueryIdINTEL */);
}

static PFNGLGETOBJECTBUFFERFVATIPROC
epoxy_glGetObjectBufferfvATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_array_object, 19012 /* glGetObjectBufferfvATI */);
}

static PFNGLGETOBJECTBUFFERIVATIPROC
epoxy_glGetObjectBufferivATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_array_object, 19035 /* glGetObjectBufferivATI */);
}

static PFNGLGETOBJECTLABELPROC
epoxy_glGetObjectLabel_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_3,
        GL_extension_GL_KHR_debug,
        GL_extension_GL_KHR_debug,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        19058 /* "glGetObjectLabel" */,
        19058 /* "glGetObjectLabel" */,
        19095 /* "glGetObjectLabelKHR" */,
    };
    return gl_provider_resolver(entrypoint_strings + 19058 /* "glGetObjectLabel" */,
                                providers, entrypoints);
}

static PFNGLGETOBJECTLABELEXTPROC
epoxy_glGetObjectLabelEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_debug_label, 19075 /* glGetObjectLabelEXT */);
}

static PFNGLGETOBJECTLABELKHRPROC
epoxy_glGetObjectLabelKHR_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_KHR_debug,
        Desktop_OpenGL_4_3,
        GL_extension_GL_KHR_debug,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        19095 /* "glGetObjectLabelKHR" */,
        19058 /* "glGetObjectLabel" */,
        19058 /* "glGetObjectLabel" */,
    };
    return gl_provider_resolver(entrypoint_strings + 19095 /* "glGetObjectLabelKHR" */,
                                providers, entrypoints);
}

static PFNGLGETOBJECTPARAMETERFVARBPROC
epoxy_glGetObjectParameterfvARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_shader_objects, 19115 /* glGetObjectParameterfvARB */);
}

static PFNGLGETOBJECTPARAMETERIVAPPLEPROC
epoxy_glGetObjectParameterivAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_object_purgeable, 19141 /* glGetObjectParameterivAPPLE */);
}

static PFNGLGETOBJECTPARAMETERIVARBPROC
epoxy_glGetObjectParameterivARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_shader_objects, 19169 /* glGetObjectParameterivARB */);
}

static PFNGLGETOBJECTPTRLABELPROC
epoxy_glGetObjectPtrLabel_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_3,
        GL_extension_GL_KHR_debug,
        GL_extension_GL_KHR_debug,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        19195 /* "glGetObjectPtrLabel" */,
        19195 /* "glGetObjectPtrLabel" */,
        19215 /* "glGetObjectPtrLabelKHR" */,
    };
    return gl_provider_resolver(entrypoint_strings + 19195 /* "glGetObjectPtrLabel" */,
                                providers, entrypoints);
}

static PFNGLGETOBJECTPTRLABELKHRPROC
epoxy_glGetObjectPtrLabelKHR_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_KHR_debug,
        Desktop_OpenGL_4_3,
        GL_extension_GL_KHR_debug,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        19215 /* "glGetObjectPtrLabelKHR" */,
        19195 /* "glGetObjectPtrLabel" */,
        19195 /* "glGetObjectPtrLabel" */,
    };
    return gl_provider_resolver(entrypoint_strings + 19215 /* "glGetObjectPtrLabelKHR" */,
                                providers, entrypoints);
}

static PFNGLGETOCCLUSIONQUERYIVNVPROC
epoxy_glGetOcclusionQueryivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_occlusion_query, 19238 /* glGetOcclusionQueryivNV */);
}

static PFNGLGETOCCLUSIONQUERYUIVNVPROC
epoxy_glGetOcclusionQueryuivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_occlusion_query, 19262 /* glGetOcclusionQueryuivNV */);
}

static PFNGLGETPATHCOLORGENFVNVPROC
epoxy_glGetPathColorGenfvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 19287 /* glGetPathColorGenfvNV */);
}

static PFNGLGETPATHCOLORGENIVNVPROC
epoxy_glGetPathColorGenivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 19309 /* glGetPathColorGenivNV */);
}

static PFNGLGETPATHCOMMANDSNVPROC
epoxy_glGetPathCommandsNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 19331 /* glGetPathCommandsNV */);
}

static PFNGLGETPATHCOORDSNVPROC
epoxy_glGetPathCoordsNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 19351 /* glGetPathCoordsNV */);
}

static PFNGLGETPATHDASHARRAYNVPROC
epoxy_glGetPathDashArrayNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 19369 /* glGetPathDashArrayNV */);
}

static PFNGLGETPATHLENGTHNVPROC
epoxy_glGetPathLengthNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 19390 /* glGetPathLengthNV */);
}

static PFNGLGETPATHMETRICRANGENVPROC
epoxy_glGetPathMetricRangeNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 19408 /* glGetPathMetricRangeNV */);
}

static PFNGLGETPATHMETRICSNVPROC
epoxy_glGetPathMetricsNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 19431 /* glGetPathMetricsNV */);
}

static PFNGLGETPATHPARAMETERFVNVPROC
epoxy_glGetPathParameterfvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 19450 /* glGetPathParameterfvNV */);
}

static PFNGLGETPATHPARAMETERIVNVPROC
epoxy_glGetPathParameterivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 19473 /* glGetPathParameterivNV */);
}

static PFNGLGETPATHSPACINGNVPROC
epoxy_glGetPathSpacingNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 19496 /* glGetPathSpacingNV */);
}

static PFNGLGETPATHTEXGENFVNVPROC
epoxy_glGetPathTexGenfvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 19515 /* glGetPathTexGenfvNV */);
}

static PFNGLGETPATHTEXGENIVNVPROC
epoxy_glGetPathTexGenivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 19535 /* glGetPathTexGenivNV */);
}

static PFNGLGETPERFCOUNTERINFOINTELPROC
epoxy_glGetPerfCounterInfoINTEL_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_INTEL_performance_query, 19555 /* glGetPerfCounterInfoINTEL */);
}

static PFNGLGETPERFMONITORCOUNTERDATAAMDPROC
epoxy_glGetPerfMonitorCounterDataAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_performance_monitor, 19581 /* glGetPerfMonitorCounterDataAMD */);
}

static PFNGLGETPERFMONITORCOUNTERINFOAMDPROC
epoxy_glGetPerfMonitorCounterInfoAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_performance_monitor, 19612 /* glGetPerfMonitorCounterInfoAMD */);
}

static PFNGLGETPERFMONITORCOUNTERSTRINGAMDPROC
epoxy_glGetPerfMonitorCounterStringAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_performance_monitor, 19643 /* glGetPerfMonitorCounterStringAMD */);
}

static PFNGLGETPERFMONITORCOUNTERSAMDPROC
epoxy_glGetPerfMonitorCountersAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_performance_monitor, 19676 /* glGetPerfMonitorCountersAMD */);
}

static PFNGLGETPERFMONITORGROUPSTRINGAMDPROC
epoxy_glGetPerfMonitorGroupStringAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_performance_monitor, 19704 /* glGetPerfMonitorGroupStringAMD */);
}

static PFNGLGETPERFMONITORGROUPSAMDPROC
epoxy_glGetPerfMonitorGroupsAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_performance_monitor, 19735 /* glGetPerfMonitorGroupsAMD */);
}

static PFNGLGETPERFQUERYDATAINTELPROC
epoxy_glGetPerfQueryDataINTEL_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_INTEL_performance_query, 19761 /* glGetPerfQueryDataINTEL */);
}

static PFNGLGETPERFQUERYIDBYNAMEINTELPROC
epoxy_glGetPerfQueryIdByNameINTEL_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_INTEL_performance_query, 19785 /* glGetPerfQueryIdByNameINTEL */);
}

static PFNGLGETPERFQUERYINFOINTELPROC
epoxy_glGetPerfQueryInfoINTEL_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_INTEL_performance_query, 19813 /* glGetPerfQueryInfoINTEL */);
}

static PFNGLGETPIXELMAPFVPROC
epoxy_glGetPixelMapfv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 19837 /* glGetPixelMapfv */);
}

static PFNGLGETPIXELMAPUIVPROC
epoxy_glGetPixelMapuiv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 19853 /* glGetPixelMapuiv */);
}

static PFNGLGETPIXELMAPUSVPROC
epoxy_glGetPixelMapusv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 19870 /* glGetPixelMapusv */);
}

static PFNGLGETPIXELMAPXVPROC
epoxy_glGetPixelMapxv_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 19887 /* glGetPixelMapxv */);
}

static PFNGLGETPIXELTEXGENPARAMETERFVSGISPROC
epoxy_glGetPixelTexGenParameterfvSGIS_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIS_pixel_texture, 19903 /* glGetPixelTexGenParameterfvSGIS */);
}

static PFNGLGETPIXELTEXGENPARAMETERIVSGISPROC
epoxy_glGetPixelTexGenParameterivSGIS_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIS_pixel_texture, 19935 /* glGetPixelTexGenParameterivSGIS */);
}

static PFNGLGETPIXELTRANSFORMPARAMETERFVEXTPROC
epoxy_glGetPixelTransformParameterfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_pixel_transform, 19967 /* glGetPixelTransformParameterfvEXT */);
}

static PFNGLGETPIXELTRANSFORMPARAMETERIVEXTPROC
epoxy_glGetPixelTransformParameterivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_pixel_transform, 20001 /* glGetPixelTransformParameterivEXT */);
}

static PFNGLGETPOINTERINDEXEDVEXTPROC
epoxy_glGetPointerIndexedvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 20035 /* glGetPointerIndexedvEXT */);
}

static PFNGLGETPOINTERI_VEXTPROC
epoxy_glGetPointeri_vEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 20059 /* glGetPointeri_vEXT */);
}

static PFNGLGETPOINTERVPROC
epoxy_glGetPointerv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_1,
        Desktop_OpenGL_4_3,
        GL_extension_GL_KHR_debug,
        OpenGL_ES_1_0,
        GL_extension_GL_EXT_vertex_array,
        GL_extension_GL_KHR_debug,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20078 /* "glGetPointerv" */,
        20078 /* "glGetPointerv" */,
        20078 /* "glGetPointerv" */,
        20078 /* "glGetPointerv" */,
        20092 /* "glGetPointervEXT" */,
        20109 /* "glGetPointervKHR" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20078 /* "glGetPointerv" */,
                                providers, entrypoints);
}

static PFNGLGETPOINTERVEXTPROC
epoxy_glGetPointervEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_vertex_array,
        Desktop_OpenGL_1_1,
        Desktop_OpenGL_4_3,
        GL_extension_GL_KHR_debug,
        OpenGL_ES_1_0,
        GL_extension_GL_KHR_debug,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20092 /* "glGetPointervEXT" */,
        20078 /* "glGetPointerv" */,
        20078 /* "glGetPointerv" */,
        20078 /* "glGetPointerv" */,
        20078 /* "glGetPointerv" */,
        20109 /* "glGetPointervKHR" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20092 /* "glGetPointervEXT" */,
                                providers, entrypoints);
}

static PFNGLGETPOINTERVKHRPROC
epoxy_glGetPointervKHR_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_KHR_debug,
        Desktop_OpenGL_1_1,
        Desktop_OpenGL_4_3,
        GL_extension_GL_KHR_debug,
        OpenGL_ES_1_0,
        GL_extension_GL_EXT_vertex_array,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20109 /* "glGetPointervKHR" */,
        20078 /* "glGetPointerv" */,
        20078 /* "glGetPointerv" */,
        20078 /* "glGetPointerv" */,
        20078 /* "glGetPointerv" */,
        20092 /* "glGetPointervEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20109 /* "glGetPointervKHR" */,
                                providers, entrypoints);
}

static PFNGLGETPOLYGONSTIPPLEPROC
epoxy_glGetPolygonStipple_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 20126 /* glGetPolygonStipple */);
}

static PFNGLGETPROGRAMBINARYPROC
epoxy_glGetProgramBinary_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_get_program_binary,
        GL_extension_GL_OES_get_program_binary,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20146 /* "glGetProgramBinary" */,
        20146 /* "glGetProgramBinary" */,
        20146 /* "glGetProgramBinary" */,
        20165 /* "glGetProgramBinaryOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20146 /* "glGetProgramBinary" */,
                                providers, entrypoints);
}

static PFNGLGETPROGRAMBINARYOESPROC
epoxy_glGetProgramBinaryOES_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_OES_get_program_binary,
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_get_program_binary,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20165 /* "glGetProgramBinaryOES" */,
        20146 /* "glGetProgramBinary" */,
        20146 /* "glGetProgramBinary" */,
        20146 /* "glGetProgramBinary" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20165 /* "glGetProgramBinaryOES" */,
                                providers, entrypoints);
}

static PFNGLGETPROGRAMENVPARAMETERIIVNVPROC
epoxy_glGetProgramEnvParameterIivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_program4, 20187 /* glGetProgramEnvParameterIivNV */);
}

static PFNGLGETPROGRAMENVPARAMETERIUIVNVPROC
epoxy_glGetProgramEnvParameterIuivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_program4, 20217 /* glGetProgramEnvParameterIuivNV */);
}

static PFNGLGETPROGRAMENVPARAMETERDVARBPROC
epoxy_glGetProgramEnvParameterdvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_fragment_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20248 /* "glGetProgramEnvParameterdvARB" */,
        20248 /* "glGetProgramEnvParameterdvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20248 /* "glGetProgramEnvParameterdvARB" */,
                                providers, entrypoints);
}

static PFNGLGETPROGRAMENVPARAMETERFVARBPROC
epoxy_glGetProgramEnvParameterfvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_fragment_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20278 /* "glGetProgramEnvParameterfvARB" */,
        20278 /* "glGetProgramEnvParameterfvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20278 /* "glGetProgramEnvParameterfvARB" */,
                                providers, entrypoints);
}

static PFNGLGETPROGRAMINFOLOGPROC
epoxy_glGetProgramInfoLog_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20308 /* "glGetProgramInfoLog" */,
        20308 /* "glGetProgramInfoLog" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20308 /* "glGetProgramInfoLog" */,
                                providers, entrypoints);
}

static PFNGLGETPROGRAMINTERFACEIVPROC
epoxy_glGetProgramInterfaceiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_3,
        GL_extension_GL_ARB_program_interface_query,
        OpenGL_ES_3_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20328 /* "glGetProgramInterfaceiv" */,
        20328 /* "glGetProgramInterfaceiv" */,
        20328 /* "glGetProgramInterfaceiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20328 /* "glGetProgramInterfaceiv" */,
                                providers, entrypoints);
}

static PFNGLGETPROGRAMLOCALPARAMETERIIVNVPROC
epoxy_glGetProgramLocalParameterIivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_program4, 20352 /* glGetProgramLocalParameterIivNV */);
}

static PFNGLGETPROGRAMLOCALPARAMETERIUIVNVPROC
epoxy_glGetProgramLocalParameterIuivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_program4, 20384 /* glGetProgramLocalParameterIuivNV */);
}

static PFNGLGETPROGRAMLOCALPARAMETERDVARBPROC
epoxy_glGetProgramLocalParameterdvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_fragment_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20417 /* "glGetProgramLocalParameterdvARB" */,
        20417 /* "glGetProgramLocalParameterdvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20417 /* "glGetProgramLocalParameterdvARB" */,
                                providers, entrypoints);
}

static PFNGLGETPROGRAMLOCALPARAMETERFVARBPROC
epoxy_glGetProgramLocalParameterfvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_fragment_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20449 /* "glGetProgramLocalParameterfvARB" */,
        20449 /* "glGetProgramLocalParameterfvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20449 /* "glGetProgramLocalParameterfvARB" */,
                                providers, entrypoints);
}

static PFNGLGETPROGRAMNAMEDPARAMETERDVNVPROC
epoxy_glGetProgramNamedParameterdvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_fragment_program, 20481 /* glGetProgramNamedParameterdvNV */);
}

static PFNGLGETPROGRAMNAMEDPARAMETERFVNVPROC
epoxy_glGetProgramNamedParameterfvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_fragment_program, 20512 /* glGetProgramNamedParameterfvNV */);
}

static PFNGLGETPROGRAMPARAMETERDVNVPROC
epoxy_glGetProgramParameterdvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 20543 /* glGetProgramParameterdvNV */);
}

static PFNGLGETPROGRAMPARAMETERFVNVPROC
epoxy_glGetProgramParameterfvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 20569 /* glGetProgramParameterfvNV */);
}

static PFNGLGETPROGRAMPIPELINEINFOLOGPROC
epoxy_glGetProgramPipelineInfoLog_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20595 /* "glGetProgramPipelineInfoLog" */,
        20595 /* "glGetProgramPipelineInfoLog" */,
        20595 /* "glGetProgramPipelineInfoLog" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20595 /* "glGetProgramPipelineInfoLog" */,
                                providers, entrypoints);
}

static PFNGLGETPROGRAMPIPELINEINFOLOGEXTPROC
epoxy_glGetProgramPipelineInfoLogEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_separate_shader_objects, 20623 /* glGetProgramPipelineInfoLogEXT */);
}

static PFNGLGETPROGRAMPIPELINEIVPROC
epoxy_glGetProgramPipelineiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20654 /* "glGetProgramPipelineiv" */,
        20654 /* "glGetProgramPipelineiv" */,
        20654 /* "glGetProgramPipelineiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20654 /* "glGetProgramPipelineiv" */,
                                providers, entrypoints);
}

static PFNGLGETPROGRAMPIPELINEIVEXTPROC
epoxy_glGetProgramPipelineivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_separate_shader_objects, 20677 /* glGetProgramPipelineivEXT */);
}

static PFNGLGETPROGRAMRESOURCEINDEXPROC
epoxy_glGetProgramResourceIndex_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_3,
        GL_extension_GL_ARB_program_interface_query,
        OpenGL_ES_3_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20703 /* "glGetProgramResourceIndex" */,
        20703 /* "glGetProgramResourceIndex" */,
        20703 /* "glGetProgramResourceIndex" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20703 /* "glGetProgramResourceIndex" */,
                                providers, entrypoints);
}

static PFNGLGETPROGRAMRESOURCELOCATIONPROC
epoxy_glGetProgramResourceLocation_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_3,
        GL_extension_GL_ARB_program_interface_query,
        OpenGL_ES_3_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20729 /* "glGetProgramResourceLocation" */,
        20729 /* "glGetProgramResourceLocation" */,
        20729 /* "glGetProgramResourceLocation" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20729 /* "glGetProgramResourceLocation" */,
                                providers, entrypoints);
}

static PFNGLGETPROGRAMRESOURCELOCATIONINDEXPROC
epoxy_glGetProgramResourceLocationIndex_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_3,
        GL_extension_GL_ARB_program_interface_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20758 /* "glGetProgramResourceLocationIndex" */,
        20758 /* "glGetProgramResourceLocationIndex" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20758 /* "glGetProgramResourceLocationIndex" */,
                                providers, entrypoints);
}

static PFNGLGETPROGRAMRESOURCENAMEPROC
epoxy_glGetProgramResourceName_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_3,
        GL_extension_GL_ARB_program_interface_query,
        OpenGL_ES_3_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20792 /* "glGetProgramResourceName" */,
        20792 /* "glGetProgramResourceName" */,
        20792 /* "glGetProgramResourceName" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20792 /* "glGetProgramResourceName" */,
                                providers, entrypoints);
}

static PFNGLGETPROGRAMRESOURCEIVPROC
epoxy_glGetProgramResourceiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_3,
        GL_extension_GL_ARB_program_interface_query,
        OpenGL_ES_3_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20817 /* "glGetProgramResourceiv" */,
        20817 /* "glGetProgramResourceiv" */,
        20817 /* "glGetProgramResourceiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20817 /* "glGetProgramResourceiv" */,
                                providers, entrypoints);
}

static PFNGLGETPROGRAMSTAGEIVPROC
epoxy_glGetProgramStageiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_shader_subroutine,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20840 /* "glGetProgramStageiv" */,
        20840 /* "glGetProgramStageiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20840 /* "glGetProgramStageiv" */,
                                providers, entrypoints);
}

static PFNGLGETPROGRAMSTRINGARBPROC
epoxy_glGetProgramStringARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_fragment_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20860 /* "glGetProgramStringARB" */,
        20860 /* "glGetProgramStringARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20860 /* "glGetProgramStringARB" */,
                                providers, entrypoints);
}

static PFNGLGETPROGRAMSTRINGNVPROC
epoxy_glGetProgramStringNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 20882 /* glGetProgramStringNV */);
}

static PFNGLGETPROGRAMSUBROUTINEPARAMETERUIVNVPROC
epoxy_glGetProgramSubroutineParameteruivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_program5, 20903 /* glGetProgramSubroutineParameteruivNV */);
}

static PFNGLGETPROGRAMIVPROC
epoxy_glGetProgramiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20940 /* "glGetProgramiv" */,
        20940 /* "glGetProgramiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20940 /* "glGetProgramiv" */,
                                providers, entrypoints);
}

static PFNGLGETPROGRAMIVARBPROC
epoxy_glGetProgramivARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_fragment_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20955 /* "glGetProgramivARB" */,
        20955 /* "glGetProgramivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20955 /* "glGetProgramivARB" */,
                                providers, entrypoints);
}

static PFNGLGETPROGRAMIVNVPROC
epoxy_glGetProgramivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 20973 /* glGetProgramivNV */);
}

static PFNGLGETQUERYINDEXEDIVPROC
epoxy_glGetQueryIndexediv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_transform_feedback3,
        Desktop_OpenGL_4_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        20990 /* "glGetQueryIndexediv" */,
        20990 /* "glGetQueryIndexediv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 20990 /* "glGetQueryIndexediv" */,
                                providers, entrypoints);
}

static PFNGLGETQUERYOBJECTI64VPROC
epoxy_glGetQueryObjecti64v_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_3,
        GL_extension_GL_ARB_timer_query,
        GL_extension_GL_EXT_disjoint_timer_query,
        GL_extension_GL_EXT_timer_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21010 /* "glGetQueryObjecti64v" */,
        21010 /* "glGetQueryObjecti64v" */,
        21031 /* "glGetQueryObjecti64vEXT" */,
        21031 /* "glGetQueryObjecti64vEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21010 /* "glGetQueryObjecti64v" */,
                                providers, entrypoints);
}

static PFNGLGETQUERYOBJECTI64VEXTPROC
epoxy_glGetQueryObjecti64vEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_disjoint_timer_query,
        GL_extension_GL_EXT_timer_query,
        Desktop_OpenGL_3_3,
        GL_extension_GL_ARB_timer_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21031 /* "glGetQueryObjecti64vEXT" */,
        21031 /* "glGetQueryObjecti64vEXT" */,
        21010 /* "glGetQueryObjecti64v" */,
        21010 /* "glGetQueryObjecti64v" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21031 /* "glGetQueryObjecti64vEXT" */,
                                providers, entrypoints);
}

static PFNGLGETQUERYOBJECTIVPROC
epoxy_glGetQueryObjectiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_5,
        GL_extension_GL_ARB_occlusion_query,
        GL_extension_GL_EXT_disjoint_timer_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21055 /* "glGetQueryObjectiv" */,
        21074 /* "glGetQueryObjectivARB" */,
        21096 /* "glGetQueryObjectivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21055 /* "glGetQueryObjectiv" */,
                                providers, entrypoints);
}

static PFNGLGETQUERYOBJECTIVARBPROC
epoxy_glGetQueryObjectivARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_occlusion_query,
        Desktop_OpenGL_1_5,
        GL_extension_GL_EXT_disjoint_timer_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21074 /* "glGetQueryObjectivARB" */,
        21055 /* "glGetQueryObjectiv" */,
        21096 /* "glGetQueryObjectivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21074 /* "glGetQueryObjectivARB" */,
                                providers, entrypoints);
}

static PFNGLGETQUERYOBJECTIVEXTPROC
epoxy_glGetQueryObjectivEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_disjoint_timer_query,
        Desktop_OpenGL_1_5,
        GL_extension_GL_ARB_occlusion_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21096 /* "glGetQueryObjectivEXT" */,
        21055 /* "glGetQueryObjectiv" */,
        21074 /* "glGetQueryObjectivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21096 /* "glGetQueryObjectivEXT" */,
                                providers, entrypoints);
}

static PFNGLGETQUERYOBJECTUI64VPROC
epoxy_glGetQueryObjectui64v_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_3,
        GL_extension_GL_ARB_timer_query,
        GL_extension_GL_EXT_disjoint_timer_query,
        GL_extension_GL_EXT_timer_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21118 /* "glGetQueryObjectui64v" */,
        21118 /* "glGetQueryObjectui64v" */,
        21140 /* "glGetQueryObjectui64vEXT" */,
        21140 /* "glGetQueryObjectui64vEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21118 /* "glGetQueryObjectui64v" */,
                                providers, entrypoints);
}

static PFNGLGETQUERYOBJECTUI64VEXTPROC
epoxy_glGetQueryObjectui64vEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_disjoint_timer_query,
        GL_extension_GL_EXT_timer_query,
        Desktop_OpenGL_3_3,
        GL_extension_GL_ARB_timer_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21140 /* "glGetQueryObjectui64vEXT" */,
        21140 /* "glGetQueryObjectui64vEXT" */,
        21118 /* "glGetQueryObjectui64v" */,
        21118 /* "glGetQueryObjectui64v" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21140 /* "glGetQueryObjectui64vEXT" */,
                                providers, entrypoints);
}

static PFNGLGETQUERYOBJECTUIVPROC
epoxy_glGetQueryObjectuiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_1_5,
        GL_extension_GL_ARB_occlusion_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21165 /* "glGetQueryObjectuiv" */,
        21165 /* "glGetQueryObjectuiv" */,
        21185 /* "glGetQueryObjectuivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21165 /* "glGetQueryObjectuiv" */,
                                providers, entrypoints);
}

static PFNGLGETQUERYOBJECTUIVARBPROC
epoxy_glGetQueryObjectuivARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_occlusion_query,
        OpenGL_ES_3_0,
        Desktop_OpenGL_1_5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21185 /* "glGetQueryObjectuivARB" */,
        21165 /* "glGetQueryObjectuiv" */,
        21165 /* "glGetQueryObjectuiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21185 /* "glGetQueryObjectuivARB" */,
                                providers, entrypoints);
}

static PFNGLGETQUERYOBJECTUIVEXTPROC
epoxy_glGetQueryObjectuivEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_occlusion_query_boolean,
        GL_extension_GL_EXT_disjoint_timer_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21208 /* "glGetQueryObjectuivEXT" */,
        21208 /* "glGetQueryObjectuivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21208 /* "glGetQueryObjectuivEXT" */,
                                providers, entrypoints);
}

static PFNGLGETQUERYIVPROC
epoxy_glGetQueryiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_1_5,
        GL_extension_GL_ARB_occlusion_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21231 /* "glGetQueryiv" */,
        21231 /* "glGetQueryiv" */,
        21244 /* "glGetQueryivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21231 /* "glGetQueryiv" */,
                                providers, entrypoints);
}

static PFNGLGETQUERYIVARBPROC
epoxy_glGetQueryivARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_occlusion_query,
        OpenGL_ES_3_0,
        Desktop_OpenGL_1_5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21244 /* "glGetQueryivARB" */,
        21231 /* "glGetQueryiv" */,
        21231 /* "glGetQueryiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21244 /* "glGetQueryivARB" */,
                                providers, entrypoints);
}

static PFNGLGETQUERYIVEXTPROC
epoxy_glGetQueryivEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_occlusion_query_boolean,
        GL_extension_GL_EXT_disjoint_timer_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21260 /* "glGetQueryivEXT" */,
        21260 /* "glGetQueryivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21260 /* "glGetQueryivEXT" */,
                                providers, entrypoints);
}

static PFNGLGETRENDERBUFFERPARAMETERIVPROC
epoxy_glGetRenderbufferParameteriv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        OpenGL_ES_2_0,
        GL_extension_GL_EXT_framebuffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21276 /* "glGetRenderbufferParameteriv" */,
        21276 /* "glGetRenderbufferParameteriv" */,
        21276 /* "glGetRenderbufferParameteriv" */,
        21305 /* "glGetRenderbufferParameterivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21276 /* "glGetRenderbufferParameteriv" */,
                                providers, entrypoints);
}

static PFNGLGETRENDERBUFFERPARAMETERIVEXTPROC
epoxy_glGetRenderbufferParameterivEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_framebuffer_object,
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21305 /* "glGetRenderbufferParameterivEXT" */,
        21276 /* "glGetRenderbufferParameteriv" */,
        21276 /* "glGetRenderbufferParameteriv" */,
        21276 /* "glGetRenderbufferParameteriv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21305 /* "glGetRenderbufferParameterivEXT" */,
                                providers, entrypoints);
}

static PFNGLGETRENDERBUFFERPARAMETERIVOESPROC
epoxy_glGetRenderbufferParameterivOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_framebuffer_object, 21337 /* glGetRenderbufferParameterivOES */);
}

static PFNGLGETSAMPLERPARAMETERIIVPROC
epoxy_glGetSamplerParameterIiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_sampler_objects,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21369 /* "glGetSamplerParameterIiv" */,
        21369 /* "glGetSamplerParameterIiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21369 /* "glGetSamplerParameterIiv" */,
                                providers, entrypoints);
}

static PFNGLGETSAMPLERPARAMETERIUIVPROC
epoxy_glGetSamplerParameterIuiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_sampler_objects,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21394 /* "glGetSamplerParameterIuiv" */,
        21394 /* "glGetSamplerParameterIuiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21394 /* "glGetSamplerParameterIuiv" */,
                                providers, entrypoints);
}

static PFNGLGETSAMPLERPARAMETERFVPROC
epoxy_glGetSamplerParameterfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_sampler_objects,
        Desktop_OpenGL_3_3,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21420 /* "glGetSamplerParameterfv" */,
        21420 /* "glGetSamplerParameterfv" */,
        21420 /* "glGetSamplerParameterfv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21420 /* "glGetSamplerParameterfv" */,
                                providers, entrypoints);
}

static PFNGLGETSAMPLERPARAMETERIVPROC
epoxy_glGetSamplerParameteriv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_sampler_objects,
        Desktop_OpenGL_3_3,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21444 /* "glGetSamplerParameteriv" */,
        21444 /* "glGetSamplerParameteriv" */,
        21444 /* "glGetSamplerParameteriv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21444 /* "glGetSamplerParameteriv" */,
                                providers, entrypoints);
}

static PFNGLGETSEPARABLEFILTERPROC
epoxy_glGetSeparableFilter_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_imaging, 21468 /* glGetSeparableFilter */);
}

static PFNGLGETSEPARABLEFILTEREXTPROC
epoxy_glGetSeparableFilterEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_convolution, 21489 /* glGetSeparableFilterEXT */);
}

static PFNGLGETSHADERINFOLOGPROC
epoxy_glGetShaderInfoLog_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21513 /* "glGetShaderInfoLog" */,
        21513 /* "glGetShaderInfoLog" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21513 /* "glGetShaderInfoLog" */,
                                providers, entrypoints);
}

static PFNGLGETSHADERPRECISIONFORMATPROC
epoxy_glGetShaderPrecisionFormat_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_ES2_compatibility,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21532 /* "glGetShaderPrecisionFormat" */,
        21532 /* "glGetShaderPrecisionFormat" */,
        21532 /* "glGetShaderPrecisionFormat" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21532 /* "glGetShaderPrecisionFormat" */,
                                providers, entrypoints);
}

static PFNGLGETSHADERSOURCEPROC
epoxy_glGetShaderSource_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21559 /* "glGetShaderSource" */,
        21559 /* "glGetShaderSource" */,
        21577 /* "glGetShaderSourceARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21559 /* "glGetShaderSource" */,
                                providers, entrypoints);
}

static PFNGLGETSHADERSOURCEARBPROC
epoxy_glGetShaderSourceARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_objects,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21577 /* "glGetShaderSourceARB" */,
        21559 /* "glGetShaderSource" */,
        21559 /* "glGetShaderSource" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21577 /* "glGetShaderSourceARB" */,
                                providers, entrypoints);
}

static PFNGLGETSHADERIVPROC
epoxy_glGetShaderiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21598 /* "glGetShaderiv" */,
        21598 /* "glGetShaderiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21598 /* "glGetShaderiv" */,
                                providers, entrypoints);
}

static PFNGLGETSHARPENTEXFUNCSGISPROC
epoxy_glGetSharpenTexFuncSGIS_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIS_sharpen_texture, 21612 /* glGetSharpenTexFuncSGIS */);
}

static PFNGLGETSTRINGPROC
epoxy_glGetString_resolver(void)
{
    return gl_single_resolver(always_present, 21636 /* glGetString */);
}

static PFNGLGETSTRINGIPROC
epoxy_glGetStringi_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21648 /* "glGetStringi" */,
        21648 /* "glGetStringi" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21648 /* "glGetStringi" */,
                                providers, entrypoints);
}

static PFNGLGETSUBROUTINEINDEXPROC
epoxy_glGetSubroutineIndex_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_shader_subroutine,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21661 /* "glGetSubroutineIndex" */,
        21661 /* "glGetSubroutineIndex" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21661 /* "glGetSubroutineIndex" */,
                                providers, entrypoints);
}

static PFNGLGETSUBROUTINEUNIFORMLOCATIONPROC
epoxy_glGetSubroutineUniformLocation_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_shader_subroutine,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21682 /* "glGetSubroutineUniformLocation" */,
        21682 /* "glGetSubroutineUniformLocation" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21682 /* "glGetSubroutineUniformLocation" */,
                                providers, entrypoints);
}

static PFNGLGETSYNCIVPROC
epoxy_glGetSynciv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_2,
        GL_extension_GL_ARB_sync,
        OpenGL_ES_3_0,
        GL_extension_GL_APPLE_sync,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21713 /* "glGetSynciv" */,
        21713 /* "glGetSynciv" */,
        21713 /* "glGetSynciv" */,
        21725 /* "glGetSyncivAPPLE" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21713 /* "glGetSynciv" */,
                                providers, entrypoints);
}

static PFNGLGETSYNCIVAPPLEPROC
epoxy_glGetSyncivAPPLE_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_APPLE_sync,
        Desktop_OpenGL_3_2,
        GL_extension_GL_ARB_sync,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21725 /* "glGetSyncivAPPLE" */,
        21713 /* "glGetSynciv" */,
        21713 /* "glGetSynciv" */,
        21713 /* "glGetSynciv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21725 /* "glGetSyncivAPPLE" */,
                                providers, entrypoints);
}

static PFNGLGETTEXBUMPPARAMETERFVATIPROC
epoxy_glGetTexBumpParameterfvATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_envmap_bumpmap, 21742 /* glGetTexBumpParameterfvATI */);
}

static PFNGLGETTEXBUMPPARAMETERIVATIPROC
epoxy_glGetTexBumpParameterivATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_envmap_bumpmap, 21769 /* glGetTexBumpParameterivATI */);
}

static PFNGLGETTEXENVFVPROC
epoxy_glGetTexEnvfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21796 /* "glGetTexEnvfv" */,
        21796 /* "glGetTexEnvfv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21796 /* "glGetTexEnvfv" */,
                                providers, entrypoints);
}

static PFNGLGETTEXENVIVPROC
epoxy_glGetTexEnviv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21810 /* "glGetTexEnviv" */,
        21810 /* "glGetTexEnviv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21810 /* "glGetTexEnviv" */,
                                providers, entrypoints);
}

static PFNGLGETTEXENVXVPROC
epoxy_glGetTexEnvxv_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 21824 /* glGetTexEnvxv */);
}

static PFNGLGETTEXENVXVOESPROC
epoxy_glGetTexEnvxvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 21838 /* glGetTexEnvxvOES */);
}

static PFNGLGETTEXFILTERFUNCSGISPROC
epoxy_glGetTexFilterFuncSGIS_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIS_texture_filter4, 21855 /* glGetTexFilterFuncSGIS */);
}

static PFNGLGETTEXGENDVPROC
epoxy_glGetTexGendv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 21878 /* glGetTexGendv */);
}

static PFNGLGETTEXGENFVPROC
epoxy_glGetTexGenfv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 21892 /* glGetTexGenfv */);
}

static PFNGLGETTEXGENFVOESPROC
epoxy_glGetTexGenfvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_texture_cube_map, 21906 /* glGetTexGenfvOES */);
}

static PFNGLGETTEXGENIVPROC
epoxy_glGetTexGeniv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 21923 /* glGetTexGeniv */);
}

static PFNGLGETTEXGENIVOESPROC
epoxy_glGetTexGenivOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_texture_cube_map, 21937 /* glGetTexGenivOES */);
}

static PFNGLGETTEXGENXVOESPROC
epoxy_glGetTexGenxvOES_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_OES_texture_cube_map,
        GL_extension_GL_OES_fixed_point,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21954 /* "glGetTexGenxvOES" */,
        21954 /* "glGetTexGenxvOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21954 /* "glGetTexGenxvOES" */,
                                providers, entrypoints);
}

static PFNGLGETTEXIMAGEPROC
epoxy_glGetTexImage_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 21971 /* glGetTexImage */);
}

static PFNGLGETTEXLEVELPARAMETERFVPROC
epoxy_glGetTexLevelParameterfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_3_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        21985 /* "glGetTexLevelParameterfv" */,
        21985 /* "glGetTexLevelParameterfv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 21985 /* "glGetTexLevelParameterfv" */,
                                providers, entrypoints);
}

static PFNGLGETTEXLEVELPARAMETERIVPROC
epoxy_glGetTexLevelParameteriv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_3_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        22010 /* "glGetTexLevelParameteriv" */,
        22010 /* "glGetTexLevelParameteriv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 22010 /* "glGetTexLevelParameteriv" */,
                                providers, entrypoints);
}

static PFNGLGETTEXLEVELPARAMETERXVOESPROC
epoxy_glGetTexLevelParameterxvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 22035 /* glGetTexLevelParameterxvOES */);
}

static PFNGLGETTEXPARAMETERIIVPROC
epoxy_glGetTexParameterIiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_EXT_texture_integer,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        22063 /* "glGetTexParameterIiv" */,
        22084 /* "glGetTexParameterIivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 22063 /* "glGetTexParameterIiv" */,
                                providers, entrypoints);
}

static PFNGLGETTEXPARAMETERIIVEXTPROC
epoxy_glGetTexParameterIivEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_texture_integer,
        Desktop_OpenGL_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        22084 /* "glGetTexParameterIivEXT" */,
        22063 /* "glGetTexParameterIiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 22084 /* "glGetTexParameterIivEXT" */,
                                providers, entrypoints);
}

static PFNGLGETTEXPARAMETERIUIVPROC
epoxy_glGetTexParameterIuiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_EXT_texture_integer,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        22108 /* "glGetTexParameterIuiv" */,
        22130 /* "glGetTexParameterIuivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 22108 /* "glGetTexParameterIuiv" */,
                                providers, entrypoints);
}

static PFNGLGETTEXPARAMETERIUIVEXTPROC
epoxy_glGetTexParameterIuivEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_texture_integer,
        Desktop_OpenGL_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        22130 /* "glGetTexParameterIuivEXT" */,
        22108 /* "glGetTexParameterIuiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 22130 /* "glGetTexParameterIuivEXT" */,
                                providers, entrypoints);
}

static PFNGLGETTEXPARAMETERPOINTERVAPPLEPROC
epoxy_glGetTexParameterPointervAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_texture_range, 22155 /* glGetTexParameterPointervAPPLE */);
}

static PFNGLGETTEXPARAMETERFVPROC
epoxy_glGetTexParameterfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        22186 /* "glGetTexParameterfv" */,
        22186 /* "glGetTexParameterfv" */,
        22186 /* "glGetTexParameterfv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 22186 /* "glGetTexParameterfv" */,
                                providers, entrypoints);
}

static PFNGLGETTEXPARAMETERIVPROC
epoxy_glGetTexParameteriv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        22206 /* "glGetTexParameteriv" */,
        22206 /* "glGetTexParameteriv" */,
        22206 /* "glGetTexParameteriv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 22206 /* "glGetTexParameteriv" */,
                                providers, entrypoints);
}

static PFNGLGETTEXPARAMETERXVPROC
epoxy_glGetTexParameterxv_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 22226 /* glGetTexParameterxv */);
}

static PFNGLGETTEXPARAMETERXVOESPROC
epoxy_glGetTexParameterxvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 22246 /* glGetTexParameterxvOES */);
}

static PFNGLGETTEXTUREHANDLEARBPROC
epoxy_glGetTextureHandleARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_bindless_texture, 22269 /* glGetTextureHandleARB */);
}

static PFNGLGETTEXTUREHANDLENVPROC
epoxy_glGetTextureHandleNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_bindless_texture, 22291 /* glGetTextureHandleNV */);
}

static PFNGLGETTEXTUREIMAGEEXTPROC
epoxy_glGetTextureImageEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 22312 /* glGetTextureImageEXT */);
}

static PFNGLGETTEXTURELEVELPARAMETERFVEXTPROC
epoxy_glGetTextureLevelParameterfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 22333 /* glGetTextureLevelParameterfvEXT */);
}

static PFNGLGETTEXTURELEVELPARAMETERIVEXTPROC
epoxy_glGetTextureLevelParameterivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 22365 /* glGetTextureLevelParameterivEXT */);
}

static PFNGLGETTEXTUREPARAMETERIIVEXTPROC
epoxy_glGetTextureParameterIivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 22397 /* glGetTextureParameterIivEXT */);
}

static PFNGLGETTEXTUREPARAMETERIUIVEXTPROC
epoxy_glGetTextureParameterIuivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 22425 /* glGetTextureParameterIuivEXT */);
}

static PFNGLGETTEXTUREPARAMETERFVEXTPROC
epoxy_glGetTextureParameterfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 22454 /* glGetTextureParameterfvEXT */);
}

static PFNGLGETTEXTUREPARAMETERIVEXTPROC
epoxy_glGetTextureParameterivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 22481 /* glGetTextureParameterivEXT */);
}

static PFNGLGETTEXTURESAMPLERHANDLEARBPROC
epoxy_glGetTextureSamplerHandleARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_bindless_texture, 22508 /* glGetTextureSamplerHandleARB */);
}

static PFNGLGETTEXTURESAMPLERHANDLENVPROC
epoxy_glGetTextureSamplerHandleNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_bindless_texture, 22537 /* glGetTextureSamplerHandleNV */);
}

static PFNGLGETTRACKMATRIXIVNVPROC
epoxy_glGetTrackMatrixivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 22565 /* glGetTrackMatrixivNV */);
}

static PFNGLGETTRANSFORMFEEDBACKVARYINGPROC
epoxy_glGetTransformFeedbackVarying_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_EXT_transform_feedback,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        22586 /* "glGetTransformFeedbackVarying" */,
        22586 /* "glGetTransformFeedbackVarying" */,
        22616 /* "glGetTransformFeedbackVaryingEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 22586 /* "glGetTransformFeedbackVarying" */,
                                providers, entrypoints);
}

static PFNGLGETTRANSFORMFEEDBACKVARYINGEXTPROC
epoxy_glGetTransformFeedbackVaryingEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_transform_feedback,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        22616 /* "glGetTransformFeedbackVaryingEXT" */,
        22586 /* "glGetTransformFeedbackVarying" */,
        22586 /* "glGetTransformFeedbackVarying" */,
    };
    return gl_provider_resolver(entrypoint_strings + 22616 /* "glGetTransformFeedbackVaryingEXT" */,
                                providers, entrypoints);
}

static PFNGLGETTRANSFORMFEEDBACKVARYINGNVPROC
epoxy_glGetTransformFeedbackVaryingNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_transform_feedback, 22649 /* glGetTransformFeedbackVaryingNV */);
}

static PFNGLGETTRANSLATEDSHADERSOURCEANGLEPROC
epoxy_glGetTranslatedShaderSourceANGLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ANGLE_translated_shader_source, 22681 /* glGetTranslatedShaderSourceANGLE */);
}

static PFNGLGETUNIFORMBLOCKINDEXPROC
epoxy_glGetUniformBlockIndex_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_uniform_buffer_object,
        Desktop_OpenGL_3_1,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        22714 /* "glGetUniformBlockIndex" */,
        22714 /* "glGetUniformBlockIndex" */,
        22714 /* "glGetUniformBlockIndex" */,
    };
    return gl_provider_resolver(entrypoint_strings + 22714 /* "glGetUniformBlockIndex" */,
                                providers, entrypoints);
}

static PFNGLGETUNIFORMBUFFERSIZEEXTPROC
epoxy_glGetUniformBufferSizeEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_bindable_uniform, 22737 /* glGetUniformBufferSizeEXT */);
}

static PFNGLGETUNIFORMINDICESPROC
epoxy_glGetUniformIndices_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_uniform_buffer_object,
        Desktop_OpenGL_3_1,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        22763 /* "glGetUniformIndices" */,
        22763 /* "glGetUniformIndices" */,
        22763 /* "glGetUniformIndices" */,
    };
    return gl_provider_resolver(entrypoint_strings + 22763 /* "glGetUniformIndices" */,
                                providers, entrypoints);
}

static PFNGLGETUNIFORMLOCATIONPROC
epoxy_glGetUniformLocation_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        22783 /* "glGetUniformLocation" */,
        22783 /* "glGetUniformLocation" */,
        22804 /* "glGetUniformLocationARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 22783 /* "glGetUniformLocation" */,
                                providers, entrypoints);
}

static PFNGLGETUNIFORMLOCATIONARBPROC
epoxy_glGetUniformLocationARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_objects,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        22804 /* "glGetUniformLocationARB" */,
        22783 /* "glGetUniformLocation" */,
        22783 /* "glGetUniformLocation" */,
    };
    return gl_provider_resolver(entrypoint_strings + 22804 /* "glGetUniformLocationARB" */,
                                providers, entrypoints);
}

static PFNGLGETUNIFORMOFFSETEXTPROC
epoxy_glGetUniformOffsetEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_bindable_uniform, 22828 /* glGetUniformOffsetEXT */);
}

static PFNGLGETUNIFORMSUBROUTINEUIVPROC
epoxy_glGetUniformSubroutineuiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_shader_subroutine,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        22850 /* "glGetUniformSubroutineuiv" */,
        22850 /* "glGetUniformSubroutineuiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 22850 /* "glGetUniformSubroutineuiv" */,
                                providers, entrypoints);
}

static PFNGLGETUNIFORMDVPROC
epoxy_glGetUniformdv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_gpu_shader_fp64,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        22876 /* "glGetUniformdv" */,
        22876 /* "glGetUniformdv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 22876 /* "glGetUniformdv" */,
                                providers, entrypoints);
}

static PFNGLGETUNIFORMFVPROC
epoxy_glGetUniformfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        22891 /* "glGetUniformfv" */,
        22891 /* "glGetUniformfv" */,
        22906 /* "glGetUniformfvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 22891 /* "glGetUniformfv" */,
                                providers, entrypoints);
}

static PFNGLGETUNIFORMFVARBPROC
epoxy_glGetUniformfvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_objects,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        22906 /* "glGetUniformfvARB" */,
        22891 /* "glGetUniformfv" */,
        22891 /* "glGetUniformfv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 22906 /* "glGetUniformfvARB" */,
                                providers, entrypoints);
}

static PFNGLGETUNIFORMI64VNVPROC
epoxy_glGetUniformi64vNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_gpu_shader_int64,
        GL_extension_GL_NV_gpu_shader5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        22924 /* "glGetUniformi64vNV" */,
        22924 /* "glGetUniformi64vNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 22924 /* "glGetUniformi64vNV" */,
                                providers, entrypoints);
}

static PFNGLGETUNIFORMIVPROC
epoxy_glGetUniformiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        22943 /* "glGetUniformiv" */,
        22943 /* "glGetUniformiv" */,
        22958 /* "glGetUniformivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 22943 /* "glGetUniformiv" */,
                                providers, entrypoints);
}

static PFNGLGETUNIFORMIVARBPROC
epoxy_glGetUniformivARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_objects,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        22958 /* "glGetUniformivARB" */,
        22943 /* "glGetUniformiv" */,
        22943 /* "glGetUniformiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 22958 /* "glGetUniformivARB" */,
                                providers, entrypoints);
}

static PFNGLGETUNIFORMUI64VNVPROC
epoxy_glGetUniformui64vNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_gpu_shader_int64,
        GL_extension_GL_NV_shader_buffer_load,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        22976 /* "glGetUniformui64vNV" */,
        22976 /* "glGetUniformui64vNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 22976 /* "glGetUniformui64vNV" */,
                                providers, entrypoints);
}

static PFNGLGETUNIFORMUIVPROC
epoxy_glGetUniformuiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_EXT_gpu_shader4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        22996 /* "glGetUniformuiv" */,
        22996 /* "glGetUniformuiv" */,
        23012 /* "glGetUniformuivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 22996 /* "glGetUniformuiv" */,
                                providers, entrypoints);
}

static PFNGLGETUNIFORMUIVEXTPROC
epoxy_glGetUniformuivEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_gpu_shader4,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        23012 /* "glGetUniformuivEXT" */,
        22996 /* "glGetUniformuiv" */,
        22996 /* "glGetUniformuiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 23012 /* "glGetUniformuivEXT" */,
                                providers, entrypoints);
}

static PFNGLGETVARIANTARRAYOBJECTFVATIPROC
epoxy_glGetVariantArrayObjectfvATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_array_object, 23031 /* glGetVariantArrayObjectfvATI */);
}

static PFNGLGETVARIANTARRAYOBJECTIVATIPROC
epoxy_glGetVariantArrayObjectivATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_array_object, 23060 /* glGetVariantArrayObjectivATI */);
}

static PFNGLGETVARIANTBOOLEANVEXTPROC
epoxy_glGetVariantBooleanvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 23089 /* glGetVariantBooleanvEXT */);
}

static PFNGLGETVARIANTFLOATVEXTPROC
epoxy_glGetVariantFloatvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 23113 /* glGetVariantFloatvEXT */);
}

static PFNGLGETVARIANTINTEGERVEXTPROC
epoxy_glGetVariantIntegervEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 23135 /* glGetVariantIntegervEXT */);
}

static PFNGLGETVARIANTPOINTERVEXTPROC
epoxy_glGetVariantPointervEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 23159 /* glGetVariantPointervEXT */);
}

static PFNGLGETVARYINGLOCATIONNVPROC
epoxy_glGetVaryingLocationNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_transform_feedback, 23183 /* glGetVaryingLocationNV */);
}

static PFNGLGETVERTEXARRAYINTEGERI_VEXTPROC
epoxy_glGetVertexArrayIntegeri_vEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 23206 /* glGetVertexArrayIntegeri_vEXT */);
}

static PFNGLGETVERTEXARRAYINTEGERVEXTPROC
epoxy_glGetVertexArrayIntegervEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 23236 /* glGetVertexArrayIntegervEXT */);
}

static PFNGLGETVERTEXARRAYPOINTERI_VEXTPROC
epoxy_glGetVertexArrayPointeri_vEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 23264 /* glGetVertexArrayPointeri_vEXT */);
}

static PFNGLGETVERTEXARRAYPOINTERVEXTPROC
epoxy_glGetVertexArrayPointervEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 23294 /* glGetVertexArrayPointervEXT */);
}

static PFNGLGETVERTEXATTRIBARRAYOBJECTFVATIPROC
epoxy_glGetVertexAttribArrayObjectfvATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_attrib_array_object, 23322 /* glGetVertexAttribArrayObjectfvATI */);
}

static PFNGLGETVERTEXATTRIBARRAYOBJECTIVATIPROC
epoxy_glGetVertexAttribArrayObjectivATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_attrib_array_object, 23356 /* glGetVertexAttribArrayObjectivATI */);
}

static PFNGLGETVERTEXATTRIBIIVPROC
epoxy_glGetVertexAttribIiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        23390 /* "glGetVertexAttribIiv" */,
        23390 /* "glGetVertexAttribIiv" */,
        23411 /* "glGetVertexAttribIivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 23390 /* "glGetVertexAttribIiv" */,
                                providers, entrypoints);
}

static PFNGLGETVERTEXATTRIBIIVEXTPROC
epoxy_glGetVertexAttribIivEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program4,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        23411 /* "glGetVertexAttribIivEXT" */,
        23390 /* "glGetVertexAttribIiv" */,
        23390 /* "glGetVertexAttribIiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 23411 /* "glGetVertexAttribIivEXT" */,
                                providers, entrypoints);
}

static PFNGLGETVERTEXATTRIBIUIVPROC
epoxy_glGetVertexAttribIuiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        23435 /* "glGetVertexAttribIuiv" */,
        23435 /* "glGetVertexAttribIuiv" */,
        23457 /* "glGetVertexAttribIuivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 23435 /* "glGetVertexAttribIuiv" */,
                                providers, entrypoints);
}

static PFNGLGETVERTEXATTRIBIUIVEXTPROC
epoxy_glGetVertexAttribIuivEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program4,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        23457 /* "glGetVertexAttribIuivEXT" */,
        23435 /* "glGetVertexAttribIuiv" */,
        23435 /* "glGetVertexAttribIuiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 23457 /* "glGetVertexAttribIuivEXT" */,
                                providers, entrypoints);
}

static PFNGLGETVERTEXATTRIBLDVPROC
epoxy_glGetVertexAttribLdv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_vertex_attrib_64bit,
        GL_extension_GL_EXT_vertex_attrib_64bit,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        23482 /* "glGetVertexAttribLdv" */,
        23482 /* "glGetVertexAttribLdv" */,
        23503 /* "glGetVertexAttribLdvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 23482 /* "glGetVertexAttribLdv" */,
                                providers, entrypoints);
}

static PFNGLGETVERTEXATTRIBLDVEXTPROC
epoxy_glGetVertexAttribLdvEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_vertex_attrib_64bit,
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_vertex_attrib_64bit,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        23503 /* "glGetVertexAttribLdvEXT" */,
        23482 /* "glGetVertexAttribLdv" */,
        23482 /* "glGetVertexAttribLdv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 23503 /* "glGetVertexAttribLdvEXT" */,
                                providers, entrypoints);
}

static PFNGLGETVERTEXATTRIBLI64VNVPROC
epoxy_glGetVertexAttribLi64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_attrib_integer_64bit, 23527 /* glGetVertexAttribLi64vNV */);
}

static PFNGLGETVERTEXATTRIBLUI64VARBPROC
epoxy_glGetVertexAttribLui64vARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_bindless_texture, 23552 /* glGetVertexAttribLui64vARB */);
}

static PFNGLGETVERTEXATTRIBLUI64VNVPROC
epoxy_glGetVertexAttribLui64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_attrib_integer_64bit, 23579 /* glGetVertexAttribLui64vNV */);
}

static PFNGLGETVERTEXATTRIBPOINTERVPROC
epoxy_glGetVertexAttribPointerv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        23605 /* "glGetVertexAttribPointerv" */,
        23605 /* "glGetVertexAttribPointerv" */,
        23631 /* "glGetVertexAttribPointervARB" */,
        23631 /* "glGetVertexAttribPointervARB" */,
        23660 /* "glGetVertexAttribPointervNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 23605 /* "glGetVertexAttribPointerv" */,
                                providers, entrypoints);
}

static PFNGLGETVERTEXATTRIBPOINTERVARBPROC
epoxy_glGetVertexAttribPointervARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        23631 /* "glGetVertexAttribPointervARB" */,
        23631 /* "glGetVertexAttribPointervARB" */,
        23605 /* "glGetVertexAttribPointerv" */,
        23605 /* "glGetVertexAttribPointerv" */,
        23660 /* "glGetVertexAttribPointervNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 23631 /* "glGetVertexAttribPointervARB" */,
                                providers, entrypoints);
}

static PFNGLGETVERTEXATTRIBPOINTERVNVPROC
epoxy_glGetVertexAttribPointervNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        23660 /* "glGetVertexAttribPointervNV" */,
        23605 /* "glGetVertexAttribPointerv" */,
        23605 /* "glGetVertexAttribPointerv" */,
        23631 /* "glGetVertexAttribPointervARB" */,
        23631 /* "glGetVertexAttribPointervARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 23660 /* "glGetVertexAttribPointervNV" */,
                                providers, entrypoints);
}

static PFNGLGETVERTEXATTRIBDVPROC
epoxy_glGetVertexAttribdv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        23688 /* "glGetVertexAttribdv" */,
        23708 /* "glGetVertexAttribdvARB" */,
        23708 /* "glGetVertexAttribdvARB" */,
        23731 /* "glGetVertexAttribdvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 23688 /* "glGetVertexAttribdv" */,
                                providers, entrypoints);
}

static PFNGLGETVERTEXATTRIBDVARBPROC
epoxy_glGetVertexAttribdvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        23708 /* "glGetVertexAttribdvARB" */,
        23708 /* "glGetVertexAttribdvARB" */,
        23688 /* "glGetVertexAttribdv" */,
        23731 /* "glGetVertexAttribdvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 23708 /* "glGetVertexAttribdvARB" */,
                                providers, entrypoints);
}

static PFNGLGETVERTEXATTRIBDVNVPROC
epoxy_glGetVertexAttribdvNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        23731 /* "glGetVertexAttribdvNV" */,
        23688 /* "glGetVertexAttribdv" */,
        23708 /* "glGetVertexAttribdvARB" */,
        23708 /* "glGetVertexAttribdvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 23731 /* "glGetVertexAttribdvNV" */,
                                providers, entrypoints);
}

static PFNGLGETVERTEXATTRIBFVPROC
epoxy_glGetVertexAttribfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        23753 /* "glGetVertexAttribfv" */,
        23753 /* "glGetVertexAttribfv" */,
        23773 /* "glGetVertexAttribfvARB" */,
        23773 /* "glGetVertexAttribfvARB" */,
        23796 /* "glGetVertexAttribfvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 23753 /* "glGetVertexAttribfv" */,
                                providers, entrypoints);
}

static PFNGLGETVERTEXATTRIBFVARBPROC
epoxy_glGetVertexAttribfvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        23773 /* "glGetVertexAttribfvARB" */,
        23773 /* "glGetVertexAttribfvARB" */,
        23753 /* "glGetVertexAttribfv" */,
        23753 /* "glGetVertexAttribfv" */,
        23796 /* "glGetVertexAttribfvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 23773 /* "glGetVertexAttribfvARB" */,
                                providers, entrypoints);
}

static PFNGLGETVERTEXATTRIBFVNVPROC
epoxy_glGetVertexAttribfvNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        23796 /* "glGetVertexAttribfvNV" */,
        23753 /* "glGetVertexAttribfv" */,
        23753 /* "glGetVertexAttribfv" */,
        23773 /* "glGetVertexAttribfvARB" */,
        23773 /* "glGetVertexAttribfvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 23796 /* "glGetVertexAttribfvNV" */,
                                providers, entrypoints);
}

static PFNGLGETVERTEXATTRIBIVPROC
epoxy_glGetVertexAttribiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        23818 /* "glGetVertexAttribiv" */,
        23818 /* "glGetVertexAttribiv" */,
        23838 /* "glGetVertexAttribivARB" */,
        23838 /* "glGetVertexAttribivARB" */,
        23861 /* "glGetVertexAttribivNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 23818 /* "glGetVertexAttribiv" */,
                                providers, entrypoints);
}

static PFNGLGETVERTEXATTRIBIVARBPROC
epoxy_glGetVertexAttribivARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        23838 /* "glGetVertexAttribivARB" */,
        23838 /* "glGetVertexAttribivARB" */,
        23818 /* "glGetVertexAttribiv" */,
        23818 /* "glGetVertexAttribiv" */,
        23861 /* "glGetVertexAttribivNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 23838 /* "glGetVertexAttribivARB" */,
                                providers, entrypoints);
}

static PFNGLGETVERTEXATTRIBIVNVPROC
epoxy_glGetVertexAttribivNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        23861 /* "glGetVertexAttribivNV" */,
        23818 /* "glGetVertexAttribiv" */,
        23818 /* "glGetVertexAttribiv" */,
        23838 /* "glGetVertexAttribivARB" */,
        23838 /* "glGetVertexAttribivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 23861 /* "glGetVertexAttribivNV" */,
                                providers, entrypoints);
}

static PFNGLGETVIDEOCAPTURESTREAMDVNVPROC
epoxy_glGetVideoCaptureStreamdvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_video_capture, 23883 /* glGetVideoCaptureStreamdvNV */);
}

static PFNGLGETVIDEOCAPTURESTREAMFVNVPROC
epoxy_glGetVideoCaptureStreamfvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_video_capture, 23911 /* glGetVideoCaptureStreamfvNV */);
}

static PFNGLGETVIDEOCAPTURESTREAMIVNVPROC
epoxy_glGetVideoCaptureStreamivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_video_capture, 23939 /* glGetVideoCaptureStreamivNV */);
}

static PFNGLGETVIDEOCAPTUREIVNVPROC
epoxy_glGetVideoCaptureivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_video_capture, 23967 /* glGetVideoCaptureivNV */);
}

static PFNGLGETVIDEOI64VNVPROC
epoxy_glGetVideoi64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_present_video, 23989 /* glGetVideoi64vNV */);
}

static PFNGLGETVIDEOIVNVPROC
epoxy_glGetVideoivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_present_video, 24006 /* glGetVideoivNV */);
}

static PFNGLGETVIDEOUI64VNVPROC
epoxy_glGetVideoui64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_present_video, 24021 /* glGetVideoui64vNV */);
}

static PFNGLGETVIDEOUIVNVPROC
epoxy_glGetVideouivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_present_video, 24039 /* glGetVideouivNV */);
}

static PFNGLGETNCOLORTABLEARBPROC
epoxy_glGetnColorTableARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 24055 /* glGetnColorTableARB */);
}

static PFNGLGETNCOMPRESSEDTEXIMAGEARBPROC
epoxy_glGetnCompressedTexImageARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 24075 /* glGetnCompressedTexImageARB */);
}

static PFNGLGETNCONVOLUTIONFILTERARBPROC
epoxy_glGetnConvolutionFilterARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 24103 /* glGetnConvolutionFilterARB */);
}

static PFNGLGETNHISTOGRAMARBPROC
epoxy_glGetnHistogramARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 24130 /* glGetnHistogramARB */);
}

static PFNGLGETNMAPDVARBPROC
epoxy_glGetnMapdvARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 24149 /* glGetnMapdvARB */);
}

static PFNGLGETNMAPFVARBPROC
epoxy_glGetnMapfvARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 24164 /* glGetnMapfvARB */);
}

static PFNGLGETNMAPIVARBPROC
epoxy_glGetnMapivARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 24179 /* glGetnMapivARB */);
}

static PFNGLGETNMINMAXARBPROC
epoxy_glGetnMinmaxARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 24194 /* glGetnMinmaxARB */);
}

static PFNGLGETNPIXELMAPFVARBPROC
epoxy_glGetnPixelMapfvARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 24210 /* glGetnPixelMapfvARB */);
}

static PFNGLGETNPIXELMAPUIVARBPROC
epoxy_glGetnPixelMapuivARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 24230 /* glGetnPixelMapuivARB */);
}

static PFNGLGETNPIXELMAPUSVARBPROC
epoxy_glGetnPixelMapusvARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 24251 /* glGetnPixelMapusvARB */);
}

static PFNGLGETNPOLYGONSTIPPLEARBPROC
epoxy_glGetnPolygonStippleARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 24272 /* glGetnPolygonStippleARB */);
}

static PFNGLGETNSEPARABLEFILTERARBPROC
epoxy_glGetnSeparableFilterARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 24296 /* glGetnSeparableFilterARB */);
}

static PFNGLGETNTEXIMAGEARBPROC
epoxy_glGetnTexImageARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 24321 /* glGetnTexImageARB */);
}

static PFNGLGETNUNIFORMDVARBPROC
epoxy_glGetnUniformdvARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 24339 /* glGetnUniformdvARB */);
}

static PFNGLGETNUNIFORMFVARBPROC
epoxy_glGetnUniformfvARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 24358 /* glGetnUniformfvARB */);
}

static PFNGLGETNUNIFORMFVEXTPROC
epoxy_glGetnUniformfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_robustness, 24377 /* glGetnUniformfvEXT */);
}

static PFNGLGETNUNIFORMIVARBPROC
epoxy_glGetnUniformivARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 24396 /* glGetnUniformivARB */);
}

static PFNGLGETNUNIFORMIVEXTPROC
epoxy_glGetnUniformivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_robustness, 24415 /* glGetnUniformivEXT */);
}

static PFNGLGETNUNIFORMUIVARBPROC
epoxy_glGetnUniformuivARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 24434 /* glGetnUniformuivARB */);
}

static PFNGLGLOBALALPHAFACTORBSUNPROC
epoxy_glGlobalAlphaFactorbSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_global_alpha, 24454 /* glGlobalAlphaFactorbSUN */);
}

static PFNGLGLOBALALPHAFACTORDSUNPROC
epoxy_glGlobalAlphaFactordSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_global_alpha, 24478 /* glGlobalAlphaFactordSUN */);
}

static PFNGLGLOBALALPHAFACTORFSUNPROC
epoxy_glGlobalAlphaFactorfSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_global_alpha, 24502 /* glGlobalAlphaFactorfSUN */);
}

static PFNGLGLOBALALPHAFACTORISUNPROC
epoxy_glGlobalAlphaFactoriSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_global_alpha, 24526 /* glGlobalAlphaFactoriSUN */);
}

static PFNGLGLOBALALPHAFACTORSSUNPROC
epoxy_glGlobalAlphaFactorsSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_global_alpha, 24550 /* glGlobalAlphaFactorsSUN */);
}

static PFNGLGLOBALALPHAFACTORUBSUNPROC
epoxy_glGlobalAlphaFactorubSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_global_alpha, 24574 /* glGlobalAlphaFactorubSUN */);
}

static PFNGLGLOBALALPHAFACTORUISUNPROC
epoxy_glGlobalAlphaFactoruiSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_global_alpha, 24599 /* glGlobalAlphaFactoruiSUN */);
}

static PFNGLGLOBALALPHAFACTORUSSUNPROC
epoxy_glGlobalAlphaFactorusSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_global_alpha, 24624 /* glGlobalAlphaFactorusSUN */);
}

static PFNGLHINTPROC
epoxy_glHint_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        24649 /* "glHint" */,
        24649 /* "glHint" */,
        24649 /* "glHint" */,
    };
    return gl_provider_resolver(entrypoint_strings + 24649 /* "glHint" */,
                                providers, entrypoints);
}

static PFNGLHINTPGIPROC
epoxy_glHintPGI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_PGI_misc_hints, 24656 /* glHintPGI */);
}

static PFNGLHISTOGRAMPROC
epoxy_glHistogram_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_EXT_histogram,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        24666 /* "glHistogram" */,
        24678 /* "glHistogramEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 24666 /* "glHistogram" */,
                                providers, entrypoints);
}

static PFNGLHISTOGRAMEXTPROC
epoxy_glHistogramEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_histogram,
        GL_extension_GL_ARB_imaging,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        24678 /* "glHistogramEXT" */,
        24666 /* "glHistogram" */,
    };
    return gl_provider_resolver(entrypoint_strings + 24678 /* "glHistogramEXT" */,
                                providers, entrypoints);
}

static PFNGLIGLOOINTERFACESGIXPROC
epoxy_glIglooInterfaceSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_igloo_interface, 24693 /* glIglooInterfaceSGIX */);
}

static PFNGLIMAGETRANSFORMPARAMETERFHPPROC
epoxy_glImageTransformParameterfHP_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_HP_image_transform, 24714 /* glImageTransformParameterfHP */);
}

static PFNGLIMAGETRANSFORMPARAMETERFVHPPROC
epoxy_glImageTransformParameterfvHP_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_HP_image_transform, 24743 /* glImageTransformParameterfvHP */);
}

static PFNGLIMAGETRANSFORMPARAMETERIHPPROC
epoxy_glImageTransformParameteriHP_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_HP_image_transform, 24773 /* glImageTransformParameteriHP */);
}

static PFNGLIMAGETRANSFORMPARAMETERIVHPPROC
epoxy_glImageTransformParameterivHP_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_HP_image_transform, 24802 /* glImageTransformParameterivHP */);
}

static PFNGLIMPORTSYNCEXTPROC
epoxy_glImportSyncEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_x11_sync_object, 24832 /* glImportSyncEXT */);
}

static PFNGLINDEXFORMATNVPROC
epoxy_glIndexFormatNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_buffer_unified_memory, 24848 /* glIndexFormatNV */);
}

static PFNGLINDEXFUNCEXTPROC
epoxy_glIndexFuncEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_index_func, 24864 /* glIndexFuncEXT */);
}

static PFNGLINDEXMASKPROC
epoxy_glIndexMask_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 24879 /* glIndexMask */);
}

static PFNGLINDEXMATERIALEXTPROC
epoxy_glIndexMaterialEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_index_material, 24891 /* glIndexMaterialEXT */);
}

static PFNGLINDEXPOINTERPROC
epoxy_glIndexPointer_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_1, 24910 /* glIndexPointer */);
}

static PFNGLINDEXPOINTEREXTPROC
epoxy_glIndexPointerEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_array, 24925 /* glIndexPointerEXT */);
}

static PFNGLINDEXPOINTERLISTIBMPROC
epoxy_glIndexPointerListIBM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_IBM_vertex_array_lists, 24943 /* glIndexPointerListIBM */);
}

static PFNGLINDEXDPROC
epoxy_glIndexd_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 24965 /* glIndexd */);
}

static PFNGLINDEXDVPROC
epoxy_glIndexdv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 24974 /* glIndexdv */);
}

static PFNGLINDEXFPROC
epoxy_glIndexf_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 24984 /* glIndexf */);
}

static PFNGLINDEXFVPROC
epoxy_glIndexfv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 24993 /* glIndexfv */);
}

static PFNGLINDEXIPROC
epoxy_glIndexi_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 25003 /* glIndexi */);
}

static PFNGLINDEXIVPROC
epoxy_glIndexiv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 25012 /* glIndexiv */);
}

static PFNGLINDEXSPROC
epoxy_glIndexs_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 25022 /* glIndexs */);
}

static PFNGLINDEXSVPROC
epoxy_glIndexsv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 25031 /* glIndexsv */);
}

static PFNGLINDEXUBPROC
epoxy_glIndexub_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_1, 25041 /* glIndexub */);
}

static PFNGLINDEXUBVPROC
epoxy_glIndexubv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_1, 25051 /* glIndexubv */);
}

static PFNGLINDEXXOESPROC
epoxy_glIndexxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 25062 /* glIndexxOES */);
}

static PFNGLINDEXXVOESPROC
epoxy_glIndexxvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 25074 /* glIndexxvOES */);
}

static PFNGLINITNAMESPROC
epoxy_glInitNames_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 25087 /* glInitNames */);
}

static PFNGLINSERTCOMPONENTEXTPROC
epoxy_glInsertComponentEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 25099 /* glInsertComponentEXT */);
}

static PFNGLINSERTEVENTMARKEREXTPROC
epoxy_glInsertEventMarkerEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_debug_marker, 25120 /* glInsertEventMarkerEXT */);
}

static PFNGLINSTRUMENTSBUFFERSGIXPROC
epoxy_glInstrumentsBufferSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_instruments, 25143 /* glInstrumentsBufferSGIX */);
}

static PFNGLINTERLEAVEDARRAYSPROC
epoxy_glInterleavedArrays_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_1, 25167 /* glInterleavedArrays */);
}

static PFNGLINTERPOLATEPATHSNVPROC
epoxy_glInterpolatePathsNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 25187 /* glInterpolatePathsNV */);
}

static PFNGLINVALIDATEBUFFERDATAPROC
epoxy_glInvalidateBufferData_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_3,
        GL_extension_GL_ARB_invalidate_subdata,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25208 /* "glInvalidateBufferData" */,
        25208 /* "glInvalidateBufferData" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25208 /* "glInvalidateBufferData" */,
                                providers, entrypoints);
}

static PFNGLINVALIDATEBUFFERSUBDATAPROC
epoxy_glInvalidateBufferSubData_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_3,
        GL_extension_GL_ARB_invalidate_subdata,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25231 /* "glInvalidateBufferSubData" */,
        25231 /* "glInvalidateBufferSubData" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25231 /* "glInvalidateBufferSubData" */,
                                providers, entrypoints);
}

static PFNGLINVALIDATEFRAMEBUFFERPROC
epoxy_glInvalidateFramebuffer_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_3,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_invalidate_subdata,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25257 /* "glInvalidateFramebuffer" */,
        25257 /* "glInvalidateFramebuffer" */,
        25257 /* "glInvalidateFramebuffer" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25257 /* "glInvalidateFramebuffer" */,
                                providers, entrypoints);
}

static PFNGLINVALIDATESUBFRAMEBUFFERPROC
epoxy_glInvalidateSubFramebuffer_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_3,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_invalidate_subdata,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25281 /* "glInvalidateSubFramebuffer" */,
        25281 /* "glInvalidateSubFramebuffer" */,
        25281 /* "glInvalidateSubFramebuffer" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25281 /* "glInvalidateSubFramebuffer" */,
                                providers, entrypoints);
}

static PFNGLINVALIDATETEXIMAGEPROC
epoxy_glInvalidateTexImage_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_3,
        GL_extension_GL_ARB_invalidate_subdata,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25308 /* "glInvalidateTexImage" */,
        25308 /* "glInvalidateTexImage" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25308 /* "glInvalidateTexImage" */,
                                providers, entrypoints);
}

static PFNGLINVALIDATETEXSUBIMAGEPROC
epoxy_glInvalidateTexSubImage_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_3,
        GL_extension_GL_ARB_invalidate_subdata,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25329 /* "glInvalidateTexSubImage" */,
        25329 /* "glInvalidateTexSubImage" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25329 /* "glInvalidateTexSubImage" */,
                                providers, entrypoints);
}

static PFNGLISASYNCMARKERSGIXPROC
epoxy_glIsAsyncMarkerSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_async, 25353 /* glIsAsyncMarkerSGIX */);
}

static PFNGLISBUFFERPROC
epoxy_glIsBuffer_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_5,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_vertex_buffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25373 /* "glIsBuffer" */,
        25373 /* "glIsBuffer" */,
        25373 /* "glIsBuffer" */,
        25384 /* "glIsBufferARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25373 /* "glIsBuffer" */,
                                providers, entrypoints);
}

static PFNGLISBUFFERARBPROC
epoxy_glIsBufferARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_buffer_object,
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_5,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25384 /* "glIsBufferARB" */,
        25373 /* "glIsBuffer" */,
        25373 /* "glIsBuffer" */,
        25373 /* "glIsBuffer" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25384 /* "glIsBufferARB" */,
                                providers, entrypoints);
}

static PFNGLISBUFFERRESIDENTNVPROC
epoxy_glIsBufferResidentNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_shader_buffer_load, 25398 /* glIsBufferResidentNV */);
}

static PFNGLISENABLEDPROC
epoxy_glIsEnabled_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25419 /* "glIsEnabled" */,
        25419 /* "glIsEnabled" */,
        25419 /* "glIsEnabled" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25419 /* "glIsEnabled" */,
                                providers, entrypoints);
}

static PFNGLISENABLEDINDEXEDEXTPROC
epoxy_glIsEnabledIndexedEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_draw_buffers2,
        GL_extension_GL_EXT_direct_state_access,
        Desktop_OpenGL_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25431 /* "glIsEnabledIndexedEXT" */,
        25431 /* "glIsEnabledIndexedEXT" */,
        25453 /* "glIsEnabledi" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25431 /* "glIsEnabledIndexedEXT" */,
                                providers, entrypoints);
}

static PFNGLISENABLEDIPROC
epoxy_glIsEnabledi_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_EXT_draw_buffers2,
        GL_extension_GL_EXT_direct_state_access,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25453 /* "glIsEnabledi" */,
        25431 /* "glIsEnabledIndexedEXT" */,
        25431 /* "glIsEnabledIndexedEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25453 /* "glIsEnabledi" */,
                                providers, entrypoints);
}

static PFNGLISFENCEAPPLEPROC
epoxy_glIsFenceAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_fence, 25466 /* glIsFenceAPPLE */);
}

static PFNGLISFENCENVPROC
epoxy_glIsFenceNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_fence, 25481 /* glIsFenceNV */);
}

static PFNGLISFRAMEBUFFERPROC
epoxy_glIsFramebuffer_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        OpenGL_ES_2_0,
        GL_extension_GL_EXT_framebuffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25493 /* "glIsFramebuffer" */,
        25493 /* "glIsFramebuffer" */,
        25493 /* "glIsFramebuffer" */,
        25509 /* "glIsFramebufferEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25493 /* "glIsFramebuffer" */,
                                providers, entrypoints);
}

static PFNGLISFRAMEBUFFEREXTPROC
epoxy_glIsFramebufferEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_framebuffer_object,
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25509 /* "glIsFramebufferEXT" */,
        25493 /* "glIsFramebuffer" */,
        25493 /* "glIsFramebuffer" */,
        25493 /* "glIsFramebuffer" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25509 /* "glIsFramebufferEXT" */,
                                providers, entrypoints);
}

static PFNGLISFRAMEBUFFEROESPROC
epoxy_glIsFramebufferOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_framebuffer_object, 25528 /* glIsFramebufferOES */);
}

static PFNGLISIMAGEHANDLERESIDENTARBPROC
epoxy_glIsImageHandleResidentARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_bindless_texture, 25547 /* glIsImageHandleResidentARB */);
}

static PFNGLISIMAGEHANDLERESIDENTNVPROC
epoxy_glIsImageHandleResidentNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_bindless_texture, 25574 /* glIsImageHandleResidentNV */);
}

static PFNGLISLISTPROC
epoxy_glIsList_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 25600 /* glIsList */);
}

static PFNGLISNAMEAMDPROC
epoxy_glIsNameAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_name_gen_delete, 25609 /* glIsNameAMD */);
}

static PFNGLISNAMEDBUFFERRESIDENTNVPROC
epoxy_glIsNamedBufferResidentNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_shader_buffer_load, 25621 /* glIsNamedBufferResidentNV */);
}

static PFNGLISNAMEDSTRINGARBPROC
epoxy_glIsNamedStringARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_shading_language_include, 25647 /* glIsNamedStringARB */);
}

static PFNGLISOBJECTBUFFERATIPROC
epoxy_glIsObjectBufferATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_array_object, 25666 /* glIsObjectBufferATI */);
}

static PFNGLISOCCLUSIONQUERYNVPROC
epoxy_glIsOcclusionQueryNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_occlusion_query, 25686 /* glIsOcclusionQueryNV */);
}

static PFNGLISPATHNVPROC
epoxy_glIsPathNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 25707 /* glIsPathNV */);
}

static PFNGLISPOINTINFILLPATHNVPROC
epoxy_glIsPointInFillPathNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 25718 /* glIsPointInFillPathNV */);
}

static PFNGLISPOINTINSTROKEPATHNVPROC
epoxy_glIsPointInStrokePathNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 25740 /* glIsPointInStrokePathNV */);
}

static PFNGLISPROGRAMPROC
epoxy_glIsProgram_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25764 /* "glIsProgram" */,
        25764 /* "glIsProgram" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25764 /* "glIsProgram" */,
                                providers, entrypoints);
}

static PFNGLISPROGRAMARBPROC
epoxy_glIsProgramARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_fragment_program,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25776 /* "glIsProgramARB" */,
        25776 /* "glIsProgramARB" */,
        25791 /* "glIsProgramNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25776 /* "glIsProgramARB" */,
                                providers, entrypoints);
}

static PFNGLISPROGRAMNVPROC
epoxy_glIsProgramNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_fragment_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25791 /* "glIsProgramNV" */,
        25776 /* "glIsProgramARB" */,
        25776 /* "glIsProgramARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25791 /* "glIsProgramNV" */,
                                providers, entrypoints);
}

static PFNGLISPROGRAMPIPELINEPROC
epoxy_glIsProgramPipeline_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25805 /* "glIsProgramPipeline" */,
        25805 /* "glIsProgramPipeline" */,
        25805 /* "glIsProgramPipeline" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25805 /* "glIsProgramPipeline" */,
                                providers, entrypoints);
}

static PFNGLISPROGRAMPIPELINEEXTPROC
epoxy_glIsProgramPipelineEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_separate_shader_objects, 25825 /* glIsProgramPipelineEXT */);
}

static PFNGLISQUERYPROC
epoxy_glIsQuery_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_1_5,
        GL_extension_GL_ARB_occlusion_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25848 /* "glIsQuery" */,
        25848 /* "glIsQuery" */,
        25858 /* "glIsQueryARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25848 /* "glIsQuery" */,
                                providers, entrypoints);
}

static PFNGLISQUERYARBPROC
epoxy_glIsQueryARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_occlusion_query,
        OpenGL_ES_3_0,
        Desktop_OpenGL_1_5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25858 /* "glIsQueryARB" */,
        25848 /* "glIsQuery" */,
        25848 /* "glIsQuery" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25858 /* "glIsQueryARB" */,
                                providers, entrypoints);
}

static PFNGLISQUERYEXTPROC
epoxy_glIsQueryEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_occlusion_query_boolean,
        GL_extension_GL_EXT_disjoint_timer_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25871 /* "glIsQueryEXT" */,
        25871 /* "glIsQueryEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25871 /* "glIsQueryEXT" */,
                                providers, entrypoints);
}

static PFNGLISRENDERBUFFERPROC
epoxy_glIsRenderbuffer_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        OpenGL_ES_2_0,
        GL_extension_GL_EXT_framebuffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25884 /* "glIsRenderbuffer" */,
        25884 /* "glIsRenderbuffer" */,
        25884 /* "glIsRenderbuffer" */,
        25901 /* "glIsRenderbufferEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25884 /* "glIsRenderbuffer" */,
                                providers, entrypoints);
}

static PFNGLISRENDERBUFFEREXTPROC
epoxy_glIsRenderbufferEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_framebuffer_object,
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25901 /* "glIsRenderbufferEXT" */,
        25884 /* "glIsRenderbuffer" */,
        25884 /* "glIsRenderbuffer" */,
        25884 /* "glIsRenderbuffer" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25901 /* "glIsRenderbufferEXT" */,
                                providers, entrypoints);
}

static PFNGLISRENDERBUFFEROESPROC
epoxy_glIsRenderbufferOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_framebuffer_object, 25921 /* glIsRenderbufferOES */);
}

static PFNGLISSAMPLERPROC
epoxy_glIsSampler_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_sampler_objects,
        Desktop_OpenGL_3_3,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25941 /* "glIsSampler" */,
        25941 /* "glIsSampler" */,
        25941 /* "glIsSampler" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25941 /* "glIsSampler" */,
                                providers, entrypoints);
}

static PFNGLISSHADERPROC
epoxy_glIsShader_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25953 /* "glIsShader" */,
        25953 /* "glIsShader" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25953 /* "glIsShader" */,
                                providers, entrypoints);
}

static PFNGLISSYNCPROC
epoxy_glIsSync_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_2,
        GL_extension_GL_ARB_sync,
        OpenGL_ES_3_0,
        GL_extension_GL_APPLE_sync,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25964 /* "glIsSync" */,
        25964 /* "glIsSync" */,
        25964 /* "glIsSync" */,
        25973 /* "glIsSyncAPPLE" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25964 /* "glIsSync" */,
                                providers, entrypoints);
}

static PFNGLISSYNCAPPLEPROC
epoxy_glIsSyncAPPLE_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_APPLE_sync,
        Desktop_OpenGL_3_2,
        GL_extension_GL_ARB_sync,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25973 /* "glIsSyncAPPLE" */,
        25964 /* "glIsSync" */,
        25964 /* "glIsSync" */,
        25964 /* "glIsSync" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25973 /* "glIsSyncAPPLE" */,
                                providers, entrypoints);
}

static PFNGLISTEXTUREPROC
epoxy_glIsTexture_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_1,
        OpenGL_ES_2_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        25987 /* "glIsTexture" */,
        25987 /* "glIsTexture" */,
        25987 /* "glIsTexture" */,
    };
    return gl_provider_resolver(entrypoint_strings + 25987 /* "glIsTexture" */,
                                providers, entrypoints);
}

static PFNGLISTEXTUREEXTPROC
epoxy_glIsTextureEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_texture_object, 25999 /* glIsTextureEXT */);
}

static PFNGLISTEXTUREHANDLERESIDENTARBPROC
epoxy_glIsTextureHandleResidentARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_bindless_texture, 26014 /* glIsTextureHandleResidentARB */);
}

static PFNGLISTEXTUREHANDLERESIDENTNVPROC
epoxy_glIsTextureHandleResidentNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_bindless_texture, 26043 /* glIsTextureHandleResidentNV */);
}

static PFNGLISTRANSFORMFEEDBACKPROC
epoxy_glIsTransformFeedback_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_transform_feedback2,
        GL_extension_GL_NV_transform_feedback2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        26071 /* "glIsTransformFeedback" */,
        26071 /* "glIsTransformFeedback" */,
        26071 /* "glIsTransformFeedback" */,
        26093 /* "glIsTransformFeedbackNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 26071 /* "glIsTransformFeedback" */,
                                providers, entrypoints);
}

static PFNGLISTRANSFORMFEEDBACKNVPROC
epoxy_glIsTransformFeedbackNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_transform_feedback2,
        Desktop_OpenGL_4_0,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_transform_feedback2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        26093 /* "glIsTransformFeedbackNV" */,
        26071 /* "glIsTransformFeedback" */,
        26071 /* "glIsTransformFeedback" */,
        26071 /* "glIsTransformFeedback" */,
    };
    return gl_provider_resolver(entrypoint_strings + 26093 /* "glIsTransformFeedbackNV" */,
                                providers, entrypoints);
}

static PFNGLISVARIANTENABLEDEXTPROC
epoxy_glIsVariantEnabledEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 26117 /* glIsVariantEnabledEXT */);
}

static PFNGLISVERTEXARRAYPROC
epoxy_glIsVertexArray_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_vertex_array_object,
        GL_extension_GL_APPLE_vertex_array_object,
        GL_extension_GL_OES_vertex_array_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        26139 /* "glIsVertexArray" */,
        26139 /* "glIsVertexArray" */,
        26139 /* "glIsVertexArray" */,
        26155 /* "glIsVertexArrayAPPLE" */,
        26176 /* "glIsVertexArrayOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 26139 /* "glIsVertexArray" */,
                                providers, entrypoints);
}

static PFNGLISVERTEXARRAYAPPLEPROC
epoxy_glIsVertexArrayAPPLE_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_APPLE_vertex_array_object,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_vertex_array_object,
        GL_extension_GL_OES_vertex_array_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        26155 /* "glIsVertexArrayAPPLE" */,
        26139 /* "glIsVertexArray" */,
        26139 /* "glIsVertexArray" */,
        26139 /* "glIsVertexArray" */,
        26176 /* "glIsVertexArrayOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 26155 /* "glIsVertexArrayAPPLE" */,
                                providers, entrypoints);
}

static PFNGLISVERTEXARRAYOESPROC
epoxy_glIsVertexArrayOES_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_OES_vertex_array_object,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_vertex_array_object,
        GL_extension_GL_APPLE_vertex_array_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        26176 /* "glIsVertexArrayOES" */,
        26139 /* "glIsVertexArray" */,
        26139 /* "glIsVertexArray" */,
        26139 /* "glIsVertexArray" */,
        26155 /* "glIsVertexArrayAPPLE" */,
    };
    return gl_provider_resolver(entrypoint_strings + 26176 /* "glIsVertexArrayOES" */,
                                providers, entrypoints);
}

static PFNGLISVERTEXATTRIBENABLEDAPPLEPROC
epoxy_glIsVertexAttribEnabledAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_vertex_program_evaluators, 26195 /* glIsVertexAttribEnabledAPPLE */);
}

static PFNGLLABELOBJECTEXTPROC
epoxy_glLabelObjectEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_debug_label, 26224 /* glLabelObjectEXT */);
}

static PFNGLLIGHTENVISGIXPROC
epoxy_glLightEnviSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_fragment_lighting, 26241 /* glLightEnviSGIX */);
}

static PFNGLLIGHTMODELFPROC
epoxy_glLightModelf_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        26257 /* "glLightModelf" */,
        26257 /* "glLightModelf" */,
    };
    return gl_provider_resolver(entrypoint_strings + 26257 /* "glLightModelf" */,
                                providers, entrypoints);
}

static PFNGLLIGHTMODELFVPROC
epoxy_glLightModelfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        26271 /* "glLightModelfv" */,
        26271 /* "glLightModelfv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 26271 /* "glLightModelfv" */,
                                providers, entrypoints);
}

static PFNGLLIGHTMODELIPROC
epoxy_glLightModeli_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 26286 /* glLightModeli */);
}

static PFNGLLIGHTMODELIVPROC
epoxy_glLightModeliv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 26300 /* glLightModeliv */);
}

static PFNGLLIGHTMODELXPROC
epoxy_glLightModelx_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 26315 /* glLightModelx */);
}

static PFNGLLIGHTMODELXOESPROC
epoxy_glLightModelxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 26329 /* glLightModelxOES */);
}

static PFNGLLIGHTMODELXVPROC
epoxy_glLightModelxv_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 26346 /* glLightModelxv */);
}

static PFNGLLIGHTMODELXVOESPROC
epoxy_glLightModelxvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 26361 /* glLightModelxvOES */);
}

static PFNGLLIGHTFPROC
epoxy_glLightf_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        26379 /* "glLightf" */,
        26379 /* "glLightf" */,
    };
    return gl_provider_resolver(entrypoint_strings + 26379 /* "glLightf" */,
                                providers, entrypoints);
}

static PFNGLLIGHTFVPROC
epoxy_glLightfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        26388 /* "glLightfv" */,
        26388 /* "glLightfv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 26388 /* "glLightfv" */,
                                providers, entrypoints);
}

static PFNGLLIGHTIPROC
epoxy_glLighti_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 26398 /* glLighti */);
}

static PFNGLLIGHTIVPROC
epoxy_glLightiv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 26407 /* glLightiv */);
}

static PFNGLLIGHTXPROC
epoxy_glLightx_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 26417 /* glLightx */);
}

static PFNGLLIGHTXOESPROC
epoxy_glLightxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 26426 /* glLightxOES */);
}

static PFNGLLIGHTXVPROC
epoxy_glLightxv_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 26438 /* glLightxv */);
}

static PFNGLLIGHTXVOESPROC
epoxy_glLightxvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 26448 /* glLightxvOES */);
}

static PFNGLLINESTIPPLEPROC
epoxy_glLineStipple_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 26461 /* glLineStipple */);
}

static PFNGLLINEWIDTHPROC
epoxy_glLineWidth_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        26475 /* "glLineWidth" */,
        26475 /* "glLineWidth" */,
        26475 /* "glLineWidth" */,
    };
    return gl_provider_resolver(entrypoint_strings + 26475 /* "glLineWidth" */,
                                providers, entrypoints);
}

static PFNGLLINEWIDTHXPROC
epoxy_glLineWidthx_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 26487 /* glLineWidthx */);
}

static PFNGLLINEWIDTHXOESPROC
epoxy_glLineWidthxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 26500 /* glLineWidthxOES */);
}

static PFNGLLINKPROGRAMPROC
epoxy_glLinkProgram_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        26516 /* "glLinkProgram" */,
        26516 /* "glLinkProgram" */,
        26530 /* "glLinkProgramARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 26516 /* "glLinkProgram" */,
                                providers, entrypoints);
}

static PFNGLLINKPROGRAMARBPROC
epoxy_glLinkProgramARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_objects,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        26530 /* "glLinkProgramARB" */,
        26516 /* "glLinkProgram" */,
        26516 /* "glLinkProgram" */,
    };
    return gl_provider_resolver(entrypoint_strings + 26530 /* "glLinkProgramARB" */,
                                providers, entrypoints);
}

static PFNGLLISTBASEPROC
epoxy_glListBase_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 26547 /* glListBase */);
}

static PFNGLLISTPARAMETERFSGIXPROC
epoxy_glListParameterfSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_list_priority, 26558 /* glListParameterfSGIX */);
}

static PFNGLLISTPARAMETERFVSGIXPROC
epoxy_glListParameterfvSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_list_priority, 26579 /* glListParameterfvSGIX */);
}

static PFNGLLISTPARAMETERISGIXPROC
epoxy_glListParameteriSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_list_priority, 26601 /* glListParameteriSGIX */);
}

static PFNGLLISTPARAMETERIVSGIXPROC
epoxy_glListParameterivSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_list_priority, 26622 /* glListParameterivSGIX */);
}

static PFNGLLOADIDENTITYPROC
epoxy_glLoadIdentity_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        26644 /* "glLoadIdentity" */,
        26644 /* "glLoadIdentity" */,
    };
    return gl_provider_resolver(entrypoint_strings + 26644 /* "glLoadIdentity" */,
                                providers, entrypoints);
}

static PFNGLLOADIDENTITYDEFORMATIONMAPSGIXPROC
epoxy_glLoadIdentityDeformationMapSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_polynomial_ffd, 26659 /* glLoadIdentityDeformationMapSGIX */);
}

static PFNGLLOADMATRIXDPROC
epoxy_glLoadMatrixd_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 26692 /* glLoadMatrixd */);
}

static PFNGLLOADMATRIXFPROC
epoxy_glLoadMatrixf_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        26706 /* "glLoadMatrixf" */,
        26706 /* "glLoadMatrixf" */,
    };
    return gl_provider_resolver(entrypoint_strings + 26706 /* "glLoadMatrixf" */,
                                providers, entrypoints);
}

static PFNGLLOADMATRIXXPROC
epoxy_glLoadMatrixx_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 26720 /* glLoadMatrixx */);
}

static PFNGLLOADMATRIXXOESPROC
epoxy_glLoadMatrixxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 26734 /* glLoadMatrixxOES */);
}

static PFNGLLOADNAMEPROC
epoxy_glLoadName_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 26751 /* glLoadName */);
}

static PFNGLLOADPALETTEFROMMODELVIEWMATRIXOESPROC
epoxy_glLoadPaletteFromModelViewMatrixOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_matrix_palette, 26762 /* glLoadPaletteFromModelViewMatrixOES */);
}

static PFNGLLOADPROGRAMNVPROC
epoxy_glLoadProgramNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 26798 /* glLoadProgramNV */);
}

static PFNGLLOADTRANSPOSEMATRIXDPROC
epoxy_glLoadTransposeMatrixd_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_transpose_matrix,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        26814 /* "glLoadTransposeMatrixd" */,
        26837 /* "glLoadTransposeMatrixdARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 26814 /* "glLoadTransposeMatrixd" */,
                                providers, entrypoints);
}

static PFNGLLOADTRANSPOSEMATRIXDARBPROC
epoxy_glLoadTransposeMatrixdARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_transpose_matrix,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        26837 /* "glLoadTransposeMatrixdARB" */,
        26814 /* "glLoadTransposeMatrixd" */,
    };
    return gl_provider_resolver(entrypoint_strings + 26837 /* "glLoadTransposeMatrixdARB" */,
                                providers, entrypoints);
}

static PFNGLLOADTRANSPOSEMATRIXFPROC
epoxy_glLoadTransposeMatrixf_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_transpose_matrix,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        26863 /* "glLoadTransposeMatrixf" */,
        26886 /* "glLoadTransposeMatrixfARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 26863 /* "glLoadTransposeMatrixf" */,
                                providers, entrypoints);
}

static PFNGLLOADTRANSPOSEMATRIXFARBPROC
epoxy_glLoadTransposeMatrixfARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_transpose_matrix,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        26886 /* "glLoadTransposeMatrixfARB" */,
        26863 /* "glLoadTransposeMatrixf" */,
    };
    return gl_provider_resolver(entrypoint_strings + 26886 /* "glLoadTransposeMatrixfARB" */,
                                providers, entrypoints);
}

static PFNGLLOADTRANSPOSEMATRIXXOESPROC
epoxy_glLoadTransposeMatrixxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 26912 /* glLoadTransposeMatrixxOES */);
}

static PFNGLLOCKARRAYSEXTPROC
epoxy_glLockArraysEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_compiled_vertex_array, 26938 /* glLockArraysEXT */);
}

static PFNGLLOGICOPPROC
epoxy_glLogicOp_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        26954 /* "glLogicOp" */,
        26954 /* "glLogicOp" */,
    };
    return gl_provider_resolver(entrypoint_strings + 26954 /* "glLogicOp" */,
                                providers, entrypoints);
}

static PFNGLMAKEBUFFERNONRESIDENTNVPROC
epoxy_glMakeBufferNonResidentNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_shader_buffer_load, 26964 /* glMakeBufferNonResidentNV */);
}

static PFNGLMAKEBUFFERRESIDENTNVPROC
epoxy_glMakeBufferResidentNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_shader_buffer_load, 26990 /* glMakeBufferResidentNV */);
}

static PFNGLMAKEIMAGEHANDLENONRESIDENTARBPROC
epoxy_glMakeImageHandleNonResidentARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_bindless_texture, 27013 /* glMakeImageHandleNonResidentARB */);
}

static PFNGLMAKEIMAGEHANDLENONRESIDENTNVPROC
epoxy_glMakeImageHandleNonResidentNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_bindless_texture, 27045 /* glMakeImageHandleNonResidentNV */);
}

static PFNGLMAKEIMAGEHANDLERESIDENTARBPROC
epoxy_glMakeImageHandleResidentARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_bindless_texture, 27076 /* glMakeImageHandleResidentARB */);
}

static PFNGLMAKEIMAGEHANDLERESIDENTNVPROC
epoxy_glMakeImageHandleResidentNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_bindless_texture, 27105 /* glMakeImageHandleResidentNV */);
}

static PFNGLMAKENAMEDBUFFERNONRESIDENTNVPROC
epoxy_glMakeNamedBufferNonResidentNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_shader_buffer_load, 27133 /* glMakeNamedBufferNonResidentNV */);
}

static PFNGLMAKENAMEDBUFFERRESIDENTNVPROC
epoxy_glMakeNamedBufferResidentNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_shader_buffer_load, 27164 /* glMakeNamedBufferResidentNV */);
}

static PFNGLMAKETEXTUREHANDLENONRESIDENTARBPROC
epoxy_glMakeTextureHandleNonResidentARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_bindless_texture, 27192 /* glMakeTextureHandleNonResidentARB */);
}

static PFNGLMAKETEXTUREHANDLENONRESIDENTNVPROC
epoxy_glMakeTextureHandleNonResidentNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_bindless_texture, 27226 /* glMakeTextureHandleNonResidentNV */);
}

static PFNGLMAKETEXTUREHANDLERESIDENTARBPROC
epoxy_glMakeTextureHandleResidentARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_bindless_texture, 27259 /* glMakeTextureHandleResidentARB */);
}

static PFNGLMAKETEXTUREHANDLERESIDENTNVPROC
epoxy_glMakeTextureHandleResidentNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_bindless_texture, 27290 /* glMakeTextureHandleResidentNV */);
}

static PFNGLMAP1DPROC
epoxy_glMap1d_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 27320 /* glMap1d */);
}

static PFNGLMAP1FPROC
epoxy_glMap1f_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 27328 /* glMap1f */);
}

static PFNGLMAP1XOESPROC
epoxy_glMap1xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 27336 /* glMap1xOES */);
}

static PFNGLMAP2DPROC
epoxy_glMap2d_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 27347 /* glMap2d */);
}

static PFNGLMAP2FPROC
epoxy_glMap2f_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 27355 /* glMap2f */);
}

static PFNGLMAP2XOESPROC
epoxy_glMap2xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 27363 /* glMap2xOES */);
}

static PFNGLMAPBUFFERPROC
epoxy_glMapBuffer_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_5,
        GL_extension_GL_ARB_vertex_buffer_object,
        GL_extension_GL_OES_mapbuffer,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        27374 /* "glMapBuffer" */,
        27386 /* "glMapBufferARB" */,
        27401 /* "glMapBufferOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 27374 /* "glMapBuffer" */,
                                providers, entrypoints);
}

static PFNGLMAPBUFFERARBPROC
epoxy_glMapBufferARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_buffer_object,
        Desktop_OpenGL_1_5,
        GL_extension_GL_OES_mapbuffer,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        27386 /* "glMapBufferARB" */,
        27374 /* "glMapBuffer" */,
        27401 /* "glMapBufferOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 27386 /* "glMapBufferARB" */,
                                providers, entrypoints);
}

static PFNGLMAPBUFFEROESPROC
epoxy_glMapBufferOES_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_OES_mapbuffer,
        Desktop_OpenGL_1_5,
        GL_extension_GL_ARB_vertex_buffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        27401 /* "glMapBufferOES" */,
        27374 /* "glMapBuffer" */,
        27386 /* "glMapBufferARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 27401 /* "glMapBufferOES" */,
                                providers, entrypoints);
}

static PFNGLMAPBUFFERRANGEPROC
epoxy_glMapBufferRange_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_map_buffer_range,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_EXT_map_buffer_range,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        27416 /* "glMapBufferRange" */,
        27416 /* "glMapBufferRange" */,
        27416 /* "glMapBufferRange" */,
        27433 /* "glMapBufferRangeEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 27416 /* "glMapBufferRange" */,
                                providers, entrypoints);
}

static PFNGLMAPBUFFERRANGEEXTPROC
epoxy_glMapBufferRangeEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_map_buffer_range,
        GL_extension_GL_ARB_map_buffer_range,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        27433 /* "glMapBufferRangeEXT" */,
        27416 /* "glMapBufferRange" */,
        27416 /* "glMapBufferRange" */,
        27416 /* "glMapBufferRange" */,
    };
    return gl_provider_resolver(entrypoint_strings + 27433 /* "glMapBufferRangeEXT" */,
                                providers, entrypoints);
}

static PFNGLMAPCONTROLPOINTSNVPROC
epoxy_glMapControlPointsNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_evaluators, 27453 /* glMapControlPointsNV */);
}

static PFNGLMAPGRID1DPROC
epoxy_glMapGrid1d_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 27474 /* glMapGrid1d */);
}

static PFNGLMAPGRID1FPROC
epoxy_glMapGrid1f_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 27486 /* glMapGrid1f */);
}

static PFNGLMAPGRID1XOESPROC
epoxy_glMapGrid1xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 27498 /* glMapGrid1xOES */);
}

static PFNGLMAPGRID2DPROC
epoxy_glMapGrid2d_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 27513 /* glMapGrid2d */);
}

static PFNGLMAPGRID2FPROC
epoxy_glMapGrid2f_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 27525 /* glMapGrid2f */);
}

static PFNGLMAPGRID2XOESPROC
epoxy_glMapGrid2xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 27537 /* glMapGrid2xOES */);
}

static PFNGLMAPNAMEDBUFFEREXTPROC
epoxy_glMapNamedBufferEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 27552 /* glMapNamedBufferEXT */);
}

static PFNGLMAPNAMEDBUFFERRANGEEXTPROC
epoxy_glMapNamedBufferRangeEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 27572 /* glMapNamedBufferRangeEXT */);
}

static PFNGLMAPOBJECTBUFFERATIPROC
epoxy_glMapObjectBufferATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_map_object_buffer, 27597 /* glMapObjectBufferATI */);
}

static PFNGLMAPPARAMETERFVNVPROC
epoxy_glMapParameterfvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_evaluators, 27618 /* glMapParameterfvNV */);
}

static PFNGLMAPPARAMETERIVNVPROC
epoxy_glMapParameterivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_evaluators, 27637 /* glMapParameterivNV */);
}

static PFNGLMAPTEXTURE2DINTELPROC
epoxy_glMapTexture2DINTEL_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_INTEL_map_texture, 27656 /* glMapTexture2DINTEL */);
}

static PFNGLMAPVERTEXATTRIB1DAPPLEPROC
epoxy_glMapVertexAttrib1dAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_vertex_program_evaluators, 27676 /* glMapVertexAttrib1dAPPLE */);
}

static PFNGLMAPVERTEXATTRIB1FAPPLEPROC
epoxy_glMapVertexAttrib1fAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_vertex_program_evaluators, 27701 /* glMapVertexAttrib1fAPPLE */);
}

static PFNGLMAPVERTEXATTRIB2DAPPLEPROC
epoxy_glMapVertexAttrib2dAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_vertex_program_evaluators, 27726 /* glMapVertexAttrib2dAPPLE */);
}

static PFNGLMAPVERTEXATTRIB2FAPPLEPROC
epoxy_glMapVertexAttrib2fAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_vertex_program_evaluators, 27751 /* glMapVertexAttrib2fAPPLE */);
}

static PFNGLMATERIALFPROC
epoxy_glMaterialf_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        27776 /* "glMaterialf" */,
        27776 /* "glMaterialf" */,
    };
    return gl_provider_resolver(entrypoint_strings + 27776 /* "glMaterialf" */,
                                providers, entrypoints);
}

static PFNGLMATERIALFVPROC
epoxy_glMaterialfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        27788 /* "glMaterialfv" */,
        27788 /* "glMaterialfv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 27788 /* "glMaterialfv" */,
                                providers, entrypoints);
}

static PFNGLMATERIALIPROC
epoxy_glMateriali_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 27801 /* glMateriali */);
}

static PFNGLMATERIALIVPROC
epoxy_glMaterialiv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 27813 /* glMaterialiv */);
}

static PFNGLMATERIALXPROC
epoxy_glMaterialx_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 27826 /* glMaterialx */);
}

static PFNGLMATERIALXOESPROC
epoxy_glMaterialxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 27838 /* glMaterialxOES */);
}

static PFNGLMATERIALXVPROC
epoxy_glMaterialxv_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 27853 /* glMaterialxv */);
}

static PFNGLMATERIALXVOESPROC
epoxy_glMaterialxvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 27866 /* glMaterialxvOES */);
}

static PFNGLMATRIXFRUSTUMEXTPROC
epoxy_glMatrixFrustumEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 27882 /* glMatrixFrustumEXT */);
}

static PFNGLMATRIXINDEXPOINTERARBPROC
epoxy_glMatrixIndexPointerARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_matrix_palette, 27901 /* glMatrixIndexPointerARB */);
}

static PFNGLMATRIXINDEXPOINTEROESPROC
epoxy_glMatrixIndexPointerOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_matrix_palette, 27925 /* glMatrixIndexPointerOES */);
}

static PFNGLMATRIXINDEXUBVARBPROC
epoxy_glMatrixIndexubvARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_matrix_palette, 27949 /* glMatrixIndexubvARB */);
}

static PFNGLMATRIXINDEXUIVARBPROC
epoxy_glMatrixIndexuivARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_matrix_palette, 27969 /* glMatrixIndexuivARB */);
}

static PFNGLMATRIXINDEXUSVARBPROC
epoxy_glMatrixIndexusvARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_matrix_palette, 27989 /* glMatrixIndexusvARB */);
}

static PFNGLMATRIXLOADIDENTITYEXTPROC
epoxy_glMatrixLoadIdentityEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 28009 /* glMatrixLoadIdentityEXT */);
}

static PFNGLMATRIXLOADTRANSPOSEDEXTPROC
epoxy_glMatrixLoadTransposedEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 28033 /* glMatrixLoadTransposedEXT */);
}

static PFNGLMATRIXLOADTRANSPOSEFEXTPROC
epoxy_glMatrixLoadTransposefEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 28059 /* glMatrixLoadTransposefEXT */);
}

static PFNGLMATRIXLOADDEXTPROC
epoxy_glMatrixLoaddEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 28085 /* glMatrixLoaddEXT */);
}

static PFNGLMATRIXLOADFEXTPROC
epoxy_glMatrixLoadfEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 28102 /* glMatrixLoadfEXT */);
}

static PFNGLMATRIXMODEPROC
epoxy_glMatrixMode_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        28119 /* "glMatrixMode" */,
        28119 /* "glMatrixMode" */,
    };
    return gl_provider_resolver(entrypoint_strings + 28119 /* "glMatrixMode" */,
                                providers, entrypoints);
}

static PFNGLMATRIXMULTTRANSPOSEDEXTPROC
epoxy_glMatrixMultTransposedEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 28132 /* glMatrixMultTransposedEXT */);
}

static PFNGLMATRIXMULTTRANSPOSEFEXTPROC
epoxy_glMatrixMultTransposefEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 28158 /* glMatrixMultTransposefEXT */);
}

static PFNGLMATRIXMULTDEXTPROC
epoxy_glMatrixMultdEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 28184 /* glMatrixMultdEXT */);
}

static PFNGLMATRIXMULTFEXTPROC
epoxy_glMatrixMultfEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 28201 /* glMatrixMultfEXT */);
}

static PFNGLMATRIXORTHOEXTPROC
epoxy_glMatrixOrthoEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 28218 /* glMatrixOrthoEXT */);
}

static PFNGLMATRIXPOPEXTPROC
epoxy_glMatrixPopEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 28235 /* glMatrixPopEXT */);
}

static PFNGLMATRIXPUSHEXTPROC
epoxy_glMatrixPushEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 28250 /* glMatrixPushEXT */);
}

static PFNGLMATRIXROTATEDEXTPROC
epoxy_glMatrixRotatedEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 28266 /* glMatrixRotatedEXT */);
}

static PFNGLMATRIXROTATEFEXTPROC
epoxy_glMatrixRotatefEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 28285 /* glMatrixRotatefEXT */);
}

static PFNGLMATRIXSCALEDEXTPROC
epoxy_glMatrixScaledEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 28304 /* glMatrixScaledEXT */);
}

static PFNGLMATRIXSCALEFEXTPROC
epoxy_glMatrixScalefEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 28322 /* glMatrixScalefEXT */);
}

static PFNGLMATRIXTRANSLATEDEXTPROC
epoxy_glMatrixTranslatedEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 28340 /* glMatrixTranslatedEXT */);
}

static PFNGLMATRIXTRANSLATEFEXTPROC
epoxy_glMatrixTranslatefEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 28362 /* glMatrixTranslatefEXT */);
}

static PFNGLMEMORYBARRIERPROC
epoxy_glMemoryBarrier_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_1,
        Desktop_OpenGL_4_2,
        GL_extension_GL_ARB_shader_image_load_store,
        GL_extension_GL_EXT_shader_image_load_store,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        28384 /* "glMemoryBarrier" */,
        28384 /* "glMemoryBarrier" */,
        28384 /* "glMemoryBarrier" */,
        28424 /* "glMemoryBarrierEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 28384 /* "glMemoryBarrier" */,
                                providers, entrypoints);
}

static PFNGLMEMORYBARRIERBYREGIONPROC
epoxy_glMemoryBarrierByRegion_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_3_1, 28400 /* glMemoryBarrierByRegion */);
}

static PFNGLMEMORYBARRIEREXTPROC
epoxy_glMemoryBarrierEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_shader_image_load_store,
        OpenGL_ES_3_1,
        Desktop_OpenGL_4_2,
        GL_extension_GL_ARB_shader_image_load_store,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        28424 /* "glMemoryBarrierEXT" */,
        28384 /* "glMemoryBarrier" */,
        28384 /* "glMemoryBarrier" */,
        28384 /* "glMemoryBarrier" */,
    };
    return gl_provider_resolver(entrypoint_strings + 28424 /* "glMemoryBarrierEXT" */,
                                providers, entrypoints);
}

static PFNGLMINSAMPLESHADINGPROC
epoxy_glMinSampleShading_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_sample_shading,
        GL_extension_GL_OES_sample_shading,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        28443 /* "glMinSampleShading" */,
        28462 /* "glMinSampleShadingARB" */,
        28484 /* "glMinSampleShadingOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 28443 /* "glMinSampleShading" */,
                                providers, entrypoints);
}

static PFNGLMINSAMPLESHADINGARBPROC
epoxy_glMinSampleShadingARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_sample_shading,
        Desktop_OpenGL_4_0,
        GL_extension_GL_OES_sample_shading,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        28462 /* "glMinSampleShadingARB" */,
        28443 /* "glMinSampleShading" */,
        28484 /* "glMinSampleShadingOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 28462 /* "glMinSampleShadingARB" */,
                                providers, entrypoints);
}

static PFNGLMINSAMPLESHADINGOESPROC
epoxy_glMinSampleShadingOES_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_OES_sample_shading,
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_sample_shading,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        28484 /* "glMinSampleShadingOES" */,
        28443 /* "glMinSampleShading" */,
        28462 /* "glMinSampleShadingARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 28484 /* "glMinSampleShadingOES" */,
                                providers, entrypoints);
}

static PFNGLMINMAXPROC
epoxy_glMinmax_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_EXT_histogram,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        28506 /* "glMinmax" */,
        28515 /* "glMinmaxEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 28506 /* "glMinmax" */,
                                providers, entrypoints);
}

static PFNGLMINMAXEXTPROC
epoxy_glMinmaxEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_histogram,
        GL_extension_GL_ARB_imaging,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        28515 /* "glMinmaxEXT" */,
        28506 /* "glMinmax" */,
    };
    return gl_provider_resolver(entrypoint_strings + 28515 /* "glMinmaxEXT" */,
                                providers, entrypoints);
}

static PFNGLMULTMATRIXDPROC
epoxy_glMultMatrixd_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 28527 /* glMultMatrixd */);
}

static PFNGLMULTMATRIXFPROC
epoxy_glMultMatrixf_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        28541 /* "glMultMatrixf" */,
        28541 /* "glMultMatrixf" */,
    };
    return gl_provider_resolver(entrypoint_strings + 28541 /* "glMultMatrixf" */,
                                providers, entrypoints);
}

static PFNGLMULTMATRIXXPROC
epoxy_glMultMatrixx_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 28555 /* glMultMatrixx */);
}

static PFNGLMULTMATRIXXOESPROC
epoxy_glMultMatrixxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 28569 /* glMultMatrixxOES */);
}

static PFNGLMULTTRANSPOSEMATRIXDPROC
epoxy_glMultTransposeMatrixd_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_transpose_matrix,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        28586 /* "glMultTransposeMatrixd" */,
        28609 /* "glMultTransposeMatrixdARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 28586 /* "glMultTransposeMatrixd" */,
                                providers, entrypoints);
}

static PFNGLMULTTRANSPOSEMATRIXDARBPROC
epoxy_glMultTransposeMatrixdARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_transpose_matrix,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        28609 /* "glMultTransposeMatrixdARB" */,
        28586 /* "glMultTransposeMatrixd" */,
    };
    return gl_provider_resolver(entrypoint_strings + 28609 /* "glMultTransposeMatrixdARB" */,
                                providers, entrypoints);
}

static PFNGLMULTTRANSPOSEMATRIXFPROC
epoxy_glMultTransposeMatrixf_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_transpose_matrix,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        28635 /* "glMultTransposeMatrixf" */,
        28658 /* "glMultTransposeMatrixfARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 28635 /* "glMultTransposeMatrixf" */,
                                providers, entrypoints);
}

static PFNGLMULTTRANSPOSEMATRIXFARBPROC
epoxy_glMultTransposeMatrixfARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_transpose_matrix,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        28658 /* "glMultTransposeMatrixfARB" */,
        28635 /* "glMultTransposeMatrixf" */,
    };
    return gl_provider_resolver(entrypoint_strings + 28658 /* "glMultTransposeMatrixfARB" */,
                                providers, entrypoints);
}

static PFNGLMULTTRANSPOSEMATRIXXOESPROC
epoxy_glMultTransposeMatrixxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 28684 /* glMultTransposeMatrixxOES */);
}

static PFNGLMULTIDRAWARRAYSPROC
epoxy_glMultiDrawArrays_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_multi_draw_arrays,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        28710 /* "glMultiDrawArrays" */,
        28728 /* "glMultiDrawArraysEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 28710 /* "glMultiDrawArrays" */,
                                providers, entrypoints);
}

static PFNGLMULTIDRAWARRAYSEXTPROC
epoxy_glMultiDrawArraysEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_multi_draw_arrays,
        Desktop_OpenGL_1_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        28728 /* "glMultiDrawArraysEXT" */,
        28710 /* "glMultiDrawArrays" */,
    };
    return gl_provider_resolver(entrypoint_strings + 28728 /* "glMultiDrawArraysEXT" */,
                                providers, entrypoints);
}

static PFNGLMULTIDRAWARRAYSINDIRECTPROC
epoxy_glMultiDrawArraysIndirect_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multi_draw_indirect,
        Desktop_OpenGL_4_3,
        GL_extension_GL_AMD_multi_draw_indirect,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        28749 /* "glMultiDrawArraysIndirect" */,
        28749 /* "glMultiDrawArraysIndirect" */,
        28775 /* "glMultiDrawArraysIndirectAMD" */,
    };
    return gl_provider_resolver(entrypoint_strings + 28749 /* "glMultiDrawArraysIndirect" */,
                                providers, entrypoints);
}

static PFNGLMULTIDRAWARRAYSINDIRECTAMDPROC
epoxy_glMultiDrawArraysIndirectAMD_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_multi_draw_indirect,
        GL_extension_GL_ARB_multi_draw_indirect,
        Desktop_OpenGL_4_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        28775 /* "glMultiDrawArraysIndirectAMD" */,
        28749 /* "glMultiDrawArraysIndirect" */,
        28749 /* "glMultiDrawArraysIndirect" */,
    };
    return gl_provider_resolver(entrypoint_strings + 28775 /* "glMultiDrawArraysIndirectAMD" */,
                                providers, entrypoints);
}

static PFNGLMULTIDRAWARRAYSINDIRECTBINDLESSNVPROC
epoxy_glMultiDrawArraysIndirectBindlessNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_bindless_multi_draw_indirect, 28804 /* glMultiDrawArraysIndirectBindlessNV */);
}

static PFNGLMULTIDRAWARRAYSINDIRECTCOUNTARBPROC
epoxy_glMultiDrawArraysIndirectCountARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_indirect_parameters, 28840 /* glMultiDrawArraysIndirectCountARB */);
}

static PFNGLMULTIDRAWELEMENTARRAYAPPLEPROC
epoxy_glMultiDrawElementArrayAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_element_array, 28874 /* glMultiDrawElementArrayAPPLE */);
}

static PFNGLMULTIDRAWELEMENTSPROC
epoxy_glMultiDrawElements_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_multi_draw_arrays,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        28903 /* "glMultiDrawElements" */,
        28953 /* "glMultiDrawElementsEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 28903 /* "glMultiDrawElements" */,
                                providers, entrypoints);
}

static PFNGLMULTIDRAWELEMENTSBASEVERTEXPROC
epoxy_glMultiDrawElementsBaseVertex_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_2,
        GL_extension_GL_ARB_draw_elements_base_vertex,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        28923 /* "glMultiDrawElementsBaseVertex" */,
        28923 /* "glMultiDrawElementsBaseVertex" */,
    };
    return gl_provider_resolver(entrypoint_strings + 28923 /* "glMultiDrawElementsBaseVertex" */,
                                providers, entrypoints);
}

static PFNGLMULTIDRAWELEMENTSEXTPROC
epoxy_glMultiDrawElementsEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_multi_draw_arrays,
        Desktop_OpenGL_1_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        28953 /* "glMultiDrawElementsEXT" */,
        28903 /* "glMultiDrawElements" */,
    };
    return gl_provider_resolver(entrypoint_strings + 28953 /* "glMultiDrawElementsEXT" */,
                                providers, entrypoints);
}

static PFNGLMULTIDRAWELEMENTSINDIRECTPROC
epoxy_glMultiDrawElementsIndirect_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multi_draw_indirect,
        Desktop_OpenGL_4_3,
        GL_extension_GL_AMD_multi_draw_indirect,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        28976 /* "glMultiDrawElementsIndirect" */,
        28976 /* "glMultiDrawElementsIndirect" */,
        29004 /* "glMultiDrawElementsIndirectAMD" */,
    };
    return gl_provider_resolver(entrypoint_strings + 28976 /* "glMultiDrawElementsIndirect" */,
                                providers, entrypoints);
}

static PFNGLMULTIDRAWELEMENTSINDIRECTAMDPROC
epoxy_glMultiDrawElementsIndirectAMD_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_multi_draw_indirect,
        GL_extension_GL_ARB_multi_draw_indirect,
        Desktop_OpenGL_4_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29004 /* "glMultiDrawElementsIndirectAMD" */,
        28976 /* "glMultiDrawElementsIndirect" */,
        28976 /* "glMultiDrawElementsIndirect" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29004 /* "glMultiDrawElementsIndirectAMD" */,
                                providers, entrypoints);
}

static PFNGLMULTIDRAWELEMENTSINDIRECTBINDLESSNVPROC
epoxy_glMultiDrawElementsIndirectBindlessNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_bindless_multi_draw_indirect, 29035 /* glMultiDrawElementsIndirectBindlessNV */);
}

static PFNGLMULTIDRAWELEMENTSINDIRECTCOUNTARBPROC
epoxy_glMultiDrawElementsIndirectCountARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_indirect_parameters, 29073 /* glMultiDrawElementsIndirectCountARB */);
}

static PFNGLMULTIDRAWRANGEELEMENTARRAYAPPLEPROC
epoxy_glMultiDrawRangeElementArrayAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_element_array, 29109 /* glMultiDrawRangeElementArrayAPPLE */);
}

static PFNGLMULTIMODEDRAWARRAYSIBMPROC
epoxy_glMultiModeDrawArraysIBM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_IBM_multimode_draw_arrays, 29143 /* glMultiModeDrawArraysIBM */);
}

static PFNGLMULTIMODEDRAWELEMENTSIBMPROC
epoxy_glMultiModeDrawElementsIBM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_IBM_multimode_draw_arrays, 29168 /* glMultiModeDrawElementsIBM */);
}

static PFNGLMULTITEXBUFFEREXTPROC
epoxy_glMultiTexBufferEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 29195 /* glMultiTexBufferEXT */);
}

static PFNGLMULTITEXCOORD1BOESPROC
epoxy_glMultiTexCoord1bOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 29215 /* glMultiTexCoord1bOES */);
}

static PFNGLMULTITEXCOORD1BVOESPROC
epoxy_glMultiTexCoord1bvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 29236 /* glMultiTexCoord1bvOES */);
}

static PFNGLMULTITEXCOORD1DPROC
epoxy_glMultiTexCoord1d_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29258 /* "glMultiTexCoord1d" */,
        29276 /* "glMultiTexCoord1dARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29258 /* "glMultiTexCoord1d" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD1DARBPROC
epoxy_glMultiTexCoord1dARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multitexture,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29276 /* "glMultiTexCoord1dARB" */,
        29258 /* "glMultiTexCoord1d" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29276 /* "glMultiTexCoord1dARB" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD1DVPROC
epoxy_glMultiTexCoord1dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29297 /* "glMultiTexCoord1dv" */,
        29316 /* "glMultiTexCoord1dvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29297 /* "glMultiTexCoord1dv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD1DVARBPROC
epoxy_glMultiTexCoord1dvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multitexture,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29316 /* "glMultiTexCoord1dvARB" */,
        29297 /* "glMultiTexCoord1dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29316 /* "glMultiTexCoord1dvARB" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD1FPROC
epoxy_glMultiTexCoord1f_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29338 /* "glMultiTexCoord1f" */,
        29356 /* "glMultiTexCoord1fARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29338 /* "glMultiTexCoord1f" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD1FARBPROC
epoxy_glMultiTexCoord1fARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multitexture,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29356 /* "glMultiTexCoord1fARB" */,
        29338 /* "glMultiTexCoord1f" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29356 /* "glMultiTexCoord1fARB" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD1FVPROC
epoxy_glMultiTexCoord1fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29377 /* "glMultiTexCoord1fv" */,
        29396 /* "glMultiTexCoord1fvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29377 /* "glMultiTexCoord1fv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD1FVARBPROC
epoxy_glMultiTexCoord1fvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multitexture,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29396 /* "glMultiTexCoord1fvARB" */,
        29377 /* "glMultiTexCoord1fv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29396 /* "glMultiTexCoord1fvARB" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD1HNVPROC
epoxy_glMultiTexCoord1hNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 29418 /* glMultiTexCoord1hNV */);
}

static PFNGLMULTITEXCOORD1HVNVPROC
epoxy_glMultiTexCoord1hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 29438 /* glMultiTexCoord1hvNV */);
}

static PFNGLMULTITEXCOORD1IPROC
epoxy_glMultiTexCoord1i_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29459 /* "glMultiTexCoord1i" */,
        29477 /* "glMultiTexCoord1iARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29459 /* "glMultiTexCoord1i" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD1IARBPROC
epoxy_glMultiTexCoord1iARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multitexture,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29477 /* "glMultiTexCoord1iARB" */,
        29459 /* "glMultiTexCoord1i" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29477 /* "glMultiTexCoord1iARB" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD1IVPROC
epoxy_glMultiTexCoord1iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29498 /* "glMultiTexCoord1iv" */,
        29517 /* "glMultiTexCoord1ivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29498 /* "glMultiTexCoord1iv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD1IVARBPROC
epoxy_glMultiTexCoord1ivARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multitexture,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29517 /* "glMultiTexCoord1ivARB" */,
        29498 /* "glMultiTexCoord1iv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29517 /* "glMultiTexCoord1ivARB" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD1SPROC
epoxy_glMultiTexCoord1s_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29539 /* "glMultiTexCoord1s" */,
        29557 /* "glMultiTexCoord1sARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29539 /* "glMultiTexCoord1s" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD1SARBPROC
epoxy_glMultiTexCoord1sARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multitexture,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29557 /* "glMultiTexCoord1sARB" */,
        29539 /* "glMultiTexCoord1s" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29557 /* "glMultiTexCoord1sARB" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD1SVPROC
epoxy_glMultiTexCoord1sv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29578 /* "glMultiTexCoord1sv" */,
        29597 /* "glMultiTexCoord1svARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29578 /* "glMultiTexCoord1sv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD1SVARBPROC
epoxy_glMultiTexCoord1svARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multitexture,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29597 /* "glMultiTexCoord1svARB" */,
        29578 /* "glMultiTexCoord1sv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29597 /* "glMultiTexCoord1svARB" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD1XOESPROC
epoxy_glMultiTexCoord1xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 29619 /* glMultiTexCoord1xOES */);
}

static PFNGLMULTITEXCOORD1XVOESPROC
epoxy_glMultiTexCoord1xvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 29640 /* glMultiTexCoord1xvOES */);
}

static PFNGLMULTITEXCOORD2BOESPROC
epoxy_glMultiTexCoord2bOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 29662 /* glMultiTexCoord2bOES */);
}

static PFNGLMULTITEXCOORD2BVOESPROC
epoxy_glMultiTexCoord2bvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 29683 /* glMultiTexCoord2bvOES */);
}

static PFNGLMULTITEXCOORD2DPROC
epoxy_glMultiTexCoord2d_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29705 /* "glMultiTexCoord2d" */,
        29723 /* "glMultiTexCoord2dARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29705 /* "glMultiTexCoord2d" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD2DARBPROC
epoxy_glMultiTexCoord2dARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multitexture,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29723 /* "glMultiTexCoord2dARB" */,
        29705 /* "glMultiTexCoord2d" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29723 /* "glMultiTexCoord2dARB" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD2DVPROC
epoxy_glMultiTexCoord2dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29744 /* "glMultiTexCoord2dv" */,
        29763 /* "glMultiTexCoord2dvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29744 /* "glMultiTexCoord2dv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD2DVARBPROC
epoxy_glMultiTexCoord2dvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multitexture,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29763 /* "glMultiTexCoord2dvARB" */,
        29744 /* "glMultiTexCoord2dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29763 /* "glMultiTexCoord2dvARB" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD2FPROC
epoxy_glMultiTexCoord2f_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29785 /* "glMultiTexCoord2f" */,
        29803 /* "glMultiTexCoord2fARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29785 /* "glMultiTexCoord2f" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD2FARBPROC
epoxy_glMultiTexCoord2fARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multitexture,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29803 /* "glMultiTexCoord2fARB" */,
        29785 /* "glMultiTexCoord2f" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29803 /* "glMultiTexCoord2fARB" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD2FVPROC
epoxy_glMultiTexCoord2fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29824 /* "glMultiTexCoord2fv" */,
        29843 /* "glMultiTexCoord2fvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29824 /* "glMultiTexCoord2fv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD2FVARBPROC
epoxy_glMultiTexCoord2fvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multitexture,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29843 /* "glMultiTexCoord2fvARB" */,
        29824 /* "glMultiTexCoord2fv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29843 /* "glMultiTexCoord2fvARB" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD2HNVPROC
epoxy_glMultiTexCoord2hNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 29865 /* glMultiTexCoord2hNV */);
}

static PFNGLMULTITEXCOORD2HVNVPROC
epoxy_glMultiTexCoord2hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 29885 /* glMultiTexCoord2hvNV */);
}

static PFNGLMULTITEXCOORD2IPROC
epoxy_glMultiTexCoord2i_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29906 /* "glMultiTexCoord2i" */,
        29924 /* "glMultiTexCoord2iARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29906 /* "glMultiTexCoord2i" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD2IARBPROC
epoxy_glMultiTexCoord2iARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multitexture,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29924 /* "glMultiTexCoord2iARB" */,
        29906 /* "glMultiTexCoord2i" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29924 /* "glMultiTexCoord2iARB" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD2IVPROC
epoxy_glMultiTexCoord2iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29945 /* "glMultiTexCoord2iv" */,
        29964 /* "glMultiTexCoord2ivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29945 /* "glMultiTexCoord2iv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD2IVARBPROC
epoxy_glMultiTexCoord2ivARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multitexture,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29964 /* "glMultiTexCoord2ivARB" */,
        29945 /* "glMultiTexCoord2iv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29964 /* "glMultiTexCoord2ivARB" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD2SPROC
epoxy_glMultiTexCoord2s_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        29986 /* "glMultiTexCoord2s" */,
        30004 /* "glMultiTexCoord2sARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 29986 /* "glMultiTexCoord2s" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD2SARBPROC
epoxy_glMultiTexCoord2sARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multitexture,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30004 /* "glMultiTexCoord2sARB" */,
        29986 /* "glMultiTexCoord2s" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30004 /* "glMultiTexCoord2sARB" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD2SVPROC
epoxy_glMultiTexCoord2sv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30025 /* "glMultiTexCoord2sv" */,
        30044 /* "glMultiTexCoord2svARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30025 /* "glMultiTexCoord2sv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD2SVARBPROC
epoxy_glMultiTexCoord2svARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multitexture,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30044 /* "glMultiTexCoord2svARB" */,
        30025 /* "glMultiTexCoord2sv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30044 /* "glMultiTexCoord2svARB" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD2XOESPROC
epoxy_glMultiTexCoord2xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 30066 /* glMultiTexCoord2xOES */);
}

static PFNGLMULTITEXCOORD2XVOESPROC
epoxy_glMultiTexCoord2xvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 30087 /* glMultiTexCoord2xvOES */);
}

static PFNGLMULTITEXCOORD3BOESPROC
epoxy_glMultiTexCoord3bOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 30109 /* glMultiTexCoord3bOES */);
}

static PFNGLMULTITEXCOORD3BVOESPROC
epoxy_glMultiTexCoord3bvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 30130 /* glMultiTexCoord3bvOES */);
}

static PFNGLMULTITEXCOORD3DPROC
epoxy_glMultiTexCoord3d_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30152 /* "glMultiTexCoord3d" */,
        30170 /* "glMultiTexCoord3dARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30152 /* "glMultiTexCoord3d" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD3DARBPROC
epoxy_glMultiTexCoord3dARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multitexture,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30170 /* "glMultiTexCoord3dARB" */,
        30152 /* "glMultiTexCoord3d" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30170 /* "glMultiTexCoord3dARB" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD3DVPROC
epoxy_glMultiTexCoord3dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30191 /* "glMultiTexCoord3dv" */,
        30210 /* "glMultiTexCoord3dvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30191 /* "glMultiTexCoord3dv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD3DVARBPROC
epoxy_glMultiTexCoord3dvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multitexture,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30210 /* "glMultiTexCoord3dvARB" */,
        30191 /* "glMultiTexCoord3dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30210 /* "glMultiTexCoord3dvARB" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD3FPROC
epoxy_glMultiTexCoord3f_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30232 /* "glMultiTexCoord3f" */,
        30250 /* "glMultiTexCoord3fARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30232 /* "glMultiTexCoord3f" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD3FARBPROC
epoxy_glMultiTexCoord3fARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multitexture,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30250 /* "glMultiTexCoord3fARB" */,
        30232 /* "glMultiTexCoord3f" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30250 /* "glMultiTexCoord3fARB" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD3FVPROC
epoxy_glMultiTexCoord3fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30271 /* "glMultiTexCoord3fv" */,
        30290 /* "glMultiTexCoord3fvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30271 /* "glMultiTexCoord3fv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD3FVARBPROC
epoxy_glMultiTexCoord3fvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multitexture,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30290 /* "glMultiTexCoord3fvARB" */,
        30271 /* "glMultiTexCoord3fv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30290 /* "glMultiTexCoord3fvARB" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD3HNVPROC
epoxy_glMultiTexCoord3hNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 30312 /* glMultiTexCoord3hNV */);
}

static PFNGLMULTITEXCOORD3HVNVPROC
epoxy_glMultiTexCoord3hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 30332 /* glMultiTexCoord3hvNV */);
}

static PFNGLMULTITEXCOORD3IPROC
epoxy_glMultiTexCoord3i_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30353 /* "glMultiTexCoord3i" */,
        30371 /* "glMultiTexCoord3iARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30353 /* "glMultiTexCoord3i" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD3IARBPROC
epoxy_glMultiTexCoord3iARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multitexture,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30371 /* "glMultiTexCoord3iARB" */,
        30353 /* "glMultiTexCoord3i" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30371 /* "glMultiTexCoord3iARB" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD3IVPROC
epoxy_glMultiTexCoord3iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30392 /* "glMultiTexCoord3iv" */,
        30411 /* "glMultiTexCoord3ivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30392 /* "glMultiTexCoord3iv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD3IVARBPROC
epoxy_glMultiTexCoord3ivARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multitexture,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30411 /* "glMultiTexCoord3ivARB" */,
        30392 /* "glMultiTexCoord3iv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30411 /* "glMultiTexCoord3ivARB" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD3SPROC
epoxy_glMultiTexCoord3s_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30433 /* "glMultiTexCoord3s" */,
        30451 /* "glMultiTexCoord3sARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30433 /* "glMultiTexCoord3s" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD3SARBPROC
epoxy_glMultiTexCoord3sARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multitexture,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30451 /* "glMultiTexCoord3sARB" */,
        30433 /* "glMultiTexCoord3s" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30451 /* "glMultiTexCoord3sARB" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD3SVPROC
epoxy_glMultiTexCoord3sv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30472 /* "glMultiTexCoord3sv" */,
        30491 /* "glMultiTexCoord3svARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30472 /* "glMultiTexCoord3sv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD3SVARBPROC
epoxy_glMultiTexCoord3svARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multitexture,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30491 /* "glMultiTexCoord3svARB" */,
        30472 /* "glMultiTexCoord3sv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30491 /* "glMultiTexCoord3svARB" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD3XOESPROC
epoxy_glMultiTexCoord3xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 30513 /* glMultiTexCoord3xOES */);
}

static PFNGLMULTITEXCOORD3XVOESPROC
epoxy_glMultiTexCoord3xvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 30534 /* glMultiTexCoord3xvOES */);
}

static PFNGLMULTITEXCOORD4BOESPROC
epoxy_glMultiTexCoord4bOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 30556 /* glMultiTexCoord4bOES */);
}

static PFNGLMULTITEXCOORD4BVOESPROC
epoxy_glMultiTexCoord4bvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 30577 /* glMultiTexCoord4bvOES */);
}

static PFNGLMULTITEXCOORD4DPROC
epoxy_glMultiTexCoord4d_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30599 /* "glMultiTexCoord4d" */,
        30617 /* "glMultiTexCoord4dARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30599 /* "glMultiTexCoord4d" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD4DARBPROC
epoxy_glMultiTexCoord4dARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multitexture,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30617 /* "glMultiTexCoord4dARB" */,
        30599 /* "glMultiTexCoord4d" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30617 /* "glMultiTexCoord4dARB" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD4DVPROC
epoxy_glMultiTexCoord4dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30638 /* "glMultiTexCoord4dv" */,
        30657 /* "glMultiTexCoord4dvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30638 /* "glMultiTexCoord4dv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD4DVARBPROC
epoxy_glMultiTexCoord4dvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multitexture,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30657 /* "glMultiTexCoord4dvARB" */,
        30638 /* "glMultiTexCoord4dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30657 /* "glMultiTexCoord4dvARB" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD4FPROC
epoxy_glMultiTexCoord4f_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30679 /* "glMultiTexCoord4f" */,
        30679 /* "glMultiTexCoord4f" */,
        30697 /* "glMultiTexCoord4fARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30679 /* "glMultiTexCoord4f" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD4FARBPROC
epoxy_glMultiTexCoord4fARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multitexture,
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30697 /* "glMultiTexCoord4fARB" */,
        30679 /* "glMultiTexCoord4f" */,
        30679 /* "glMultiTexCoord4f" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30697 /* "glMultiTexCoord4fARB" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD4FVPROC
epoxy_glMultiTexCoord4fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30718 /* "glMultiTexCoord4fv" */,
        30737 /* "glMultiTexCoord4fvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30718 /* "glMultiTexCoord4fv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD4FVARBPROC
epoxy_glMultiTexCoord4fvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multitexture,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30737 /* "glMultiTexCoord4fvARB" */,
        30718 /* "glMultiTexCoord4fv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30737 /* "glMultiTexCoord4fvARB" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD4HNVPROC
epoxy_glMultiTexCoord4hNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 30759 /* glMultiTexCoord4hNV */);
}

static PFNGLMULTITEXCOORD4HVNVPROC
epoxy_glMultiTexCoord4hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 30779 /* glMultiTexCoord4hvNV */);
}

static PFNGLMULTITEXCOORD4IPROC
epoxy_glMultiTexCoord4i_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30800 /* "glMultiTexCoord4i" */,
        30818 /* "glMultiTexCoord4iARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30800 /* "glMultiTexCoord4i" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD4IARBPROC
epoxy_glMultiTexCoord4iARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multitexture,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30818 /* "glMultiTexCoord4iARB" */,
        30800 /* "glMultiTexCoord4i" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30818 /* "glMultiTexCoord4iARB" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD4IVPROC
epoxy_glMultiTexCoord4iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30839 /* "glMultiTexCoord4iv" */,
        30858 /* "glMultiTexCoord4ivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30839 /* "glMultiTexCoord4iv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD4IVARBPROC
epoxy_glMultiTexCoord4ivARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multitexture,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30858 /* "glMultiTexCoord4ivARB" */,
        30839 /* "glMultiTexCoord4iv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30858 /* "glMultiTexCoord4ivARB" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD4SPROC
epoxy_glMultiTexCoord4s_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30880 /* "glMultiTexCoord4s" */,
        30898 /* "glMultiTexCoord4sARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30880 /* "glMultiTexCoord4s" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD4SARBPROC
epoxy_glMultiTexCoord4sARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multitexture,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30898 /* "glMultiTexCoord4sARB" */,
        30880 /* "glMultiTexCoord4s" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30898 /* "glMultiTexCoord4sARB" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD4SVPROC
epoxy_glMultiTexCoord4sv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_3,
        GL_extension_GL_ARB_multitexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30919 /* "glMultiTexCoord4sv" */,
        30938 /* "glMultiTexCoord4svARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30919 /* "glMultiTexCoord4sv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD4SVARBPROC
epoxy_glMultiTexCoord4svARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multitexture,
        Desktop_OpenGL_1_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        30938 /* "glMultiTexCoord4svARB" */,
        30919 /* "glMultiTexCoord4sv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 30938 /* "glMultiTexCoord4svARB" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORD4XPROC
epoxy_glMultiTexCoord4x_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 30960 /* glMultiTexCoord4x */);
}

static PFNGLMULTITEXCOORD4XOESPROC
epoxy_glMultiTexCoord4xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 30978 /* glMultiTexCoord4xOES */);
}

static PFNGLMULTITEXCOORD4XVOESPROC
epoxy_glMultiTexCoord4xvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 30999 /* glMultiTexCoord4xvOES */);
}

static PFNGLMULTITEXCOORDP1UIPROC
epoxy_glMultiTexCoordP1ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        31021 /* "glMultiTexCoordP1ui" */,
        31021 /* "glMultiTexCoordP1ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 31021 /* "glMultiTexCoordP1ui" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORDP1UIVPROC
epoxy_glMultiTexCoordP1uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        31041 /* "glMultiTexCoordP1uiv" */,
        31041 /* "glMultiTexCoordP1uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 31041 /* "glMultiTexCoordP1uiv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORDP2UIPROC
epoxy_glMultiTexCoordP2ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        31062 /* "glMultiTexCoordP2ui" */,
        31062 /* "glMultiTexCoordP2ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 31062 /* "glMultiTexCoordP2ui" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORDP2UIVPROC
epoxy_glMultiTexCoordP2uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        31082 /* "glMultiTexCoordP2uiv" */,
        31082 /* "glMultiTexCoordP2uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 31082 /* "glMultiTexCoordP2uiv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORDP3UIPROC
epoxy_glMultiTexCoordP3ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        31103 /* "glMultiTexCoordP3ui" */,
        31103 /* "glMultiTexCoordP3ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 31103 /* "glMultiTexCoordP3ui" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORDP3UIVPROC
epoxy_glMultiTexCoordP3uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        31123 /* "glMultiTexCoordP3uiv" */,
        31123 /* "glMultiTexCoordP3uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 31123 /* "glMultiTexCoordP3uiv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORDP4UIPROC
epoxy_glMultiTexCoordP4ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        31144 /* "glMultiTexCoordP4ui" */,
        31144 /* "glMultiTexCoordP4ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 31144 /* "glMultiTexCoordP4ui" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORDP4UIVPROC
epoxy_glMultiTexCoordP4uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        31164 /* "glMultiTexCoordP4uiv" */,
        31164 /* "glMultiTexCoordP4uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 31164 /* "glMultiTexCoordP4uiv" */,
                                providers, entrypoints);
}

static PFNGLMULTITEXCOORDPOINTEREXTPROC
epoxy_glMultiTexCoordPointerEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31185 /* glMultiTexCoordPointerEXT */);
}

static PFNGLMULTITEXENVFEXTPROC
epoxy_glMultiTexEnvfEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31211 /* glMultiTexEnvfEXT */);
}

static PFNGLMULTITEXENVFVEXTPROC
epoxy_glMultiTexEnvfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31229 /* glMultiTexEnvfvEXT */);
}

static PFNGLMULTITEXENVIEXTPROC
epoxy_glMultiTexEnviEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31248 /* glMultiTexEnviEXT */);
}

static PFNGLMULTITEXENVIVEXTPROC
epoxy_glMultiTexEnvivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31266 /* glMultiTexEnvivEXT */);
}

static PFNGLMULTITEXGENDEXTPROC
epoxy_glMultiTexGendEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31285 /* glMultiTexGendEXT */);
}

static PFNGLMULTITEXGENDVEXTPROC
epoxy_glMultiTexGendvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31303 /* glMultiTexGendvEXT */);
}

static PFNGLMULTITEXGENFEXTPROC
epoxy_glMultiTexGenfEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31322 /* glMultiTexGenfEXT */);
}

static PFNGLMULTITEXGENFVEXTPROC
epoxy_glMultiTexGenfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31340 /* glMultiTexGenfvEXT */);
}

static PFNGLMULTITEXGENIEXTPROC
epoxy_glMultiTexGeniEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31359 /* glMultiTexGeniEXT */);
}

static PFNGLMULTITEXGENIVEXTPROC
epoxy_glMultiTexGenivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31377 /* glMultiTexGenivEXT */);
}

static PFNGLMULTITEXIMAGE1DEXTPROC
epoxy_glMultiTexImage1DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31396 /* glMultiTexImage1DEXT */);
}

static PFNGLMULTITEXIMAGE2DEXTPROC
epoxy_glMultiTexImage2DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31417 /* glMultiTexImage2DEXT */);
}

static PFNGLMULTITEXIMAGE3DEXTPROC
epoxy_glMultiTexImage3DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31438 /* glMultiTexImage3DEXT */);
}

static PFNGLMULTITEXPARAMETERIIVEXTPROC
epoxy_glMultiTexParameterIivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31459 /* glMultiTexParameterIivEXT */);
}

static PFNGLMULTITEXPARAMETERIUIVEXTPROC
epoxy_glMultiTexParameterIuivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31485 /* glMultiTexParameterIuivEXT */);
}

static PFNGLMULTITEXPARAMETERFEXTPROC
epoxy_glMultiTexParameterfEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31512 /* glMultiTexParameterfEXT */);
}

static PFNGLMULTITEXPARAMETERFVEXTPROC
epoxy_glMultiTexParameterfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31536 /* glMultiTexParameterfvEXT */);
}

static PFNGLMULTITEXPARAMETERIEXTPROC
epoxy_glMultiTexParameteriEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31561 /* glMultiTexParameteriEXT */);
}

static PFNGLMULTITEXPARAMETERIVEXTPROC
epoxy_glMultiTexParameterivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31585 /* glMultiTexParameterivEXT */);
}

static PFNGLMULTITEXRENDERBUFFEREXTPROC
epoxy_glMultiTexRenderbufferEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31610 /* glMultiTexRenderbufferEXT */);
}

static PFNGLMULTITEXSUBIMAGE1DEXTPROC
epoxy_glMultiTexSubImage1DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31636 /* glMultiTexSubImage1DEXT */);
}

static PFNGLMULTITEXSUBIMAGE2DEXTPROC
epoxy_glMultiTexSubImage2DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31660 /* glMultiTexSubImage2DEXT */);
}

static PFNGLMULTITEXSUBIMAGE3DEXTPROC
epoxy_glMultiTexSubImage3DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31684 /* glMultiTexSubImage3DEXT */);
}

static PFNGLNAMEDBUFFERDATAEXTPROC
epoxy_glNamedBufferDataEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31708 /* glNamedBufferDataEXT */);
}

static PFNGLNAMEDBUFFERSTORAGEEXTPROC
epoxy_glNamedBufferStorageEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31729 /* glNamedBufferStorageEXT */);
}

static PFNGLNAMEDBUFFERSUBDATAEXTPROC
epoxy_glNamedBufferSubDataEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31753 /* glNamedBufferSubDataEXT */);
}

static PFNGLNAMEDCOPYBUFFERSUBDATAEXTPROC
epoxy_glNamedCopyBufferSubDataEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31777 /* glNamedCopyBufferSubDataEXT */);
}

static PFNGLNAMEDFRAMEBUFFERPARAMETERIEXTPROC
epoxy_glNamedFramebufferParameteriEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31805 /* glNamedFramebufferParameteriEXT */);
}

static PFNGLNAMEDFRAMEBUFFERRENDERBUFFEREXTPROC
epoxy_glNamedFramebufferRenderbufferEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31837 /* glNamedFramebufferRenderbufferEXT */);
}

static PFNGLNAMEDFRAMEBUFFERTEXTURE1DEXTPROC
epoxy_glNamedFramebufferTexture1DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31871 /* glNamedFramebufferTexture1DEXT */);
}

static PFNGLNAMEDFRAMEBUFFERTEXTURE2DEXTPROC
epoxy_glNamedFramebufferTexture2DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31902 /* glNamedFramebufferTexture2DEXT */);
}

static PFNGLNAMEDFRAMEBUFFERTEXTURE3DEXTPROC
epoxy_glNamedFramebufferTexture3DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31933 /* glNamedFramebufferTexture3DEXT */);
}

static PFNGLNAMEDFRAMEBUFFERTEXTUREEXTPROC
epoxy_glNamedFramebufferTextureEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31964 /* glNamedFramebufferTextureEXT */);
}

static PFNGLNAMEDFRAMEBUFFERTEXTUREFACEEXTPROC
epoxy_glNamedFramebufferTextureFaceEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 31993 /* glNamedFramebufferTextureFaceEXT */);
}

static PFNGLNAMEDFRAMEBUFFERTEXTURELAYEREXTPROC
epoxy_glNamedFramebufferTextureLayerEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 32026 /* glNamedFramebufferTextureLayerEXT */);
}

static PFNGLNAMEDPROGRAMLOCALPARAMETER4DEXTPROC
epoxy_glNamedProgramLocalParameter4dEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 32060 /* glNamedProgramLocalParameter4dEXT */);
}

static PFNGLNAMEDPROGRAMLOCALPARAMETER4DVEXTPROC
epoxy_glNamedProgramLocalParameter4dvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 32094 /* glNamedProgramLocalParameter4dvEXT */);
}

static PFNGLNAMEDPROGRAMLOCALPARAMETER4FEXTPROC
epoxy_glNamedProgramLocalParameter4fEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 32129 /* glNamedProgramLocalParameter4fEXT */);
}

static PFNGLNAMEDPROGRAMLOCALPARAMETER4FVEXTPROC
epoxy_glNamedProgramLocalParameter4fvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 32163 /* glNamedProgramLocalParameter4fvEXT */);
}

static PFNGLNAMEDPROGRAMLOCALPARAMETERI4IEXTPROC
epoxy_glNamedProgramLocalParameterI4iEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 32198 /* glNamedProgramLocalParameterI4iEXT */);
}

static PFNGLNAMEDPROGRAMLOCALPARAMETERI4IVEXTPROC
epoxy_glNamedProgramLocalParameterI4ivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 32233 /* glNamedProgramLocalParameterI4ivEXT */);
}

static PFNGLNAMEDPROGRAMLOCALPARAMETERI4UIEXTPROC
epoxy_glNamedProgramLocalParameterI4uiEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 32269 /* glNamedProgramLocalParameterI4uiEXT */);
}

static PFNGLNAMEDPROGRAMLOCALPARAMETERI4UIVEXTPROC
epoxy_glNamedProgramLocalParameterI4uivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 32305 /* glNamedProgramLocalParameterI4uivEXT */);
}

static PFNGLNAMEDPROGRAMLOCALPARAMETERS4FVEXTPROC
epoxy_glNamedProgramLocalParameters4fvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 32342 /* glNamedProgramLocalParameters4fvEXT */);
}

static PFNGLNAMEDPROGRAMLOCALPARAMETERSI4IVEXTPROC
epoxy_glNamedProgramLocalParametersI4ivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 32378 /* glNamedProgramLocalParametersI4ivEXT */);
}

static PFNGLNAMEDPROGRAMLOCALPARAMETERSI4UIVEXTPROC
epoxy_glNamedProgramLocalParametersI4uivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 32415 /* glNamedProgramLocalParametersI4uivEXT */);
}

static PFNGLNAMEDPROGRAMSTRINGEXTPROC
epoxy_glNamedProgramStringEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 32453 /* glNamedProgramStringEXT */);
}

static PFNGLNAMEDRENDERBUFFERSTORAGEEXTPROC
epoxy_glNamedRenderbufferStorageEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 32477 /* glNamedRenderbufferStorageEXT */);
}

static PFNGLNAMEDRENDERBUFFERSTORAGEMULTISAMPLECOVERAGEEXTPROC
epoxy_glNamedRenderbufferStorageMultisampleCoverageEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 32507 /* glNamedRenderbufferStorageMultisampleCoverageEXT */);
}

static PFNGLNAMEDRENDERBUFFERSTORAGEMULTISAMPLEEXTPROC
epoxy_glNamedRenderbufferStorageMultisampleEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 32556 /* glNamedRenderbufferStorageMultisampleEXT */);
}

static PFNGLNAMEDSTRINGARBPROC
epoxy_glNamedStringARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_shading_language_include, 32597 /* glNamedStringARB */);
}

static PFNGLNEWLISTPROC
epoxy_glNewList_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 32614 /* glNewList */);
}

static PFNGLNEWOBJECTBUFFERATIPROC
epoxy_glNewObjectBufferATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_array_object, 32624 /* glNewObjectBufferATI */);
}

static PFNGLNORMAL3BPROC
epoxy_glNormal3b_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 32645 /* glNormal3b */);
}

static PFNGLNORMAL3BVPROC
epoxy_glNormal3bv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 32656 /* glNormal3bv */);
}

static PFNGLNORMAL3DPROC
epoxy_glNormal3d_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 32668 /* glNormal3d */);
}

static PFNGLNORMAL3DVPROC
epoxy_glNormal3dv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 32679 /* glNormal3dv */);
}

static PFNGLNORMAL3FPROC
epoxy_glNormal3f_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        32691 /* "glNormal3f" */,
        32691 /* "glNormal3f" */,
    };
    return gl_provider_resolver(entrypoint_strings + 32691 /* "glNormal3f" */,
                                providers, entrypoints);
}

static PFNGLNORMAL3FVERTEX3FSUNPROC
epoxy_glNormal3fVertex3fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 32702 /* glNormal3fVertex3fSUN */);
}

static PFNGLNORMAL3FVERTEX3FVSUNPROC
epoxy_glNormal3fVertex3fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 32724 /* glNormal3fVertex3fvSUN */);
}

static PFNGLNORMAL3FVPROC
epoxy_glNormal3fv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 32747 /* glNormal3fv */);
}

static PFNGLNORMAL3HNVPROC
epoxy_glNormal3hNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 32759 /* glNormal3hNV */);
}

static PFNGLNORMAL3HVNVPROC
epoxy_glNormal3hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 32772 /* glNormal3hvNV */);
}

static PFNGLNORMAL3IPROC
epoxy_glNormal3i_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 32786 /* glNormal3i */);
}

static PFNGLNORMAL3IVPROC
epoxy_glNormal3iv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 32797 /* glNormal3iv */);
}

static PFNGLNORMAL3SPROC
epoxy_glNormal3s_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 32809 /* glNormal3s */);
}

static PFNGLNORMAL3SVPROC
epoxy_glNormal3sv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 32820 /* glNormal3sv */);
}

static PFNGLNORMAL3XPROC
epoxy_glNormal3x_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 32832 /* glNormal3x */);
}

static PFNGLNORMAL3XOESPROC
epoxy_glNormal3xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 32843 /* glNormal3xOES */);
}

static PFNGLNORMAL3XVOESPROC
epoxy_glNormal3xvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 32857 /* glNormal3xvOES */);
}

static PFNGLNORMALFORMATNVPROC
epoxy_glNormalFormatNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_buffer_unified_memory, 32872 /* glNormalFormatNV */);
}

static PFNGLNORMALP3UIPROC
epoxy_glNormalP3ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        32889 /* "glNormalP3ui" */,
        32889 /* "glNormalP3ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 32889 /* "glNormalP3ui" */,
                                providers, entrypoints);
}

static PFNGLNORMALP3UIVPROC
epoxy_glNormalP3uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        32902 /* "glNormalP3uiv" */,
        32902 /* "glNormalP3uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 32902 /* "glNormalP3uiv" */,
                                providers, entrypoints);
}

static PFNGLNORMALPOINTERPROC
epoxy_glNormalPointer_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_1,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        32916 /* "glNormalPointer" */,
        32916 /* "glNormalPointer" */,
    };
    return gl_provider_resolver(entrypoint_strings + 32916 /* "glNormalPointer" */,
                                providers, entrypoints);
}

static PFNGLNORMALPOINTEREXTPROC
epoxy_glNormalPointerEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_array, 32932 /* glNormalPointerEXT */);
}

static PFNGLNORMALPOINTERLISTIBMPROC
epoxy_glNormalPointerListIBM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_IBM_vertex_array_lists, 32951 /* glNormalPointerListIBM */);
}

static PFNGLNORMALPOINTERVINTELPROC
epoxy_glNormalPointervINTEL_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_INTEL_parallel_arrays, 32974 /* glNormalPointervINTEL */);
}

static PFNGLNORMALSTREAM3BATIPROC
epoxy_glNormalStream3bATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 32996 /* glNormalStream3bATI */);
}

static PFNGLNORMALSTREAM3BVATIPROC
epoxy_glNormalStream3bvATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 33016 /* glNormalStream3bvATI */);
}

static PFNGLNORMALSTREAM3DATIPROC
epoxy_glNormalStream3dATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 33037 /* glNormalStream3dATI */);
}

static PFNGLNORMALSTREAM3DVATIPROC
epoxy_glNormalStream3dvATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 33057 /* glNormalStream3dvATI */);
}

static PFNGLNORMALSTREAM3FATIPROC
epoxy_glNormalStream3fATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 33078 /* glNormalStream3fATI */);
}

static PFNGLNORMALSTREAM3FVATIPROC
epoxy_glNormalStream3fvATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 33098 /* glNormalStream3fvATI */);
}

static PFNGLNORMALSTREAM3IATIPROC
epoxy_glNormalStream3iATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 33119 /* glNormalStream3iATI */);
}

static PFNGLNORMALSTREAM3IVATIPROC
epoxy_glNormalStream3ivATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 33139 /* glNormalStream3ivATI */);
}

static PFNGLNORMALSTREAM3SATIPROC
epoxy_glNormalStream3sATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 33160 /* glNormalStream3sATI */);
}

static PFNGLNORMALSTREAM3SVATIPROC
epoxy_glNormalStream3svATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 33180 /* glNormalStream3svATI */);
}

static PFNGLOBJECTLABELPROC
epoxy_glObjectLabel_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_3,
        GL_extension_GL_KHR_debug,
        GL_extension_GL_KHR_debug,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        33201 /* "glObjectLabel" */,
        33201 /* "glObjectLabel" */,
        33215 /* "glObjectLabelKHR" */,
    };
    return gl_provider_resolver(entrypoint_strings + 33201 /* "glObjectLabel" */,
                                providers, entrypoints);
}

static PFNGLOBJECTLABELKHRPROC
epoxy_glObjectLabelKHR_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_KHR_debug,
        Desktop_OpenGL_4_3,
        GL_extension_GL_KHR_debug,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        33215 /* "glObjectLabelKHR" */,
        33201 /* "glObjectLabel" */,
        33201 /* "glObjectLabel" */,
    };
    return gl_provider_resolver(entrypoint_strings + 33215 /* "glObjectLabelKHR" */,
                                providers, entrypoints);
}

static PFNGLOBJECTPTRLABELPROC
epoxy_glObjectPtrLabel_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_3,
        GL_extension_GL_KHR_debug,
        GL_extension_GL_KHR_debug,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        33232 /* "glObjectPtrLabel" */,
        33232 /* "glObjectPtrLabel" */,
        33249 /* "glObjectPtrLabelKHR" */,
    };
    return gl_provider_resolver(entrypoint_strings + 33232 /* "glObjectPtrLabel" */,
                                providers, entrypoints);
}

static PFNGLOBJECTPTRLABELKHRPROC
epoxy_glObjectPtrLabelKHR_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_KHR_debug,
        Desktop_OpenGL_4_3,
        GL_extension_GL_KHR_debug,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        33249 /* "glObjectPtrLabelKHR" */,
        33232 /* "glObjectPtrLabel" */,
        33232 /* "glObjectPtrLabel" */,
    };
    return gl_provider_resolver(entrypoint_strings + 33249 /* "glObjectPtrLabelKHR" */,
                                providers, entrypoints);
}

static PFNGLOBJECTPURGEABLEAPPLEPROC
epoxy_glObjectPurgeableAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_object_purgeable, 33269 /* glObjectPurgeableAPPLE */);
}

static PFNGLOBJECTUNPURGEABLEAPPLEPROC
epoxy_glObjectUnpurgeableAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_object_purgeable, 33292 /* glObjectUnpurgeableAPPLE */);
}

static PFNGLORTHOPROC
epoxy_glOrtho_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 33317 /* glOrtho */);
}

static PFNGLORTHOFPROC
epoxy_glOrthof_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 33325 /* glOrthof */);
}

static PFNGLORTHOFOESPROC
epoxy_glOrthofOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_single_precision, 33334 /* glOrthofOES */);
}

static PFNGLORTHOXPROC
epoxy_glOrthox_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 33346 /* glOrthox */);
}

static PFNGLORTHOXOESPROC
epoxy_glOrthoxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 33355 /* glOrthoxOES */);
}

static PFNGLPNTRIANGLESFATIPROC
epoxy_glPNTrianglesfATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_pn_triangles, 33367 /* glPNTrianglesfATI */);
}

static PFNGLPNTRIANGLESIATIPROC
epoxy_glPNTrianglesiATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_pn_triangles, 33385 /* glPNTrianglesiATI */);
}

static PFNGLPASSTEXCOORDATIPROC
epoxy_glPassTexCoordATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_fragment_shader, 33403 /* glPassTexCoordATI */);
}

static PFNGLPASSTHROUGHPROC
epoxy_glPassThrough_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 33421 /* glPassThrough */);
}

static PFNGLPASSTHROUGHXOESPROC
epoxy_glPassThroughxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 33435 /* glPassThroughxOES */);
}

static PFNGLPATCHPARAMETERFVPROC
epoxy_glPatchParameterfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_tessellation_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        33453 /* "glPatchParameterfv" */,
        33453 /* "glPatchParameterfv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 33453 /* "glPatchParameterfv" */,
                                providers, entrypoints);
}

static PFNGLPATCHPARAMETERIPROC
epoxy_glPatchParameteri_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_tessellation_shader,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        33472 /* "glPatchParameteri" */,
        33472 /* "glPatchParameteri" */,
    };
    return gl_provider_resolver(entrypoint_strings + 33472 /* "glPatchParameteri" */,
                                providers, entrypoints);
}

static PFNGLPATHCOLORGENNVPROC
epoxy_glPathColorGenNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 33490 /* glPathColorGenNV */);
}

static PFNGLPATHCOMMANDSNVPROC
epoxy_glPathCommandsNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 33507 /* glPathCommandsNV */);
}

static PFNGLPATHCOORDSNVPROC
epoxy_glPathCoordsNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 33524 /* glPathCoordsNV */);
}

static PFNGLPATHCOVERDEPTHFUNCNVPROC
epoxy_glPathCoverDepthFuncNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 33539 /* glPathCoverDepthFuncNV */);
}

static PFNGLPATHDASHARRAYNVPROC
epoxy_glPathDashArrayNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 33562 /* glPathDashArrayNV */);
}

static PFNGLPATHFOGGENNVPROC
epoxy_glPathFogGenNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 33580 /* glPathFogGenNV */);
}

static PFNGLPATHGLYPHRANGENVPROC
epoxy_glPathGlyphRangeNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 33595 /* glPathGlyphRangeNV */);
}

static PFNGLPATHGLYPHSNVPROC
epoxy_glPathGlyphsNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 33614 /* glPathGlyphsNV */);
}

static PFNGLPATHPARAMETERFNVPROC
epoxy_glPathParameterfNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 33629 /* glPathParameterfNV */);
}

static PFNGLPATHPARAMETERFVNVPROC
epoxy_glPathParameterfvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 33648 /* glPathParameterfvNV */);
}

static PFNGLPATHPARAMETERINVPROC
epoxy_glPathParameteriNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 33668 /* glPathParameteriNV */);
}

static PFNGLPATHPARAMETERIVNVPROC
epoxy_glPathParameterivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 33687 /* glPathParameterivNV */);
}

static PFNGLPATHSTENCILDEPTHOFFSETNVPROC
epoxy_glPathStencilDepthOffsetNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 33707 /* glPathStencilDepthOffsetNV */);
}

static PFNGLPATHSTENCILFUNCNVPROC
epoxy_glPathStencilFuncNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 33734 /* glPathStencilFuncNV */);
}

static PFNGLPATHSTRINGNVPROC
epoxy_glPathStringNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 33754 /* glPathStringNV */);
}

static PFNGLPATHSUBCOMMANDSNVPROC
epoxy_glPathSubCommandsNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 33769 /* glPathSubCommandsNV */);
}

static PFNGLPATHSUBCOORDSNVPROC
epoxy_glPathSubCoordsNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 33789 /* glPathSubCoordsNV */);
}

static PFNGLPATHTEXGENNVPROC
epoxy_glPathTexGenNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 33807 /* glPathTexGenNV */);
}

static PFNGLPAUSETRANSFORMFEEDBACKPROC
epoxy_glPauseTransformFeedback_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_transform_feedback2,
        GL_extension_GL_NV_transform_feedback2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        33822 /* "glPauseTransformFeedback" */,
        33822 /* "glPauseTransformFeedback" */,
        33822 /* "glPauseTransformFeedback" */,
        33847 /* "glPauseTransformFeedbackNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 33822 /* "glPauseTransformFeedback" */,
                                providers, entrypoints);
}

static PFNGLPAUSETRANSFORMFEEDBACKNVPROC
epoxy_glPauseTransformFeedbackNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_transform_feedback2,
        Desktop_OpenGL_4_0,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_transform_feedback2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        33847 /* "glPauseTransformFeedbackNV" */,
        33822 /* "glPauseTransformFeedback" */,
        33822 /* "glPauseTransformFeedback" */,
        33822 /* "glPauseTransformFeedback" */,
    };
    return gl_provider_resolver(entrypoint_strings + 33847 /* "glPauseTransformFeedbackNV" */,
                                providers, entrypoints);
}

static PFNGLPIXELDATARANGENVPROC
epoxy_glPixelDataRangeNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_pixel_data_range, 33874 /* glPixelDataRangeNV */);
}

static PFNGLPIXELMAPFVPROC
epoxy_glPixelMapfv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 33893 /* glPixelMapfv */);
}

static PFNGLPIXELMAPUIVPROC
epoxy_glPixelMapuiv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 33906 /* glPixelMapuiv */);
}

static PFNGLPIXELMAPUSVPROC
epoxy_glPixelMapusv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 33920 /* glPixelMapusv */);
}

static PFNGLPIXELMAPXPROC
epoxy_glPixelMapx_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 33934 /* glPixelMapx */);
}

static PFNGLPIXELSTOREFPROC
epoxy_glPixelStoref_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 33946 /* glPixelStoref */);
}

static PFNGLPIXELSTOREIPROC
epoxy_glPixelStorei_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        33960 /* "glPixelStorei" */,
        33960 /* "glPixelStorei" */,
        33960 /* "glPixelStorei" */,
    };
    return gl_provider_resolver(entrypoint_strings + 33960 /* "glPixelStorei" */,
                                providers, entrypoints);
}

static PFNGLPIXELSTOREXPROC
epoxy_glPixelStorex_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 33974 /* glPixelStorex */);
}

static PFNGLPIXELTEXGENPARAMETERFSGISPROC
epoxy_glPixelTexGenParameterfSGIS_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIS_pixel_texture, 33988 /* glPixelTexGenParameterfSGIS */);
}

static PFNGLPIXELTEXGENPARAMETERFVSGISPROC
epoxy_glPixelTexGenParameterfvSGIS_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIS_pixel_texture, 34016 /* glPixelTexGenParameterfvSGIS */);
}

static PFNGLPIXELTEXGENPARAMETERISGISPROC
epoxy_glPixelTexGenParameteriSGIS_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIS_pixel_texture, 34045 /* glPixelTexGenParameteriSGIS */);
}

static PFNGLPIXELTEXGENPARAMETERIVSGISPROC
epoxy_glPixelTexGenParameterivSGIS_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIS_pixel_texture, 34073 /* glPixelTexGenParameterivSGIS */);
}

static PFNGLPIXELTEXGENSGIXPROC
epoxy_glPixelTexGenSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_pixel_texture, 34102 /* glPixelTexGenSGIX */);
}

static PFNGLPIXELTRANSFERFPROC
epoxy_glPixelTransferf_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 34120 /* glPixelTransferf */);
}

static PFNGLPIXELTRANSFERIPROC
epoxy_glPixelTransferi_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 34137 /* glPixelTransferi */);
}

static PFNGLPIXELTRANSFERXOESPROC
epoxy_glPixelTransferxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 34154 /* glPixelTransferxOES */);
}

static PFNGLPIXELTRANSFORMPARAMETERFEXTPROC
epoxy_glPixelTransformParameterfEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_pixel_transform, 34174 /* glPixelTransformParameterfEXT */);
}

static PFNGLPIXELTRANSFORMPARAMETERFVEXTPROC
epoxy_glPixelTransformParameterfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_pixel_transform, 34204 /* glPixelTransformParameterfvEXT */);
}

static PFNGLPIXELTRANSFORMPARAMETERIEXTPROC
epoxy_glPixelTransformParameteriEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_pixel_transform, 34235 /* glPixelTransformParameteriEXT */);
}

static PFNGLPIXELTRANSFORMPARAMETERIVEXTPROC
epoxy_glPixelTransformParameterivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_pixel_transform, 34265 /* glPixelTransformParameterivEXT */);
}

static PFNGLPIXELZOOMPROC
epoxy_glPixelZoom_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 34296 /* glPixelZoom */);
}

static PFNGLPIXELZOOMXOESPROC
epoxy_glPixelZoomxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 34308 /* glPixelZoomxOES */);
}

static PFNGLPOINTALONGPATHNVPROC
epoxy_glPointAlongPathNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 34324 /* glPointAlongPathNV */);
}

static PFNGLPOINTPARAMETERFPROC
epoxy_glPointParameterf_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_point_parameters,
        GL_extension_GL_EXT_point_parameters,
        GL_extension_GL_SGIS_point_parameters,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        34343 /* "glPointParameterf" */,
        34343 /* "glPointParameterf" */,
        34361 /* "glPointParameterfARB" */,
        34382 /* "glPointParameterfEXT" */,
        34403 /* "glPointParameterfSGIS" */,
    };
    return gl_provider_resolver(entrypoint_strings + 34343 /* "glPointParameterf" */,
                                providers, entrypoints);
}

static PFNGLPOINTPARAMETERFARBPROC
epoxy_glPointParameterfARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_point_parameters,
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_point_parameters,
        GL_extension_GL_SGIS_point_parameters,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        34361 /* "glPointParameterfARB" */,
        34343 /* "glPointParameterf" */,
        34343 /* "glPointParameterf" */,
        34382 /* "glPointParameterfEXT" */,
        34403 /* "glPointParameterfSGIS" */,
    };
    return gl_provider_resolver(entrypoint_strings + 34361 /* "glPointParameterfARB" */,
                                providers, entrypoints);
}

static PFNGLPOINTPARAMETERFEXTPROC
epoxy_glPointParameterfEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_point_parameters,
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_point_parameters,
        GL_extension_GL_SGIS_point_parameters,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        34382 /* "glPointParameterfEXT" */,
        34343 /* "glPointParameterf" */,
        34343 /* "glPointParameterf" */,
        34361 /* "glPointParameterfARB" */,
        34403 /* "glPointParameterfSGIS" */,
    };
    return gl_provider_resolver(entrypoint_strings + 34382 /* "glPointParameterfEXT" */,
                                providers, entrypoints);
}

static PFNGLPOINTPARAMETERFSGISPROC
epoxy_glPointParameterfSGIS_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_SGIS_point_parameters,
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_point_parameters,
        GL_extension_GL_EXT_point_parameters,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        34403 /* "glPointParameterfSGIS" */,
        34343 /* "glPointParameterf" */,
        34343 /* "glPointParameterf" */,
        34361 /* "glPointParameterfARB" */,
        34382 /* "glPointParameterfEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 34403 /* "glPointParameterfSGIS" */,
                                providers, entrypoints);
}

static PFNGLPOINTPARAMETERFVPROC
epoxy_glPointParameterfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_point_parameters,
        GL_extension_GL_EXT_point_parameters,
        GL_extension_GL_SGIS_point_parameters,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        34425 /* "glPointParameterfv" */,
        34425 /* "glPointParameterfv" */,
        34444 /* "glPointParameterfvARB" */,
        34466 /* "glPointParameterfvEXT" */,
        34488 /* "glPointParameterfvSGIS" */,
    };
    return gl_provider_resolver(entrypoint_strings + 34425 /* "glPointParameterfv" */,
                                providers, entrypoints);
}

static PFNGLPOINTPARAMETERFVARBPROC
epoxy_glPointParameterfvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_point_parameters,
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_point_parameters,
        GL_extension_GL_SGIS_point_parameters,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        34444 /* "glPointParameterfvARB" */,
        34425 /* "glPointParameterfv" */,
        34425 /* "glPointParameterfv" */,
        34466 /* "glPointParameterfvEXT" */,
        34488 /* "glPointParameterfvSGIS" */,
    };
    return gl_provider_resolver(entrypoint_strings + 34444 /* "glPointParameterfvARB" */,
                                providers, entrypoints);
}

static PFNGLPOINTPARAMETERFVEXTPROC
epoxy_glPointParameterfvEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_point_parameters,
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_point_parameters,
        GL_extension_GL_SGIS_point_parameters,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        34466 /* "glPointParameterfvEXT" */,
        34425 /* "glPointParameterfv" */,
        34425 /* "glPointParameterfv" */,
        34444 /* "glPointParameterfvARB" */,
        34488 /* "glPointParameterfvSGIS" */,
    };
    return gl_provider_resolver(entrypoint_strings + 34466 /* "glPointParameterfvEXT" */,
                                providers, entrypoints);
}

static PFNGLPOINTPARAMETERFVSGISPROC
epoxy_glPointParameterfvSGIS_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_SGIS_point_parameters,
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_point_parameters,
        GL_extension_GL_EXT_point_parameters,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        34488 /* "glPointParameterfvSGIS" */,
        34425 /* "glPointParameterfv" */,
        34425 /* "glPointParameterfv" */,
        34444 /* "glPointParameterfvARB" */,
        34466 /* "glPointParameterfvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 34488 /* "glPointParameterfvSGIS" */,
                                providers, entrypoints);
}

static PFNGLPOINTPARAMETERIPROC
epoxy_glPointParameteri_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_NV_point_sprite,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        34511 /* "glPointParameteri" */,
        34529 /* "glPointParameteriNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 34511 /* "glPointParameteri" */,
                                providers, entrypoints);
}

static PFNGLPOINTPARAMETERINVPROC
epoxy_glPointParameteriNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_point_sprite,
        Desktop_OpenGL_1_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        34529 /* "glPointParameteriNV" */,
        34511 /* "glPointParameteri" */,
    };
    return gl_provider_resolver(entrypoint_strings + 34529 /* "glPointParameteriNV" */,
                                providers, entrypoints);
}

static PFNGLPOINTPARAMETERIVPROC
epoxy_glPointParameteriv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_NV_point_sprite,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        34549 /* "glPointParameteriv" */,
        34568 /* "glPointParameterivNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 34549 /* "glPointParameteriv" */,
                                providers, entrypoints);
}

static PFNGLPOINTPARAMETERIVNVPROC
epoxy_glPointParameterivNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_point_sprite,
        Desktop_OpenGL_1_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        34568 /* "glPointParameterivNV" */,
        34549 /* "glPointParameteriv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 34568 /* "glPointParameterivNV" */,
                                providers, entrypoints);
}

static PFNGLPOINTPARAMETERXPROC
epoxy_glPointParameterx_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 34589 /* glPointParameterx */);
}

static PFNGLPOINTPARAMETERXOESPROC
epoxy_glPointParameterxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 34607 /* glPointParameterxOES */);
}

static PFNGLPOINTPARAMETERXVPROC
epoxy_glPointParameterxv_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 34628 /* glPointParameterxv */);
}

static PFNGLPOINTPARAMETERXVOESPROC
epoxy_glPointParameterxvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 34647 /* glPointParameterxvOES */);
}

static PFNGLPOINTSIZEPROC
epoxy_glPointSize_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        34669 /* "glPointSize" */,
        34669 /* "glPointSize" */,
    };
    return gl_provider_resolver(entrypoint_strings + 34669 /* "glPointSize" */,
                                providers, entrypoints);
}

static PFNGLPOINTSIZEPOINTEROESPROC
epoxy_glPointSizePointerOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_point_size_array, 34681 /* glPointSizePointerOES */);
}

static PFNGLPOINTSIZEXPROC
epoxy_glPointSizex_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 34703 /* glPointSizex */);
}

static PFNGLPOINTSIZEXOESPROC
epoxy_glPointSizexOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 34716 /* glPointSizexOES */);
}

static PFNGLPOLLASYNCSGIXPROC
epoxy_glPollAsyncSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_async, 34732 /* glPollAsyncSGIX */);
}

static PFNGLPOLLINSTRUMENTSSGIXPROC
epoxy_glPollInstrumentsSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_instruments, 34748 /* glPollInstrumentsSGIX */);
}

static PFNGLPOLYGONMODEPROC
epoxy_glPolygonMode_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 34770 /* glPolygonMode */);
}

static PFNGLPOLYGONOFFSETPROC
epoxy_glPolygonOffset_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_1,
        OpenGL_ES_2_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        34784 /* "glPolygonOffset" */,
        34784 /* "glPolygonOffset" */,
        34784 /* "glPolygonOffset" */,
    };
    return gl_provider_resolver(entrypoint_strings + 34784 /* "glPolygonOffset" */,
                                providers, entrypoints);
}

static PFNGLPOLYGONOFFSETEXTPROC
epoxy_glPolygonOffsetEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_polygon_offset, 34800 /* glPolygonOffsetEXT */);
}

static PFNGLPOLYGONOFFSETXPROC
epoxy_glPolygonOffsetx_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 34819 /* glPolygonOffsetx */);
}

static PFNGLPOLYGONOFFSETXOESPROC
epoxy_glPolygonOffsetxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 34836 /* glPolygonOffsetxOES */);
}

static PFNGLPOLYGONSTIPPLEPROC
epoxy_glPolygonStipple_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 34856 /* glPolygonStipple */);
}

static PFNGLPOPATTRIBPROC
epoxy_glPopAttrib_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 34873 /* glPopAttrib */);
}

static PFNGLPOPCLIENTATTRIBPROC
epoxy_glPopClientAttrib_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_1, 34885 /* glPopClientAttrib */);
}

static PFNGLPOPDEBUGGROUPPROC
epoxy_glPopDebugGroup_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_3,
        GL_extension_GL_KHR_debug,
        GL_extension_GL_KHR_debug,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        34903 /* "glPopDebugGroup" */,
        34903 /* "glPopDebugGroup" */,
        34919 /* "glPopDebugGroupKHR" */,
    };
    return gl_provider_resolver(entrypoint_strings + 34903 /* "glPopDebugGroup" */,
                                providers, entrypoints);
}

static PFNGLPOPDEBUGGROUPKHRPROC
epoxy_glPopDebugGroupKHR_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_KHR_debug,
        Desktop_OpenGL_4_3,
        GL_extension_GL_KHR_debug,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        34919 /* "glPopDebugGroupKHR" */,
        34903 /* "glPopDebugGroup" */,
        34903 /* "glPopDebugGroup" */,
    };
    return gl_provider_resolver(entrypoint_strings + 34919 /* "glPopDebugGroupKHR" */,
                                providers, entrypoints);
}

static PFNGLPOPGROUPMARKEREXTPROC
epoxy_glPopGroupMarkerEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_debug_marker, 34938 /* glPopGroupMarkerEXT */);
}

static PFNGLPOPMATRIXPROC
epoxy_glPopMatrix_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        34958 /* "glPopMatrix" */,
        34958 /* "glPopMatrix" */,
    };
    return gl_provider_resolver(entrypoint_strings + 34958 /* "glPopMatrix" */,
                                providers, entrypoints);
}

static PFNGLPOPNAMEPROC
epoxy_glPopName_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 34970 /* glPopName */);
}

static PFNGLPRESENTFRAMEDUALFILLNVPROC
epoxy_glPresentFrameDualFillNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_present_video, 34980 /* glPresentFrameDualFillNV */);
}

static PFNGLPRESENTFRAMEKEYEDNVPROC
epoxy_glPresentFrameKeyedNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_present_video, 35005 /* glPresentFrameKeyedNV */);
}

static PFNGLPRIMITIVERESTARTINDEXPROC
epoxy_glPrimitiveRestartIndex_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_3_1, 35027 /* glPrimitiveRestartIndex */);
}

static PFNGLPRIMITIVERESTARTINDEXNVPROC
epoxy_glPrimitiveRestartIndexNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_primitive_restart, 35051 /* glPrimitiveRestartIndexNV */);
}

static PFNGLPRIMITIVERESTARTNVPROC
epoxy_glPrimitiveRestartNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_primitive_restart, 35077 /* glPrimitiveRestartNV */);
}

static PFNGLPRIORITIZETEXTURESPROC
epoxy_glPrioritizeTextures_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_1,
        GL_extension_GL_EXT_texture_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        35098 /* "glPrioritizeTextures" */,
        35119 /* "glPrioritizeTexturesEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 35098 /* "glPrioritizeTextures" */,
                                providers, entrypoints);
}

static PFNGLPRIORITIZETEXTURESEXTPROC
epoxy_glPrioritizeTexturesEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_texture_object,
        Desktop_OpenGL_1_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        35119 /* "glPrioritizeTexturesEXT" */,
        35098 /* "glPrioritizeTextures" */,
    };
    return gl_provider_resolver(entrypoint_strings + 35119 /* "glPrioritizeTexturesEXT" */,
                                providers, entrypoints);
}

static PFNGLPRIORITIZETEXTURESXOESPROC
epoxy_glPrioritizeTexturesxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 35143 /* glPrioritizeTexturesxOES */);
}

static PFNGLPROGRAMBINARYPROC
epoxy_glProgramBinary_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_get_program_binary,
        GL_extension_GL_OES_get_program_binary,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        35168 /* "glProgramBinary" */,
        35168 /* "glProgramBinary" */,
        35168 /* "glProgramBinary" */,
        35184 /* "glProgramBinaryOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 35168 /* "glProgramBinary" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMBINARYOESPROC
epoxy_glProgramBinaryOES_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_OES_get_program_binary,
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_get_program_binary,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        35184 /* "glProgramBinaryOES" */,
        35168 /* "glProgramBinary" */,
        35168 /* "glProgramBinary" */,
        35168 /* "glProgramBinary" */,
    };
    return gl_provider_resolver(entrypoint_strings + 35184 /* "glProgramBinaryOES" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMBUFFERPARAMETERSIIVNVPROC
epoxy_glProgramBufferParametersIivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_parameter_buffer_object, 35203 /* glProgramBufferParametersIivNV */);
}

static PFNGLPROGRAMBUFFERPARAMETERSIUIVNVPROC
epoxy_glProgramBufferParametersIuivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_parameter_buffer_object, 35234 /* glProgramBufferParametersIuivNV */);
}

static PFNGLPROGRAMBUFFERPARAMETERSFVNVPROC
epoxy_glProgramBufferParametersfvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_parameter_buffer_object, 35266 /* glProgramBufferParametersfvNV */);
}

static PFNGLPROGRAMENVPARAMETER4DARBPROC
epoxy_glProgramEnvParameter4dARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_fragment_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        35296 /* "glProgramEnvParameter4dARB" */,
        35296 /* "glProgramEnvParameter4dARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 35296 /* "glProgramEnvParameter4dARB" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMENVPARAMETER4DVARBPROC
epoxy_glProgramEnvParameter4dvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_fragment_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        35323 /* "glProgramEnvParameter4dvARB" */,
        35323 /* "glProgramEnvParameter4dvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 35323 /* "glProgramEnvParameter4dvARB" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMENVPARAMETER4FARBPROC
epoxy_glProgramEnvParameter4fARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_fragment_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        35351 /* "glProgramEnvParameter4fARB" */,
        35351 /* "glProgramEnvParameter4fARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 35351 /* "glProgramEnvParameter4fARB" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMENVPARAMETER4FVARBPROC
epoxy_glProgramEnvParameter4fvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_fragment_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        35378 /* "glProgramEnvParameter4fvARB" */,
        35378 /* "glProgramEnvParameter4fvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 35378 /* "glProgramEnvParameter4fvARB" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMENVPARAMETERI4INVPROC
epoxy_glProgramEnvParameterI4iNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_program4, 35406 /* glProgramEnvParameterI4iNV */);
}

static PFNGLPROGRAMENVPARAMETERI4IVNVPROC
epoxy_glProgramEnvParameterI4ivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_program4, 35433 /* glProgramEnvParameterI4ivNV */);
}

static PFNGLPROGRAMENVPARAMETERI4UINVPROC
epoxy_glProgramEnvParameterI4uiNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_program4, 35461 /* glProgramEnvParameterI4uiNV */);
}

static PFNGLPROGRAMENVPARAMETERI4UIVNVPROC
epoxy_glProgramEnvParameterI4uivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_program4, 35489 /* glProgramEnvParameterI4uivNV */);
}

static PFNGLPROGRAMENVPARAMETERS4FVEXTPROC
epoxy_glProgramEnvParameters4fvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_gpu_program_parameters, 35518 /* glProgramEnvParameters4fvEXT */);
}

static PFNGLPROGRAMENVPARAMETERSI4IVNVPROC
epoxy_glProgramEnvParametersI4ivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_program4, 35547 /* glProgramEnvParametersI4ivNV */);
}

static PFNGLPROGRAMENVPARAMETERSI4UIVNVPROC
epoxy_glProgramEnvParametersI4uivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_program4, 35576 /* glProgramEnvParametersI4uivNV */);
}

static PFNGLPROGRAMLOCALPARAMETER4DARBPROC
epoxy_glProgramLocalParameter4dARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_fragment_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        35606 /* "glProgramLocalParameter4dARB" */,
        35606 /* "glProgramLocalParameter4dARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 35606 /* "glProgramLocalParameter4dARB" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMLOCALPARAMETER4DVARBPROC
epoxy_glProgramLocalParameter4dvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_fragment_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        35635 /* "glProgramLocalParameter4dvARB" */,
        35635 /* "glProgramLocalParameter4dvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 35635 /* "glProgramLocalParameter4dvARB" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMLOCALPARAMETER4FARBPROC
epoxy_glProgramLocalParameter4fARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_fragment_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        35665 /* "glProgramLocalParameter4fARB" */,
        35665 /* "glProgramLocalParameter4fARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 35665 /* "glProgramLocalParameter4fARB" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMLOCALPARAMETER4FVARBPROC
epoxy_glProgramLocalParameter4fvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_fragment_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        35694 /* "glProgramLocalParameter4fvARB" */,
        35694 /* "glProgramLocalParameter4fvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 35694 /* "glProgramLocalParameter4fvARB" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMLOCALPARAMETERI4INVPROC
epoxy_glProgramLocalParameterI4iNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_program4, 35724 /* glProgramLocalParameterI4iNV */);
}

static PFNGLPROGRAMLOCALPARAMETERI4IVNVPROC
epoxy_glProgramLocalParameterI4ivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_program4, 35753 /* glProgramLocalParameterI4ivNV */);
}

static PFNGLPROGRAMLOCALPARAMETERI4UINVPROC
epoxy_glProgramLocalParameterI4uiNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_program4, 35783 /* glProgramLocalParameterI4uiNV */);
}

static PFNGLPROGRAMLOCALPARAMETERI4UIVNVPROC
epoxy_glProgramLocalParameterI4uivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_program4, 35813 /* glProgramLocalParameterI4uivNV */);
}

static PFNGLPROGRAMLOCALPARAMETERS4FVEXTPROC
epoxy_glProgramLocalParameters4fvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_gpu_program_parameters, 35844 /* glProgramLocalParameters4fvEXT */);
}

static PFNGLPROGRAMLOCALPARAMETERSI4IVNVPROC
epoxy_glProgramLocalParametersI4ivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_program4, 35875 /* glProgramLocalParametersI4ivNV */);
}

static PFNGLPROGRAMLOCALPARAMETERSI4UIVNVPROC
epoxy_glProgramLocalParametersI4uivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_program4, 35906 /* glProgramLocalParametersI4uivNV */);
}

static PFNGLPROGRAMNAMEDPARAMETER4DNVPROC
epoxy_glProgramNamedParameter4dNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_fragment_program, 35938 /* glProgramNamedParameter4dNV */);
}

static PFNGLPROGRAMNAMEDPARAMETER4DVNVPROC
epoxy_glProgramNamedParameter4dvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_fragment_program, 35966 /* glProgramNamedParameter4dvNV */);
}

static PFNGLPROGRAMNAMEDPARAMETER4FNVPROC
epoxy_glProgramNamedParameter4fNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_fragment_program, 35995 /* glProgramNamedParameter4fNV */);
}

static PFNGLPROGRAMNAMEDPARAMETER4FVNVPROC
epoxy_glProgramNamedParameter4fvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_fragment_program, 36023 /* glProgramNamedParameter4fvNV */);
}

static PFNGLPROGRAMPARAMETER4DNVPROC
epoxy_glProgramParameter4dNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 36052 /* glProgramParameter4dNV */);
}

static PFNGLPROGRAMPARAMETER4DVNVPROC
epoxy_glProgramParameter4dvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 36075 /* glProgramParameter4dvNV */);
}

static PFNGLPROGRAMPARAMETER4FNVPROC
epoxy_glProgramParameter4fNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 36099 /* glProgramParameter4fNV */);
}

static PFNGLPROGRAMPARAMETER4FVNVPROC
epoxy_glProgramParameter4fvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 36122 /* glProgramParameter4fvNV */);
}

static PFNGLPROGRAMPARAMETERIPROC
epoxy_glProgramParameteri_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_get_program_binary,
        GL_extension_GL_ARB_geometry_shader4,
        GL_extension_GL_EXT_geometry_shader4,
        GL_extension_GL_EXT_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36146 /* "glProgramParameteri" */,
        36146 /* "glProgramParameteri" */,
        36146 /* "glProgramParameteri" */,
        36166 /* "glProgramParameteriARB" */,
        36189 /* "glProgramParameteriEXT" */,
        36189 /* "glProgramParameteriEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36146 /* "glProgramParameteri" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMPARAMETERIARBPROC
epoxy_glProgramParameteriARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_geometry_shader4,
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_get_program_binary,
        GL_extension_GL_EXT_geometry_shader4,
        GL_extension_GL_EXT_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36166 /* "glProgramParameteriARB" */,
        36146 /* "glProgramParameteri" */,
        36146 /* "glProgramParameteri" */,
        36146 /* "glProgramParameteri" */,
        36189 /* "glProgramParameteriEXT" */,
        36189 /* "glProgramParameteriEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36166 /* "glProgramParameteriARB" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMPARAMETERIEXTPROC
epoxy_glProgramParameteriEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_geometry_shader4,
        GL_extension_GL_EXT_separate_shader_objects,
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_get_program_binary,
        GL_extension_GL_ARB_geometry_shader4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36189 /* "glProgramParameteriEXT" */,
        36189 /* "glProgramParameteriEXT" */,
        36146 /* "glProgramParameteri" */,
        36146 /* "glProgramParameteri" */,
        36146 /* "glProgramParameteri" */,
        36166 /* "glProgramParameteriARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36189 /* "glProgramParameteriEXT" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMPARAMETERS4DVNVPROC
epoxy_glProgramParameters4dvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 36212 /* glProgramParameters4dvNV */);
}

static PFNGLPROGRAMPARAMETERS4FVNVPROC
epoxy_glProgramParameters4fvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 36237 /* glProgramParameters4fvNV */);
}

static PFNGLPROGRAMSTRINGARBPROC
epoxy_glProgramStringARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_ARB_fragment_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36262 /* "glProgramStringARB" */,
        36262 /* "glProgramStringARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36262 /* "glProgramStringARB" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMSUBROUTINEPARAMETERSUIVNVPROC
epoxy_glProgramSubroutineParametersuivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_gpu_program5, 36281 /* glProgramSubroutineParametersuivNV */);
}

static PFNGLPROGRAMUNIFORM1DPROC
epoxy_glProgramUniform1d_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36316 /* "glProgramUniform1d" */,
        36316 /* "glProgramUniform1d" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36316 /* "glProgramUniform1d" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM1DEXTPROC
epoxy_glProgramUniform1dEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 36335 /* glProgramUniform1dEXT */);
}

static PFNGLPROGRAMUNIFORM1DVPROC
epoxy_glProgramUniform1dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36357 /* "glProgramUniform1dv" */,
        36357 /* "glProgramUniform1dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36357 /* "glProgramUniform1dv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM1DVEXTPROC
epoxy_glProgramUniform1dvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 36377 /* glProgramUniform1dvEXT */);
}

static PFNGLPROGRAMUNIFORM1FPROC
epoxy_glProgramUniform1f_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36400 /* "glProgramUniform1f" */,
        36400 /* "glProgramUniform1f" */,
        36400 /* "glProgramUniform1f" */,
        36419 /* "glProgramUniform1fEXT" */,
        36419 /* "glProgramUniform1fEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36400 /* "glProgramUniform1f" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM1FEXTPROC
epoxy_glProgramUniform1fEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36419 /* "glProgramUniform1fEXT" */,
        36419 /* "glProgramUniform1fEXT" */,
        36400 /* "glProgramUniform1f" */,
        36400 /* "glProgramUniform1f" */,
        36400 /* "glProgramUniform1f" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36419 /* "glProgramUniform1fEXT" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM1FVPROC
epoxy_glProgramUniform1fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36441 /* "glProgramUniform1fv" */,
        36441 /* "glProgramUniform1fv" */,
        36441 /* "glProgramUniform1fv" */,
        36461 /* "glProgramUniform1fvEXT" */,
        36461 /* "glProgramUniform1fvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36441 /* "glProgramUniform1fv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM1FVEXTPROC
epoxy_glProgramUniform1fvEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36461 /* "glProgramUniform1fvEXT" */,
        36461 /* "glProgramUniform1fvEXT" */,
        36441 /* "glProgramUniform1fv" */,
        36441 /* "glProgramUniform1fv" */,
        36441 /* "glProgramUniform1fv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36461 /* "glProgramUniform1fvEXT" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM1IPROC
epoxy_glProgramUniform1i_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36484 /* "glProgramUniform1i" */,
        36484 /* "glProgramUniform1i" */,
        36484 /* "glProgramUniform1i" */,
        36550 /* "glProgramUniform1iEXT" */,
        36550 /* "glProgramUniform1iEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36484 /* "glProgramUniform1i" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM1I64NVPROC
epoxy_glProgramUniform1i64NV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_gpu_shader_int64,
        GL_extension_GL_NV_gpu_shader5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36503 /* "glProgramUniform1i64NV" */,
        36503 /* "glProgramUniform1i64NV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36503 /* "glProgramUniform1i64NV" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM1I64VNVPROC
epoxy_glProgramUniform1i64vNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_gpu_shader_int64,
        GL_extension_GL_NV_gpu_shader5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36526 /* "glProgramUniform1i64vNV" */,
        36526 /* "glProgramUniform1i64vNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36526 /* "glProgramUniform1i64vNV" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM1IEXTPROC
epoxy_glProgramUniform1iEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36550 /* "glProgramUniform1iEXT" */,
        36550 /* "glProgramUniform1iEXT" */,
        36484 /* "glProgramUniform1i" */,
        36484 /* "glProgramUniform1i" */,
        36484 /* "glProgramUniform1i" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36550 /* "glProgramUniform1iEXT" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM1IVPROC
epoxy_glProgramUniform1iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36572 /* "glProgramUniform1iv" */,
        36572 /* "glProgramUniform1iv" */,
        36572 /* "glProgramUniform1iv" */,
        36592 /* "glProgramUniform1ivEXT" */,
        36592 /* "glProgramUniform1ivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36572 /* "glProgramUniform1iv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM1IVEXTPROC
epoxy_glProgramUniform1ivEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36592 /* "glProgramUniform1ivEXT" */,
        36592 /* "glProgramUniform1ivEXT" */,
        36572 /* "glProgramUniform1iv" */,
        36572 /* "glProgramUniform1iv" */,
        36572 /* "glProgramUniform1iv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36592 /* "glProgramUniform1ivEXT" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM1UIPROC
epoxy_glProgramUniform1ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36615 /* "glProgramUniform1ui" */,
        36615 /* "glProgramUniform1ui" */,
        36615 /* "glProgramUniform1ui" */,
        36684 /* "glProgramUniform1uiEXT" */,
        36684 /* "glProgramUniform1uiEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36615 /* "glProgramUniform1ui" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM1UI64NVPROC
epoxy_glProgramUniform1ui64NV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_gpu_shader_int64,
        GL_extension_GL_NV_gpu_shader5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36635 /* "glProgramUniform1ui64NV" */,
        36635 /* "glProgramUniform1ui64NV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36635 /* "glProgramUniform1ui64NV" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM1UI64VNVPROC
epoxy_glProgramUniform1ui64vNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_gpu_shader_int64,
        GL_extension_GL_NV_gpu_shader5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36659 /* "glProgramUniform1ui64vNV" */,
        36659 /* "glProgramUniform1ui64vNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36659 /* "glProgramUniform1ui64vNV" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM1UIEXTPROC
epoxy_glProgramUniform1uiEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36684 /* "glProgramUniform1uiEXT" */,
        36684 /* "glProgramUniform1uiEXT" */,
        36615 /* "glProgramUniform1ui" */,
        36615 /* "glProgramUniform1ui" */,
        36615 /* "glProgramUniform1ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36684 /* "glProgramUniform1uiEXT" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM1UIVPROC
epoxy_glProgramUniform1uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36707 /* "glProgramUniform1uiv" */,
        36707 /* "glProgramUniform1uiv" */,
        36707 /* "glProgramUniform1uiv" */,
        36728 /* "glProgramUniform1uivEXT" */,
        36728 /* "glProgramUniform1uivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36707 /* "glProgramUniform1uiv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM1UIVEXTPROC
epoxy_glProgramUniform1uivEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36728 /* "glProgramUniform1uivEXT" */,
        36728 /* "glProgramUniform1uivEXT" */,
        36707 /* "glProgramUniform1uiv" */,
        36707 /* "glProgramUniform1uiv" */,
        36707 /* "glProgramUniform1uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36728 /* "glProgramUniform1uivEXT" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM2DPROC
epoxy_glProgramUniform2d_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36752 /* "glProgramUniform2d" */,
        36752 /* "glProgramUniform2d" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36752 /* "glProgramUniform2d" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM2DEXTPROC
epoxy_glProgramUniform2dEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 36771 /* glProgramUniform2dEXT */);
}

static PFNGLPROGRAMUNIFORM2DVPROC
epoxy_glProgramUniform2dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36793 /* "glProgramUniform2dv" */,
        36793 /* "glProgramUniform2dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36793 /* "glProgramUniform2dv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM2DVEXTPROC
epoxy_glProgramUniform2dvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 36813 /* glProgramUniform2dvEXT */);
}

static PFNGLPROGRAMUNIFORM2FPROC
epoxy_glProgramUniform2f_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36836 /* "glProgramUniform2f" */,
        36836 /* "glProgramUniform2f" */,
        36836 /* "glProgramUniform2f" */,
        36855 /* "glProgramUniform2fEXT" */,
        36855 /* "glProgramUniform2fEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36836 /* "glProgramUniform2f" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM2FEXTPROC
epoxy_glProgramUniform2fEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36855 /* "glProgramUniform2fEXT" */,
        36855 /* "glProgramUniform2fEXT" */,
        36836 /* "glProgramUniform2f" */,
        36836 /* "glProgramUniform2f" */,
        36836 /* "glProgramUniform2f" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36855 /* "glProgramUniform2fEXT" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM2FVPROC
epoxy_glProgramUniform2fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36877 /* "glProgramUniform2fv" */,
        36877 /* "glProgramUniform2fv" */,
        36877 /* "glProgramUniform2fv" */,
        36897 /* "glProgramUniform2fvEXT" */,
        36897 /* "glProgramUniform2fvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36877 /* "glProgramUniform2fv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM2FVEXTPROC
epoxy_glProgramUniform2fvEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36897 /* "glProgramUniform2fvEXT" */,
        36897 /* "glProgramUniform2fvEXT" */,
        36877 /* "glProgramUniform2fv" */,
        36877 /* "glProgramUniform2fv" */,
        36877 /* "glProgramUniform2fv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36897 /* "glProgramUniform2fvEXT" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM2IPROC
epoxy_glProgramUniform2i_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36920 /* "glProgramUniform2i" */,
        36920 /* "glProgramUniform2i" */,
        36920 /* "glProgramUniform2i" */,
        36986 /* "glProgramUniform2iEXT" */,
        36986 /* "glProgramUniform2iEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36920 /* "glProgramUniform2i" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM2I64NVPROC
epoxy_glProgramUniform2i64NV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_gpu_shader_int64,
        GL_extension_GL_NV_gpu_shader5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36939 /* "glProgramUniform2i64NV" */,
        36939 /* "glProgramUniform2i64NV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36939 /* "glProgramUniform2i64NV" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM2I64VNVPROC
epoxy_glProgramUniform2i64vNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_gpu_shader_int64,
        GL_extension_GL_NV_gpu_shader5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36962 /* "glProgramUniform2i64vNV" */,
        36962 /* "glProgramUniform2i64vNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36962 /* "glProgramUniform2i64vNV" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM2IEXTPROC
epoxy_glProgramUniform2iEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        36986 /* "glProgramUniform2iEXT" */,
        36986 /* "glProgramUniform2iEXT" */,
        36920 /* "glProgramUniform2i" */,
        36920 /* "glProgramUniform2i" */,
        36920 /* "glProgramUniform2i" */,
    };
    return gl_provider_resolver(entrypoint_strings + 36986 /* "glProgramUniform2iEXT" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM2IVPROC
epoxy_glProgramUniform2iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37008 /* "glProgramUniform2iv" */,
        37008 /* "glProgramUniform2iv" */,
        37008 /* "glProgramUniform2iv" */,
        37028 /* "glProgramUniform2ivEXT" */,
        37028 /* "glProgramUniform2ivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37008 /* "glProgramUniform2iv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM2IVEXTPROC
epoxy_glProgramUniform2ivEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37028 /* "glProgramUniform2ivEXT" */,
        37028 /* "glProgramUniform2ivEXT" */,
        37008 /* "glProgramUniform2iv" */,
        37008 /* "glProgramUniform2iv" */,
        37008 /* "glProgramUniform2iv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37028 /* "glProgramUniform2ivEXT" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM2UIPROC
epoxy_glProgramUniform2ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37051 /* "glProgramUniform2ui" */,
        37051 /* "glProgramUniform2ui" */,
        37051 /* "glProgramUniform2ui" */,
        37120 /* "glProgramUniform2uiEXT" */,
        37120 /* "glProgramUniform2uiEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37051 /* "glProgramUniform2ui" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM2UI64NVPROC
epoxy_glProgramUniform2ui64NV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_gpu_shader_int64,
        GL_extension_GL_NV_gpu_shader5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37071 /* "glProgramUniform2ui64NV" */,
        37071 /* "glProgramUniform2ui64NV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37071 /* "glProgramUniform2ui64NV" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM2UI64VNVPROC
epoxy_glProgramUniform2ui64vNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_gpu_shader_int64,
        GL_extension_GL_NV_gpu_shader5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37095 /* "glProgramUniform2ui64vNV" */,
        37095 /* "glProgramUniform2ui64vNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37095 /* "glProgramUniform2ui64vNV" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM2UIEXTPROC
epoxy_glProgramUniform2uiEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37120 /* "glProgramUniform2uiEXT" */,
        37120 /* "glProgramUniform2uiEXT" */,
        37051 /* "glProgramUniform2ui" */,
        37051 /* "glProgramUniform2ui" */,
        37051 /* "glProgramUniform2ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37120 /* "glProgramUniform2uiEXT" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM2UIVPROC
epoxy_glProgramUniform2uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37143 /* "glProgramUniform2uiv" */,
        37143 /* "glProgramUniform2uiv" */,
        37143 /* "glProgramUniform2uiv" */,
        37164 /* "glProgramUniform2uivEXT" */,
        37164 /* "glProgramUniform2uivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37143 /* "glProgramUniform2uiv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM2UIVEXTPROC
epoxy_glProgramUniform2uivEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37164 /* "glProgramUniform2uivEXT" */,
        37164 /* "glProgramUniform2uivEXT" */,
        37143 /* "glProgramUniform2uiv" */,
        37143 /* "glProgramUniform2uiv" */,
        37143 /* "glProgramUniform2uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37164 /* "glProgramUniform2uivEXT" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM3DPROC
epoxy_glProgramUniform3d_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37188 /* "glProgramUniform3d" */,
        37188 /* "glProgramUniform3d" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37188 /* "glProgramUniform3d" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM3DEXTPROC
epoxy_glProgramUniform3dEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 37207 /* glProgramUniform3dEXT */);
}

static PFNGLPROGRAMUNIFORM3DVPROC
epoxy_glProgramUniform3dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37229 /* "glProgramUniform3dv" */,
        37229 /* "glProgramUniform3dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37229 /* "glProgramUniform3dv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM3DVEXTPROC
epoxy_glProgramUniform3dvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 37249 /* glProgramUniform3dvEXT */);
}

static PFNGLPROGRAMUNIFORM3FPROC
epoxy_glProgramUniform3f_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37272 /* "glProgramUniform3f" */,
        37272 /* "glProgramUniform3f" */,
        37272 /* "glProgramUniform3f" */,
        37291 /* "glProgramUniform3fEXT" */,
        37291 /* "glProgramUniform3fEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37272 /* "glProgramUniform3f" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM3FEXTPROC
epoxy_glProgramUniform3fEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37291 /* "glProgramUniform3fEXT" */,
        37291 /* "glProgramUniform3fEXT" */,
        37272 /* "glProgramUniform3f" */,
        37272 /* "glProgramUniform3f" */,
        37272 /* "glProgramUniform3f" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37291 /* "glProgramUniform3fEXT" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM3FVPROC
epoxy_glProgramUniform3fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37313 /* "glProgramUniform3fv" */,
        37313 /* "glProgramUniform3fv" */,
        37313 /* "glProgramUniform3fv" */,
        37333 /* "glProgramUniform3fvEXT" */,
        37333 /* "glProgramUniform3fvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37313 /* "glProgramUniform3fv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM3FVEXTPROC
epoxy_glProgramUniform3fvEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37333 /* "glProgramUniform3fvEXT" */,
        37333 /* "glProgramUniform3fvEXT" */,
        37313 /* "glProgramUniform3fv" */,
        37313 /* "glProgramUniform3fv" */,
        37313 /* "glProgramUniform3fv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37333 /* "glProgramUniform3fvEXT" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM3IPROC
epoxy_glProgramUniform3i_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37356 /* "glProgramUniform3i" */,
        37356 /* "glProgramUniform3i" */,
        37356 /* "glProgramUniform3i" */,
        37422 /* "glProgramUniform3iEXT" */,
        37422 /* "glProgramUniform3iEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37356 /* "glProgramUniform3i" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM3I64NVPROC
epoxy_glProgramUniform3i64NV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_gpu_shader_int64,
        GL_extension_GL_NV_gpu_shader5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37375 /* "glProgramUniform3i64NV" */,
        37375 /* "glProgramUniform3i64NV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37375 /* "glProgramUniform3i64NV" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM3I64VNVPROC
epoxy_glProgramUniform3i64vNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_gpu_shader_int64,
        GL_extension_GL_NV_gpu_shader5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37398 /* "glProgramUniform3i64vNV" */,
        37398 /* "glProgramUniform3i64vNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37398 /* "glProgramUniform3i64vNV" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM3IEXTPROC
epoxy_glProgramUniform3iEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37422 /* "glProgramUniform3iEXT" */,
        37422 /* "glProgramUniform3iEXT" */,
        37356 /* "glProgramUniform3i" */,
        37356 /* "glProgramUniform3i" */,
        37356 /* "glProgramUniform3i" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37422 /* "glProgramUniform3iEXT" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM3IVPROC
epoxy_glProgramUniform3iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37444 /* "glProgramUniform3iv" */,
        37444 /* "glProgramUniform3iv" */,
        37444 /* "glProgramUniform3iv" */,
        37464 /* "glProgramUniform3ivEXT" */,
        37464 /* "glProgramUniform3ivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37444 /* "glProgramUniform3iv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM3IVEXTPROC
epoxy_glProgramUniform3ivEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37464 /* "glProgramUniform3ivEXT" */,
        37464 /* "glProgramUniform3ivEXT" */,
        37444 /* "glProgramUniform3iv" */,
        37444 /* "glProgramUniform3iv" */,
        37444 /* "glProgramUniform3iv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37464 /* "glProgramUniform3ivEXT" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM3UIPROC
epoxy_glProgramUniform3ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37487 /* "glProgramUniform3ui" */,
        37487 /* "glProgramUniform3ui" */,
        37487 /* "glProgramUniform3ui" */,
        37556 /* "glProgramUniform3uiEXT" */,
        37556 /* "glProgramUniform3uiEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37487 /* "glProgramUniform3ui" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM3UI64NVPROC
epoxy_glProgramUniform3ui64NV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_gpu_shader_int64,
        GL_extension_GL_NV_gpu_shader5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37507 /* "glProgramUniform3ui64NV" */,
        37507 /* "glProgramUniform3ui64NV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37507 /* "glProgramUniform3ui64NV" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM3UI64VNVPROC
epoxy_glProgramUniform3ui64vNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_gpu_shader_int64,
        GL_extension_GL_NV_gpu_shader5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37531 /* "glProgramUniform3ui64vNV" */,
        37531 /* "glProgramUniform3ui64vNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37531 /* "glProgramUniform3ui64vNV" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM3UIEXTPROC
epoxy_glProgramUniform3uiEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37556 /* "glProgramUniform3uiEXT" */,
        37556 /* "glProgramUniform3uiEXT" */,
        37487 /* "glProgramUniform3ui" */,
        37487 /* "glProgramUniform3ui" */,
        37487 /* "glProgramUniform3ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37556 /* "glProgramUniform3uiEXT" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM3UIVPROC
epoxy_glProgramUniform3uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37579 /* "glProgramUniform3uiv" */,
        37579 /* "glProgramUniform3uiv" */,
        37579 /* "glProgramUniform3uiv" */,
        37600 /* "glProgramUniform3uivEXT" */,
        37600 /* "glProgramUniform3uivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37579 /* "glProgramUniform3uiv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM3UIVEXTPROC
epoxy_glProgramUniform3uivEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37600 /* "glProgramUniform3uivEXT" */,
        37600 /* "glProgramUniform3uivEXT" */,
        37579 /* "glProgramUniform3uiv" */,
        37579 /* "glProgramUniform3uiv" */,
        37579 /* "glProgramUniform3uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37600 /* "glProgramUniform3uivEXT" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM4DPROC
epoxy_glProgramUniform4d_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37624 /* "glProgramUniform4d" */,
        37624 /* "glProgramUniform4d" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37624 /* "glProgramUniform4d" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM4DEXTPROC
epoxy_glProgramUniform4dEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 37643 /* glProgramUniform4dEXT */);
}

static PFNGLPROGRAMUNIFORM4DVPROC
epoxy_glProgramUniform4dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37665 /* "glProgramUniform4dv" */,
        37665 /* "glProgramUniform4dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37665 /* "glProgramUniform4dv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM4DVEXTPROC
epoxy_glProgramUniform4dvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 37685 /* glProgramUniform4dvEXT */);
}

static PFNGLPROGRAMUNIFORM4FPROC
epoxy_glProgramUniform4f_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37708 /* "glProgramUniform4f" */,
        37708 /* "glProgramUniform4f" */,
        37708 /* "glProgramUniform4f" */,
        37727 /* "glProgramUniform4fEXT" */,
        37727 /* "glProgramUniform4fEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37708 /* "glProgramUniform4f" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM4FEXTPROC
epoxy_glProgramUniform4fEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37727 /* "glProgramUniform4fEXT" */,
        37727 /* "glProgramUniform4fEXT" */,
        37708 /* "glProgramUniform4f" */,
        37708 /* "glProgramUniform4f" */,
        37708 /* "glProgramUniform4f" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37727 /* "glProgramUniform4fEXT" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM4FVPROC
epoxy_glProgramUniform4fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37749 /* "glProgramUniform4fv" */,
        37749 /* "glProgramUniform4fv" */,
        37749 /* "glProgramUniform4fv" */,
        37769 /* "glProgramUniform4fvEXT" */,
        37769 /* "glProgramUniform4fvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37749 /* "glProgramUniform4fv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM4FVEXTPROC
epoxy_glProgramUniform4fvEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37769 /* "glProgramUniform4fvEXT" */,
        37769 /* "glProgramUniform4fvEXT" */,
        37749 /* "glProgramUniform4fv" */,
        37749 /* "glProgramUniform4fv" */,
        37749 /* "glProgramUniform4fv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37769 /* "glProgramUniform4fvEXT" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM4IPROC
epoxy_glProgramUniform4i_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37792 /* "glProgramUniform4i" */,
        37792 /* "glProgramUniform4i" */,
        37792 /* "glProgramUniform4i" */,
        37858 /* "glProgramUniform4iEXT" */,
        37858 /* "glProgramUniform4iEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37792 /* "glProgramUniform4i" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM4I64NVPROC
epoxy_glProgramUniform4i64NV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_gpu_shader_int64,
        GL_extension_GL_NV_gpu_shader5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37811 /* "glProgramUniform4i64NV" */,
        37811 /* "glProgramUniform4i64NV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37811 /* "glProgramUniform4i64NV" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM4I64VNVPROC
epoxy_glProgramUniform4i64vNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_gpu_shader_int64,
        GL_extension_GL_NV_gpu_shader5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37834 /* "glProgramUniform4i64vNV" */,
        37834 /* "glProgramUniform4i64vNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37834 /* "glProgramUniform4i64vNV" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM4IEXTPROC
epoxy_glProgramUniform4iEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37858 /* "glProgramUniform4iEXT" */,
        37858 /* "glProgramUniform4iEXT" */,
        37792 /* "glProgramUniform4i" */,
        37792 /* "glProgramUniform4i" */,
        37792 /* "glProgramUniform4i" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37858 /* "glProgramUniform4iEXT" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM4IVPROC
epoxy_glProgramUniform4iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37880 /* "glProgramUniform4iv" */,
        37880 /* "glProgramUniform4iv" */,
        37880 /* "glProgramUniform4iv" */,
        37900 /* "glProgramUniform4ivEXT" */,
        37900 /* "glProgramUniform4ivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37880 /* "glProgramUniform4iv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM4IVEXTPROC
epoxy_glProgramUniform4ivEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37900 /* "glProgramUniform4ivEXT" */,
        37900 /* "glProgramUniform4ivEXT" */,
        37880 /* "glProgramUniform4iv" */,
        37880 /* "glProgramUniform4iv" */,
        37880 /* "glProgramUniform4iv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37900 /* "glProgramUniform4ivEXT" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM4UIPROC
epoxy_glProgramUniform4ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37923 /* "glProgramUniform4ui" */,
        37923 /* "glProgramUniform4ui" */,
        37923 /* "glProgramUniform4ui" */,
        37992 /* "glProgramUniform4uiEXT" */,
        37992 /* "glProgramUniform4uiEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37923 /* "glProgramUniform4ui" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM4UI64NVPROC
epoxy_glProgramUniform4ui64NV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_gpu_shader_int64,
        GL_extension_GL_NV_gpu_shader5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37943 /* "glProgramUniform4ui64NV" */,
        37943 /* "glProgramUniform4ui64NV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37943 /* "glProgramUniform4ui64NV" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM4UI64VNVPROC
epoxy_glProgramUniform4ui64vNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_gpu_shader_int64,
        GL_extension_GL_NV_gpu_shader5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37967 /* "glProgramUniform4ui64vNV" */,
        37967 /* "glProgramUniform4ui64vNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37967 /* "glProgramUniform4ui64vNV" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM4UIEXTPROC
epoxy_glProgramUniform4uiEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        37992 /* "glProgramUniform4uiEXT" */,
        37992 /* "glProgramUniform4uiEXT" */,
        37923 /* "glProgramUniform4ui" */,
        37923 /* "glProgramUniform4ui" */,
        37923 /* "glProgramUniform4ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 37992 /* "glProgramUniform4uiEXT" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM4UIVPROC
epoxy_glProgramUniform4uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38015 /* "glProgramUniform4uiv" */,
        38015 /* "glProgramUniform4uiv" */,
        38015 /* "glProgramUniform4uiv" */,
        38036 /* "glProgramUniform4uivEXT" */,
        38036 /* "glProgramUniform4uivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38015 /* "glProgramUniform4uiv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORM4UIVEXTPROC
epoxy_glProgramUniform4uivEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38036 /* "glProgramUniform4uivEXT" */,
        38036 /* "glProgramUniform4uivEXT" */,
        38015 /* "glProgramUniform4uiv" */,
        38015 /* "glProgramUniform4uiv" */,
        38015 /* "glProgramUniform4uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38036 /* "glProgramUniform4uivEXT" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMHANDLEUI64ARBPROC
epoxy_glProgramUniformHandleui64ARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_bindless_texture, 38060 /* glProgramUniformHandleui64ARB */);
}

static PFNGLPROGRAMUNIFORMHANDLEUI64NVPROC
epoxy_glProgramUniformHandleui64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_bindless_texture, 38090 /* glProgramUniformHandleui64NV */);
}

static PFNGLPROGRAMUNIFORMHANDLEUI64VARBPROC
epoxy_glProgramUniformHandleui64vARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_bindless_texture, 38119 /* glProgramUniformHandleui64vARB */);
}

static PFNGLPROGRAMUNIFORMHANDLEUI64VNVPROC
epoxy_glProgramUniformHandleui64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_bindless_texture, 38150 /* glProgramUniformHandleui64vNV */);
}

static PFNGLPROGRAMUNIFORMMATRIX2DVPROC
epoxy_glProgramUniformMatrix2dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38180 /* "glProgramUniformMatrix2dv" */,
        38180 /* "glProgramUniformMatrix2dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38180 /* "glProgramUniformMatrix2dv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX2DVEXTPROC
epoxy_glProgramUniformMatrix2dvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 38206 /* glProgramUniformMatrix2dvEXT */);
}

static PFNGLPROGRAMUNIFORMMATRIX2FVPROC
epoxy_glProgramUniformMatrix2fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38235 /* "glProgramUniformMatrix2fv" */,
        38235 /* "glProgramUniformMatrix2fv" */,
        38235 /* "glProgramUniformMatrix2fv" */,
        38261 /* "glProgramUniformMatrix2fvEXT" */,
        38261 /* "glProgramUniformMatrix2fvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38235 /* "glProgramUniformMatrix2fv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX2FVEXTPROC
epoxy_glProgramUniformMatrix2fvEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38261 /* "glProgramUniformMatrix2fvEXT" */,
        38261 /* "glProgramUniformMatrix2fvEXT" */,
        38235 /* "glProgramUniformMatrix2fv" */,
        38235 /* "glProgramUniformMatrix2fv" */,
        38235 /* "glProgramUniformMatrix2fv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38261 /* "glProgramUniformMatrix2fvEXT" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX2X3DVPROC
epoxy_glProgramUniformMatrix2x3dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38290 /* "glProgramUniformMatrix2x3dv" */,
        38290 /* "glProgramUniformMatrix2x3dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38290 /* "glProgramUniformMatrix2x3dv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX2X3DVEXTPROC
epoxy_glProgramUniformMatrix2x3dvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 38318 /* glProgramUniformMatrix2x3dvEXT */);
}

static PFNGLPROGRAMUNIFORMMATRIX2X3FVPROC
epoxy_glProgramUniformMatrix2x3fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38349 /* "glProgramUniformMatrix2x3fv" */,
        38349 /* "glProgramUniformMatrix2x3fv" */,
        38349 /* "glProgramUniformMatrix2x3fv" */,
        38377 /* "glProgramUniformMatrix2x3fvEXT" */,
        38377 /* "glProgramUniformMatrix2x3fvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38349 /* "glProgramUniformMatrix2x3fv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX2X3FVEXTPROC
epoxy_glProgramUniformMatrix2x3fvEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38377 /* "glProgramUniformMatrix2x3fvEXT" */,
        38377 /* "glProgramUniformMatrix2x3fvEXT" */,
        38349 /* "glProgramUniformMatrix2x3fv" */,
        38349 /* "glProgramUniformMatrix2x3fv" */,
        38349 /* "glProgramUniformMatrix2x3fv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38377 /* "glProgramUniformMatrix2x3fvEXT" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX2X4DVPROC
epoxy_glProgramUniformMatrix2x4dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38408 /* "glProgramUniformMatrix2x4dv" */,
        38408 /* "glProgramUniformMatrix2x4dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38408 /* "glProgramUniformMatrix2x4dv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX2X4DVEXTPROC
epoxy_glProgramUniformMatrix2x4dvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 38436 /* glProgramUniformMatrix2x4dvEXT */);
}

static PFNGLPROGRAMUNIFORMMATRIX2X4FVPROC
epoxy_glProgramUniformMatrix2x4fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38467 /* "glProgramUniformMatrix2x4fv" */,
        38467 /* "glProgramUniformMatrix2x4fv" */,
        38467 /* "glProgramUniformMatrix2x4fv" */,
        38495 /* "glProgramUniformMatrix2x4fvEXT" */,
        38495 /* "glProgramUniformMatrix2x4fvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38467 /* "glProgramUniformMatrix2x4fv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX2X4FVEXTPROC
epoxy_glProgramUniformMatrix2x4fvEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38495 /* "glProgramUniformMatrix2x4fvEXT" */,
        38495 /* "glProgramUniformMatrix2x4fvEXT" */,
        38467 /* "glProgramUniformMatrix2x4fv" */,
        38467 /* "glProgramUniformMatrix2x4fv" */,
        38467 /* "glProgramUniformMatrix2x4fv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38495 /* "glProgramUniformMatrix2x4fvEXT" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX3DVPROC
epoxy_glProgramUniformMatrix3dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38526 /* "glProgramUniformMatrix3dv" */,
        38526 /* "glProgramUniformMatrix3dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38526 /* "glProgramUniformMatrix3dv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX3DVEXTPROC
epoxy_glProgramUniformMatrix3dvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 38552 /* glProgramUniformMatrix3dvEXT */);
}

static PFNGLPROGRAMUNIFORMMATRIX3FVPROC
epoxy_glProgramUniformMatrix3fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38581 /* "glProgramUniformMatrix3fv" */,
        38581 /* "glProgramUniformMatrix3fv" */,
        38581 /* "glProgramUniformMatrix3fv" */,
        38607 /* "glProgramUniformMatrix3fvEXT" */,
        38607 /* "glProgramUniformMatrix3fvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38581 /* "glProgramUniformMatrix3fv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX3FVEXTPROC
epoxy_glProgramUniformMatrix3fvEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38607 /* "glProgramUniformMatrix3fvEXT" */,
        38607 /* "glProgramUniformMatrix3fvEXT" */,
        38581 /* "glProgramUniformMatrix3fv" */,
        38581 /* "glProgramUniformMatrix3fv" */,
        38581 /* "glProgramUniformMatrix3fv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38607 /* "glProgramUniformMatrix3fvEXT" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX3X2DVPROC
epoxy_glProgramUniformMatrix3x2dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38636 /* "glProgramUniformMatrix3x2dv" */,
        38636 /* "glProgramUniformMatrix3x2dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38636 /* "glProgramUniformMatrix3x2dv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX3X2DVEXTPROC
epoxy_glProgramUniformMatrix3x2dvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 38664 /* glProgramUniformMatrix3x2dvEXT */);
}

static PFNGLPROGRAMUNIFORMMATRIX3X2FVPROC
epoxy_glProgramUniformMatrix3x2fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38695 /* "glProgramUniformMatrix3x2fv" */,
        38695 /* "glProgramUniformMatrix3x2fv" */,
        38695 /* "glProgramUniformMatrix3x2fv" */,
        38723 /* "glProgramUniformMatrix3x2fvEXT" */,
        38723 /* "glProgramUniformMatrix3x2fvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38695 /* "glProgramUniformMatrix3x2fv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX3X2FVEXTPROC
epoxy_glProgramUniformMatrix3x2fvEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38723 /* "glProgramUniformMatrix3x2fvEXT" */,
        38723 /* "glProgramUniformMatrix3x2fvEXT" */,
        38695 /* "glProgramUniformMatrix3x2fv" */,
        38695 /* "glProgramUniformMatrix3x2fv" */,
        38695 /* "glProgramUniformMatrix3x2fv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38723 /* "glProgramUniformMatrix3x2fvEXT" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX3X4DVPROC
epoxy_glProgramUniformMatrix3x4dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38754 /* "glProgramUniformMatrix3x4dv" */,
        38754 /* "glProgramUniformMatrix3x4dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38754 /* "glProgramUniformMatrix3x4dv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX3X4DVEXTPROC
epoxy_glProgramUniformMatrix3x4dvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 38782 /* glProgramUniformMatrix3x4dvEXT */);
}

static PFNGLPROGRAMUNIFORMMATRIX3X4FVPROC
epoxy_glProgramUniformMatrix3x4fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38813 /* "glProgramUniformMatrix3x4fv" */,
        38813 /* "glProgramUniformMatrix3x4fv" */,
        38813 /* "glProgramUniformMatrix3x4fv" */,
        38841 /* "glProgramUniformMatrix3x4fvEXT" */,
        38841 /* "glProgramUniformMatrix3x4fvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38813 /* "glProgramUniformMatrix3x4fv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX3X4FVEXTPROC
epoxy_glProgramUniformMatrix3x4fvEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38841 /* "glProgramUniformMatrix3x4fvEXT" */,
        38841 /* "glProgramUniformMatrix3x4fvEXT" */,
        38813 /* "glProgramUniformMatrix3x4fv" */,
        38813 /* "glProgramUniformMatrix3x4fv" */,
        38813 /* "glProgramUniformMatrix3x4fv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38841 /* "glProgramUniformMatrix3x4fvEXT" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX4DVPROC
epoxy_glProgramUniformMatrix4dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38872 /* "glProgramUniformMatrix4dv" */,
        38872 /* "glProgramUniformMatrix4dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38872 /* "glProgramUniformMatrix4dv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX4DVEXTPROC
epoxy_glProgramUniformMatrix4dvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 38898 /* glProgramUniformMatrix4dvEXT */);
}

static PFNGLPROGRAMUNIFORMMATRIX4FVPROC
epoxy_glProgramUniformMatrix4fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38927 /* "glProgramUniformMatrix4fv" */,
        38927 /* "glProgramUniformMatrix4fv" */,
        38927 /* "glProgramUniformMatrix4fv" */,
        38953 /* "glProgramUniformMatrix4fvEXT" */,
        38953 /* "glProgramUniformMatrix4fvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38927 /* "glProgramUniformMatrix4fv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX4FVEXTPROC
epoxy_glProgramUniformMatrix4fvEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38953 /* "glProgramUniformMatrix4fvEXT" */,
        38953 /* "glProgramUniformMatrix4fvEXT" */,
        38927 /* "glProgramUniformMatrix4fv" */,
        38927 /* "glProgramUniformMatrix4fv" */,
        38927 /* "glProgramUniformMatrix4fv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38953 /* "glProgramUniformMatrix4fvEXT" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX4X2DVPROC
epoxy_glProgramUniformMatrix4x2dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        38982 /* "glProgramUniformMatrix4x2dv" */,
        38982 /* "glProgramUniformMatrix4x2dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 38982 /* "glProgramUniformMatrix4x2dv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX4X2DVEXTPROC
epoxy_glProgramUniformMatrix4x2dvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 39010 /* glProgramUniformMatrix4x2dvEXT */);
}

static PFNGLPROGRAMUNIFORMMATRIX4X2FVPROC
epoxy_glProgramUniformMatrix4x2fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        39041 /* "glProgramUniformMatrix4x2fv" */,
        39041 /* "glProgramUniformMatrix4x2fv" */,
        39041 /* "glProgramUniformMatrix4x2fv" */,
        39069 /* "glProgramUniformMatrix4x2fvEXT" */,
        39069 /* "glProgramUniformMatrix4x2fvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 39041 /* "glProgramUniformMatrix4x2fv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX4X2FVEXTPROC
epoxy_glProgramUniformMatrix4x2fvEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        39069 /* "glProgramUniformMatrix4x2fvEXT" */,
        39069 /* "glProgramUniformMatrix4x2fvEXT" */,
        39041 /* "glProgramUniformMatrix4x2fv" */,
        39041 /* "glProgramUniformMatrix4x2fv" */,
        39041 /* "glProgramUniformMatrix4x2fv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 39069 /* "glProgramUniformMatrix4x2fvEXT" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX4X3DVPROC
epoxy_glProgramUniformMatrix4x3dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        39100 /* "glProgramUniformMatrix4x3dv" */,
        39100 /* "glProgramUniformMatrix4x3dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 39100 /* "glProgramUniformMatrix4x3dv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX4X3DVEXTPROC
epoxy_glProgramUniformMatrix4x3dvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 39128 /* glProgramUniformMatrix4x3dvEXT */);
}

static PFNGLPROGRAMUNIFORMMATRIX4X3FVPROC
epoxy_glProgramUniformMatrix4x3fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        39159 /* "glProgramUniformMatrix4x3fv" */,
        39159 /* "glProgramUniformMatrix4x3fv" */,
        39159 /* "glProgramUniformMatrix4x3fv" */,
        39187 /* "glProgramUniformMatrix4x3fvEXT" */,
        39187 /* "glProgramUniformMatrix4x3fvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 39159 /* "glProgramUniformMatrix4x3fv" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMMATRIX4X3FVEXTPROC
epoxy_glProgramUniformMatrix4x3fvEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_separate_shader_objects,
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        39187 /* "glProgramUniformMatrix4x3fvEXT" */,
        39187 /* "glProgramUniformMatrix4x3fvEXT" */,
        39159 /* "glProgramUniformMatrix4x3fv" */,
        39159 /* "glProgramUniformMatrix4x3fv" */,
        39159 /* "glProgramUniformMatrix4x3fv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 39187 /* "glProgramUniformMatrix4x3fvEXT" */,
                                providers, entrypoints);
}

static PFNGLPROGRAMUNIFORMUI64NVPROC
epoxy_glProgramUniformui64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_shader_buffer_load, 39218 /* glProgramUniformui64NV */);
}

static PFNGLPROGRAMUNIFORMUI64VNVPROC
epoxy_glProgramUniformui64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_shader_buffer_load, 39241 /* glProgramUniformui64vNV */);
}

static PFNGLPROGRAMVERTEXLIMITNVPROC
epoxy_glProgramVertexLimitNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_geometry_program4, 39265 /* glProgramVertexLimitNV */);
}

static PFNGLPROVOKINGVERTEXPROC
epoxy_glProvokingVertex_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_2,
        GL_extension_GL_ARB_provoking_vertex,
        GL_extension_GL_EXT_provoking_vertex,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        39288 /* "glProvokingVertex" */,
        39288 /* "glProvokingVertex" */,
        39306 /* "glProvokingVertexEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 39288 /* "glProvokingVertex" */,
                                providers, entrypoints);
}

static PFNGLPROVOKINGVERTEXEXTPROC
epoxy_glProvokingVertexEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_provoking_vertex,
        Desktop_OpenGL_3_2,
        GL_extension_GL_ARB_provoking_vertex,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        39306 /* "glProvokingVertexEXT" */,
        39288 /* "glProvokingVertex" */,
        39288 /* "glProvokingVertex" */,
    };
    return gl_provider_resolver(entrypoint_strings + 39306 /* "glProvokingVertexEXT" */,
                                providers, entrypoints);
}

static PFNGLPUSHATTRIBPROC
epoxy_glPushAttrib_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39327 /* glPushAttrib */);
}

static PFNGLPUSHCLIENTATTRIBPROC
epoxy_glPushClientAttrib_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_1, 39340 /* glPushClientAttrib */);
}

static PFNGLPUSHCLIENTATTRIBDEFAULTEXTPROC
epoxy_glPushClientAttribDefaultEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 39359 /* glPushClientAttribDefaultEXT */);
}

static PFNGLPUSHDEBUGGROUPPROC
epoxy_glPushDebugGroup_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_3,
        GL_extension_GL_KHR_debug,
        GL_extension_GL_KHR_debug,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        39388 /* "glPushDebugGroup" */,
        39388 /* "glPushDebugGroup" */,
        39405 /* "glPushDebugGroupKHR" */,
    };
    return gl_provider_resolver(entrypoint_strings + 39388 /* "glPushDebugGroup" */,
                                providers, entrypoints);
}

static PFNGLPUSHDEBUGGROUPKHRPROC
epoxy_glPushDebugGroupKHR_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_KHR_debug,
        Desktop_OpenGL_4_3,
        GL_extension_GL_KHR_debug,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        39405 /* "glPushDebugGroupKHR" */,
        39388 /* "glPushDebugGroup" */,
        39388 /* "glPushDebugGroup" */,
    };
    return gl_provider_resolver(entrypoint_strings + 39405 /* "glPushDebugGroupKHR" */,
                                providers, entrypoints);
}

static PFNGLPUSHGROUPMARKEREXTPROC
epoxy_glPushGroupMarkerEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_debug_marker, 39425 /* glPushGroupMarkerEXT */);
}

static PFNGLPUSHMATRIXPROC
epoxy_glPushMatrix_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        39446 /* "glPushMatrix" */,
        39446 /* "glPushMatrix" */,
    };
    return gl_provider_resolver(entrypoint_strings + 39446 /* "glPushMatrix" */,
                                providers, entrypoints);
}

static PFNGLPUSHNAMEPROC
epoxy_glPushName_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39459 /* glPushName */);
}

static PFNGLQUERYCOUNTERPROC
epoxy_glQueryCounter_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_3,
        GL_extension_GL_ARB_timer_query,
        GL_extension_GL_EXT_disjoint_timer_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        39470 /* "glQueryCounter" */,
        39470 /* "glQueryCounter" */,
        39485 /* "glQueryCounterEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 39470 /* "glQueryCounter" */,
                                providers, entrypoints);
}

static PFNGLQUERYCOUNTEREXTPROC
epoxy_glQueryCounterEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_disjoint_timer_query,
        Desktop_OpenGL_3_3,
        GL_extension_GL_ARB_timer_query,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        39485 /* "glQueryCounterEXT" */,
        39470 /* "glQueryCounter" */,
        39470 /* "glQueryCounter" */,
    };
    return gl_provider_resolver(entrypoint_strings + 39485 /* "glQueryCounterEXT" */,
                                providers, entrypoints);
}

static PFNGLQUERYMATRIXXOESPROC
epoxy_glQueryMatrixxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_query_matrix, 39503 /* glQueryMatrixxOES */);
}

static PFNGLQUERYOBJECTPARAMETERUIAMDPROC
epoxy_glQueryObjectParameteruiAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_occlusion_query_event, 39521 /* glQueryObjectParameteruiAMD */);
}

static PFNGLRASTERPOS2DPROC
epoxy_glRasterPos2d_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39549 /* glRasterPos2d */);
}

static PFNGLRASTERPOS2DVPROC
epoxy_glRasterPos2dv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39563 /* glRasterPos2dv */);
}

static PFNGLRASTERPOS2FPROC
epoxy_glRasterPos2f_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39578 /* glRasterPos2f */);
}

static PFNGLRASTERPOS2FVPROC
epoxy_glRasterPos2fv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39592 /* glRasterPos2fv */);
}

static PFNGLRASTERPOS2IPROC
epoxy_glRasterPos2i_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39607 /* glRasterPos2i */);
}

static PFNGLRASTERPOS2IVPROC
epoxy_glRasterPos2iv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39621 /* glRasterPos2iv */);
}

static PFNGLRASTERPOS2SPROC
epoxy_glRasterPos2s_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39636 /* glRasterPos2s */);
}

static PFNGLRASTERPOS2SVPROC
epoxy_glRasterPos2sv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39650 /* glRasterPos2sv */);
}

static PFNGLRASTERPOS2XOESPROC
epoxy_glRasterPos2xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 39665 /* glRasterPos2xOES */);
}

static PFNGLRASTERPOS2XVOESPROC
epoxy_glRasterPos2xvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 39682 /* glRasterPos2xvOES */);
}

static PFNGLRASTERPOS3DPROC
epoxy_glRasterPos3d_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39700 /* glRasterPos3d */);
}

static PFNGLRASTERPOS3DVPROC
epoxy_glRasterPos3dv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39714 /* glRasterPos3dv */);
}

static PFNGLRASTERPOS3FPROC
epoxy_glRasterPos3f_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39729 /* glRasterPos3f */);
}

static PFNGLRASTERPOS3FVPROC
epoxy_glRasterPos3fv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39743 /* glRasterPos3fv */);
}

static PFNGLRASTERPOS3IPROC
epoxy_glRasterPos3i_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39758 /* glRasterPos3i */);
}

static PFNGLRASTERPOS3IVPROC
epoxy_glRasterPos3iv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39772 /* glRasterPos3iv */);
}

static PFNGLRASTERPOS3SPROC
epoxy_glRasterPos3s_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39787 /* glRasterPos3s */);
}

static PFNGLRASTERPOS3SVPROC
epoxy_glRasterPos3sv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39801 /* glRasterPos3sv */);
}

static PFNGLRASTERPOS3XOESPROC
epoxy_glRasterPos3xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 39816 /* glRasterPos3xOES */);
}

static PFNGLRASTERPOS3XVOESPROC
epoxy_glRasterPos3xvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 39833 /* glRasterPos3xvOES */);
}

static PFNGLRASTERPOS4DPROC
epoxy_glRasterPos4d_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39851 /* glRasterPos4d */);
}

static PFNGLRASTERPOS4DVPROC
epoxy_glRasterPos4dv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39865 /* glRasterPos4dv */);
}

static PFNGLRASTERPOS4FPROC
epoxy_glRasterPos4f_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39880 /* glRasterPos4f */);
}

static PFNGLRASTERPOS4FVPROC
epoxy_glRasterPos4fv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39894 /* glRasterPos4fv */);
}

static PFNGLRASTERPOS4IPROC
epoxy_glRasterPos4i_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39909 /* glRasterPos4i */);
}

static PFNGLRASTERPOS4IVPROC
epoxy_glRasterPos4iv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39923 /* glRasterPos4iv */);
}

static PFNGLRASTERPOS4SPROC
epoxy_glRasterPos4s_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39938 /* glRasterPos4s */);
}

static PFNGLRASTERPOS4SVPROC
epoxy_glRasterPos4sv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 39952 /* glRasterPos4sv */);
}

static PFNGLRASTERPOS4XOESPROC
epoxy_glRasterPos4xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 39967 /* glRasterPos4xOES */);
}

static PFNGLRASTERPOS4XVOESPROC
epoxy_glRasterPos4xvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 39984 /* glRasterPos4xvOES */);
}

static PFNGLREADBUFFERPROC
epoxy_glReadBuffer_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        40002 /* "glReadBuffer" */,
        40002 /* "glReadBuffer" */,
    };
    return gl_provider_resolver(entrypoint_strings + 40002 /* "glReadBuffer" */,
                                providers, entrypoints);
}

static PFNGLREADBUFFERINDEXEDEXTPROC
epoxy_glReadBufferIndexedEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_multiview_draw_buffers, 40015 /* glReadBufferIndexedEXT */);
}

static PFNGLREADBUFFERNVPROC
epoxy_glReadBufferNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_read_buffer, 40038 /* glReadBufferNV */);
}

static PFNGLREADINSTRUMENTSSGIXPROC
epoxy_glReadInstrumentsSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_instruments, 40053 /* glReadInstrumentsSGIX */);
}

static PFNGLREADPIXELSPROC
epoxy_glReadPixels_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        40075 /* "glReadPixels" */,
        40075 /* "glReadPixels" */,
        40075 /* "glReadPixels" */,
    };
    return gl_provider_resolver(entrypoint_strings + 40075 /* "glReadPixels" */,
                                providers, entrypoints);
}

static PFNGLREADNPIXELSARBPROC
epoxy_glReadnPixelsARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_robustness, 40088 /* glReadnPixelsARB */);
}

static PFNGLREADNPIXELSEXTPROC
epoxy_glReadnPixelsEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_robustness, 40105 /* glReadnPixelsEXT */);
}

static PFNGLRECTDPROC
epoxy_glRectd_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 40122 /* glRectd */);
}

static PFNGLRECTDVPROC
epoxy_glRectdv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 40130 /* glRectdv */);
}

static PFNGLRECTFPROC
epoxy_glRectf_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 40139 /* glRectf */);
}

static PFNGLRECTFVPROC
epoxy_glRectfv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 40147 /* glRectfv */);
}

static PFNGLRECTIPROC
epoxy_glRecti_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 40156 /* glRecti */);
}

static PFNGLRECTIVPROC
epoxy_glRectiv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 40164 /* glRectiv */);
}

static PFNGLRECTSPROC
epoxy_glRects_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 40173 /* glRects */);
}

static PFNGLRECTSVPROC
epoxy_glRectsv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 40181 /* glRectsv */);
}

static PFNGLRECTXOESPROC
epoxy_glRectxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 40190 /* glRectxOES */);
}

static PFNGLRECTXVOESPROC
epoxy_glRectxvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 40201 /* glRectxvOES */);
}

static PFNGLREFERENCEPLANESGIXPROC
epoxy_glReferencePlaneSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_reference_plane, 40213 /* glReferencePlaneSGIX */);
}

static PFNGLRELEASESHADERCOMPILERPROC
epoxy_glReleaseShaderCompiler_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_ES2_compatibility,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        40234 /* "glReleaseShaderCompiler" */,
        40234 /* "glReleaseShaderCompiler" */,
        40234 /* "glReleaseShaderCompiler" */,
    };
    return gl_provider_resolver(entrypoint_strings + 40234 /* "glReleaseShaderCompiler" */,
                                providers, entrypoints);
}

static PFNGLRENDERMODEPROC
epoxy_glRenderMode_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 40258 /* glRenderMode */);
}

static PFNGLRENDERBUFFERSTORAGEPROC
epoxy_glRenderbufferStorage_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        OpenGL_ES_2_0,
        GL_extension_GL_EXT_framebuffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        40271 /* "glRenderbufferStorage" */,
        40271 /* "glRenderbufferStorage" */,
        40271 /* "glRenderbufferStorage" */,
        40293 /* "glRenderbufferStorageEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 40271 /* "glRenderbufferStorage" */,
                                providers, entrypoints);
}

static PFNGLRENDERBUFFERSTORAGEEXTPROC
epoxy_glRenderbufferStorageEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_framebuffer_object,
        Desktop_OpenGL_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        40293 /* "glRenderbufferStorageEXT" */,
        40271 /* "glRenderbufferStorage" */,
        40271 /* "glRenderbufferStorage" */,
        40271 /* "glRenderbufferStorage" */,
    };
    return gl_provider_resolver(entrypoint_strings + 40293 /* "glRenderbufferStorageEXT" */,
                                providers, entrypoints);
}

static PFNGLRENDERBUFFERSTORAGEMULTISAMPLEPROC
epoxy_glRenderbufferStorageMultisample_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        GL_extension_GL_EXT_framebuffer_multisample,
        GL_extension_GL_EXT_multisampled_render_to_texture,
        GL_extension_GL_NV_framebuffer_multisample,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        40318 /* "glRenderbufferStorageMultisample" */,
        40318 /* "glRenderbufferStorageMultisample" */,
        40318 /* "glRenderbufferStorageMultisample" */,
        40470 /* "glRenderbufferStorageMultisampleEXT" */,
        40470 /* "glRenderbufferStorageMultisampleEXT" */,
        40542 /* "glRenderbufferStorageMultisampleNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 40318 /* "glRenderbufferStorageMultisample" */,
                                providers, entrypoints);
}

static PFNGLRENDERBUFFERSTORAGEMULTISAMPLEANGLEPROC
epoxy_glRenderbufferStorageMultisampleANGLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ANGLE_framebuffer_multisample, 40351 /* glRenderbufferStorageMultisampleANGLE */);
}

static PFNGLRENDERBUFFERSTORAGEMULTISAMPLEAPPLEPROC
epoxy_glRenderbufferStorageMultisampleAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_framebuffer_multisample, 40389 /* glRenderbufferStorageMultisampleAPPLE */);
}

static PFNGLRENDERBUFFERSTORAGEMULTISAMPLECOVERAGENVPROC
epoxy_glRenderbufferStorageMultisampleCoverageNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_framebuffer_multisample_coverage, 40427 /* glRenderbufferStorageMultisampleCoverageNV */);
}

static PFNGLRENDERBUFFERSTORAGEMULTISAMPLEEXTPROC
epoxy_glRenderbufferStorageMultisampleEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_framebuffer_multisample,
        GL_extension_GL_EXT_multisampled_render_to_texture,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        GL_extension_GL_NV_framebuffer_multisample,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        40470 /* "glRenderbufferStorageMultisampleEXT" */,
        40470 /* "glRenderbufferStorageMultisampleEXT" */,
        40318 /* "glRenderbufferStorageMultisample" */,
        40318 /* "glRenderbufferStorageMultisample" */,
        40318 /* "glRenderbufferStorageMultisample" */,
        40542 /* "glRenderbufferStorageMultisampleNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 40470 /* "glRenderbufferStorageMultisampleEXT" */,
                                providers, entrypoints);
}

static PFNGLRENDERBUFFERSTORAGEMULTISAMPLEIMGPROC
epoxy_glRenderbufferStorageMultisampleIMG_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_IMG_multisampled_render_to_texture, 40506 /* glRenderbufferStorageMultisampleIMG */);
}

static PFNGLRENDERBUFFERSTORAGEMULTISAMPLENVPROC
epoxy_glRenderbufferStorageMultisampleNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_framebuffer_multisample,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_framebuffer_object,
        GL_extension_GL_EXT_framebuffer_multisample,
        GL_extension_GL_EXT_multisampled_render_to_texture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        40542 /* "glRenderbufferStorageMultisampleNV" */,
        40318 /* "glRenderbufferStorageMultisample" */,
        40318 /* "glRenderbufferStorageMultisample" */,
        40318 /* "glRenderbufferStorageMultisample" */,
        40470 /* "glRenderbufferStorageMultisampleEXT" */,
        40470 /* "glRenderbufferStorageMultisampleEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 40542 /* "glRenderbufferStorageMultisampleNV" */,
                                providers, entrypoints);
}

static PFNGLRENDERBUFFERSTORAGEOESPROC
epoxy_glRenderbufferStorageOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_framebuffer_object, 40577 /* glRenderbufferStorageOES */);
}

static PFNGLREPLACEMENTCODEPOINTERSUNPROC
epoxy_glReplacementCodePointerSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_triangle_list, 40602 /* glReplacementCodePointerSUN */);
}

static PFNGLREPLACEMENTCODEUBSUNPROC
epoxy_glReplacementCodeubSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_triangle_list, 40630 /* glReplacementCodeubSUN */);
}

static PFNGLREPLACEMENTCODEUBVSUNPROC
epoxy_glReplacementCodeubvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_triangle_list, 40653 /* glReplacementCodeubvSUN */);
}

static PFNGLREPLACEMENTCODEUICOLOR3FVERTEX3FSUNPROC
epoxy_glReplacementCodeuiColor3fVertex3fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 40677 /* glReplacementCodeuiColor3fVertex3fSUN */);
}

static PFNGLREPLACEMENTCODEUICOLOR3FVERTEX3FVSUNPROC
epoxy_glReplacementCodeuiColor3fVertex3fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 40715 /* glReplacementCodeuiColor3fVertex3fvSUN */);
}

static PFNGLREPLACEMENTCODEUICOLOR4FNORMAL3FVERTEX3FSUNPROC
epoxy_glReplacementCodeuiColor4fNormal3fVertex3fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 40754 /* glReplacementCodeuiColor4fNormal3fVertex3fSUN */);
}

static PFNGLREPLACEMENTCODEUICOLOR4FNORMAL3FVERTEX3FVSUNPROC
epoxy_glReplacementCodeuiColor4fNormal3fVertex3fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 40800 /* glReplacementCodeuiColor4fNormal3fVertex3fvSUN */);
}

static PFNGLREPLACEMENTCODEUICOLOR4UBVERTEX3FSUNPROC
epoxy_glReplacementCodeuiColor4ubVertex3fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 40847 /* glReplacementCodeuiColor4ubVertex3fSUN */);
}

static PFNGLREPLACEMENTCODEUICOLOR4UBVERTEX3FVSUNPROC
epoxy_glReplacementCodeuiColor4ubVertex3fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 40886 /* glReplacementCodeuiColor4ubVertex3fvSUN */);
}

static PFNGLREPLACEMENTCODEUINORMAL3FVERTEX3FSUNPROC
epoxy_glReplacementCodeuiNormal3fVertex3fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 40926 /* glReplacementCodeuiNormal3fVertex3fSUN */);
}

static PFNGLREPLACEMENTCODEUINORMAL3FVERTEX3FVSUNPROC
epoxy_glReplacementCodeuiNormal3fVertex3fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 40965 /* glReplacementCodeuiNormal3fVertex3fvSUN */);
}

static PFNGLREPLACEMENTCODEUISUNPROC
epoxy_glReplacementCodeuiSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_triangle_list, 41005 /* glReplacementCodeuiSUN */);
}

static PFNGLREPLACEMENTCODEUITEXCOORD2FCOLOR4FNORMAL3FVERTEX3FSUNPROC
epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 41028 /* glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN */);
}

static PFNGLREPLACEMENTCODEUITEXCOORD2FCOLOR4FNORMAL3FVERTEX3FVSUNPROC
epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 41084 /* glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN */);
}

static PFNGLREPLACEMENTCODEUITEXCOORD2FNORMAL3FVERTEX3FSUNPROC
epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 41141 /* glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN */);
}

static PFNGLREPLACEMENTCODEUITEXCOORD2FNORMAL3FVERTEX3FVSUNPROC
epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 41190 /* glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN */);
}

static PFNGLREPLACEMENTCODEUITEXCOORD2FVERTEX3FSUNPROC
epoxy_glReplacementCodeuiTexCoord2fVertex3fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 41240 /* glReplacementCodeuiTexCoord2fVertex3fSUN */);
}

static PFNGLREPLACEMENTCODEUITEXCOORD2FVERTEX3FVSUNPROC
epoxy_glReplacementCodeuiTexCoord2fVertex3fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 41281 /* glReplacementCodeuiTexCoord2fVertex3fvSUN */);
}

static PFNGLREPLACEMENTCODEUIVERTEX3FSUNPROC
epoxy_glReplacementCodeuiVertex3fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 41323 /* glReplacementCodeuiVertex3fSUN */);
}

static PFNGLREPLACEMENTCODEUIVERTEX3FVSUNPROC
epoxy_glReplacementCodeuiVertex3fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 41354 /* glReplacementCodeuiVertex3fvSUN */);
}

static PFNGLREPLACEMENTCODEUIVSUNPROC
epoxy_glReplacementCodeuivSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_triangle_list, 41386 /* glReplacementCodeuivSUN */);
}

static PFNGLREPLACEMENTCODEUSSUNPROC
epoxy_glReplacementCodeusSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_triangle_list, 41410 /* glReplacementCodeusSUN */);
}

static PFNGLREPLACEMENTCODEUSVSUNPROC
epoxy_glReplacementCodeusvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_triangle_list, 41433 /* glReplacementCodeusvSUN */);
}

static PFNGLREQUESTRESIDENTPROGRAMSNVPROC
epoxy_glRequestResidentProgramsNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 41457 /* glRequestResidentProgramsNV */);
}

static PFNGLRESETHISTOGRAMPROC
epoxy_glResetHistogram_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_EXT_histogram,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        41485 /* "glResetHistogram" */,
        41502 /* "glResetHistogramEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 41485 /* "glResetHistogram" */,
                                providers, entrypoints);
}

static PFNGLRESETHISTOGRAMEXTPROC
epoxy_glResetHistogramEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_histogram,
        GL_extension_GL_ARB_imaging,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        41502 /* "glResetHistogramEXT" */,
        41485 /* "glResetHistogram" */,
    };
    return gl_provider_resolver(entrypoint_strings + 41502 /* "glResetHistogramEXT" */,
                                providers, entrypoints);
}

static PFNGLRESETMINMAXPROC
epoxy_glResetMinmax_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_EXT_histogram,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        41522 /* "glResetMinmax" */,
        41536 /* "glResetMinmaxEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 41522 /* "glResetMinmax" */,
                                providers, entrypoints);
}

static PFNGLRESETMINMAXEXTPROC
epoxy_glResetMinmaxEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_histogram,
        GL_extension_GL_ARB_imaging,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        41536 /* "glResetMinmaxEXT" */,
        41522 /* "glResetMinmax" */,
    };
    return gl_provider_resolver(entrypoint_strings + 41536 /* "glResetMinmaxEXT" */,
                                providers, entrypoints);
}

static PFNGLRESIZEBUFFERSMESAPROC
epoxy_glResizeBuffersMESA_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_MESA_resize_buffers, 41553 /* glResizeBuffersMESA */);
}

static PFNGLRESOLVEMULTISAMPLEFRAMEBUFFERAPPLEPROC
epoxy_glResolveMultisampleFramebufferAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_framebuffer_multisample, 41573 /* glResolveMultisampleFramebufferAPPLE */);
}

static PFNGLRESUMETRANSFORMFEEDBACKPROC
epoxy_glResumeTransformFeedback_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_transform_feedback2,
        GL_extension_GL_NV_transform_feedback2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        41610 /* "glResumeTransformFeedback" */,
        41610 /* "glResumeTransformFeedback" */,
        41610 /* "glResumeTransformFeedback" */,
        41636 /* "glResumeTransformFeedbackNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 41610 /* "glResumeTransformFeedback" */,
                                providers, entrypoints);
}

static PFNGLRESUMETRANSFORMFEEDBACKNVPROC
epoxy_glResumeTransformFeedbackNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_transform_feedback2,
        Desktop_OpenGL_4_0,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_transform_feedback2,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        41636 /* "glResumeTransformFeedbackNV" */,
        41610 /* "glResumeTransformFeedback" */,
        41610 /* "glResumeTransformFeedback" */,
        41610 /* "glResumeTransformFeedback" */,
    };
    return gl_provider_resolver(entrypoint_strings + 41636 /* "glResumeTransformFeedbackNV" */,
                                providers, entrypoints);
}

static PFNGLROTATEDPROC
epoxy_glRotated_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 41664 /* glRotated */);
}

static PFNGLROTATEFPROC
epoxy_glRotatef_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        41674 /* "glRotatef" */,
        41674 /* "glRotatef" */,
    };
    return gl_provider_resolver(entrypoint_strings + 41674 /* "glRotatef" */,
                                providers, entrypoints);
}

static PFNGLROTATEXPROC
epoxy_glRotatex_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 41684 /* glRotatex */);
}

static PFNGLROTATEXOESPROC
epoxy_glRotatexOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 41694 /* glRotatexOES */);
}

static PFNGLSAMPLECOVERAGEPROC
epoxy_glSampleCoverage_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_3,
        OpenGL_ES_2_0,
        GL_extension_GL_ARB_multisample,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        41707 /* "glSampleCoverage" */,
        41707 /* "glSampleCoverage" */,
        41707 /* "glSampleCoverage" */,
        41724 /* "glSampleCoverageARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 41707 /* "glSampleCoverage" */,
                                providers, entrypoints);
}

static PFNGLSAMPLECOVERAGEARBPROC
epoxy_glSampleCoverageARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_multisample,
        OpenGL_ES_1_0,
        Desktop_OpenGL_1_3,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        41724 /* "glSampleCoverageARB" */,
        41707 /* "glSampleCoverage" */,
        41707 /* "glSampleCoverage" */,
        41707 /* "glSampleCoverage" */,
    };
    return gl_provider_resolver(entrypoint_strings + 41724 /* "glSampleCoverageARB" */,
                                providers, entrypoints);
}

static PFNGLSAMPLECOVERAGEOESPROC
epoxy_glSampleCoverageOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 41744 /* glSampleCoverageOES */);
}

static PFNGLSAMPLECOVERAGEXPROC
epoxy_glSampleCoveragex_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 41764 /* glSampleCoveragex */);
}

static PFNGLSAMPLECOVERAGEXOESPROC
epoxy_glSampleCoveragexOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 41782 /* glSampleCoveragexOES */);
}

static PFNGLSAMPLEMAPATIPROC
epoxy_glSampleMapATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_fragment_shader, 41803 /* glSampleMapATI */);
}

static PFNGLSAMPLEMASKEXTPROC
epoxy_glSampleMaskEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_multisample,
        GL_extension_GL_SGIS_multisample,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        41818 /* "glSampleMaskEXT" */,
        41856 /* "glSampleMaskSGIS" */,
    };
    return gl_provider_resolver(entrypoint_strings + 41818 /* "glSampleMaskEXT" */,
                                providers, entrypoints);
}

static PFNGLSAMPLEMASKINDEXEDNVPROC
epoxy_glSampleMaskIndexedNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_explicit_multisample, 41834 /* glSampleMaskIndexedNV */);
}

static PFNGLSAMPLEMASKSGISPROC
epoxy_glSampleMaskSGIS_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_SGIS_multisample,
        GL_extension_GL_EXT_multisample,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        41856 /* "glSampleMaskSGIS" */,
        41818 /* "glSampleMaskEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 41856 /* "glSampleMaskSGIS" */,
                                providers, entrypoints);
}

static PFNGLSAMPLEMASKIPROC
epoxy_glSampleMaski_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_2,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_texture_multisample,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        41873 /* "glSampleMaski" */,
        41873 /* "glSampleMaski" */,
        41873 /* "glSampleMaski" */,
    };
    return gl_provider_resolver(entrypoint_strings + 41873 /* "glSampleMaski" */,
                                providers, entrypoints);
}

static PFNGLSAMPLEPATTERNEXTPROC
epoxy_glSamplePatternEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_multisample,
        GL_extension_GL_SGIS_multisample,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        41887 /* "glSamplePatternEXT" */,
        41906 /* "glSamplePatternSGIS" */,
    };
    return gl_provider_resolver(entrypoint_strings + 41887 /* "glSamplePatternEXT" */,
                                providers, entrypoints);
}

static PFNGLSAMPLEPATTERNSGISPROC
epoxy_glSamplePatternSGIS_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_SGIS_multisample,
        GL_extension_GL_EXT_multisample,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        41906 /* "glSamplePatternSGIS" */,
        41887 /* "glSamplePatternEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 41906 /* "glSamplePatternSGIS" */,
                                providers, entrypoints);
}

static PFNGLSAMPLERPARAMETERIIVPROC
epoxy_glSamplerParameterIiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_sampler_objects,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        41926 /* "glSamplerParameterIiv" */,
        41926 /* "glSamplerParameterIiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 41926 /* "glSamplerParameterIiv" */,
                                providers, entrypoints);
}

static PFNGLSAMPLERPARAMETERIUIVPROC
epoxy_glSamplerParameterIuiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_sampler_objects,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        41948 /* "glSamplerParameterIuiv" */,
        41948 /* "glSamplerParameterIuiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 41948 /* "glSamplerParameterIuiv" */,
                                providers, entrypoints);
}

static PFNGLSAMPLERPARAMETERFPROC
epoxy_glSamplerParameterf_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_sampler_objects,
        Desktop_OpenGL_3_3,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        41971 /* "glSamplerParameterf" */,
        41971 /* "glSamplerParameterf" */,
        41971 /* "glSamplerParameterf" */,
    };
    return gl_provider_resolver(entrypoint_strings + 41971 /* "glSamplerParameterf" */,
                                providers, entrypoints);
}

static PFNGLSAMPLERPARAMETERFVPROC
epoxy_glSamplerParameterfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_sampler_objects,
        Desktop_OpenGL_3_3,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        41991 /* "glSamplerParameterfv" */,
        41991 /* "glSamplerParameterfv" */,
        41991 /* "glSamplerParameterfv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 41991 /* "glSamplerParameterfv" */,
                                providers, entrypoints);
}

static PFNGLSAMPLERPARAMETERIPROC
epoxy_glSamplerParameteri_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_sampler_objects,
        Desktop_OpenGL_3_3,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42012 /* "glSamplerParameteri" */,
        42012 /* "glSamplerParameteri" */,
        42012 /* "glSamplerParameteri" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42012 /* "glSamplerParameteri" */,
                                providers, entrypoints);
}

static PFNGLSAMPLERPARAMETERIVPROC
epoxy_glSamplerParameteriv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_sampler_objects,
        Desktop_OpenGL_3_3,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42032 /* "glSamplerParameteriv" */,
        42032 /* "glSamplerParameteriv" */,
        42032 /* "glSamplerParameteriv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42032 /* "glSamplerParameteriv" */,
                                providers, entrypoints);
}

static PFNGLSCALEDPROC
epoxy_glScaled_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 42053 /* glScaled */);
}

static PFNGLSCALEFPROC
epoxy_glScalef_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42062 /* "glScalef" */,
        42062 /* "glScalef" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42062 /* "glScalef" */,
                                providers, entrypoints);
}

static PFNGLSCALEXPROC
epoxy_glScalex_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 42071 /* glScalex */);
}

static PFNGLSCALEXOESPROC
epoxy_glScalexOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 42080 /* glScalexOES */);
}

static PFNGLSCISSORPROC
epoxy_glScissor_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42092 /* "glScissor" */,
        42092 /* "glScissor" */,
        42092 /* "glScissor" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42092 /* "glScissor" */,
                                providers, entrypoints);
}

static PFNGLSCISSORARRAYVPROC
epoxy_glScissorArrayv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_viewport_array,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42102 /* "glScissorArrayv" */,
        42102 /* "glScissorArrayv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42102 /* "glScissorArrayv" */,
                                providers, entrypoints);
}

static PFNGLSCISSORINDEXEDPROC
epoxy_glScissorIndexed_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_viewport_array,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42118 /* "glScissorIndexed" */,
        42118 /* "glScissorIndexed" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42118 /* "glScissorIndexed" */,
                                providers, entrypoints);
}

static PFNGLSCISSORINDEXEDVPROC
epoxy_glScissorIndexedv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_viewport_array,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42135 /* "glScissorIndexedv" */,
        42135 /* "glScissorIndexedv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42135 /* "glScissorIndexedv" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3BPROC
epoxy_glSecondaryColor3b_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_secondary_color,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42153 /* "glSecondaryColor3b" */,
        42172 /* "glSecondaryColor3bEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42153 /* "glSecondaryColor3b" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3BEXTPROC
epoxy_glSecondaryColor3bEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_secondary_color,
        Desktop_OpenGL_1_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42172 /* "glSecondaryColor3bEXT" */,
        42153 /* "glSecondaryColor3b" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42172 /* "glSecondaryColor3bEXT" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3BVPROC
epoxy_glSecondaryColor3bv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_secondary_color,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42194 /* "glSecondaryColor3bv" */,
        42214 /* "glSecondaryColor3bvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42194 /* "glSecondaryColor3bv" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3BVEXTPROC
epoxy_glSecondaryColor3bvEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_secondary_color,
        Desktop_OpenGL_1_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42214 /* "glSecondaryColor3bvEXT" */,
        42194 /* "glSecondaryColor3bv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42214 /* "glSecondaryColor3bvEXT" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3DPROC
epoxy_glSecondaryColor3d_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_secondary_color,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42237 /* "glSecondaryColor3d" */,
        42256 /* "glSecondaryColor3dEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42237 /* "glSecondaryColor3d" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3DEXTPROC
epoxy_glSecondaryColor3dEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_secondary_color,
        Desktop_OpenGL_1_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42256 /* "glSecondaryColor3dEXT" */,
        42237 /* "glSecondaryColor3d" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42256 /* "glSecondaryColor3dEXT" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3DVPROC
epoxy_glSecondaryColor3dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_secondary_color,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42278 /* "glSecondaryColor3dv" */,
        42298 /* "glSecondaryColor3dvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42278 /* "glSecondaryColor3dv" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3DVEXTPROC
epoxy_glSecondaryColor3dvEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_secondary_color,
        Desktop_OpenGL_1_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42298 /* "glSecondaryColor3dvEXT" */,
        42278 /* "glSecondaryColor3dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42298 /* "glSecondaryColor3dvEXT" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3FPROC
epoxy_glSecondaryColor3f_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_secondary_color,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42321 /* "glSecondaryColor3f" */,
        42340 /* "glSecondaryColor3fEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42321 /* "glSecondaryColor3f" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3FEXTPROC
epoxy_glSecondaryColor3fEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_secondary_color,
        Desktop_OpenGL_1_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42340 /* "glSecondaryColor3fEXT" */,
        42321 /* "glSecondaryColor3f" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42340 /* "glSecondaryColor3fEXT" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3FVPROC
epoxy_glSecondaryColor3fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_secondary_color,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42362 /* "glSecondaryColor3fv" */,
        42382 /* "glSecondaryColor3fvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42362 /* "glSecondaryColor3fv" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3FVEXTPROC
epoxy_glSecondaryColor3fvEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_secondary_color,
        Desktop_OpenGL_1_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42382 /* "glSecondaryColor3fvEXT" */,
        42362 /* "glSecondaryColor3fv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42382 /* "glSecondaryColor3fvEXT" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3HNVPROC
epoxy_glSecondaryColor3hNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 42405 /* glSecondaryColor3hNV */);
}

static PFNGLSECONDARYCOLOR3HVNVPROC
epoxy_glSecondaryColor3hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 42426 /* glSecondaryColor3hvNV */);
}

static PFNGLSECONDARYCOLOR3IPROC
epoxy_glSecondaryColor3i_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_secondary_color,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42448 /* "glSecondaryColor3i" */,
        42467 /* "glSecondaryColor3iEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42448 /* "glSecondaryColor3i" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3IEXTPROC
epoxy_glSecondaryColor3iEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_secondary_color,
        Desktop_OpenGL_1_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42467 /* "glSecondaryColor3iEXT" */,
        42448 /* "glSecondaryColor3i" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42467 /* "glSecondaryColor3iEXT" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3IVPROC
epoxy_glSecondaryColor3iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_secondary_color,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42489 /* "glSecondaryColor3iv" */,
        42509 /* "glSecondaryColor3ivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42489 /* "glSecondaryColor3iv" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3IVEXTPROC
epoxy_glSecondaryColor3ivEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_secondary_color,
        Desktop_OpenGL_1_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42509 /* "glSecondaryColor3ivEXT" */,
        42489 /* "glSecondaryColor3iv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42509 /* "glSecondaryColor3ivEXT" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3SPROC
epoxy_glSecondaryColor3s_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_secondary_color,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42532 /* "glSecondaryColor3s" */,
        42551 /* "glSecondaryColor3sEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42532 /* "glSecondaryColor3s" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3SEXTPROC
epoxy_glSecondaryColor3sEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_secondary_color,
        Desktop_OpenGL_1_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42551 /* "glSecondaryColor3sEXT" */,
        42532 /* "glSecondaryColor3s" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42551 /* "glSecondaryColor3sEXT" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3SVPROC
epoxy_glSecondaryColor3sv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_secondary_color,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42573 /* "glSecondaryColor3sv" */,
        42593 /* "glSecondaryColor3svEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42573 /* "glSecondaryColor3sv" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3SVEXTPROC
epoxy_glSecondaryColor3svEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_secondary_color,
        Desktop_OpenGL_1_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42593 /* "glSecondaryColor3svEXT" */,
        42573 /* "glSecondaryColor3sv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42593 /* "glSecondaryColor3svEXT" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3UBPROC
epoxy_glSecondaryColor3ub_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_secondary_color,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42616 /* "glSecondaryColor3ub" */,
        42636 /* "glSecondaryColor3ubEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42616 /* "glSecondaryColor3ub" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3UBEXTPROC
epoxy_glSecondaryColor3ubEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_secondary_color,
        Desktop_OpenGL_1_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42636 /* "glSecondaryColor3ubEXT" */,
        42616 /* "glSecondaryColor3ub" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42636 /* "glSecondaryColor3ubEXT" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3UBVPROC
epoxy_glSecondaryColor3ubv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_secondary_color,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42659 /* "glSecondaryColor3ubv" */,
        42680 /* "glSecondaryColor3ubvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42659 /* "glSecondaryColor3ubv" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3UBVEXTPROC
epoxy_glSecondaryColor3ubvEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_secondary_color,
        Desktop_OpenGL_1_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42680 /* "glSecondaryColor3ubvEXT" */,
        42659 /* "glSecondaryColor3ubv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42680 /* "glSecondaryColor3ubvEXT" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3UIPROC
epoxy_glSecondaryColor3ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_secondary_color,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42704 /* "glSecondaryColor3ui" */,
        42724 /* "glSecondaryColor3uiEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42704 /* "glSecondaryColor3ui" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3UIEXTPROC
epoxy_glSecondaryColor3uiEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_secondary_color,
        Desktop_OpenGL_1_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42724 /* "glSecondaryColor3uiEXT" */,
        42704 /* "glSecondaryColor3ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42724 /* "glSecondaryColor3uiEXT" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3UIVPROC
epoxy_glSecondaryColor3uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_secondary_color,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42747 /* "glSecondaryColor3uiv" */,
        42768 /* "glSecondaryColor3uivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42747 /* "glSecondaryColor3uiv" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3UIVEXTPROC
epoxy_glSecondaryColor3uivEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_secondary_color,
        Desktop_OpenGL_1_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42768 /* "glSecondaryColor3uivEXT" */,
        42747 /* "glSecondaryColor3uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42768 /* "glSecondaryColor3uivEXT" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3USPROC
epoxy_glSecondaryColor3us_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_secondary_color,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42792 /* "glSecondaryColor3us" */,
        42812 /* "glSecondaryColor3usEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42792 /* "glSecondaryColor3us" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3USEXTPROC
epoxy_glSecondaryColor3usEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_secondary_color,
        Desktop_OpenGL_1_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42812 /* "glSecondaryColor3usEXT" */,
        42792 /* "glSecondaryColor3us" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42812 /* "glSecondaryColor3usEXT" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3USVPROC
epoxy_glSecondaryColor3usv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_secondary_color,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42835 /* "glSecondaryColor3usv" */,
        42856 /* "glSecondaryColor3usvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42835 /* "glSecondaryColor3usv" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLOR3USVEXTPROC
epoxy_glSecondaryColor3usvEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_secondary_color,
        Desktop_OpenGL_1_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42856 /* "glSecondaryColor3usvEXT" */,
        42835 /* "glSecondaryColor3usv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42856 /* "glSecondaryColor3usvEXT" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLORFORMATNVPROC
epoxy_glSecondaryColorFormatNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_buffer_unified_memory, 42880 /* glSecondaryColorFormatNV */);
}

static PFNGLSECONDARYCOLORP3UIPROC
epoxy_glSecondaryColorP3ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42905 /* "glSecondaryColorP3ui" */,
        42905 /* "glSecondaryColorP3ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42905 /* "glSecondaryColorP3ui" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLORP3UIVPROC
epoxy_glSecondaryColorP3uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42926 /* "glSecondaryColorP3uiv" */,
        42926 /* "glSecondaryColorP3uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42926 /* "glSecondaryColorP3uiv" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLORPOINTERPROC
epoxy_glSecondaryColorPointer_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_EXT_secondary_color,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42948 /* "glSecondaryColorPointer" */,
        42972 /* "glSecondaryColorPointerEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42948 /* "glSecondaryColorPointer" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLORPOINTEREXTPROC
epoxy_glSecondaryColorPointerEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_secondary_color,
        Desktop_OpenGL_1_4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        42972 /* "glSecondaryColorPointerEXT" */,
        42948 /* "glSecondaryColorPointer" */,
    };
    return gl_provider_resolver(entrypoint_strings + 42972 /* "glSecondaryColorPointerEXT" */,
                                providers, entrypoints);
}

static PFNGLSECONDARYCOLORPOINTERLISTIBMPROC
epoxy_glSecondaryColorPointerListIBM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_IBM_vertex_array_lists, 42999 /* glSecondaryColorPointerListIBM */);
}

static PFNGLSELECTBUFFERPROC
epoxy_glSelectBuffer_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 43030 /* glSelectBuffer */);
}

static PFNGLSELECTPERFMONITORCOUNTERSAMDPROC
epoxy_glSelectPerfMonitorCountersAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_performance_monitor, 43045 /* glSelectPerfMonitorCountersAMD */);
}

static PFNGLSEPARABLEFILTER2DPROC
epoxy_glSeparableFilter2D_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_imaging,
        GL_extension_GL_EXT_convolution,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        43076 /* "glSeparableFilter2D" */,
        43096 /* "glSeparableFilter2DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 43076 /* "glSeparableFilter2D" */,
                                providers, entrypoints);
}

static PFNGLSEPARABLEFILTER2DEXTPROC
epoxy_glSeparableFilter2DEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_convolution,
        GL_extension_GL_ARB_imaging,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        43096 /* "glSeparableFilter2DEXT" */,
        43076 /* "glSeparableFilter2D" */,
    };
    return gl_provider_resolver(entrypoint_strings + 43096 /* "glSeparableFilter2DEXT" */,
                                providers, entrypoints);
}

static PFNGLSETFENCEAPPLEPROC
epoxy_glSetFenceAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_fence, 43119 /* glSetFenceAPPLE */);
}

static PFNGLSETFENCENVPROC
epoxy_glSetFenceNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_fence, 43135 /* glSetFenceNV */);
}

static PFNGLSETFRAGMENTSHADERCONSTANTATIPROC
epoxy_glSetFragmentShaderConstantATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_fragment_shader, 43148 /* glSetFragmentShaderConstantATI */);
}

static PFNGLSETINVARIANTEXTPROC
epoxy_glSetInvariantEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 43179 /* glSetInvariantEXT */);
}

static PFNGLSETLOCALCONSTANTEXTPROC
epoxy_glSetLocalConstantEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 43197 /* glSetLocalConstantEXT */);
}

static PFNGLSETMULTISAMPLEFVAMDPROC
epoxy_glSetMultisamplefvAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_sample_positions, 43219 /* glSetMultisamplefvAMD */);
}

static PFNGLSHADEMODELPROC
epoxy_glShadeModel_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        43241 /* "glShadeModel" */,
        43241 /* "glShadeModel" */,
    };
    return gl_provider_resolver(entrypoint_strings + 43241 /* "glShadeModel" */,
                                providers, entrypoints);
}

static PFNGLSHADERBINARYPROC
epoxy_glShaderBinary_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_ES2_compatibility,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        43254 /* "glShaderBinary" */,
        43254 /* "glShaderBinary" */,
        43254 /* "glShaderBinary" */,
    };
    return gl_provider_resolver(entrypoint_strings + 43254 /* "glShaderBinary" */,
                                providers, entrypoints);
}

static PFNGLSHADEROP1EXTPROC
epoxy_glShaderOp1EXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 43269 /* glShaderOp1EXT */);
}

static PFNGLSHADEROP2EXTPROC
epoxy_glShaderOp2EXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 43284 /* glShaderOp2EXT */);
}

static PFNGLSHADEROP3EXTPROC
epoxy_glShaderOp3EXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 43299 /* glShaderOp3EXT */);
}

static PFNGLSHADERSOURCEPROC
epoxy_glShaderSource_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        43314 /* "glShaderSource" */,
        43314 /* "glShaderSource" */,
        43329 /* "glShaderSourceARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 43314 /* "glShaderSource" */,
                                providers, entrypoints);
}

static PFNGLSHADERSOURCEARBPROC
epoxy_glShaderSourceARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_objects,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        43329 /* "glShaderSourceARB" */,
        43314 /* "glShaderSource" */,
        43314 /* "glShaderSource" */,
    };
    return gl_provider_resolver(entrypoint_strings + 43329 /* "glShaderSourceARB" */,
                                providers, entrypoints);
}

static PFNGLSHADERSTORAGEBLOCKBINDINGPROC
epoxy_glShaderStorageBlockBinding_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_3,
        GL_extension_GL_ARB_shader_storage_buffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        43347 /* "glShaderStorageBlockBinding" */,
        43347 /* "glShaderStorageBlockBinding" */,
    };
    return gl_provider_resolver(entrypoint_strings + 43347 /* "glShaderStorageBlockBinding" */,
                                providers, entrypoints);
}

static PFNGLSHARPENTEXFUNCSGISPROC
epoxy_glSharpenTexFuncSGIS_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIS_sharpen_texture, 43375 /* glSharpenTexFuncSGIS */);
}

static PFNGLSPRITEPARAMETERFSGIXPROC
epoxy_glSpriteParameterfSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_sprite, 43396 /* glSpriteParameterfSGIX */);
}

static PFNGLSPRITEPARAMETERFVSGIXPROC
epoxy_glSpriteParameterfvSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_sprite, 43419 /* glSpriteParameterfvSGIX */);
}

static PFNGLSPRITEPARAMETERISGIXPROC
epoxy_glSpriteParameteriSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_sprite, 43443 /* glSpriteParameteriSGIX */);
}

static PFNGLSPRITEPARAMETERIVSGIXPROC
epoxy_glSpriteParameterivSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_sprite, 43466 /* glSpriteParameterivSGIX */);
}

static PFNGLSTARTINSTRUMENTSSGIXPROC
epoxy_glStartInstrumentsSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_instruments, 43490 /* glStartInstrumentsSGIX */);
}

static PFNGLSTARTTILINGQCOMPROC
epoxy_glStartTilingQCOM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_QCOM_tiled_rendering, 43513 /* glStartTilingQCOM */);
}

static PFNGLSTENCILCLEARTAGEXTPROC
epoxy_glStencilClearTagEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_stencil_clear_tag, 43531 /* glStencilClearTagEXT */);
}

static PFNGLSTENCILFILLPATHINSTANCEDNVPROC
epoxy_glStencilFillPathInstancedNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 43552 /* glStencilFillPathInstancedNV */);
}

static PFNGLSTENCILFILLPATHNVPROC
epoxy_glStencilFillPathNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 43581 /* glStencilFillPathNV */);
}

static PFNGLSTENCILFUNCPROC
epoxy_glStencilFunc_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        43601 /* "glStencilFunc" */,
        43601 /* "glStencilFunc" */,
        43601 /* "glStencilFunc" */,
    };
    return gl_provider_resolver(entrypoint_strings + 43601 /* "glStencilFunc" */,
                                providers, entrypoints);
}

static PFNGLSTENCILFUNCSEPARATEPROC
epoxy_glStencilFuncSeparate_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        43615 /* "glStencilFuncSeparate" */,
        43615 /* "glStencilFuncSeparate" */,
    };
    return gl_provider_resolver(entrypoint_strings + 43615 /* "glStencilFuncSeparate" */,
                                providers, entrypoints);
}

static PFNGLSTENCILFUNCSEPARATEATIPROC
epoxy_glStencilFuncSeparateATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_separate_stencil, 43637 /* glStencilFuncSeparateATI */);
}

static PFNGLSTENCILMASKPROC
epoxy_glStencilMask_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        43662 /* "glStencilMask" */,
        43662 /* "glStencilMask" */,
        43662 /* "glStencilMask" */,
    };
    return gl_provider_resolver(entrypoint_strings + 43662 /* "glStencilMask" */,
                                providers, entrypoints);
}

static PFNGLSTENCILMASKSEPARATEPROC
epoxy_glStencilMaskSeparate_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        43676 /* "glStencilMaskSeparate" */,
        43676 /* "glStencilMaskSeparate" */,
    };
    return gl_provider_resolver(entrypoint_strings + 43676 /* "glStencilMaskSeparate" */,
                                providers, entrypoints);
}

static PFNGLSTENCILOPPROC
epoxy_glStencilOp_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        43698 /* "glStencilOp" */,
        43698 /* "glStencilOp" */,
        43698 /* "glStencilOp" */,
    };
    return gl_provider_resolver(entrypoint_strings + 43698 /* "glStencilOp" */,
                                providers, entrypoints);
}

static PFNGLSTENCILOPSEPARATEPROC
epoxy_glStencilOpSeparate_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ATI_separate_stencil,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        43710 /* "glStencilOpSeparate" */,
        43710 /* "glStencilOpSeparate" */,
        43730 /* "glStencilOpSeparateATI" */,
    };
    return gl_provider_resolver(entrypoint_strings + 43710 /* "glStencilOpSeparate" */,
                                providers, entrypoints);
}

static PFNGLSTENCILOPSEPARATEATIPROC
epoxy_glStencilOpSeparateATI_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ATI_separate_stencil,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        43730 /* "glStencilOpSeparateATI" */,
        43710 /* "glStencilOpSeparate" */,
        43710 /* "glStencilOpSeparate" */,
    };
    return gl_provider_resolver(entrypoint_strings + 43730 /* "glStencilOpSeparateATI" */,
                                providers, entrypoints);
}

static PFNGLSTENCILOPVALUEAMDPROC
epoxy_glStencilOpValueAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_stencil_operation_extended, 43753 /* glStencilOpValueAMD */);
}

static PFNGLSTENCILSTROKEPATHINSTANCEDNVPROC
epoxy_glStencilStrokePathInstancedNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 43773 /* glStencilStrokePathInstancedNV */);
}

static PFNGLSTENCILSTROKEPATHNVPROC
epoxy_glStencilStrokePathNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 43804 /* glStencilStrokePathNV */);
}

static PFNGLSTOPINSTRUMENTSSGIXPROC
epoxy_glStopInstrumentsSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_instruments, 43826 /* glStopInstrumentsSGIX */);
}

static PFNGLSTRINGMARKERGREMEDYPROC
epoxy_glStringMarkerGREMEDY_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_GREMEDY_string_marker, 43848 /* glStringMarkerGREMEDY */);
}

static PFNGLSWIZZLEEXTPROC
epoxy_glSwizzleEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 43870 /* glSwizzleEXT */);
}

static PFNGLSYNCTEXTUREINTELPROC
epoxy_glSyncTextureINTEL_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_INTEL_map_texture, 43883 /* glSyncTextureINTEL */);
}

static PFNGLTAGSAMPLEBUFFERSGIXPROC
epoxy_glTagSampleBufferSGIX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIX_tag_sample_buffer, 43902 /* glTagSampleBufferSGIX */);
}

static PFNGLTANGENT3BEXTPROC
epoxy_glTangent3bEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 43924 /* glTangent3bEXT */);
}

static PFNGLTANGENT3BVEXTPROC
epoxy_glTangent3bvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 43939 /* glTangent3bvEXT */);
}

static PFNGLTANGENT3DEXTPROC
epoxy_glTangent3dEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 43955 /* glTangent3dEXT */);
}

static PFNGLTANGENT3DVEXTPROC
epoxy_glTangent3dvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 43970 /* glTangent3dvEXT */);
}

static PFNGLTANGENT3FEXTPROC
epoxy_glTangent3fEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 43986 /* glTangent3fEXT */);
}

static PFNGLTANGENT3FVEXTPROC
epoxy_glTangent3fvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 44001 /* glTangent3fvEXT */);
}

static PFNGLTANGENT3IEXTPROC
epoxy_glTangent3iEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 44017 /* glTangent3iEXT */);
}

static PFNGLTANGENT3IVEXTPROC
epoxy_glTangent3ivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 44032 /* glTangent3ivEXT */);
}

static PFNGLTANGENT3SEXTPROC
epoxy_glTangent3sEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 44048 /* glTangent3sEXT */);
}

static PFNGLTANGENT3SVEXTPROC
epoxy_glTangent3svEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 44063 /* glTangent3svEXT */);
}

static PFNGLTANGENTPOINTEREXTPROC
epoxy_glTangentPointerEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_coordinate_frame, 44079 /* glTangentPointerEXT */);
}

static PFNGLTBUFFERMASK3DFXPROC
epoxy_glTbufferMask3DFX_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_3DFX_tbuffer, 44099 /* glTbufferMask3DFX */);
}

static PFNGLTESSELLATIONFACTORAMDPROC
epoxy_glTessellationFactorAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_vertex_shader_tessellator, 44117 /* glTessellationFactorAMD */);
}

static PFNGLTESSELLATIONMODEAMDPROC
epoxy_glTessellationModeAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_vertex_shader_tessellator, 44141 /* glTessellationModeAMD */);
}

static PFNGLTESTFENCEAPPLEPROC
epoxy_glTestFenceAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_fence, 44163 /* glTestFenceAPPLE */);
}

static PFNGLTESTFENCENVPROC
epoxy_glTestFenceNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_fence, 44180 /* glTestFenceNV */);
}

static PFNGLTESTOBJECTAPPLEPROC
epoxy_glTestObjectAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_fence, 44194 /* glTestObjectAPPLE */);
}

static PFNGLTEXBUFFERPROC
epoxy_glTexBuffer_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_1,
        GL_extension_GL_ARB_texture_buffer_object,
        GL_extension_GL_EXT_texture_buffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        44212 /* "glTexBuffer" */,
        44224 /* "glTexBufferARB" */,
        44239 /* "glTexBufferEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 44212 /* "glTexBuffer" */,
                                providers, entrypoints);
}

static PFNGLTEXBUFFERARBPROC
epoxy_glTexBufferARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_texture_buffer_object,
        Desktop_OpenGL_3_1,
        GL_extension_GL_EXT_texture_buffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        44224 /* "glTexBufferARB" */,
        44212 /* "glTexBuffer" */,
        44239 /* "glTexBufferEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 44224 /* "glTexBufferARB" */,
                                providers, entrypoints);
}

static PFNGLTEXBUFFEREXTPROC
epoxy_glTexBufferEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_texture_buffer_object,
        Desktop_OpenGL_3_1,
        GL_extension_GL_ARB_texture_buffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        44239 /* "glTexBufferEXT" */,
        44212 /* "glTexBuffer" */,
        44224 /* "glTexBufferARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 44239 /* "glTexBufferEXT" */,
                                providers, entrypoints);
}

static PFNGLTEXBUFFERRANGEPROC
epoxy_glTexBufferRange_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_3,
        GL_extension_GL_ARB_texture_buffer_range,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        44254 /* "glTexBufferRange" */,
        44254 /* "glTexBufferRange" */,
    };
    return gl_provider_resolver(entrypoint_strings + 44254 /* "glTexBufferRange" */,
                                providers, entrypoints);
}

static PFNGLTEXBUMPPARAMETERFVATIPROC
epoxy_glTexBumpParameterfvATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_envmap_bumpmap, 44271 /* glTexBumpParameterfvATI */);
}

static PFNGLTEXBUMPPARAMETERIVATIPROC
epoxy_glTexBumpParameterivATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_envmap_bumpmap, 44295 /* glTexBumpParameterivATI */);
}

static PFNGLTEXCOORD1BOESPROC
epoxy_glTexCoord1bOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 44319 /* glTexCoord1bOES */);
}

static PFNGLTEXCOORD1BVOESPROC
epoxy_glTexCoord1bvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 44335 /* glTexCoord1bvOES */);
}

static PFNGLTEXCOORD1DPROC
epoxy_glTexCoord1d_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 44352 /* glTexCoord1d */);
}

static PFNGLTEXCOORD1DVPROC
epoxy_glTexCoord1dv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 44365 /* glTexCoord1dv */);
}

static PFNGLTEXCOORD1FPROC
epoxy_glTexCoord1f_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 44379 /* glTexCoord1f */);
}

static PFNGLTEXCOORD1FVPROC
epoxy_glTexCoord1fv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 44392 /* glTexCoord1fv */);
}

static PFNGLTEXCOORD1HNVPROC
epoxy_glTexCoord1hNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 44406 /* glTexCoord1hNV */);
}

static PFNGLTEXCOORD1HVNVPROC
epoxy_glTexCoord1hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 44421 /* glTexCoord1hvNV */);
}

static PFNGLTEXCOORD1IPROC
epoxy_glTexCoord1i_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 44437 /* glTexCoord1i */);
}

static PFNGLTEXCOORD1IVPROC
epoxy_glTexCoord1iv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 44450 /* glTexCoord1iv */);
}

static PFNGLTEXCOORD1SPROC
epoxy_glTexCoord1s_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 44464 /* glTexCoord1s */);
}

static PFNGLTEXCOORD1SVPROC
epoxy_glTexCoord1sv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 44477 /* glTexCoord1sv */);
}

static PFNGLTEXCOORD1XOESPROC
epoxy_glTexCoord1xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 44491 /* glTexCoord1xOES */);
}

static PFNGLTEXCOORD1XVOESPROC
epoxy_glTexCoord1xvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 44507 /* glTexCoord1xvOES */);
}

static PFNGLTEXCOORD2BOESPROC
epoxy_glTexCoord2bOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 44524 /* glTexCoord2bOES */);
}

static PFNGLTEXCOORD2BVOESPROC
epoxy_glTexCoord2bvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 44540 /* glTexCoord2bvOES */);
}

static PFNGLTEXCOORD2DPROC
epoxy_glTexCoord2d_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 44557 /* glTexCoord2d */);
}

static PFNGLTEXCOORD2DVPROC
epoxy_glTexCoord2dv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 44570 /* glTexCoord2dv */);
}

static PFNGLTEXCOORD2FPROC
epoxy_glTexCoord2f_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 44584 /* glTexCoord2f */);
}

static PFNGLTEXCOORD2FCOLOR3FVERTEX3FSUNPROC
epoxy_glTexCoord2fColor3fVertex3fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 44597 /* glTexCoord2fColor3fVertex3fSUN */);
}

static PFNGLTEXCOORD2FCOLOR3FVERTEX3FVSUNPROC
epoxy_glTexCoord2fColor3fVertex3fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 44628 /* glTexCoord2fColor3fVertex3fvSUN */);
}

static PFNGLTEXCOORD2FCOLOR4FNORMAL3FVERTEX3FSUNPROC
epoxy_glTexCoord2fColor4fNormal3fVertex3fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 44660 /* glTexCoord2fColor4fNormal3fVertex3fSUN */);
}

static PFNGLTEXCOORD2FCOLOR4FNORMAL3FVERTEX3FVSUNPROC
epoxy_glTexCoord2fColor4fNormal3fVertex3fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 44699 /* glTexCoord2fColor4fNormal3fVertex3fvSUN */);
}

static PFNGLTEXCOORD2FCOLOR4UBVERTEX3FSUNPROC
epoxy_glTexCoord2fColor4ubVertex3fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 44739 /* glTexCoord2fColor4ubVertex3fSUN */);
}

static PFNGLTEXCOORD2FCOLOR4UBVERTEX3FVSUNPROC
epoxy_glTexCoord2fColor4ubVertex3fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 44771 /* glTexCoord2fColor4ubVertex3fvSUN */);
}

static PFNGLTEXCOORD2FNORMAL3FVERTEX3FSUNPROC
epoxy_glTexCoord2fNormal3fVertex3fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 44804 /* glTexCoord2fNormal3fVertex3fSUN */);
}

static PFNGLTEXCOORD2FNORMAL3FVERTEX3FVSUNPROC
epoxy_glTexCoord2fNormal3fVertex3fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 44836 /* glTexCoord2fNormal3fVertex3fvSUN */);
}

static PFNGLTEXCOORD2FVERTEX3FSUNPROC
epoxy_glTexCoord2fVertex3fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 44869 /* glTexCoord2fVertex3fSUN */);
}

static PFNGLTEXCOORD2FVERTEX3FVSUNPROC
epoxy_glTexCoord2fVertex3fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 44893 /* glTexCoord2fVertex3fvSUN */);
}

static PFNGLTEXCOORD2FVPROC
epoxy_glTexCoord2fv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 44918 /* glTexCoord2fv */);
}

static PFNGLTEXCOORD2HNVPROC
epoxy_glTexCoord2hNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 44932 /* glTexCoord2hNV */);
}

static PFNGLTEXCOORD2HVNVPROC
epoxy_glTexCoord2hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 44947 /* glTexCoord2hvNV */);
}

static PFNGLTEXCOORD2IPROC
epoxy_glTexCoord2i_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 44963 /* glTexCoord2i */);
}

static PFNGLTEXCOORD2IVPROC
epoxy_glTexCoord2iv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 44976 /* glTexCoord2iv */);
}

static PFNGLTEXCOORD2SPROC
epoxy_glTexCoord2s_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 44990 /* glTexCoord2s */);
}

static PFNGLTEXCOORD2SVPROC
epoxy_glTexCoord2sv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45003 /* glTexCoord2sv */);
}

static PFNGLTEXCOORD2XOESPROC
epoxy_glTexCoord2xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 45017 /* glTexCoord2xOES */);
}

static PFNGLTEXCOORD2XVOESPROC
epoxy_glTexCoord2xvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 45033 /* glTexCoord2xvOES */);
}

static PFNGLTEXCOORD3BOESPROC
epoxy_glTexCoord3bOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 45050 /* glTexCoord3bOES */);
}

static PFNGLTEXCOORD3BVOESPROC
epoxy_glTexCoord3bvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 45066 /* glTexCoord3bvOES */);
}

static PFNGLTEXCOORD3DPROC
epoxy_glTexCoord3d_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45083 /* glTexCoord3d */);
}

static PFNGLTEXCOORD3DVPROC
epoxy_glTexCoord3dv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45096 /* glTexCoord3dv */);
}

static PFNGLTEXCOORD3FPROC
epoxy_glTexCoord3f_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45110 /* glTexCoord3f */);
}

static PFNGLTEXCOORD3FVPROC
epoxy_glTexCoord3fv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45123 /* glTexCoord3fv */);
}

static PFNGLTEXCOORD3HNVPROC
epoxy_glTexCoord3hNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 45137 /* glTexCoord3hNV */);
}

static PFNGLTEXCOORD3HVNVPROC
epoxy_glTexCoord3hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 45152 /* glTexCoord3hvNV */);
}

static PFNGLTEXCOORD3IPROC
epoxy_glTexCoord3i_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45168 /* glTexCoord3i */);
}

static PFNGLTEXCOORD3IVPROC
epoxy_glTexCoord3iv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45181 /* glTexCoord3iv */);
}

static PFNGLTEXCOORD3SPROC
epoxy_glTexCoord3s_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45195 /* glTexCoord3s */);
}

static PFNGLTEXCOORD3SVPROC
epoxy_glTexCoord3sv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45208 /* glTexCoord3sv */);
}

static PFNGLTEXCOORD3XOESPROC
epoxy_glTexCoord3xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 45222 /* glTexCoord3xOES */);
}

static PFNGLTEXCOORD3XVOESPROC
epoxy_glTexCoord3xvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 45238 /* glTexCoord3xvOES */);
}

static PFNGLTEXCOORD4BOESPROC
epoxy_glTexCoord4bOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 45255 /* glTexCoord4bOES */);
}

static PFNGLTEXCOORD4BVOESPROC
epoxy_glTexCoord4bvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 45271 /* glTexCoord4bvOES */);
}

static PFNGLTEXCOORD4DPROC
epoxy_glTexCoord4d_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45288 /* glTexCoord4d */);
}

static PFNGLTEXCOORD4DVPROC
epoxy_glTexCoord4dv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45301 /* glTexCoord4dv */);
}

static PFNGLTEXCOORD4FPROC
epoxy_glTexCoord4f_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45315 /* glTexCoord4f */);
}

static PFNGLTEXCOORD4FCOLOR4FNORMAL3FVERTEX4FSUNPROC
epoxy_glTexCoord4fColor4fNormal3fVertex4fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 45328 /* glTexCoord4fColor4fNormal3fVertex4fSUN */);
}

static PFNGLTEXCOORD4FCOLOR4FNORMAL3FVERTEX4FVSUNPROC
epoxy_glTexCoord4fColor4fNormal3fVertex4fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 45367 /* glTexCoord4fColor4fNormal3fVertex4fvSUN */);
}

static PFNGLTEXCOORD4FVERTEX4FSUNPROC
epoxy_glTexCoord4fVertex4fSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 45407 /* glTexCoord4fVertex4fSUN */);
}

static PFNGLTEXCOORD4FVERTEX4FVSUNPROC
epoxy_glTexCoord4fVertex4fvSUN_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SUN_vertex, 45431 /* glTexCoord4fVertex4fvSUN */);
}

static PFNGLTEXCOORD4FVPROC
epoxy_glTexCoord4fv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45456 /* glTexCoord4fv */);
}

static PFNGLTEXCOORD4HNVPROC
epoxy_glTexCoord4hNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 45470 /* glTexCoord4hNV */);
}

static PFNGLTEXCOORD4HVNVPROC
epoxy_glTexCoord4hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 45485 /* glTexCoord4hvNV */);
}

static PFNGLTEXCOORD4IPROC
epoxy_glTexCoord4i_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45501 /* glTexCoord4i */);
}

static PFNGLTEXCOORD4IVPROC
epoxy_glTexCoord4iv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45514 /* glTexCoord4iv */);
}

static PFNGLTEXCOORD4SPROC
epoxy_glTexCoord4s_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45528 /* glTexCoord4s */);
}

static PFNGLTEXCOORD4SVPROC
epoxy_glTexCoord4sv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45541 /* glTexCoord4sv */);
}

static PFNGLTEXCOORD4XOESPROC
epoxy_glTexCoord4xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 45555 /* glTexCoord4xOES */);
}

static PFNGLTEXCOORD4XVOESPROC
epoxy_glTexCoord4xvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 45571 /* glTexCoord4xvOES */);
}

static PFNGLTEXCOORDFORMATNVPROC
epoxy_glTexCoordFormatNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_buffer_unified_memory, 45588 /* glTexCoordFormatNV */);
}

static PFNGLTEXCOORDP1UIPROC
epoxy_glTexCoordP1ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        45607 /* "glTexCoordP1ui" */,
        45607 /* "glTexCoordP1ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 45607 /* "glTexCoordP1ui" */,
                                providers, entrypoints);
}

static PFNGLTEXCOORDP1UIVPROC
epoxy_glTexCoordP1uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        45622 /* "glTexCoordP1uiv" */,
        45622 /* "glTexCoordP1uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 45622 /* "glTexCoordP1uiv" */,
                                providers, entrypoints);
}

static PFNGLTEXCOORDP2UIPROC
epoxy_glTexCoordP2ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        45638 /* "glTexCoordP2ui" */,
        45638 /* "glTexCoordP2ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 45638 /* "glTexCoordP2ui" */,
                                providers, entrypoints);
}

static PFNGLTEXCOORDP2UIVPROC
epoxy_glTexCoordP2uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        45653 /* "glTexCoordP2uiv" */,
        45653 /* "glTexCoordP2uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 45653 /* "glTexCoordP2uiv" */,
                                providers, entrypoints);
}

static PFNGLTEXCOORDP3UIPROC
epoxy_glTexCoordP3ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        45669 /* "glTexCoordP3ui" */,
        45669 /* "glTexCoordP3ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 45669 /* "glTexCoordP3ui" */,
                                providers, entrypoints);
}

static PFNGLTEXCOORDP3UIVPROC
epoxy_glTexCoordP3uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        45684 /* "glTexCoordP3uiv" */,
        45684 /* "glTexCoordP3uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 45684 /* "glTexCoordP3uiv" */,
                                providers, entrypoints);
}

static PFNGLTEXCOORDP4UIPROC
epoxy_glTexCoordP4ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        45700 /* "glTexCoordP4ui" */,
        45700 /* "glTexCoordP4ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 45700 /* "glTexCoordP4ui" */,
                                providers, entrypoints);
}

static PFNGLTEXCOORDP4UIVPROC
epoxy_glTexCoordP4uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        45715 /* "glTexCoordP4uiv" */,
        45715 /* "glTexCoordP4uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 45715 /* "glTexCoordP4uiv" */,
                                providers, entrypoints);
}

static PFNGLTEXCOORDPOINTERPROC
epoxy_glTexCoordPointer_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_1,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        45731 /* "glTexCoordPointer" */,
        45731 /* "glTexCoordPointer" */,
    };
    return gl_provider_resolver(entrypoint_strings + 45731 /* "glTexCoordPointer" */,
                                providers, entrypoints);
}

static PFNGLTEXCOORDPOINTEREXTPROC
epoxy_glTexCoordPointerEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_array, 45749 /* glTexCoordPointerEXT */);
}

static PFNGLTEXCOORDPOINTERLISTIBMPROC
epoxy_glTexCoordPointerListIBM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_IBM_vertex_array_lists, 45770 /* glTexCoordPointerListIBM */);
}

static PFNGLTEXCOORDPOINTERVINTELPROC
epoxy_glTexCoordPointervINTEL_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_INTEL_parallel_arrays, 45795 /* glTexCoordPointervINTEL */);
}

static PFNGLTEXENVFPROC
epoxy_glTexEnvf_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        45819 /* "glTexEnvf" */,
        45819 /* "glTexEnvf" */,
    };
    return gl_provider_resolver(entrypoint_strings + 45819 /* "glTexEnvf" */,
                                providers, entrypoints);
}

static PFNGLTEXENVFVPROC
epoxy_glTexEnvfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        45829 /* "glTexEnvfv" */,
        45829 /* "glTexEnvfv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 45829 /* "glTexEnvfv" */,
                                providers, entrypoints);
}

static PFNGLTEXENVIPROC
epoxy_glTexEnvi_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        45840 /* "glTexEnvi" */,
        45840 /* "glTexEnvi" */,
    };
    return gl_provider_resolver(entrypoint_strings + 45840 /* "glTexEnvi" */,
                                providers, entrypoints);
}

static PFNGLTEXENVIVPROC
epoxy_glTexEnviv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        45850 /* "glTexEnviv" */,
        45850 /* "glTexEnviv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 45850 /* "glTexEnviv" */,
                                providers, entrypoints);
}

static PFNGLTEXENVXPROC
epoxy_glTexEnvx_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 45861 /* glTexEnvx */);
}

static PFNGLTEXENVXOESPROC
epoxy_glTexEnvxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 45871 /* glTexEnvxOES */);
}

static PFNGLTEXENVXVPROC
epoxy_glTexEnvxv_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 45884 /* glTexEnvxv */);
}

static PFNGLTEXENVXVOESPROC
epoxy_glTexEnvxvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 45895 /* glTexEnvxvOES */);
}

static PFNGLTEXFILTERFUNCSGISPROC
epoxy_glTexFilterFuncSGIS_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIS_texture_filter4, 45909 /* glTexFilterFuncSGIS */);
}

static PFNGLTEXGENDPROC
epoxy_glTexGend_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45929 /* glTexGend */);
}

static PFNGLTEXGENDVPROC
epoxy_glTexGendv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45939 /* glTexGendv */);
}

static PFNGLTEXGENFPROC
epoxy_glTexGenf_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45950 /* glTexGenf */);
}

static PFNGLTEXGENFOESPROC
epoxy_glTexGenfOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_texture_cube_map, 45960 /* glTexGenfOES */);
}

static PFNGLTEXGENFVPROC
epoxy_glTexGenfv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45973 /* glTexGenfv */);
}

static PFNGLTEXGENFVOESPROC
epoxy_glTexGenfvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_texture_cube_map, 45984 /* glTexGenfvOES */);
}

static PFNGLTEXGENIPROC
epoxy_glTexGeni_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 45998 /* glTexGeni */);
}

static PFNGLTEXGENIOESPROC
epoxy_glTexGeniOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_texture_cube_map, 46008 /* glTexGeniOES */);
}

static PFNGLTEXGENIVPROC
epoxy_glTexGeniv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 46021 /* glTexGeniv */);
}

static PFNGLTEXGENIVOESPROC
epoxy_glTexGenivOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_texture_cube_map, 46032 /* glTexGenivOES */);
}

static PFNGLTEXGENXOESPROC
epoxy_glTexGenxOES_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_OES_texture_cube_map,
        GL_extension_GL_OES_fixed_point,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46046 /* "glTexGenxOES" */,
        46046 /* "glTexGenxOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46046 /* "glTexGenxOES" */,
                                providers, entrypoints);
}

static PFNGLTEXGENXVOESPROC
epoxy_glTexGenxvOES_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_OES_texture_cube_map,
        GL_extension_GL_OES_fixed_point,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46059 /* "glTexGenxvOES" */,
        46059 /* "glTexGenxvOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46059 /* "glTexGenxvOES" */,
                                providers, entrypoints);
}

static PFNGLTEXIMAGE1DPROC
epoxy_glTexImage1D_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 46073 /* glTexImage1D */);
}

static PFNGLTEXIMAGE2DPROC
epoxy_glTexImage2D_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46086 /* "glTexImage2D" */,
        46086 /* "glTexImage2D" */,
        46086 /* "glTexImage2D" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46086 /* "glTexImage2D" */,
                                providers, entrypoints);
}

static PFNGLTEXIMAGE2DMULTISAMPLEPROC
epoxy_glTexImage2DMultisample_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_2,
        GL_extension_GL_ARB_texture_multisample,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46099 /* "glTexImage2DMultisample" */,
        46099 /* "glTexImage2DMultisample" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46099 /* "glTexImage2DMultisample" */,
                                providers, entrypoints);
}

static PFNGLTEXIMAGE2DMULTISAMPLECOVERAGENVPROC
epoxy_glTexImage2DMultisampleCoverageNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_texture_multisample, 46123 /* glTexImage2DMultisampleCoverageNV */);
}

static PFNGLTEXIMAGE3DPROC
epoxy_glTexImage3D_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_2,
        OpenGL_ES_3_0,
        GL_extension_GL_EXT_texture3D,
        GL_extension_GL_OES_texture_3D,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46157 /* "glTexImage3D" */,
        46157 /* "glTexImage3D" */,
        46170 /* "glTexImage3DEXT" */,
        46244 /* "glTexImage3DOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46157 /* "glTexImage3D" */,
                                providers, entrypoints);
}

static PFNGLTEXIMAGE3DEXTPROC
epoxy_glTexImage3DEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_texture3D,
        Desktop_OpenGL_1_2,
        OpenGL_ES_3_0,
        GL_extension_GL_OES_texture_3D,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46170 /* "glTexImage3DEXT" */,
        46157 /* "glTexImage3D" */,
        46157 /* "glTexImage3D" */,
        46244 /* "glTexImage3DOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46170 /* "glTexImage3DEXT" */,
                                providers, entrypoints);
}

static PFNGLTEXIMAGE3DMULTISAMPLEPROC
epoxy_glTexImage3DMultisample_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_2,
        GL_extension_GL_ARB_texture_multisample,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46186 /* "glTexImage3DMultisample" */,
        46186 /* "glTexImage3DMultisample" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46186 /* "glTexImage3DMultisample" */,
                                providers, entrypoints);
}

static PFNGLTEXIMAGE3DMULTISAMPLECOVERAGENVPROC
epoxy_glTexImage3DMultisampleCoverageNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_texture_multisample, 46210 /* glTexImage3DMultisampleCoverageNV */);
}

static PFNGLTEXIMAGE3DOESPROC
epoxy_glTexImage3DOES_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_OES_texture_3D,
        Desktop_OpenGL_1_2,
        OpenGL_ES_3_0,
        GL_extension_GL_EXT_texture3D,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46244 /* "glTexImage3DOES" */,
        46157 /* "glTexImage3D" */,
        46157 /* "glTexImage3D" */,
        46170 /* "glTexImage3DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46244 /* "glTexImage3DOES" */,
                                providers, entrypoints);
}

static PFNGLTEXIMAGE4DSGISPROC
epoxy_glTexImage4DSGIS_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIS_texture4D, 46260 /* glTexImage4DSGIS */);
}

static PFNGLTEXPAGECOMMITMENTARBPROC
epoxy_glTexPageCommitmentARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_sparse_texture, 46277 /* glTexPageCommitmentARB */);
}

static PFNGLTEXPARAMETERIIVPROC
epoxy_glTexParameterIiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_EXT_texture_integer,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46300 /* "glTexParameterIiv" */,
        46318 /* "glTexParameterIivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46300 /* "glTexParameterIiv" */,
                                providers, entrypoints);
}

static PFNGLTEXPARAMETERIIVEXTPROC
epoxy_glTexParameterIivEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_texture_integer,
        Desktop_OpenGL_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46318 /* "glTexParameterIivEXT" */,
        46300 /* "glTexParameterIiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46318 /* "glTexParameterIivEXT" */,
                                providers, entrypoints);
}

static PFNGLTEXPARAMETERIUIVPROC
epoxy_glTexParameterIuiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_EXT_texture_integer,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46339 /* "glTexParameterIuiv" */,
        46358 /* "glTexParameterIuivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46339 /* "glTexParameterIuiv" */,
                                providers, entrypoints);
}

static PFNGLTEXPARAMETERIUIVEXTPROC
epoxy_glTexParameterIuivEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_texture_integer,
        Desktop_OpenGL_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46358 /* "glTexParameterIuivEXT" */,
        46339 /* "glTexParameterIuiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46358 /* "glTexParameterIuivEXT" */,
                                providers, entrypoints);
}

static PFNGLTEXPARAMETERFPROC
epoxy_glTexParameterf_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46380 /* "glTexParameterf" */,
        46380 /* "glTexParameterf" */,
        46380 /* "glTexParameterf" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46380 /* "glTexParameterf" */,
                                providers, entrypoints);
}

static PFNGLTEXPARAMETERFVPROC
epoxy_glTexParameterfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46396 /* "glTexParameterfv" */,
        46396 /* "glTexParameterfv" */,
        46396 /* "glTexParameterfv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46396 /* "glTexParameterfv" */,
                                providers, entrypoints);
}

static PFNGLTEXPARAMETERIPROC
epoxy_glTexParameteri_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46413 /* "glTexParameteri" */,
        46413 /* "glTexParameteri" */,
        46413 /* "glTexParameteri" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46413 /* "glTexParameteri" */,
                                providers, entrypoints);
}

static PFNGLTEXPARAMETERIVPROC
epoxy_glTexParameteriv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46429 /* "glTexParameteriv" */,
        46429 /* "glTexParameteriv" */,
        46429 /* "glTexParameteriv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46429 /* "glTexParameteriv" */,
                                providers, entrypoints);
}

static PFNGLTEXPARAMETERXPROC
epoxy_glTexParameterx_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 46446 /* glTexParameterx */);
}

static PFNGLTEXPARAMETERXOESPROC
epoxy_glTexParameterxOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 46462 /* glTexParameterxOES */);
}

static PFNGLTEXPARAMETERXVPROC
epoxy_glTexParameterxv_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 46481 /* glTexParameterxv */);
}

static PFNGLTEXPARAMETERXVOESPROC
epoxy_glTexParameterxvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 46498 /* glTexParameterxvOES */);
}

static PFNGLTEXRENDERBUFFERNVPROC
epoxy_glTexRenderbufferNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_explicit_multisample, 46518 /* glTexRenderbufferNV */);
}

static PFNGLTEXSTORAGE1DPROC
epoxy_glTexStorage1D_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_2,
        GL_extension_GL_ARB_texture_storage,
        GL_extension_GL_EXT_texture_storage,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46538 /* "glTexStorage1D" */,
        46538 /* "glTexStorage1D" */,
        46553 /* "glTexStorage1DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46538 /* "glTexStorage1D" */,
                                providers, entrypoints);
}

static PFNGLTEXSTORAGE1DEXTPROC
epoxy_glTexStorage1DEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_texture_storage,
        Desktop_OpenGL_4_2,
        GL_extension_GL_ARB_texture_storage,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46553 /* "glTexStorage1DEXT" */,
        46538 /* "glTexStorage1D" */,
        46538 /* "glTexStorage1D" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46553 /* "glTexStorage1DEXT" */,
                                providers, entrypoints);
}

static PFNGLTEXSTORAGE2DPROC
epoxy_glTexStorage2D_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_2,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_texture_storage,
        GL_extension_GL_EXT_texture_storage,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46571 /* "glTexStorage2D" */,
        46571 /* "glTexStorage2D" */,
        46571 /* "glTexStorage2D" */,
        46586 /* "glTexStorage2DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46571 /* "glTexStorage2D" */,
                                providers, entrypoints);
}

static PFNGLTEXSTORAGE2DEXTPROC
epoxy_glTexStorage2DEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_texture_storage,
        Desktop_OpenGL_4_2,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_texture_storage,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46586 /* "glTexStorage2DEXT" */,
        46571 /* "glTexStorage2D" */,
        46571 /* "glTexStorage2D" */,
        46571 /* "glTexStorage2D" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46586 /* "glTexStorage2DEXT" */,
                                providers, entrypoints);
}

static PFNGLTEXSTORAGE2DMULTISAMPLEPROC
epoxy_glTexStorage2DMultisample_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_texture_storage_multisample,
        Desktop_OpenGL_4_3,
        OpenGL_ES_3_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46604 /* "glTexStorage2DMultisample" */,
        46604 /* "glTexStorage2DMultisample" */,
        46604 /* "glTexStorage2DMultisample" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46604 /* "glTexStorage2DMultisample" */,
                                providers, entrypoints);
}

static PFNGLTEXSTORAGE3DPROC
epoxy_glTexStorage3D_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_2,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_texture_storage,
        GL_extension_GL_EXT_texture_storage,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46630 /* "glTexStorage3D" */,
        46630 /* "glTexStorage3D" */,
        46630 /* "glTexStorage3D" */,
        46645 /* "glTexStorage3DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46630 /* "glTexStorage3D" */,
                                providers, entrypoints);
}

static PFNGLTEXSTORAGE3DEXTPROC
epoxy_glTexStorage3DEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_texture_storage,
        Desktop_OpenGL_4_2,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_texture_storage,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46645 /* "glTexStorage3DEXT" */,
        46630 /* "glTexStorage3D" */,
        46630 /* "glTexStorage3D" */,
        46630 /* "glTexStorage3D" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46645 /* "glTexStorage3DEXT" */,
                                providers, entrypoints);
}

static PFNGLTEXSTORAGE3DMULTISAMPLEPROC
epoxy_glTexStorage3DMultisample_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_3,
        GL_extension_GL_ARB_texture_storage_multisample,
        GL_extension_GL_OES_texture_storage_multisample_2d_array,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46663 /* "glTexStorage3DMultisample" */,
        46663 /* "glTexStorage3DMultisample" */,
        46689 /* "glTexStorage3DMultisampleOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46663 /* "glTexStorage3DMultisample" */,
                                providers, entrypoints);
}

static PFNGLTEXSTORAGE3DMULTISAMPLEOESPROC
epoxy_glTexStorage3DMultisampleOES_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_OES_texture_storage_multisample_2d_array,
        Desktop_OpenGL_4_3,
        GL_extension_GL_ARB_texture_storage_multisample,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46689 /* "glTexStorage3DMultisampleOES" */,
        46663 /* "glTexStorage3DMultisample" */,
        46663 /* "glTexStorage3DMultisample" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46689 /* "glTexStorage3DMultisampleOES" */,
                                providers, entrypoints);
}

static PFNGLTEXSTORAGESPARSEAMDPROC
epoxy_glTexStorageSparseAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_sparse_texture, 46718 /* glTexStorageSparseAMD */);
}

static PFNGLTEXSUBIMAGE1DPROC
epoxy_glTexSubImage1D_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_1,
        GL_extension_GL_EXT_subtexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46740 /* "glTexSubImage1D" */,
        46756 /* "glTexSubImage1DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46740 /* "glTexSubImage1D" */,
                                providers, entrypoints);
}

static PFNGLTEXSUBIMAGE1DEXTPROC
epoxy_glTexSubImage1DEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_subtexture,
        Desktop_OpenGL_1_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46756 /* "glTexSubImage1DEXT" */,
        46740 /* "glTexSubImage1D" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46756 /* "glTexSubImage1DEXT" */,
                                providers, entrypoints);
}

static PFNGLTEXSUBIMAGE2DPROC
epoxy_glTexSubImage2D_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_1,
        OpenGL_ES_2_0,
        OpenGL_ES_1_0,
        GL_extension_GL_EXT_subtexture,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46775 /* "glTexSubImage2D" */,
        46775 /* "glTexSubImage2D" */,
        46775 /* "glTexSubImage2D" */,
        46791 /* "glTexSubImage2DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46775 /* "glTexSubImage2D" */,
                                providers, entrypoints);
}

static PFNGLTEXSUBIMAGE2DEXTPROC
epoxy_glTexSubImage2DEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_subtexture,
        Desktop_OpenGL_1_1,
        OpenGL_ES_2_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46791 /* "glTexSubImage2DEXT" */,
        46775 /* "glTexSubImage2D" */,
        46775 /* "glTexSubImage2D" */,
        46775 /* "glTexSubImage2D" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46791 /* "glTexSubImage2DEXT" */,
                                providers, entrypoints);
}

static PFNGLTEXSUBIMAGE3DPROC
epoxy_glTexSubImage3D_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_2,
        OpenGL_ES_3_0,
        GL_extension_GL_EXT_texture3D,
        GL_extension_GL_OES_texture_3D,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46810 /* "glTexSubImage3D" */,
        46810 /* "glTexSubImage3D" */,
        46826 /* "glTexSubImage3DEXT" */,
        46845 /* "glTexSubImage3DOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46810 /* "glTexSubImage3D" */,
                                providers, entrypoints);
}

static PFNGLTEXSUBIMAGE3DEXTPROC
epoxy_glTexSubImage3DEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_texture3D,
        Desktop_OpenGL_1_2,
        OpenGL_ES_3_0,
        GL_extension_GL_OES_texture_3D,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46826 /* "glTexSubImage3DEXT" */,
        46810 /* "glTexSubImage3D" */,
        46810 /* "glTexSubImage3D" */,
        46845 /* "glTexSubImage3DOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46826 /* "glTexSubImage3DEXT" */,
                                providers, entrypoints);
}

static PFNGLTEXSUBIMAGE3DOESPROC
epoxy_glTexSubImage3DOES_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_OES_texture_3D,
        Desktop_OpenGL_1_2,
        OpenGL_ES_3_0,
        GL_extension_GL_EXT_texture3D,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        46845 /* "glTexSubImage3DOES" */,
        46810 /* "glTexSubImage3D" */,
        46810 /* "glTexSubImage3D" */,
        46826 /* "glTexSubImage3DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 46845 /* "glTexSubImage3DOES" */,
                                providers, entrypoints);
}

static PFNGLTEXSUBIMAGE4DSGISPROC
epoxy_glTexSubImage4DSGIS_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIS_texture4D, 46864 /* glTexSubImage4DSGIS */);
}

static PFNGLTEXTUREBARRIERNVPROC
epoxy_glTextureBarrierNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_texture_barrier, 46884 /* glTextureBarrierNV */);
}

static PFNGLTEXTUREBUFFEREXTPROC
epoxy_glTextureBufferEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 46903 /* glTextureBufferEXT */);
}

static PFNGLTEXTUREBUFFERRANGEEXTPROC
epoxy_glTextureBufferRangeEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 46922 /* glTextureBufferRangeEXT */);
}

static PFNGLTEXTURECOLORMASKSGISPROC
epoxy_glTextureColorMaskSGIS_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_SGIS_texture_color_mask, 46946 /* glTextureColorMaskSGIS */);
}

static PFNGLTEXTUREIMAGE1DEXTPROC
epoxy_glTextureImage1DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 46969 /* glTextureImage1DEXT */);
}

static PFNGLTEXTUREIMAGE2DEXTPROC
epoxy_glTextureImage2DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 46989 /* glTextureImage2DEXT */);
}

static PFNGLTEXTUREIMAGE2DMULTISAMPLECOVERAGENVPROC
epoxy_glTextureImage2DMultisampleCoverageNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_texture_multisample, 47009 /* glTextureImage2DMultisampleCoverageNV */);
}

static PFNGLTEXTUREIMAGE2DMULTISAMPLENVPROC
epoxy_glTextureImage2DMultisampleNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_texture_multisample, 47047 /* glTextureImage2DMultisampleNV */);
}

static PFNGLTEXTUREIMAGE3DEXTPROC
epoxy_glTextureImage3DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 47077 /* glTextureImage3DEXT */);
}

static PFNGLTEXTUREIMAGE3DMULTISAMPLECOVERAGENVPROC
epoxy_glTextureImage3DMultisampleCoverageNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_texture_multisample, 47097 /* glTextureImage3DMultisampleCoverageNV */);
}

static PFNGLTEXTUREIMAGE3DMULTISAMPLENVPROC
epoxy_glTextureImage3DMultisampleNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_texture_multisample, 47135 /* glTextureImage3DMultisampleNV */);
}

static PFNGLTEXTURELIGHTEXTPROC
epoxy_glTextureLightEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_light_texture, 47165 /* glTextureLightEXT */);
}

static PFNGLTEXTUREMATERIALEXTPROC
epoxy_glTextureMaterialEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_light_texture, 47183 /* glTextureMaterialEXT */);
}

static PFNGLTEXTURENORMALEXTPROC
epoxy_glTextureNormalEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_texture_perturb_normal, 47204 /* glTextureNormalEXT */);
}

static PFNGLTEXTUREPAGECOMMITMENTEXTPROC
epoxy_glTexturePageCommitmentEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 47223 /* glTexturePageCommitmentEXT */);
}

static PFNGLTEXTUREPARAMETERIIVEXTPROC
epoxy_glTextureParameterIivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 47250 /* glTextureParameterIivEXT */);
}

static PFNGLTEXTUREPARAMETERIUIVEXTPROC
epoxy_glTextureParameterIuivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 47275 /* glTextureParameterIuivEXT */);
}

static PFNGLTEXTUREPARAMETERFEXTPROC
epoxy_glTextureParameterfEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 47301 /* glTextureParameterfEXT */);
}

static PFNGLTEXTUREPARAMETERFVEXTPROC
epoxy_glTextureParameterfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 47324 /* glTextureParameterfvEXT */);
}

static PFNGLTEXTUREPARAMETERIEXTPROC
epoxy_glTextureParameteriEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 47348 /* glTextureParameteriEXT */);
}

static PFNGLTEXTUREPARAMETERIVEXTPROC
epoxy_glTextureParameterivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 47371 /* glTextureParameterivEXT */);
}

static PFNGLTEXTURERANGEAPPLEPROC
epoxy_glTextureRangeAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_texture_range, 47395 /* glTextureRangeAPPLE */);
}

static PFNGLTEXTURERENDERBUFFEREXTPROC
epoxy_glTextureRenderbufferEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 47415 /* glTextureRenderbufferEXT */);
}

static PFNGLTEXTURESTORAGE1DEXTPROC
epoxy_glTextureStorage1DEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_texture_storage,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        47440 /* "glTextureStorage1DEXT" */,
        47440 /* "glTextureStorage1DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 47440 /* "glTextureStorage1DEXT" */,
                                providers, entrypoints);
}

static PFNGLTEXTURESTORAGE2DEXTPROC
epoxy_glTextureStorage2DEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_texture_storage,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        47462 /* "glTextureStorage2DEXT" */,
        47462 /* "glTextureStorage2DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 47462 /* "glTextureStorage2DEXT" */,
                                providers, entrypoints);
}

static PFNGLTEXTURESTORAGE2DMULTISAMPLEEXTPROC
epoxy_glTextureStorage2DMultisampleEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 47484 /* glTextureStorage2DMultisampleEXT */);
}

static PFNGLTEXTURESTORAGE3DEXTPROC
epoxy_glTextureStorage3DEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_direct_state_access,
        GL_extension_GL_EXT_texture_storage,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        47517 /* "glTextureStorage3DEXT" */,
        47517 /* "glTextureStorage3DEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 47517 /* "glTextureStorage3DEXT" */,
                                providers, entrypoints);
}

static PFNGLTEXTURESTORAGE3DMULTISAMPLEEXTPROC
epoxy_glTextureStorage3DMultisampleEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 47539 /* glTextureStorage3DMultisampleEXT */);
}

static PFNGLTEXTURESTORAGESPARSEAMDPROC
epoxy_glTextureStorageSparseAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_sparse_texture, 47572 /* glTextureStorageSparseAMD */);
}

static PFNGLTEXTURESUBIMAGE1DEXTPROC
epoxy_glTextureSubImage1DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 47598 /* glTextureSubImage1DEXT */);
}

static PFNGLTEXTURESUBIMAGE2DEXTPROC
epoxy_glTextureSubImage2DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 47621 /* glTextureSubImage2DEXT */);
}

static PFNGLTEXTURESUBIMAGE3DEXTPROC
epoxy_glTextureSubImage3DEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 47644 /* glTextureSubImage3DEXT */);
}

static PFNGLTEXTUREVIEWPROC
epoxy_glTextureView_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_3,
        GL_extension_GL_ARB_texture_view,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        47667 /* "glTextureView" */,
        47667 /* "glTextureView" */,
    };
    return gl_provider_resolver(entrypoint_strings + 47667 /* "glTextureView" */,
                                providers, entrypoints);
}

static PFNGLTRACKMATRIXNVPROC
epoxy_glTrackMatrixNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 47681 /* glTrackMatrixNV */);
}

static PFNGLTRANSFORMFEEDBACKATTRIBSNVPROC
epoxy_glTransformFeedbackAttribsNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_transform_feedback, 47697 /* glTransformFeedbackAttribsNV */);
}

static PFNGLTRANSFORMFEEDBACKSTREAMATTRIBSNVPROC
epoxy_glTransformFeedbackStreamAttribsNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_transform_feedback, 47726 /* glTransformFeedbackStreamAttribsNV */);
}

static PFNGLTRANSFORMFEEDBACKVARYINGSPROC
epoxy_glTransformFeedbackVaryings_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_EXT_transform_feedback,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        47761 /* "glTransformFeedbackVaryings" */,
        47761 /* "glTransformFeedbackVaryings" */,
        47789 /* "glTransformFeedbackVaryingsEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 47761 /* "glTransformFeedbackVaryings" */,
                                providers, entrypoints);
}

static PFNGLTRANSFORMFEEDBACKVARYINGSEXTPROC
epoxy_glTransformFeedbackVaryingsEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_transform_feedback,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        47789 /* "glTransformFeedbackVaryingsEXT" */,
        47761 /* "glTransformFeedbackVaryings" */,
        47761 /* "glTransformFeedbackVaryings" */,
    };
    return gl_provider_resolver(entrypoint_strings + 47789 /* "glTransformFeedbackVaryingsEXT" */,
                                providers, entrypoints);
}

static PFNGLTRANSFORMFEEDBACKVARYINGSNVPROC
epoxy_glTransformFeedbackVaryingsNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_transform_feedback, 47820 /* glTransformFeedbackVaryingsNV */);
}

static PFNGLTRANSFORMPATHNVPROC
epoxy_glTransformPathNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 47850 /* glTransformPathNV */);
}

static PFNGLTRANSLATEDPROC
epoxy_glTranslated_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 47868 /* glTranslated */);
}

static PFNGLTRANSLATEFPROC
epoxy_glTranslatef_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        47881 /* "glTranslatef" */,
        47881 /* "glTranslatef" */,
    };
    return gl_provider_resolver(entrypoint_strings + 47881 /* "glTranslatef" */,
                                providers, entrypoints);
}

static PFNGLTRANSLATEXPROC
epoxy_glTranslatex_resolver(void)
{
    return gl_single_resolver(OpenGL_ES_1_0, 47894 /* glTranslatex */);
}

static PFNGLTRANSLATEXOESPROC
epoxy_glTranslatexOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 47907 /* glTranslatexOES */);
}

static PFNGLUNIFORM1DPROC
epoxy_glUniform1d_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_gpu_shader_fp64,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        47923 /* "glUniform1d" */,
        47923 /* "glUniform1d" */,
    };
    return gl_provider_resolver(entrypoint_strings + 47923 /* "glUniform1d" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM1DVPROC
epoxy_glUniform1dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_gpu_shader_fp64,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        47935 /* "glUniform1dv" */,
        47935 /* "glUniform1dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 47935 /* "glUniform1dv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM1FPROC
epoxy_glUniform1f_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        47948 /* "glUniform1f" */,
        47948 /* "glUniform1f" */,
        47960 /* "glUniform1fARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 47948 /* "glUniform1f" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM1FARBPROC
epoxy_glUniform1fARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_objects,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        47960 /* "glUniform1fARB" */,
        47948 /* "glUniform1f" */,
        47948 /* "glUniform1f" */,
    };
    return gl_provider_resolver(entrypoint_strings + 47960 /* "glUniform1fARB" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM1FVPROC
epoxy_glUniform1fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        47975 /* "glUniform1fv" */,
        47975 /* "glUniform1fv" */,
        47988 /* "glUniform1fvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 47975 /* "glUniform1fv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM1FVARBPROC
epoxy_glUniform1fvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_objects,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        47988 /* "glUniform1fvARB" */,
        47975 /* "glUniform1fv" */,
        47975 /* "glUniform1fv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 47988 /* "glUniform1fvARB" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM1IPROC
epoxy_glUniform1i_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48004 /* "glUniform1i" */,
        48004 /* "glUniform1i" */,
        48049 /* "glUniform1iARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48004 /* "glUniform1i" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM1I64NVPROC
epoxy_glUniform1i64NV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_gpu_shader_int64,
        GL_extension_GL_NV_gpu_shader5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48016 /* "glUniform1i64NV" */,
        48016 /* "glUniform1i64NV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48016 /* "glUniform1i64NV" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM1I64VNVPROC
epoxy_glUniform1i64vNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_gpu_shader_int64,
        GL_extension_GL_NV_gpu_shader5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48032 /* "glUniform1i64vNV" */,
        48032 /* "glUniform1i64vNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48032 /* "glUniform1i64vNV" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM1IARBPROC
epoxy_glUniform1iARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_objects,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48049 /* "glUniform1iARB" */,
        48004 /* "glUniform1i" */,
        48004 /* "glUniform1i" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48049 /* "glUniform1iARB" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM1IVPROC
epoxy_glUniform1iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48064 /* "glUniform1iv" */,
        48064 /* "glUniform1iv" */,
        48077 /* "glUniform1ivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48064 /* "glUniform1iv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM1IVARBPROC
epoxy_glUniform1ivARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_objects,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48077 /* "glUniform1ivARB" */,
        48064 /* "glUniform1iv" */,
        48064 /* "glUniform1iv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48077 /* "glUniform1ivARB" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM1UIPROC
epoxy_glUniform1ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_EXT_gpu_shader4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48093 /* "glUniform1ui" */,
        48093 /* "glUniform1ui" */,
        48141 /* "glUniform1uiEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48093 /* "glUniform1ui" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM1UI64NVPROC
epoxy_glUniform1ui64NV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_gpu_shader_int64,
        GL_extension_GL_NV_gpu_shader5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48106 /* "glUniform1ui64NV" */,
        48106 /* "glUniform1ui64NV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48106 /* "glUniform1ui64NV" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM1UI64VNVPROC
epoxy_glUniform1ui64vNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_gpu_shader_int64,
        GL_extension_GL_NV_gpu_shader5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48123 /* "glUniform1ui64vNV" */,
        48123 /* "glUniform1ui64vNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48123 /* "glUniform1ui64vNV" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM1UIEXTPROC
epoxy_glUniform1uiEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_gpu_shader4,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48141 /* "glUniform1uiEXT" */,
        48093 /* "glUniform1ui" */,
        48093 /* "glUniform1ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48141 /* "glUniform1uiEXT" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM1UIVPROC
epoxy_glUniform1uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_EXT_gpu_shader4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48157 /* "glUniform1uiv" */,
        48157 /* "glUniform1uiv" */,
        48171 /* "glUniform1uivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48157 /* "glUniform1uiv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM1UIVEXTPROC
epoxy_glUniform1uivEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_gpu_shader4,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48171 /* "glUniform1uivEXT" */,
        48157 /* "glUniform1uiv" */,
        48157 /* "glUniform1uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48171 /* "glUniform1uivEXT" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM2DPROC
epoxy_glUniform2d_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_gpu_shader_fp64,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48188 /* "glUniform2d" */,
        48188 /* "glUniform2d" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48188 /* "glUniform2d" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM2DVPROC
epoxy_glUniform2dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_gpu_shader_fp64,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48200 /* "glUniform2dv" */,
        48200 /* "glUniform2dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48200 /* "glUniform2dv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM2FPROC
epoxy_glUniform2f_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48213 /* "glUniform2f" */,
        48213 /* "glUniform2f" */,
        48225 /* "glUniform2fARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48213 /* "glUniform2f" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM2FARBPROC
epoxy_glUniform2fARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_objects,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48225 /* "glUniform2fARB" */,
        48213 /* "glUniform2f" */,
        48213 /* "glUniform2f" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48225 /* "glUniform2fARB" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM2FVPROC
epoxy_glUniform2fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48240 /* "glUniform2fv" */,
        48240 /* "glUniform2fv" */,
        48253 /* "glUniform2fvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48240 /* "glUniform2fv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM2FVARBPROC
epoxy_glUniform2fvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_objects,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48253 /* "glUniform2fvARB" */,
        48240 /* "glUniform2fv" */,
        48240 /* "glUniform2fv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48253 /* "glUniform2fvARB" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM2IPROC
epoxy_glUniform2i_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48269 /* "glUniform2i" */,
        48269 /* "glUniform2i" */,
        48314 /* "glUniform2iARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48269 /* "glUniform2i" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM2I64NVPROC
epoxy_glUniform2i64NV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_gpu_shader_int64,
        GL_extension_GL_NV_gpu_shader5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48281 /* "glUniform2i64NV" */,
        48281 /* "glUniform2i64NV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48281 /* "glUniform2i64NV" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM2I64VNVPROC
epoxy_glUniform2i64vNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_gpu_shader_int64,
        GL_extension_GL_NV_gpu_shader5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48297 /* "glUniform2i64vNV" */,
        48297 /* "glUniform2i64vNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48297 /* "glUniform2i64vNV" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM2IARBPROC
epoxy_glUniform2iARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_objects,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48314 /* "glUniform2iARB" */,
        48269 /* "glUniform2i" */,
        48269 /* "glUniform2i" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48314 /* "glUniform2iARB" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM2IVPROC
epoxy_glUniform2iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48329 /* "glUniform2iv" */,
        48329 /* "glUniform2iv" */,
        48342 /* "glUniform2ivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48329 /* "glUniform2iv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM2IVARBPROC
epoxy_glUniform2ivARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_objects,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48342 /* "glUniform2ivARB" */,
        48329 /* "glUniform2iv" */,
        48329 /* "glUniform2iv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48342 /* "glUniform2ivARB" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM2UIPROC
epoxy_glUniform2ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_EXT_gpu_shader4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48358 /* "glUniform2ui" */,
        48358 /* "glUniform2ui" */,
        48406 /* "glUniform2uiEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48358 /* "glUniform2ui" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM2UI64NVPROC
epoxy_glUniform2ui64NV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_gpu_shader_int64,
        GL_extension_GL_NV_gpu_shader5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48371 /* "glUniform2ui64NV" */,
        48371 /* "glUniform2ui64NV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48371 /* "glUniform2ui64NV" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM2UI64VNVPROC
epoxy_glUniform2ui64vNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_gpu_shader_int64,
        GL_extension_GL_NV_gpu_shader5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48388 /* "glUniform2ui64vNV" */,
        48388 /* "glUniform2ui64vNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48388 /* "glUniform2ui64vNV" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM2UIEXTPROC
epoxy_glUniform2uiEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_gpu_shader4,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48406 /* "glUniform2uiEXT" */,
        48358 /* "glUniform2ui" */,
        48358 /* "glUniform2ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48406 /* "glUniform2uiEXT" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM2UIVPROC
epoxy_glUniform2uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_EXT_gpu_shader4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48422 /* "glUniform2uiv" */,
        48422 /* "glUniform2uiv" */,
        48436 /* "glUniform2uivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48422 /* "glUniform2uiv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM2UIVEXTPROC
epoxy_glUniform2uivEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_gpu_shader4,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48436 /* "glUniform2uivEXT" */,
        48422 /* "glUniform2uiv" */,
        48422 /* "glUniform2uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48436 /* "glUniform2uivEXT" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM3DPROC
epoxy_glUniform3d_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_gpu_shader_fp64,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48453 /* "glUniform3d" */,
        48453 /* "glUniform3d" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48453 /* "glUniform3d" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM3DVPROC
epoxy_glUniform3dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_gpu_shader_fp64,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48465 /* "glUniform3dv" */,
        48465 /* "glUniform3dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48465 /* "glUniform3dv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM3FPROC
epoxy_glUniform3f_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48478 /* "glUniform3f" */,
        48478 /* "glUniform3f" */,
        48490 /* "glUniform3fARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48478 /* "glUniform3f" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM3FARBPROC
epoxy_glUniform3fARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_objects,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48490 /* "glUniform3fARB" */,
        48478 /* "glUniform3f" */,
        48478 /* "glUniform3f" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48490 /* "glUniform3fARB" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM3FVPROC
epoxy_glUniform3fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48505 /* "glUniform3fv" */,
        48505 /* "glUniform3fv" */,
        48518 /* "glUniform3fvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48505 /* "glUniform3fv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM3FVARBPROC
epoxy_glUniform3fvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_objects,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48518 /* "glUniform3fvARB" */,
        48505 /* "glUniform3fv" */,
        48505 /* "glUniform3fv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48518 /* "glUniform3fvARB" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM3IPROC
epoxy_glUniform3i_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48534 /* "glUniform3i" */,
        48534 /* "glUniform3i" */,
        48579 /* "glUniform3iARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48534 /* "glUniform3i" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM3I64NVPROC
epoxy_glUniform3i64NV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_gpu_shader_int64,
        GL_extension_GL_NV_gpu_shader5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48546 /* "glUniform3i64NV" */,
        48546 /* "glUniform3i64NV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48546 /* "glUniform3i64NV" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM3I64VNVPROC
epoxy_glUniform3i64vNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_gpu_shader_int64,
        GL_extension_GL_NV_gpu_shader5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48562 /* "glUniform3i64vNV" */,
        48562 /* "glUniform3i64vNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48562 /* "glUniform3i64vNV" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM3IARBPROC
epoxy_glUniform3iARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_objects,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48579 /* "glUniform3iARB" */,
        48534 /* "glUniform3i" */,
        48534 /* "glUniform3i" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48579 /* "glUniform3iARB" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM3IVPROC
epoxy_glUniform3iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48594 /* "glUniform3iv" */,
        48594 /* "glUniform3iv" */,
        48607 /* "glUniform3ivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48594 /* "glUniform3iv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM3IVARBPROC
epoxy_glUniform3ivARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_objects,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48607 /* "glUniform3ivARB" */,
        48594 /* "glUniform3iv" */,
        48594 /* "glUniform3iv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48607 /* "glUniform3ivARB" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM3UIPROC
epoxy_glUniform3ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_EXT_gpu_shader4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48623 /* "glUniform3ui" */,
        48623 /* "glUniform3ui" */,
        48671 /* "glUniform3uiEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48623 /* "glUniform3ui" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM3UI64NVPROC
epoxy_glUniform3ui64NV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_gpu_shader_int64,
        GL_extension_GL_NV_gpu_shader5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48636 /* "glUniform3ui64NV" */,
        48636 /* "glUniform3ui64NV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48636 /* "glUniform3ui64NV" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM3UI64VNVPROC
epoxy_glUniform3ui64vNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_gpu_shader_int64,
        GL_extension_GL_NV_gpu_shader5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48653 /* "glUniform3ui64vNV" */,
        48653 /* "glUniform3ui64vNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48653 /* "glUniform3ui64vNV" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM3UIEXTPROC
epoxy_glUniform3uiEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_gpu_shader4,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48671 /* "glUniform3uiEXT" */,
        48623 /* "glUniform3ui" */,
        48623 /* "glUniform3ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48671 /* "glUniform3uiEXT" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM3UIVPROC
epoxy_glUniform3uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_EXT_gpu_shader4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48687 /* "glUniform3uiv" */,
        48687 /* "glUniform3uiv" */,
        48701 /* "glUniform3uivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48687 /* "glUniform3uiv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM3UIVEXTPROC
epoxy_glUniform3uivEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_gpu_shader4,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48701 /* "glUniform3uivEXT" */,
        48687 /* "glUniform3uiv" */,
        48687 /* "glUniform3uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48701 /* "glUniform3uivEXT" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM4DPROC
epoxy_glUniform4d_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_gpu_shader_fp64,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48718 /* "glUniform4d" */,
        48718 /* "glUniform4d" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48718 /* "glUniform4d" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM4DVPROC
epoxy_glUniform4dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_gpu_shader_fp64,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48730 /* "glUniform4dv" */,
        48730 /* "glUniform4dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48730 /* "glUniform4dv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM4FPROC
epoxy_glUniform4f_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48743 /* "glUniform4f" */,
        48743 /* "glUniform4f" */,
        48755 /* "glUniform4fARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48743 /* "glUniform4f" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM4FARBPROC
epoxy_glUniform4fARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_objects,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48755 /* "glUniform4fARB" */,
        48743 /* "glUniform4f" */,
        48743 /* "glUniform4f" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48755 /* "glUniform4fARB" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM4FVPROC
epoxy_glUniform4fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48770 /* "glUniform4fv" */,
        48770 /* "glUniform4fv" */,
        48783 /* "glUniform4fvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48770 /* "glUniform4fv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM4FVARBPROC
epoxy_glUniform4fvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_objects,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48783 /* "glUniform4fvARB" */,
        48770 /* "glUniform4fv" */,
        48770 /* "glUniform4fv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48783 /* "glUniform4fvARB" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM4IPROC
epoxy_glUniform4i_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48799 /* "glUniform4i" */,
        48799 /* "glUniform4i" */,
        48844 /* "glUniform4iARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48799 /* "glUniform4i" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM4I64NVPROC
epoxy_glUniform4i64NV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_gpu_shader_int64,
        GL_extension_GL_NV_gpu_shader5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48811 /* "glUniform4i64NV" */,
        48811 /* "glUniform4i64NV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48811 /* "glUniform4i64NV" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM4I64VNVPROC
epoxy_glUniform4i64vNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_gpu_shader_int64,
        GL_extension_GL_NV_gpu_shader5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48827 /* "glUniform4i64vNV" */,
        48827 /* "glUniform4i64vNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48827 /* "glUniform4i64vNV" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM4IARBPROC
epoxy_glUniform4iARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_objects,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48844 /* "glUniform4iARB" */,
        48799 /* "glUniform4i" */,
        48799 /* "glUniform4i" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48844 /* "glUniform4iARB" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM4IVPROC
epoxy_glUniform4iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48859 /* "glUniform4iv" */,
        48859 /* "glUniform4iv" */,
        48872 /* "glUniform4ivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48859 /* "glUniform4iv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM4IVARBPROC
epoxy_glUniform4ivARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_objects,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48872 /* "glUniform4ivARB" */,
        48859 /* "glUniform4iv" */,
        48859 /* "glUniform4iv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48872 /* "glUniform4ivARB" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM4UIPROC
epoxy_glUniform4ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_EXT_gpu_shader4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48888 /* "glUniform4ui" */,
        48888 /* "glUniform4ui" */,
        48936 /* "glUniform4uiEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48888 /* "glUniform4ui" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM4UI64NVPROC
epoxy_glUniform4ui64NV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_gpu_shader_int64,
        GL_extension_GL_NV_gpu_shader5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48901 /* "glUniform4ui64NV" */,
        48901 /* "glUniform4ui64NV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48901 /* "glUniform4ui64NV" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM4UI64VNVPROC
epoxy_glUniform4ui64vNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_AMD_gpu_shader_int64,
        GL_extension_GL_NV_gpu_shader5,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48918 /* "glUniform4ui64vNV" */,
        48918 /* "glUniform4ui64vNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48918 /* "glUniform4ui64vNV" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM4UIEXTPROC
epoxy_glUniform4uiEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_gpu_shader4,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48936 /* "glUniform4uiEXT" */,
        48888 /* "glUniform4ui" */,
        48888 /* "glUniform4ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48936 /* "glUniform4uiEXT" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM4UIVPROC
epoxy_glUniform4uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_EXT_gpu_shader4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48952 /* "glUniform4uiv" */,
        48952 /* "glUniform4uiv" */,
        48966 /* "glUniform4uivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48952 /* "glUniform4uiv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORM4UIVEXTPROC
epoxy_glUniform4uivEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_gpu_shader4,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48966 /* "glUniform4uivEXT" */,
        48952 /* "glUniform4uiv" */,
        48952 /* "glUniform4uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48966 /* "glUniform4uivEXT" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMBLOCKBINDINGPROC
epoxy_glUniformBlockBinding_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_uniform_buffer_object,
        Desktop_OpenGL_3_1,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        48983 /* "glUniformBlockBinding" */,
        48983 /* "glUniformBlockBinding" */,
        48983 /* "glUniformBlockBinding" */,
    };
    return gl_provider_resolver(entrypoint_strings + 48983 /* "glUniformBlockBinding" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMBUFFEREXTPROC
epoxy_glUniformBufferEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_bindable_uniform, 49005 /* glUniformBufferEXT */);
}

static PFNGLUNIFORMHANDLEUI64ARBPROC
epoxy_glUniformHandleui64ARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_bindless_texture, 49024 /* glUniformHandleui64ARB */);
}

static PFNGLUNIFORMHANDLEUI64NVPROC
epoxy_glUniformHandleui64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_bindless_texture, 49047 /* glUniformHandleui64NV */);
}

static PFNGLUNIFORMHANDLEUI64VARBPROC
epoxy_glUniformHandleui64vARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_bindless_texture, 49069 /* glUniformHandleui64vARB */);
}

static PFNGLUNIFORMHANDLEUI64VNVPROC
epoxy_glUniformHandleui64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_bindless_texture, 49093 /* glUniformHandleui64vNV */);
}

static PFNGLUNIFORMMATRIX2DVPROC
epoxy_glUniformMatrix2dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_gpu_shader_fp64,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49116 /* "glUniformMatrix2dv" */,
        49116 /* "glUniformMatrix2dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49116 /* "glUniformMatrix2dv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX2FVPROC
epoxy_glUniformMatrix2fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49135 /* "glUniformMatrix2fv" */,
        49135 /* "glUniformMatrix2fv" */,
        49154 /* "glUniformMatrix2fvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49135 /* "glUniformMatrix2fv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX2FVARBPROC
epoxy_glUniformMatrix2fvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_objects,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49154 /* "glUniformMatrix2fvARB" */,
        49135 /* "glUniformMatrix2fv" */,
        49135 /* "glUniformMatrix2fv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49154 /* "glUniformMatrix2fvARB" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX2X3DVPROC
epoxy_glUniformMatrix2x3dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_gpu_shader_fp64,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49176 /* "glUniformMatrix2x3dv" */,
        49176 /* "glUniformMatrix2x3dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49176 /* "glUniformMatrix2x3dv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX2X3FVPROC
epoxy_glUniformMatrix2x3fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_2_1,
        GL_extension_GL_NV_non_square_matrices,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49197 /* "glUniformMatrix2x3fv" */,
        49197 /* "glUniformMatrix2x3fv" */,
        49218 /* "glUniformMatrix2x3fvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49197 /* "glUniformMatrix2x3fv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX2X3FVNVPROC
epoxy_glUniformMatrix2x3fvNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_non_square_matrices,
        OpenGL_ES_3_0,
        Desktop_OpenGL_2_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49218 /* "glUniformMatrix2x3fvNV" */,
        49197 /* "glUniformMatrix2x3fv" */,
        49197 /* "glUniformMatrix2x3fv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49218 /* "glUniformMatrix2x3fvNV" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX2X4DVPROC
epoxy_glUniformMatrix2x4dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_gpu_shader_fp64,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49241 /* "glUniformMatrix2x4dv" */,
        49241 /* "glUniformMatrix2x4dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49241 /* "glUniformMatrix2x4dv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX2X4FVPROC
epoxy_glUniformMatrix2x4fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_2_1,
        GL_extension_GL_NV_non_square_matrices,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49262 /* "glUniformMatrix2x4fv" */,
        49262 /* "glUniformMatrix2x4fv" */,
        49283 /* "glUniformMatrix2x4fvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49262 /* "glUniformMatrix2x4fv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX2X4FVNVPROC
epoxy_glUniformMatrix2x4fvNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_non_square_matrices,
        OpenGL_ES_3_0,
        Desktop_OpenGL_2_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49283 /* "glUniformMatrix2x4fvNV" */,
        49262 /* "glUniformMatrix2x4fv" */,
        49262 /* "glUniformMatrix2x4fv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49283 /* "glUniformMatrix2x4fvNV" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX3DVPROC
epoxy_glUniformMatrix3dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_gpu_shader_fp64,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49306 /* "glUniformMatrix3dv" */,
        49306 /* "glUniformMatrix3dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49306 /* "glUniformMatrix3dv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX3FVPROC
epoxy_glUniformMatrix3fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49325 /* "glUniformMatrix3fv" */,
        49325 /* "glUniformMatrix3fv" */,
        49344 /* "glUniformMatrix3fvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49325 /* "glUniformMatrix3fv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX3FVARBPROC
epoxy_glUniformMatrix3fvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_objects,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49344 /* "glUniformMatrix3fvARB" */,
        49325 /* "glUniformMatrix3fv" */,
        49325 /* "glUniformMatrix3fv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49344 /* "glUniformMatrix3fvARB" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX3X2DVPROC
epoxy_glUniformMatrix3x2dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_gpu_shader_fp64,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49366 /* "glUniformMatrix3x2dv" */,
        49366 /* "glUniformMatrix3x2dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49366 /* "glUniformMatrix3x2dv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX3X2FVPROC
epoxy_glUniformMatrix3x2fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_2_1,
        GL_extension_GL_NV_non_square_matrices,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49387 /* "glUniformMatrix3x2fv" */,
        49387 /* "glUniformMatrix3x2fv" */,
        49408 /* "glUniformMatrix3x2fvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49387 /* "glUniformMatrix3x2fv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX3X2FVNVPROC
epoxy_glUniformMatrix3x2fvNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_non_square_matrices,
        OpenGL_ES_3_0,
        Desktop_OpenGL_2_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49408 /* "glUniformMatrix3x2fvNV" */,
        49387 /* "glUniformMatrix3x2fv" */,
        49387 /* "glUniformMatrix3x2fv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49408 /* "glUniformMatrix3x2fvNV" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX3X4DVPROC
epoxy_glUniformMatrix3x4dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_gpu_shader_fp64,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49431 /* "glUniformMatrix3x4dv" */,
        49431 /* "glUniformMatrix3x4dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49431 /* "glUniformMatrix3x4dv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX3X4FVPROC
epoxy_glUniformMatrix3x4fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_2_1,
        GL_extension_GL_NV_non_square_matrices,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49452 /* "glUniformMatrix3x4fv" */,
        49452 /* "glUniformMatrix3x4fv" */,
        49473 /* "glUniformMatrix3x4fvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49452 /* "glUniformMatrix3x4fv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX3X4FVNVPROC
epoxy_glUniformMatrix3x4fvNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_non_square_matrices,
        OpenGL_ES_3_0,
        Desktop_OpenGL_2_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49473 /* "glUniformMatrix3x4fvNV" */,
        49452 /* "glUniformMatrix3x4fv" */,
        49452 /* "glUniformMatrix3x4fv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49473 /* "glUniformMatrix3x4fvNV" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX4DVPROC
epoxy_glUniformMatrix4dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_gpu_shader_fp64,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49496 /* "glUniformMatrix4dv" */,
        49496 /* "glUniformMatrix4dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49496 /* "glUniformMatrix4dv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX4FVPROC
epoxy_glUniformMatrix4fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49515 /* "glUniformMatrix4fv" */,
        49515 /* "glUniformMatrix4fv" */,
        49534 /* "glUniformMatrix4fvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49515 /* "glUniformMatrix4fv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX4FVARBPROC
epoxy_glUniformMatrix4fvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_objects,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49534 /* "glUniformMatrix4fvARB" */,
        49515 /* "glUniformMatrix4fv" */,
        49515 /* "glUniformMatrix4fv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49534 /* "glUniformMatrix4fvARB" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX4X2DVPROC
epoxy_glUniformMatrix4x2dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_gpu_shader_fp64,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49556 /* "glUniformMatrix4x2dv" */,
        49556 /* "glUniformMatrix4x2dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49556 /* "glUniformMatrix4x2dv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX4X2FVPROC
epoxy_glUniformMatrix4x2fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_2_1,
        GL_extension_GL_NV_non_square_matrices,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49577 /* "glUniformMatrix4x2fv" */,
        49577 /* "glUniformMatrix4x2fv" */,
        49598 /* "glUniformMatrix4x2fvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49577 /* "glUniformMatrix4x2fv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX4X2FVNVPROC
epoxy_glUniformMatrix4x2fvNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_non_square_matrices,
        OpenGL_ES_3_0,
        Desktop_OpenGL_2_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49598 /* "glUniformMatrix4x2fvNV" */,
        49577 /* "glUniformMatrix4x2fv" */,
        49577 /* "glUniformMatrix4x2fv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49598 /* "glUniformMatrix4x2fvNV" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX4X3DVPROC
epoxy_glUniformMatrix4x3dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_gpu_shader_fp64,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49621 /* "glUniformMatrix4x3dv" */,
        49621 /* "glUniformMatrix4x3dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49621 /* "glUniformMatrix4x3dv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX4X3FVPROC
epoxy_glUniformMatrix4x3fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_2_1,
        GL_extension_GL_NV_non_square_matrices,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49642 /* "glUniformMatrix4x3fv" */,
        49642 /* "glUniformMatrix4x3fv" */,
        49663 /* "glUniformMatrix4x3fvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49642 /* "glUniformMatrix4x3fv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMMATRIX4X3FVNVPROC
epoxy_glUniformMatrix4x3fvNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_non_square_matrices,
        OpenGL_ES_3_0,
        Desktop_OpenGL_2_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49663 /* "glUniformMatrix4x3fvNV" */,
        49642 /* "glUniformMatrix4x3fv" */,
        49642 /* "glUniformMatrix4x3fv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49663 /* "glUniformMatrix4x3fvNV" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMSUBROUTINESUIVPROC
epoxy_glUniformSubroutinesuiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_0,
        GL_extension_GL_ARB_shader_subroutine,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49686 /* "glUniformSubroutinesuiv" */,
        49686 /* "glUniformSubroutinesuiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49686 /* "glUniformSubroutinesuiv" */,
                                providers, entrypoints);
}

static PFNGLUNIFORMUI64NVPROC
epoxy_glUniformui64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_shader_buffer_load, 49710 /* glUniformui64NV */);
}

static PFNGLUNIFORMUI64VNVPROC
epoxy_glUniformui64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_shader_buffer_load, 49726 /* glUniformui64vNV */);
}

static PFNGLUNLOCKARRAYSEXTPROC
epoxy_glUnlockArraysEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_compiled_vertex_array, 49743 /* glUnlockArraysEXT */);
}

static PFNGLUNMAPBUFFERPROC
epoxy_glUnmapBuffer_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_3_0,
        Desktop_OpenGL_1_5,
        GL_extension_GL_ARB_vertex_buffer_object,
        GL_extension_GL_OES_mapbuffer,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49761 /* "glUnmapBuffer" */,
        49761 /* "glUnmapBuffer" */,
        49775 /* "glUnmapBufferARB" */,
        49792 /* "glUnmapBufferOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49761 /* "glUnmapBuffer" */,
                                providers, entrypoints);
}

static PFNGLUNMAPBUFFERARBPROC
epoxy_glUnmapBufferARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_buffer_object,
        OpenGL_ES_3_0,
        Desktop_OpenGL_1_5,
        GL_extension_GL_OES_mapbuffer,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49775 /* "glUnmapBufferARB" */,
        49761 /* "glUnmapBuffer" */,
        49761 /* "glUnmapBuffer" */,
        49792 /* "glUnmapBufferOES" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49775 /* "glUnmapBufferARB" */,
                                providers, entrypoints);
}

static PFNGLUNMAPBUFFEROESPROC
epoxy_glUnmapBufferOES_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_OES_mapbuffer,
        OpenGL_ES_3_0,
        Desktop_OpenGL_1_5,
        GL_extension_GL_ARB_vertex_buffer_object,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49792 /* "glUnmapBufferOES" */,
        49761 /* "glUnmapBuffer" */,
        49761 /* "glUnmapBuffer" */,
        49775 /* "glUnmapBufferARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49792 /* "glUnmapBufferOES" */,
                                providers, entrypoints);
}

static PFNGLUNMAPNAMEDBUFFEREXTPROC
epoxy_glUnmapNamedBufferEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 49809 /* glUnmapNamedBufferEXT */);
}

static PFNGLUNMAPOBJECTBUFFERATIPROC
epoxy_glUnmapObjectBufferATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_map_object_buffer, 49831 /* glUnmapObjectBufferATI */);
}

static PFNGLUNMAPTEXTURE2DINTELPROC
epoxy_glUnmapTexture2DINTEL_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_INTEL_map_texture, 49854 /* glUnmapTexture2DINTEL */);
}

static PFNGLUPDATEOBJECTBUFFERATIPROC
epoxy_glUpdateObjectBufferATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_array_object, 49876 /* glUpdateObjectBufferATI */);
}

static PFNGLUSEPROGRAMPROC
epoxy_glUseProgram_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49900 /* "glUseProgram" */,
        49900 /* "glUseProgram" */,
        49913 /* "glUseProgramObjectARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49900 /* "glUseProgram" */,
                                providers, entrypoints);
}

static PFNGLUSEPROGRAMOBJECTARBPROC
epoxy_glUseProgramObjectARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_objects,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49913 /* "glUseProgramObjectARB" */,
        49900 /* "glUseProgram" */,
        49900 /* "glUseProgram" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49913 /* "glUseProgramObjectARB" */,
                                providers, entrypoints);
}

static PFNGLUSEPROGRAMSTAGESPROC
epoxy_glUseProgramStages_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        49935 /* "glUseProgramStages" */,
        49935 /* "glUseProgramStages" */,
        49935 /* "glUseProgramStages" */,
    };
    return gl_provider_resolver(entrypoint_strings + 49935 /* "glUseProgramStages" */,
                                providers, entrypoints);
}

static PFNGLUSEPROGRAMSTAGESEXTPROC
epoxy_glUseProgramStagesEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_separate_shader_objects, 49954 /* glUseProgramStagesEXT */);
}

static PFNGLUSESHADERPROGRAMEXTPROC
epoxy_glUseShaderProgramEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_separate_shader_objects, 49976 /* glUseShaderProgramEXT */);
}

static PFNGLVDPAUFININVPROC
epoxy_glVDPAUFiniNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vdpau_interop, 49998 /* glVDPAUFiniNV */);
}

static PFNGLVDPAUGETSURFACEIVNVPROC
epoxy_glVDPAUGetSurfaceivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vdpau_interop, 50012 /* glVDPAUGetSurfaceivNV */);
}

static PFNGLVDPAUINITNVPROC
epoxy_glVDPAUInitNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vdpau_interop, 50034 /* glVDPAUInitNV */);
}

static PFNGLVDPAUISSURFACENVPROC
epoxy_glVDPAUIsSurfaceNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vdpau_interop, 50048 /* glVDPAUIsSurfaceNV */);
}

static PFNGLVDPAUMAPSURFACESNVPROC
epoxy_glVDPAUMapSurfacesNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vdpau_interop, 50067 /* glVDPAUMapSurfacesNV */);
}

static PFNGLVDPAUREGISTEROUTPUTSURFACENVPROC
epoxy_glVDPAURegisterOutputSurfaceNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vdpau_interop, 50088 /* glVDPAURegisterOutputSurfaceNV */);
}

static PFNGLVDPAUREGISTERVIDEOSURFACENVPROC
epoxy_glVDPAURegisterVideoSurfaceNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vdpau_interop, 50119 /* glVDPAURegisterVideoSurfaceNV */);
}

static PFNGLVDPAUSURFACEACCESSNVPROC
epoxy_glVDPAUSurfaceAccessNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vdpau_interop, 50149 /* glVDPAUSurfaceAccessNV */);
}

static PFNGLVDPAUUNMAPSURFACESNVPROC
epoxy_glVDPAUUnmapSurfacesNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vdpau_interop, 50172 /* glVDPAUUnmapSurfacesNV */);
}

static PFNGLVDPAUUNREGISTERSURFACENVPROC
epoxy_glVDPAUUnregisterSurfaceNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vdpau_interop, 50195 /* glVDPAUUnregisterSurfaceNV */);
}

static PFNGLVALIDATEPROGRAMPROC
epoxy_glValidateProgram_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        50222 /* "glValidateProgram" */,
        50222 /* "glValidateProgram" */,
        50240 /* "glValidateProgramARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 50222 /* "glValidateProgram" */,
                                providers, entrypoints);
}

static PFNGLVALIDATEPROGRAMARBPROC
epoxy_glValidateProgramARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_shader_objects,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        50240 /* "glValidateProgramARB" */,
        50222 /* "glValidateProgram" */,
        50222 /* "glValidateProgram" */,
    };
    return gl_provider_resolver(entrypoint_strings + 50240 /* "glValidateProgramARB" */,
                                providers, entrypoints);
}

static PFNGLVALIDATEPROGRAMPIPELINEPROC
epoxy_glValidateProgramPipeline_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        OpenGL_ES_3_1,
        GL_extension_GL_ARB_separate_shader_objects,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        50261 /* "glValidateProgramPipeline" */,
        50261 /* "glValidateProgramPipeline" */,
        50261 /* "glValidateProgramPipeline" */,
    };
    return gl_provider_resolver(entrypoint_strings + 50261 /* "glValidateProgramPipeline" */,
                                providers, entrypoints);
}

static PFNGLVALIDATEPROGRAMPIPELINEEXTPROC
epoxy_glValidateProgramPipelineEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_separate_shader_objects, 50287 /* glValidateProgramPipelineEXT */);
}

static PFNGLVARIANTARRAYOBJECTATIPROC
epoxy_glVariantArrayObjectATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_array_object, 50316 /* glVariantArrayObjectATI */);
}

static PFNGLVARIANTPOINTEREXTPROC
epoxy_glVariantPointerEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 50340 /* glVariantPointerEXT */);
}

static PFNGLVARIANTBVEXTPROC
epoxy_glVariantbvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 50360 /* glVariantbvEXT */);
}

static PFNGLVARIANTDVEXTPROC
epoxy_glVariantdvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 50375 /* glVariantdvEXT */);
}

static PFNGLVARIANTFVEXTPROC
epoxy_glVariantfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 50390 /* glVariantfvEXT */);
}

static PFNGLVARIANTIVEXTPROC
epoxy_glVariantivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 50405 /* glVariantivEXT */);
}

static PFNGLVARIANTSVEXTPROC
epoxy_glVariantsvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 50420 /* glVariantsvEXT */);
}

static PFNGLVARIANTUBVEXTPROC
epoxy_glVariantubvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 50435 /* glVariantubvEXT */);
}

static PFNGLVARIANTUIVEXTPROC
epoxy_glVariantuivEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 50451 /* glVariantuivEXT */);
}

static PFNGLVARIANTUSVEXTPROC
epoxy_glVariantusvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 50467 /* glVariantusvEXT */);
}

static PFNGLVERTEX2BOESPROC
epoxy_glVertex2bOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 50483 /* glVertex2bOES */);
}

static PFNGLVERTEX2BVOESPROC
epoxy_glVertex2bvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 50497 /* glVertex2bvOES */);
}

static PFNGLVERTEX2DPROC
epoxy_glVertex2d_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50512 /* glVertex2d */);
}

static PFNGLVERTEX2DVPROC
epoxy_glVertex2dv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50523 /* glVertex2dv */);
}

static PFNGLVERTEX2FPROC
epoxy_glVertex2f_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50535 /* glVertex2f */);
}

static PFNGLVERTEX2FVPROC
epoxy_glVertex2fv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50546 /* glVertex2fv */);
}

static PFNGLVERTEX2HNVPROC
epoxy_glVertex2hNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 50558 /* glVertex2hNV */);
}

static PFNGLVERTEX2HVNVPROC
epoxy_glVertex2hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 50571 /* glVertex2hvNV */);
}

static PFNGLVERTEX2IPROC
epoxy_glVertex2i_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50585 /* glVertex2i */);
}

static PFNGLVERTEX2IVPROC
epoxy_glVertex2iv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50596 /* glVertex2iv */);
}

static PFNGLVERTEX2SPROC
epoxy_glVertex2s_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50608 /* glVertex2s */);
}

static PFNGLVERTEX2SVPROC
epoxy_glVertex2sv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50619 /* glVertex2sv */);
}

static PFNGLVERTEX2XOESPROC
epoxy_glVertex2xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 50631 /* glVertex2xOES */);
}

static PFNGLVERTEX2XVOESPROC
epoxy_glVertex2xvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 50645 /* glVertex2xvOES */);
}

static PFNGLVERTEX3BOESPROC
epoxy_glVertex3bOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 50660 /* glVertex3bOES */);
}

static PFNGLVERTEX3BVOESPROC
epoxy_glVertex3bvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 50674 /* glVertex3bvOES */);
}

static PFNGLVERTEX3DPROC
epoxy_glVertex3d_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50689 /* glVertex3d */);
}

static PFNGLVERTEX3DVPROC
epoxy_glVertex3dv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50700 /* glVertex3dv */);
}

static PFNGLVERTEX3FPROC
epoxy_glVertex3f_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50712 /* glVertex3f */);
}

static PFNGLVERTEX3FVPROC
epoxy_glVertex3fv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50723 /* glVertex3fv */);
}

static PFNGLVERTEX3HNVPROC
epoxy_glVertex3hNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 50735 /* glVertex3hNV */);
}

static PFNGLVERTEX3HVNVPROC
epoxy_glVertex3hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 50748 /* glVertex3hvNV */);
}

static PFNGLVERTEX3IPROC
epoxy_glVertex3i_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50762 /* glVertex3i */);
}

static PFNGLVERTEX3IVPROC
epoxy_glVertex3iv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50773 /* glVertex3iv */);
}

static PFNGLVERTEX3SPROC
epoxy_glVertex3s_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50785 /* glVertex3s */);
}

static PFNGLVERTEX3SVPROC
epoxy_glVertex3sv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50796 /* glVertex3sv */);
}

static PFNGLVERTEX3XOESPROC
epoxy_glVertex3xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 50808 /* glVertex3xOES */);
}

static PFNGLVERTEX3XVOESPROC
epoxy_glVertex3xvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 50822 /* glVertex3xvOES */);
}

static PFNGLVERTEX4BOESPROC
epoxy_glVertex4bOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 50837 /* glVertex4bOES */);
}

static PFNGLVERTEX4BVOESPROC
epoxy_glVertex4bvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_byte_coordinates, 50851 /* glVertex4bvOES */);
}

static PFNGLVERTEX4DPROC
epoxy_glVertex4d_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50866 /* glVertex4d */);
}

static PFNGLVERTEX4DVPROC
epoxy_glVertex4dv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50877 /* glVertex4dv */);
}

static PFNGLVERTEX4FPROC
epoxy_glVertex4f_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50889 /* glVertex4f */);
}

static PFNGLVERTEX4FVPROC
epoxy_glVertex4fv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50900 /* glVertex4fv */);
}

static PFNGLVERTEX4HNVPROC
epoxy_glVertex4hNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 50912 /* glVertex4hNV */);
}

static PFNGLVERTEX4HVNVPROC
epoxy_glVertex4hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 50925 /* glVertex4hvNV */);
}

static PFNGLVERTEX4IPROC
epoxy_glVertex4i_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50939 /* glVertex4i */);
}

static PFNGLVERTEX4IVPROC
epoxy_glVertex4iv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50950 /* glVertex4iv */);
}

static PFNGLVERTEX4SPROC
epoxy_glVertex4s_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50962 /* glVertex4s */);
}

static PFNGLVERTEX4SVPROC
epoxy_glVertex4sv_resolver(void)
{
    return gl_single_resolver(Desktop_OpenGL_1_0, 50973 /* glVertex4sv */);
}

static PFNGLVERTEX4XOESPROC
epoxy_glVertex4xOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 50985 /* glVertex4xOES */);
}

static PFNGLVERTEX4XVOESPROC
epoxy_glVertex4xvOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_fixed_point, 50999 /* glVertex4xvOES */);
}

static PFNGLVERTEXARRAYBINDVERTEXBUFFEREXTPROC
epoxy_glVertexArrayBindVertexBufferEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 51014 /* glVertexArrayBindVertexBufferEXT */);
}

static PFNGLVERTEXARRAYCOLOROFFSETEXTPROC
epoxy_glVertexArrayColorOffsetEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 51047 /* glVertexArrayColorOffsetEXT */);
}

static PFNGLVERTEXARRAYEDGEFLAGOFFSETEXTPROC
epoxy_glVertexArrayEdgeFlagOffsetEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 51075 /* glVertexArrayEdgeFlagOffsetEXT */);
}

static PFNGLVERTEXARRAYFOGCOORDOFFSETEXTPROC
epoxy_glVertexArrayFogCoordOffsetEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 51106 /* glVertexArrayFogCoordOffsetEXT */);
}

static PFNGLVERTEXARRAYINDEXOFFSETEXTPROC
epoxy_glVertexArrayIndexOffsetEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 51137 /* glVertexArrayIndexOffsetEXT */);
}

static PFNGLVERTEXARRAYMULTITEXCOORDOFFSETEXTPROC
epoxy_glVertexArrayMultiTexCoordOffsetEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 51165 /* glVertexArrayMultiTexCoordOffsetEXT */);
}

static PFNGLVERTEXARRAYNORMALOFFSETEXTPROC
epoxy_glVertexArrayNormalOffsetEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 51201 /* glVertexArrayNormalOffsetEXT */);
}

static PFNGLVERTEXARRAYPARAMETERIAPPLEPROC
epoxy_glVertexArrayParameteriAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_vertex_array_range, 51230 /* glVertexArrayParameteriAPPLE */);
}

static PFNGLVERTEXARRAYRANGEAPPLEPROC
epoxy_glVertexArrayRangeAPPLE_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_APPLE_vertex_array_range, 51259 /* glVertexArrayRangeAPPLE */);
}

static PFNGLVERTEXARRAYRANGENVPROC
epoxy_glVertexArrayRangeNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_array_range, 51283 /* glVertexArrayRangeNV */);
}

static PFNGLVERTEXARRAYSECONDARYCOLOROFFSETEXTPROC
epoxy_glVertexArraySecondaryColorOffsetEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 51304 /* glVertexArraySecondaryColorOffsetEXT */);
}

static PFNGLVERTEXARRAYTEXCOORDOFFSETEXTPROC
epoxy_glVertexArrayTexCoordOffsetEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 51341 /* glVertexArrayTexCoordOffsetEXT */);
}

static PFNGLVERTEXARRAYVERTEXATTRIBBINDINGEXTPROC
epoxy_glVertexArrayVertexAttribBindingEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 51372 /* glVertexArrayVertexAttribBindingEXT */);
}

static PFNGLVERTEXARRAYVERTEXATTRIBDIVISOREXTPROC
epoxy_glVertexArrayVertexAttribDivisorEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 51408 /* glVertexArrayVertexAttribDivisorEXT */);
}

static PFNGLVERTEXARRAYVERTEXATTRIBFORMATEXTPROC
epoxy_glVertexArrayVertexAttribFormatEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 51444 /* glVertexArrayVertexAttribFormatEXT */);
}

static PFNGLVERTEXARRAYVERTEXATTRIBIFORMATEXTPROC
epoxy_glVertexArrayVertexAttribIFormatEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 51479 /* glVertexArrayVertexAttribIFormatEXT */);
}

static PFNGLVERTEXARRAYVERTEXATTRIBIOFFSETEXTPROC
epoxy_glVertexArrayVertexAttribIOffsetEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 51515 /* glVertexArrayVertexAttribIOffsetEXT */);
}

static PFNGLVERTEXARRAYVERTEXATTRIBLFORMATEXTPROC
epoxy_glVertexArrayVertexAttribLFormatEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 51551 /* glVertexArrayVertexAttribLFormatEXT */);
}

static PFNGLVERTEXARRAYVERTEXATTRIBLOFFSETEXTPROC
epoxy_glVertexArrayVertexAttribLOffsetEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 51587 /* glVertexArrayVertexAttribLOffsetEXT */);
}

static PFNGLVERTEXARRAYVERTEXATTRIBOFFSETEXTPROC
epoxy_glVertexArrayVertexAttribOffsetEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 51623 /* glVertexArrayVertexAttribOffsetEXT */);
}

static PFNGLVERTEXARRAYVERTEXBINDINGDIVISOREXTPROC
epoxy_glVertexArrayVertexBindingDivisorEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 51658 /* glVertexArrayVertexBindingDivisorEXT */);
}

static PFNGLVERTEXARRAYVERTEXOFFSETEXTPROC
epoxy_glVertexArrayVertexOffsetEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_direct_state_access, 51695 /* glVertexArrayVertexOffsetEXT */);
}

static PFNGLVERTEXATTRIB1DPROC
epoxy_glVertexAttrib1d_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        51724 /* "glVertexAttrib1d" */,
        51741 /* "glVertexAttrib1dARB" */,
        51741 /* "glVertexAttrib1dARB" */,
        51761 /* "glVertexAttrib1dNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 51724 /* "glVertexAttrib1d" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB1DARBPROC
epoxy_glVertexAttrib1dARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        51741 /* "glVertexAttrib1dARB" */,
        51741 /* "glVertexAttrib1dARB" */,
        51724 /* "glVertexAttrib1d" */,
        51761 /* "glVertexAttrib1dNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 51741 /* "glVertexAttrib1dARB" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB1DNVPROC
epoxy_glVertexAttrib1dNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        51761 /* "glVertexAttrib1dNV" */,
        51724 /* "glVertexAttrib1d" */,
        51741 /* "glVertexAttrib1dARB" */,
        51741 /* "glVertexAttrib1dARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 51761 /* "glVertexAttrib1dNV" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB1DVPROC
epoxy_glVertexAttrib1dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        51780 /* "glVertexAttrib1dv" */,
        51798 /* "glVertexAttrib1dvARB" */,
        51798 /* "glVertexAttrib1dvARB" */,
        51819 /* "glVertexAttrib1dvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 51780 /* "glVertexAttrib1dv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB1DVARBPROC
epoxy_glVertexAttrib1dvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        51798 /* "glVertexAttrib1dvARB" */,
        51798 /* "glVertexAttrib1dvARB" */,
        51780 /* "glVertexAttrib1dv" */,
        51819 /* "glVertexAttrib1dvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 51798 /* "glVertexAttrib1dvARB" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB1DVNVPROC
epoxy_glVertexAttrib1dvNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        51819 /* "glVertexAttrib1dvNV" */,
        51780 /* "glVertexAttrib1dv" */,
        51798 /* "glVertexAttrib1dvARB" */,
        51798 /* "glVertexAttrib1dvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 51819 /* "glVertexAttrib1dvNV" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB1FPROC
epoxy_glVertexAttrib1f_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        51839 /* "glVertexAttrib1f" */,
        51839 /* "glVertexAttrib1f" */,
        51856 /* "glVertexAttrib1fARB" */,
        51856 /* "glVertexAttrib1fARB" */,
        51876 /* "glVertexAttrib1fNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 51839 /* "glVertexAttrib1f" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB1FARBPROC
epoxy_glVertexAttrib1fARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        51856 /* "glVertexAttrib1fARB" */,
        51856 /* "glVertexAttrib1fARB" */,
        51839 /* "glVertexAttrib1f" */,
        51839 /* "glVertexAttrib1f" */,
        51876 /* "glVertexAttrib1fNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 51856 /* "glVertexAttrib1fARB" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB1FNVPROC
epoxy_glVertexAttrib1fNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        51876 /* "glVertexAttrib1fNV" */,
        51839 /* "glVertexAttrib1f" */,
        51839 /* "glVertexAttrib1f" */,
        51856 /* "glVertexAttrib1fARB" */,
        51856 /* "glVertexAttrib1fARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 51876 /* "glVertexAttrib1fNV" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB1FVPROC
epoxy_glVertexAttrib1fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        51895 /* "glVertexAttrib1fv" */,
        51895 /* "glVertexAttrib1fv" */,
        51913 /* "glVertexAttrib1fvARB" */,
        51913 /* "glVertexAttrib1fvARB" */,
        51934 /* "glVertexAttrib1fvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 51895 /* "glVertexAttrib1fv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB1FVARBPROC
epoxy_glVertexAttrib1fvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        51913 /* "glVertexAttrib1fvARB" */,
        51913 /* "glVertexAttrib1fvARB" */,
        51895 /* "glVertexAttrib1fv" */,
        51895 /* "glVertexAttrib1fv" */,
        51934 /* "glVertexAttrib1fvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 51913 /* "glVertexAttrib1fvARB" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB1FVNVPROC
epoxy_glVertexAttrib1fvNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        51934 /* "glVertexAttrib1fvNV" */,
        51895 /* "glVertexAttrib1fv" */,
        51895 /* "glVertexAttrib1fv" */,
        51913 /* "glVertexAttrib1fvARB" */,
        51913 /* "glVertexAttrib1fvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 51934 /* "glVertexAttrib1fvNV" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB1HNVPROC
epoxy_glVertexAttrib1hNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 51954 /* glVertexAttrib1hNV */);
}

static PFNGLVERTEXATTRIB1HVNVPROC
epoxy_glVertexAttrib1hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 51973 /* glVertexAttrib1hvNV */);
}

static PFNGLVERTEXATTRIB1SPROC
epoxy_glVertexAttrib1s_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        51993 /* "glVertexAttrib1s" */,
        52010 /* "glVertexAttrib1sARB" */,
        52010 /* "glVertexAttrib1sARB" */,
        52030 /* "glVertexAttrib1sNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 51993 /* "glVertexAttrib1s" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB1SARBPROC
epoxy_glVertexAttrib1sARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52010 /* "glVertexAttrib1sARB" */,
        52010 /* "glVertexAttrib1sARB" */,
        51993 /* "glVertexAttrib1s" */,
        52030 /* "glVertexAttrib1sNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52010 /* "glVertexAttrib1sARB" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB1SNVPROC
epoxy_glVertexAttrib1sNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52030 /* "glVertexAttrib1sNV" */,
        51993 /* "glVertexAttrib1s" */,
        52010 /* "glVertexAttrib1sARB" */,
        52010 /* "glVertexAttrib1sARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52030 /* "glVertexAttrib1sNV" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB1SVPROC
epoxy_glVertexAttrib1sv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52049 /* "glVertexAttrib1sv" */,
        52067 /* "glVertexAttrib1svARB" */,
        52067 /* "glVertexAttrib1svARB" */,
        52088 /* "glVertexAttrib1svNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52049 /* "glVertexAttrib1sv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB1SVARBPROC
epoxy_glVertexAttrib1svARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52067 /* "glVertexAttrib1svARB" */,
        52067 /* "glVertexAttrib1svARB" */,
        52049 /* "glVertexAttrib1sv" */,
        52088 /* "glVertexAttrib1svNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52067 /* "glVertexAttrib1svARB" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB1SVNVPROC
epoxy_glVertexAttrib1svNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52088 /* "glVertexAttrib1svNV" */,
        52049 /* "glVertexAttrib1sv" */,
        52067 /* "glVertexAttrib1svARB" */,
        52067 /* "glVertexAttrib1svARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52088 /* "glVertexAttrib1svNV" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB2DPROC
epoxy_glVertexAttrib2d_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52108 /* "glVertexAttrib2d" */,
        52125 /* "glVertexAttrib2dARB" */,
        52125 /* "glVertexAttrib2dARB" */,
        52145 /* "glVertexAttrib2dNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52108 /* "glVertexAttrib2d" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB2DARBPROC
epoxy_glVertexAttrib2dARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52125 /* "glVertexAttrib2dARB" */,
        52125 /* "glVertexAttrib2dARB" */,
        52108 /* "glVertexAttrib2d" */,
        52145 /* "glVertexAttrib2dNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52125 /* "glVertexAttrib2dARB" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB2DNVPROC
epoxy_glVertexAttrib2dNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52145 /* "glVertexAttrib2dNV" */,
        52108 /* "glVertexAttrib2d" */,
        52125 /* "glVertexAttrib2dARB" */,
        52125 /* "glVertexAttrib2dARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52145 /* "glVertexAttrib2dNV" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB2DVPROC
epoxy_glVertexAttrib2dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52164 /* "glVertexAttrib2dv" */,
        52182 /* "glVertexAttrib2dvARB" */,
        52182 /* "glVertexAttrib2dvARB" */,
        52203 /* "glVertexAttrib2dvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52164 /* "glVertexAttrib2dv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB2DVARBPROC
epoxy_glVertexAttrib2dvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52182 /* "glVertexAttrib2dvARB" */,
        52182 /* "glVertexAttrib2dvARB" */,
        52164 /* "glVertexAttrib2dv" */,
        52203 /* "glVertexAttrib2dvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52182 /* "glVertexAttrib2dvARB" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB2DVNVPROC
epoxy_glVertexAttrib2dvNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52203 /* "glVertexAttrib2dvNV" */,
        52164 /* "glVertexAttrib2dv" */,
        52182 /* "glVertexAttrib2dvARB" */,
        52182 /* "glVertexAttrib2dvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52203 /* "glVertexAttrib2dvNV" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB2FPROC
epoxy_glVertexAttrib2f_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52223 /* "glVertexAttrib2f" */,
        52223 /* "glVertexAttrib2f" */,
        52240 /* "glVertexAttrib2fARB" */,
        52240 /* "glVertexAttrib2fARB" */,
        52260 /* "glVertexAttrib2fNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52223 /* "glVertexAttrib2f" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB2FARBPROC
epoxy_glVertexAttrib2fARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52240 /* "glVertexAttrib2fARB" */,
        52240 /* "glVertexAttrib2fARB" */,
        52223 /* "glVertexAttrib2f" */,
        52223 /* "glVertexAttrib2f" */,
        52260 /* "glVertexAttrib2fNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52240 /* "glVertexAttrib2fARB" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB2FNVPROC
epoxy_glVertexAttrib2fNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52260 /* "glVertexAttrib2fNV" */,
        52223 /* "glVertexAttrib2f" */,
        52223 /* "glVertexAttrib2f" */,
        52240 /* "glVertexAttrib2fARB" */,
        52240 /* "glVertexAttrib2fARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52260 /* "glVertexAttrib2fNV" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB2FVPROC
epoxy_glVertexAttrib2fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52279 /* "glVertexAttrib2fv" */,
        52279 /* "glVertexAttrib2fv" */,
        52297 /* "glVertexAttrib2fvARB" */,
        52297 /* "glVertexAttrib2fvARB" */,
        52318 /* "glVertexAttrib2fvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52279 /* "glVertexAttrib2fv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB2FVARBPROC
epoxy_glVertexAttrib2fvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52297 /* "glVertexAttrib2fvARB" */,
        52297 /* "glVertexAttrib2fvARB" */,
        52279 /* "glVertexAttrib2fv" */,
        52279 /* "glVertexAttrib2fv" */,
        52318 /* "glVertexAttrib2fvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52297 /* "glVertexAttrib2fvARB" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB2FVNVPROC
epoxy_glVertexAttrib2fvNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52318 /* "glVertexAttrib2fvNV" */,
        52279 /* "glVertexAttrib2fv" */,
        52279 /* "glVertexAttrib2fv" */,
        52297 /* "glVertexAttrib2fvARB" */,
        52297 /* "glVertexAttrib2fvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52318 /* "glVertexAttrib2fvNV" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB2HNVPROC
epoxy_glVertexAttrib2hNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 52338 /* glVertexAttrib2hNV */);
}

static PFNGLVERTEXATTRIB2HVNVPROC
epoxy_glVertexAttrib2hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 52357 /* glVertexAttrib2hvNV */);
}

static PFNGLVERTEXATTRIB2SPROC
epoxy_glVertexAttrib2s_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52377 /* "glVertexAttrib2s" */,
        52394 /* "glVertexAttrib2sARB" */,
        52394 /* "glVertexAttrib2sARB" */,
        52414 /* "glVertexAttrib2sNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52377 /* "glVertexAttrib2s" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB2SARBPROC
epoxy_glVertexAttrib2sARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52394 /* "glVertexAttrib2sARB" */,
        52394 /* "glVertexAttrib2sARB" */,
        52377 /* "glVertexAttrib2s" */,
        52414 /* "glVertexAttrib2sNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52394 /* "glVertexAttrib2sARB" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB2SNVPROC
epoxy_glVertexAttrib2sNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52414 /* "glVertexAttrib2sNV" */,
        52377 /* "glVertexAttrib2s" */,
        52394 /* "glVertexAttrib2sARB" */,
        52394 /* "glVertexAttrib2sARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52414 /* "glVertexAttrib2sNV" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB2SVPROC
epoxy_glVertexAttrib2sv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52433 /* "glVertexAttrib2sv" */,
        52451 /* "glVertexAttrib2svARB" */,
        52451 /* "glVertexAttrib2svARB" */,
        52472 /* "glVertexAttrib2svNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52433 /* "glVertexAttrib2sv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB2SVARBPROC
epoxy_glVertexAttrib2svARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52451 /* "glVertexAttrib2svARB" */,
        52451 /* "glVertexAttrib2svARB" */,
        52433 /* "glVertexAttrib2sv" */,
        52472 /* "glVertexAttrib2svNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52451 /* "glVertexAttrib2svARB" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB2SVNVPROC
epoxy_glVertexAttrib2svNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52472 /* "glVertexAttrib2svNV" */,
        52433 /* "glVertexAttrib2sv" */,
        52451 /* "glVertexAttrib2svARB" */,
        52451 /* "glVertexAttrib2svARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52472 /* "glVertexAttrib2svNV" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB3DPROC
epoxy_glVertexAttrib3d_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52492 /* "glVertexAttrib3d" */,
        52509 /* "glVertexAttrib3dARB" */,
        52509 /* "glVertexAttrib3dARB" */,
        52529 /* "glVertexAttrib3dNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52492 /* "glVertexAttrib3d" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB3DARBPROC
epoxy_glVertexAttrib3dARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52509 /* "glVertexAttrib3dARB" */,
        52509 /* "glVertexAttrib3dARB" */,
        52492 /* "glVertexAttrib3d" */,
        52529 /* "glVertexAttrib3dNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52509 /* "glVertexAttrib3dARB" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB3DNVPROC
epoxy_glVertexAttrib3dNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52529 /* "glVertexAttrib3dNV" */,
        52492 /* "glVertexAttrib3d" */,
        52509 /* "glVertexAttrib3dARB" */,
        52509 /* "glVertexAttrib3dARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52529 /* "glVertexAttrib3dNV" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB3DVPROC
epoxy_glVertexAttrib3dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52548 /* "glVertexAttrib3dv" */,
        52566 /* "glVertexAttrib3dvARB" */,
        52566 /* "glVertexAttrib3dvARB" */,
        52587 /* "glVertexAttrib3dvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52548 /* "glVertexAttrib3dv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB3DVARBPROC
epoxy_glVertexAttrib3dvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52566 /* "glVertexAttrib3dvARB" */,
        52566 /* "glVertexAttrib3dvARB" */,
        52548 /* "glVertexAttrib3dv" */,
        52587 /* "glVertexAttrib3dvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52566 /* "glVertexAttrib3dvARB" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB3DVNVPROC
epoxy_glVertexAttrib3dvNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52587 /* "glVertexAttrib3dvNV" */,
        52548 /* "glVertexAttrib3dv" */,
        52566 /* "glVertexAttrib3dvARB" */,
        52566 /* "glVertexAttrib3dvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52587 /* "glVertexAttrib3dvNV" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB3FPROC
epoxy_glVertexAttrib3f_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52607 /* "glVertexAttrib3f" */,
        52607 /* "glVertexAttrib3f" */,
        52624 /* "glVertexAttrib3fARB" */,
        52624 /* "glVertexAttrib3fARB" */,
        52644 /* "glVertexAttrib3fNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52607 /* "glVertexAttrib3f" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB3FARBPROC
epoxy_glVertexAttrib3fARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52624 /* "glVertexAttrib3fARB" */,
        52624 /* "glVertexAttrib3fARB" */,
        52607 /* "glVertexAttrib3f" */,
        52607 /* "glVertexAttrib3f" */,
        52644 /* "glVertexAttrib3fNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52624 /* "glVertexAttrib3fARB" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB3FNVPROC
epoxy_glVertexAttrib3fNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52644 /* "glVertexAttrib3fNV" */,
        52607 /* "glVertexAttrib3f" */,
        52607 /* "glVertexAttrib3f" */,
        52624 /* "glVertexAttrib3fARB" */,
        52624 /* "glVertexAttrib3fARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52644 /* "glVertexAttrib3fNV" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB3FVPROC
epoxy_glVertexAttrib3fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52663 /* "glVertexAttrib3fv" */,
        52663 /* "glVertexAttrib3fv" */,
        52681 /* "glVertexAttrib3fvARB" */,
        52681 /* "glVertexAttrib3fvARB" */,
        52702 /* "glVertexAttrib3fvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52663 /* "glVertexAttrib3fv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB3FVARBPROC
epoxy_glVertexAttrib3fvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52681 /* "glVertexAttrib3fvARB" */,
        52681 /* "glVertexAttrib3fvARB" */,
        52663 /* "glVertexAttrib3fv" */,
        52663 /* "glVertexAttrib3fv" */,
        52702 /* "glVertexAttrib3fvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52681 /* "glVertexAttrib3fvARB" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB3FVNVPROC
epoxy_glVertexAttrib3fvNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52702 /* "glVertexAttrib3fvNV" */,
        52663 /* "glVertexAttrib3fv" */,
        52663 /* "glVertexAttrib3fv" */,
        52681 /* "glVertexAttrib3fvARB" */,
        52681 /* "glVertexAttrib3fvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52702 /* "glVertexAttrib3fvNV" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB3HNVPROC
epoxy_glVertexAttrib3hNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 52722 /* glVertexAttrib3hNV */);
}

static PFNGLVERTEXATTRIB3HVNVPROC
epoxy_glVertexAttrib3hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 52741 /* glVertexAttrib3hvNV */);
}

static PFNGLVERTEXATTRIB3SPROC
epoxy_glVertexAttrib3s_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52761 /* "glVertexAttrib3s" */,
        52778 /* "glVertexAttrib3sARB" */,
        52778 /* "glVertexAttrib3sARB" */,
        52798 /* "glVertexAttrib3sNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52761 /* "glVertexAttrib3s" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB3SARBPROC
epoxy_glVertexAttrib3sARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52778 /* "glVertexAttrib3sARB" */,
        52778 /* "glVertexAttrib3sARB" */,
        52761 /* "glVertexAttrib3s" */,
        52798 /* "glVertexAttrib3sNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52778 /* "glVertexAttrib3sARB" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB3SNVPROC
epoxy_glVertexAttrib3sNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52798 /* "glVertexAttrib3sNV" */,
        52761 /* "glVertexAttrib3s" */,
        52778 /* "glVertexAttrib3sARB" */,
        52778 /* "glVertexAttrib3sARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52798 /* "glVertexAttrib3sNV" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB3SVPROC
epoxy_glVertexAttrib3sv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52817 /* "glVertexAttrib3sv" */,
        52835 /* "glVertexAttrib3svARB" */,
        52835 /* "glVertexAttrib3svARB" */,
        52856 /* "glVertexAttrib3svNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52817 /* "glVertexAttrib3sv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB3SVARBPROC
epoxy_glVertexAttrib3svARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52835 /* "glVertexAttrib3svARB" */,
        52835 /* "glVertexAttrib3svARB" */,
        52817 /* "glVertexAttrib3sv" */,
        52856 /* "glVertexAttrib3svNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52835 /* "glVertexAttrib3svARB" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB3SVNVPROC
epoxy_glVertexAttrib3svNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52856 /* "glVertexAttrib3svNV" */,
        52817 /* "glVertexAttrib3sv" */,
        52835 /* "glVertexAttrib3svARB" */,
        52835 /* "glVertexAttrib3svARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52856 /* "glVertexAttrib3svNV" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4NBVPROC
epoxy_glVertexAttrib4Nbv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52876 /* "glVertexAttrib4Nbv" */,
        52895 /* "glVertexAttrib4NbvARB" */,
        52895 /* "glVertexAttrib4NbvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52876 /* "glVertexAttrib4Nbv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4NBVARBPROC
epoxy_glVertexAttrib4NbvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52895 /* "glVertexAttrib4NbvARB" */,
        52895 /* "glVertexAttrib4NbvARB" */,
        52876 /* "glVertexAttrib4Nbv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52895 /* "glVertexAttrib4NbvARB" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4NIVPROC
epoxy_glVertexAttrib4Niv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52917 /* "glVertexAttrib4Niv" */,
        52936 /* "glVertexAttrib4NivARB" */,
        52936 /* "glVertexAttrib4NivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52917 /* "glVertexAttrib4Niv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4NIVARBPROC
epoxy_glVertexAttrib4NivARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52936 /* "glVertexAttrib4NivARB" */,
        52936 /* "glVertexAttrib4NivARB" */,
        52917 /* "glVertexAttrib4Niv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52936 /* "glVertexAttrib4NivARB" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4NSVPROC
epoxy_glVertexAttrib4Nsv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52958 /* "glVertexAttrib4Nsv" */,
        52977 /* "glVertexAttrib4NsvARB" */,
        52977 /* "glVertexAttrib4NsvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52958 /* "glVertexAttrib4Nsv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4NSVARBPROC
epoxy_glVertexAttrib4NsvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52977 /* "glVertexAttrib4NsvARB" */,
        52977 /* "glVertexAttrib4NsvARB" */,
        52958 /* "glVertexAttrib4Nsv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52977 /* "glVertexAttrib4NsvARB" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4NUBPROC
epoxy_glVertexAttrib4Nub_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        52999 /* "glVertexAttrib4Nub" */,
        53018 /* "glVertexAttrib4NubARB" */,
        53018 /* "glVertexAttrib4NubARB" */,
        53631 /* "glVertexAttrib4ubNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 52999 /* "glVertexAttrib4Nub" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4NUBARBPROC
epoxy_glVertexAttrib4NubARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53018 /* "glVertexAttrib4NubARB" */,
        53018 /* "glVertexAttrib4NubARB" */,
        52999 /* "glVertexAttrib4Nub" */,
        53631 /* "glVertexAttrib4ubNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53018 /* "glVertexAttrib4NubARB" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4NUBVPROC
epoxy_glVertexAttrib4Nubv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53040 /* "glVertexAttrib4Nubv" */,
        53060 /* "glVertexAttrib4NubvARB" */,
        53060 /* "glVertexAttrib4NubvARB" */,
        53692 /* "glVertexAttrib4ubvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53040 /* "glVertexAttrib4Nubv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4NUBVARBPROC
epoxy_glVertexAttrib4NubvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53060 /* "glVertexAttrib4NubvARB" */,
        53060 /* "glVertexAttrib4NubvARB" */,
        53040 /* "glVertexAttrib4Nubv" */,
        53692 /* "glVertexAttrib4ubvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53060 /* "glVertexAttrib4NubvARB" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4NUIVPROC
epoxy_glVertexAttrib4Nuiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53083 /* "glVertexAttrib4Nuiv" */,
        53103 /* "glVertexAttrib4NuivARB" */,
        53103 /* "glVertexAttrib4NuivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53083 /* "glVertexAttrib4Nuiv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4NUIVARBPROC
epoxy_glVertexAttrib4NuivARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53103 /* "glVertexAttrib4NuivARB" */,
        53103 /* "glVertexAttrib4NuivARB" */,
        53083 /* "glVertexAttrib4Nuiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53103 /* "glVertexAttrib4NuivARB" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4NUSVPROC
epoxy_glVertexAttrib4Nusv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53126 /* "glVertexAttrib4Nusv" */,
        53146 /* "glVertexAttrib4NusvARB" */,
        53146 /* "glVertexAttrib4NusvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53126 /* "glVertexAttrib4Nusv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4NUSVARBPROC
epoxy_glVertexAttrib4NusvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53146 /* "glVertexAttrib4NusvARB" */,
        53146 /* "glVertexAttrib4NusvARB" */,
        53126 /* "glVertexAttrib4Nusv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53146 /* "glVertexAttrib4NusvARB" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4BVPROC
epoxy_glVertexAttrib4bv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53169 /* "glVertexAttrib4bv" */,
        53187 /* "glVertexAttrib4bvARB" */,
        53187 /* "glVertexAttrib4bvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53169 /* "glVertexAttrib4bv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4BVARBPROC
epoxy_glVertexAttrib4bvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53187 /* "glVertexAttrib4bvARB" */,
        53187 /* "glVertexAttrib4bvARB" */,
        53169 /* "glVertexAttrib4bv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53187 /* "glVertexAttrib4bvARB" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4DPROC
epoxy_glVertexAttrib4d_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53208 /* "glVertexAttrib4d" */,
        53225 /* "glVertexAttrib4dARB" */,
        53225 /* "glVertexAttrib4dARB" */,
        53245 /* "glVertexAttrib4dNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53208 /* "glVertexAttrib4d" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4DARBPROC
epoxy_glVertexAttrib4dARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53225 /* "glVertexAttrib4dARB" */,
        53225 /* "glVertexAttrib4dARB" */,
        53208 /* "glVertexAttrib4d" */,
        53245 /* "glVertexAttrib4dNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53225 /* "glVertexAttrib4dARB" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4DNVPROC
epoxy_glVertexAttrib4dNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53245 /* "glVertexAttrib4dNV" */,
        53208 /* "glVertexAttrib4d" */,
        53225 /* "glVertexAttrib4dARB" */,
        53225 /* "glVertexAttrib4dARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53245 /* "glVertexAttrib4dNV" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4DVPROC
epoxy_glVertexAttrib4dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53264 /* "glVertexAttrib4dv" */,
        53282 /* "glVertexAttrib4dvARB" */,
        53282 /* "glVertexAttrib4dvARB" */,
        53303 /* "glVertexAttrib4dvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53264 /* "glVertexAttrib4dv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4DVARBPROC
epoxy_glVertexAttrib4dvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53282 /* "glVertexAttrib4dvARB" */,
        53282 /* "glVertexAttrib4dvARB" */,
        53264 /* "glVertexAttrib4dv" */,
        53303 /* "glVertexAttrib4dvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53282 /* "glVertexAttrib4dvARB" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4DVNVPROC
epoxy_glVertexAttrib4dvNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53303 /* "glVertexAttrib4dvNV" */,
        53264 /* "glVertexAttrib4dv" */,
        53282 /* "glVertexAttrib4dvARB" */,
        53282 /* "glVertexAttrib4dvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53303 /* "glVertexAttrib4dvNV" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4FPROC
epoxy_glVertexAttrib4f_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53323 /* "glVertexAttrib4f" */,
        53323 /* "glVertexAttrib4f" */,
        53340 /* "glVertexAttrib4fARB" */,
        53340 /* "glVertexAttrib4fARB" */,
        53360 /* "glVertexAttrib4fNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53323 /* "glVertexAttrib4f" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4FARBPROC
epoxy_glVertexAttrib4fARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53340 /* "glVertexAttrib4fARB" */,
        53340 /* "glVertexAttrib4fARB" */,
        53323 /* "glVertexAttrib4f" */,
        53323 /* "glVertexAttrib4f" */,
        53360 /* "glVertexAttrib4fNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53340 /* "glVertexAttrib4fARB" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4FNVPROC
epoxy_glVertexAttrib4fNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53360 /* "glVertexAttrib4fNV" */,
        53323 /* "glVertexAttrib4f" */,
        53323 /* "glVertexAttrib4f" */,
        53340 /* "glVertexAttrib4fARB" */,
        53340 /* "glVertexAttrib4fARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53360 /* "glVertexAttrib4fNV" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4FVPROC
epoxy_glVertexAttrib4fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53379 /* "glVertexAttrib4fv" */,
        53379 /* "glVertexAttrib4fv" */,
        53397 /* "glVertexAttrib4fvARB" */,
        53397 /* "glVertexAttrib4fvARB" */,
        53418 /* "glVertexAttrib4fvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53379 /* "glVertexAttrib4fv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4FVARBPROC
epoxy_glVertexAttrib4fvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53397 /* "glVertexAttrib4fvARB" */,
        53397 /* "glVertexAttrib4fvARB" */,
        53379 /* "glVertexAttrib4fv" */,
        53379 /* "glVertexAttrib4fv" */,
        53418 /* "glVertexAttrib4fvNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53397 /* "glVertexAttrib4fvARB" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4FVNVPROC
epoxy_glVertexAttrib4fvNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53418 /* "glVertexAttrib4fvNV" */,
        53379 /* "glVertexAttrib4fv" */,
        53379 /* "glVertexAttrib4fv" */,
        53397 /* "glVertexAttrib4fvARB" */,
        53397 /* "glVertexAttrib4fvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53418 /* "glVertexAttrib4fvNV" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4HNVPROC
epoxy_glVertexAttrib4hNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 53438 /* glVertexAttrib4hNV */);
}

static PFNGLVERTEXATTRIB4HVNVPROC
epoxy_glVertexAttrib4hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 53457 /* glVertexAttrib4hvNV */);
}

static PFNGLVERTEXATTRIB4IVPROC
epoxy_glVertexAttrib4iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53477 /* "glVertexAttrib4iv" */,
        53495 /* "glVertexAttrib4ivARB" */,
        53495 /* "glVertexAttrib4ivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53477 /* "glVertexAttrib4iv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4IVARBPROC
epoxy_glVertexAttrib4ivARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53495 /* "glVertexAttrib4ivARB" */,
        53495 /* "glVertexAttrib4ivARB" */,
        53477 /* "glVertexAttrib4iv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53495 /* "glVertexAttrib4ivARB" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4SPROC
epoxy_glVertexAttrib4s_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53516 /* "glVertexAttrib4s" */,
        53533 /* "glVertexAttrib4sARB" */,
        53533 /* "glVertexAttrib4sARB" */,
        53553 /* "glVertexAttrib4sNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53516 /* "glVertexAttrib4s" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4SARBPROC
epoxy_glVertexAttrib4sARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53533 /* "glVertexAttrib4sARB" */,
        53533 /* "glVertexAttrib4sARB" */,
        53516 /* "glVertexAttrib4s" */,
        53553 /* "glVertexAttrib4sNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53533 /* "glVertexAttrib4sARB" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4SNVPROC
epoxy_glVertexAttrib4sNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53553 /* "glVertexAttrib4sNV" */,
        53516 /* "glVertexAttrib4s" */,
        53533 /* "glVertexAttrib4sARB" */,
        53533 /* "glVertexAttrib4sARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53553 /* "glVertexAttrib4sNV" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4SVPROC
epoxy_glVertexAttrib4sv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53572 /* "glVertexAttrib4sv" */,
        53590 /* "glVertexAttrib4svARB" */,
        53590 /* "glVertexAttrib4svARB" */,
        53611 /* "glVertexAttrib4svNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53572 /* "glVertexAttrib4sv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4SVARBPROC
epoxy_glVertexAttrib4svARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        Desktop_OpenGL_2_0,
        GL_extension_GL_NV_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53590 /* "glVertexAttrib4svARB" */,
        53590 /* "glVertexAttrib4svARB" */,
        53572 /* "glVertexAttrib4sv" */,
        53611 /* "glVertexAttrib4svNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53590 /* "glVertexAttrib4svARB" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4SVNVPROC
epoxy_glVertexAttrib4svNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53611 /* "glVertexAttrib4svNV" */,
        53572 /* "glVertexAttrib4sv" */,
        53590 /* "glVertexAttrib4svARB" */,
        53590 /* "glVertexAttrib4svARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53611 /* "glVertexAttrib4svNV" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4UBNVPROC
epoxy_glVertexAttrib4ubNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53631 /* "glVertexAttrib4ubNV" */,
        52999 /* "glVertexAttrib4Nub" */,
        53018 /* "glVertexAttrib4NubARB" */,
        53018 /* "glVertexAttrib4NubARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53631 /* "glVertexAttrib4ubNV" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4UBVPROC
epoxy_glVertexAttrib4ubv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53651 /* "glVertexAttrib4ubv" */,
        53670 /* "glVertexAttrib4ubvARB" */,
        53670 /* "glVertexAttrib4ubvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53651 /* "glVertexAttrib4ubv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4UBVARBPROC
epoxy_glVertexAttrib4ubvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53670 /* "glVertexAttrib4ubvARB" */,
        53670 /* "glVertexAttrib4ubvARB" */,
        53651 /* "glVertexAttrib4ubv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53670 /* "glVertexAttrib4ubvARB" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4UBVNVPROC
epoxy_glVertexAttrib4ubvNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53692 /* "glVertexAttrib4ubvNV" */,
        53040 /* "glVertexAttrib4Nubv" */,
        53060 /* "glVertexAttrib4NubvARB" */,
        53060 /* "glVertexAttrib4NubvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53692 /* "glVertexAttrib4ubvNV" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4UIVPROC
epoxy_glVertexAttrib4uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53713 /* "glVertexAttrib4uiv" */,
        53732 /* "glVertexAttrib4uivARB" */,
        53732 /* "glVertexAttrib4uivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53713 /* "glVertexAttrib4uiv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4UIVARBPROC
epoxy_glVertexAttrib4uivARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53732 /* "glVertexAttrib4uivARB" */,
        53732 /* "glVertexAttrib4uivARB" */,
        53713 /* "glVertexAttrib4uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53732 /* "glVertexAttrib4uivARB" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4USVPROC
epoxy_glVertexAttrib4usv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53754 /* "glVertexAttrib4usv" */,
        53773 /* "glVertexAttrib4usvARB" */,
        53773 /* "glVertexAttrib4usvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53754 /* "glVertexAttrib4usv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIB4USVARBPROC
epoxy_glVertexAttrib4usvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53773 /* "glVertexAttrib4usvARB" */,
        53773 /* "glVertexAttrib4usvARB" */,
        53754 /* "glVertexAttrib4usv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53773 /* "glVertexAttrib4usvARB" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBARRAYOBJECTATIPROC
epoxy_glVertexAttribArrayObjectATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_attrib_array_object, 53795 /* glVertexAttribArrayObjectATI */);
}

static PFNGLVERTEXATTRIBBINDINGPROC
epoxy_glVertexAttribBinding_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_attrib_binding,
        Desktop_OpenGL_4_3,
        OpenGL_ES_3_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53824 /* "glVertexAttribBinding" */,
        53824 /* "glVertexAttribBinding" */,
        53824 /* "glVertexAttribBinding" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53824 /* "glVertexAttribBinding" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBDIVISORPROC
epoxy_glVertexAttribDivisor_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_3,
        OpenGL_ES_3_0,
        GL_extension_GL_ANGLE_instanced_arrays,
        GL_extension_GL_ARB_instanced_arrays,
        GL_extension_GL_EXT_instanced_arrays,
        GL_extension_GL_NV_instanced_arrays,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53846 /* "glVertexAttribDivisor" */,
        53846 /* "glVertexAttribDivisor" */,
        53868 /* "glVertexAttribDivisorANGLE" */,
        53895 /* "glVertexAttribDivisorARB" */,
        53920 /* "glVertexAttribDivisorEXT" */,
        53945 /* "glVertexAttribDivisorNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53846 /* "glVertexAttribDivisor" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBDIVISORANGLEPROC
epoxy_glVertexAttribDivisorANGLE_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ANGLE_instanced_arrays,
        Desktop_OpenGL_3_3,
        OpenGL_ES_3_0,
        GL_extension_GL_ARB_instanced_arrays,
        GL_extension_GL_EXT_instanced_arrays,
        GL_extension_GL_NV_instanced_arrays,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53868 /* "glVertexAttribDivisorANGLE" */,
        53846 /* "glVertexAttribDivisor" */,
        53846 /* "glVertexAttribDivisor" */,
        53895 /* "glVertexAttribDivisorARB" */,
        53920 /* "glVertexAttribDivisorEXT" */,
        53945 /* "glVertexAttribDivisorNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53868 /* "glVertexAttribDivisorANGLE" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBDIVISORARBPROC
epoxy_glVertexAttribDivisorARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_instanced_arrays,
        Desktop_OpenGL_3_3,
        OpenGL_ES_3_0,
        GL_extension_GL_ANGLE_instanced_arrays,
        GL_extension_GL_EXT_instanced_arrays,
        GL_extension_GL_NV_instanced_arrays,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53895 /* "glVertexAttribDivisorARB" */,
        53846 /* "glVertexAttribDivisor" */,
        53846 /* "glVertexAttribDivisor" */,
        53868 /* "glVertexAttribDivisorANGLE" */,
        53920 /* "glVertexAttribDivisorEXT" */,
        53945 /* "glVertexAttribDivisorNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53895 /* "glVertexAttribDivisorARB" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBDIVISOREXTPROC
epoxy_glVertexAttribDivisorEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_instanced_arrays,
        Desktop_OpenGL_3_3,
        OpenGL_ES_3_0,
        GL_extension_GL_ANGLE_instanced_arrays,
        GL_extension_GL_ARB_instanced_arrays,
        GL_extension_GL_NV_instanced_arrays,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53920 /* "glVertexAttribDivisorEXT" */,
        53846 /* "glVertexAttribDivisor" */,
        53846 /* "glVertexAttribDivisor" */,
        53868 /* "glVertexAttribDivisorANGLE" */,
        53895 /* "glVertexAttribDivisorARB" */,
        53945 /* "glVertexAttribDivisorNV" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53920 /* "glVertexAttribDivisorEXT" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBDIVISORNVPROC
epoxy_glVertexAttribDivisorNV_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_instanced_arrays,
        Desktop_OpenGL_3_3,
        OpenGL_ES_3_0,
        GL_extension_GL_ANGLE_instanced_arrays,
        GL_extension_GL_ARB_instanced_arrays,
        GL_extension_GL_EXT_instanced_arrays,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53945 /* "glVertexAttribDivisorNV" */,
        53846 /* "glVertexAttribDivisor" */,
        53846 /* "glVertexAttribDivisor" */,
        53868 /* "glVertexAttribDivisorANGLE" */,
        53895 /* "glVertexAttribDivisorARB" */,
        53920 /* "glVertexAttribDivisorEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53945 /* "glVertexAttribDivisorNV" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBFORMATPROC
epoxy_glVertexAttribFormat_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_attrib_binding,
        Desktop_OpenGL_4_3,
        OpenGL_ES_3_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        53969 /* "glVertexAttribFormat" */,
        53969 /* "glVertexAttribFormat" */,
        53969 /* "glVertexAttribFormat" */,
    };
    return gl_provider_resolver(entrypoint_strings + 53969 /* "glVertexAttribFormat" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBFORMATNVPROC
epoxy_glVertexAttribFormatNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_buffer_unified_memory, 53990 /* glVertexAttribFormatNV */);
}

static PFNGLVERTEXATTRIBI1IPROC
epoxy_glVertexAttribI1i_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54013 /* "glVertexAttribI1i" */,
        54031 /* "glVertexAttribI1iEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54013 /* "glVertexAttribI1i" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI1IEXTPROC
epoxy_glVertexAttribI1iEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program4,
        Desktop_OpenGL_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54031 /* "glVertexAttribI1iEXT" */,
        54013 /* "glVertexAttribI1i" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54031 /* "glVertexAttribI1iEXT" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI1IVPROC
epoxy_glVertexAttribI1iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54052 /* "glVertexAttribI1iv" */,
        54071 /* "glVertexAttribI1ivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54052 /* "glVertexAttribI1iv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI1IVEXTPROC
epoxy_glVertexAttribI1ivEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program4,
        Desktop_OpenGL_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54071 /* "glVertexAttribI1ivEXT" */,
        54052 /* "glVertexAttribI1iv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54071 /* "glVertexAttribI1ivEXT" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI1UIPROC
epoxy_glVertexAttribI1ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54093 /* "glVertexAttribI1ui" */,
        54112 /* "glVertexAttribI1uiEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54093 /* "glVertexAttribI1ui" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI1UIEXTPROC
epoxy_glVertexAttribI1uiEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program4,
        Desktop_OpenGL_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54112 /* "glVertexAttribI1uiEXT" */,
        54093 /* "glVertexAttribI1ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54112 /* "glVertexAttribI1uiEXT" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI1UIVPROC
epoxy_glVertexAttribI1uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54134 /* "glVertexAttribI1uiv" */,
        54154 /* "glVertexAttribI1uivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54134 /* "glVertexAttribI1uiv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI1UIVEXTPROC
epoxy_glVertexAttribI1uivEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program4,
        Desktop_OpenGL_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54154 /* "glVertexAttribI1uivEXT" */,
        54134 /* "glVertexAttribI1uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54154 /* "glVertexAttribI1uivEXT" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI2IPROC
epoxy_glVertexAttribI2i_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54177 /* "glVertexAttribI2i" */,
        54195 /* "glVertexAttribI2iEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54177 /* "glVertexAttribI2i" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI2IEXTPROC
epoxy_glVertexAttribI2iEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program4,
        Desktop_OpenGL_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54195 /* "glVertexAttribI2iEXT" */,
        54177 /* "glVertexAttribI2i" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54195 /* "glVertexAttribI2iEXT" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI2IVPROC
epoxy_glVertexAttribI2iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54216 /* "glVertexAttribI2iv" */,
        54235 /* "glVertexAttribI2ivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54216 /* "glVertexAttribI2iv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI2IVEXTPROC
epoxy_glVertexAttribI2ivEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program4,
        Desktop_OpenGL_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54235 /* "glVertexAttribI2ivEXT" */,
        54216 /* "glVertexAttribI2iv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54235 /* "glVertexAttribI2ivEXT" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI2UIPROC
epoxy_glVertexAttribI2ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54257 /* "glVertexAttribI2ui" */,
        54276 /* "glVertexAttribI2uiEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54257 /* "glVertexAttribI2ui" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI2UIEXTPROC
epoxy_glVertexAttribI2uiEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program4,
        Desktop_OpenGL_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54276 /* "glVertexAttribI2uiEXT" */,
        54257 /* "glVertexAttribI2ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54276 /* "glVertexAttribI2uiEXT" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI2UIVPROC
epoxy_glVertexAttribI2uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54298 /* "glVertexAttribI2uiv" */,
        54318 /* "glVertexAttribI2uivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54298 /* "glVertexAttribI2uiv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI2UIVEXTPROC
epoxy_glVertexAttribI2uivEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program4,
        Desktop_OpenGL_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54318 /* "glVertexAttribI2uivEXT" */,
        54298 /* "glVertexAttribI2uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54318 /* "glVertexAttribI2uivEXT" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI3IPROC
epoxy_glVertexAttribI3i_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54341 /* "glVertexAttribI3i" */,
        54359 /* "glVertexAttribI3iEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54341 /* "glVertexAttribI3i" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI3IEXTPROC
epoxy_glVertexAttribI3iEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program4,
        Desktop_OpenGL_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54359 /* "glVertexAttribI3iEXT" */,
        54341 /* "glVertexAttribI3i" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54359 /* "glVertexAttribI3iEXT" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI3IVPROC
epoxy_glVertexAttribI3iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54380 /* "glVertexAttribI3iv" */,
        54399 /* "glVertexAttribI3ivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54380 /* "glVertexAttribI3iv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI3IVEXTPROC
epoxy_glVertexAttribI3ivEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program4,
        Desktop_OpenGL_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54399 /* "glVertexAttribI3ivEXT" */,
        54380 /* "glVertexAttribI3iv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54399 /* "glVertexAttribI3ivEXT" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI3UIPROC
epoxy_glVertexAttribI3ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54421 /* "glVertexAttribI3ui" */,
        54440 /* "glVertexAttribI3uiEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54421 /* "glVertexAttribI3ui" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI3UIEXTPROC
epoxy_glVertexAttribI3uiEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program4,
        Desktop_OpenGL_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54440 /* "glVertexAttribI3uiEXT" */,
        54421 /* "glVertexAttribI3ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54440 /* "glVertexAttribI3uiEXT" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI3UIVPROC
epoxy_glVertexAttribI3uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54462 /* "glVertexAttribI3uiv" */,
        54482 /* "glVertexAttribI3uivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54462 /* "glVertexAttribI3uiv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI3UIVEXTPROC
epoxy_glVertexAttribI3uivEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program4,
        Desktop_OpenGL_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54482 /* "glVertexAttribI3uivEXT" */,
        54462 /* "glVertexAttribI3uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54482 /* "glVertexAttribI3uivEXT" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI4BVPROC
epoxy_glVertexAttribI4bv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54505 /* "glVertexAttribI4bv" */,
        54524 /* "glVertexAttribI4bvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54505 /* "glVertexAttribI4bv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI4BVEXTPROC
epoxy_glVertexAttribI4bvEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program4,
        Desktop_OpenGL_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54524 /* "glVertexAttribI4bvEXT" */,
        54505 /* "glVertexAttribI4bv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54524 /* "glVertexAttribI4bvEXT" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI4IPROC
epoxy_glVertexAttribI4i_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54546 /* "glVertexAttribI4i" */,
        54546 /* "glVertexAttribI4i" */,
        54564 /* "glVertexAttribI4iEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54546 /* "glVertexAttribI4i" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI4IEXTPROC
epoxy_glVertexAttribI4iEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program4,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54564 /* "glVertexAttribI4iEXT" */,
        54546 /* "glVertexAttribI4i" */,
        54546 /* "glVertexAttribI4i" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54564 /* "glVertexAttribI4iEXT" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI4IVPROC
epoxy_glVertexAttribI4iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54585 /* "glVertexAttribI4iv" */,
        54585 /* "glVertexAttribI4iv" */,
        54604 /* "glVertexAttribI4ivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54585 /* "glVertexAttribI4iv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI4IVEXTPROC
epoxy_glVertexAttribI4ivEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program4,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54604 /* "glVertexAttribI4ivEXT" */,
        54585 /* "glVertexAttribI4iv" */,
        54585 /* "glVertexAttribI4iv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54604 /* "glVertexAttribI4ivEXT" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI4SVPROC
epoxy_glVertexAttribI4sv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54626 /* "glVertexAttribI4sv" */,
        54645 /* "glVertexAttribI4svEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54626 /* "glVertexAttribI4sv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI4SVEXTPROC
epoxy_glVertexAttribI4svEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program4,
        Desktop_OpenGL_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54645 /* "glVertexAttribI4svEXT" */,
        54626 /* "glVertexAttribI4sv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54645 /* "glVertexAttribI4svEXT" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI4UBVPROC
epoxy_glVertexAttribI4ubv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54667 /* "glVertexAttribI4ubv" */,
        54687 /* "glVertexAttribI4ubvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54667 /* "glVertexAttribI4ubv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI4UBVEXTPROC
epoxy_glVertexAttribI4ubvEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program4,
        Desktop_OpenGL_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54687 /* "glVertexAttribI4ubvEXT" */,
        54667 /* "glVertexAttribI4ubv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54687 /* "glVertexAttribI4ubvEXT" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI4UIPROC
epoxy_glVertexAttribI4ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54710 /* "glVertexAttribI4ui" */,
        54710 /* "glVertexAttribI4ui" */,
        54729 /* "glVertexAttribI4uiEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54710 /* "glVertexAttribI4ui" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI4UIEXTPROC
epoxy_glVertexAttribI4uiEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program4,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54729 /* "glVertexAttribI4uiEXT" */,
        54710 /* "glVertexAttribI4ui" */,
        54710 /* "glVertexAttribI4ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54729 /* "glVertexAttribI4uiEXT" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI4UIVPROC
epoxy_glVertexAttribI4uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54751 /* "glVertexAttribI4uiv" */,
        54751 /* "glVertexAttribI4uiv" */,
        54771 /* "glVertexAttribI4uivEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54751 /* "glVertexAttribI4uiv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI4UIVEXTPROC
epoxy_glVertexAttribI4uivEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program4,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54771 /* "glVertexAttribI4uivEXT" */,
        54751 /* "glVertexAttribI4uiv" */,
        54751 /* "glVertexAttribI4uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54771 /* "glVertexAttribI4uivEXT" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI4USVPROC
epoxy_glVertexAttribI4usv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54794 /* "glVertexAttribI4usv" */,
        54814 /* "glVertexAttribI4usvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54794 /* "glVertexAttribI4usv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBI4USVEXTPROC
epoxy_glVertexAttribI4usvEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program4,
        Desktop_OpenGL_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54814 /* "glVertexAttribI4usvEXT" */,
        54794 /* "glVertexAttribI4usv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54814 /* "glVertexAttribI4usvEXT" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBIFORMATPROC
epoxy_glVertexAttribIFormat_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_attrib_binding,
        Desktop_OpenGL_4_3,
        OpenGL_ES_3_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54837 /* "glVertexAttribIFormat" */,
        54837 /* "glVertexAttribIFormat" */,
        54837 /* "glVertexAttribIFormat" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54837 /* "glVertexAttribIFormat" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBIFORMATNVPROC
epoxy_glVertexAttribIFormatNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_buffer_unified_memory, 54859 /* glVertexAttribIFormatNV */);
}

static PFNGLVERTEXATTRIBIPOINTERPROC
epoxy_glVertexAttribIPointer_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        GL_extension_GL_NV_vertex_program4,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54883 /* "glVertexAttribIPointer" */,
        54883 /* "glVertexAttribIPointer" */,
        54906 /* "glVertexAttribIPointerEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54883 /* "glVertexAttribIPointer" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBIPOINTEREXTPROC
epoxy_glVertexAttribIPointerEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_NV_vertex_program4,
        Desktop_OpenGL_3_0,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54906 /* "glVertexAttribIPointerEXT" */,
        54883 /* "glVertexAttribIPointer" */,
        54883 /* "glVertexAttribIPointer" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54906 /* "glVertexAttribIPointerEXT" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBL1DPROC
epoxy_glVertexAttribL1d_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_vertex_attrib_64bit,
        GL_extension_GL_EXT_vertex_attrib_64bit,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54932 /* "glVertexAttribL1d" */,
        54932 /* "glVertexAttribL1d" */,
        54950 /* "glVertexAttribL1dEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54932 /* "glVertexAttribL1d" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBL1DEXTPROC
epoxy_glVertexAttribL1dEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_vertex_attrib_64bit,
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_vertex_attrib_64bit,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54950 /* "glVertexAttribL1dEXT" */,
        54932 /* "glVertexAttribL1d" */,
        54932 /* "glVertexAttribL1d" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54950 /* "glVertexAttribL1dEXT" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBL1DVPROC
epoxy_glVertexAttribL1dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_vertex_attrib_64bit,
        GL_extension_GL_EXT_vertex_attrib_64bit,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54971 /* "glVertexAttribL1dv" */,
        54971 /* "glVertexAttribL1dv" */,
        54990 /* "glVertexAttribL1dvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54971 /* "glVertexAttribL1dv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBL1DVEXTPROC
epoxy_glVertexAttribL1dvEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_vertex_attrib_64bit,
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_vertex_attrib_64bit,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        54990 /* "glVertexAttribL1dvEXT" */,
        54971 /* "glVertexAttribL1dv" */,
        54971 /* "glVertexAttribL1dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 54990 /* "glVertexAttribL1dvEXT" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBL1I64NVPROC
epoxy_glVertexAttribL1i64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_attrib_integer_64bit, 55012 /* glVertexAttribL1i64NV */);
}

static PFNGLVERTEXATTRIBL1I64VNVPROC
epoxy_glVertexAttribL1i64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_attrib_integer_64bit, 55034 /* glVertexAttribL1i64vNV */);
}

static PFNGLVERTEXATTRIBL1UI64ARBPROC
epoxy_glVertexAttribL1ui64ARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_bindless_texture, 55057 /* glVertexAttribL1ui64ARB */);
}

static PFNGLVERTEXATTRIBL1UI64NVPROC
epoxy_glVertexAttribL1ui64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_attrib_integer_64bit, 55081 /* glVertexAttribL1ui64NV */);
}

static PFNGLVERTEXATTRIBL1UI64VARBPROC
epoxy_glVertexAttribL1ui64vARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_bindless_texture, 55104 /* glVertexAttribL1ui64vARB */);
}

static PFNGLVERTEXATTRIBL1UI64VNVPROC
epoxy_glVertexAttribL1ui64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_attrib_integer_64bit, 55129 /* glVertexAttribL1ui64vNV */);
}

static PFNGLVERTEXATTRIBL2DPROC
epoxy_glVertexAttribL2d_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_vertex_attrib_64bit,
        GL_extension_GL_EXT_vertex_attrib_64bit,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55153 /* "glVertexAttribL2d" */,
        55153 /* "glVertexAttribL2d" */,
        55171 /* "glVertexAttribL2dEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55153 /* "glVertexAttribL2d" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBL2DEXTPROC
epoxy_glVertexAttribL2dEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_vertex_attrib_64bit,
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_vertex_attrib_64bit,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55171 /* "glVertexAttribL2dEXT" */,
        55153 /* "glVertexAttribL2d" */,
        55153 /* "glVertexAttribL2d" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55171 /* "glVertexAttribL2dEXT" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBL2DVPROC
epoxy_glVertexAttribL2dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_vertex_attrib_64bit,
        GL_extension_GL_EXT_vertex_attrib_64bit,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55192 /* "glVertexAttribL2dv" */,
        55192 /* "glVertexAttribL2dv" */,
        55211 /* "glVertexAttribL2dvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55192 /* "glVertexAttribL2dv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBL2DVEXTPROC
epoxy_glVertexAttribL2dvEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_vertex_attrib_64bit,
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_vertex_attrib_64bit,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55211 /* "glVertexAttribL2dvEXT" */,
        55192 /* "glVertexAttribL2dv" */,
        55192 /* "glVertexAttribL2dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55211 /* "glVertexAttribL2dvEXT" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBL2I64NVPROC
epoxy_glVertexAttribL2i64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_attrib_integer_64bit, 55233 /* glVertexAttribL2i64NV */);
}

static PFNGLVERTEXATTRIBL2I64VNVPROC
epoxy_glVertexAttribL2i64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_attrib_integer_64bit, 55255 /* glVertexAttribL2i64vNV */);
}

static PFNGLVERTEXATTRIBL2UI64NVPROC
epoxy_glVertexAttribL2ui64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_attrib_integer_64bit, 55278 /* glVertexAttribL2ui64NV */);
}

static PFNGLVERTEXATTRIBL2UI64VNVPROC
epoxy_glVertexAttribL2ui64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_attrib_integer_64bit, 55301 /* glVertexAttribL2ui64vNV */);
}

static PFNGLVERTEXATTRIBL3DPROC
epoxy_glVertexAttribL3d_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_vertex_attrib_64bit,
        GL_extension_GL_EXT_vertex_attrib_64bit,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55325 /* "glVertexAttribL3d" */,
        55325 /* "glVertexAttribL3d" */,
        55343 /* "glVertexAttribL3dEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55325 /* "glVertexAttribL3d" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBL3DEXTPROC
epoxy_glVertexAttribL3dEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_vertex_attrib_64bit,
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_vertex_attrib_64bit,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55343 /* "glVertexAttribL3dEXT" */,
        55325 /* "glVertexAttribL3d" */,
        55325 /* "glVertexAttribL3d" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55343 /* "glVertexAttribL3dEXT" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBL3DVPROC
epoxy_glVertexAttribL3dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_vertex_attrib_64bit,
        GL_extension_GL_EXT_vertex_attrib_64bit,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55364 /* "glVertexAttribL3dv" */,
        55364 /* "glVertexAttribL3dv" */,
        55383 /* "glVertexAttribL3dvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55364 /* "glVertexAttribL3dv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBL3DVEXTPROC
epoxy_glVertexAttribL3dvEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_vertex_attrib_64bit,
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_vertex_attrib_64bit,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55383 /* "glVertexAttribL3dvEXT" */,
        55364 /* "glVertexAttribL3dv" */,
        55364 /* "glVertexAttribL3dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55383 /* "glVertexAttribL3dvEXT" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBL3I64NVPROC
epoxy_glVertexAttribL3i64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_attrib_integer_64bit, 55405 /* glVertexAttribL3i64NV */);
}

static PFNGLVERTEXATTRIBL3I64VNVPROC
epoxy_glVertexAttribL3i64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_attrib_integer_64bit, 55427 /* glVertexAttribL3i64vNV */);
}

static PFNGLVERTEXATTRIBL3UI64NVPROC
epoxy_glVertexAttribL3ui64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_attrib_integer_64bit, 55450 /* glVertexAttribL3ui64NV */);
}

static PFNGLVERTEXATTRIBL3UI64VNVPROC
epoxy_glVertexAttribL3ui64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_attrib_integer_64bit, 55473 /* glVertexAttribL3ui64vNV */);
}

static PFNGLVERTEXATTRIBL4DPROC
epoxy_glVertexAttribL4d_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_vertex_attrib_64bit,
        GL_extension_GL_EXT_vertex_attrib_64bit,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55497 /* "glVertexAttribL4d" */,
        55497 /* "glVertexAttribL4d" */,
        55515 /* "glVertexAttribL4dEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55497 /* "glVertexAttribL4d" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBL4DEXTPROC
epoxy_glVertexAttribL4dEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_vertex_attrib_64bit,
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_vertex_attrib_64bit,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55515 /* "glVertexAttribL4dEXT" */,
        55497 /* "glVertexAttribL4d" */,
        55497 /* "glVertexAttribL4d" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55515 /* "glVertexAttribL4dEXT" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBL4DVPROC
epoxy_glVertexAttribL4dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_vertex_attrib_64bit,
        GL_extension_GL_EXT_vertex_attrib_64bit,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55536 /* "glVertexAttribL4dv" */,
        55536 /* "glVertexAttribL4dv" */,
        55555 /* "glVertexAttribL4dvEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55536 /* "glVertexAttribL4dv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBL4DVEXTPROC
epoxy_glVertexAttribL4dvEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_vertex_attrib_64bit,
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_vertex_attrib_64bit,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55555 /* "glVertexAttribL4dvEXT" */,
        55536 /* "glVertexAttribL4dv" */,
        55536 /* "glVertexAttribL4dv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55555 /* "glVertexAttribL4dvEXT" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBL4I64NVPROC
epoxy_glVertexAttribL4i64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_attrib_integer_64bit, 55577 /* glVertexAttribL4i64NV */);
}

static PFNGLVERTEXATTRIBL4I64VNVPROC
epoxy_glVertexAttribL4i64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_attrib_integer_64bit, 55599 /* glVertexAttribL4i64vNV */);
}

static PFNGLVERTEXATTRIBL4UI64NVPROC
epoxy_glVertexAttribL4ui64NV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_attrib_integer_64bit, 55622 /* glVertexAttribL4ui64NV */);
}

static PFNGLVERTEXATTRIBL4UI64VNVPROC
epoxy_glVertexAttribL4ui64vNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_attrib_integer_64bit, 55645 /* glVertexAttribL4ui64vNV */);
}

static PFNGLVERTEXATTRIBLFORMATPROC
epoxy_glVertexAttribLFormat_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_attrib_binding,
        Desktop_OpenGL_4_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55669 /* "glVertexAttribLFormat" */,
        55669 /* "glVertexAttribLFormat" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55669 /* "glVertexAttribLFormat" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBLFORMATNVPROC
epoxy_glVertexAttribLFormatNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_attrib_integer_64bit, 55691 /* glVertexAttribLFormatNV */);
}

static PFNGLVERTEXATTRIBLPOINTERPROC
epoxy_glVertexAttribLPointer_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_vertex_attrib_64bit,
        GL_extension_GL_EXT_vertex_attrib_64bit,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55715 /* "glVertexAttribLPointer" */,
        55715 /* "glVertexAttribLPointer" */,
        55738 /* "glVertexAttribLPointerEXT" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55715 /* "glVertexAttribLPointer" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBLPOINTEREXTPROC
epoxy_glVertexAttribLPointerEXT_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_EXT_vertex_attrib_64bit,
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_vertex_attrib_64bit,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55738 /* "glVertexAttribLPointerEXT" */,
        55715 /* "glVertexAttribLPointer" */,
        55715 /* "glVertexAttribLPointer" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55738 /* "glVertexAttribLPointerEXT" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBP1UIPROC
epoxy_glVertexAttribP1ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55764 /* "glVertexAttribP1ui" */,
        55764 /* "glVertexAttribP1ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55764 /* "glVertexAttribP1ui" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBP1UIVPROC
epoxy_glVertexAttribP1uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55783 /* "glVertexAttribP1uiv" */,
        55783 /* "glVertexAttribP1uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55783 /* "glVertexAttribP1uiv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBP2UIPROC
epoxy_glVertexAttribP2ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55803 /* "glVertexAttribP2ui" */,
        55803 /* "glVertexAttribP2ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55803 /* "glVertexAttribP2ui" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBP2UIVPROC
epoxy_glVertexAttribP2uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55822 /* "glVertexAttribP2uiv" */,
        55822 /* "glVertexAttribP2uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55822 /* "glVertexAttribP2uiv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBP3UIPROC
epoxy_glVertexAttribP3ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55842 /* "glVertexAttribP3ui" */,
        55842 /* "glVertexAttribP3ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55842 /* "glVertexAttribP3ui" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBP3UIVPROC
epoxy_glVertexAttribP3uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55861 /* "glVertexAttribP3uiv" */,
        55861 /* "glVertexAttribP3uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55861 /* "glVertexAttribP3uiv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBP4UIPROC
epoxy_glVertexAttribP4ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55881 /* "glVertexAttribP4ui" */,
        55881 /* "glVertexAttribP4ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55881 /* "glVertexAttribP4ui" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBP4UIVPROC
epoxy_glVertexAttribP4uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55900 /* "glVertexAttribP4uiv" */,
        55900 /* "glVertexAttribP4uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55900 /* "glVertexAttribP4uiv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBPARAMETERIAMDPROC
epoxy_glVertexAttribParameteriAMD_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_AMD_interleaved_elements, 55920 /* glVertexAttribParameteriAMD */);
}

static PFNGLVERTEXATTRIBPOINTERPROC
epoxy_glVertexAttribPointer_resolver(void)
{
    static const enum gl_provider providers[] = {
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55948 /* "glVertexAttribPointer" */,
        55948 /* "glVertexAttribPointer" */,
        55970 /* "glVertexAttribPointerARB" */,
        55970 /* "glVertexAttribPointerARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55948 /* "glVertexAttribPointer" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBPOINTERARBPROC
epoxy_glVertexAttribPointerARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_shader,
        GL_extension_GL_ARB_vertex_program,
        OpenGL_ES_2_0,
        Desktop_OpenGL_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        55970 /* "glVertexAttribPointerARB" */,
        55970 /* "glVertexAttribPointerARB" */,
        55948 /* "glVertexAttribPointer" */,
        55948 /* "glVertexAttribPointer" */,
    };
    return gl_provider_resolver(entrypoint_strings + 55970 /* "glVertexAttribPointerARB" */,
                                providers, entrypoints);
}

static PFNGLVERTEXATTRIBPOINTERNVPROC
epoxy_glVertexAttribPointerNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 55995 /* glVertexAttribPointerNV */);
}

static PFNGLVERTEXATTRIBS1DVNVPROC
epoxy_glVertexAttribs1dvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 56019 /* glVertexAttribs1dvNV */);
}

static PFNGLVERTEXATTRIBS1FVNVPROC
epoxy_glVertexAttribs1fvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 56040 /* glVertexAttribs1fvNV */);
}

static PFNGLVERTEXATTRIBS1HVNVPROC
epoxy_glVertexAttribs1hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 56061 /* glVertexAttribs1hvNV */);
}

static PFNGLVERTEXATTRIBS1SVNVPROC
epoxy_glVertexAttribs1svNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 56082 /* glVertexAttribs1svNV */);
}

static PFNGLVERTEXATTRIBS2DVNVPROC
epoxy_glVertexAttribs2dvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 56103 /* glVertexAttribs2dvNV */);
}

static PFNGLVERTEXATTRIBS2FVNVPROC
epoxy_glVertexAttribs2fvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 56124 /* glVertexAttribs2fvNV */);
}

static PFNGLVERTEXATTRIBS2HVNVPROC
epoxy_glVertexAttribs2hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 56145 /* glVertexAttribs2hvNV */);
}

static PFNGLVERTEXATTRIBS2SVNVPROC
epoxy_glVertexAttribs2svNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 56166 /* glVertexAttribs2svNV */);
}

static PFNGLVERTEXATTRIBS3DVNVPROC
epoxy_glVertexAttribs3dvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 56187 /* glVertexAttribs3dvNV */);
}

static PFNGLVERTEXATTRIBS3FVNVPROC
epoxy_glVertexAttribs3fvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 56208 /* glVertexAttribs3fvNV */);
}

static PFNGLVERTEXATTRIBS3HVNVPROC
epoxy_glVertexAttribs3hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 56229 /* glVertexAttribs3hvNV */);
}

static PFNGLVERTEXATTRIBS3SVNVPROC
epoxy_glVertexAttribs3svNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 56250 /* glVertexAttribs3svNV */);
}

static PFNGLVERTEXATTRIBS4DVNVPROC
epoxy_glVertexAttribs4dvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 56271 /* glVertexAttribs4dvNV */);
}

static PFNGLVERTEXATTRIBS4FVNVPROC
epoxy_glVertexAttribs4fvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 56292 /* glVertexAttribs4fvNV */);
}

static PFNGLVERTEXATTRIBS4HVNVPROC
epoxy_glVertexAttribs4hvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 56313 /* glVertexAttribs4hvNV */);
}

static PFNGLVERTEXATTRIBS4SVNVPROC
epoxy_glVertexAttribs4svNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 56334 /* glVertexAttribs4svNV */);
}

static PFNGLVERTEXATTRIBS4UBVNVPROC
epoxy_glVertexAttribs4ubvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_program, 56355 /* glVertexAttribs4ubvNV */);
}

static PFNGLVERTEXBINDINGDIVISORPROC
epoxy_glVertexBindingDivisor_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_attrib_binding,
        Desktop_OpenGL_4_3,
        OpenGL_ES_3_1,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        56377 /* "glVertexBindingDivisor" */,
        56377 /* "glVertexBindingDivisor" */,
        56377 /* "glVertexBindingDivisor" */,
    };
    return gl_provider_resolver(entrypoint_strings + 56377 /* "glVertexBindingDivisor" */,
                                providers, entrypoints);
}

static PFNGLVERTEXBLENDARBPROC
epoxy_glVertexBlendARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_vertex_blend, 56400 /* glVertexBlendARB */);
}

static PFNGLVERTEXBLENDENVFATIPROC
epoxy_glVertexBlendEnvfATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56417 /* glVertexBlendEnvfATI */);
}

static PFNGLVERTEXBLENDENVIATIPROC
epoxy_glVertexBlendEnviATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56438 /* glVertexBlendEnviATI */);
}

static PFNGLVERTEXFORMATNVPROC
epoxy_glVertexFormatNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_vertex_buffer_unified_memory, 56459 /* glVertexFormatNV */);
}

static PFNGLVERTEXP2UIPROC
epoxy_glVertexP2ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        56476 /* "glVertexP2ui" */,
        56476 /* "glVertexP2ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 56476 /* "glVertexP2ui" */,
                                providers, entrypoints);
}

static PFNGLVERTEXP2UIVPROC
epoxy_glVertexP2uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        56489 /* "glVertexP2uiv" */,
        56489 /* "glVertexP2uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 56489 /* "glVertexP2uiv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXP3UIPROC
epoxy_glVertexP3ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        56503 /* "glVertexP3ui" */,
        56503 /* "glVertexP3ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 56503 /* "glVertexP3ui" */,
                                providers, entrypoints);
}

static PFNGLVERTEXP3UIVPROC
epoxy_glVertexP3uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        56516 /* "glVertexP3uiv" */,
        56516 /* "glVertexP3uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 56516 /* "glVertexP3uiv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXP4UIPROC
epoxy_glVertexP4ui_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        56530 /* "glVertexP4ui" */,
        56530 /* "glVertexP4ui" */,
    };
    return gl_provider_resolver(entrypoint_strings + 56530 /* "glVertexP4ui" */,
                                providers, entrypoints);
}

static PFNGLVERTEXP4UIVPROC
epoxy_glVertexP4uiv_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_vertex_type_2_10_10_10_rev,
        Desktop_OpenGL_3_3,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        56543 /* "glVertexP4uiv" */,
        56543 /* "glVertexP4uiv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 56543 /* "glVertexP4uiv" */,
                                providers, entrypoints);
}

static PFNGLVERTEXPOINTERPROC
epoxy_glVertexPointer_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_1,
        OpenGL_ES_1_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        56557 /* "glVertexPointer" */,
        56557 /* "glVertexPointer" */,
    };
    return gl_provider_resolver(entrypoint_strings + 56557 /* "glVertexPointer" */,
                                providers, entrypoints);
}

static PFNGLVERTEXPOINTEREXTPROC
epoxy_glVertexPointerEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_array, 56573 /* glVertexPointerEXT */);
}

static PFNGLVERTEXPOINTERLISTIBMPROC
epoxy_glVertexPointerListIBM_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_IBM_vertex_array_lists, 56592 /* glVertexPointerListIBM */);
}

static PFNGLVERTEXPOINTERVINTELPROC
epoxy_glVertexPointervINTEL_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_INTEL_parallel_arrays, 56615 /* glVertexPointervINTEL */);
}

static PFNGLVERTEXSTREAM1DATIPROC
epoxy_glVertexStream1dATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56637 /* glVertexStream1dATI */);
}

static PFNGLVERTEXSTREAM1DVATIPROC
epoxy_glVertexStream1dvATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56657 /* glVertexStream1dvATI */);
}

static PFNGLVERTEXSTREAM1FATIPROC
epoxy_glVertexStream1fATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56678 /* glVertexStream1fATI */);
}

static PFNGLVERTEXSTREAM1FVATIPROC
epoxy_glVertexStream1fvATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56698 /* glVertexStream1fvATI */);
}

static PFNGLVERTEXSTREAM1IATIPROC
epoxy_glVertexStream1iATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56719 /* glVertexStream1iATI */);
}

static PFNGLVERTEXSTREAM1IVATIPROC
epoxy_glVertexStream1ivATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56739 /* glVertexStream1ivATI */);
}

static PFNGLVERTEXSTREAM1SATIPROC
epoxy_glVertexStream1sATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56760 /* glVertexStream1sATI */);
}

static PFNGLVERTEXSTREAM1SVATIPROC
epoxy_glVertexStream1svATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56780 /* glVertexStream1svATI */);
}

static PFNGLVERTEXSTREAM2DATIPROC
epoxy_glVertexStream2dATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56801 /* glVertexStream2dATI */);
}

static PFNGLVERTEXSTREAM2DVATIPROC
epoxy_glVertexStream2dvATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56821 /* glVertexStream2dvATI */);
}

static PFNGLVERTEXSTREAM2FATIPROC
epoxy_glVertexStream2fATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56842 /* glVertexStream2fATI */);
}

static PFNGLVERTEXSTREAM2FVATIPROC
epoxy_glVertexStream2fvATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56862 /* glVertexStream2fvATI */);
}

static PFNGLVERTEXSTREAM2IATIPROC
epoxy_glVertexStream2iATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56883 /* glVertexStream2iATI */);
}

static PFNGLVERTEXSTREAM2IVATIPROC
epoxy_glVertexStream2ivATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56903 /* glVertexStream2ivATI */);
}

static PFNGLVERTEXSTREAM2SATIPROC
epoxy_glVertexStream2sATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56924 /* glVertexStream2sATI */);
}

static PFNGLVERTEXSTREAM2SVATIPROC
epoxy_glVertexStream2svATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56944 /* glVertexStream2svATI */);
}

static PFNGLVERTEXSTREAM3DATIPROC
epoxy_glVertexStream3dATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56965 /* glVertexStream3dATI */);
}

static PFNGLVERTEXSTREAM3DVATIPROC
epoxy_glVertexStream3dvATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 56985 /* glVertexStream3dvATI */);
}

static PFNGLVERTEXSTREAM3FATIPROC
epoxy_glVertexStream3fATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 57006 /* glVertexStream3fATI */);
}

static PFNGLVERTEXSTREAM3FVATIPROC
epoxy_glVertexStream3fvATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 57026 /* glVertexStream3fvATI */);
}

static PFNGLVERTEXSTREAM3IATIPROC
epoxy_glVertexStream3iATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 57047 /* glVertexStream3iATI */);
}

static PFNGLVERTEXSTREAM3IVATIPROC
epoxy_glVertexStream3ivATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 57067 /* glVertexStream3ivATI */);
}

static PFNGLVERTEXSTREAM3SATIPROC
epoxy_glVertexStream3sATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 57088 /* glVertexStream3sATI */);
}

static PFNGLVERTEXSTREAM3SVATIPROC
epoxy_glVertexStream3svATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 57108 /* glVertexStream3svATI */);
}

static PFNGLVERTEXSTREAM4DATIPROC
epoxy_glVertexStream4dATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 57129 /* glVertexStream4dATI */);
}

static PFNGLVERTEXSTREAM4DVATIPROC
epoxy_glVertexStream4dvATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 57149 /* glVertexStream4dvATI */);
}

static PFNGLVERTEXSTREAM4FATIPROC
epoxy_glVertexStream4fATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 57170 /* glVertexStream4fATI */);
}

static PFNGLVERTEXSTREAM4FVATIPROC
epoxy_glVertexStream4fvATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 57190 /* glVertexStream4fvATI */);
}

static PFNGLVERTEXSTREAM4IATIPROC
epoxy_glVertexStream4iATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 57211 /* glVertexStream4iATI */);
}

static PFNGLVERTEXSTREAM4IVATIPROC
epoxy_glVertexStream4ivATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 57231 /* glVertexStream4ivATI */);
}

static PFNGLVERTEXSTREAM4SATIPROC
epoxy_glVertexStream4sATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 57252 /* glVertexStream4sATI */);
}

static PFNGLVERTEXSTREAM4SVATIPROC
epoxy_glVertexStream4svATI_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ATI_vertex_streams, 57272 /* glVertexStream4svATI */);
}

static PFNGLVERTEXWEIGHTPOINTEREXTPROC
epoxy_glVertexWeightPointerEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_weighting, 57293 /* glVertexWeightPointerEXT */);
}

static PFNGLVERTEXWEIGHTFEXTPROC
epoxy_glVertexWeightfEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_weighting, 57318 /* glVertexWeightfEXT */);
}

static PFNGLVERTEXWEIGHTFVEXTPROC
epoxy_glVertexWeightfvEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_weighting, 57337 /* glVertexWeightfvEXT */);
}

static PFNGLVERTEXWEIGHTHNVPROC
epoxy_glVertexWeighthNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 57357 /* glVertexWeighthNV */);
}

static PFNGLVERTEXWEIGHTHVNVPROC
epoxy_glVertexWeighthvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_half_float, 57375 /* glVertexWeighthvNV */);
}

static PFNGLVIDEOCAPTURENVPROC
epoxy_glVideoCaptureNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_video_capture, 57394 /* glVideoCaptureNV */);
}

static PFNGLVIDEOCAPTURESTREAMPARAMETERDVNVPROC
epoxy_glVideoCaptureStreamParameterdvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_video_capture, 57411 /* glVideoCaptureStreamParameterdvNV */);
}

static PFNGLVIDEOCAPTURESTREAMPARAMETERFVNVPROC
epoxy_glVideoCaptureStreamParameterfvNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_video_capture, 57445 /* glVideoCaptureStreamParameterfvNV */);
}

static PFNGLVIDEOCAPTURESTREAMPARAMETERIVNVPROC
epoxy_glVideoCaptureStreamParameterivNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_video_capture, 57479 /* glVideoCaptureStreamParameterivNV */);
}

static PFNGLVIEWPORTPROC
epoxy_glViewport_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_0,
        OpenGL_ES_1_0,
        OpenGL_ES_2_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        57513 /* "glViewport" */,
        57513 /* "glViewport" */,
        57513 /* "glViewport" */,
    };
    return gl_provider_resolver(entrypoint_strings + 57513 /* "glViewport" */,
                                providers, entrypoints);
}

static PFNGLVIEWPORTARRAYVPROC
epoxy_glViewportArrayv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_viewport_array,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        57524 /* "glViewportArrayv" */,
        57524 /* "glViewportArrayv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 57524 /* "glViewportArrayv" */,
                                providers, entrypoints);
}

static PFNGLVIEWPORTINDEXEDFPROC
epoxy_glViewportIndexedf_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_viewport_array,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        57541 /* "glViewportIndexedf" */,
        57541 /* "glViewportIndexedf" */,
    };
    return gl_provider_resolver(entrypoint_strings + 57541 /* "glViewportIndexedf" */,
                                providers, entrypoints);
}

static PFNGLVIEWPORTINDEXEDFVPROC
epoxy_glViewportIndexedfv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_4_1,
        GL_extension_GL_ARB_viewport_array,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        57560 /* "glViewportIndexedfv" */,
        57560 /* "glViewportIndexedfv" */,
    };
    return gl_provider_resolver(entrypoint_strings + 57560 /* "glViewportIndexedfv" */,
                                providers, entrypoints);
}

static PFNGLWAITSYNCPROC
epoxy_glWaitSync_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_3_2,
        GL_extension_GL_ARB_sync,
        OpenGL_ES_3_0,
        GL_extension_GL_APPLE_sync,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        57580 /* "glWaitSync" */,
        57580 /* "glWaitSync" */,
        57580 /* "glWaitSync" */,
        57591 /* "glWaitSyncAPPLE" */,
    };
    return gl_provider_resolver(entrypoint_strings + 57580 /* "glWaitSync" */,
                                providers, entrypoints);
}

static PFNGLWAITSYNCAPPLEPROC
epoxy_glWaitSyncAPPLE_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_APPLE_sync,
        Desktop_OpenGL_3_2,
        GL_extension_GL_ARB_sync,
        OpenGL_ES_3_0,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        57591 /* "glWaitSyncAPPLE" */,
        57580 /* "glWaitSync" */,
        57580 /* "glWaitSync" */,
        57580 /* "glWaitSync" */,
    };
    return gl_provider_resolver(entrypoint_strings + 57591 /* "glWaitSyncAPPLE" */,
                                providers, entrypoints);
}

static PFNGLWEIGHTPATHSNVPROC
epoxy_glWeightPathsNV_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_NV_path_rendering, 57607 /* glWeightPathsNV */);
}

static PFNGLWEIGHTPOINTERARBPROC
epoxy_glWeightPointerARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_vertex_blend, 57623 /* glWeightPointerARB */);
}

static PFNGLWEIGHTPOINTEROESPROC
epoxy_glWeightPointerOES_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_OES_matrix_palette, 57642 /* glWeightPointerOES */);
}

static PFNGLWEIGHTBVARBPROC
epoxy_glWeightbvARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_vertex_blend, 57661 /* glWeightbvARB */);
}

static PFNGLWEIGHTDVARBPROC
epoxy_glWeightdvARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_vertex_blend, 57675 /* glWeightdvARB */);
}

static PFNGLWEIGHTFVARBPROC
epoxy_glWeightfvARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_vertex_blend, 57689 /* glWeightfvARB */);
}

static PFNGLWEIGHTIVARBPROC
epoxy_glWeightivARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_vertex_blend, 57703 /* glWeightivARB */);
}

static PFNGLWEIGHTSVARBPROC
epoxy_glWeightsvARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_vertex_blend, 57717 /* glWeightsvARB */);
}

static PFNGLWEIGHTUBVARBPROC
epoxy_glWeightubvARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_vertex_blend, 57731 /* glWeightubvARB */);
}

static PFNGLWEIGHTUIVARBPROC
epoxy_glWeightuivARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_vertex_blend, 57746 /* glWeightuivARB */);
}

static PFNGLWEIGHTUSVARBPROC
epoxy_glWeightusvARB_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_ARB_vertex_blend, 57761 /* glWeightusvARB */);
}

static PFNGLWINDOWPOS2DPROC
epoxy_glWindowPos2d_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_window_pos,
        GL_extension_GL_MESA_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        57776 /* "glWindowPos2d" */,
        57790 /* "glWindowPos2dARB" */,
        57807 /* "glWindowPos2dMESA" */,
    };
    return gl_provider_resolver(entrypoint_strings + 57776 /* "glWindowPos2d" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS2DARBPROC
epoxy_glWindowPos2dARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_window_pos,
        Desktop_OpenGL_1_4,
        GL_extension_GL_MESA_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        57790 /* "glWindowPos2dARB" */,
        57776 /* "glWindowPos2d" */,
        57807 /* "glWindowPos2dMESA" */,
    };
    return gl_provider_resolver(entrypoint_strings + 57790 /* "glWindowPos2dARB" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS2DMESAPROC
epoxy_glWindowPos2dMESA_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_MESA_window_pos,
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        57807 /* "glWindowPos2dMESA" */,
        57776 /* "glWindowPos2d" */,
        57790 /* "glWindowPos2dARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 57807 /* "glWindowPos2dMESA" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS2DVPROC
epoxy_glWindowPos2dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_window_pos,
        GL_extension_GL_MESA_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        57825 /* "glWindowPos2dv" */,
        57840 /* "glWindowPos2dvARB" */,
        57858 /* "glWindowPos2dvMESA" */,
    };
    return gl_provider_resolver(entrypoint_strings + 57825 /* "glWindowPos2dv" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS2DVARBPROC
epoxy_glWindowPos2dvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_window_pos,
        Desktop_OpenGL_1_4,
        GL_extension_GL_MESA_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        57840 /* "glWindowPos2dvARB" */,
        57825 /* "glWindowPos2dv" */,
        57858 /* "glWindowPos2dvMESA" */,
    };
    return gl_provider_resolver(entrypoint_strings + 57840 /* "glWindowPos2dvARB" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS2DVMESAPROC
epoxy_glWindowPos2dvMESA_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_MESA_window_pos,
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        57858 /* "glWindowPos2dvMESA" */,
        57825 /* "glWindowPos2dv" */,
        57840 /* "glWindowPos2dvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 57858 /* "glWindowPos2dvMESA" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS2FPROC
epoxy_glWindowPos2f_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_window_pos,
        GL_extension_GL_MESA_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        57877 /* "glWindowPos2f" */,
        57891 /* "glWindowPos2fARB" */,
        57908 /* "glWindowPos2fMESA" */,
    };
    return gl_provider_resolver(entrypoint_strings + 57877 /* "glWindowPos2f" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS2FARBPROC
epoxy_glWindowPos2fARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_window_pos,
        Desktop_OpenGL_1_4,
        GL_extension_GL_MESA_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        57891 /* "glWindowPos2fARB" */,
        57877 /* "glWindowPos2f" */,
        57908 /* "glWindowPos2fMESA" */,
    };
    return gl_provider_resolver(entrypoint_strings + 57891 /* "glWindowPos2fARB" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS2FMESAPROC
epoxy_glWindowPos2fMESA_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_MESA_window_pos,
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        57908 /* "glWindowPos2fMESA" */,
        57877 /* "glWindowPos2f" */,
        57891 /* "glWindowPos2fARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 57908 /* "glWindowPos2fMESA" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS2FVPROC
epoxy_glWindowPos2fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_window_pos,
        GL_extension_GL_MESA_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        57926 /* "glWindowPos2fv" */,
        57941 /* "glWindowPos2fvARB" */,
        57959 /* "glWindowPos2fvMESA" */,
    };
    return gl_provider_resolver(entrypoint_strings + 57926 /* "glWindowPos2fv" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS2FVARBPROC
epoxy_glWindowPos2fvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_window_pos,
        Desktop_OpenGL_1_4,
        GL_extension_GL_MESA_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        57941 /* "glWindowPos2fvARB" */,
        57926 /* "glWindowPos2fv" */,
        57959 /* "glWindowPos2fvMESA" */,
    };
    return gl_provider_resolver(entrypoint_strings + 57941 /* "glWindowPos2fvARB" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS2FVMESAPROC
epoxy_glWindowPos2fvMESA_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_MESA_window_pos,
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        57959 /* "glWindowPos2fvMESA" */,
        57926 /* "glWindowPos2fv" */,
        57941 /* "glWindowPos2fvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 57959 /* "glWindowPos2fvMESA" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS2IPROC
epoxy_glWindowPos2i_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_window_pos,
        GL_extension_GL_MESA_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        57978 /* "glWindowPos2i" */,
        57992 /* "glWindowPos2iARB" */,
        58009 /* "glWindowPos2iMESA" */,
    };
    return gl_provider_resolver(entrypoint_strings + 57978 /* "glWindowPos2i" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS2IARBPROC
epoxy_glWindowPos2iARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_window_pos,
        Desktop_OpenGL_1_4,
        GL_extension_GL_MESA_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        57992 /* "glWindowPos2iARB" */,
        57978 /* "glWindowPos2i" */,
        58009 /* "glWindowPos2iMESA" */,
    };
    return gl_provider_resolver(entrypoint_strings + 57992 /* "glWindowPos2iARB" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS2IMESAPROC
epoxy_glWindowPos2iMESA_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_MESA_window_pos,
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58009 /* "glWindowPos2iMESA" */,
        57978 /* "glWindowPos2i" */,
        57992 /* "glWindowPos2iARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58009 /* "glWindowPos2iMESA" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS2IVPROC
epoxy_glWindowPos2iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_window_pos,
        GL_extension_GL_MESA_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58027 /* "glWindowPos2iv" */,
        58042 /* "glWindowPos2ivARB" */,
        58060 /* "glWindowPos2ivMESA" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58027 /* "glWindowPos2iv" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS2IVARBPROC
epoxy_glWindowPos2ivARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_window_pos,
        Desktop_OpenGL_1_4,
        GL_extension_GL_MESA_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58042 /* "glWindowPos2ivARB" */,
        58027 /* "glWindowPos2iv" */,
        58060 /* "glWindowPos2ivMESA" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58042 /* "glWindowPos2ivARB" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS2IVMESAPROC
epoxy_glWindowPos2ivMESA_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_MESA_window_pos,
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58060 /* "glWindowPos2ivMESA" */,
        58027 /* "glWindowPos2iv" */,
        58042 /* "glWindowPos2ivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58060 /* "glWindowPos2ivMESA" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS2SPROC
epoxy_glWindowPos2s_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_window_pos,
        GL_extension_GL_MESA_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58079 /* "glWindowPos2s" */,
        58093 /* "glWindowPos2sARB" */,
        58110 /* "glWindowPos2sMESA" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58079 /* "glWindowPos2s" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS2SARBPROC
epoxy_glWindowPos2sARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_window_pos,
        Desktop_OpenGL_1_4,
        GL_extension_GL_MESA_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58093 /* "glWindowPos2sARB" */,
        58079 /* "glWindowPos2s" */,
        58110 /* "glWindowPos2sMESA" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58093 /* "glWindowPos2sARB" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS2SMESAPROC
epoxy_glWindowPos2sMESA_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_MESA_window_pos,
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58110 /* "glWindowPos2sMESA" */,
        58079 /* "glWindowPos2s" */,
        58093 /* "glWindowPos2sARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58110 /* "glWindowPos2sMESA" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS2SVPROC
epoxy_glWindowPos2sv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_window_pos,
        GL_extension_GL_MESA_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58128 /* "glWindowPos2sv" */,
        58143 /* "glWindowPos2svARB" */,
        58161 /* "glWindowPos2svMESA" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58128 /* "glWindowPos2sv" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS2SVARBPROC
epoxy_glWindowPos2svARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_window_pos,
        Desktop_OpenGL_1_4,
        GL_extension_GL_MESA_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58143 /* "glWindowPos2svARB" */,
        58128 /* "glWindowPos2sv" */,
        58161 /* "glWindowPos2svMESA" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58143 /* "glWindowPos2svARB" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS2SVMESAPROC
epoxy_glWindowPos2svMESA_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_MESA_window_pos,
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58161 /* "glWindowPos2svMESA" */,
        58128 /* "glWindowPos2sv" */,
        58143 /* "glWindowPos2svARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58161 /* "glWindowPos2svMESA" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS3DPROC
epoxy_glWindowPos3d_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_window_pos,
        GL_extension_GL_MESA_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58180 /* "glWindowPos3d" */,
        58194 /* "glWindowPos3dARB" */,
        58211 /* "glWindowPos3dMESA" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58180 /* "glWindowPos3d" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS3DARBPROC
epoxy_glWindowPos3dARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_window_pos,
        Desktop_OpenGL_1_4,
        GL_extension_GL_MESA_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58194 /* "glWindowPos3dARB" */,
        58180 /* "glWindowPos3d" */,
        58211 /* "glWindowPos3dMESA" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58194 /* "glWindowPos3dARB" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS3DMESAPROC
epoxy_glWindowPos3dMESA_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_MESA_window_pos,
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58211 /* "glWindowPos3dMESA" */,
        58180 /* "glWindowPos3d" */,
        58194 /* "glWindowPos3dARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58211 /* "glWindowPos3dMESA" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS3DVPROC
epoxy_glWindowPos3dv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_window_pos,
        GL_extension_GL_MESA_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58229 /* "glWindowPos3dv" */,
        58244 /* "glWindowPos3dvARB" */,
        58262 /* "glWindowPos3dvMESA" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58229 /* "glWindowPos3dv" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS3DVARBPROC
epoxy_glWindowPos3dvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_window_pos,
        Desktop_OpenGL_1_4,
        GL_extension_GL_MESA_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58244 /* "glWindowPos3dvARB" */,
        58229 /* "glWindowPos3dv" */,
        58262 /* "glWindowPos3dvMESA" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58244 /* "glWindowPos3dvARB" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS3DVMESAPROC
epoxy_glWindowPos3dvMESA_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_MESA_window_pos,
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58262 /* "glWindowPos3dvMESA" */,
        58229 /* "glWindowPos3dv" */,
        58244 /* "glWindowPos3dvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58262 /* "glWindowPos3dvMESA" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS3FPROC
epoxy_glWindowPos3f_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_window_pos,
        GL_extension_GL_MESA_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58281 /* "glWindowPos3f" */,
        58295 /* "glWindowPos3fARB" */,
        58312 /* "glWindowPos3fMESA" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58281 /* "glWindowPos3f" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS3FARBPROC
epoxy_glWindowPos3fARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_window_pos,
        Desktop_OpenGL_1_4,
        GL_extension_GL_MESA_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58295 /* "glWindowPos3fARB" */,
        58281 /* "glWindowPos3f" */,
        58312 /* "glWindowPos3fMESA" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58295 /* "glWindowPos3fARB" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS3FMESAPROC
epoxy_glWindowPos3fMESA_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_MESA_window_pos,
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58312 /* "glWindowPos3fMESA" */,
        58281 /* "glWindowPos3f" */,
        58295 /* "glWindowPos3fARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58312 /* "glWindowPos3fMESA" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS3FVPROC
epoxy_glWindowPos3fv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_window_pos,
        GL_extension_GL_MESA_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58330 /* "glWindowPos3fv" */,
        58345 /* "glWindowPos3fvARB" */,
        58363 /* "glWindowPos3fvMESA" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58330 /* "glWindowPos3fv" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS3FVARBPROC
epoxy_glWindowPos3fvARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_window_pos,
        Desktop_OpenGL_1_4,
        GL_extension_GL_MESA_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58345 /* "glWindowPos3fvARB" */,
        58330 /* "glWindowPos3fv" */,
        58363 /* "glWindowPos3fvMESA" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58345 /* "glWindowPos3fvARB" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS3FVMESAPROC
epoxy_glWindowPos3fvMESA_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_MESA_window_pos,
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58363 /* "glWindowPos3fvMESA" */,
        58330 /* "glWindowPos3fv" */,
        58345 /* "glWindowPos3fvARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58363 /* "glWindowPos3fvMESA" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS3IPROC
epoxy_glWindowPos3i_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_window_pos,
        GL_extension_GL_MESA_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58382 /* "glWindowPos3i" */,
        58396 /* "glWindowPos3iARB" */,
        58413 /* "glWindowPos3iMESA" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58382 /* "glWindowPos3i" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS3IARBPROC
epoxy_glWindowPos3iARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_window_pos,
        Desktop_OpenGL_1_4,
        GL_extension_GL_MESA_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58396 /* "glWindowPos3iARB" */,
        58382 /* "glWindowPos3i" */,
        58413 /* "glWindowPos3iMESA" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58396 /* "glWindowPos3iARB" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS3IMESAPROC
epoxy_glWindowPos3iMESA_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_MESA_window_pos,
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58413 /* "glWindowPos3iMESA" */,
        58382 /* "glWindowPos3i" */,
        58396 /* "glWindowPos3iARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58413 /* "glWindowPos3iMESA" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS3IVPROC
epoxy_glWindowPos3iv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_window_pos,
        GL_extension_GL_MESA_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58431 /* "glWindowPos3iv" */,
        58446 /* "glWindowPos3ivARB" */,
        58464 /* "glWindowPos3ivMESA" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58431 /* "glWindowPos3iv" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS3IVARBPROC
epoxy_glWindowPos3ivARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_window_pos,
        Desktop_OpenGL_1_4,
        GL_extension_GL_MESA_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58446 /* "glWindowPos3ivARB" */,
        58431 /* "glWindowPos3iv" */,
        58464 /* "glWindowPos3ivMESA" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58446 /* "glWindowPos3ivARB" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS3IVMESAPROC
epoxy_glWindowPos3ivMESA_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_MESA_window_pos,
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58464 /* "glWindowPos3ivMESA" */,
        58431 /* "glWindowPos3iv" */,
        58446 /* "glWindowPos3ivARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58464 /* "glWindowPos3ivMESA" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS3SPROC
epoxy_glWindowPos3s_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_window_pos,
        GL_extension_GL_MESA_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58483 /* "glWindowPos3s" */,
        58497 /* "glWindowPos3sARB" */,
        58514 /* "glWindowPos3sMESA" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58483 /* "glWindowPos3s" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS3SARBPROC
epoxy_glWindowPos3sARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_window_pos,
        Desktop_OpenGL_1_4,
        GL_extension_GL_MESA_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58497 /* "glWindowPos3sARB" */,
        58483 /* "glWindowPos3s" */,
        58514 /* "glWindowPos3sMESA" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58497 /* "glWindowPos3sARB" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS3SMESAPROC
epoxy_glWindowPos3sMESA_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_MESA_window_pos,
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58514 /* "glWindowPos3sMESA" */,
        58483 /* "glWindowPos3s" */,
        58497 /* "glWindowPos3sARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58514 /* "glWindowPos3sMESA" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS3SVPROC
epoxy_glWindowPos3sv_resolver(void)
{
    static const enum gl_provider providers[] = {
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_window_pos,
        GL_extension_GL_MESA_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58532 /* "glWindowPos3sv" */,
        58547 /* "glWindowPos3svARB" */,
        58565 /* "glWindowPos3svMESA" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58532 /* "glWindowPos3sv" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS3SVARBPROC
epoxy_glWindowPos3svARB_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_ARB_window_pos,
        Desktop_OpenGL_1_4,
        GL_extension_GL_MESA_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58547 /* "glWindowPos3svARB" */,
        58532 /* "glWindowPos3sv" */,
        58565 /* "glWindowPos3svMESA" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58547 /* "glWindowPos3svARB" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS3SVMESAPROC
epoxy_glWindowPos3svMESA_resolver(void)
{
    static const enum gl_provider providers[] = {
        GL_extension_GL_MESA_window_pos,
        Desktop_OpenGL_1_4,
        GL_extension_GL_ARB_window_pos,
        gl_provider_terminator
    };
    static const uint16_t entrypoints[] = {
        58565 /* "glWindowPos3svMESA" */,
        58532 /* "glWindowPos3sv" */,
        58547 /* "glWindowPos3svARB" */,
    };
    return gl_provider_resolver(entrypoint_strings + 58565 /* "glWindowPos3svMESA" */,
                                providers, entrypoints);
}

static PFNGLWINDOWPOS4DMESAPROC
epoxy_glWindowPos4dMESA_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_MESA_window_pos, 58584 /* glWindowPos4dMESA */);
}

static PFNGLWINDOWPOS4DVMESAPROC
epoxy_glWindowPos4dvMESA_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_MESA_window_pos, 58602 /* glWindowPos4dvMESA */);
}

static PFNGLWINDOWPOS4FMESAPROC
epoxy_glWindowPos4fMESA_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_MESA_window_pos, 58621 /* glWindowPos4fMESA */);
}

static PFNGLWINDOWPOS4FVMESAPROC
epoxy_glWindowPos4fvMESA_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_MESA_window_pos, 58639 /* glWindowPos4fvMESA */);
}

static PFNGLWINDOWPOS4IMESAPROC
epoxy_glWindowPos4iMESA_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_MESA_window_pos, 58658 /* glWindowPos4iMESA */);
}

static PFNGLWINDOWPOS4IVMESAPROC
epoxy_glWindowPos4ivMESA_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_MESA_window_pos, 58676 /* glWindowPos4ivMESA */);
}

static PFNGLWINDOWPOS4SMESAPROC
epoxy_glWindowPos4sMESA_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_MESA_window_pos, 58695 /* glWindowPos4sMESA */);
}

static PFNGLWINDOWPOS4SVMESAPROC
epoxy_glWindowPos4svMESA_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_MESA_window_pos, 58713 /* glWindowPos4svMESA */);
}

static PFNGLWRITEMASKEXTPROC
epoxy_glWriteMaskEXT_resolver(void)
{
    return gl_single_resolver(GL_extension_GL_EXT_vertex_shader, 58732 /* glWriteMaskEXT */);
}

GEN_THUNKS(glAccum, (GLenum op, GLfloat value), (op, value))
GEN_THUNKS(glAccumxOES, (GLenum op, GLfixed value), (op, value))
GEN_THUNKS(glActiveProgramEXT, (GLuint program), (program))
GEN_THUNKS(glActiveShaderProgram, (GLuint pipeline, GLuint program), (pipeline, program))
GEN_THUNKS(glActiveShaderProgramEXT, (GLuint pipeline, GLuint program), (pipeline, program))
GEN_THUNKS(glActiveStencilFaceEXT, (GLenum face), (face))
GEN_THUNKS(glActiveTexture, (GLenum texture), (texture))
GEN_THUNKS(glActiveTextureARB, (GLenum texture), (texture))
GEN_THUNKS(glActiveVaryingNV, (GLuint program, const GLchar * name), (program, name))
GEN_THUNKS(glAlphaFragmentOp1ATI, (GLenum op, GLuint dst, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod), (op, dst, dstMod, arg1, arg1Rep, arg1Mod))
GEN_THUNKS(glAlphaFragmentOp2ATI, (GLenum op, GLuint dst, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod, GLuint arg2, GLuint arg2Rep, GLuint arg2Mod), (op, dst, dstMod, arg1, arg1Rep, arg1Mod, arg2, arg2Rep, arg2Mod))
GEN_THUNKS(glAlphaFragmentOp3ATI, (GLenum op, GLuint dst, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod, GLuint arg2, GLuint arg2Rep, GLuint arg2Mod, GLuint arg3, GLuint arg3Rep, GLuint arg3Mod), (op, dst, dstMod, arg1, arg1Rep, arg1Mod, arg2, arg2Rep, arg2Mod, arg3, arg3Rep, arg3Mod))
GEN_THUNKS(glAlphaFunc, (GLenum func, GLfloat ref), (func, ref))
GEN_THUNKS(glAlphaFuncQCOM, (GLenum func, GLclampf ref), (func, ref))
GEN_THUNKS(glAlphaFuncx, (GLenum func, GLfixed ref), (func, ref))
GEN_THUNKS(glAlphaFuncxOES, (GLenum func, GLfixed ref), (func, ref))
GEN_THUNKS(glApplyTextureEXT, (GLenum mode), (mode))
GEN_THUNKS_RET(GLboolean, glAreProgramsResidentNV, (GLsizei n, const GLuint * programs, GLboolean * residences), (n, programs, residences))
GEN_THUNKS_RET(GLboolean, glAreTexturesResident, (GLsizei n, const GLuint * textures, GLboolean * residences), (n, textures, residences))
GEN_THUNKS_RET(GLboolean, glAreTexturesResidentEXT, (GLsizei n, const GLuint * textures, GLboolean * residences), (n, textures, residences))
GEN_THUNKS(glArrayElement, (GLint i), (i))
GEN_THUNKS(glArrayElementEXT, (GLint i), (i))
GEN_THUNKS(glArrayObjectATI, (GLenum array, GLint size, GLenum type, GLsizei stride, GLuint buffer, GLuint offset), (array, size, type, stride, buffer, offset))
GEN_THUNKS(glAsyncMarkerSGIX, (GLuint marker), (marker))
GEN_THUNKS(glAttachObjectARB, (GLhandleARB containerObj, GLhandleARB obj), ((uintptr_t)containerObj, (uintptr_t)obj))
GEN_THUNKS(glAttachShader, (GLuint program, GLuint shader), (program, shader))
GEN_THUNKS(glBegin_unwrapped, (GLenum mode), (mode))
GEN_THUNKS(glBeginConditionalRender, (GLuint id, GLenum mode), (id, mode))
GEN_THUNKS(glBeginConditionalRenderNV, (GLuint id, GLenum mode), (id, mode))
GEN_THUNKS(glBeginConditionalRenderNVX, (GLuint id), (id))
GEN_THUNKS(glBeginFragmentShaderATI, (void), ())
GEN_THUNKS(glBeginOcclusionQueryNV, (GLuint id), (id))
GEN_THUNKS(glBeginPerfMonitorAMD, (GLuint monitor), (monitor))
GEN_THUNKS(glBeginPerfQueryINTEL, (GLuint queryHandle), (queryHandle))
GEN_THUNKS(glBeginQuery, (GLenum target, GLuint id), (target, id))
GEN_THUNKS(glBeginQueryARB, (GLenum target, GLuint id), (target, id))
GEN_THUNKS(glBeginQueryEXT, (GLenum target, GLuint id), (target, id))
GEN_THUNKS(glBeginQueryIndexed, (GLenum target, GLuint index, GLuint id), (target, index, id))
GEN_THUNKS(glBeginTransformFeedback, (GLenum primitiveMode), (primitiveMode))
GEN_THUNKS(glBeginTransformFeedbackEXT, (GLenum primitiveMode), (primitiveMode))
GEN_THUNKS(glBeginTransformFeedbackNV, (GLenum primitiveMode), (primitiveMode))
GEN_THUNKS(glBeginVertexShaderEXT, (void), ())
GEN_THUNKS(glBeginVideoCaptureNV, (GLuint video_capture_slot), (video_capture_slot))
GEN_THUNKS(glBindAttribLocation, (GLuint program, GLuint index, const GLchar * name), (program, index, name))
GEN_THUNKS(glBindAttribLocationARB, (GLhandleARB programObj, GLuint index, const GLcharARB * name), ((uintptr_t)programObj, index, name))
GEN_THUNKS(glBindBuffer, (GLenum target, GLuint buffer), (target, buffer))
GEN_THUNKS(glBindBufferARB, (GLenum target, GLuint buffer), (target, buffer))
GEN_THUNKS(glBindBufferBase, (GLenum target, GLuint index, GLuint buffer), (target, index, buffer))
GEN_THUNKS(glBindBufferBaseEXT, (GLenum target, GLuint index, GLuint buffer), (target, index, buffer))
GEN_THUNKS(glBindBufferBaseNV, (GLenum target, GLuint index, GLuint buffer), (target, index, buffer))
GEN_THUNKS(glBindBufferOffsetEXT, (GLenum target, GLuint index, GLuint buffer, GLintptr offset), (target, index, buffer, offset))
GEN_THUNKS(glBindBufferOffsetNV, (GLenum target, GLuint index, GLuint buffer, GLintptr offset), (target, index, buffer, offset))
GEN_THUNKS(glBindBufferRange, (GLenum target, GLuint index, GLuint buffer, GLintptr offset, GLsizeiptr size), (target, index, buffer, offset, size))
GEN_THUNKS(glBindBufferRangeEXT, (GLenum target, GLuint index, GLuint buffer, GLintptr offset, GLsizeiptr size), (target, index, buffer, offset, size))
GEN_THUNKS(glBindBufferRangeNV, (GLenum target, GLuint index, GLuint buffer, GLintptr offset, GLsizeiptr size), (target, index, buffer, offset, size))
GEN_THUNKS(glBindBuffersBase, (GLenum target, GLuint first, GLsizei count, const GLuint * buffers), (target, first, count, buffers))
GEN_THUNKS(glBindBuffersRange, (GLenum target, GLuint first, GLsizei count, const GLuint * buffers, const GLintptr * offsets, const GLsizeiptr * sizes), (target, first, count, buffers, offsets, sizes))
GEN_THUNKS(glBindFragDataLocation, (GLuint program, GLuint color, const GLchar * name), (program, color, name))
GEN_THUNKS(glBindFragDataLocationEXT, (GLuint program, GLuint color, const GLchar * name), (program, color, name))
GEN_THUNKS(glBindFragDataLocationIndexed, (GLuint program, GLuint colorNumber, GLuint index, const GLchar * name), (program, colorNumber, index, name))
GEN_THUNKS(glBindFragmentShaderATI, (GLuint id), (id))
GEN_THUNKS(glBindFramebuffer, (GLenum target, GLuint framebuffer), (target, framebuffer))
GEN_THUNKS(glBindFramebufferEXT, (GLenum target, GLuint framebuffer), (target, framebuffer))
GEN_THUNKS(glBindFramebufferOES, (GLenum target, GLuint framebuffer), (target, framebuffer))
GEN_THUNKS(glBindImageTexture, (GLuint unit, GLuint texture, GLint level, GLboolean layered, GLint layer, GLenum access, GLenum format), (unit, texture, level, layered, layer, access, format))
GEN_THUNKS(glBindImageTextureEXT, (GLuint index, GLuint texture, GLint level, GLboolean layered, GLint layer, GLenum access, GLint format), (index, texture, level, layered, layer, access, format))
GEN_THUNKS(glBindImageTextures, (GLuint first, GLsizei count, const GLuint * textures), (first, count, textures))
GEN_THUNKS_RET(GLuint, glBindLightParameterEXT, (GLenum light, GLenum value), (light, value))
GEN_THUNKS_RET(GLuint, glBindMaterialParameterEXT, (GLenum face, GLenum value), (face, value))
GEN_THUNKS(glBindMultiTextureEXT, (GLenum texunit, GLenum target, GLuint texture), (texunit, target, texture))
GEN_THUNKS_RET(GLuint, glBindParameterEXT, (GLenum value), (value))
GEN_THUNKS(glBindProgramARB, (GLenum target, GLuint program), (target, program))
GEN_THUNKS(glBindProgramNV, (GLenum target, GLuint id), (target, id))
GEN_THUNKS(glBindProgramPipeline, (GLuint pipeline), (pipeline))
GEN_THUNKS(glBindProgramPipelineEXT, (GLuint pipeline), (pipeline))
GEN_THUNKS(glBindRenderbuffer, (GLenum target, GLuint renderbuffer), (target, renderbuffer))
GEN_THUNKS(glBindRenderbufferEXT, (GLenum target, GLuint renderbuffer), (target, renderbuffer))
GEN_THUNKS(glBindRenderbufferOES, (GLenum target, GLuint renderbuffer), (target, renderbuffer))
GEN_THUNKS(glBindSampler, (GLuint unit, GLuint sampler), (unit, sampler))
GEN_THUNKS(glBindSamplers, (GLuint first, GLsizei count, const GLuint * samplers), (first, count, samplers))
GEN_THUNKS_RET(GLuint, glBindTexGenParameterEXT, (GLenum unit, GLenum coord, GLenum value), (unit, coord, value))
GEN_THUNKS(glBindTexture, (GLenum target, GLuint texture), (target, texture))
GEN_THUNKS(glBindTextureEXT, (GLenum target, GLuint texture), (target, texture))
GEN_THUNKS_RET(GLuint, glBindTextureUnitParameterEXT, (GLenum unit, GLenum value), (unit, value))
GEN_THUNKS(glBindTextures, (GLuint first, GLsizei count, const GLuint * textures), (first, count, textures))
GEN_THUNKS(glBindTransformFeedback, (GLenum target, GLuint id), (target, id))
GEN_THUNKS(glBindTransformFeedbackNV, (GLenum target, GLuint id), (target, id))
GEN_THUNKS(glBindVertexArray, (GLuint array), (array))
GEN_THUNKS(glBindVertexArrayAPPLE, (GLuint array), (array))
GEN_THUNKS(glBindVertexArrayOES, (GLuint array), (array))
GEN_THUNKS(glBindVertexBuffer, (GLuint bindingindex, GLuint buffer, GLintptr offset, GLsizei stride), (bindingindex, buffer, offset, stride))
GEN_THUNKS(glBindVertexBuffers, (GLuint first, GLsizei count, const GLuint * buffers, const GLintptr * offsets, const GLsizei * strides), (first, count, buffers, offsets, strides))
GEN_THUNKS(glBindVertexShaderEXT, (GLuint id), (id))
GEN_THUNKS(glBindVideoCaptureStreamBufferNV, (GLuint video_capture_slot, GLuint stream, GLenum frame_region, GLintptrARB offset), (video_capture_slot, stream, frame_region, offset))
GEN_THUNKS(glBindVideoCaptureStreamTextureNV, (GLuint video_capture_slot, GLuint stream, GLenum frame_region, GLenum target, GLuint texture), (video_capture_slot, stream, frame_region, target, texture))
GEN_THUNKS(glBinormal3bEXT, (GLbyte bx, GLbyte by, GLbyte bz), (bx, by, bz))
GEN_THUNKS(glBinormal3bvEXT, (const GLbyte * v), (v))
GEN_THUNKS(glBinormal3dEXT, (GLdouble bx, GLdouble by, GLdouble bz), (bx, by, bz))
GEN_THUNKS(glBinormal3dvEXT, (const GLdouble * v), (v))
GEN_THUNKS(glBinormal3fEXT, (GLfloat bx, GLfloat by, GLfloat bz), (bx, by, bz))
GEN_THUNKS(glBinormal3fvEXT, (const GLfloat * v), (v))
GEN_THUNKS(glBinormal3iEXT, (GLint bx, GLint by, GLint bz), (bx, by, bz))
GEN_THUNKS(glBinormal3ivEXT, (const GLint * v), (v))
GEN_THUNKS(glBinormal3sEXT, (GLshort bx, GLshort by, GLshort bz), (bx, by, bz))
GEN_THUNKS(glBinormal3svEXT, (const GLshort * v), (v))
GEN_THUNKS(glBinormalPointerEXT, (GLenum type, GLsizei stride, const void * pointer), (type, stride, pointer))
GEN_THUNKS(glBitmap, (GLsizei width, GLsizei height, GLfloat xorig, GLfloat yorig, GLfloat xmove, GLfloat ymove, const GLubyte * bitmap), (width, height, xorig, yorig, xmove, ymove, bitmap))
GEN_THUNKS(glBitmapxOES, (GLsizei width, GLsizei height, GLfixed xorig, GLfixed yorig, GLfixed xmove, GLfixed ymove, const GLubyte * bitmap), (width, height, xorig, yorig, xmove, ymove, bitmap))
GEN_THUNKS(glBlendBarrierKHR, (void), ())
GEN_THUNKS(glBlendBarrierNV, (void), ())
GEN_THUNKS(glBlendColor, (GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha), (red, green, blue, alpha))
GEN_THUNKS(glBlendColorEXT, (GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha), (red, green, blue, alpha))
GEN_THUNKS(glBlendColorxOES, (GLfixed red, GLfixed green, GLfixed blue, GLfixed alpha), (red, green, blue, alpha))
GEN_THUNKS(glBlendEquation, (GLenum mode), (mode))
GEN_THUNKS(glBlendEquationEXT, (GLenum mode), (mode))
GEN_THUNKS(glBlendEquationIndexedAMD, (GLuint buf, GLenum mode), (buf, mode))
GEN_THUNKS(glBlendEquationOES, (GLenum mode), (mode))
GEN_THUNKS(glBlendEquationSeparate, (GLenum modeRGB, GLenum modeAlpha), (modeRGB, modeAlpha))
GEN_THUNKS(glBlendEquationSeparateEXT, (GLenum modeRGB, GLenum modeAlpha), (modeRGB, modeAlpha))
GEN_THUNKS(glBlendEquationSeparateIndexedAMD, (GLuint buf, GLenum modeRGB, GLenum modeAlpha), (buf, modeRGB, modeAlpha))
GEN_THUNKS(glBlendEquationSeparateOES, (GLenum modeRGB, GLenum modeAlpha), (modeRGB, modeAlpha))
GEN_THUNKS(glBlendEquationSeparatei, (GLuint buf, GLenum modeRGB, GLenum modeAlpha), (buf, modeRGB, modeAlpha))
GEN_THUNKS(glBlendEquationSeparateiARB, (GLuint buf, GLenum modeRGB, GLenum modeAlpha), (buf, modeRGB, modeAlpha))
GEN_THUNKS(glBlendEquationi, (GLuint buf, GLenum mode), (buf, mode))
GEN_THUNKS(glBlendEquationiARB, (GLuint buf, GLenum mode), (buf, mode))
GEN_THUNKS(glBlendFunc, (GLenum sfactor, GLenum dfactor), (sfactor, dfactor))
GEN_THUNKS(glBlendFuncIndexedAMD, (GLuint buf, GLenum src, GLenum dst), (buf, src, dst))
GEN_THUNKS(glBlendFuncSeparate, (GLenum sfactorRGB, GLenum dfactorRGB, GLenum sfactorAlpha, GLenum dfactorAlpha), (sfactorRGB, dfactorRGB, sfactorAlpha, dfactorAlpha))
GEN_THUNKS(glBlendFuncSeparateEXT, (GLenum sfactorRGB, GLenum dfactorRGB, GLenum sfactorAlpha, GLenum dfactorAlpha), (sfactorRGB, dfactorRGB, sfactorAlpha, dfactorAlpha))
GEN_THUNKS(glBlendFuncSeparateINGR, (GLenum sfactorRGB, GLenum dfactorRGB, GLenum sfactorAlpha, GLenum dfactorAlpha), (sfactorRGB, dfactorRGB, sfactorAlpha, dfactorAlpha))
GEN_THUNKS(glBlendFuncSeparateIndexedAMD, (GLuint buf, GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha), (buf, srcRGB, dstRGB, srcAlpha, dstAlpha))
GEN_THUNKS(glBlendFuncSeparateOES, (GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha), (srcRGB, dstRGB, srcAlpha, dstAlpha))
GEN_THUNKS(glBlendFuncSeparatei, (GLuint buf, GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha), (buf, srcRGB, dstRGB, srcAlpha, dstAlpha))
GEN_THUNKS(glBlendFuncSeparateiARB, (GLuint buf, GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha), (buf, srcRGB, dstRGB, srcAlpha, dstAlpha))
GEN_THUNKS(glBlendFunci, (GLuint buf, GLenum src, GLenum dst), (buf, src, dst))
GEN_THUNKS(glBlendFunciARB, (GLuint buf, GLenum src, GLenum dst), (buf, src, dst))
GEN_THUNKS(glBlendParameteriNV, (GLenum pname, GLint value), (pname, value))
GEN_THUNKS(glBlitFramebuffer, (GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter), (srcX0, srcY0, srcX1, srcY1, dstX0, dstY0, dstX1, dstY1, mask, filter))
GEN_THUNKS(glBlitFramebufferANGLE, (GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter), (srcX0, srcY0, srcX1, srcY1, dstX0, dstY0, dstX1, dstY1, mask, filter))
GEN_THUNKS(glBlitFramebufferEXT, (GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter), (srcX0, srcY0, srcX1, srcY1, dstX0, dstY0, dstX1, dstY1, mask, filter))
GEN_THUNKS(glBlitFramebufferNV, (GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter), (srcX0, srcY0, srcX1, srcY1, dstX0, dstY0, dstX1, dstY1, mask, filter))
GEN_THUNKS(glBufferAddressRangeNV, (GLenum pname, GLuint index, GLuint64EXT address, GLsizeiptr length), (pname, index, address, length))
GEN_THUNKS(glBufferData, (GLenum target, GLsizeiptr size, const void * data, GLenum usage), (target, size, data, usage))
GEN_THUNKS(glBufferDataARB, (GLenum target, GLsizeiptrARB size, const void * data, GLenum usage), (target, size, data, usage))
GEN_THUNKS(glBufferParameteriAPPLE, (GLenum target, GLenum pname, GLint param), (target, pname, param))
GEN_THUNKS(glBufferStorage, (GLenum target, GLsizeiptr size, const void * data, GLbitfield flags), (target, size, data, flags))
GEN_THUNKS(glBufferSubData, (GLenum target, GLintptr offset, GLsizeiptr size, const void * data), (target, offset, size, data))
GEN_THUNKS(glBufferSubDataARB, (GLenum target, GLintptrARB offset, GLsizeiptrARB size, const void * data), (target, offset, size, data))
GEN_THUNKS(glCallList, (GLuint list), (list))
GEN_THUNKS(glCallLists, (GLsizei n, GLenum type, const void * lists), (n, type, lists))
GEN_THUNKS_RET(GLenum, glCheckFramebufferStatus, (GLenum target), (target))
GEN_THUNKS_RET(GLenum, glCheckFramebufferStatusEXT, (GLenum target), (target))
GEN_THUNKS_RET(GLenum, glCheckFramebufferStatusOES, (GLenum target), (target))
GEN_THUNKS_RET(GLenum, glCheckNamedFramebufferStatusEXT, (GLuint framebuffer, GLenum target), (framebuffer, target))
GEN_THUNKS(glClampColor, (GLenum target, GLenum clamp), (target, clamp))
GEN_THUNKS(glClampColorARB, (GLenum target, GLenum clamp), (target, clamp))
GEN_THUNKS(glClear, (GLbitfield mask), (mask))
GEN_THUNKS(glClearAccum, (GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha), (red, green, blue, alpha))
GEN_THUNKS(glClearAccumxOES, (GLfixed red, GLfixed green, GLfixed blue, GLfixed alpha), (red, green, blue, alpha))
GEN_THUNKS(glClearBufferData, (GLenum target, GLenum internalformat, GLenum format, GLenum type, const void * data), (target, internalformat, format, type, data))
GEN_THUNKS(glClearBufferSubData, (GLenum target, GLenum internalformat, GLintptr offset, GLsizeiptr size, GLenum format, GLenum type, const void * data), (target, internalformat, offset, size, format, type, data))
GEN_THUNKS(glClearBufferfi, (GLenum buffer, GLint drawbuffer, GLfloat depth, GLint stencil), (buffer, drawbuffer, depth, stencil))
GEN_THUNKS(glClearBufferfv, (GLenum buffer, GLint drawbuffer, const GLfloat * value), (buffer, drawbuffer, value))
GEN_THUNKS(glClearBufferiv, (GLenum buffer, GLint drawbuffer, const GLint * value), (buffer, drawbuffer, value))
GEN_THUNKS(glClearBufferuiv, (GLenum buffer, GLint drawbuffer, const GLuint * value), (buffer, drawbuffer, value))
GEN_THUNKS(glClearColor, (GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha), (red, green, blue, alpha))
GEN_THUNKS(glClearColorIiEXT, (GLint red, GLint green, GLint blue, GLint alpha), (red, green, blue, alpha))
GEN_THUNKS(glClearColorIuiEXT, (GLuint red, GLuint green, GLuint blue, GLuint alpha), (red, green, blue, alpha))
GEN_THUNKS(glClearColorx, (GLfixed red, GLfixed green, GLfixed blue, GLfixed alpha), (red, green, blue, alpha))
GEN_THUNKS(glClearColorxOES, (GLfixed red, GLfixed green, GLfixed blue, GLfixed alpha), (red, green, blue, alpha))
GEN_THUNKS(glClearDepth, (GLdouble depth), (depth))
GEN_THUNKS(glClearDepthdNV, (GLdouble depth), (depth))
GEN_THUNKS(glClearDepthf, (GLfloat d), (d))
GEN_THUNKS(glClearDepthfOES, (GLclampf depth), (depth))
GEN_THUNKS(glClearDepthx, (GLfixed depth), (depth))
GEN_THUNKS(glClearDepthxOES, (GLfixed depth), (depth))
GEN_THUNKS(glClearIndex, (GLfloat c), (c))
GEN_THUNKS(glClearNamedBufferDataEXT, (GLuint buffer, GLenum internalformat, GLenum format, GLenum type, const void * data), (buffer, internalformat, format, type, data))
GEN_THUNKS(glClearNamedBufferSubDataEXT, (GLuint buffer, GLenum internalformat, GLsizeiptr offset, GLsizeiptr size, GLenum format, GLenum type, const void * data), (buffer, internalformat, offset, size, format, type, data))
GEN_THUNKS(glClearStencil, (GLint s), (s))
GEN_THUNKS(glClearTexImage, (GLuint texture, GLint level, GLenum format, GLenum type, const void * data), (texture, level, format, type, data))
GEN_THUNKS(glClearTexSubImage, (GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const void * data), (texture, level, xoffset, yoffset, zoffset, width, height, depth, format, type, data))
GEN_THUNKS(glClientActiveTexture, (GLenum texture), (texture))
GEN_THUNKS(glClientActiveTextureARB, (GLenum texture), (texture))
GEN_THUNKS(glClientActiveVertexStreamATI, (GLenum stream), (stream))
GEN_THUNKS(glClientAttribDefaultEXT, (GLbitfield mask), (mask))
GEN_THUNKS_RET(GLenum, glClientWaitSync, (GLsync sync, GLbitfield flags, GLuint64 timeout), (sync, flags, timeout))
GEN_THUNKS_RET(GLenum, glClientWaitSyncAPPLE, (GLsync sync, GLbitfield flags, GLuint64 timeout), (sync, flags, timeout))
GEN_THUNKS(glClipPlane, (GLenum plane, const GLdouble * equation), (plane, equation))
GEN_THUNKS(glClipPlanef, (GLenum p, const GLfloat * eqn), (p, eqn))
GEN_THUNKS(glClipPlanefIMG, (GLenum p, const GLfloat * eqn), (p, eqn))
GEN_THUNKS(glClipPlanefOES, (GLenum plane, const GLfloat * equation), (plane, equation))
GEN_THUNKS(glClipPlanex, (GLenum plane, const GLfixed * equation), (plane, equation))
GEN_THUNKS(glClipPlanexIMG, (GLenum p, const GLfixed * eqn), (p, eqn))
GEN_THUNKS(glClipPlanexOES, (GLenum plane, const GLfixed * equation), (plane, equation))
GEN_THUNKS(glColor3b, (GLbyte red, GLbyte green, GLbyte blue), (red, green, blue))
GEN_THUNKS(glColor3bv, (const GLbyte * v), (v))
GEN_THUNKS(glColor3d, (GLdouble red, GLdouble green, GLdouble blue), (red, green, blue))
GEN_THUNKS(glColor3dv, (const GLdouble * v), (v))
GEN_THUNKS(glColor3f, (GLfloat red, GLfloat green, GLfloat blue), (red, green, blue))
GEN_THUNKS(glColor3fVertex3fSUN, (GLfloat r, GLfloat g, GLfloat b, GLfloat x, GLfloat y, GLfloat z), (r, g, b, x, y, z))
GEN_THUNKS(glColor3fVertex3fvSUN, (const GLfloat * c, const GLfloat * v), (c, v))
GEN_THUNKS(glColor3fv, (const GLfloat * v), (v))
GEN_THUNKS(glColor3hNV, (GLhalfNV red, GLhalfNV green, GLhalfNV blue), (red, green, blue))
GEN_THUNKS(glColor3hvNV, (const GLhalfNV * v), (v))
GEN_THUNKS(glColor3i, (GLint red, GLint green, GLint blue), (red, green, blue))
GEN_THUNKS(glColor3iv, (const GLint * v), (v))
GEN_THUNKS(glColor3s, (GLshort red, GLshort green, GLshort blue), (red, green, blue))
GEN_THUNKS(glColor3sv, (const GLshort * v), (v))
GEN_THUNKS(glColor3ub, (GLubyte red, GLubyte green, GLubyte blue), (red, green, blue))
GEN_THUNKS(glColor3ubv, (const GLubyte * v), (v))
GEN_THUNKS(glColor3ui, (GLuint red, GLuint green, GLuint blue), (red, green, blue))
GEN_THUNKS(glColor3uiv, (const GLuint * v), (v))
GEN_THUNKS(glColor3us, (GLushort red, GLushort green, GLushort blue), (red, green, blue))
GEN_THUNKS(glColor3usv, (const GLushort * v), (v))
GEN_THUNKS(glColor3xOES, (GLfixed red, GLfixed green, GLfixed blue), (red, green, blue))
GEN_THUNKS(glColor3xvOES, (const GLfixed * components), (components))
GEN_THUNKS(glColor4b, (GLbyte red, GLbyte green, GLbyte blue, GLbyte alpha), (red, green, blue, alpha))
GEN_THUNKS(glColor4bv, (const GLbyte * v), (v))
GEN_THUNKS(glColor4d, (GLdouble red, GLdouble green, GLdouble blue, GLdouble alpha), (red, green, blue, alpha))
GEN_THUNKS(glColor4dv, (const GLdouble * v), (v))
GEN_THUNKS(glColor4f, (GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha), (red, green, blue, alpha))
GEN_THUNKS(glColor4fNormal3fVertex3fSUN, (GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z), (r, g, b, a, nx, ny, nz, x, y, z))
GEN_THUNKS(glColor4fNormal3fVertex3fvSUN, (const GLfloat * c, const GLfloat * n, const GLfloat * v), (c, n, v))
GEN_THUNKS(glColor4fv, (const GLfloat * v), (v))
GEN_THUNKS(glColor4hNV, (GLhalfNV red, GLhalfNV green, GLhalfNV blue, GLhalfNV alpha), (red, green, blue, alpha))
GEN_THUNKS(glColor4hvNV, (const GLhalfNV * v), (v))
GEN_THUNKS(glColor4i, (GLint red, GLint green, GLint blue, GLint alpha), (red, green, blue, alpha))
GEN_THUNKS(glColor4iv, (const GLint * v), (v))
GEN_THUNKS(glColor4s, (GLshort red, GLshort green, GLshort blue, GLshort alpha), (red, green, blue, alpha))
GEN_THUNKS(glColor4sv, (const GLshort * v), (v))
GEN_THUNKS(glColor4ub, (GLubyte red, GLubyte green, GLubyte blue, GLubyte alpha), (red, green, blue, alpha))
GEN_THUNKS(glColor4ubVertex2fSUN, (GLubyte r, GLubyte g, GLubyte b, GLubyte a, GLfloat x, GLfloat y), (r, g, b, a, x, y))
GEN_THUNKS(glColor4ubVertex2fvSUN, (const GLubyte * c, const GLfloat * v), (c, v))
GEN_THUNKS(glColor4ubVertex3fSUN, (GLubyte r, GLubyte g, GLubyte b, GLubyte a, GLfloat x, GLfloat y, GLfloat z), (r, g, b, a, x, y, z))
GEN_THUNKS(glColor4ubVertex3fvSUN, (const GLubyte * c, const GLfloat * v), (c, v))
GEN_THUNKS(glColor4ubv, (const GLubyte * v), (v))
GEN_THUNKS(glColor4ui, (GLuint red, GLuint green, GLuint blue, GLuint alpha), (red, green, blue, alpha))
GEN_THUNKS(glColor4uiv, (const GLuint * v), (v))
GEN_THUNKS(glColor4us, (GLushort red, GLushort green, GLushort blue, GLushort alpha), (red, green, blue, alpha))
GEN_THUNKS(glColor4usv, (const GLushort * v), (v))
GEN_THUNKS(glColor4x, (GLfixed red, GLfixed green, GLfixed blue, GLfixed alpha), (red, green, blue, alpha))
GEN_THUNKS(glColor4xOES, (GLfixed red, GLfixed green, GLfixed blue, GLfixed alpha), (red, green, blue, alpha))
GEN_THUNKS(glColor4xvOES, (const GLfixed * components), (components))
GEN_THUNKS(glColorFormatNV, (GLint size, GLenum type, GLsizei stride), (size, type, stride))
GEN_THUNKS(glColorFragmentOp1ATI, (GLenum op, GLuint dst, GLuint dstMask, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod), (op, dst, dstMask, dstMod, arg1, arg1Rep, arg1Mod))
GEN_THUNKS(glColorFragmentOp2ATI, (GLenum op, GLuint dst, GLuint dstMask, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod, GLuint arg2, GLuint arg2Rep, GLuint arg2Mod), (op, dst, dstMask, dstMod, arg1, arg1Rep, arg1Mod, arg2, arg2Rep, arg2Mod))
GEN_THUNKS(glColorFragmentOp3ATI, (GLenum op, GLuint dst, GLuint dstMask, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod, GLuint arg2, GLuint arg2Rep, GLuint arg2Mod, GLuint arg3, GLuint arg3Rep, GLuint arg3Mod), (op, dst, dstMask, dstMod, arg1, arg1Rep, arg1Mod, arg2, arg2Rep, arg2Mod, arg3, arg3Rep, arg3Mod))
GEN_THUNKS(glColorMask, (GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha), (red, green, blue, alpha))
GEN_THUNKS(glColorMaskIndexedEXT, (GLuint index, GLboolean r, GLboolean g, GLboolean b, GLboolean a), (index, r, g, b, a))
GEN_THUNKS(glColorMaski, (GLuint index, GLboolean r, GLboolean g, GLboolean b, GLboolean a), (index, r, g, b, a))
GEN_THUNKS(glColorMaterial, (GLenum face, GLenum mode), (face, mode))
GEN_THUNKS(glColorP3ui, (GLenum type, GLuint color), (type, color))
GEN_THUNKS(glColorP3uiv, (GLenum type, const GLuint * color), (type, color))
GEN_THUNKS(glColorP4ui, (GLenum type, GLuint color), (type, color))
GEN_THUNKS(glColorP4uiv, (GLenum type, const GLuint * color), (type, color))
GEN_THUNKS(glColorPointer, (GLint size, GLenum type, GLsizei stride, const void * pointer), (size, type, stride, pointer))
GEN_THUNKS(glColorPointerEXT, (GLint size, GLenum type, GLsizei stride, GLsizei count, const void * pointer), (size, type, stride, count, pointer))
GEN_THUNKS(glColorPointerListIBM, (GLint size, GLenum type, GLint stride, const void ** pointer, GLint ptrstride), (size, type, stride, pointer, ptrstride))
GEN_THUNKS(glColorPointervINTEL, (GLint size, GLenum type, const void ** pointer), (size, type, pointer))
GEN_THUNKS(glColorSubTable, (GLenum target, GLsizei start, GLsizei count, GLenum format, GLenum type, const void * data), (target, start, count, format, type, data))
GEN_THUNKS(glColorSubTableEXT, (GLenum target, GLsizei start, GLsizei count, GLenum format, GLenum type, const void * data), (target, start, count, format, type, data))
GEN_THUNKS(glColorTable, (GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const void * table), (target, internalformat, width, format, type, table))
GEN_THUNKS(glColorTableEXT, (GLenum target, GLenum internalFormat, GLsizei width, GLenum format, GLenum type, const void * table), (target, internalFormat, width, format, type, table))
GEN_THUNKS(glColorTableParameterfv, (GLenum target, GLenum pname, const GLfloat * params), (target, pname, params))
GEN_THUNKS(glColorTableParameterfvSGI, (GLenum target, GLenum pname, const GLfloat * params), (target, pname, params))
GEN_THUNKS(glColorTableParameteriv, (GLenum target, GLenum pname, const GLint * params), (target, pname, params))
GEN_THUNKS(glColorTableParameterivSGI, (GLenum target, GLenum pname, const GLint * params), (target, pname, params))
GEN_THUNKS(glColorTableSGI, (GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const void * table), (target, internalformat, width, format, type, table))
GEN_THUNKS(glCombinerInputNV, (GLenum stage, GLenum portion, GLenum variable, GLenum input, GLenum mapping, GLenum componentUsage), (stage, portion, variable, input, mapping, componentUsage))
GEN_THUNKS(glCombinerOutputNV, (GLenum stage, GLenum portion, GLenum abOutput, GLenum cdOutput, GLenum sumOutput, GLenum scale, GLenum bias, GLboolean abDotProduct, GLboolean cdDotProduct, GLboolean muxSum), (stage, portion, abOutput, cdOutput, sumOutput, scale, bias, abDotProduct, cdDotProduct, muxSum))
GEN_THUNKS(glCombinerParameterfNV, (GLenum pname, GLfloat param), (pname, param))
GEN_THUNKS(glCombinerParameterfvNV, (GLenum pname, const GLfloat * params), (pname, params))
GEN_THUNKS(glCombinerParameteriNV, (GLenum pname, GLint param), (pname, param))
GEN_THUNKS(glCombinerParameterivNV, (GLenum pname, const GLint * params), (pname, params))
GEN_THUNKS(glCombinerStageParameterfvNV, (GLenum stage, GLenum pname, const GLfloat * params), (stage, pname, params))
GEN_THUNKS(glCompileShader, (GLuint shader), (shader))
GEN_THUNKS(glCompileShaderARB, (GLhandleARB shaderObj), ((uintptr_t)shaderObj))
GEN_THUNKS(glCompileShaderIncludeARB, (GLuint shader, GLsizei count, const GLchar *const* path, const GLint * length), (shader, count, path, length))
GEN_THUNKS(glCompressedMultiTexImage1DEXT, (GLenum texunit, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const void * bits), (texunit, target, level, internalformat, width, border, imageSize, bits))
GEN_THUNKS(glCompressedMultiTexImage2DEXT, (GLenum texunit, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const void * bits), (texunit, target, level, internalformat, width, height, border, imageSize, bits))
GEN_THUNKS(glCompressedMultiTexImage3DEXT, (GLenum texunit, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const void * bits), (texunit, target, level, internalformat, width, height, depth, border, imageSize, bits))
GEN_THUNKS(glCompressedMultiTexSubImage1DEXT, (GLenum texunit, GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const void * bits), (texunit, target, level, xoffset, width, format, imageSize, bits))
GEN_THUNKS(glCompressedMultiTexSubImage2DEXT, (GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const void * bits), (texunit, target, level, xoffset, yoffset, width, height, format, imageSize, bits))
GEN_THUNKS(glCompressedMultiTexSubImage3DEXT, (GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const void * bits), (texunit, target, level, xoffset, yoffset, zoffset, width, height, depth, format, imageSize, bits))
GEN_THUNKS(glCompressedTexImage1D, (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const void * data), (target, level, internalformat, width, border, imageSize, data))
GEN_THUNKS(glCompressedTexImage1DARB, (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const void * data), (target, level, internalformat, width, border, imageSize, data))
GEN_THUNKS(glCompressedTexImage2D, (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const void * data), (target, level, internalformat, width, height, border, imageSize, data))
GEN_THUNKS(glCompressedTexImage2DARB, (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const void * data), (target, level, internalformat, width, height, border, imageSize, data))
GEN_THUNKS(glCompressedTexImage3D, (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const void * data), (target, level, internalformat, width, height, depth, border, imageSize, data))
GEN_THUNKS(glCompressedTexImage3DARB, (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const void * data), (target, level, internalformat, width, height, depth, border, imageSize, data))
GEN_THUNKS(glCompressedTexImage3DOES, (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const void * data), (target, level, internalformat, width, height, depth, border, imageSize, data))
GEN_THUNKS(glCompressedTexSubImage1D, (GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const void * data), (target, level, xoffset, width, format, imageSize, data))
GEN_THUNKS(glCompressedTexSubImage1DARB, (GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const void * data), (target, level, xoffset, width, format, imageSize, data))
GEN_THUNKS(glCompressedTexSubImage2D, (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const void * data), (target, level, xoffset, yoffset, width, height, format, imageSize, data))
GEN_THUNKS(glCompressedTexSubImage2DARB, (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const void * data), (target, level, xoffset, yoffset, width, height, format, imageSize, data))
GEN_THUNKS(glCompressedTexSubImage3D, (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const void * data), (target, level, xoffset, yoffset, zoffset, width, height, depth, format, imageSize, data))
GEN_THUNKS(glCompressedTexSubImage3DARB, (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const void * data), (target, level, xoffset, yoffset, zoffset, width, height, depth, format, imageSize, data))
GEN_THUNKS(glCompressedTexSubImage3DOES, (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const void * data), (target, level, xoffset, yoffset, zoffset, width, height, depth, format, imageSize, data))
GEN_THUNKS(glCompressedTextureImage1DEXT, (GLuint texture, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const void * bits), (texture, target, level, internalformat, width, border, imageSize, bits))
GEN_THUNKS(glCompressedTextureImage2DEXT, (GLuint texture, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const void * bits), (texture, target, level, internalformat, width, height, border, imageSize, bits))
GEN_THUNKS(glCompressedTextureImage3DEXT, (GLuint texture, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const void * bits), (texture, target, level, internalformat, width, height, depth, border, imageSize, bits))
GEN_THUNKS(glCompressedTextureSubImage1DEXT, (GLuint texture, GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const void * bits), (texture, target, level, xoffset, width, format, imageSize, bits))
GEN_THUNKS(glCompressedTextureSubImage2DEXT, (GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const void * bits), (texture, target, level, xoffset, yoffset, width, height, format, imageSize, bits))
GEN_THUNKS(glCompressedTextureSubImage3DEXT, (GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const void * bits), (texture, target, level, xoffset, yoffset, zoffset, width, height, depth, format, imageSize, bits))
GEN_THUNKS(glConvolutionFilter1D, (GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const void * image), (target, internalformat, width, format, type, image))
GEN_THUNKS(glConvolutionFilter1DEXT, (GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const void * image), (target, internalformat, width, format, type, image))
GEN_THUNKS(glConvolutionFilter2D, (GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * image), (target, internalformat, width, height, format, type, image))
GEN_THUNKS(glConvolutionFilter2DEXT, (GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * image), (target, internalformat, width, height, format, type, image))
GEN_THUNKS(glConvolutionParameterf, (GLenum target, GLenum pname, GLfloat params), (target, pname, params))
GEN_THUNKS(glConvolutionParameterfEXT, (GLenum target, GLenum pname, GLfloat params), (target, pname, params))
GEN_THUNKS(glConvolutionParameterfv, (GLenum target, GLenum pname, const GLfloat * params), (target, pname, params))
GEN_THUNKS(glConvolutionParameterfvEXT, (GLenum target, GLenum pname, const GLfloat * params), (target, pname, params))
GEN_THUNKS(glConvolutionParameteri, (GLenum target, GLenum pname, GLint params), (target, pname, params))
GEN_THUNKS(glConvolutionParameteriEXT, (GLenum target, GLenum pname, GLint params), (target, pname, params))
GEN_THUNKS(glConvolutionParameteriv, (GLenum target, GLenum pname, const GLint * params), (target, pname, params))
GEN_THUNKS(glConvolutionParameterivEXT, (GLenum target, GLenum pname, const GLint * params), (target, pname, params))
GEN_THUNKS(glConvolutionParameterxOES, (GLenum target, GLenum pname, GLfixed param), (target, pname, param))
GEN_THUNKS(glConvolutionParameterxvOES, (GLenum target, GLenum pname, const GLfixed * params), (target, pname, params))
GEN_THUNKS(glCopyBufferSubData, (GLenum readTarget, GLenum writeTarget, GLintptr readOffset, GLintptr writeOffset, GLsizeiptr size), (readTarget, writeTarget, readOffset, writeOffset, size))
GEN_THUNKS(glCopyBufferSubDataNV, (GLenum readTarget, GLenum writeTarget, GLintptr readOffset, GLintptr writeOffset, GLsizeiptr size), (readTarget, writeTarget, readOffset, writeOffset, size))
GEN_THUNKS(glCopyColorSubTable, (GLenum target, GLsizei start, GLint x, GLint y, GLsizei width), (target, start, x, y, width))
GEN_THUNKS(glCopyColorSubTableEXT, (GLenum target, GLsizei start, GLint x, GLint y, GLsizei width), (target, start, x, y, width))
GEN_THUNKS(glCopyColorTable, (GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width), (target, internalformat, x, y, width))
GEN_THUNKS(glCopyColorTableSGI, (GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width), (target, internalformat, x, y, width))
GEN_THUNKS(glCopyConvolutionFilter1D, (GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width), (target, internalformat, x, y, width))
GEN_THUNKS(glCopyConvolutionFilter1DEXT, (GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width), (target, internalformat, x, y, width))
GEN_THUNKS(glCopyConvolutionFilter2D, (GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height), (target, internalformat, x, y, width, height))
GEN_THUNKS(glCopyConvolutionFilter2DEXT, (GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height), (target, internalformat, x, y, width, height))
GEN_THUNKS(glCopyImageSubData, (GLuint srcName, GLenum srcTarget, GLint srcLevel, GLint srcX, GLint srcY, GLint srcZ, GLuint dstName, GLenum dstTarget, GLint dstLevel, GLint dstX, GLint dstY, GLint dstZ, GLsizei srcWidth, GLsizei srcHeight, GLsizei srcDepth), (srcName, srcTarget, srcLevel, srcX, srcY, srcZ, dstName, dstTarget, dstLevel, dstX, dstY, dstZ, srcWidth, srcHeight, srcDepth))
GEN_THUNKS(glCopyImageSubDataNV, (GLuint srcName, GLenum srcTarget, GLint srcLevel, GLint srcX, GLint srcY, GLint srcZ, GLuint dstName, GLenum dstTarget, GLint dstLevel, GLint dstX, GLint dstY, GLint dstZ, GLsizei width, GLsizei height, GLsizei depth), (srcName, srcTarget, srcLevel, srcX, srcY, srcZ, dstName, dstTarget, dstLevel, dstX, dstY, dstZ, width, height, depth))
GEN_THUNKS(glCopyMultiTexImage1DEXT, (GLenum texunit, GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border), (texunit, target, level, internalformat, x, y, width, border))
GEN_THUNKS(glCopyMultiTexImage2DEXT, (GLenum texunit, GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border), (texunit, target, level, internalformat, x, y, width, height, border))
GEN_THUNKS(glCopyMultiTexSubImage1DEXT, (GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width), (texunit, target, level, xoffset, x, y, width))
GEN_THUNKS(glCopyMultiTexSubImage2DEXT, (GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height), (texunit, target, level, xoffset, yoffset, x, y, width, height))
GEN_THUNKS(glCopyMultiTexSubImage3DEXT, (GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height), (texunit, target, level, xoffset, yoffset, zoffset, x, y, width, height))
GEN_THUNKS(glCopyPathNV, (GLuint resultPath, GLuint srcPath), (resultPath, srcPath))
GEN_THUNKS(glCopyPixels, (GLint x, GLint y, GLsizei width, GLsizei height, GLenum type), (x, y, width, height, type))
GEN_THUNKS(glCopyTexImage1D, (GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border), (target, level, internalformat, x, y, width, border))
GEN_THUNKS(glCopyTexImage1DEXT, (GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border), (target, level, internalformat, x, y, width, border))
GEN_THUNKS(glCopyTexImage2D, (GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border), (target, level, internalformat, x, y, width, height, border))
GEN_THUNKS(glCopyTexImage2DEXT, (GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border), (target, level, internalformat, x, y, width, height, border))
GEN_THUNKS(glCopyTexSubImage1D, (GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width), (target, level, xoffset, x, y, width))
GEN_THUNKS(glCopyTexSubImage1DEXT, (GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width), (target, level, xoffset, x, y, width))
GEN_THUNKS(glCopyTexSubImage2D, (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height), (target, level, xoffset, yoffset, x, y, width, height))
GEN_THUNKS(glCopyTexSubImage2DEXT, (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height), (target, level, xoffset, yoffset, x, y, width, height))
GEN_THUNKS(glCopyTexSubImage3D, (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height), (target, level, xoffset, yoffset, zoffset, x, y, width, height))
GEN_THUNKS(glCopyTexSubImage3DEXT, (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height), (target, level, xoffset, yoffset, zoffset, x, y, width, height))
GEN_THUNKS(glCopyTexSubImage3DOES, (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height), (target, level, xoffset, yoffset, zoffset, x, y, width, height))
GEN_THUNKS(glCopyTextureImage1DEXT, (GLuint texture, GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border), (texture, target, level, internalformat, x, y, width, border))
GEN_THUNKS(glCopyTextureImage2DEXT, (GLuint texture, GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border), (texture, target, level, internalformat, x, y, width, height, border))
GEN_THUNKS(glCopyTextureLevelsAPPLE, (GLuint destinationTexture, GLuint sourceTexture, GLint sourceBaseLevel, GLsizei sourceLevelCount), (destinationTexture, sourceTexture, sourceBaseLevel, sourceLevelCount))
GEN_THUNKS(glCopyTextureSubImage1DEXT, (GLuint texture, GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width), (texture, target, level, xoffset, x, y, width))
GEN_THUNKS(glCopyTextureSubImage2DEXT, (GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height), (texture, target, level, xoffset, yoffset, x, y, width, height))
GEN_THUNKS(glCopyTextureSubImage3DEXT, (GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height), (texture, target, level, xoffset, yoffset, zoffset, x, y, width, height))
GEN_THUNKS(glCoverFillPathInstancedNV, (GLsizei numPaths, GLenum pathNameType, const void * paths, GLuint pathBase, GLenum coverMode, GLenum transformType, const GLfloat * transformValues), (numPaths, pathNameType, paths, pathBase, coverMode, transformType, transformValues))
GEN_THUNKS(glCoverFillPathNV, (GLuint path, GLenum coverMode), (path, coverMode))
GEN_THUNKS(glCoverStrokePathInstancedNV, (GLsizei numPaths, GLenum pathNameType, const void * paths, GLuint pathBase, GLenum coverMode, GLenum transformType, const GLfloat * transformValues), (numPaths, pathNameType, paths, pathBase, coverMode, transformType, transformValues))
GEN_THUNKS(glCoverStrokePathNV, (GLuint path, GLenum coverMode), (path, coverMode))
GEN_THUNKS(glCoverageMaskNV, (GLboolean mask), (mask))
GEN_THUNKS(glCoverageOperationNV, (GLenum operation), (operation))
GEN_THUNKS(glCreatePerfQueryINTEL, (GLuint queryId, GLuint * queryHandle), (queryId, queryHandle))
GEN_THUNKS_RET(GLuint, glCreateProgram, (void), ())
GEN_THUNKS_RET(GLhandleARB, glCreateProgramObjectARB, (void), ())
GEN_THUNKS_RET(GLuint, glCreateShader, (GLenum type), (type))
GEN_THUNKS_RET(GLhandleARB, glCreateShaderObjectARB, (GLenum shaderType), (shaderType))
GEN_THUNKS_RET(GLuint, glCreateShaderProgramEXT, (GLenum type, const GLchar * string), (type, string))
GEN_THUNKS_RET(GLuint, glCreateShaderProgramv, (GLenum type, GLsizei count, const GLchar *const* strings), (type, count, strings))
GEN_THUNKS_RET(GLuint, glCreateShaderProgramvEXT, (GLenum type, GLsizei count, const GLchar ** strings), (type, count, strings))
GEN_THUNKS_RET(GLsync, glCreateSyncFromCLeventARB, (struct _cl_context * context, struct _cl_event * event, GLbitfield flags), (context, event, flags))
GEN_THUNKS(glCullFace, (GLenum mode), (mode))
GEN_THUNKS(glCullParameterdvEXT, (GLenum pname, GLdouble * params), (pname, params))
GEN_THUNKS(glCullParameterfvEXT, (GLenum pname, GLfloat * params), (pname, params))
GEN_THUNKS(glCurrentPaletteMatrixARB, (GLint index), (index))
GEN_THUNKS(glCurrentPaletteMatrixOES, (GLuint matrixpaletteindex), (matrixpaletteindex))
GEN_THUNKS(glDebugMessageCallback, (GLDEBUGPROC callback, const void * userParam), (callback, userParam))
GEN_THUNKS(glDebugMessageCallbackAMD, (GLDEBUGPROCAMD callback, void * userParam), (callback, userParam))
GEN_THUNKS(glDebugMessageCallbackARB, (GLDEBUGPROCARB callback, const void * userParam), (callback, userParam))
GEN_THUNKS(glDebugMessageCallbackKHR, (GLDEBUGPROCKHR callback, const void * userParam), (callback, userParam))
GEN_THUNKS(glDebugMessageControl, (GLenum source, GLenum type, GLenum severity, GLsizei count, const GLuint * ids, GLboolean enabled), (source, type, severity, count, ids, enabled))
GEN_THUNKS(glDebugMessageControlARB, (GLenum source, GLenum type, GLenum severity, GLsizei count, const GLuint * ids, GLboolean enabled), (source, type, severity, count, ids, enabled))
GEN_THUNKS(glDebugMessageControlKHR, (GLenum source, GLenum type, GLenum severity, GLsizei count, const GLuint * ids, GLboolean enabled), (source, type, severity, count, ids, enabled))
GEN_THUNKS(glDebugMessageEnableAMD, (GLenum category, GLenum severity, GLsizei count, const GLuint * ids, GLboolean enabled), (category, severity, count, ids, enabled))
GEN_THUNKS(glDebugMessageInsert, (GLenum source, GLenum type, GLuint id, GLenum severity, GLsizei length, const GLchar * buf), (source, type, id, severity, length, buf))
GEN_THUNKS(glDebugMessageInsertAMD, (GLenum category, GLenum severity, GLuint id, GLsizei length, const GLchar * buf), (category, severity, id, length, buf))
GEN_THUNKS(glDebugMessageInsertARB, (GLenum source, GLenum type, GLuint id, GLenum severity, GLsizei length, const GLchar * buf), (source, type, id, severity, length, buf))
GEN_THUNKS(glDebugMessageInsertKHR, (GLenum source, GLenum type, GLuint id, GLenum severity, GLsizei length, const GLchar * buf), (source, type, id, severity, length, buf))
GEN_THUNKS(glDeformSGIX, (GLbitfield mask), (mask))
GEN_THUNKS(glDeformationMap3dSGIX, (GLenum target, GLdouble u1, GLdouble u2, GLint ustride, GLint uorder, GLdouble v1, GLdouble v2, GLint vstride, GLint vorder, GLdouble w1, GLdouble w2, GLint wstride, GLint worder, const GLdouble * points), (target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, w1, w2, wstride, worder, points))
GEN_THUNKS(glDeformationMap3fSGIX, (GLenum target, GLfloat u1, GLfloat u2, GLint ustride, GLint uorder, GLfloat v1, GLfloat v2, GLint vstride, GLint vorder, GLfloat w1, GLfloat w2, GLint wstride, GLint worder, const GLfloat * points), (target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, w1, w2, wstride, worder, points))
GEN_THUNKS(glDeleteAsyncMarkersSGIX, (GLuint marker, GLsizei range), (marker, range))
GEN_THUNKS(glDeleteBuffers, (GLsizei n, const GLuint * buffers), (n, buffers))
GEN_THUNKS(glDeleteBuffersARB, (GLsizei n, const GLuint * buffers), (n, buffers))
GEN_THUNKS(glDeleteFencesAPPLE, (GLsizei n, const GLuint * fences), (n, fences))
GEN_THUNKS(glDeleteFencesNV, (GLsizei n, const GLuint * fences), (n, fences))
GEN_THUNKS(glDeleteFragmentShaderATI, (GLuint id), (id))
GEN_THUNKS(glDeleteFramebuffers, (GLsizei n, const GLuint * framebuffers), (n, framebuffers))
GEN_THUNKS(glDeleteFramebuffersEXT, (GLsizei n, const GLuint * framebuffers), (n, framebuffers))
GEN_THUNKS(glDeleteFramebuffersOES, (GLsizei n, const GLuint * framebuffers), (n, framebuffers))
GEN_THUNKS(glDeleteLists, (GLuint list, GLsizei range), (list, range))
GEN_THUNKS(glDeleteNamedStringARB, (GLint namelen, const GLchar * name), (namelen, name))
GEN_THUNKS(glDeleteNamesAMD, (GLenum identifier, GLuint num, const GLuint * names), (identifier, num, names))
GEN_THUNKS(glDeleteObjectARB, (GLhandleARB obj), ((uintptr_t)obj))
GEN_THUNKS(glDeleteOcclusionQueriesNV, (GLsizei n, const GLuint * ids), (n, ids))
GEN_THUNKS(glDeletePathsNV, (GLuint path, GLsizei range), (path, range))
GEN_THUNKS(glDeletePerfMonitorsAMD, (GLsizei n, GLuint * monitors), (n, monitors))
GEN_THUNKS(glDeletePerfQueryINTEL, (GLuint queryHandle), (queryHandle))
GEN_THUNKS(glDeleteProgram, (GLuint program), (program))
GEN_THUNKS(glDeleteProgramPipelines, (GLsizei n, const GLuint * pipelines), (n, pipelines))
GEN_THUNKS(glDeleteProgramPipelinesEXT, (GLsizei n, const GLuint * pipelines), (n, pipelines))
GEN_THUNKS(glDeleteProgramsARB, (GLsizei n, const GLuint * programs), (n, programs))
GEN_THUNKS(glDeleteProgramsNV, (GLsizei n, const GLuint * programs), (n, programs))
GEN_THUNKS(glDeleteQueries, (GLsizei n, const GLuint * ids), (n, ids))
GEN_THUNKS(glDeleteQueriesARB, (GLsizei n, const GLuint * ids), (n, ids))
GEN_THUNKS(glDeleteQueriesEXT, (GLsizei n, const GLuint * ids), (n, ids))
GEN_THUNKS(glDeleteRenderbuffers, (GLsizei n, const GLuint * renderbuffers), (n, renderbuffers))
GEN_THUNKS(glDeleteRenderbuffersEXT, (GLsizei n, const GLuint * renderbuffers), (n, renderbuffers))
GEN_THUNKS(glDeleteRenderbuffersOES, (GLsizei n, const GLuint * renderbuffers), (n, renderbuffers))
GEN_THUNKS(glDeleteSamplers, (GLsizei count, const GLuint * samplers), (count, samplers))
GEN_THUNKS(glDeleteShader, (GLuint shader), (shader))
GEN_THUNKS(glDeleteSync, (GLsync sync), (sync))
GEN_THUNKS(glDeleteSyncAPPLE, (GLsync sync), (sync))
GEN_THUNKS(glDeleteTextures, (GLsizei n, const GLuint * textures), (n, textures))
GEN_THUNKS(glDeleteTexturesEXT, (GLsizei n, const GLuint * textures), (n, textures))
GEN_THUNKS(glDeleteTransformFeedbacks, (GLsizei n, const GLuint * ids), (n, ids))
GEN_THUNKS(glDeleteTransformFeedbacksNV, (GLsizei n, const GLuint * ids), (n, ids))
GEN_THUNKS(glDeleteVertexArrays, (GLsizei n, const GLuint * arrays), (n, arrays))
GEN_THUNKS(glDeleteVertexArraysAPPLE, (GLsizei n, const GLuint * arrays), (n, arrays))
GEN_THUNKS(glDeleteVertexArraysOES, (GLsizei n, const GLuint * arrays), (n, arrays))
GEN_THUNKS(glDeleteVertexShaderEXT, (GLuint id), (id))
GEN_THUNKS(glDepthBoundsEXT, (GLclampd zmin, GLclampd zmax), (zmin, zmax))
GEN_THUNKS(glDepthBoundsdNV, (GLdouble zmin, GLdouble zmax), (zmin, zmax))
GEN_THUNKS(glDepthFunc, (GLenum func), (func))
GEN_THUNKS(glDepthMask, (GLboolean flag), (flag))
GEN_THUNKS(glDepthRange, (GLdouble hither, GLdouble yon), (hither, yon))
GEN_THUNKS(glDepthRangeArrayv, (GLuint first, GLsizei count, const GLdouble * v), (first, count, v))
GEN_THUNKS(glDepthRangeIndexed, (GLuint index, GLdouble n, GLdouble f), (index, n, f))
GEN_THUNKS(glDepthRangedNV, (GLdouble zNear, GLdouble zFar), (zNear, zFar))
GEN_THUNKS(glDepthRangef, (GLfloat n, GLfloat f), (n, f))
GEN_THUNKS(glDepthRangefOES, (GLclampf n, GLclampf f), (n, f))
GEN_THUNKS(glDepthRangex, (GLfixed n, GLfixed f), (n, f))
GEN_THUNKS(glDepthRangexOES, (GLfixed n, GLfixed f), (n, f))
GEN_THUNKS(glDetachObjectARB, (GLhandleARB containerObj, GLhandleARB attachedObj), ((uintptr_t)containerObj, (uintptr_t)attachedObj))
GEN_THUNKS(glDetachShader, (GLuint program, GLuint shader), (program, shader))
GEN_THUNKS(glDetailTexFuncSGIS, (GLenum target, GLsizei n, const GLfloat * points), (target, n, points))
GEN_THUNKS(glDisable, (GLenum cap), (cap))
GEN_THUNKS(glDisableClientState, (GLenum array), (array))
GEN_THUNKS(glDisableClientStateIndexedEXT, (GLenum array, GLuint index), (array, index))
GEN_THUNKS(glDisableClientStateiEXT, (GLenum array, GLuint index), (array, index))
GEN_THUNKS(glDisableDriverControlQCOM, (GLuint driverControl), (driverControl))
GEN_THUNKS(glDisableIndexedEXT, (GLenum target, GLuint index), (target, index))
GEN_THUNKS(glDisableVariantClientStateEXT, (GLuint id), (id))
GEN_THUNKS(glDisableVertexArrayAttribEXT, (GLuint vaobj, GLuint index), (vaobj, index))
GEN_THUNKS(glDisableVertexArrayEXT, (GLuint vaobj, GLenum array), (vaobj, array))
GEN_THUNKS(glDisableVertexAttribAPPLE, (GLuint index, GLenum pname), (index, pname))
GEN_THUNKS(glDisableVertexAttribArray, (GLuint index), (index))
GEN_THUNKS(glDisableVertexAttribArrayARB, (GLuint index), (index))
GEN_THUNKS(glDisablei, (GLenum target, GLuint index), (target, index))
GEN_THUNKS(glDiscardFramebufferEXT, (GLenum target, GLsizei numAttachments, const GLenum * attachments), (target, numAttachments, attachments))
GEN_THUNKS(glDispatchCompute, (GLuint num_groups_x, GLuint num_groups_y, GLuint num_groups_z), (num_groups_x, num_groups_y, num_groups_z))
GEN_THUNKS(glDispatchComputeGroupSizeARB, (GLuint num_groups_x, GLuint num_groups_y, GLuint num_groups_z, GLuint group_size_x, GLuint group_size_y, GLuint group_size_z), (num_groups_x, num_groups_y, num_groups_z, group_size_x, group_size_y, group_size_z))
GEN_THUNKS(glDispatchComputeIndirect, (GLintptr indirect), (indirect))
GEN_THUNKS(glDrawArrays, (GLenum mode, GLint first, GLsizei count), (mode, first, count))
GEN_THUNKS(glDrawArraysEXT, (GLenum mode, GLint first, GLsizei count), (mode, first, count))
GEN_THUNKS(glDrawArraysIndirect, (GLenum mode, const void * indirect), (mode, indirect))
GEN_THUNKS(glDrawArraysInstanced, (GLenum mode, GLint first, GLsizei count, GLsizei instancecount), (mode, first, count, instancecount))
GEN_THUNKS(glDrawArraysInstancedANGLE, (GLenum mode, GLint first, GLsizei count, GLsizei primcount), (mode, first, count, primcount))
GEN_THUNKS(glDrawArraysInstancedARB, (GLenum mode, GLint first, GLsizei count, GLsizei primcount), (mode, first, count, primcount))
GEN_THUNKS(glDrawArraysInstancedBaseInstance, (GLenum mode, GLint first, GLsizei count, GLsizei instancecount, GLuint baseinstance), (mode, first, count, instancecount, baseinstance))
GEN_THUNKS(glDrawArraysInstancedEXT, (GLenum mode, GLint start, GLsizei count, GLsizei primcount), (mode, start, count, primcount))
GEN_THUNKS(glDrawArraysInstancedNV, (GLenum mode, GLint first, GLsizei count, GLsizei primcount), (mode, first, count, primcount))
GEN_THUNKS(glDrawBuffer, (GLenum mode), (mode))
GEN_THUNKS(glDrawBuffers, (GLsizei n, const GLenum * bufs), (n, bufs))
GEN_THUNKS(glDrawBuffersARB, (GLsizei n, const GLenum * bufs), (n, bufs))
GEN_THUNKS(glDrawBuffersATI, (GLsizei n, const GLenum * bufs), (n, bufs))
GEN_THUNKS(glDrawBuffersEXT, (GLsizei n, const GLenum * bufs), (n, bufs))
GEN_THUNKS(glDrawBuffersIndexedEXT, (GLint n, const GLenum * location, const GLint * indices), (n, location, indices))
GEN_THUNKS(glDrawBuffersNV, (GLsizei n, const GLenum * bufs), (n, bufs))
GEN_THUNKS(glDrawElementArrayAPPLE, (GLenum mode, GLint first, GLsizei count), (mode, first, count))
GEN_THUNKS(glDrawElementArrayATI, (GLenum mode, GLsizei count), (mode, count))
GEN_THUNKS(glDrawElements, (GLenum mode, GLsizei count, GLenum type, const void * indices), (mode, count, type, indices))
GEN_THUNKS(glDrawElementsBaseVertex, (GLenum mode, GLsizei count, GLenum type, const void * indices, GLint basevertex), (mode, count, type, indices, basevertex))
GEN_THUNKS(glDrawElementsIndirect, (GLenum mode, GLenum type, const void * indirect), (mode, type, indirect))
GEN_THUNKS(glDrawElementsInstanced, (GLenum mode, GLsizei count, GLenum type, const void * indices, GLsizei instancecount), (mode, count, type, indices, instancecount))
GEN_THUNKS(glDrawElementsInstancedANGLE, (GLenum mode, GLsizei count, GLenum type, const void * indices, GLsizei primcount), (mode, count, type, indices, primcount))
GEN_THUNKS(glDrawElementsInstancedARB, (GLenum mode, GLsizei count, GLenum type, const void * indices, GLsizei primcount), (mode, count, type, indices, primcount))
GEN_THUNKS(glDrawElementsInstancedBaseInstance, (GLenum mode, GLsizei count, GLenum type, const void * indices, GLsizei instancecount, GLuint baseinstance), (mode, count, type, indices, instancecount, baseinstance))
GEN_THUNKS(glDrawElementsInstancedBaseVertex, (GLenum mode, GLsizei count, GLenum type, const void * indices, GLsizei instancecount, GLint basevertex), (mode, count, type, indices, instancecount, basevertex))
GEN_THUNKS(glDrawElementsInstancedBaseVertexBaseInstance, (GLenum mode, GLsizei count, GLenum type, const void * indices, GLsizei instancecount, GLint basevertex, GLuint baseinstance), (mode, count, type, indices, instancecount, basevertex, baseinstance))
GEN_THUNKS(glDrawElementsInstancedEXT, (GLenum mode, GLsizei count, GLenum type, const void * indices, GLsizei primcount), (mode, count, type, indices, primcount))
GEN_THUNKS(glDrawElementsInstancedNV, (GLenum mode, GLsizei count, GLenum type, const void * indices, GLsizei primcount), (mode, count, type, indices, primcount))
GEN_THUNKS(glDrawMeshArraysSUN, (GLenum mode, GLint first, GLsizei count, GLsizei width), (mode, first, count, width))
GEN_THUNKS(glDrawPixels, (GLsizei width, GLsizei height, GLenum format, GLenum type, const void * pixels), (width, height, format, type, pixels))
GEN_THUNKS(glDrawRangeElementArrayAPPLE, (GLenum mode, GLuint start, GLuint end, GLint first, GLsizei count), (mode, start, end, first, count))
GEN_THUNKS(glDrawRangeElementArrayATI, (GLenum mode, GLuint start, GLuint end, GLsizei count), (mode, start, end, count))
GEN_THUNKS(glDrawRangeElements, (GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const void * indices), (mode, start, end, count, type, indices))
GEN_THUNKS(glDrawRangeElementsBaseVertex, (GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const void * indices, GLint basevertex), (mode, start, end, count, type, indices, basevertex))
GEN_THUNKS(glDrawRangeElementsEXT, (GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const void * indices), (mode, start, end, count, type, indices))
GEN_THUNKS(glDrawTexfOES, (GLfloat x, GLfloat y, GLfloat z, GLfloat width, GLfloat height), (x, y, z, width, height))
GEN_THUNKS(glDrawTexfvOES, (const GLfloat * coords), (coords))
GEN_THUNKS(glDrawTexiOES, (GLint x, GLint y, GLint z, GLint width, GLint height), (x, y, z, width, height))
GEN_THUNKS(glDrawTexivOES, (const GLint * coords), (coords))
GEN_THUNKS(glDrawTexsOES, (GLshort x, GLshort y, GLshort z, GLshort width, GLshort height), (x, y, z, width, height))
GEN_THUNKS(glDrawTexsvOES, (const GLshort * coords), (coords))
GEN_THUNKS(glDrawTextureNV, (GLuint texture, GLuint sampler, GLfloat x0, GLfloat y0, GLfloat x1, GLfloat y1, GLfloat z, GLfloat s0, GLfloat t0, GLfloat s1, GLfloat t1), (texture, sampler, x0, y0, x1, y1, z, s0, t0, s1, t1))
GEN_THUNKS(glDrawTexxOES, (GLfixed x, GLfixed y, GLfixed z, GLfixed width, GLfixed height), (x, y, z, width, height))
GEN_THUNKS(glDrawTexxvOES, (const GLfixed * coords), (coords))
GEN_THUNKS(glDrawTransformFeedback, (GLenum mode, GLuint id), (mode, id))
GEN_THUNKS(glDrawTransformFeedbackInstanced, (GLenum mode, GLuint id, GLsizei instancecount), (mode, id, instancecount))
GEN_THUNKS(glDrawTransformFeedbackNV, (GLenum mode, GLuint id), (mode, id))
GEN_THUNKS(glDrawTransformFeedbackStream, (GLenum mode, GLuint id, GLuint stream), (mode, id, stream))
GEN_THUNKS(glDrawTransformFeedbackStreamInstanced, (GLenum mode, GLuint id, GLuint stream, GLsizei instancecount), (mode, id, stream, instancecount))
GEN_THUNKS(glEGLImageTargetRenderbufferStorageOES, (GLenum target, GLeglImageOES image), (target, image))
GEN_THUNKS(glEGLImageTargetTexture2DOES, (GLenum target, GLeglImageOES image), (target, image))
GEN_THUNKS(glEdgeFlag, (GLboolean flag), (flag))
GEN_THUNKS(glEdgeFlagFormatNV, (GLsizei stride), (stride))
GEN_THUNKS(glEdgeFlagPointer, (GLsizei stride, const void * pointer), (stride, pointer))
GEN_THUNKS(glEdgeFlagPointerEXT, (GLsizei stride, GLsizei count, const GLboolean * pointer), (stride, count, pointer))
GEN_THUNKS(glEdgeFlagPointerListIBM, (GLint stride, const GLboolean ** pointer, GLint ptrstride), (stride, pointer, ptrstride))
GEN_THUNKS(glEdgeFlagv, (const GLboolean * flag), (flag))
GEN_THUNKS(glElementPointerAPPLE, (GLenum type, const void * pointer), (type, pointer))
GEN_THUNKS(glElementPointerATI, (GLenum type, const void * pointer), (type, pointer))
GEN_THUNKS(glEnable, (GLenum cap), (cap))
GEN_THUNKS(glEnableClientState, (GLenum array), (array))
GEN_THUNKS(glEnableClientStateIndexedEXT, (GLenum array, GLuint index), (array, index))
GEN_THUNKS(glEnableClientStateiEXT, (GLenum array, GLuint index), (array, index))
GEN_THUNKS(glEnableDriverControlQCOM, (GLuint driverControl), (driverControl))
GEN_THUNKS(glEnableIndexedEXT, (GLenum target, GLuint index), (target, index))
GEN_THUNKS(glEnableVariantClientStateEXT, (GLuint id), (id))
GEN_THUNKS(glEnableVertexArrayAttribEXT, (GLuint vaobj, GLuint index), (vaobj, index))
GEN_THUNKS(glEnableVertexArrayEXT, (GLuint vaobj, GLenum array), (vaobj, array))
GEN_THUNKS(glEnableVertexAttribAPPLE, (GLuint index, GLenum pname), (index, pname))
GEN_THUNKS(glEnableVertexAttribArray, (GLuint index), (index))
GEN_THUNKS(glEnableVertexAttribArrayARB, (GLuint index), (index))
GEN_THUNKS(glEnablei, (GLenum target, GLuint index), (target, index))
GEN_THUNKS(glEnd_unwrapped, (void), ())
GEN_THUNKS(glEndConditionalRender, (void), ())
GEN_THUNKS(glEndConditionalRenderNV, (void), ())
GEN_THUNKS(glEndConditionalRenderNVX, (void), ())
GEN_THUNKS(glEndFragmentShaderATI, (void), ())
GEN_THUNKS(glEndList, (void), ())
GEN_THUNKS(glEndOcclusionQueryNV, (void), ())
GEN_THUNKS(glEndPerfMonitorAMD, (GLuint monitor), (monitor))
GEN_THUNKS(glEndPerfQueryINTEL, (GLuint queryHandle), (queryHandle))
GEN_THUNKS(glEndQuery, (GLenum target), (target))
GEN_THUNKS(glEndQueryARB, (GLenum target), (target))
GEN_THUNKS(glEndQueryEXT, (GLenum target), (target))
GEN_THUNKS(glEndQueryIndexed, (GLenum target, GLuint index), (target, index))
GEN_THUNKS(glEndTilingQCOM, (GLbitfield preserveMask), (preserveMask))
GEN_THUNKS(glEndTransformFeedback, (void), ())
GEN_THUNKS(glEndTransformFeedbackEXT, (void), ())
GEN_THUNKS(glEndTransformFeedbackNV, (void), ())
GEN_THUNKS(glEndVertexShaderEXT, (void), ())
GEN_THUNKS(glEndVideoCaptureNV, (GLuint video_capture_slot), (video_capture_slot))
GEN_THUNKS(glEvalCoord1d, (GLdouble u), (u))
GEN_THUNKS(glEvalCoord1dv, (const GLdouble * u), (u))
GEN_THUNKS(glEvalCoord1f, (GLfloat u), (u))
GEN_THUNKS(glEvalCoord1fv, (const GLfloat * u), (u))
GEN_THUNKS(glEvalCoord1xOES, (GLfixed u), (u))
GEN_THUNKS(glEvalCoord1xvOES, (const GLfixed * coords), (coords))
GEN_THUNKS(glEvalCoord2d, (GLdouble u, GLdouble v), (u, v))
GEN_THUNKS(glEvalCoord2dv, (const GLdouble * u), (u))
GEN_THUNKS(glEvalCoord2f, (GLfloat u, GLfloat v), (u, v))
GEN_THUNKS(glEvalCoord2fv, (const GLfloat * u), (u))
GEN_THUNKS(glEvalCoord2xOES, (GLfixed u, GLfixed v), (u, v))
GEN_THUNKS(glEvalCoord2xvOES, (const GLfixed * coords), (coords))
GEN_THUNKS(glEvalMapsNV, (GLenum target, GLenum mode), (target, mode))
GEN_THUNKS(glEvalMesh1, (GLenum mode, GLint i1, GLint i2), (mode, i1, i2))
GEN_THUNKS(glEvalMesh2, (GLenum mode, GLint i1, GLint i2, GLint j1, GLint j2), (mode, i1, i2, j1, j2))
GEN_THUNKS(glEvalPoint1, (GLint i), (i))
GEN_THUNKS(glEvalPoint2, (GLint i, GLint j), (i, j))
GEN_THUNKS(glExecuteProgramNV, (GLenum target, GLuint id, const GLfloat * params), (target, id, params))
GEN_THUNKS(glExtGetBufferPointervQCOM, (GLenum target, void ** params), (target, params))
GEN_THUNKS(glExtGetBuffersQCOM, (GLuint * buffers, GLint maxBuffers, GLint * numBuffers), (buffers, maxBuffers, numBuffers))
GEN_THUNKS(glExtGetFramebuffersQCOM, (GLuint * framebuffers, GLint maxFramebuffers, GLint * numFramebuffers), (framebuffers, maxFramebuffers, numFramebuffers))
GEN_THUNKS(glExtGetProgramBinarySourceQCOM, (GLuint program, GLenum shadertype, GLchar * source, GLint * length), (program, shadertype, source, length))
GEN_THUNKS(glExtGetProgramsQCOM, (GLuint * programs, GLint maxPrograms, GLint * numPrograms), (programs, maxPrograms, numPrograms))
GEN_THUNKS(glExtGetRenderbuffersQCOM, (GLuint * renderbuffers, GLint maxRenderbuffers, GLint * numRenderbuffers), (renderbuffers, maxRenderbuffers, numRenderbuffers))
GEN_THUNKS(glExtGetShadersQCOM, (GLuint * shaders, GLint maxShaders, GLint * numShaders), (shaders, maxShaders, numShaders))
GEN_THUNKS(glExtGetTexLevelParameterivQCOM, (GLuint texture, GLenum face, GLint level, GLenum pname, GLint * params), (texture, face, level, pname, params))
GEN_THUNKS(glExtGetTexSubImageQCOM, (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, void * texels), (target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, texels))
GEN_THUNKS(glExtGetTexturesQCOM, (GLuint * textures, GLint maxTextures, GLint * numTextures), (textures, maxTextures, numTextures))
GEN_THUNKS_RET(GLboolean, glExtIsProgramBinaryQCOM, (GLuint program), (program))
GEN_THUNKS(glExtTexObjectStateOverrideiQCOM, (GLenum target, GLenum pname, GLint param), (target, pname, param))
GEN_THUNKS(glExtractComponentEXT, (GLuint res, GLuint src, GLuint num), (res, src, num))
GEN_THUNKS(glFeedbackBuffer, (GLsizei size, GLenum type, GLfloat * buffer), (size, type, buffer))
GEN_THUNKS(glFeedbackBufferxOES, (GLsizei n, GLenum type, const GLfixed * buffer), (n, type, buffer))
GEN_THUNKS_RET(GLsync, glFenceSync, (GLenum condition, GLbitfield flags), (condition, flags))
GEN_THUNKS_RET(GLsync, glFenceSyncAPPLE, (GLenum condition, GLbitfield flags), (condition, flags))
GEN_THUNKS(glFinalCombinerInputNV, (GLenum variable, GLenum input, GLenum mapping, GLenum componentUsage), (variable, input, mapping, componentUsage))
GEN_THUNKS(glFinish, (void), ())
GEN_THUNKS_RET(GLint, glFinishAsyncSGIX, (GLuint * markerp), (markerp))
GEN_THUNKS(glFinishFenceAPPLE, (GLuint fence), (fence))
GEN_THUNKS(glFinishFenceNV, (GLuint fence), (fence))
GEN_THUNKS(glFinishObjectAPPLE, (GLenum object, GLint name), (object, name))
GEN_THUNKS(glFinishTextureSUNX, (void), ())
GEN_THUNKS(glFlush, (void), ())
GEN_THUNKS(glFlushMappedBufferRange, (GLenum target, GLintptr offset, GLsizeiptr length), (target, offset, length))
GEN_THUNKS(glFlushMappedBufferRangeAPPLE, (GLenum target, GLintptr offset, GLsizeiptr size), (target, offset, size))
GEN_THUNKS(glFlushMappedBufferRangeEXT, (GLenum target, GLintptr offset, GLsizeiptr length), (target, offset, length))
GEN_THUNKS(glFlushMappedNamedBufferRangeEXT, (GLuint buffer, GLintptr offset, GLsizeiptr length), (buffer, offset, length))
GEN_THUNKS(glFlushPixelDataRangeNV, (GLenum target), (target))
GEN_THUNKS(glFlushRasterSGIX, (void), ())
GEN_THUNKS(glFlushStaticDataIBM, (GLenum target), (target))
GEN_THUNKS(glFlushVertexArrayRangeAPPLE, (GLsizei length, void * pointer), (length, pointer))
GEN_THUNKS(glFlushVertexArrayRangeNV, (void), ())
GEN_THUNKS(glFogCoordFormatNV, (GLenum type, GLsizei stride), (type, stride))
GEN_THUNKS(glFogCoordPointer, (GLenum type, GLsizei stride, const void * pointer), (type, stride, pointer))
GEN_THUNKS(glFogCoordPointerEXT, (GLenum type, GLsizei stride, const void * pointer), (type, stride, pointer))
GEN_THUNKS(glFogCoordPointerListIBM, (GLenum type, GLint stride, const void ** pointer, GLint ptrstride), (type, stride, pointer, ptrstride))
GEN_THUNKS(glFogCoordd, (GLdouble coord), (coord))
GEN_THUNKS(glFogCoorddEXT, (GLdouble coord), (coord))
GEN_THUNKS(glFogCoorddv, (const GLdouble * coord), (coord))
GEN_THUNKS(glFogCoorddvEXT, (const GLdouble * coord), (coord))
GEN_THUNKS(glFogCoordf, (GLfloat coord), (coord))
GEN_THUNKS(glFogCoordfEXT, (GLfloat coord), (coord))
GEN_THUNKS(glFogCoordfv, (const GLfloat * coord), (coord))
GEN_THUNKS(glFogCoordfvEXT, (const GLfloat * coord), (coord))
GEN_THUNKS(glFogCoordhNV, (GLhalfNV fog), (fog))
GEN_THUNKS(glFogCoordhvNV, (const GLhalfNV * fog), (fog))
GEN_THUNKS(glFogFuncSGIS, (GLsizei n, const GLfloat * points), (n, points))
GEN_THUNKS(glFogf, (GLenum pname, GLfloat param), (pname, param))
GEN_THUNKS(glFogfv, (GLenum pname, const GLfloat * params), (pname, params))
GEN_THUNKS(glFogi, (GLenum pname, GLint param), (pname, param))
GEN_THUNKS(glFogiv, (GLenum pname, const GLint * params), (pname, params))
GEN_THUNKS(glFogx, (GLenum pname, GLfixed param), (pname, param))
GEN_THUNKS(glFogxOES, (GLenum pname, GLfixed param), (pname, param))
GEN_THUNKS(glFogxv, (GLenum pname, const GLfixed * param), (pname, param))
GEN_THUNKS(glFogxvOES, (GLenum pname, const GLfixed * param), (pname, param))
GEN_THUNKS(glFragmentColorMaterialSGIX, (GLenum face, GLenum mode), (face, mode))
GEN_THUNKS(glFragmentLightModelfSGIX, (GLenum pname, GLfloat param), (pname, param))
GEN_THUNKS(glFragmentLightModelfvSGIX, (GLenum pname, const GLfloat * params), (pname, params))
GEN_THUNKS(glFragmentLightModeliSGIX, (GLenum pname, GLint param), (pname, param))
GEN_THUNKS(glFragmentLightModelivSGIX, (GLenum pname, const GLint * params), (pname, params))
GEN_THUNKS(glFragmentLightfSGIX, (GLenum light, GLenum pname, GLfloat param), (light, pname, param))
GEN_THUNKS(glFragmentLightfvSGIX, (GLenum light, GLenum pname, const GLfloat * params), (light, pname, params))
GEN_THUNKS(glFragmentLightiSGIX, (GLenum light, GLenum pname, GLint param), (light, pname, param))
GEN_THUNKS(glFragmentLightivSGIX, (GLenum light, GLenum pname, const GLint * params), (light, pname, params))
GEN_THUNKS(glFragmentMaterialfSGIX, (GLenum face, GLenum pname, GLfloat param), (face, pname, param))
GEN_THUNKS(glFragmentMaterialfvSGIX, (GLenum face, GLenum pname, const GLfloat * params), (face, pname, params))
GEN_THUNKS(glFragmentMaterialiSGIX, (GLenum face, GLenum pname, GLint param), (face, pname, param))
GEN_THUNKS(glFragmentMaterialivSGIX, (GLenum face, GLenum pname, const GLint * params), (face, pname, params))
GEN_THUNKS(glFrameTerminatorGREMEDY, (void), ())
GEN_THUNKS(glFrameZoomSGIX, (GLint factor), (factor))
GEN_THUNKS(glFramebufferDrawBufferEXT, (GLuint framebuffer, GLenum mode), (framebuffer, mode))
GEN_THUNKS(glFramebufferDrawBuffersEXT, (GLuint framebuffer, GLsizei n, const GLenum * bufs), (framebuffer, n, bufs))
GEN_THUNKS(glFramebufferParameteri, (GLenum target, GLenum pname, GLint param), (target, pname, param))
GEN_THUNKS(glFramebufferReadBufferEXT, (GLuint framebuffer, GLenum mode), (framebuffer, mode))
GEN_THUNKS(glFramebufferRenderbuffer, (GLenum target, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer), (target, attachment, renderbuffertarget, renderbuffer))
GEN_THUNKS(glFramebufferRenderbufferEXT, (GLenum target, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer), (target, attachment, renderbuffertarget, renderbuffer))
GEN_THUNKS(glFramebufferRenderbufferOES, (GLenum target, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer), (target, attachment, renderbuffertarget, renderbuffer))
GEN_THUNKS(glFramebufferTexture, (GLenum target, GLenum attachment, GLuint texture, GLint level), (target, attachment, texture, level))
GEN_THUNKS(glFramebufferTexture1D, (GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level), (target, attachment, textarget, texture, level))
GEN_THUNKS(glFramebufferTexture1DEXT, (GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level), (target, attachment, textarget, texture, level))
GEN_THUNKS(glFramebufferTexture2D, (GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level), (target, attachment, textarget, texture, level))
GEN_THUNKS(glFramebufferTexture2DEXT, (GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level), (target, attachment, textarget, texture, level))
GEN_THUNKS(glFramebufferTexture2DMultisampleEXT, (GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLsizei samples), (target, attachment, textarget, texture, level, samples))
GEN_THUNKS(glFramebufferTexture2DMultisampleIMG, (GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLsizei samples), (target, attachment, textarget, texture, level, samples))
GEN_THUNKS(glFramebufferTexture2DOES, (GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level), (target, attachment, textarget, texture, level))
GEN_THUNKS(glFramebufferTexture3D, (GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLint zoffset), (target, attachment, textarget, texture, level, zoffset))
GEN_THUNKS(glFramebufferTexture3DEXT, (GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLint zoffset), (target, attachment, textarget, texture, level, zoffset))
GEN_THUNKS(glFramebufferTexture3DOES, (GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLint zoffset), (target, attachment, textarget, texture, level, zoffset))
GEN_THUNKS(glFramebufferTextureARB, (GLenum target, GLenum attachment, GLuint texture, GLint level), (target, attachment, texture, level))
GEN_THUNKS(glFramebufferTextureEXT, (GLenum target, GLenum attachment, GLuint texture, GLint level), (target, attachment, texture, level))
GEN_THUNKS(glFramebufferTextureFaceARB, (GLenum target, GLenum attachment, GLuint texture, GLint level, GLenum face), (target, attachment, texture, level, face))
GEN_THUNKS(glFramebufferTextureFaceEXT, (GLenum target, GLenum attachment, GLuint texture, GLint level, GLenum face), (target, attachment, texture, level, face))
GEN_THUNKS(glFramebufferTextureLayer, (GLenum target, GLenum attachment, GLuint texture, GLint level, GLint layer), (target, attachment, texture, level, layer))
GEN_THUNKS(glFramebufferTextureLayerARB, (GLenum target, GLenum attachment, GLuint texture, GLint level, GLint layer), (target, attachment, texture, level, layer))
GEN_THUNKS(glFramebufferTextureLayerEXT, (GLenum target, GLenum attachment, GLuint texture, GLint level, GLint layer), (target, attachment, texture, level, layer))
GEN_THUNKS(glFreeObjectBufferATI, (GLuint buffer), (buffer))
GEN_THUNKS(glFrontFace, (GLenum mode), (mode))
GEN_THUNKS(glFrustum, (GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar), (left, right, bottom, top, zNear, zFar))
GEN_THUNKS(glFrustumf, (GLfloat l, GLfloat r, GLfloat b, GLfloat t, GLfloat n, GLfloat f), (l, r, b, t, n, f))
GEN_THUNKS(glFrustumfOES, (GLfloat l, GLfloat r, GLfloat b, GLfloat t, GLfloat n, GLfloat f), (l, r, b, t, n, f))
GEN_THUNKS(glFrustumx, (GLfixed l, GLfixed r, GLfixed b, GLfixed t, GLfixed n, GLfixed f), (l, r, b, t, n, f))
GEN_THUNKS(glFrustumxOES, (GLfixed l, GLfixed r, GLfixed b, GLfixed t, GLfixed n, GLfixed f), (l, r, b, t, n, f))
GEN_THUNKS_RET(GLuint, glGenAsyncMarkersSGIX, (GLsizei range), (range))
GEN_THUNKS(glGenBuffers, (GLsizei n, GLuint * buffers), (n, buffers))
GEN_THUNKS(glGenBuffersARB, (GLsizei n, GLuint * buffers), (n, buffers))
GEN_THUNKS(glGenFencesAPPLE, (GLsizei n, GLuint * fences), (n, fences))
GEN_THUNKS(glGenFencesNV, (GLsizei n, GLuint * fences), (n, fences))
GEN_THUNKS_RET(GLuint, glGenFragmentShadersATI, (GLuint range), (range))
GEN_THUNKS(glGenFramebuffers, (GLsizei n, GLuint * framebuffers), (n, framebuffers))
GEN_THUNKS(glGenFramebuffersEXT, (GLsizei n, GLuint * framebuffers), (n, framebuffers))
GEN_THUNKS(glGenFramebuffersOES, (GLsizei n, GLuint * framebuffers), (n, framebuffers))
GEN_THUNKS_RET(GLuint, glGenLists, (GLsizei range), (range))
GEN_THUNKS(glGenNamesAMD, (GLenum identifier, GLuint num, GLuint * names), (identifier, num, names))
GEN_THUNKS(glGenOcclusionQueriesNV, (GLsizei n, GLuint * ids), (n, ids))
GEN_THUNKS_RET(GLuint, glGenPathsNV, (GLsizei range), (range))
GEN_THUNKS(glGenPerfMonitorsAMD, (GLsizei n, GLuint * monitors), (n, monitors))
GEN_THUNKS(glGenProgramPipelines, (GLsizei n, GLuint * pipelines), (n, pipelines))
GEN_THUNKS(glGenProgramPipelinesEXT, (GLsizei n, GLuint * pipelines), (n, pipelines))
GEN_THUNKS(glGenProgramsARB, (GLsizei n, GLuint * programs), (n, programs))
GEN_THUNKS(glGenProgramsNV, (GLsizei n, GLuint * programs), (n, programs))
GEN_THUNKS(glGenQueries, (GLsizei n, GLuint * ids), (n, ids))
GEN_THUNKS(glGenQueriesARB, (GLsizei n, GLuint * ids), (n, ids))
GEN_THUNKS(glGenQueriesEXT, (GLsizei n, GLuint * ids), (n, ids))
GEN_THUNKS(glGenRenderbuffers, (GLsizei n, GLuint * renderbuffers), (n, renderbuffers))
GEN_THUNKS(glGenRenderbuffersEXT, (GLsizei n, GLuint * renderbuffers), (n, renderbuffers))
GEN_THUNKS(glGenRenderbuffersOES, (GLsizei n, GLuint * renderbuffers), (n, renderbuffers))
GEN_THUNKS(glGenSamplers, (GLsizei count, GLuint * samplers), (count, samplers))
GEN_THUNKS_RET(GLuint, glGenSymbolsEXT, (GLenum datatype, GLenum storagetype, GLenum range, GLuint components), (datatype, storagetype, range, components))
GEN_THUNKS(glGenTextures, (GLsizei n, GLuint * textures), (n, textures))
GEN_THUNKS(glGenTexturesEXT, (GLsizei n, GLuint * textures), (n, textures))
GEN_THUNKS(glGenTransformFeedbacks, (GLsizei n, GLuint * ids), (n, ids))
GEN_THUNKS(glGenTransformFeedbacksNV, (GLsizei n, GLuint * ids), (n, ids))
GEN_THUNKS(glGenVertexArrays, (GLsizei n, GLuint * arrays), (n, arrays))
GEN_THUNKS(glGenVertexArraysAPPLE, (GLsizei n, GLuint * arrays), (n, arrays))
GEN_THUNKS(glGenVertexArraysOES, (GLsizei n, GLuint * arrays), (n, arrays))
GEN_THUNKS_RET(GLuint, glGenVertexShadersEXT, (GLuint range), (range))
GEN_THUNKS(glGenerateMipmap, (GLenum target), (target))
GEN_THUNKS(glGenerateMipmapEXT, (GLenum target), (target))
GEN_THUNKS(glGenerateMipmapOES, (GLenum target), (target))
GEN_THUNKS(glGenerateMultiTexMipmapEXT, (GLenum texunit, GLenum target), (texunit, target))
GEN_THUNKS(glGenerateTextureMipmapEXT, (GLuint texture, GLenum target), (texture, target))
GEN_THUNKS(glGetActiveAtomicCounterBufferiv, (GLuint program, GLuint bufferIndex, GLenum pname, GLint * params), (program, bufferIndex, pname, params))
GEN_THUNKS(glGetActiveAttrib, (GLuint program, GLuint index, GLsizei bufSize, GLsizei * length, GLint * size, GLenum * type, GLchar * name), (program, index, bufSize, length, size, type, name))
GEN_THUNKS(glGetActiveAttribARB, (GLhandleARB programObj, GLuint index, GLsizei maxLength, GLsizei * length, GLint * size, GLenum * type, GLcharARB * name), ((uintptr_t)programObj, index, maxLength, length, size, type, name))
GEN_THUNKS(glGetActiveSubroutineName, (GLuint program, GLenum shadertype, GLuint index, GLsizei bufsize, GLsizei * length, GLchar * name), (program, shadertype, index, bufsize, length, name))
GEN_THUNKS(glGetActiveSubroutineUniformName, (GLuint program, GLenum shadertype, GLuint index, GLsizei bufsize, GLsizei * length, GLchar * name), (program, shadertype, index, bufsize, length, name))
GEN_THUNKS(glGetActiveSubroutineUniformiv, (GLuint program, GLenum shadertype, GLuint index, GLenum pname, GLint * values), (program, shadertype, index, pname, values))
GEN_THUNKS(glGetActiveUniform, (GLuint program, GLuint index, GLsizei bufSize, GLsizei * length, GLint * size, GLenum * type, GLchar * name), (program, index, bufSize, length, size, type, name))
GEN_THUNKS(glGetActiveUniformARB, (GLhandleARB programObj, GLuint index, GLsizei maxLength, GLsizei * length, GLint * size, GLenum * type, GLcharARB * name), ((uintptr_t)programObj, index, maxLength, length, size, type, name))
GEN_THUNKS(glGetActiveUniformBlockName, (GLuint program, GLuint uniformBlockIndex, GLsizei bufSize, GLsizei * length, GLchar * uniformBlockName), (program, uniformBlockIndex, bufSize, length, uniformBlockName))
GEN_THUNKS(glGetActiveUniformBlockiv, (GLuint program, GLuint uniformBlockIndex, GLenum pname, GLint * params), (program, uniformBlockIndex, pname, params))
GEN_THUNKS(glGetActiveUniformName, (GLuint program, GLuint uniformIndex, GLsizei bufSize, GLsizei * length, GLchar * uniformName), (program, uniformIndex, bufSize, length, uniformName))
GEN_THUNKS(glGetActiveUniformsiv, (GLuint program, GLsizei uniformCount, const GLuint * uniformIndices, GLenum pname, GLint * params), (program, uniformCount, uniformIndices, pname, params))
GEN_THUNKS(glGetActiveVaryingNV, (GLuint program, GLuint index, GLsizei bufSize, GLsizei * length, GLsizei * size, GLenum * type, GLchar * name), (program, index, bufSize, length, size, type, name))
GEN_THUNKS(glGetArrayObjectfvATI, (GLenum array, GLenum pname, GLfloat * params), (array, pname, params))
GEN_THUNKS(glGetArrayObjectivATI, (GLenum array, GLenum pname, GLint * params), (array, pname, params))
GEN_THUNKS(glGetAttachedObjectsARB, (GLhandleARB containerObj, GLsizei maxCount, GLsizei * count, GLhandleARB * obj), ((uintptr_t)containerObj, maxCount, count, obj))
GEN_THUNKS(glGetAttachedShaders, (GLuint program, GLsizei maxCount, GLsizei * count, GLuint * shaders), (program, maxCount, count, shaders))
GEN_THUNKS_RET(GLint, glGetAttribLocation, (GLuint program, const GLchar * name), (program, name))
GEN_THUNKS_RET(GLint, glGetAttribLocationARB, (GLhandleARB programObj, const GLcharARB * name), ((uintptr_t)programObj, name))
GEN_THUNKS(glGetBooleanIndexedvEXT, (GLenum target, GLuint index, GLboolean * data), (target, index, data))
GEN_THUNKS(glGetBooleani_v, (GLenum target, GLuint index, GLboolean * data), (target, index, data))
GEN_THUNKS(glGetBooleanv, (GLenum pname, GLboolean * data), (pname, data))
GEN_THUNKS(glGetBufferParameteri64v, (GLenum target, GLenum pname, GLint64 * params), (target, pname, params))
GEN_THUNKS(glGetBufferParameteriv, (GLenum target, GLenum pname, GLint * params), (target, pname, params))
GEN_THUNKS(glGetBufferParameterivARB, (GLenum target, GLenum pname, GLint * params), (target, pname, params))
GEN_THUNKS(glGetBufferParameterui64vNV, (GLenum target, GLenum pname, GLuint64EXT * params), (target, pname, params))
GEN_THUNKS(glGetBufferPointerv, (GLenum target, GLenum pname, void ** params), (target, pname, params))
GEN_THUNKS(glGetBufferPointervARB, (GLenum target, GLenum pname, void ** params), (target, pname, params))
GEN_THUNKS(glGetBufferPointervOES, (GLenum target, GLenum pname, void ** params), (target, pname, params))
GEN_THUNKS(glGetBufferSubData, (GLenum target, GLintptr offset, GLsizeiptr size, void * data), (target, offset, size, data))
GEN_THUNKS(glGetBufferSubDataARB, (GLenum target, GLintptrARB offset, GLsizeiptrARB size, void * data), (target, offset, size, data))
GEN_THUNKS(glGetClipPlane, (GLenum plane, GLdouble * equation), (plane, equation))
GEN_THUNKS(glGetClipPlanef, (GLenum plane, GLfloat * equation), (plane, equation))
GEN_THUNKS(glGetClipPlanefOES, (GLenum plane, GLfloat * equation), (plane, equation))
GEN_THUNKS(glGetClipPlanex, (GLenum plane, GLfixed * equation), (plane, equation))
GEN_THUNKS(glGetClipPlanexOES, (GLenum plane, GLfixed * equation), (plane, equation))
GEN_THUNKS(glGetColorTable, (GLenum target, GLenum format, GLenum type, void * table), (target, format, type, table))
GEN_THUNKS(glGetColorTableEXT, (GLenum target, GLenum format, GLenum type, void * data), (target, format, type, data))
GEN_THUNKS(glGetColorTableParameterfv, (GLenum target, GLenum pname, GLfloat * params), (target, pname, params))
GEN_THUNKS(glGetColorTableParameterfvEXT, (GLenum target, GLenum pname, GLfloat * params), (target, pname, params))
GEN_THUNKS(glGetColorTableParameterfvSGI, (GLenum target, GLenum pname, GLfloat * params), (target, pname, params))
GEN_THUNKS(glGetColorTableParameteriv, (GLenum target, GLenum pname, GLint * params), (target, pname, params))
GEN_THUNKS(glGetColorTableParameterivEXT, (GLenum target, GLenum pname, GLint * params), (target, pname, params))
GEN_THUNKS(glGetColorTableParameterivSGI, (GLenum target, GLenum pname, GLint * params), (target, pname, params))
GEN_THUNKS(glGetColorTableSGI, (GLenum target, GLenum format, GLenum type, void * table), (target, format, type, table))
GEN_THUNKS(glGetCombinerInputParameterfvNV, (GLenum stage, GLenum portion, GLenum variable, GLenum pname, GLfloat * params), (stage, portion, variable, pname, params))
GEN_THUNKS(glGetCombinerInputParameterivNV, (GLenum stage, GLenum portion, GLenum variable, GLenum pname, GLint * params), (stage, portion, variable, pname, params))
GEN_THUNKS(glGetCombinerOutputParameterfvNV, (GLenum stage, GLenum portion, GLenum pname, GLfloat * params), (stage, portion, pname, params))
GEN_THUNKS(glGetCombinerOutputParameterivNV, (GLenum stage, GLenum portion, GLenum pname, GLint * params), (stage, portion, pname, params))
GEN_THUNKS(glGetCombinerStageParameterfvNV, (GLenum stage, GLenum pname, GLfloat * params), (stage, pname, params))
GEN_THUNKS(glGetCompressedMultiTexImageEXT, (GLenum texunit, GLenum target, GLint lod, void * img), (texunit, target, lod, img))
GEN_THUNKS(glGetCompressedTexImage, (GLenum target, GLint level, void * img), (target, level, img))
GEN_THUNKS(glGetCompressedTexImageARB, (GLenum target, GLint level, void * img), (target, level, img))
GEN_THUNKS(glGetCompressedTextureImageEXT, (GLuint texture, GLenum target, GLint lod, void * img), (texture, target, lod, img))
GEN_THUNKS(glGetConvolutionFilter, (GLenum target, GLenum format, GLenum type, void * image), (target, format, type, image))
GEN_THUNKS(glGetConvolutionFilterEXT, (GLenum target, GLenum format, GLenum type, void * image), (target, format, type, image))
GEN_THUNKS(glGetConvolutionParameterfv, (GLenum target, GLenum pname, GLfloat * params), (target, pname, params))
GEN_THUNKS(glGetConvolutionParameterfvEXT, (GLenum target, GLenum pname, GLfloat * params), (target, pname, params))
GEN_THUNKS(glGetConvolutionParameteriv, (GLenum target, GLenum pname, GLint * params), (target, pname, params))
GEN_THUNKS(glGetConvolutionParameterivEXT, (GLenum target, GLenum pname, GLint * params), (target, pname, params))
GEN_THUNKS(glGetConvolutionParameterxvOES, (GLenum target, GLenum pname, GLfixed * params), (target, pname, params))
GEN_THUNKS_RET(GLuint, glGetDebugMessageLog, (GLuint count, GLsizei bufSize, GLenum * sources, GLenum * types, GLuint * ids, GLenum * severities, GLsizei * lengths, GLchar * messageLog), (count, bufSize, sources, types, ids, severities, lengths, messageLog))
GEN_THUNKS_RET(GLuint, glGetDebugMessageLogAMD, (GLuint count, GLsizei bufsize, GLenum * categories, GLuint * severities, GLuint * ids, GLsizei * lengths, GLchar * message), (count, bufsize, categories, severities, ids, lengths, message))
GEN_THUNKS_RET(GLuint, glGetDebugMessageLogARB, (GLuint count, GLsizei bufSize, GLenum * sources, GLenum * types, GLuint * ids, GLenum * severities, GLsizei * lengths, GLchar * messageLog), (count, bufSize, sources, types, ids, severities, lengths, messageLog))
GEN_THUNKS_RET(GLuint, glGetDebugMessageLogKHR, (GLuint count, GLsizei bufSize, GLenum * sources, GLenum * types, GLuint * ids, GLenum * severities, GLsizei * lengths, GLchar * messageLog), (count, bufSize, sources, types, ids, severities, lengths, messageLog))
GEN_THUNKS(glGetDetailTexFuncSGIS, (GLenum target, GLfloat * points), (target, points))
GEN_THUNKS(glGetDoubleIndexedvEXT, (GLenum target, GLuint index, GLdouble * data), (target, index, data))
GEN_THUNKS(glGetDoublei_v, (GLenum target, GLuint index, GLdouble * data), (target, index, data))
GEN_THUNKS(glGetDoublei_vEXT, (GLenum pname, GLuint index, GLdouble * params), (pname, index, params))
GEN_THUNKS(glGetDoublev, (GLenum pname, GLdouble * data), (pname, data))
GEN_THUNKS(glGetDriverControlStringQCOM, (GLuint driverControl, GLsizei bufSize, GLsizei * length, GLchar * driverControlString), (driverControl, bufSize, length, driverControlString))
GEN_THUNKS(glGetDriverControlsQCOM, (GLint * num, GLsizei size, GLuint * driverControls), (num, size, driverControls))
GEN_THUNKS_RET(GLenum, glGetError, (void), ())
GEN_THUNKS(glGetFenceivNV, (GLuint fence, GLenum pname, GLint * params), (fence, pname, params))
GEN_THUNKS(glGetFinalCombinerInputParameterfvNV, (GLenum variable, GLenum pname, GLfloat * params), (variable, pname, params))
GEN_THUNKS(glGetFinalCombinerInputParameterivNV, (GLenum variable, GLenum pname, GLint * params), (variable, pname, params))
GEN_THUNKS(glGetFirstPerfQueryIdINTEL, (GLuint * queryId), (queryId))
GEN_THUNKS(glGetFixedv, (GLenum pname, GLfixed * params), (pname, params))
GEN_THUNKS(glGetFixedvOES, (GLenum pname, GLfixed * params), (pname, params))
GEN_THUNKS(glGetFloatIndexedvEXT, (GLenum target, GLuint index, GLfloat * data), (target, index, data))
GEN_THUNKS(glGetFloati_v, (GLenum target, GLuint index, GLfloat * data), (target, index, data))
GEN_THUNKS(glGetFloati_vEXT, (GLenum pname, GLuint index, GLfloat * params), (pname, index, params))
GEN_THUNKS(glGetFloatv, (GLenum pname, GLfloat * data), (pname, data))
GEN_THUNKS(glGetFogFuncSGIS, (GLfloat * points), (points))
GEN_THUNKS_RET(GLint, glGetFragDataIndex, (GLuint program, const GLchar * name), (program, name))
GEN_THUNKS_RET(GLint, glGetFragDataLocation, (GLuint program, const GLchar * name), (program, name))
GEN_THUNKS_RET(GLint, glGetFragDataLocationEXT, (GLuint program, const GLchar * name), (program, name))
GEN_THUNKS(glGetFragmentLightfvSGIX, (GLenum light, GLenum pname, GLfloat * params), (light, pname, params))
GEN_THUNKS(glGetFragmentLightivSGIX, (GLenum light, GLenum pname, GLint * params), (light, pname, params))
GEN_THUNKS(glGetFragmentMaterialfvSGIX, (GLenum face, GLenum pname, GLfloat * params), (face, pname, params))
GEN_THUNKS(glGetFragmentMaterialivSGIX, (GLenum face, GLenum pname, GLint * params), (face, pname, params))
GEN_THUNKS(glGetFramebufferAttachmentParameteriv, (GLenum target, GLenum attachment, GLenum pname, GLint * params), (target, attachment, pname, params))
GEN_THUNKS(glGetFramebufferAttachmentParameterivEXT, (GLenum target, GLenum attachment, GLenum pname, GLint * params), (target, attachment, pname, params))
GEN_THUNKS(glGetFramebufferAttachmentParameterivOES, (GLenum target, GLenum attachment, GLenum pname, GLint * params), (target, attachment, pname, params))
GEN_THUNKS(glGetFramebufferParameteriv, (GLenum target, GLenum pname, GLint * params), (target, pname, params))
GEN_THUNKS(glGetFramebufferParameterivEXT, (GLuint framebuffer, GLenum pname, GLint * params), (framebuffer, pname, params))
GEN_THUNKS_RET(GLenum, glGetGraphicsResetStatusARB, (void), ())
GEN_THUNKS_RET(GLenum, glGetGraphicsResetStatusEXT, (void), ())
GEN_THUNKS_RET(GLhandleARB, glGetHandleARB, (GLenum pname), (pname))
GEN_THUNKS(glGetHistogram, (GLenum target, GLboolean reset, GLenum format, GLenum type, void * values), (target, reset, format, type, values))
GEN_THUNKS(glGetHistogramEXT, (GLenum target, GLboolean reset, GLenum format, GLenum type, void * values), (target, reset, format, type, values))
GEN_THUNKS(glGetHistogramParameterfv, (GLenum target, GLenum pname, GLfloat * params), (target, pname, params))
GEN_THUNKS(glGetHistogramParameterfvEXT, (GLenum target, GLenum pname, GLfloat * params), (target, pname, params))
GEN_THUNKS(glGetHistogramParameteriv, (GLenum target, GLenum pname, GLint * params), (target, pname, params))
GEN_THUNKS(glGetHistogramParameterivEXT, (GLenum target, GLenum pname, GLint * params), (target, pname, params))
GEN_THUNKS(glGetHistogramParameterxvOES, (GLenum target, GLenum pname, GLfixed * params), (target, pname, params))
GEN_THUNKS_RET(GLuint64, glGetImageHandleARB, (GLuint texture, GLint level, GLboolean layered, GLint layer, GLenum format), (texture, level, layered, layer, format))
GEN_THUNKS_RET(GLuint64, glGetImageHandleNV, (GLuint texture, GLint level, GLboolean layered, GLint layer, GLenum format), (texture, level, layered, layer, format))
GEN_THUNKS(glGetImageTransformParameterfvHP, (GLenum target, GLenum pname, GLfloat * params), (target, pname, params))
GEN_THUNKS(glGetImageTransformParameterivHP, (GLenum target, GLenum pname, GLint * params), (target, pname, params))
GEN_THUNKS(glGetInfoLogARB, (GLhandleARB obj, GLsizei maxLength, GLsizei * length, GLcharARB * infoLog), ((uintptr_t)obj, maxLength, length, infoLog))
GEN_THUNKS_RET(GLint, glGetInstrumentsSGIX, (void), ())
GEN_THUNKS(glGetInteger64i_v, (GLenum target, GLuint index, GLint64 * data), (target, index, data))
GEN_THUNKS(glGetInteger64v, (GLenum pname, GLint64 * data), (pname, data))
GEN_THUNKS(glGetInteger64vAPPLE, (GLenum pname, GLint64 * params), (pname, params))
GEN_THUNKS(glGetIntegerIndexedvEXT, (GLenum target, GLuint index, GLint * data), (target, index, data))
GEN_THUNKS(glGetIntegeri_v, (GLenum target, GLuint index, GLint * data), (target, index, data))
GEN_THUNKS(glGetIntegeri_vEXT, (GLenum target, GLuint index, GLint * data), (target, index, data))
GEN_THUNKS(glGetIntegerui64i_vNV, (GLenum value, GLuint index, GLuint64EXT * result), (value, index, result))
GEN_THUNKS(glGetIntegerui64vNV, (GLenum value, GLuint64EXT * result), (value, result))
GEN_THUNKS(glGetIntegerv, (GLenum pname, GLint * data), (pname, data))
GEN_THUNKS(glGetInternalformati64v, (GLenum target, GLenum internalformat, GLenum pname, GLsizei bufSize, GLint64 * params), (target, internalformat, pname, bufSize, params))
GEN_THUNKS(glGetInternalformativ, (GLenum target, GLenum internalformat, GLenum pname, GLsizei bufSize, GLint * params), (target, internalformat, pname, bufSize, params))
GEN_THUNKS(glGetInvariantBooleanvEXT, (GLuint id, GLenum value, GLboolean * data), (id, value, data))
GEN_THUNKS(glGetInvariantFloatvEXT, (GLuint id, GLenum value, GLfloat * data), (id, value, data))
GEN_THUNKS(glGetInvariantIntegervEXT, (GLuint id, GLenum value, GLint * data), (id, value, data))
GEN_THUNKS(glGetLightfv, (GLenum light, GLenum pname, GLfloat * params), (light, pname, params))
GEN_THUNKS(glGetLightiv, (GLenum light, GLenum pname, GLint * params), (light, pname, params))
GEN_THUNKS(glGetLightxOES, (GLenum light, GLenum pname, GLfixed * params), (light, pname, params))
GEN_THUNKS(glGetLightxv, (GLenum light, GLenum pname, GLfixed * params), (light, pname, params))
GEN_THUNKS(glGetLightxvOES, (GLenum light, GLenum pname, GLfixed * params), (light, pname, params))
GEN_THUNKS(glGetListParameterfvSGIX, (GLuint list, GLenum pname, GLfloat * params), (list, pname, params))
GEN_THUNKS(glGetListParameterivSGIX, (GLuint list, GLenum pname, GLint * params), (list, pname, params))
GEN_THUNKS(glGetLocalConstantBooleanvEXT, (GLuint id, GLenum value, GLboolean * data), (id, value, data))
GEN_THUNKS(glGetLocalConstantFloatvEXT, (GLuint id, GLenum value, GLfloat * data), (id, value, data))
GEN_THUNKS(glGetLocalConstantIntegervEXT, (GLuint id, GLenum value, GLint * data), (id, value, data))
GEN_THUNKS(glGetMapAttribParameterfvNV, (GLenum target, GLuint index, GLenum pname, GLfloat * params), (target, index, pname, params))
GEN_THUNKS(glGetMapAttribParameterivNV, (GLenum target, GLuint index, GLenum pname, GLint * params), (target, index, pname, params))
GEN_THUNKS(glGetMapControlPointsNV, (GLenum target, GLuint index, GLenum type, GLsizei ustride, GLsizei vstride, GLboolean packed, void * points), (target, index, type, ustride, vstride, packed, points))
GEN_THUNKS(glGetMapParameterfvNV, (GLenum target, GLenum pname, GLfloat * params), (target, pname, params))
GEN_THUNKS(glGetMapParameterivNV, (GLenum target, GLenum pname, GLint * params), (target, pname, params))
GEN_THUNKS(glGetMapdv, (GLenum target, GLenum query, GLdouble * v), (target, query, v))
GEN_THUNKS(glGetMapfv, (GLenum target, GLenum query, GLfloat * v), (target, query, v))
GEN_THUNKS(glGetMapiv, (GLenum target, GLenum query, GLint * v), (target, query, v))
GEN_THUNKS(glGetMapxvOES, (GLenum target, GLenum query, GLfixed * v), (target, query, v))
GEN_THUNKS(glGetMaterialfv, (GLenum face, GLenum pname, GLfloat * params), (face, pname, params))
GEN_THUNKS(glGetMaterialiv, (GLenum face, GLenum pname, GLint * params), (face, pname, params))
GEN_THUNKS(glGetMaterialxOES, (GLenum face, GLenum pname, GLfixed param), (face, pname, param))
GEN_THUNKS(glGetMaterialxv, (GLenum face, GLenum pname, GLfixed * params), (face, pname, params))
GEN_THUNKS(glGetMaterialxvOES, (GLenum face, GLenum pname, GLfixed * params), (face, pname, params))
GEN_THUNKS(glGetMinmax, (GLenum target, GLboolean reset, GLenum format, GLenum type, void * values), (target, reset, format, type, values))
GEN_THUNKS(glGetMinmaxEXT, (GLenum target, GLboolean reset, GLenum format, GLenum type, void * values), (target, reset, format, type, values))
GEN_THUNKS(glGetMinmaxParameterfv, (GLenum target, GLenum pname, GLfloat * params), (target, pname, params))
GEN_THUNKS(glGetMinmaxParameterfvEXT, (GLenum target, GLenum pname, GLfloat * params), (target, pname, params))
GEN_THUNKS(glGetMinmaxParameteriv, (GLenum target, GLenum pname, GLint * params), (target, pname, params))
GEN_THUNKS(glGetMinmaxParameterivEXT, (GLenum target, GLenum pname, GLint * params), (target, pname, params))
GEN_THUNKS(glGetMultiTexEnvfvEXT, (GLenum texunit, GLenum target, GLenum pname, GLfloat * params), (texunit, target, pname, params))
GEN_THUNKS(glGetMultiTexEnvivEXT, (GLenum texunit, GLenum target, GLenum pname, GLint * params), (texunit, target, pname, params))
GEN_THUNKS(glGetMultiTexGendvEXT, (GLenum texunit, GLenum coord, GLenum pname, GLdouble * params), (texunit, coord, pname, params))
GEN_THUNKS(glGetMultiTexGenfvEXT, (GLenum texunit, GLenum coord, GLenum pname, GLfloat * params), (texunit, coord, pname, params))
GEN_THUNKS(glGetMultiTexGenivEXT, (GLenum texunit, GLenum coord, GLenum pname, GLint * params), (texunit, coord, pname, params))
GEN_THUNKS(glGetMultiTexImageEXT, (GLenum texunit, GLenum target, GLint level, GLenum format, GLenum type, void * pixels), (texunit, target, level, format, type, pixels))
GEN_THUNKS(glGetMultiTexLevelParameterfvEXT, (GLenum texunit, GLenum target, GLint level, GLenum pname, GLfloat * params), (texunit, target, level, pname, params))
GEN_THUNKS(glGetMultiTexLevelParameterivEXT, (GLenum texunit, GLenum target, GLint level, GLenum pname, GLint * params), (texunit, target, level, pname, params))
GEN_THUNKS(glGetMultiTexParameterIivEXT, (GLenum texunit, GLenum target, GLenum pname, GLint * params), (texunit, target, pname, params))
GEN_THUNKS(glGetMultiTexParameterIuivEXT, (GLenum texunit, GLenum target, GLenum pname, GLuint * params), (texunit, target, pname, params))
GEN_THUNKS(glGetMultiTexParameterfvEXT, (GLenum texunit, GLenum target, GLenum pname, GLfloat * params), (texunit, target, pname, params))
GEN_THUNKS(glGetMultiTexParameterivEXT, (GLenum texunit, GLenum target, GLenum pname, GLint * params), (texunit, target, pname, params))
GEN_THUNKS(glGetMultisamplefv, (GLenum pname, GLuint index, GLfloat * val), (pname, index, val))
GEN_THUNKS(glGetMultisamplefvNV, (GLenum pname, GLuint index, GLfloat * val), (pname, index, val))
GEN_THUNKS(glGetNamedBufferParameterivEXT, (GLuint buffer, GLenum pname, GLint * params), (buffer, pname, params))
GEN_THUNKS(glGetNamedBufferParameterui64vNV, (GLuint buffer, GLenum pname, GLuint64EXT * params), (buffer, pname, params))
GEN_THUNKS(glGetNamedBufferPointervEXT, (GLuint buffer, GLenum pname, void ** params), (buffer, pname, params))
GEN_THUNKS(glGetNamedBufferSubDataEXT, (GLuint buffer, GLintptr offset, GLsizeiptr size, void * data), (buffer, offset, size, data))
GEN_THUNKS(glGetNamedFramebufferAttachmentParameterivEXT, (GLuint framebuffer, GLenum attachment, GLenum pname, GLint * params), (framebuffer, attachment, pname, params))
GEN_THUNKS(glGetNamedFramebufferParameterivEXT, (GLuint framebuffer, GLenum pname, GLint * params), (framebuffer, pname, params))
GEN_THUNKS(glGetNamedProgramLocalParameterIivEXT, (GLuint program, GLenum target, GLuint index, GLint * params), (program, target, index, params))
GEN_THUNKS(glGetNamedProgramLocalParameterIuivEXT, (GLuint program, GLenum target, GLuint index, GLuint * params), (program, target, index, params))
GEN_THUNKS(glGetNamedProgramLocalParameterdvEXT, (GLuint program, GLenum target, GLuint index, GLdouble * params), (program, target, index, params))
GEN_THUNKS(glGetNamedProgramLocalParameterfvEXT, (GLuint program, GLenum target, GLuint index, GLfloat * params), (program, target, index, params))
GEN_THUNKS(glGetNamedProgramStringEXT, (GLuint program, GLenum target, GLenum pname, void * string), (program, target, pname, string))
GEN_THUNKS(glGetNamedProgramivEXT, (GLuint program, GLenum target, GLenum pname, GLint * params), (program, target, pname, params))
GEN_THUNKS(glGetNamedRenderbufferParameterivEXT, (GLuint renderbuffer, GLenum pname, GLint * params), (renderbuffer, pname, params))
GEN_THUNKS(glGetNamedStringARB, (GLint namelen, const GLchar * name, GLsizei bufSize, GLint * stringlen, GLchar * string), (namelen, name, bufSize, stringlen, string))
GEN_THUNKS(glGetNamedStringivARB, (GLint namelen, const GLchar * name, GLenum pname, GLint * params), (namelen, name, pname, params))
GEN_THUNKS(glGetNextPerfQueryIdINTEL, (GLuint queryId, GLuint * nextQueryId), (queryId, nextQueryId))
GEN_THUNKS(glGetObjectBufferfvATI, (GLuint buffer, GLenum pname, GLfloat * params), (buffer, pname, params))
GEN_THUNKS(glGetObjectBufferivATI, (GLuint buffer, GLenum pname, GLint * params), (buffer, pname, params))
GEN_THUNKS(glGetObjectLabel, (GLenum identifier, GLuint name, GLsizei bufSize, GLsizei * length, GLchar * label), (identifier, name, bufSize, length, label))
GEN_THUNKS(glGetObjectLabelEXT, (GLenum type, GLuint object, GLsizei bufSize, GLsizei * length, GLchar * label), (type, object, bufSize, length, label))
GEN_THUNKS(glGetObjectLabelKHR, (GLenum identifier, GLuint name, GLsizei bufSize, GLsizei * length, GLchar * label), (identifier, name, bufSize, length, label))
GEN_THUNKS(glGetObjectParameterfvARB, (GLhandleARB obj, GLenum pname, GLfloat * params), ((uintptr_t)obj, pname, params))
GEN_THUNKS(glGetObjectParameterivAPPLE, (GLenum objectType, GLuint name, GLenum pname, GLint * params), (objectType, name, pname, params))
GEN_THUNKS(glGetObjectParameterivARB, (GLhandleARB obj, GLenum pname, GLint * params), ((uintptr_t)obj, pname, params))
GEN_THUNKS(glGetObjectPtrLabel, (const void * ptr, GLsizei bufSize, GLsizei * length, GLchar * label), (ptr, bufSize, length, label))
GEN_THUNKS(glGetObjectPtrLabelKHR, (const void * ptr, GLsizei bufSize, GLsizei * length, GLchar * label), (ptr, bufSize, length, label))
GEN_THUNKS(glGetOcclusionQueryivNV, (GLuint id, GLenum pname, GLint * params), (id, pname, params))
GEN_THUNKS(glGetOcclusionQueryuivNV, (GLuint id, GLenum pname, GLuint * params), (id, pname, params))
GEN_THUNKS(glGetPathColorGenfvNV, (GLenum color, GLenum pname, GLfloat * value), (color, pname, value))
GEN_THUNKS(glGetPathColorGenivNV, (GLenum color, GLenum pname, GLint * value), (color, pname, value))
GEN_THUNKS(glGetPathCommandsNV, (GLuint path, GLubyte * commands), (path, commands))
GEN_THUNKS(glGetPathCoordsNV, (GLuint path, GLfloat * coords), (path, coords))
GEN_THUNKS(glGetPathDashArrayNV, (GLuint path, GLfloat * dashArray), (path, dashArray))
GEN_THUNKS_RET(GLfloat, glGetPathLengthNV, (GLuint path, GLsizei startSegment, GLsizei numSegments), (path, startSegment, numSegments))
GEN_THUNKS(glGetPathMetricRangeNV, (GLbitfield metricQueryMask, GLuint firstPathName, GLsizei numPaths, GLsizei stride, GLfloat * metrics), (metricQueryMask, firstPathName, numPaths, stride, metrics))
GEN_THUNKS(glGetPathMetricsNV, (GLbitfield metricQueryMask, GLsizei numPaths, GLenum pathNameType, const void * paths, GLuint pathBase, GLsizei stride, GLfloat * metrics), (metricQueryMask, numPaths, pathNameType, paths, pathBase, stride, metrics))
GEN_THUNKS(glGetPathParameterfvNV, (GLuint path, GLenum pname, GLfloat * value), (path, pname, value))
GEN_THUNKS(glGetPathParameterivNV, (GLuint path, GLenum pname, GLint * value), (path, pname, value))
GEN_THUNKS(glGetPathSpacingNV, (GLenum pathListMode, GLsizei numPaths, GLenum pathNameType, const void * paths, GLuint pathBase, GLfloat advanceScale, GLfloat kerningScale, GLenum transformType, GLfloat * returnedSpacing), (pathListMode, numPaths, pathNameType, paths, pathBase, advanceScale, kerningScale, transformType, returnedSpacing))
GEN_THUNKS(glGetPathTexGenfvNV, (GLenum texCoordSet, GLenum pname, GLfloat * value), (texCoordSet, pname, value))
GEN_THUNKS(glGetPathTexGenivNV, (GLenum texCoordSet, GLenum pname, GLint * value), (texCoordSet, pname, value))
GEN_THUNKS(glGetPerfCounterInfoINTEL, (GLuint queryId, GLuint counterId, GLuint counterNameLength, GLchar * counterName, GLuint counterDescLength, GLchar * counterDesc, GLuint * counterOffset, GLuint * counterDataSize, GLuint * counterTypeEnum, GLuint * counterDataTypeEnum, GLuint64 * rawCounterMaxValue), (queryId, counterId, counterNameLength, counterName, counterDescLength, counterDesc, counterOffset, counterDataSize, counterTypeEnum, counterDataTypeEnum, rawCounterMaxValue))
GEN_THUNKS(glGetPerfMonitorCounterDataAMD, (GLuint monitor, GLenum pname, GLsizei dataSize, GLuint * data, GLint * bytesWritten), (monitor, pname, dataSize, data, bytesWritten))
GEN_THUNKS(glGetPerfMonitorCounterInfoAMD, (GLuint group, GLuint counter, GLenum pname, void * data), (group, counter, pname, data))
GEN_THUNKS(glGetPerfMonitorCounterStringAMD, (GLuint group, GLuint counter, GLsizei bufSize, GLsizei * length, GLchar * counterString), (group, counter, bufSize, length, counterString))
GEN_THUNKS(glGetPerfMonitorCountersAMD, (GLuint group, GLint * numCounters, GLint * maxActiveCounters, GLsizei counterSize, GLuint * counters), (group, numCounters, maxActiveCounters, counterSize, counters))
GEN_THUNKS(glGetPerfMonitorGroupStringAMD, (GLuint group, GLsizei bufSize, GLsizei * length, GLchar * groupString), (group, bufSize, length, groupString))
GEN_THUNKS(glGetPerfMonitorGroupsAMD, (GLint * numGroups, GLsizei groupsSize, GLuint * groups), (numGroups, groupsSize, groups))
GEN_THUNKS(glGetPerfQueryDataINTEL, (GLuint queryHandle, GLuint flags, GLsizei dataSize, GLvoid * data, GLuint * bytesWritten), (queryHandle, flags, dataSize, data, bytesWritten))
GEN_THUNKS(glGetPerfQueryIdByNameINTEL, (GLchar * queryName, GLuint * queryId), (queryName, queryId))
GEN_THUNKS(glGetPerfQueryInfoINTEL, (GLuint queryId, GLuint queryNameLength, GLchar * queryName, GLuint * dataSize, GLuint * noCounters, GLuint * noInstances, GLuint * capsMask), (queryId, queryNameLength, queryName, dataSize, noCounters, noInstances, capsMask))
GEN_THUNKS(glGetPixelMapfv, (GLenum map, GLfloat * values), (map, values))
GEN_THUNKS(glGetPixelMapuiv, (GLenum map, GLuint * values), (map, values))
GEN_THUNKS(glGetPixelMapusv, (GLenum map, GLushort * values), (map, values))
GEN_THUNKS(glGetPixelMapxv, (GLenum map, GLint size, GLfixed * values), (map, size, values))
GEN_THUNKS(glGetPixelTexGenParameterfvSGIS, (GLenum pname, GLfloat * params), (pname, params))
GEN_THUNKS(glGetPixelTexGenParameterivSGIS, (GLenum pname, GLint * params), (pname, params))
GEN_THUNKS(glGetPixelTransformParameterfvEXT, (GLenum target, GLenum pname, GLfloat * params), (target, pname, params))
GEN_THUNKS(glGetPixelTransformParameterivEXT, (GLenum target, GLenum pname, GLint * params), (target, pname, params))
GEN_THUNKS(glGetPointerIndexedvEXT, (GLenum target, GLuint index, void ** data), (target, index, data))
GEN_THUNKS(glGetPointeri_vEXT, (GLenum pname, GLuint index, void ** params), (pname, index, params))
GEN_THUNKS(glGetPointerv, (GLenum pname, void ** params), (pname, params))
GEN_THUNKS(glGetPointervEXT, (GLenum pname, void ** params), (pname, params))
GEN_THUNKS(glGetPointervKHR, (GLenum pname, void ** params), (pname, params))
GEN_THUNKS(glGetPolygonStipple, (GLubyte * mask), (mask))
GEN_THUNKS(glGetProgramBinary, (GLuint program, GLsizei bufSize, GLsizei * length, GLenum * binaryFormat, void * binary), (program, bufSize, length, binaryFormat, binary))
GEN_THUNKS(glGetProgramBinaryOES, (GLuint program, GLsizei bufSize, GLsizei * length, GLenum * binaryFormat, void * binary), (program, bufSize, length, binaryFormat, binary))
GEN_THUNKS(glGetProgramEnvParameterIivNV, (GLenum target, GLuint index, GLint * params), (target, index, params))
GEN_THUNKS(glGetProgramEnvParameterIuivNV, (GLenum target, GLuint index, GLuint * params), (target, index, params))
GEN_THUNKS(glGetProgramEnvParameterdvARB, (GLenum target, GLuint index, GLdouble * params), (target, index, params))
GEN_THUNKS(glGetProgramEnvParameterfvARB, (GLenum target, GLuint index, GLfloat * params), (target, index, params))
GEN_THUNKS(glGetProgramInfoLog, (GLuint program, GLsizei bufSize, GLsizei * length, GLchar * infoLog), (program, bufSize, length, infoLog))
GEN_THUNKS(glGetProgramInterfaceiv, (GLuint program, GLenum programInterface, GLenum pname, GLint * params), (program, programInterface, pname, params))
GEN_THUNKS(glGetProgramLocalParameterIivNV, (GLenum target, GLuint index, GLint * params), (target, index, params))
GEN_THUNKS(glGetProgramLocalParameterIuivNV, (GLenum target, GLuint index, GLuint * params), (target, index, params))
GEN_THUNKS(glGetProgramLocalParameterdvARB, (GLenum target, GLuint index, GLdouble * params), (target, index, params))
GEN_THUNKS(glGetProgramLocalParameterfvARB, (GLenum target, GLuint index, GLfloat * params), (target, index, params))
GEN_THUNKS(glGetProgramNamedParameterdvNV, (GLuint id, GLsizei len, const GLubyte * name, GLdouble * params), (id, len, name, params))
GEN_THUNKS(glGetProgramNamedParameterfvNV, (GLuint id, GLsizei len, const GLubyte * name, GLfloat * params), (id, len, name, params))
GEN_THUNKS(glGetProgramParameterdvNV, (GLenum target, GLuint index, GLenum pname, GLdouble * params), (target, index, pname, params))
GEN_THUNKS(glGetProgramParameterfvNV, (GLenum target, GLuint index, GLenum pname, GLfloat * params), (target, index, pname, params))
GEN_THUNKS(glGetProgramPipelineInfoLog, (GLuint pipeline, GLsizei bufSize, GLsizei * length, GLchar * infoLog), (pipeline, bufSize, length, infoLog))
GEN_THUNKS(glGetProgramPipelineInfoLogEXT, (GLuint pipeline, GLsizei bufSize, GLsizei * length, GLchar * infoLog), (pipeline, bufSize, length, infoLog))
GEN_THUNKS(glGetProgramPipelineiv, (GLuint pipeline, GLenum pname, GLint * params), (pipeline, pname, params))
GEN_THUNKS(glGetProgramPipelineivEXT, (GLuint pipeline, GLenum pname, GLint * params), (pipeline, pname, params))
GEN_THUNKS_RET(GLuint, glGetProgramResourceIndex, (GLuint program, GLenum programInterface, const GLchar * name), (program, programInterface, name))
GEN_THUNKS_RET(GLint, glGetProgramResourceLocation, (GLuint program, GLenum programInterface, const GLchar * name), (program, programInterface, name))
GEN_THUNKS_RET(GLint, glGetProgramResourceLocationIndex, (GLuint program, GLenum programInterface, const GLchar * name), (program, programInterface, name))
GEN_THUNKS(glGetProgramResourceName, (GLuint program, GLenum programInterface, GLuint index, GLsizei bufSize, GLsizei * length, GLchar * name), (program, programInterface, index, bufSize, length, name))
GEN_THUNKS(glGetProgramResourceiv, (GLuint program, GLenum programInterface, GLuint index, GLsizei propCount, const GLenum * props, GLsizei bufSize, GLsizei * length, GLint * params), (program, programInterface, index, propCount, props, bufSize, length, params))
GEN_THUNKS(glGetProgramStageiv, (GLuint program, GLenum shadertype, GLenum pname, GLint * values), (program, shadertype, pname, values))
GEN_THUNKS(glGetProgramStringARB, (GLenum target, GLenum pname, void * string), (target, pname, string))
GEN_THUNKS(glGetProgramStringNV, (GLuint id, GLenum pname, GLubyte * program), (id, pname, program))
GEN_THUNKS(glGetProgramSubroutineParameteruivNV, (GLenum target, GLuint index, GLuint * param), (target, index, param))
GEN_THUNKS(glGetProgramiv, (GLuint program, GLenum pname, GLint * params), (program, pname, params))
GEN_THUNKS(glGetProgramivARB, (GLenum target, GLenum pname, GLint * params), (target, pname, params))
GEN_THUNKS(glGetProgramivNV, (GLuint id, GLenum pname, GLint * params), (id, pname, params))
GEN_THUNKS(glGetQueryIndexediv, (GLenum target, GLuint index, GLenum pname, GLint * params), (target, index, pname, params))
GEN_THUNKS(glGetQueryObjecti64v, (GLuint id, GLenum pname, GLint64 * params), (id, pname, params))
GEN_THUNKS(glGetQueryObjecti64vEXT, (GLuint id, GLenum pname, GLint64 * params), (id, pname, params))
GEN_THUNKS(glGetQueryObjectiv, (GLuint id, GLenum pname, GLint * params), (id, pname, params))
GEN_THUNKS(glGetQueryObjectivARB, (GLuint id, GLenum pname, GLint * params), (id, pname, params))
GEN_THUNKS(glGetQueryObjectivEXT, (GLuint id, GLenum pname, GLint * params), (id, pname, params))
GEN_THUNKS(glGetQueryObjectui64v, (GLuint id, GLenum pname, GLuint64 * params), (id, pname, params))
GEN_THUNKS(glGetQueryObjectui64vEXT, (GLuint id, GLenum pname, GLuint64 * params), (id, pname, params))
GEN_THUNKS(glGetQueryObjectuiv, (GLuint id, GLenum pname, GLuint * params), (id, pname, params))
GEN_THUNKS(glGetQueryObjectuivARB, (GLuint id, GLenum pname, GLuint * params), (id, pname, params))
GEN_THUNKS(glGetQueryObjectuivEXT, (GLuint id, GLenum pname, GLuint * params), (id, pname, params))
GEN_THUNKS(glGetQueryiv, (GLenum target, GLenum pname, GLint * params), (target, pname, params))
GEN_THUNKS(glGetQueryivARB, (GLenum target, GLenum pname, GLint * params), (target, pname, params))
GEN_THUNKS(glGetQueryivEXT, (GLenum target, GLenum pname, GLint * params), (target, pname, params))
GEN_THUNKS(glGetRenderbufferParameteriv, (GLenum target, GLenum pname, GLint * params), (target, pname, params))
GEN_THUNKS(glGetRenderbufferParameterivEXT, (GLenum target, GLenum pname, GLint * params), (target, pname, params))
GEN_THUNKS(glGetRenderbufferParameterivOES, (GLenum target, GLenum pname, GLint * params), (target, pname, params))
GEN_THUNKS(glGetSamplerParameterIiv, (GLuint sampler, GLenum pname, GLint * params), (sampler, pname, params))
GEN_THUNKS(glGetSamplerParameterIuiv, (GLuint sampler, GLenum pname, GLuint * params), (sampler, pname, params))
GEN_THUNKS(glGetSamplerParameterfv, (GLuint sampler, GLenum pname, GLfloat * params), (sampler, pname, params))
GEN_THUNKS(glGetSamplerParameteriv, (GLuint sampler, GLenum pname, GLint * params), (sampler, pname, params))
GEN_THUNKS(glGetSeparableFilter, (GLenum target, GLenum format, GLenum type, void * row, void * column, void * span), (target, format, type, row, column, span))
GEN_THUNKS(glGetSeparableFilterEXT, (GLenum target, GLenum format, GLenum type, void * row, void * column, void * span), (target, format, type, row, column, span))
GEN_THUNKS(glGetShaderInfoLog, (GLuint shader, GLsizei bufSize, GLsizei * length, GLchar * infoLog), (shader, bufSize, length, infoLog))
GEN_THUNKS(glGetShaderPrecisionFormat, (GLenum shadertype, GLenum precisiontype, GLint * range, GLint * precision), (shadertype, precisiontype, range, precision))
GEN_THUNKS(glGetShaderSource, (GLuint shader, GLsizei bufSize, GLsizei * length, GLchar * source), (shader, bufSize, length, source))
GEN_THUNKS(glGetShaderSourceARB, (GLhandleARB obj, GLsizei maxLength, GLsizei * length, GLcharARB * source), ((uintptr_t)obj, maxLength, length, source))
GEN_THUNKS(glGetShaderiv, (GLuint shader, GLenum pname, GLint * params), (shader, pname, params))
GEN_THUNKS(glGetSharpenTexFuncSGIS, (GLenum target, GLfloat * points), (target, points))
GEN_THUNKS_RET(const GLubyte *, glGetString, (GLenum name), (name))
GEN_THUNKS_RET(const GLubyte *, glGetStringi, (GLenum name, GLuint index), (name, index))
GEN_THUNKS_RET(GLuint, glGetSubroutineIndex, (GLuint program, GLenum shadertype, const GLchar * name), (program, shadertype, name))
GEN_THUNKS_RET(GLint, glGetSubroutineUniformLocation, (GLuint program, GLenum shadertype, const GLchar * name), (program, shadertype, name))
GEN_THUNKS(glGetSynciv, (GLsync sync, GLenum pname, GLsizei bufSize, GLsizei * length, GLint * values), (sync, pname, bufSize, length, values))
GEN_THUNKS(glGetSyncivAPPLE, (GLsync sync, GLenum pname, GLsizei bufSize, GLsizei * length, GLint * values), (sync, pname, bufSize, length, values))
GEN_THUNKS(glGetTexBumpParameterfvATI, (GLenum pname, GLfloat * param), (pname, param))
GEN_THUNKS(glGetTexBumpParameterivATI, (GLenum pname, GLint * param), (pname, param))
GEN_THUNKS(glGetTexEnvfv, (GLenum target, GLenum pname, GLfloat * params), (target, pname, params))
GEN_THUNKS(glGetTexEnviv, (GLenum target, GLenum pname, GLint * params), (target, pname, params))
GEN_THUNKS(glGetTexEnvxv, (GLenum target, GLenum pname, GLfixed * params), (target, pname, params))
GEN_THUNKS(glGetTexEnvxvOES, (GLenum target, GLenum pname, GLfixed * params), (target, pname, params))
GEN_THUNKS(glGetTexFilterFuncSGIS, (GLenum target, GLenum filter, GLfloat * weights), (target, filter, weights))
GEN_THUNKS(glGetTexGendv, (GLenum coord, GLenum pname, GLdouble * params), (coord, pname, params))
GEN_THUNKS(glGetTexGenfv, (GLenum coord, GLenum pname, GLfloat * params), (coord, pname, params))
GEN_THUNKS(glGetTexGenfvOES, (GLenum coord, GLenum pname, GLfloat * params), (coord, pname, params))
GEN_THUNKS(glGetTexGeniv, (GLenum coord, GLenum pname, GLint * params), (coord, pname, params))
GEN_THUNKS(glGetTexGenivOES, (GLenum coord, GLenum pname, GLint * params), (coord, pname, params))
GEN_THUNKS(glGetTexGenxvOES, (GLenum coord, GLenum pname, GLfixed * params), (coord, pname, params))
GEN_THUNKS(glGetTexImage, (GLenum target, GLint level, GLenum format, GLenum type, void * pixels), (target, level, format, type, pixels))
GEN_THUNKS(glGetTexLevelParameterfv, (GLenum target, GLint level, GLenum pname, GLfloat * params), (target, level, pname, params))
GEN_THUNKS(glGetTexLevelParameteriv, (GLenum target, GLint level, GLenum pname, GLint * params), (target, level, pname, params))
GEN_THUNKS(glGetTexLevelParameterxvOES, (GLenum target, GLint level, GLenum pname, GLfixed * params), (target, level, pname, params))
GEN_THUNKS(glGetTexParameterIiv, (GLenum target, GLenum pname, GLint * params), (target, pname, params))
GEN_THUNKS(glGetTexParameterIivEXT, (GLenum target, GLenum pname, GLint * params), (target, pname, params))
GEN_THUNKS(glGetTexParameterIuiv, (GLenum target, GLenum pname, GLuint * params), (target, pname, params))
GEN_THUNKS(glGetTexParameterIuivEXT, (GLenum target, GLenum pname, GLuint * params), (target, pname, params))
GEN_THUNKS(glGetTexParameterPointervAPPLE, (GLenum target, GLenum pname, void ** params), (target, pname, params))
GEN_THUNKS(glGetTexParameterfv, (GLenum target, GLenum pname, GLfloat * params), (target, pname, params))
GEN_THUNKS(glGetTexParameteriv, (GLenum target, GLenum pname, GLint * params), (target, pname, params))
GEN_THUNKS(glGetTexParameterxv, (GLenum target, GLenum pname, GLfixed * params), (target, pname, params))
GEN_THUNKS(glGetTexParameterxvOES, (GLenum target, GLenum pname, GLfixed * params), (target, pname, params))
GEN_THUNKS_RET(GLuint64, glGetTextureHandleARB, (GLuint texture), (texture))
GEN_THUNKS_RET(GLuint64, glGetTextureHandleNV, (GLuint texture), (texture))
GEN_THUNKS(glGetTextureImageEXT, (GLuint texture, GLenum target, GLint level, GLenum format, GLenum type, void * pixels), (texture, target, level, format, type, pixels))
GEN_THUNKS(glGetTextureLevelParameterfvEXT, (GLuint texture, GLenum target, GLint level, GLenum pname, GLfloat * params), (texture, target, level, pname, params))
GEN_THUNKS(glGetTextureLevelParameterivEXT, (GLuint texture, GLenum target, GLint level, GLenum pname, GLint * params), (texture, target, level, pname, params))
GEN_THUNKS(glGetTextureParameterIivEXT, (GLuint texture, GLenum target, GLenum pname, GLint * params), (texture, target, pname, params))
GEN_THUNKS(glGetTextureParameterIuivEXT, (GLuint texture, GLenum target, GLenum pname, GLuint * params), (texture, target, pname, params))
GEN_THUNKS(glGetTextureParameterfvEXT, (GLuint texture, GLenum target, GLenum pname, GLfloat * params), (texture, target, pname, params))
GEN_THUNKS(glGetTextureParameterivEXT, (GLuint texture, GLenum target, GLenum pname, GLint * params), (texture, target, pname, params))
GEN_THUNKS_RET(GLuint64, glGetTextureSamplerHandleARB, (GLuint texture, GLuint sampler), (texture, sampler))
GEN_THUNKS_RET(GLuint64, glGetTextureSamplerHandleNV, (GLuint texture, GLuint sampler), (texture, sampler))
GEN_THUNKS(glGetTrackMatrixivNV, (GLenum target, GLuint address, GLenum pname, GLint * params), (target, address, pname, params))
GEN_THUNKS(glGetTransformFeedbackVarying, (GLuint program, GLuint index, GLsizei bufSize, GLsizei * length, GLsizei * size, GLenum * type, GLchar * name), (program, index, bufSize, length, size, type, name))
GEN_THUNKS(glGetTransformFeedbackVaryingEXT, (GLuint program, GLuint index, GLsizei bufSize, GLsizei * length, GLsizei * size, GLenum * type, GLchar * name), (program, index, bufSize, length, size, type, name))
GEN_THUNKS(glGetTransformFeedbackVaryingNV, (GLuint program, GLuint index, GLint * location), (program, index, location))
GEN_THUNKS(glGetTranslatedShaderSourceANGLE, (GLuint shader, GLsizei bufsize, GLsizei * length, GLchar * source), (shader, bufsize, length, source))
GEN_THUNKS_RET(GLuint, glGetUniformBlockIndex, (GLuint program, const GLchar * uniformBlockName), (program, uniformBlockName))
GEN_THUNKS_RET(GLint, glGetUniformBufferSizeEXT, (GLuint program, GLint location), (program, location))
GEN_THUNKS(glGetUniformIndices, (GLuint program, GLsizei uniformCount, const GLchar *const* uniformNames, GLuint * uniformIndices), (program, uniformCount, uniformNames, uniformIndices))
GEN_THUNKS_RET(GLint, glGetUniformLocation, (GLuint program, const GLchar * name), (program, name))
GEN_THUNKS_RET(GLint, glGetUniformLocationARB, (GLhandleARB programObj, const GLcharARB * name), ((uintptr_t)programObj, name))
GEN_THUNKS_RET(GLintptr, glGetUniformOffsetEXT, (GLuint program, GLint location), (program, location))
GEN_THUNKS(glGetUniformSubroutineuiv, (GLenum shadertype, GLint location, GLuint * params), (shadertype, location, params))
GEN_THUNKS(glGetUniformdv, (GLuint program, GLint location, GLdouble * params), (program, location, params))
GEN_THUNKS(glGetUniformfv, (GLuint program, GLint location, GLfloat * params), (program, location, params))
GEN_THUNKS(glGetUniformfvARB, (GLhandleARB programObj, GLint location, GLfloat * params), ((uintptr_t)programObj, location, params))
GEN_THUNKS(glGetUniformi64vNV, (GLuint program, GLint location, GLint64EXT * params), (program, location, params))
GEN_THUNKS(glGetUniformiv, (GLuint program, GLint location, GLint * params), (program, location, params))
GEN_THUNKS(glGetUniformivARB, (GLhandleARB programObj, GLint location, GLint * params), ((uintptr_t)programObj, location, params))
GEN_THUNKS(glGetUniformui64vNV, (GLuint program, GLint location, GLuint64EXT * params), (program, location, params))
GEN_THUNKS(glGetUniformuiv, (GLuint program, GLint location, GLuint * params), (program, location, params))
GEN_THUNKS(glGetUniformuivEXT, (GLuint program, GLint location, GLuint * params), (program, location, params))
GEN_THUNKS(glGetVariantArrayObjectfvATI, (GLuint id, GLenum pname, GLfloat * params), (id, pname, params))
GEN_THUNKS(glGetVariantArrayObjectivATI, (GLuint id, GLenum pname, GLint * params), (id, pname, params))
GEN_THUNKS(glGetVariantBooleanvEXT, (GLuint id, GLenum value, GLboolean * data), (id, value, data))
GEN_THUNKS(glGetVariantFloatvEXT, (GLuint id, GLenum value, GLfloat * data), (id, value, data))
GEN_THUNKS(glGetVariantIntegervEXT, (GLuint id, GLenum value, GLint * data), (id, value, data))
GEN_THUNKS(glGetVariantPointervEXT, (GLuint id, GLenum value, void ** data), (id, value, data))
GEN_THUNKS_RET(GLint, glGetVaryingLocationNV, (GLuint program, const GLchar * name), (program, name))
GEN_THUNKS(glGetVertexArrayIntegeri_vEXT, (GLuint vaobj, GLuint index, GLenum pname, GLint * param), (vaobj, index, pname, param))
GEN_THUNKS(glGetVertexArrayIntegervEXT, (GLuint vaobj, GLenum pname, GLint * param), (vaobj, pname, param))
GEN_THUNKS(glGetVertexArrayPointeri_vEXT, (GLuint vaobj, GLuint index, GLenum pname, void ** param), (vaobj, index, pname, param))
GEN_THUNKS(glGetVertexArrayPointervEXT, (GLuint vaobj, GLenum pname, void ** param), (vaobj, pname, param))
GEN_THUNKS(glGetVertexAttribArrayObjectfvATI, (GLuint index, GLenum pname, GLfloat * params), (index, pname, params))
GEN_THUNKS(glGetVertexAttribArrayObjectivATI, (GLuint index, GLenum pname, GLint * params), (index, pname, params))
GEN_THUNKS(glGetVertexAttribIiv, (GLuint index, GLenum pname, GLint * params), (index, pname, params))
GEN_THUNKS(glGetVertexAttribIivEXT, (GLuint index, GLenum pname, GLint * params), (index, pname, params))
GEN_THUNKS(glGetVertexAttribIuiv, (GLuint index, GLenum pname, GLuint * params), (index, pname, params))
GEN_THUNKS(glGetVertexAttribIuivEXT, (GLuint index, GLenum pname, GLuint * params), (index, pname, params))
GEN_THUNKS(glGetVertexAttribLdv, (GLuint index, GLenum pname, GLdouble * params), (index, pname, params))
GEN_THUNKS(glGetVertexAttribLdvEXT, (GLuint index, GLenum pname, GLdouble * params), (index, pname, params))
GEN_THUNKS(glGetVertexAttribLi64vNV, (GLuint index, GLenum pname, GLint64EXT * params), (index, pname, params))
GEN_THUNKS(glGetVertexAttribLui64vARB, (GLuint index, GLenum pname, GLuint64EXT * params), (index, pname, params))
GEN_THUNKS(glGetVertexAttribLui64vNV, (GLuint index, GLenum pname, GLuint64EXT * params), (index, pname, params))
GEN_THUNKS(glGetVertexAttribPointerv, (GLuint index, GLenum pname, void ** pointer), (index, pname, pointer))
GEN_THUNKS(glGetVertexAttribPointervARB, (GLuint index, GLenum pname, void ** pointer), (index, pname, pointer))
GEN_THUNKS(glGetVertexAttribPointervNV, (GLuint index, GLenum pname, void ** pointer), (index, pname, pointer))
GEN_THUNKS(glGetVertexAttribdv, (GLuint index, GLenum pname, GLdouble * params), (index, pname, params))
GEN_THUNKS(glGetVertexAttribdvARB, (GLuint index, GLenum pname, GLdouble * params), (index, pname, params))
GEN_THUNKS(glGetVertexAttribdvNV, (GLuint index, GLenum pname, GLdouble * params), (index, pname, params))
GEN_THUNKS(glGetVertexAttribfv, (GLuint index, GLenum pname, GLfloat * params), (index, pname, params))
GEN_THUNKS(glGetVertexAttribfvARB, (GLuint index, GLenum pname, GLfloat * params), (index, pname, params))
GEN_THUNKS(glGetVertexAttribfvNV, (GLuint index, GLenum pname, GLfloat * params), (index, pname, params))
GEN_THUNKS(glGetVertexAttribiv, (GLuint index, GLenum pname, GLint * params), (index, pname, params))
GEN_THUNKS(glGetVertexAttribivARB, (GLuint index, GLenum pname, GLint * params), (index, pname, params))
GEN_THUNKS(glGetVertexAttribivNV, (GLuint index, GLenum pname, GLint * params), (index, pname, params))
GEN_THUNKS(glGetVideoCaptureStreamdvNV, (GLuint video_capture_slot, GLuint stream, GLenum pname, GLdouble * params), (video_capture_slot, stream, pname, params))
GEN_THUNKS(glGetVideoCaptureStreamfvNV, (GLuint video_capture_slot, GLuint stream, GLenum pname, GLfloat * params), (video_capture_slot, stream, pname, params))
GEN_THUNKS(glGetVideoCaptureStreamivNV, (GLuint video_capture_slot, GLuint stream, GLenum pname, GLint * params), (video_capture_slot, stream, pname, params))
GEN_THUNKS(glGetVideoCaptureivNV, (GLuint video_capture_slot, GLenum pname, GLint * params), (video_capture_slot, pname, params))
GEN_THUNKS(glGetVideoi64vNV, (GLuint video_slot, GLenum pname, GLint64EXT * params), (video_slot, pname, params))
GEN_THUNKS(glGetVideoivNV, (GLuint video_slot, GLenum pname, GLint * params), (video_slot, pname, params))
GEN_THUNKS(glGetVideoui64vNV, (GLuint video_slot, GLenum pname, GLuint64EXT * params), (video_slot, pname, params))
GEN_THUNKS(glGetVideouivNV, (GLuint video_slot, GLenum pname, GLuint * params), (video_slot, pname, params))
GEN_THUNKS(glGetnColorTableARB, (GLenum target, GLenum format, GLenum type, GLsizei bufSize, void * table), (target, format, type, bufSize, table))
GEN_THUNKS(glGetnCompressedTexImageARB, (GLenum target, GLint lod, GLsizei bufSize, void * img), (target, lod, bufSize, img))
GEN_THUNKS(glGetnConvolutionFilterARB, (GLenum target, GLenum format, GLenum type, GLsizei bufSize, void * image), (target, format, type, bufSize, image))
GEN_THUNKS(glGetnHistogramARB, (GLenum target, GLboolean reset, GLenum format, GLenum type, GLsizei bufSize, void * values), (target, reset, format, type, bufSize, values))
GEN_THUNKS(glGetnMapdvARB, (GLenum target, GLenum query, GLsizei bufSize, GLdouble * v), (target, query, bufSize, v))
GEN_THUNKS(glGetnMapfvARB, (GLenum target, GLenum query, GLsizei bufSize, GLfloat * v), (target, query, bufSize, v))
GEN_THUNKS(glGetnMapivARB, (GLenum target, GLenum query, GLsizei bufSize, GLint * v), (target, query, bufSize, v))
GEN_THUNKS(glGetnMinmaxARB, (GLenum target, GLboolean reset, GLenum format, GLenum type, GLsizei bufSize, void * values), (target, reset, format, type, bufSize, values))
GEN_THUNKS(glGetnPixelMapfvARB, (GLenum map, GLsizei bufSize, GLfloat * values), (map, bufSize, values))
GEN_THUNKS(glGetnPixelMapuivARB, (GLenum map, GLsizei bufSize, GLuint * values), (map, bufSize, values))
GEN_THUNKS(glGetnPixelMapusvARB, (GLenum map, GLsizei bufSize, GLushort * values), (map, bufSize, values))
GEN_THUNKS(glGetnPolygonStippleARB, (GLsizei bufSize, GLubyte * pattern), (bufSize, pattern))
GEN_THUNKS(glGetnSeparableFilterARB, (GLenum target, GLenum format, GLenum type, GLsizei rowBufSize, void * row, GLsizei columnBufSize, void * column, void * span), (target, format, type, rowBufSize, row, columnBufSize, column, span))
GEN_THUNKS(glGetnTexImageARB, (GLenum target, GLint level, GLenum format, GLenum type, GLsizei bufSize, void * img), (target, level, format, type, bufSize, img))
GEN_THUNKS(glGetnUniformdvARB, (GLuint program, GLint location, GLsizei bufSize, GLdouble * params), (program, location, bufSize, params))
GEN_THUNKS(glGetnUniformfvARB, (GLuint program, GLint location, GLsizei bufSize, GLfloat * params), (program, location, bufSize, params))
GEN_THUNKS(glGetnUniformfvEXT, (GLuint program, GLint location, GLsizei bufSize, GLfloat * params), (program, location, bufSize, params))
GEN_THUNKS(glGetnUniformivARB, (GLuint program, GLint location, GLsizei bufSize, GLint * params), (program, location, bufSize, params))
GEN_THUNKS(glGetnUniformivEXT, (GLuint program, GLint location, GLsizei bufSize, GLint * params), (program, location, bufSize, params))
GEN_THUNKS(glGetnUniformuivARB, (GLuint program, GLint location, GLsizei bufSize, GLuint * params), (program, location, bufSize, params))
GEN_THUNKS(glGlobalAlphaFactorbSUN, (GLbyte factor), (factor))
GEN_THUNKS(glGlobalAlphaFactordSUN, (GLdouble factor), (factor))
GEN_THUNKS(glGlobalAlphaFactorfSUN, (GLfloat factor), (factor))
GEN_THUNKS(glGlobalAlphaFactoriSUN, (GLint factor), (factor))
GEN_THUNKS(glGlobalAlphaFactorsSUN, (GLshort factor), (factor))
GEN_THUNKS(glGlobalAlphaFactorubSUN, (GLubyte factor), (factor))
GEN_THUNKS(glGlobalAlphaFactoruiSUN, (GLuint factor), (factor))
GEN_THUNKS(glGlobalAlphaFactorusSUN, (GLushort factor), (factor))
GEN_THUNKS(glHint, (GLenum target, GLenum mode), (target, mode))
GEN_THUNKS(glHintPGI, (GLenum target, GLint mode), (target, mode))
GEN_THUNKS(glHistogram, (GLenum target, GLsizei width, GLenum internalformat, GLboolean sink), (target, width, internalformat, sink))
GEN_THUNKS(glHistogramEXT, (GLenum target, GLsizei width, GLenum internalformat, GLboolean sink), (target, width, internalformat, sink))
GEN_THUNKS(glIglooInterfaceSGIX, (GLenum pname, const void * params), (pname, params))
GEN_THUNKS(glImageTransformParameterfHP, (GLenum target, GLenum pname, GLfloat param), (target, pname, param))
GEN_THUNKS(glImageTransformParameterfvHP, (GLenum target, GLenum pname, const GLfloat * params), (target, pname, params))
GEN_THUNKS(glImageTransformParameteriHP, (GLenum target, GLenum pname, GLint param), (target, pname, param))
GEN_THUNKS(glImageTransformParameterivHP, (GLenum target, GLenum pname, const GLint * params), (target, pname, params))
GEN_THUNKS_RET(GLsync, glImportSyncEXT, (GLenum external_sync_type, GLintptr external_sync, GLbitfield flags), (external_sync_type, external_sync, flags))
GEN_THUNKS(glIndexFormatNV, (GLenum type, GLsizei stride), (type, stride))
GEN_THUNKS(glIndexFuncEXT, (GLenum func, GLclampf ref), (func, ref))
GEN_THUNKS(glIndexMask, (GLuint mask), (mask))
GEN_THUNKS(glIndexMaterialEXT, (GLenum face, GLenum mode), (face, mode))
GEN_THUNKS(glIndexPointer, (GLenum type, GLsizei stride, const void * pointer), (type, stride, pointer))
GEN_THUNKS(glIndexPointerEXT, (GLenum type, GLsizei stride, GLsizei count, const void * pointer), (type, stride, count, pointer))
GEN_THUNKS(glIndexPointerListIBM, (GLenum type, GLint stride, const void ** pointer, GLint ptrstride), (type, stride, pointer, ptrstride))
GEN_THUNKS(glIndexd, (GLdouble c), (c))
GEN_THUNKS(glIndexdv, (const GLdouble * c), (c))
GEN_THUNKS(glIndexf, (GLfloat c), (c))
GEN_THUNKS(glIndexfv, (const GLfloat * c), (c))
GEN_THUNKS(glIndexi, (GLint c), (c))
GEN_THUNKS(glIndexiv, (const GLint * c), (c))
GEN_THUNKS(glIndexs, (GLshort c), (c))
GEN_THUNKS(glIndexsv, (const GLshort * c), (c))
GEN_THUNKS(glIndexub, (GLubyte c), (c))
GEN_THUNKS(glIndexubv, (const GLubyte * c), (c))
GEN_THUNKS(glIndexxOES, (GLfixed component), (component))
GEN_THUNKS(glIndexxvOES, (const GLfixed * component), (component))
GEN_THUNKS(glInitNames, (void), ())
GEN_THUNKS(glInsertComponentEXT, (GLuint res, GLuint src, GLuint num), (res, src, num))
GEN_THUNKS(glInsertEventMarkerEXT, (GLsizei length, const GLchar * marker), (length, marker))
GEN_THUNKS(glInstrumentsBufferSGIX, (GLsizei size, GLint * buffer), (size, buffer))
GEN_THUNKS(glInterleavedArrays, (GLenum format, GLsizei stride, const void * pointer), (format, stride, pointer))
GEN_THUNKS(glInterpolatePathsNV, (GLuint resultPath, GLuint pathA, GLuint pathB, GLfloat weight), (resultPath, pathA, pathB, weight))
GEN_THUNKS(glInvalidateBufferData, (GLuint buffer), (buffer))
GEN_THUNKS(glInvalidateBufferSubData, (GLuint buffer, GLintptr offset, GLsizeiptr length), (buffer, offset, length))
GEN_THUNKS(glInvalidateFramebuffer, (GLenum target, GLsizei numAttachments, const GLenum * attachments), (target, numAttachments, attachments))
GEN_THUNKS(glInvalidateSubFramebuffer, (GLenum target, GLsizei numAttachments, const GLenum * attachments, GLint x, GLint y, GLsizei width, GLsizei height), (target, numAttachments, attachments, x, y, width, height))
GEN_THUNKS(glInvalidateTexImage, (GLuint texture, GLint level), (texture, level))
GEN_THUNKS(glInvalidateTexSubImage, (GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth), (texture, level, xoffset, yoffset, zoffset, width, height, depth))
GEN_THUNKS_RET(GLboolean, glIsAsyncMarkerSGIX, (GLuint marker), (marker))
GEN_THUNKS_RET(GLboolean, glIsBuffer, (GLuint buffer), (buffer))
GEN_THUNKS_RET(GLboolean, glIsBufferARB, (GLuint buffer), (buffer))
GEN_THUNKS_RET(GLboolean, glIsBufferResidentNV, (GLenum target), (target))
GEN_THUNKS_RET(GLboolean, glIsEnabled, (GLenum cap), (cap))
GEN_THUNKS_RET(GLboolean, glIsEnabledIndexedEXT, (GLenum target, GLuint index), (target, index))
GEN_THUNKS_RET(GLboolean, glIsEnabledi, (GLenum target, GLuint index), (target, index))
GEN_THUNKS_RET(GLboolean, glIsFenceAPPLE, (GLuint fence), (fence))
GEN_THUNKS_RET(GLboolean, glIsFenceNV, (GLuint fence), (fence))
GEN_THUNKS_RET(GLboolean, glIsFramebuffer, (GLuint framebuffer), (framebuffer))
GEN_THUNKS_RET(GLboolean, glIsFramebufferEXT, (GLuint framebuffer), (framebuffer))
GEN_THUNKS_RET(GLboolean, glIsFramebufferOES, (GLuint framebuffer), (framebuffer))
GEN_THUNKS_RET(GLboolean, glIsImageHandleResidentARB, (GLuint64 handle), (handle))
GEN_THUNKS_RET(GLboolean, glIsImageHandleResidentNV, (GLuint64 handle), (handle))
GEN_THUNKS_RET(GLboolean, glIsList, (GLuint list), (list))
GEN_THUNKS_RET(GLboolean, glIsNameAMD, (GLenum identifier, GLuint name), (identifier, name))
GEN_THUNKS_RET(GLboolean, glIsNamedBufferResidentNV, (GLuint buffer), (buffer))
GEN_THUNKS_RET(GLboolean, glIsNamedStringARB, (GLint namelen, const GLchar * name), (namelen, name))
GEN_THUNKS_RET(GLboolean, glIsObjectBufferATI, (GLuint buffer), (buffer))
GEN_THUNKS_RET(GLboolean, glIsOcclusionQueryNV, (GLuint id), (id))
GEN_THUNKS_RET(GLboolean, glIsPathNV, (GLuint path), (path))
GEN_THUNKS_RET(GLboolean, glIsPointInFillPathNV, (GLuint path, GLuint mask, GLfloat x, GLfloat y), (path, mask, x, y))
GEN_THUNKS_RET(GLboolean, glIsPointInStrokePathNV, (GLuint path, GLfloat x, GLfloat y), (path, x, y))
GEN_THUNKS_RET(GLboolean, glIsProgram, (GLuint program), (program))
GEN_THUNKS_RET(GLboolean, glIsProgramARB, (GLuint program), (program))
GEN_THUNKS_RET(GLboolean, glIsProgramNV, (GLuint id), (id))
GEN_THUNKS_RET(GLboolean, glIsProgramPipeline, (GLuint pipeline), (pipeline))
GEN_THUNKS_RET(GLboolean, glIsProgramPipelineEXT, (GLuint pipeline), (pipeline))
GEN_THUNKS_RET(GLboolean, glIsQuery, (GLuint id), (id))
GEN_THUNKS_RET(GLboolean, glIsQueryARB, (GLuint id), (id))
GEN_THUNKS_RET(GLboolean, glIsQueryEXT, (GLuint id), (id))
GEN_THUNKS_RET(GLboolean, glIsRenderbuffer, (GLuint renderbuffer), (renderbuffer))
GEN_THUNKS_RET(GLboolean, glIsRenderbufferEXT, (GLuint renderbuffer), (renderbuffer))
GEN_THUNKS_RET(GLboolean, glIsRenderbufferOES, (GLuint renderbuffer), (renderbuffer))
GEN_THUNKS_RET(GLboolean, glIsSampler, (GLuint sampler), (sampler))
GEN_THUNKS_RET(GLboolean, glIsShader, (GLuint shader), (shader))
GEN_THUNKS_RET(GLboolean, glIsSync, (GLsync sync), (sync))
GEN_THUNKS_RET(GLboolean, glIsSyncAPPLE, (GLsync sync), (sync))
GEN_THUNKS_RET(GLboolean, glIsTexture, (GLuint texture), (texture))
GEN_THUNKS_RET(GLboolean, glIsTextureEXT, (GLuint texture), (texture))
GEN_THUNKS_RET(GLboolean, glIsTextureHandleResidentARB, (GLuint64 handle), (handle))
GEN_THUNKS_RET(GLboolean, glIsTextureHandleResidentNV, (GLuint64 handle), (handle))
GEN_THUNKS_RET(GLboolean, glIsTransformFeedback, (GLuint id), (id))
GEN_THUNKS_RET(GLboolean, glIsTransformFeedbackNV, (GLuint id), (id))
GEN_THUNKS_RET(GLboolean, glIsVariantEnabledEXT, (GLuint id, GLenum cap), (id, cap))
GEN_THUNKS_RET(GLboolean, glIsVertexArray, (GLuint array), (array))
GEN_THUNKS_RET(GLboolean, glIsVertexArrayAPPLE, (GLuint array), (array))
GEN_THUNKS_RET(GLboolean, glIsVertexArrayOES, (GLuint array), (array))
GEN_THUNKS_RET(GLboolean, glIsVertexAttribEnabledAPPLE, (GLuint index, GLenum pname), (index, pname))
GEN_THUNKS(glLabelObjectEXT, (GLenum type, GLuint object, GLsizei length, const GLchar * label), (type, object, length, label))
GEN_THUNKS(glLightEnviSGIX, (GLenum pname, GLint param), (pname, param))
GEN_THUNKS(glLightModelf, (GLenum pname, GLfloat param), (pname, param))
GEN_THUNKS(glLightModelfv, (GLenum pname, const GLfloat * params), (pname, params))
GEN_THUNKS(glLightModeli, (GLenum pname, GLint param), (pname, param))
GEN_THUNKS(glLightModeliv, (GLenum pname, const GLint * params), (pname, params))
GEN_THUNKS(glLightModelx, (GLenum pname, GLfixed param), (pname, param))
GEN_THUNKS(glLightModelxOES, (GLenum pname, GLfixed param), (pname, param))
GEN_THUNKS(glLightModelxv, (GLenum pname, const GLfixed * param), (pname, param))
GEN_THUNKS(glLightModelxvOES, (GLenum pname, const GLfixed * param), (pname, param))
GEN_THUNKS(glLightf, (GLenum light, GLenum pname, GLfloat param), (light, pname, param))
GEN_THUNKS(glLightfv, (GLenum light, GLenum pname, const GLfloat * params), (light, pname, params))
GEN_THUNKS(glLighti, (GLenum light, GLenum pname, GLint param), (light, pname, param))
GEN_THUNKS(glLightiv, (GLenum light, GLenum pname, const GLint * params), (light, pname, params))
GEN_THUNKS(glLightx, (GLenum light, GLenum pname, GLfixed param), (light, pname, param))
GEN_THUNKS(glLightxOES, (GLenum light, GLenum pname, GLfixed param), (light, pname, param))
GEN_THUNKS(glLightxv, (GLenum light, GLenum pname, const GLfixed * params), (light, pname, params))
GEN_THUNKS(glLightxvOES, (GLenum light, GLenum pname, const GLfixed * params), (light, pname, params))
GEN_THUNKS(glLineStipple, (GLint factor, GLushort pattern), (factor, pattern))
GEN_THUNKS(glLineWidth, (GLfloat width), (width))
GEN_THUNKS(glLineWidthx, (GLfixed width), (width))
GEN_THUNKS(glLineWidthxOES, (GLfixed width), (width))
GEN_THUNKS(glLinkProgram, (GLuint program), (program))
GEN_THUNKS(glLinkProgramARB, (GLhandleARB programObj), ((uintptr_t)programObj))
GEN_THUNKS(glListBase, (GLuint base), (base))
GEN_THUNKS(glListParameterfSGIX, (GLuint list, GLenum pname, GLfloat param), (list, pname, param))
GEN_THUNKS(glListParameterfvSGIX, (GLuint list, GLenum pname, const GLfloat * params), (list, pname, params))
GEN_THUNKS(glListParameteriSGIX, (GLuint list, GLenum pname, GLint param), (list, pname, param))
GEN_THUNKS(glListParameterivSGIX, (GLuint list, GLenum pname, const GLint * params), (list, pname, params))
GEN_THUNKS(glLoadIdentity, (void), ())
GEN_THUNKS(glLoadIdentityDeformationMapSGIX, (GLbitfield mask), (mask))
GEN_THUNKS(glLoadMatrixd, (const GLdouble * m), (m))
GEN_THUNKS(glLoadMatrixf, (const GLfloat * m), (m))
GEN_THUNKS(glLoadMatrixx, (const GLfixed * m), (m))
GEN_THUNKS(glLoadMatrixxOES, (const GLfixed * m), (m))
GEN_THUNKS(glLoadName, (GLuint name), (name))
GEN_THUNKS(glLoadPaletteFromModelViewMatrixOES, (void), ())
GEN_THUNKS(glLoadProgramNV, (GLenum target, GLuint id, GLsizei len, const GLubyte * program), (target, id, len, program))
GEN_THUNKS(glLoadTransposeMatrixd, (const GLdouble * m), (m))
GEN_THUNKS(glLoadTransposeMatrixdARB, (const GLdouble * m), (m))
GEN_THUNKS(glLoadTransposeMatrixf, (const GLfloat * m), (m))
GEN_THUNKS(glLoadTransposeMatrixfARB, (const GLfloat * m), (m))
GEN_THUNKS(glLoadTransposeMatrixxOES, (const GLfixed * m), (m))
GEN_THUNKS(glLockArraysEXT, (GLint first, GLsizei count), (first, count))
GEN_THUNKS(glLogicOp, (GLenum opcode), (opcode))
GEN_THUNKS(glMakeBufferNonResidentNV, (GLenum target), (target))
GEN_THUNKS(glMakeBufferResidentNV, (GLenum target, GLenum access), (target, access))
GEN_THUNKS(glMakeImageHandleNonResidentARB, (GLuint64 handle), (handle))
GEN_THUNKS(glMakeImageHandleNonResidentNV, (GLuint64 handle), (handle))
GEN_THUNKS(glMakeImageHandleResidentARB, (GLuint64 handle, GLenum access), (handle, access))
GEN_THUNKS(glMakeImageHandleResidentNV, (GLuint64 handle, GLenum access), (handle, access))
GEN_THUNKS(glMakeNamedBufferNonResidentNV, (GLuint buffer), (buffer))
GEN_THUNKS(glMakeNamedBufferResidentNV, (GLuint buffer, GLenum access), (buffer, access))
GEN_THUNKS(glMakeTextureHandleNonResidentARB, (GLuint64 handle), (handle))
GEN_THUNKS(glMakeTextureHandleNonResidentNV, (GLuint64 handle), (handle))
GEN_THUNKS(glMakeTextureHandleResidentARB, (GLuint64 handle), (handle))
GEN_THUNKS(glMakeTextureHandleResidentNV, (GLuint64 handle), (handle))
GEN_THUNKS(glMap1d, (GLenum target, GLdouble u1, GLdouble u2, GLint stride, GLint order, const GLdouble * points), (target, u1, u2, stride, order, points))
GEN_THUNKS(glMap1f, (GLenum target, GLfloat u1, GLfloat u2, GLint stride, GLint order, const GLfloat * points), (target, u1, u2, stride, order, points))
GEN_THUNKS(glMap1xOES, (GLenum target, GLfixed u1, GLfixed u2, GLint stride, GLint order, GLfixed points), (target, u1, u2, stride, order, points))
GEN_THUNKS(glMap2d, (GLenum target, GLdouble u1, GLdouble u2, GLint ustride, GLint uorder, GLdouble v1, GLdouble v2, GLint vstride, GLint vorder, const GLdouble * points), (target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points))
GEN_THUNKS(glMap2f, (GLenum target, GLfloat u1, GLfloat u2, GLint ustride, GLint uorder, GLfloat v1, GLfloat v2, GLint vstride, GLint vorder, const GLfloat * points), (target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points))
GEN_THUNKS(glMap2xOES, (GLenum target, GLfixed u1, GLfixed u2, GLint ustride, GLint uorder, GLfixed v1, GLfixed v2, GLint vstride, GLint vorder, GLfixed points), (target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points))
GEN_THUNKS_RET(void *, glMapBuffer, (GLenum target, GLenum access), (target, access))
GEN_THUNKS_RET(void *, glMapBufferARB, (GLenum target, GLenum access), (target, access))
GEN_THUNKS_RET(void *, glMapBufferOES, (GLenum target, GLenum access), (target, access))
GEN_THUNKS_RET(void *, glMapBufferRange, (GLenum target, GLintptr offset, GLsizeiptr length, GLbitfield access), (target, offset, length, access))
GEN_THUNKS_RET(void *, glMapBufferRangeEXT, (GLenum target, GLintptr offset, GLsizeiptr length, GLbitfield access), (target, offset, length, access))
GEN_THUNKS(glMapControlPointsNV, (GLenum target, GLuint index, GLenum type, GLsizei ustride, GLsizei vstride, GLint uorder, GLint vorder, GLboolean packed, const void * points), (target, index, type, ustride, vstride, uorder, vorder, packed, points))
GEN_THUNKS(glMapGrid1d, (GLint un, GLdouble u1, GLdouble u2), (un, u1, u2))
GEN_THUNKS(glMapGrid1f, (GLint un, GLfloat u1, GLfloat u2), (un, u1, u2))
GEN_THUNKS(glMapGrid1xOES, (GLint n, GLfixed u1, GLfixed u2), (n, u1, u2))
GEN_THUNKS(glMapGrid2d, (GLint un, GLdouble u1, GLdouble u2, GLint vn, GLdouble v1, GLdouble v2), (un, u1, u2, vn, v1, v2))
GEN_THUNKS(glMapGrid2f, (GLint un, GLfloat u1, GLfloat u2, GLint vn, GLfloat v1, GLfloat v2), (un, u1, u2, vn, v1, v2))
GEN_THUNKS(glMapGrid2xOES, (GLint n, GLfixed u1, GLfixed u2, GLfixed v1, GLfixed v2), (n, u1, u2, v1, v2))
GEN_THUNKS_RET(void *, glMapNamedBufferEXT, (GLuint buffer, GLenum access), (buffer, access))
GEN_THUNKS_RET(void *, glMapNamedBufferRangeEXT, (GLuint buffer, GLintptr offset, GLsizeiptr length, GLbitfield access), (buffer, offset, length, access))
GEN_THUNKS_RET(void *, glMapObjectBufferATI, (GLuint buffer), (buffer))
GEN_THUNKS(glMapParameterfvNV, (GLenum target, GLenum pname, const GLfloat * params), (target, pname, params))
GEN_THUNKS(glMapParameterivNV, (GLenum target, GLenum pname, const GLint * params), (target, pname, params))
GEN_THUNKS_RET(void *, glMapTexture2DINTEL, (GLuint texture, GLint level, GLbitfield access, GLint * stride, GLenum * layout), (texture, level, access, stride, layout))
GEN_THUNKS(glMapVertexAttrib1dAPPLE, (GLuint index, GLuint size, GLdouble u1, GLdouble u2, GLint stride, GLint order, const GLdouble * points), (index, size, u1, u2, stride, order, points))
GEN_THUNKS(glMapVertexAttrib1fAPPLE, (GLuint index, GLuint size, GLfloat u1, GLfloat u2, GLint stride, GLint order, const GLfloat * points), (index, size, u1, u2, stride, order, points))
GEN_THUNKS(glMapVertexAttrib2dAPPLE, (GLuint index, GLuint size, GLdouble u1, GLdouble u2, GLint ustride, GLint uorder, GLdouble v1, GLdouble v2, GLint vstride, GLint vorder, const GLdouble * points), (index, size, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points))
GEN_THUNKS(glMapVertexAttrib2fAPPLE, (GLuint index, GLuint size, GLfloat u1, GLfloat u2, GLint ustride, GLint uorder, GLfloat v1, GLfloat v2, GLint vstride, GLint vorder, const GLfloat * points), (index, size, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points))
GEN_THUNKS(glMaterialf, (GLenum face, GLenum pname, GLfloat param), (face, pname, param))
GEN_THUNKS(glMaterialfv, (GLenum face, GLenum pname, const GLfloat * params), (face, pname, params))
GEN_THUNKS(glMateriali, (GLenum face, GLenum pname, GLint param), (face, pname, param))
GEN_THUNKS(glMaterialiv, (GLenum face, GLenum pname, const GLint * params), (face, pname, params))
GEN_THUNKS(glMaterialx, (GLenum face, GLenum pname, GLfixed param), (face, pname, param))
GEN_THUNKS(glMaterialxOES, (GLenum face, GLenum pname, GLfixed param), (face, pname, param))
GEN_THUNKS(glMaterialxv, (GLenum face, GLenum pname, const GLfixed * param), (face, pname, param))
GEN_THUNKS(glMaterialxvOES, (GLenum face, GLenum pname, const GLfixed * param), (face, pname, param))
GEN_THUNKS(glMatrixFrustumEXT, (GLenum mode, GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar), (mode, left, right, bottom, top, zNear, zFar))
GEN_THUNKS(glMatrixIndexPointerARB, (GLint size, GLenum type, GLsizei stride, const void * pointer), (size, type, stride, pointer))
GEN_THUNKS(glMatrixIndexPointerOES, (GLint size, GLenum type, GLsizei stride, const void * pointer), (size, type, stride, pointer))
GEN_THUNKS(glMatrixIndexubvARB, (GLint size, const GLubyte * indices), (size, indices))
GEN_THUNKS(glMatrixIndexuivARB, (GLint size, const GLuint * indices), (size, indices))
GEN_THUNKS(glMatrixIndexusvARB, (GLint size, const GLushort * indices), (size, indices))
GEN_THUNKS(glMatrixLoadIdentityEXT, (GLenum mode), (mode))
GEN_THUNKS(glMatrixLoadTransposedEXT, (GLenum mode, const GLdouble * m), (mode, m))
GEN_THUNKS(glMatrixLoadTransposefEXT, (GLenum mode, const GLfloat * m), (mode, m))
GEN_THUNKS(glMatrixLoaddEXT, (GLenum mode, const GLdouble * m), (mode, m))
GEN_THUNKS(glMatrixLoadfEXT, (GLenum mode, const GLfloat * m), (mode, m))
GEN_THUNKS(glMatrixMode, (GLenum mode), (mode))
GEN_THUNKS(glMatrixMultTransposedEXT, (GLenum mode, const GLdouble * m), (mode, m))
GEN_THUNKS(glMatrixMultTransposefEXT, (GLenum mode, const GLfloat * m), (mode, m))
GEN_THUNKS(glMatrixMultdEXT, (GLenum mode, const GLdouble * m), (mode, m))
GEN_THUNKS(glMatrixMultfEXT, (GLenum mode, const GLfloat * m), (mode, m))
GEN_THUNKS(glMatrixOrthoEXT, (GLenum mode, GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar), (mode, left, right, bottom, top, zNear, zFar))
GEN_THUNKS(glMatrixPopEXT, (GLenum mode), (mode))
GEN_THUNKS(glMatrixPushEXT, (GLenum mode), (mode))
GEN_THUNKS(glMatrixRotatedEXT, (GLenum mode, GLdouble angle, GLdouble x, GLdouble y, GLdouble z), (mode, angle, x, y, z))
GEN_THUNKS(glMatrixRotatefEXT, (GLenum mode, GLfloat angle, GLfloat x, GLfloat y, GLfloat z), (mode, angle, x, y, z))
GEN_THUNKS(glMatrixScaledEXT, (GLenum mode, GLdouble x, GLdouble y, GLdouble z), (mode, x, y, z))
GEN_THUNKS(glMatrixScalefEXT, (GLenum mode, GLfloat x, GLfloat y, GLfloat z), (mode, x, y, z))
GEN_THUNKS(glMatrixTranslatedEXT, (GLenum mode, GLdouble x, GLdouble y, GLdouble z), (mode, x, y, z))
GEN_THUNKS(glMatrixTranslatefEXT, (GLenum mode, GLfloat x, GLfloat y, GLfloat z), (mode, x, y, z))
GEN_THUNKS(glMemoryBarrier, (GLbitfield barriers), (barriers))
GEN_THUNKS(glMemoryBarrierByRegion, (GLbitfield barriers), (barriers))
GEN_THUNKS(glMemoryBarrierEXT, (GLbitfield barriers), (barriers))
GEN_THUNKS(glMinSampleShading, (GLfloat value), (value))
GEN_THUNKS(glMinSampleShadingARB, (GLfloat value), (value))
GEN_THUNKS(glMinSampleShadingOES, (GLfloat value), (value))
GEN_THUNKS(glMinmax, (GLenum target, GLenum internalformat, GLboolean sink), (target, internalformat, sink))
GEN_THUNKS(glMinmaxEXT, (GLenum target, GLenum internalformat, GLboolean sink), (target, internalformat, sink))
GEN_THUNKS(glMultMatrixd, (const GLdouble * m), (m))
GEN_THUNKS(glMultMatrixf, (const GLfloat * m), (m))
GEN_THUNKS(glMultMatrixx, (const GLfixed * m), (m))
GEN_THUNKS(glMultMatrixxOES, (const GLfixed * m), (m))
GEN_THUNKS(glMultTransposeMatrixd, (const GLdouble * m), (m))
GEN_THUNKS(glMultTransposeMatrixdARB, (const GLdouble * m), (m))
GEN_THUNKS(glMultTransposeMatrixf, (const GLfloat * m), (m))
GEN_THUNKS(glMultTransposeMatrixfARB, (const GLfloat * m), (m))
GEN_THUNKS(glMultTransposeMatrixxOES, (const GLfixed * m), (m))
GEN_THUNKS(glMultiDrawArrays, (GLenum mode, const GLint * first, const GLsizei * count, GLsizei drawcount), (mode, first, count, drawcount))
GEN_THUNKS(glMultiDrawArraysEXT, (GLenum mode, const GLint * first, const GLsizei * count, GLsizei primcount), (mode, first, count, primcount))
GEN_THUNKS(glMultiDrawArraysIndirect, (GLenum mode, const void * indirect, GLsizei drawcount, GLsizei stride), (mode, indirect, drawcount, stride))
GEN_THUNKS(glMultiDrawArraysIndirectAMD, (GLenum mode, const void * indirect, GLsizei primcount, GLsizei stride), (mode, indirect, primcount, stride))
GEN_THUNKS(glMultiDrawArraysIndirectBindlessNV, (GLenum mode, const void * indirect, GLsizei drawCount, GLsizei stride, GLint vertexBufferCount), (mode, indirect, drawCount, stride, vertexBufferCount))
GEN_THUNKS(glMultiDrawArraysIndirectCountARB, (GLenum mode, GLintptr indirect, GLintptr drawcount, GLsizei maxdrawcount, GLsizei stride), (mode, indirect, drawcount, maxdrawcount, stride))
GEN_THUNKS(glMultiDrawElementArrayAPPLE, (GLenum mode, const GLint * first, const GLsizei * count, GLsizei primcount), (mode, first, count, primcount))
GEN_THUNKS(glMultiDrawElements, (GLenum mode, const GLsizei * count, GLenum type, const void *const* indices, GLsizei drawcount), (mode, count, type, indices, drawcount))
GEN_THUNKS(glMultiDrawElementsBaseVertex, (GLenum mode, const GLsizei * count, GLenum type, const void *const* indices, GLsizei drawcount, const GLint * basevertex), (mode, count, type, indices, drawcount, basevertex))
GEN_THUNKS(glMultiDrawElementsEXT, (GLenum mode, const GLsizei * count, GLenum type, const void *const* indices, GLsizei primcount), (mode, count, type, indices, primcount))
GEN_THUNKS(glMultiDrawElementsIndirect, (GLenum mode, GLenum type, const void * indirect, GLsizei drawcount, GLsizei stride), (mode, type, indirect, drawcount, stride))
GEN_THUNKS(glMultiDrawElementsIndirectAMD, (GLenum mode, GLenum type, const void * indirect, GLsizei primcount, GLsizei stride), (mode, type, indirect, primcount, stride))
GEN_THUNKS(glMultiDrawElementsIndirectBindlessNV, (GLenum mode, GLenum type, const void * indirect, GLsizei drawCount, GLsizei stride, GLint vertexBufferCount), (mode, type, indirect, drawCount, stride, vertexBufferCount))
GEN_THUNKS(glMultiDrawElementsIndirectCountARB, (GLenum mode, GLenum type, GLintptr indirect, GLintptr drawcount, GLsizei maxdrawcount, GLsizei stride), (mode, type, indirect, drawcount, maxdrawcount, stride))
GEN_THUNKS(glMultiDrawRangeElementArrayAPPLE, (GLenum mode, GLuint start, GLuint end, const GLint * first, const GLsizei * count, GLsizei primcount), (mode, start, end, first, count, primcount))
GEN_THUNKS(glMultiModeDrawArraysIBM, (const GLenum * mode, const GLint * first, const GLsizei * count, GLsizei primcount, GLint modestride), (mode, first, count, primcount, modestride))
GEN_THUNKS(glMultiModeDrawElementsIBM, (const GLenum * mode, const GLsizei * count, GLenum type, const void *const* indices, GLsizei primcount, GLint modestride), (mode, count, type, indices, primcount, modestride))
GEN_THUNKS(glMultiTexBufferEXT, (GLenum texunit, GLenum target, GLenum internalformat, GLuint buffer), (texunit, target, internalformat, buffer))
GEN_THUNKS(glMultiTexCoord1bOES, (GLenum texture, GLbyte s), (texture, s))
GEN_THUNKS(glMultiTexCoord1bvOES, (GLenum texture, const GLbyte * coords), (texture, coords))
GEN_THUNKS(glMultiTexCoord1d, (GLenum target, GLdouble s), (target, s))
GEN_THUNKS(glMultiTexCoord1dARB, (GLenum target, GLdouble s), (target, s))
GEN_THUNKS(glMultiTexCoord1dv, (GLenum target, const GLdouble * v), (target, v))
GEN_THUNKS(glMultiTexCoord1dvARB, (GLenum target, const GLdouble * v), (target, v))
GEN_THUNKS(glMultiTexCoord1f, (GLenum target, GLfloat s), (target, s))
GEN_THUNKS(glMultiTexCoord1fARB, (GLenum target, GLfloat s), (target, s))
GEN_THUNKS(glMultiTexCoord1fv, (GLenum target, const GLfloat * v), (target, v))
GEN_THUNKS(glMultiTexCoord1fvARB, (GLenum target, const GLfloat * v), (target, v))
GEN_THUNKS(glMultiTexCoord1hNV, (GLenum target, GLhalfNV s), (target, s))
GEN_THUNKS(glMultiTexCoord1hvNV, (GLenum target, const GLhalfNV * v), (target, v))
GEN_THUNKS(glMultiTexCoord1i, (GLenum target, GLint s), (target, s))
GEN_THUNKS(glMultiTexCoord1iARB, (GLenum target, GLint s), (target, s))
GEN_THUNKS(glMultiTexCoord1iv, (GLenum target, const GLint * v), (target, v))
GEN_THUNKS(glMultiTexCoord1ivARB, (GLenum target, const GLint * v), (target, v))
GEN_THUNKS(glMultiTexCoord1s, (GLenum target, GLshort s), (target, s))
GEN_THUNKS(glMultiTexCoord1sARB, (GLenum target, GLshort s), (target, s))
GEN_THUNKS(glMultiTexCoord1sv, (GLenum target, const GLshort * v), (target, v))
GEN_THUNKS(glMultiTexCoord1svARB, (GLenum target, const GLshort * v), (target, v))
GEN_THUNKS(glMultiTexCoord1xOES, (GLenum texture, GLfixed s), (texture, s))
GEN_THUNKS(glMultiTexCoord1xvOES, (GLenum texture, const GLfixed * coords), (texture, coords))
GEN_THUNKS(glMultiTexCoord2bOES, (GLenum texture, GLbyte s, GLbyte t), (texture, s, t))
GEN_THUNKS(glMultiTexCoord2bvOES, (GLenum texture, const GLbyte * coords), (texture, coords))
GEN_THUNKS(glMultiTexCoord2d, (GLenum target, GLdouble s, GLdouble t), (target, s, t))
GEN_THUNKS(glMultiTexCoord2dARB, (GLenum target, GLdouble s, GLdouble t), (target, s, t))
GEN_THUNKS(glMultiTexCoord2dv, (GLenum target, const GLdouble * v), (target, v))
GEN_THUNKS(glMultiTexCoord2dvARB, (GLenum target, const GLdouble * v), (target, v))
GEN_THUNKS(glMultiTexCoord2f, (GLenum target, GLfloat s, GLfloat t), (target, s, t))
GEN_THUNKS(glMultiTexCoord2fARB, (GLenum target, GLfloat s, GLfloat t), (target, s, t))
GEN_THUNKS(glMultiTexCoord2fv, (GLenum target, const GLfloat * v), (target, v))
GEN_THUNKS(glMultiTexCoord2fvARB, (GLenum target, const GLfloat * v), (target, v))
GEN_THUNKS(glMultiTexCoord2hNV, (GLenum target, GLhalfNV s, GLhalfNV t), (target, s, t))
GEN_THUNKS(glMultiTexCoord2hvNV, (GLenum target, const GLhalfNV * v), (target, v))
GEN_THUNKS(glMultiTexCoord2i, (GLenum target, GLint s, GLint t), (target, s, t))
GEN_THUNKS(glMultiTexCoord2iARB, (GLenum target, GLint s, GLint t), (target, s, t))
GEN_THUNKS(glMultiTexCoord2iv, (GLenum target, const GLint * v), (target, v))
GEN_THUNKS(glMultiTexCoord2ivARB, (GLenum target, const GLint * v), (target, v))
GEN_THUNKS(glMultiTexCoord2s, (GLenum target, GLshort s, GLshort t), (target, s, t))
GEN_THUNKS(glMultiTexCoord2sARB, (GLenum target, GLshort s, GLshort t), (target, s, t))
GEN_THUNKS(glMultiTexCoord2sv, (GLenum target, const GLshort * v), (target, v))
GEN_THUNKS(glMultiTexCoord2svARB, (GLenum target, const GLshort * v), (target, v))
GEN_THUNKS(glMultiTexCoord2xOES, (GLenum texture, GLfixed s, GLfixed t), (texture, s, t))
GEN_THUNKS(glMultiTexCoord2xvOES, (GLenum texture, const GLfixed * coords), (texture, coords))
GEN_THUNKS(glMultiTexCoord3bOES, (GLenum texture, GLbyte s, GLbyte t, GLbyte r), (texture, s, t, r))
GEN_THUNKS(glMultiTexCoord3bvOES, (GLenum texture, const GLbyte * coords), (texture, coords))
GEN_THUNKS(glMultiTexCoord3d, (GLenum target, GLdouble s, GLdouble t, GLdouble r), (target, s, t, r))
GEN_THUNKS(glMultiTexCoord3dARB, (GLenum target, GLdouble s, GLdouble t, GLdouble r), (target, s, t, r))
GEN_THUNKS(glMultiTexCoord3dv, (GLenum target, const GLdouble * v), (target, v))
GEN_THUNKS(glMultiTexCoord3dvARB, (GLenum target, const GLdouble * v), (target, v))
GEN_THUNKS(glMultiTexCoord3f, (GLenum target, GLfloat s, GLfloat t, GLfloat r), (target, s, t, r))
GEN_THUNKS(glMultiTexCoord3fARB, (GLenum target, GLfloat s, GLfloat t, GLfloat r), (target, s, t, r))
GEN_THUNKS(glMultiTexCoord3fv, (GLenum target, const GLfloat * v), (target, v))
GEN_THUNKS(glMultiTexCoord3fvARB, (GLenum target, const GLfloat * v), (target, v))
GEN_THUNKS(glMultiTexCoord3hNV, (GLenum target, GLhalfNV s, GLhalfNV t, GLhalfNV r), (target, s, t, r))
GEN_THUNKS(glMultiTexCoord3hvNV, (GLenum target, const GLhalfNV * v), (target, v))
GEN_THUNKS(glMultiTexCoord3i, (GLenum target, GLint s, GLint t, GLint r), (target, s, t, r))
GEN_THUNKS(glMultiTexCoord3iARB, (GLenum target, GLint s, GLint t, GLint r), (target, s, t, r))
GEN_THUNKS(glMultiTexCoord3iv, (GLenum target, const GLint * v), (target, v))
GEN_THUNKS(glMultiTexCoord3ivARB, (GLenum target, const GLint * v), (target, v))
GEN_THUNKS(glMultiTexCoord3s, (GLenum target, GLshort s, GLshort t, GLshort r), (target, s, t, r))
GEN_THUNKS(glMultiTexCoord3sARB, (GLenum target, GLshort s, GLshort t, GLshort r), (target, s, t, r))
GEN_THUNKS(glMultiTexCoord3sv, (GLenum target, const GLshort * v), (target, v))
GEN_THUNKS(glMultiTexCoord3svARB, (GLenum target, const GLshort * v), (target, v))
GEN_THUNKS(glMultiTexCoord3xOES, (GLenum texture, GLfixed s, GLfixed t, GLfixed r), (texture, s, t, r))
GEN_THUNKS(glMultiTexCoord3xvOES, (GLenum texture, const GLfixed * coords), (texture, coords))
GEN_THUNKS(glMultiTexCoord4bOES, (GLenum texture, GLbyte s, GLbyte t, GLbyte r, GLbyte q), (texture, s, t, r, q))
GEN_THUNKS(glMultiTexCoord4bvOES, (GLenum texture, const GLbyte * coords), (texture, coords))
GEN_THUNKS(glMultiTexCoord4d, (GLenum target, GLdouble s, GLdouble t, GLdouble r, GLdouble q), (target, s, t, r, q))
GEN_THUNKS(glMultiTexCoord4dARB, (GLenum target, GLdouble s, GLdouble t, GLdouble r, GLdouble q), (target, s, t, r, q))
GEN_THUNKS(glMultiTexCoord4dv, (GLenum target, const GLdouble * v), (target, v))
GEN_THUNKS(glMultiTexCoord4dvARB, (GLenum target, const GLdouble * v), (target, v))
GEN_THUNKS(glMultiTexCoord4f, (GLenum target, GLfloat s, GLfloat t, GLfloat r, GLfloat q), (target, s, t, r, q))
GEN_THUNKS(glMultiTexCoord4fARB, (GLenum target, GLfloat s, GLfloat t, GLfloat r, GLfloat q), (target, s, t, r, q))
GEN_THUNKS(glMultiTexCoord4fv, (GLenum target, const GLfloat * v), (target, v))
GEN_THUNKS(glMultiTexCoord4fvARB, (GLenum target, const GLfloat * v), (target, v))
GEN_THUNKS(glMultiTexCoord4hNV, (GLenum target, GLhalfNV s, GLhalfNV t, GLhalfNV r, GLhalfNV q), (target, s, t, r, q))
GEN_THUNKS(glMultiTexCoord4hvNV, (GLenum target, const GLhalfNV * v), (target, v))
GEN_THUNKS(glMultiTexCoord4i, (GLenum target, GLint s, GLint t, GLint r, GLint q), (target, s, t, r, q))
GEN_THUNKS(glMultiTexCoord4iARB, (GLenum target, GLint s, GLint t, GLint r, GLint q), (target, s, t, r, q))
GEN_THUNKS(glMultiTexCoord4iv, (GLenum target, const GLint * v), (target, v))
GEN_THUNKS(glMultiTexCoord4ivARB, (GLenum target, const GLint * v), (target, v))
GEN_THUNKS(glMultiTexCoord4s, (GLenum target, GLshort s, GLshort t, GLshort r, GLshort q), (target, s, t, r, q))
GEN_THUNKS(glMultiTexCoord4sARB, (GLenum target, GLshort s, GLshort t, GLshort r, GLshort q), (target, s, t, r, q))
GEN_THUNKS(glMultiTexCoord4sv, (GLenum target, const GLshort * v), (target, v))
GEN_THUNKS(glMultiTexCoord4svARB, (GLenum target, const GLshort * v), (target, v))
GEN_THUNKS(glMultiTexCoord4x, (GLenum texture, GLfixed s, GLfixed t, GLfixed r, GLfixed q), (texture, s, t, r, q))
GEN_THUNKS(glMultiTexCoord4xOES, (GLenum texture, GLfixed s, GLfixed t, GLfixed r, GLfixed q), (texture, s, t, r, q))
GEN_THUNKS(glMultiTexCoord4xvOES, (GLenum texture, const GLfixed * coords), (texture, coords))
GEN_THUNKS(glMultiTexCoordP1ui, (GLenum texture, GLenum type, GLuint coords), (texture, type, coords))
GEN_THUNKS(glMultiTexCoordP1uiv, (GLenum texture, GLenum type, const GLuint * coords), (texture, type, coords))
GEN_THUNKS(glMultiTexCoordP2ui, (GLenum texture, GLenum type, GLuint coords), (texture, type, coords))
GEN_THUNKS(glMultiTexCoordP2uiv, (GLenum texture, GLenum type, const GLuint * coords), (texture, type, coords))
GEN_THUNKS(glMultiTexCoordP3ui, (GLenum texture, GLenum type, GLuint coords), (texture, type, coords))
GEN_THUNKS(glMultiTexCoordP3uiv, (GLenum texture, GLenum type, const GLuint * coords), (texture, type, coords))
GEN_THUNKS(glMultiTexCoordP4ui, (GLenum texture, GLenum type, GLuint coords), (texture, type, coords))
GEN_THUNKS(glMultiTexCoordP4uiv, (GLenum texture, GLenum type, const GLuint * coords), (texture, type, coords))
GEN_THUNKS(glMultiTexCoordPointerEXT, (GLenum texunit, GLint size, GLenum type, GLsizei stride, const void * pointer), (texunit, size, type, stride, pointer))
GEN_THUNKS(glMultiTexEnvfEXT, (GLenum texunit, GLenum target, GLenum pname, GLfloat param), (texunit, target, pname, param))
GEN_THUNKS(glMultiTexEnvfvEXT, (GLenum texunit, GLenum target, GLenum pname, const GLfloat * params), (texunit, target, pname, params))
GEN_THUNKS(glMultiTexEnviEXT, (GLenum texunit, GLenum target, GLenum pname, GLint param), (texunit, target, pname, param))
GEN_THUNKS(glMultiTexEnvivEXT, (GLenum texunit, GLenum target, GLenum pname, const GLint * params), (texunit, target, pname, params))
GEN_THUNKS(glMultiTexGendEXT, (GLenum texunit, GLenum coord, GLenum pname, GLdouble param), (texunit, coord, pname, param))
GEN_THUNKS(glMultiTexGendvEXT, (GLenum texunit, GLenum coord, GLenum pname, const GLdouble * params), (texunit, coord, pname, params))
GEN_THUNKS(glMultiTexGenfEXT, (GLenum texunit, GLenum coord, GLenum pname, GLfloat param), (texunit, coord, pname, param))
GEN_THUNKS(glMultiTexGenfvEXT, (GLenum texunit, GLenum coord, GLenum pname, const GLfloat * params), (texunit, coord, pname, params))
GEN_THUNKS(glMultiTexGeniEXT, (GLenum texunit, GLenum coord, GLenum pname, GLint param), (texunit, coord, pname, param))
GEN_THUNKS(glMultiTexGenivEXT, (GLenum texunit, GLenum coord, GLenum pname, const GLint * params), (texunit, coord, pname, params))
GEN_THUNKS(glMultiTexImage1DEXT, (GLenum texunit, GLenum target, GLint level, GLint internalformat, GLsizei width, GLint border, GLenum format, GLenum type, const void * pixels), (texunit, target, level, internalformat, width, border, format, type, pixels))
GEN_THUNKS(glMultiTexImage2DEXT, (GLenum texunit, GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const void * pixels), (texunit, target, level, internalformat, width, height, border, format, type, pixels))
GEN_THUNKS(glMultiTexImage3DEXT, (GLenum texunit, GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const void * pixels), (texunit, target, level, internalformat, width, height, depth, border, format, type, pixels))
GEN_THUNKS(glMultiTexParameterIivEXT, (GLenum texunit, GLenum target, GLenum pname, const GLint * params), (texunit, target, pname, params))
GEN_THUNKS(glMultiTexParameterIuivEXT, (GLenum texunit, GLenum target, GLenum pname, const GLuint * params), (texunit, target, pname, params))
GEN_THUNKS(glMultiTexParameterfEXT, (GLenum texunit, GLenum target, GLenum pname, GLfloat param), (texunit, target, pname, param))
GEN_THUNKS(glMultiTexParameterfvEXT, (GLenum texunit, GLenum target, GLenum pname, const GLfloat * params), (texunit, target, pname, params))
GEN_THUNKS(glMultiTexParameteriEXT, (GLenum texunit, GLenum target, GLenum pname, GLint param), (texunit, target, pname, param))
GEN_THUNKS(glMultiTexParameterivEXT, (GLenum texunit, GLenum target, GLenum pname, const GLint * params), (texunit, target, pname, params))
GEN_THUNKS(glMultiTexRenderbufferEXT, (GLenum texunit, GLenum target, GLuint renderbuffer), (texunit, target, renderbuffer))
GEN_THUNKS(glMultiTexSubImage1DEXT, (GLenum texunit, GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const void * pixels), (texunit, target, level, xoffset, width, format, type, pixels))
GEN_THUNKS(glMultiTexSubImage2DEXT, (GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * pixels), (texunit, target, level, xoffset, yoffset, width, height, format, type, pixels))
GEN_THUNKS(glMultiTexSubImage3DEXT, (GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const void * pixels), (texunit, target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, pixels))
GEN_THUNKS(glNamedBufferDataEXT, (GLuint buffer, GLsizeiptr size, const void * data, GLenum usage), (buffer, size, data, usage))
GEN_THUNKS(glNamedBufferStorageEXT, (GLuint buffer, GLsizeiptr size, const void * data, GLbitfield flags), (buffer, size, data, flags))
GEN_THUNKS(glNamedBufferSubDataEXT, (GLuint buffer, GLintptr offset, GLsizeiptr size, const void * data), (buffer, offset, size, data))
GEN_THUNKS(glNamedCopyBufferSubDataEXT, (GLuint readBuffer, GLuint writeBuffer, GLintptr readOffset, GLintptr writeOffset, GLsizeiptr size), (readBuffer, writeBuffer, readOffset, writeOffset, size))
GEN_THUNKS(glNamedFramebufferParameteriEXT, (GLuint framebuffer, GLenum pname, GLint param), (framebuffer, pname, param))
GEN_THUNKS(glNamedFramebufferRenderbufferEXT, (GLuint framebuffer, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer), (framebuffer, attachment, renderbuffertarget, renderbuffer))
GEN_THUNKS(glNamedFramebufferTexture1DEXT, (GLuint framebuffer, GLenum attachment, GLenum textarget, GLuint texture, GLint level), (framebuffer, attachment, textarget, texture, level))
GEN_THUNKS(glNamedFramebufferTexture2DEXT, (GLuint framebuffer, GLenum attachment, GLenum textarget, GLuint texture, GLint level), (framebuffer, attachment, textarget, texture, level))
GEN_THUNKS(glNamedFramebufferTexture3DEXT, (GLuint framebuffer, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLint zoffset), (framebuffer, attachment, textarget, texture, level, zoffset))
GEN_THUNKS(glNamedFramebufferTextureEXT, (GLuint framebuffer, GLenum attachment, GLuint texture, GLint level), (framebuffer, attachment, texture, level))
GEN_THUNKS(glNamedFramebufferTextureFaceEXT, (GLuint framebuffer, GLenum attachment, GLuint texture, GLint level, GLenum face), (framebuffer, attachment, texture, level, face))
GEN_THUNKS(glNamedFramebufferTextureLayerEXT, (GLuint framebuffer, GLenum attachment, GLuint texture, GLint level, GLint layer), (framebuffer, attachment, texture, level, layer))
GEN_THUNKS(glNamedProgramLocalParameter4dEXT, (GLuint program, GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w), (program, target, index, x, y, z, w))
GEN_THUNKS(glNamedProgramLocalParameter4dvEXT, (GLuint program, GLenum target, GLuint index, const GLdouble * params), (program, target, index, params))
GEN_THUNKS(glNamedProgramLocalParameter4fEXT, (GLuint program, GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w), (program, target, index, x, y, z, w))
GEN_THUNKS(glNamedProgramLocalParameter4fvEXT, (GLuint program, GLenum target, GLuint index, const GLfloat * params), (program, target, index, params))
GEN_THUNKS(glNamedProgramLocalParameterI4iEXT, (GLuint program, GLenum target, GLuint index, GLint x, GLint y, GLint z, GLint w), (program, target, index, x, y, z, w))
GEN_THUNKS(glNamedProgramLocalParameterI4ivEXT, (GLuint program, GLenum target, GLuint index, const GLint * params), (program, target, index, params))
GEN_THUNKS(glNamedProgramLocalParameterI4uiEXT, (GLuint program, GLenum target, GLuint index, GLuint x, GLuint y, GLuint z, GLuint w), (program, target, index, x, y, z, w))
GEN_THUNKS(glNamedProgramLocalParameterI4uivEXT, (GLuint program, GLenum target, GLuint index, const GLuint * params), (program, target, index, params))
GEN_THUNKS(glNamedProgramLocalParameters4fvEXT, (GLuint program, GLenum target, GLuint index, GLsizei count, const GLfloat * params), (program, target, index, count, params))
GEN_THUNKS(glNamedProgramLocalParametersI4ivEXT, (GLuint program, GLenum target, GLuint index, GLsizei count, const GLint * params), (program, target, index, count, params))
GEN_THUNKS(glNamedProgramLocalParametersI4uivEXT, (GLuint program, GLenum target, GLuint index, GLsizei count, const GLuint * params), (program, target, index, count, params))
GEN_THUNKS(glNamedProgramStringEXT, (GLuint program, GLenum target, GLenum format, GLsizei len, const void * string), (program, target, format, len, string))
GEN_THUNKS(glNamedRenderbufferStorageEXT, (GLuint renderbuffer, GLenum internalformat, GLsizei width, GLsizei height), (renderbuffer, internalformat, width, height))
GEN_THUNKS(glNamedRenderbufferStorageMultisampleCoverageEXT, (GLuint renderbuffer, GLsizei coverageSamples, GLsizei colorSamples, GLenum internalformat, GLsizei width, GLsizei height), (renderbuffer, coverageSamples, colorSamples, internalformat, width, height))
GEN_THUNKS(glNamedRenderbufferStorageMultisampleEXT, (GLuint renderbuffer, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height), (renderbuffer, samples, internalformat, width, height))
GEN_THUNKS(glNamedStringARB, (GLenum type, GLint namelen, const GLchar * name, GLint stringlen, const GLchar * string), (type, namelen, name, stringlen, string))
GEN_THUNKS(glNewList, (GLuint list, GLenum mode), (list, mode))
GEN_THUNKS_RET(GLuint, glNewObjectBufferATI, (GLsizei size, const void * pointer, GLenum usage), (size, pointer, usage))
GEN_THUNKS(glNormal3b, (GLbyte nx, GLbyte ny, GLbyte nz), (nx, ny, nz))
GEN_THUNKS(glNormal3bv, (const GLbyte * v), (v))
GEN_THUNKS(glNormal3d, (GLdouble nx, GLdouble ny, GLdouble nz), (nx, ny, nz))
GEN_THUNKS(glNormal3dv, (const GLdouble * v), (v))
GEN_THUNKS(glNormal3f, (GLfloat nx, GLfloat ny, GLfloat nz), (nx, ny, nz))
GEN_THUNKS(glNormal3fVertex3fSUN, (GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z), (nx, ny, nz, x, y, z))
GEN_THUNKS(glNormal3fVertex3fvSUN, (const GLfloat * n, const GLfloat * v), (n, v))
GEN_THUNKS(glNormal3fv, (const GLfloat * v), (v))
GEN_THUNKS(glNormal3hNV, (GLhalfNV nx, GLhalfNV ny, GLhalfNV nz), (nx, ny, nz))
GEN_THUNKS(glNormal3hvNV, (const GLhalfNV * v), (v))
GEN_THUNKS(glNormal3i, (GLint nx, GLint ny, GLint nz), (nx, ny, nz))
GEN_THUNKS(glNormal3iv, (const GLint * v), (v))
GEN_THUNKS(glNormal3s, (GLshort nx, GLshort ny, GLshort nz), (nx, ny, nz))
GEN_THUNKS(glNormal3sv, (const GLshort * v), (v))
GEN_THUNKS(glNormal3x, (GLfixed nx, GLfixed ny, GLfixed nz), (nx, ny, nz))
GEN_THUNKS(glNormal3xOES, (GLfixed nx, GLfixed ny, GLfixed nz), (nx, ny, nz))
GEN_THUNKS(glNormal3xvOES, (const GLfixed * coords), (coords))
GEN_THUNKS(glNormalFormatNV, (GLenum type, GLsizei stride), (type, stride))
GEN_THUNKS(glNormalP3ui, (GLenum type, GLuint coords), (type, coords))
GEN_THUNKS(glNormalP3uiv, (GLenum type, const GLuint * coords), (type, coords))
GEN_THUNKS(glNormalPointer, (GLenum type, GLsizei stride, const void * pointer), (type, stride, pointer))
GEN_THUNKS(glNormalPointerEXT, (GLenum type, GLsizei stride, GLsizei count, const void * pointer), (type, stride, count, pointer))
GEN_THUNKS(glNormalPointerListIBM, (GLenum type, GLint stride, const void ** pointer, GLint ptrstride), (type, stride, pointer, ptrstride))
GEN_THUNKS(glNormalPointervINTEL, (GLenum type, const void ** pointer), (type, pointer))
GEN_THUNKS(glNormalStream3bATI, (GLenum stream, GLbyte nx, GLbyte ny, GLbyte nz), (stream, nx, ny, nz))
GEN_THUNKS(glNormalStream3bvATI, (GLenum stream, const GLbyte * coords), (stream, coords))
GEN_THUNKS(glNormalStream3dATI, (GLenum stream, GLdouble nx, GLdouble ny, GLdouble nz), (stream, nx, ny, nz))
GEN_THUNKS(glNormalStream3dvATI, (GLenum stream, const GLdouble * coords), (stream, coords))
GEN_THUNKS(glNormalStream3fATI, (GLenum stream, GLfloat nx, GLfloat ny, GLfloat nz), (stream, nx, ny, nz))
GEN_THUNKS(glNormalStream3fvATI, (GLenum stream, const GLfloat * coords), (stream, coords))
GEN_THUNKS(glNormalStream3iATI, (GLenum stream, GLint nx, GLint ny, GLint nz), (stream, nx, ny, nz))
GEN_THUNKS(glNormalStream3ivATI, (GLenum stream, const GLint * coords), (stream, coords))
GEN_THUNKS(glNormalStream3sATI, (GLenum stream, GLshort nx, GLshort ny, GLshort nz), (stream, nx, ny, nz))
GEN_THUNKS(glNormalStream3svATI, (GLenum stream, const GLshort * coords), (stream, coords))
GEN_THUNKS(glObjectLabel, (GLenum identifier, GLuint name, GLsizei length, const GLchar * label), (identifier, name, length, label))
GEN_THUNKS(glObjectLabelKHR, (GLenum identifier, GLuint name, GLsizei length, const GLchar * label), (identifier, name, length, label))
GEN_THUNKS(glObjectPtrLabel, (const void * ptr, GLsizei length, const GLchar * label), (ptr, length, label))
GEN_THUNKS(glObjectPtrLabelKHR, (const void * ptr, GLsizei length, const GLchar * label), (ptr, length, label))
GEN_THUNKS_RET(GLenum, glObjectPurgeableAPPLE, (GLenum objectType, GLuint name, GLenum option), (objectType, name, option))
GEN_THUNKS_RET(GLenum, glObjectUnpurgeableAPPLE, (GLenum objectType, GLuint name, GLenum option), (objectType, name, option))
GEN_THUNKS(glOrtho, (GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar), (left, right, bottom, top, zNear, zFar))
GEN_THUNKS(glOrthof, (GLfloat l, GLfloat r, GLfloat b, GLfloat t, GLfloat n, GLfloat f), (l, r, b, t, n, f))
GEN_THUNKS(glOrthofOES, (GLfloat l, GLfloat r, GLfloat b, GLfloat t, GLfloat n, GLfloat f), (l, r, b, t, n, f))
GEN_THUNKS(glOrthox, (GLfixed l, GLfixed r, GLfixed b, GLfixed t, GLfixed n, GLfixed f), (l, r, b, t, n, f))
GEN_THUNKS(glOrthoxOES, (GLfixed l, GLfixed r, GLfixed b, GLfixed t, GLfixed n, GLfixed f), (l, r, b, t, n, f))
GEN_THUNKS(glPNTrianglesfATI, (GLenum pname, GLfloat param), (pname, param))
GEN_THUNKS(glPNTrianglesiATI, (GLenum pname, GLint param), (pname, param))
GEN_THUNKS(glPassTexCoordATI, (GLuint dst, GLuint coord, GLenum swizzle), (dst, coord, swizzle))
GEN_THUNKS(glPassThrough, (GLfloat token), (token))
GEN_THUNKS(glPassThroughxOES, (GLfixed token), (token))
GEN_THUNKS(glPatchParameterfv, (GLenum pname, const GLfloat * values), (pname, values))
GEN_THUNKS(glPatchParameteri, (GLenum pname, GLint value), (pname, value))
GEN_THUNKS(glPathColorGenNV, (GLenum color, GLenum genMode, GLenum colorFormat, const GLfloat * coeffs), (color, genMode, colorFormat, coeffs))
GEN_THUNKS(glPathCommandsNV, (GLuint path, GLsizei numCommands, const GLubyte * commands, GLsizei numCoords, GLenum coordType, const void * coords), (path, numCommands, commands, numCoords, coordType, coords))
GEN_THUNKS(glPathCoordsNV, (GLuint path, GLsizei numCoords, GLenum coordType, const void * coords), (path, numCoords, coordType, coords))
GEN_THUNKS(glPathCoverDepthFuncNV, (GLenum func), (func))
GEN_THUNKS(glPathDashArrayNV, (GLuint path, GLsizei dashCount, const GLfloat * dashArray), (path, dashCount, dashArray))
GEN_THUNKS(glPathFogGenNV, (GLenum genMode), (genMode))
GEN_THUNKS(glPathGlyphRangeNV, (GLuint firstPathName, GLenum fontTarget, const void * fontName, GLbitfield fontStyle, GLuint firstGlyph, GLsizei numGlyphs, GLenum handleMissingGlyphs, GLuint pathParameterTemplate, GLfloat emScale), (firstPathName, fontTarget, fontName, fontStyle, firstGlyph, numGlyphs, handleMissingGlyphs, pathParameterTemplate, emScale))
GEN_THUNKS(glPathGlyphsNV, (GLuint firstPathName, GLenum fontTarget, const void * fontName, GLbitfield fontStyle, GLsizei numGlyphs, GLenum type, const void * charcodes, GLenum handleMissingGlyphs, GLuint pathParameterTemplate, GLfloat emScale), (firstPathName, fontTarget, fontName, fontStyle, numGlyphs, type, charcodes, handleMissingGlyphs, pathParameterTemplate, emScale))
GEN_THUNKS(glPathParameterfNV, (GLuint path, GLenum pname, GLfloat value), (path, pname, value))
GEN_THUNKS(glPathParameterfvNV, (GLuint path, GLenum pname, const GLfloat * value), (path, pname, value))
GEN_THUNKS(glPathParameteriNV, (GLuint path, GLenum pname, GLint value), (path, pname, value))
GEN_THUNKS(glPathParameterivNV, (GLuint path, GLenum pname, const GLint * value), (path, pname, value))
GEN_THUNKS(glPathStencilDepthOffsetNV, (GLfloat factor, GLfloat units), (factor, units))
GEN_THUNKS(glPathStencilFuncNV, (GLenum func, GLint ref, GLuint mask), (func, ref, mask))
GEN_THUNKS(glPathStringNV, (GLuint path, GLenum format, GLsizei length, const void * pathString), (path, format, length, pathString))
GEN_THUNKS(glPathSubCommandsNV, (GLuint path, GLsizei commandStart, GLsizei commandsToDelete, GLsizei numCommands, const GLubyte * commands, GLsizei numCoords, GLenum coordType, const void * coords), (path, commandStart, commandsToDelete, numCommands, commands, numCoords, coordType, coords))
GEN_THUNKS(glPathSubCoordsNV, (GLuint path, GLsizei coordStart, GLsizei numCoords, GLenum coordType, const void * coords), (path, coordStart, numCoords, coordType, coords))
GEN_THUNKS(glPathTexGenNV, (GLenum texCoordSet, GLenum genMode, GLint components, const GLfloat * coeffs), (texCoordSet, genMode, components, coeffs))
GEN_THUNKS(glPauseTransformFeedback, (void), ())
GEN_THUNKS(glPauseTransformFeedbackNV, (void), ())
GEN_THUNKS(glPixelDataRangeNV, (GLenum target, GLsizei length, const void * pointer), (target, length, pointer))
GEN_THUNKS(glPixelMapfv, (GLenum map, GLsizei mapsize, const GLfloat * values), (map, mapsize, values))
GEN_THUNKS(glPixelMapuiv, (GLenum map, GLsizei mapsize, const GLuint * values), (map, mapsize, values))
GEN_THUNKS(glPixelMapusv, (GLenum map, GLsizei mapsize, const GLushort * values), (map, mapsize, values))
GEN_THUNKS(glPixelMapx, (GLenum map, GLint size, const GLfixed * values), (map, size, values))
GEN_THUNKS(glPixelStoref, (GLenum pname, GLfloat param), (pname, param))
GEN_THUNKS(glPixelStorei, (GLenum pname, GLint param), (pname, param))
GEN_THUNKS(glPixelStorex, (GLenum pname, GLfixed param), (pname, param))
GEN_THUNKS(glPixelTexGenParameterfSGIS, (GLenum pname, GLfloat param), (pname, param))
GEN_THUNKS(glPixelTexGenParameterfvSGIS, (GLenum pname, const GLfloat * params), (pname, params))
GEN_THUNKS(glPixelTexGenParameteriSGIS, (GLenum pname, GLint param), (pname, param))
GEN_THUNKS(glPixelTexGenParameterivSGIS, (GLenum pname, const GLint * params), (pname, params))
GEN_THUNKS(glPixelTexGenSGIX, (GLenum mode), (mode))
GEN_THUNKS(glPixelTransferf, (GLenum pname, GLfloat param), (pname, param))
GEN_THUNKS(glPixelTransferi, (GLenum pname, GLint param), (pname, param))
GEN_THUNKS(glPixelTransferxOES, (GLenum pname, GLfixed param), (pname, param))
GEN_THUNKS(glPixelTransformParameterfEXT, (GLenum target, GLenum pname, GLfloat param), (target, pname, param))
GEN_THUNKS(glPixelTransformParameterfvEXT, (GLenum target, GLenum pname, const GLfloat * params), (target, pname, params))
GEN_THUNKS(glPixelTransformParameteriEXT, (GLenum target, GLenum pname, GLint param), (target, pname, param))
GEN_THUNKS(glPixelTransformParameterivEXT, (GLenum target, GLenum pname, const GLint * params), (target, pname, params))
GEN_THUNKS(glPixelZoom, (GLfloat xfactor, GLfloat yfactor), (xfactor, yfactor))
GEN_THUNKS(glPixelZoomxOES, (GLfixed xfactor, GLfixed yfactor), (xfactor, yfactor))
GEN_THUNKS_RET(GLboolean, glPointAlongPathNV, (GLuint path, GLsizei startSegment, GLsizei numSegments, GLfloat distance, GLfloat * x, GLfloat * y, GLfloat * tangentX, GLfloat * tangentY), (path, startSegment, numSegments, distance, x, y, tangentX, tangentY))
GEN_THUNKS(glPointParameterf, (GLenum pname, GLfloat param), (pname, param))
GEN_THUNKS(glPointParameterfARB, (GLenum pname, GLfloat param), (pname, param))
GEN_THUNKS(glPointParameterfEXT, (GLenum pname, GLfloat param), (pname, param))
GEN_THUNKS(glPointParameterfSGIS, (GLenum pname, GLfloat param), (pname, param))
GEN_THUNKS(glPointParameterfv, (GLenum pname, const GLfloat * params), (pname, params))
GEN_THUNKS(glPointParameterfvARB, (GLenum pname, const GLfloat * params), (pname, params))
GEN_THUNKS(glPointParameterfvEXT, (GLenum pname, const GLfloat * params), (pname, params))
GEN_THUNKS(glPointParameterfvSGIS, (GLenum pname, const GLfloat * params), (pname, params))
GEN_THUNKS(glPointParameteri, (GLenum pname, GLint param), (pname, param))
GEN_THUNKS(glPointParameteriNV, (GLenum pname, GLint param), (pname, param))
GEN_THUNKS(glPointParameteriv, (GLenum pname, const GLint * params), (pname, params))
GEN_THUNKS(glPointParameterivNV, (GLenum pname, const GLint * params), (pname, params))
GEN_THUNKS(glPointParameterx, (GLenum pname, GLfixed param), (pname, param))
GEN_THUNKS(glPointParameterxOES, (GLenum pname, GLfixed param), (pname, param))
GEN_THUNKS(glPointParameterxv, (GLenum pname, const GLfixed * params), (pname, params))
GEN_THUNKS(glPointParameterxvOES, (GLenum pname, const GLfixed * params), (pname, params))
GEN_THUNKS(glPointSize, (GLfloat size), (size))
GEN_THUNKS(glPointSizePointerOES, (GLenum type, GLsizei stride, const void * pointer), (type, stride, pointer))
GEN_THUNKS(glPointSizex, (GLfixed size), (size))
GEN_THUNKS(glPointSizexOES, (GLfixed size), (size))
GEN_THUNKS_RET(GLint, glPollAsyncSGIX, (GLuint * markerp), (markerp))
GEN_THUNKS_RET(GLint, glPollInstrumentsSGIX, (GLint * marker_p), (marker_p))
GEN_THUNKS(glPolygonMode, (GLenum face, GLenum mode), (face, mode))
GEN_THUNKS(glPolygonOffset, (GLfloat factor, GLfloat units), (factor, units))
GEN_THUNKS(glPolygonOffsetEXT, (GLfloat factor, GLfloat bias), (factor, bias))
GEN_THUNKS(glPolygonOffsetx, (GLfixed factor, GLfixed units), (factor, units))
GEN_THUNKS(glPolygonOffsetxOES, (GLfixed factor, GLfixed units), (factor, units))
GEN_THUNKS(glPolygonStipple, (const GLubyte * mask), (mask))
GEN_THUNKS(glPopAttrib, (void), ())
GEN_THUNKS(glPopClientAttrib, (void), ())
GEN_THUNKS(glPopDebugGroup, (void), ())
GEN_THUNKS(glPopDebugGroupKHR, (void), ())
GEN_THUNKS(glPopGroupMarkerEXT, (void), ())
GEN_THUNKS(glPopMatrix, (void), ())
GEN_THUNKS(glPopName, (void), ())
GEN_THUNKS(glPresentFrameDualFillNV, (GLuint video_slot, GLuint64EXT minPresentTime, GLuint beginPresentTimeId, GLuint presentDurationId, GLenum type, GLenum target0, GLuint fill0, GLenum target1, GLuint fill1, GLenum target2, GLuint fill2, GLenum target3, GLuint fill3), (video_slot, minPresentTime, beginPresentTimeId, presentDurationId, type, target0, fill0, target1, fill1, target2, fill2, target3, fill3))
GEN_THUNKS(glPresentFrameKeyedNV, (GLuint video_slot, GLuint64EXT minPresentTime, GLuint beginPresentTimeId, GLuint presentDurationId, GLenum type, GLenum target0, GLuint fill0, GLuint key0, GLenum target1, GLuint fill1, GLuint key1), (video_slot, minPresentTime, beginPresentTimeId, presentDurationId, type, target0, fill0, key0, target1, fill1, key1))
GEN_THUNKS(glPrimitiveRestartIndex, (GLuint index), (index))
GEN_THUNKS(glPrimitiveRestartIndexNV, (GLuint index), (index))
GEN_THUNKS(glPrimitiveRestartNV, (void), ())
GEN_THUNKS(glPrioritizeTextures, (GLsizei n, const GLuint * textures, const GLfloat * priorities), (n, textures, priorities))
GEN_THUNKS(glPrioritizeTexturesEXT, (GLsizei n, const GLuint * textures, const GLclampf * priorities), (n, textures, priorities))
GEN_THUNKS(glPrioritizeTexturesxOES, (GLsizei n, const GLuint * textures, const GLfixed * priorities), (n, textures, priorities))
GEN_THUNKS(glProgramBinary, (GLuint program, GLenum binaryFormat, const void * binary, GLsizei length), (program, binaryFormat, binary, length))
GEN_THUNKS(glProgramBinaryOES, (GLuint program, GLenum binaryFormat, const void * binary, GLint length), (program, binaryFormat, binary, length))
GEN_THUNKS(glProgramBufferParametersIivNV, (GLenum target, GLuint bindingIndex, GLuint wordIndex, GLsizei count, const GLint * params), (target, bindingIndex, wordIndex, count, params))
GEN_THUNKS(glProgramBufferParametersIuivNV, (GLenum target, GLuint bindingIndex, GLuint wordIndex, GLsizei count, const GLuint * params), (target, bindingIndex, wordIndex, count, params))
GEN_THUNKS(glProgramBufferParametersfvNV, (GLenum target, GLuint bindingIndex, GLuint wordIndex, GLsizei count, const GLfloat * params), (target, bindingIndex, wordIndex, count, params))
GEN_THUNKS(glProgramEnvParameter4dARB, (GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w), (target, index, x, y, z, w))
GEN_THUNKS(glProgramEnvParameter4dvARB, (GLenum target, GLuint index, const GLdouble * params), (target, index, params))
GEN_THUNKS(glProgramEnvParameter4fARB, (GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w), (target, index, x, y, z, w))
GEN_THUNKS(glProgramEnvParameter4fvARB, (GLenum target, GLuint index, const GLfloat * params), (target, index, params))
GEN_THUNKS(glProgramEnvParameterI4iNV, (GLenum target, GLuint index, GLint x, GLint y, GLint z, GLint w), (target, index, x, y, z, w))
GEN_THUNKS(glProgramEnvParameterI4ivNV, (GLenum target, GLuint index, const GLint * params), (target, index, params))
GEN_THUNKS(glProgramEnvParameterI4uiNV, (GLenum target, GLuint index, GLuint x, GLuint y, GLuint z, GLuint w), (target, index, x, y, z, w))
GEN_THUNKS(glProgramEnvParameterI4uivNV, (GLenum target, GLuint index, const GLuint * params), (target, index, params))
GEN_THUNKS(glProgramEnvParameters4fvEXT, (GLenum target, GLuint index, GLsizei count, const GLfloat * params), (target, index, count, params))
GEN_THUNKS(glProgramEnvParametersI4ivNV, (GLenum target, GLuint index, GLsizei count, const GLint * params), (target, index, count, params))
GEN_THUNKS(glProgramEnvParametersI4uivNV, (GLenum target, GLuint index, GLsizei count, const GLuint * params), (target, index, count, params))
GEN_THUNKS(glProgramLocalParameter4dARB, (GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w), (target, index, x, y, z, w))
GEN_THUNKS(glProgramLocalParameter4dvARB, (GLenum target, GLuint index, const GLdouble * params), (target, index, params))
GEN_THUNKS(glProgramLocalParameter4fARB, (GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w), (target, index, x, y, z, w))
GEN_THUNKS(glProgramLocalParameter4fvARB, (GLenum target, GLuint index, const GLfloat * params), (target, index, params))
GEN_THUNKS(glProgramLocalParameterI4iNV, (GLenum target, GLuint index, GLint x, GLint y, GLint z, GLint w), (target, index, x, y, z, w))
GEN_THUNKS(glProgramLocalParameterI4ivNV, (GLenum target, GLuint index, const GLint * params), (target, index, params))
GEN_THUNKS(glProgramLocalParameterI4uiNV, (GLenum target, GLuint index, GLuint x, GLuint y, GLuint z, GLuint w), (target, index, x, y, z, w))
GEN_THUNKS(glProgramLocalParameterI4uivNV, (GLenum target, GLuint index, const GLuint * params), (target, index, params))
GEN_THUNKS(glProgramLocalParameters4fvEXT, (GLenum target, GLuint index, GLsizei count, const GLfloat * params), (target, index, count, params))
GEN_THUNKS(glProgramLocalParametersI4ivNV, (GLenum target, GLuint index, GLsizei count, const GLint * params), (target, index, count, params))
GEN_THUNKS(glProgramLocalParametersI4uivNV, (GLenum target, GLuint index, GLsizei count, const GLuint * params), (target, index, count, params))
GEN_THUNKS(glProgramNamedParameter4dNV, (GLuint id, GLsizei len, const GLubyte * name, GLdouble x, GLdouble y, GLdouble z, GLdouble w), (id, len, name, x, y, z, w))
GEN_THUNKS(glProgramNamedParameter4dvNV, (GLuint id, GLsizei len, const GLubyte * name, const GLdouble * v), (id, len, name, v))
GEN_THUNKS(glProgramNamedParameter4fNV, (GLuint id, GLsizei len, const GLubyte * name, GLfloat x, GLfloat y, GLfloat z, GLfloat w), (id, len, name, x, y, z, w))
GEN_THUNKS(glProgramNamedParameter4fvNV, (GLuint id, GLsizei len, const GLubyte * name, const GLfloat * v), (id, len, name, v))
GEN_THUNKS(glProgramParameter4dNV, (GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w), (target, index, x, y, z, w))
GEN_THUNKS(glProgramParameter4dvNV, (GLenum target, GLuint index, const GLdouble * v), (target, index, v))
GEN_THUNKS(glProgramParameter4fNV, (GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w), (target, index, x, y, z, w))
GEN_THUNKS(glProgramParameter4fvNV, (GLenum target, GLuint index, const GLfloat * v), (target, index, v))
GEN_THUNKS(glProgramParameteri, (GLuint program, GLenum pname, GLint value), (program, pname, value))
GEN_THUNKS(glProgramParameteriARB, (GLuint program, GLenum pname, GLint value), (program, pname, value))
GEN_THUNKS(glProgramParameteriEXT, (GLuint program, GLenum pname, GLint value), (program, pname, value))
GEN_THUNKS(glProgramParameters4dvNV, (GLenum target, GLuint index, GLsizei count, const GLdouble * v), (target, index, count, v))
GEN_THUNKS(glProgramParameters4fvNV, (GLenum target, GLuint index, GLsizei count, const GLfloat * v), (target, index, count, v))
GEN_THUNKS(glProgramStringARB, (GLenum target, GLenum format, GLsizei len, const void * string), (target, format, len, string))
GEN_THUNKS(glProgramSubroutineParametersuivNV, (GLenum target, GLsizei count, const GLuint * params), (target, count, params))
GEN_THUNKS(glProgramUniform1d, (GLuint program, GLint location, GLdouble v0), (program, location, v0))
GEN_THUNKS(glProgramUniform1dEXT, (GLuint program, GLint location, GLdouble x), (program, location, x))
GEN_THUNKS(glProgramUniform1dv, (GLuint program, GLint location, GLsizei count, const GLdouble * value), (program, location, count, value))
GEN_THUNKS(glProgramUniform1dvEXT, (GLuint program, GLint location, GLsizei count, const GLdouble * value), (program, location, count, value))
GEN_THUNKS(glProgramUniform1f, (GLuint program, GLint location, GLfloat v0), (program, location, v0))
GEN_THUNKS(glProgramUniform1fEXT, (GLuint program, GLint location, GLfloat v0), (program, location, v0))
GEN_THUNKS(glProgramUniform1fv, (GLuint program, GLint location, GLsizei count, const GLfloat * value), (program, location, count, value))
GEN_THUNKS(glProgramUniform1fvEXT, (GLuint program, GLint location, GLsizei count, const GLfloat * value), (program, location, count, value))
GEN_THUNKS(glProgramUniform1i, (GLuint program, GLint location, GLint v0), (program, location, v0))
GEN_THUNKS(glProgramUniform1i64NV, (GLuint program, GLint location, GLint64EXT x), (program, location, x))
GEN_THUNKS(glProgramUniform1i64vNV, (GLuint program, GLint location, GLsizei count, const GLint64EXT * value), (program, location, count, value))
GEN_THUNKS(glProgramUniform1iEXT, (GLuint program, GLint location, GLint v0), (program, location, v0))
GEN_THUNKS(glProgramUniform1iv, (GLuint program, GLint location, GLsizei count, const GLint * value), (program, location, count, value))
GEN_THUNKS(glProgramUniform1ivEXT, (GLuint program, GLint location, GLsizei count, const GLint * value), (program, location, count, value))
GEN_THUNKS(glProgramUniform1ui, (GLuint program, GLint location, GLuint v0), (program, location, v0))
GEN_THUNKS(glProgramUniform1ui64NV, (GLuint program, GLint location, GLuint64EXT x), (program, location, x))
GEN_THUNKS(glProgramUniform1ui64vNV, (GLuint program, GLint location, GLsizei count, const GLuint64EXT * value), (program, location, count, value))
GEN_THUNKS(glProgramUniform1uiEXT, (GLuint program, GLint location, GLuint v0), (program, location, v0))
GEN_THUNKS(glProgramUniform1uiv, (GLuint program, GLint location, GLsizei count, const GLuint * value), (program, location, count, value))
GEN_THUNKS(glProgramUniform1uivEXT, (GLuint program, GLint location, GLsizei count, const GLuint * value), (program, location, count, value))
GEN_THUNKS(glProgramUniform2d, (GLuint program, GLint location, GLdouble v0, GLdouble v1), (program, location, v0, v1))
GEN_THUNKS(glProgramUniform2dEXT, (GLuint program, GLint location, GLdouble x, GLdouble y), (program, location, x, y))
GEN_THUNKS(glProgramUniform2dv, (GLuint program, GLint location, GLsizei count, const GLdouble * value), (program, location, count, value))
GEN_THUNKS(glProgramUniform2dvEXT, (GLuint program, GLint location, GLsizei count, const GLdouble * value), (program, location, count, value))
GEN_THUNKS(glProgramUniform2f, (GLuint program, GLint location, GLfloat v0, GLfloat v1), (program, location, v0, v1))
GEN_THUNKS(glProgramUniform2fEXT, (GLuint program, GLint location, GLfloat v0, GLfloat v1), (program, location, v0, v1))
GEN_THUNKS(glProgramUniform2fv, (GLuint program, GLint location, GLsizei count, const GLfloat * value), (program, location, count, value))
GEN_THUNKS(glProgramUniform2fvEXT, (GLuint program, GLint location, GLsizei count, const GLfloat * value), (program, location, count, value))
GEN_THUNKS(glProgramUniform2i, (GLuint program, GLint location, GLint v0, GLint v1), (program, location, v0, v1))
GEN_THUNKS(glProgramUniform2i64NV, (GLuint program, GLint location, GLint64EXT x, GLint64EXT y), (program, location, x, y))
GEN_THUNKS(glProgramUniform2i64vNV, (GLuint program, GLint location, GLsizei count, const GLint64EXT * value), (program, location, count, value))
GEN_THUNKS(glProgramUniform2iEXT, (GLuint program, GLint location, GLint v0, GLint v1), (program, location, v0, v1))
GEN_THUNKS(glProgramUniform2iv, (GLuint program, GLint location, GLsizei count, const GLint * value), (program, location, count, value))
GEN_THUNKS(glProgramUniform2ivEXT, (GLuint program, GLint location, GLsizei count, const GLint * value), (program, location, count, value))
GEN_THUNKS(glProgramUniform2ui, (GLuint program, GLint location, GLuint v0, GLuint v1), (program, location, v0, v1))
GEN_THUNKS(glProgramUniform2ui64NV, (GLuint program, GLint location, GLuint64EXT x, GLuint64EXT y), (program, location, x, y))
GEN_THUNKS(glProgramUniform2ui64vNV, (GLuint program, GLint location, GLsizei count, const GLuint64EXT * value), (program, location, count, value))
GEN_THUNKS(glProgramUniform2uiEXT, (GLuint program, GLint location, GLuint v0, GLuint v1), (program, location, v0, v1))
GEN_THUNKS(glProgramUniform2uiv, (GLuint program, GLint location, GLsizei count, const GLuint * value), (program, location, count, value))
GEN_THUNKS(glProgramUniform2uivEXT, (GLuint program, GLint location, GLsizei count, const GLuint * value), (program, location, count, value))
GEN_THUNKS(glProgramUniform3d, (GLuint program, GLint location, GLdouble v0, GLdouble v1, GLdouble v2), (program, location, v0, v1, v2))
GEN_THUNKS(glProgramUniform3dEXT, (GLuint program, GLint location, GLdouble x, GLdouble y, GLdouble z), (program, location, x, y, z))
GEN_THUNKS(glProgramUniform3dv, (GLuint program, GLint location, GLsizei count, const GLdouble * value), (program, location, count, value))
GEN_THUNKS(glProgramUniform3dvEXT, (GLuint program, GLint location, GLsizei count, const GLdouble * value), (program, location, count, value))
GEN_THUNKS(glProgramUniform3f, (GLuint program, GLint location, GLfloat v0, GLfloat v1, GLfloat v2), (program, location, v0, v1, v2))
GEN_THUNKS(glProgramUniform3fEXT, (GLuint program, GLint location, GLfloat v0, GLfloat v1, GLfloat v2), (program, location, v0, v1, v2))
GEN_THUNKS(glProgramUniform3fv, (GLuint program, GLint location, GLsizei count, const GLfloat * value), (program, location, count, value))
GEN_THUNKS(glProgramUniform3fvEXT, (GLuint program, GLint location, GLsizei count, const GLfloat * value), (program, location, count, value))
GEN_THUNKS(glProgramUniform3i, (GLuint program, GLint location, GLint v0, GLint v1, GLint v2), (program, location, v0, v1, v2))
GEN_THUNKS(glProgramUniform3i64NV, (GLuint program, GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z), (program, location, x, y, z))
GEN_THUNKS(glProgramUniform3i64vNV, (GLuint program, GLint location, GLsizei count, const GLint64EXT * value), (program, location, count, value))
GEN_THUNKS(glProgramUniform3iEXT, (GLuint program, GLint location, GLint v0, GLint v1, GLint v2), (program, location, v0, v1, v2))
GEN_THUNKS(glProgramUniform3iv, (GLuint program, GLint location, GLsizei count, const GLint * value), (program, location, count, value))
GEN_THUNKS(glProgramUniform3ivEXT, (GLuint program, GLint location, GLsizei count, const GLint * value), (program, location, count, value))
GEN_THUNKS(glProgramUniform3ui, (GLuint program, GLint location, GLuint v0, GLuint v1, GLuint v2), (program, location, v0, v1, v2))
GEN_THUNKS(glProgramUniform3ui64NV, (GLuint program, GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z), (program, location, x, y, z))
GEN_THUNKS(glProgramUniform3ui64vNV, (GLuint program, GLint location, GLsizei count, const GLuint64EXT * value), (program, location, count, value))
GEN_THUNKS(glProgramUniform3uiEXT, (GLuint program, GLint location, GLuint v0, GLuint v1, GLuint v2), (program, location, v0, v1, v2))
GEN_THUNKS(glProgramUniform3uiv, (GLuint program, GLint location, GLsizei count, const GLuint * value), (program, location, count, value))
GEN_THUNKS(glProgramUniform3uivEXT, (GLuint program, GLint location, GLsizei count, const GLuint * value), (program, location, count, value))
GEN_THUNKS(glProgramUniform4d, (GLuint program, GLint location, GLdouble v0, GLdouble v1, GLdouble v2, GLdouble v3), (program, location, v0, v1, v2, v3))
GEN_THUNKS(glProgramUniform4dEXT, (GLuint program, GLint location, GLdouble x, GLdouble y, GLdouble z, GLdouble w), (program, location, x, y, z, w))
GEN_THUNKS(glProgramUniform4dv, (GLuint program, GLint location, GLsizei count, const GLdouble * value), (program, location, count, value))
GEN_THUNKS(glProgramUniform4dvEXT, (GLuint program, GLint location, GLsizei count, const GLdouble * value), (program, location, count, value))
GEN_THUNKS(glProgramUniform4f, (GLuint program, GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3), (program, location, v0, v1, v2, v3))
GEN_THUNKS(glProgramUniform4fEXT, (GLuint program, GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3), (program, location, v0, v1, v2, v3))
GEN_THUNKS(glProgramUniform4fv, (GLuint program, GLint location, GLsizei count, const GLfloat * value), (program, location, count, value))
GEN_THUNKS(glProgramUniform4fvEXT, (GLuint program, GLint location, GLsizei count, const GLfloat * value), (program, location, count, value))
GEN_THUNKS(glProgramUniform4i, (GLuint program, GLint location, GLint v0, GLint v1, GLint v2, GLint v3), (program, location, v0, v1, v2, v3))
GEN_THUNKS(glProgramUniform4i64NV, (GLuint program, GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z, GLint64EXT w), (program, location, x, y, z, w))
GEN_THUNKS(glProgramUniform4i64vNV, (GLuint program, GLint location, GLsizei count, const GLint64EXT * value), (program, location, count, value))
GEN_THUNKS(glProgramUniform4iEXT, (GLuint program, GLint location, GLint v0, GLint v1, GLint v2, GLint v3), (program, location, v0, v1, v2, v3))
GEN_THUNKS(glProgramUniform4iv, (GLuint program, GLint location, GLsizei count, const GLint * value), (program, location, count, value))
GEN_THUNKS(glProgramUniform4ivEXT, (GLuint program, GLint location, GLsizei count, const GLint * value), (program, location, count, value))
GEN_THUNKS(glProgramUniform4ui, (GLuint program, GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3), (program, location, v0, v1, v2, v3))
GEN_THUNKS(glProgramUniform4ui64NV, (GLuint program, GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z, GLuint64EXT w), (program, location, x, y, z, w))
GEN_THUNKS(glProgramUniform4ui64vNV, (GLuint program, GLint location, GLsizei count, const GLuint64EXT * value), (program, location, count, value))
GEN_THUNKS(glProgramUniform4uiEXT, (GLuint program, GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3), (program, location, v0, v1, v2, v3))
GEN_THUNKS(glProgramUniform4uiv, (GLuint program, GLint location, GLsizei count, const GLuint * value), (program, location, count, value))
GEN_THUNKS(glProgramUniform4uivEXT, (GLuint program, GLint location, GLsizei count, const GLuint * value), (program, location, count, value))
GEN_THUNKS(glProgramUniformHandleui64ARB, (GLuint program, GLint location, GLuint64 value), (program, location, value))
GEN_THUNKS(glProgramUniformHandleui64NV, (GLuint program, GLint location, GLuint64 value), (program, location, value))
GEN_THUNKS(glProgramUniformHandleui64vARB, (GLuint program, GLint location, GLsizei count, const GLuint64 * values), (program, location, count, values))
GEN_THUNKS(glProgramUniformHandleui64vNV, (GLuint program, GLint location, GLsizei count, const GLuint64 * values), (program, location, count, values))
GEN_THUNKS(glProgramUniformMatrix2dv, (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value), (program, location, count, transpose, value))
GEN_THUNKS(glProgramUniformMatrix2dvEXT, (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value), (program, location, count, transpose, value))
GEN_THUNKS(glProgramUniformMatrix2fv, (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value), (program, location, count, transpose, value))
GEN_THUNKS(glProgramUniformMatrix2fvEXT, (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value), (program, location, count, transpose, value))
GEN_THUNKS(glProgramUniformMatrix2x3dv, (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value), (program, location, count, transpose, value))
GEN_THUNKS(glProgramUniformMatrix2x3dvEXT, (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value), (program, location, count, transpose, value))
GEN_THUNKS(glProgramUniformMatrix2x3fv, (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value), (program, location, count, transpose, value))
GEN_THUNKS(glProgramUniformMatrix2x3fvEXT, (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value), (program, location, count, transpose, value))
GEN_THUNKS(glProgramUniformMatrix2x4dv, (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value), (program, location, count, transpose, value))
GEN_THUNKS(glProgramUniformMatrix2x4dvEXT, (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value), (program, location, count, transpose, value))
GEN_THUNKS(glProgramUniformMatrix2x4fv, (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value), (program, location, count, transpose, value))
GEN_THUNKS(glProgramUniformMatrix2x4fvEXT, (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value), (program, location, count, transpose, value))
GEN_THUNKS(glProgramUniformMatrix3dv, (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value), (program, location, count, transpose, value))
GEN_THUNKS(glProgramUniformMatrix3dvEXT, (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value), (program, location, count, transpose, value))
GEN_THUNKS(glProgramUniformMatrix3fv, (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value), (program, location, count, transpose, value))
GEN_THUNKS(glProgramUniformMatrix3fvEXT, (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value), (program, location, count, transpose, value))
GEN_THUNKS(glProgramUniformMatrix3x2dv, (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value), (program, location, count, transpose, value))
GEN_THUNKS(glProgramUniformMatrix3x2dvEXT, (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value), (program, location, count, transpose, value))
GEN_THUNKS(glProgramUniformMatrix3x2fv, (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value), (program, location, count, transpose, value))
GEN_THUNKS(glProgramUniformMatrix3x2fvEXT, (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value), (program, location, count, transpose, value))
GEN_THUNKS(glProgramUniformMatrix3x4dv, (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value), (program, location, count, transpose, value))
GEN_THUNKS(glProgramUniformMatrix3x4dvEXT, (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value), (program, location, count, transpose, value))
GEN_THUNKS(glProgramUniformMatrix3x4fv, (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value), (program, location, count, transpose, value))
GEN_THUNKS(glProgramUniformMatrix3x4fvEXT, (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value), (program, location, count, transpose, value))
GEN_THUNKS(glProgramUniformMatrix4dv, (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value), (program, location, count, transpose, value))
GEN_THUNKS(glProgramUniformMatrix4dvEXT, (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value), (program, location, count, transpose, value))
GEN_THUNKS(glProgramUniformMatrix4fv, (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value), (program, location, count, transpose, value))
GEN_THUNKS(glProgramUniformMatrix4fvEXT, (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value), (program, location, count, transpose, value))
GEN_THUNKS(glProgramUniformMatrix4x2dv, (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value), (program, location, count, transpose, value))
GEN_THUNKS(glProgramUniformMatrix4x2dvEXT, (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value), (program, location, count, transpose, value))
GEN_THUNKS(glProgramUniformMatrix4x2fv, (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value), (program, location, count, transpose, value))
GEN_THUNKS(glProgramUniformMatrix4x2fvEXT, (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value), (program, location, count, transpose, value))
GEN_THUNKS(glProgramUniformMatrix4x3dv, (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value), (program, location, count, transpose, value))
GEN_THUNKS(glProgramUniformMatrix4x3dvEXT, (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value), (program, location, count, transpose, value))
GEN_THUNKS(glProgramUniformMatrix4x3fv, (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value), (program, location, count, transpose, value))
GEN_THUNKS(glProgramUniformMatrix4x3fvEXT, (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value), (program, location, count, transpose, value))
GEN_THUNKS(glProgramUniformui64NV, (GLuint program, GLint location, GLuint64EXT value), (program, location, value))
GEN_THUNKS(glProgramUniformui64vNV, (GLuint program, GLint location, GLsizei count, const GLuint64EXT * value), (program, location, count, value))
GEN_THUNKS(glProgramVertexLimitNV, (GLenum target, GLint limit), (target, limit))
GEN_THUNKS(glProvokingVertex, (GLenum mode), (mode))
GEN_THUNKS(glProvokingVertexEXT, (GLenum mode), (mode))
GEN_THUNKS(glPushAttrib, (GLbitfield mask), (mask))
GEN_THUNKS(glPushClientAttrib, (GLbitfield mask), (mask))
GEN_THUNKS(glPushClientAttribDefaultEXT, (GLbitfield mask), (mask))
GEN_THUNKS(glPushDebugGroup, (GLenum source, GLuint id, GLsizei length, const GLchar * message), (source, id, length, message))
GEN_THUNKS(glPushDebugGroupKHR, (GLenum source, GLuint id, GLsizei length, const GLchar * message), (source, id, length, message))
GEN_THUNKS(glPushGroupMarkerEXT, (GLsizei length, const GLchar * marker), (length, marker))
GEN_THUNKS(glPushMatrix, (void), ())
GEN_THUNKS(glPushName, (GLuint name), (name))
GEN_THUNKS(glQueryCounter, (GLuint id, GLenum target), (id, target))
GEN_THUNKS(glQueryCounterEXT, (GLuint id, GLenum target), (id, target))
GEN_THUNKS_RET(GLbitfield, glQueryMatrixxOES, (GLfixed * mantissa, GLint * exponent), (mantissa, exponent))
GEN_THUNKS(glQueryObjectParameteruiAMD, (GLenum target, GLuint id, GLenum pname, GLuint param), (target, id, pname, param))
GEN_THUNKS(glRasterPos2d, (GLdouble x, GLdouble y), (x, y))
GEN_THUNKS(glRasterPos2dv, (const GLdouble * v), (v))
GEN_THUNKS(glRasterPos2f, (GLfloat x, GLfloat y), (x, y))
GEN_THUNKS(glRasterPos2fv, (const GLfloat * v), (v))
GEN_THUNKS(glRasterPos2i, (GLint x, GLint y), (x, y))
GEN_THUNKS(glRasterPos2iv, (const GLint * v), (v))
GEN_THUNKS(glRasterPos2s, (GLshort x, GLshort y), (x, y))
GEN_THUNKS(glRasterPos2sv, (const GLshort * v), (v))
GEN_THUNKS(glRasterPos2xOES, (GLfixed x, GLfixed y), (x, y))
GEN_THUNKS(glRasterPos2xvOES, (const GLfixed * coords), (coords))
GEN_THUNKS(glRasterPos3d, (GLdouble x, GLdouble y, GLdouble z), (x, y, z))
GEN_THUNKS(glRasterPos3dv, (const GLdouble * v), (v))
GEN_THUNKS(glRasterPos3f, (GLfloat x, GLfloat y, GLfloat z), (x, y, z))
GEN_THUNKS(glRasterPos3fv, (const GLfloat * v), (v))
GEN_THUNKS(glRasterPos3i, (GLint x, GLint y, GLint z), (x, y, z))
GEN_THUNKS(glRasterPos3iv, (const GLint * v), (v))
GEN_THUNKS(glRasterPos3s, (GLshort x, GLshort y, GLshort z), (x, y, z))
GEN_THUNKS(glRasterPos3sv, (const GLshort * v), (v))
GEN_THUNKS(glRasterPos3xOES, (GLfixed x, GLfixed y, GLfixed z), (x, y, z))
GEN_THUNKS(glRasterPos3xvOES, (const GLfixed * coords), (coords))
GEN_THUNKS(glRasterPos4d, (GLdouble x, GLdouble y, GLdouble z, GLdouble w), (x, y, z, w))
GEN_THUNKS(glRasterPos4dv, (const GLdouble * v), (v))
GEN_THUNKS(glRasterPos4f, (GLfloat x, GLfloat y, GLfloat z, GLfloat w), (x, y, z, w))
GEN_THUNKS(glRasterPos4fv, (const GLfloat * v), (v))
GEN_THUNKS(glRasterPos4i, (GLint x, GLint y, GLint z, GLint w), (x, y, z, w))
GEN_THUNKS(glRasterPos4iv, (const GLint * v), (v))
GEN_THUNKS(glRasterPos4s, (GLshort x, GLshort y, GLshort z, GLshort w), (x, y, z, w))
GEN_THUNKS(glRasterPos4sv, (const GLshort * v), (v))
GEN_THUNKS(glRasterPos4xOES, (GLfixed x, GLfixed y, GLfixed z, GLfixed w), (x, y, z, w))
GEN_THUNKS(glRasterPos4xvOES, (const GLfixed * coords), (coords))
GEN_THUNKS(glReadBuffer, (GLenum mode), (mode))
GEN_THUNKS(glReadBufferIndexedEXT, (GLenum src, GLint index), (src, index))
GEN_THUNKS(glReadBufferNV, (GLenum mode), (mode))
GEN_THUNKS(glReadInstrumentsSGIX, (GLint marker), (marker))
GEN_THUNKS(glReadPixels, (GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, void * pixels), (x, y, width, height, format, type, pixels))
GEN_THUNKS(glReadnPixelsARB, (GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLsizei bufSize, void * data), (x, y, width, height, format, type, bufSize, data))
GEN_THUNKS(glReadnPixelsEXT, (GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLsizei bufSize, void * data), (x, y, width, height, format, type, bufSize, data))
GEN_THUNKS(glRectd, (GLdouble x1, GLdouble y1, GLdouble x2, GLdouble y2), (x1, y1, x2, y2))
GEN_THUNKS(glRectdv, (const GLdouble * v1, const GLdouble * v2), (v1, v2))
GEN_THUNKS(glRectf, (GLfloat x1, GLfloat y1, GLfloat x2, GLfloat y2), (x1, y1, x2, y2))
GEN_THUNKS(glRectfv, (const GLfloat * v1, const GLfloat * v2), (v1, v2))
GEN_THUNKS(glRecti, (GLint x1, GLint y1, GLint x2, GLint y2), (x1, y1, x2, y2))
GEN_THUNKS(glRectiv, (const GLint * v1, const GLint * v2), (v1, v2))
GEN_THUNKS(glRects, (GLshort x1, GLshort y1, GLshort x2, GLshort y2), (x1, y1, x2, y2))
GEN_THUNKS(glRectsv, (const GLshort * v1, const GLshort * v2), (v1, v2))
GEN_THUNKS(glRectxOES, (GLfixed x1, GLfixed y1, GLfixed x2, GLfixed y2), (x1, y1, x2, y2))
GEN_THUNKS(glRectxvOES, (const GLfixed * v1, const GLfixed * v2), (v1, v2))
GEN_THUNKS(glReferencePlaneSGIX, (const GLdouble * equation), (equation))
GEN_THUNKS(glReleaseShaderCompiler, (void), ())
GEN_THUNKS_RET(GLint, glRenderMode, (GLenum mode), (mode))
GEN_THUNKS(glRenderbufferStorage, (GLenum target, GLenum internalformat, GLsizei width, GLsizei height), (target, internalformat, width, height))
GEN_THUNKS(glRenderbufferStorageEXT, (GLenum target, GLenum internalformat, GLsizei width, GLsizei height), (target, internalformat, width, height))
GEN_THUNKS(glRenderbufferStorageMultisample, (GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height), (target, samples, internalformat, width, height))
GEN_THUNKS(glRenderbufferStorageMultisampleANGLE, (GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height), (target, samples, internalformat, width, height))
GEN_THUNKS(glRenderbufferStorageMultisampleAPPLE, (GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height), (target, samples, internalformat, width, height))
GEN_THUNKS(glRenderbufferStorageMultisampleCoverageNV, (GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLenum internalformat, GLsizei width, GLsizei height), (target, coverageSamples, colorSamples, internalformat, width, height))
GEN_THUNKS(glRenderbufferStorageMultisampleEXT, (GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height), (target, samples, internalformat, width, height))
GEN_THUNKS(glRenderbufferStorageMultisampleIMG, (GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height), (target, samples, internalformat, width, height))
GEN_THUNKS(glRenderbufferStorageMultisampleNV, (GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height), (target, samples, internalformat, width, height))
GEN_THUNKS(glRenderbufferStorageOES, (GLenum target, GLenum internalformat, GLsizei width, GLsizei height), (target, internalformat, width, height))
GEN_THUNKS(glReplacementCodePointerSUN, (GLenum type, GLsizei stride, const void ** pointer), (type, stride, pointer))
GEN_THUNKS(glReplacementCodeubSUN, (GLubyte code), (code))
GEN_THUNKS(glReplacementCodeubvSUN, (const GLubyte * code), (code))
GEN_THUNKS(glReplacementCodeuiColor3fVertex3fSUN, (GLuint rc, GLfloat r, GLfloat g, GLfloat b, GLfloat x, GLfloat y, GLfloat z), (rc, r, g, b, x, y, z))
GEN_THUNKS(glReplacementCodeuiColor3fVertex3fvSUN, (const GLuint * rc, const GLfloat * c, const GLfloat * v), (rc, c, v))
GEN_THUNKS(glReplacementCodeuiColor4fNormal3fVertex3fSUN, (GLuint rc, GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z), (rc, r, g, b, a, nx, ny, nz, x, y, z))
GEN_THUNKS(glReplacementCodeuiColor4fNormal3fVertex3fvSUN, (const GLuint * rc, const GLfloat * c, const GLfloat * n, const GLfloat * v), (rc, c, n, v))
GEN_THUNKS(glReplacementCodeuiColor4ubVertex3fSUN, (GLuint rc, GLubyte r, GLubyte g, GLubyte b, GLubyte a, GLfloat x, GLfloat y, GLfloat z), (rc, r, g, b, a, x, y, z))
GEN_THUNKS(glReplacementCodeuiColor4ubVertex3fvSUN, (const GLuint * rc, const GLubyte * c, const GLfloat * v), (rc, c, v))
GEN_THUNKS(glReplacementCodeuiNormal3fVertex3fSUN, (GLuint rc, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z), (rc, nx, ny, nz, x, y, z))
GEN_THUNKS(glReplacementCodeuiNormal3fVertex3fvSUN, (const GLuint * rc, const GLfloat * n, const GLfloat * v), (rc, n, v))
GEN_THUNKS(glReplacementCodeuiSUN, (GLuint code), (code))
GEN_THUNKS(glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN, (GLuint rc, GLfloat s, GLfloat t, GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z), (rc, s, t, r, g, b, a, nx, ny, nz, x, y, z))
GEN_THUNKS(glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN, (const GLuint * rc, const GLfloat * tc, const GLfloat * c, const GLfloat * n, const GLfloat * v), (rc, tc, c, n, v))
GEN_THUNKS(glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN, (GLuint rc, GLfloat s, GLfloat t, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z), (rc, s, t, nx, ny, nz, x, y, z))
GEN_THUNKS(glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN, (const GLuint * rc, const GLfloat * tc, const GLfloat * n, const GLfloat * v), (rc, tc, n, v))
GEN_THUNKS(glReplacementCodeuiTexCoord2fVertex3fSUN, (GLuint rc, GLfloat s, GLfloat t, GLfloat x, GLfloat y, GLfloat z), (rc, s, t, x, y, z))
GEN_THUNKS(glReplacementCodeuiTexCoord2fVertex3fvSUN, (const GLuint * rc, const GLfloat * tc, const GLfloat * v), (rc, tc, v))
GEN_THUNKS(glReplacementCodeuiVertex3fSUN, (GLuint rc, GLfloat x, GLfloat y, GLfloat z), (rc, x, y, z))
GEN_THUNKS(glReplacementCodeuiVertex3fvSUN, (const GLuint * rc, const GLfloat * v), (rc, v))
GEN_THUNKS(glReplacementCodeuivSUN, (const GLuint * code), (code))
GEN_THUNKS(glReplacementCodeusSUN, (GLushort code), (code))
GEN_THUNKS(glReplacementCodeusvSUN, (const GLushort * code), (code))
GEN_THUNKS(glRequestResidentProgramsNV, (GLsizei n, const GLuint * programs), (n, programs))
GEN_THUNKS(glResetHistogram, (GLenum target), (target))
GEN_THUNKS(glResetHistogramEXT, (GLenum target), (target))
GEN_THUNKS(glResetMinmax, (GLenum target), (target))
GEN_THUNKS(glResetMinmaxEXT, (GLenum target), (target))
GEN_THUNKS(glResizeBuffersMESA, (void), ())
GEN_THUNKS(glResolveMultisampleFramebufferAPPLE, (void), ())
GEN_THUNKS(glResumeTransformFeedback, (void), ())
GEN_THUNKS(glResumeTransformFeedbackNV, (void), ())
GEN_THUNKS(glRotated, (GLdouble angle, GLdouble x, GLdouble y, GLdouble z), (angle, x, y, z))
GEN_THUNKS(glRotatef, (GLfloat angle, GLfloat x, GLfloat y, GLfloat z), (angle, x, y, z))
GEN_THUNKS(glRotatex, (GLfixed angle, GLfixed x, GLfixed y, GLfixed z), (angle, x, y, z))
GEN_THUNKS(glRotatexOES, (GLfixed angle, GLfixed x, GLfixed y, GLfixed z), (angle, x, y, z))
GEN_THUNKS(glSampleCoverage, (GLfloat value, GLboolean invert), (value, invert))
GEN_THUNKS(glSampleCoverageARB, (GLfloat value, GLboolean invert), (value, invert))
GEN_THUNKS(glSampleCoverageOES, (GLfixed value, GLboolean invert), (value, invert))
GEN_THUNKS(glSampleCoveragex, (GLclampx value, GLboolean invert), (value, invert))
GEN_THUNKS(glSampleCoveragexOES, (GLclampx value, GLboolean invert), (value, invert))
GEN_THUNKS(glSampleMapATI, (GLuint dst, GLuint interp, GLenum swizzle), (dst, interp, swizzle))
GEN_THUNKS(glSampleMaskEXT, (GLclampf value, GLboolean invert), (value, invert))
GEN_THUNKS(glSampleMaskIndexedNV, (GLuint index, GLbitfield mask), (index, mask))
GEN_THUNKS(glSampleMaskSGIS, (GLclampf value, GLboolean invert), (value, invert))
GEN_THUNKS(glSampleMaski, (GLuint maskNumber, GLbitfield mask), (maskNumber, mask))
GEN_THUNKS(glSamplePatternEXT, (GLenum pattern), (pattern))
GEN_THUNKS(glSamplePatternSGIS, (GLenum pattern), (pattern))
GEN_THUNKS(glSamplerParameterIiv, (GLuint sampler, GLenum pname, const GLint * param), (sampler, pname, param))
GEN_THUNKS(glSamplerParameterIuiv, (GLuint sampler, GLenum pname, const GLuint * param), (sampler, pname, param))
GEN_THUNKS(glSamplerParameterf, (GLuint sampler, GLenum pname, GLfloat param), (sampler, pname, param))
GEN_THUNKS(glSamplerParameterfv, (GLuint sampler, GLenum pname, const GLfloat * param), (sampler, pname, param))
GEN_THUNKS(glSamplerParameteri, (GLuint sampler, GLenum pname, GLint param), (sampler, pname, param))
GEN_THUNKS(glSamplerParameteriv, (GLuint sampler, GLenum pname, const GLint * param), (sampler, pname, param))
GEN_THUNKS(glScaled, (GLdouble x, GLdouble y, GLdouble z), (x, y, z))
GEN_THUNKS(glScalef, (GLfloat x, GLfloat y, GLfloat z), (x, y, z))
GEN_THUNKS(glScalex, (GLfixed x, GLfixed y, GLfixed z), (x, y, z))
GEN_THUNKS(glScalexOES, (GLfixed x, GLfixed y, GLfixed z), (x, y, z))
GEN_THUNKS(glScissor, (GLint x, GLint y, GLsizei width, GLsizei height), (x, y, width, height))
GEN_THUNKS(glScissorArrayv, (GLuint first, GLsizei count, const GLint * v), (first, count, v))
GEN_THUNKS(glScissorIndexed, (GLuint index, GLint left, GLint bottom, GLsizei width, GLsizei height), (index, left, bottom, width, height))
GEN_THUNKS(glScissorIndexedv, (GLuint index, const GLint * v), (index, v))
GEN_THUNKS(glSecondaryColor3b, (GLbyte red, GLbyte green, GLbyte blue), (red, green, blue))
GEN_THUNKS(glSecondaryColor3bEXT, (GLbyte red, GLbyte green, GLbyte blue), (red, green, blue))
GEN_THUNKS(glSecondaryColor3bv, (const GLbyte * v), (v))
GEN_THUNKS(glSecondaryColor3bvEXT, (const GLbyte * v), (v))
GEN_THUNKS(glSecondaryColor3d, (GLdouble red, GLdouble green, GLdouble blue), (red, green, blue))
GEN_THUNKS(glSecondaryColor3dEXT, (GLdouble red, GLdouble green, GLdouble blue), (red, green, blue))
GEN_THUNKS(glSecondaryColor3dv, (const GLdouble * v), (v))
GEN_THUNKS(glSecondaryColor3dvEXT, (const GLdouble * v), (v))
GEN_THUNKS(glSecondaryColor3f, (GLfloat red, GLfloat green, GLfloat blue), (red, green, blue))
GEN_THUNKS(glSecondaryColor3fEXT, (GLfloat red, GLfloat green, GLfloat blue), (red, green, blue))
GEN_THUNKS(glSecondaryColor3fv, (const GLfloat * v), (v))
GEN_THUNKS(glSecondaryColor3fvEXT, (const GLfloat * v), (v))
GEN_THUNKS(glSecondaryColor3hNV, (GLhalfNV red, GLhalfNV green, GLhalfNV blue), (red, green, blue))
GEN_THUNKS(glSecondaryColor3hvNV, (const GLhalfNV * v), (v))
GEN_THUNKS(glSecondaryColor3i, (GLint red, GLint green, GLint blue), (red, green, blue))
GEN_THUNKS(glSecondaryColor3iEXT, (GLint red, GLint green, GLint blue), (red, green, blue))
GEN_THUNKS(glSecondaryColor3iv, (const GLint * v), (v))
GEN_THUNKS(glSecondaryColor3ivEXT, (const GLint * v), (v))
GEN_THUNKS(glSecondaryColor3s, (GLshort red, GLshort green, GLshort blue), (red, green, blue))
GEN_THUNKS(glSecondaryColor3sEXT, (GLshort red, GLshort green, GLshort blue), (red, green, blue))
GEN_THUNKS(glSecondaryColor3sv, (const GLshort * v), (v))
GEN_THUNKS(glSecondaryColor3svEXT, (const GLshort * v), (v))
GEN_THUNKS(glSecondaryColor3ub, (GLubyte red, GLubyte green, GLubyte blue), (red, green, blue))
GEN_THUNKS(glSecondaryColor3ubEXT, (GLubyte red, GLubyte green, GLubyte blue), (red, green, blue))
GEN_THUNKS(glSecondaryColor3ubv, (const GLubyte * v), (v))
GEN_THUNKS(glSecondaryColor3ubvEXT, (const GLubyte * v), (v))
GEN_THUNKS(glSecondaryColor3ui, (GLuint red, GLuint green, GLuint blue), (red, green, blue))
GEN_THUNKS(glSecondaryColor3uiEXT, (GLuint red, GLuint green, GLuint blue), (red, green, blue))
GEN_THUNKS(glSecondaryColor3uiv, (const GLuint * v), (v))
GEN_THUNKS(glSecondaryColor3uivEXT, (const GLuint * v), (v))
GEN_THUNKS(glSecondaryColor3us, (GLushort red, GLushort green, GLushort blue), (red, green, blue))
GEN_THUNKS(glSecondaryColor3usEXT, (GLushort red, GLushort green, GLushort blue), (red, green, blue))
GEN_THUNKS(glSecondaryColor3usv, (const GLushort * v), (v))
GEN_THUNKS(glSecondaryColor3usvEXT, (const GLushort * v), (v))
GEN_THUNKS(glSecondaryColorFormatNV, (GLint size, GLenum type, GLsizei stride), (size, type, stride))
GEN_THUNKS(glSecondaryColorP3ui, (GLenum type, GLuint color), (type, color))
GEN_THUNKS(glSecondaryColorP3uiv, (GLenum type, const GLuint * color), (type, color))
GEN_THUNKS(glSecondaryColorPointer, (GLint size, GLenum type, GLsizei stride, const void * pointer), (size, type, stride, pointer))
GEN_THUNKS(glSecondaryColorPointerEXT, (GLint size, GLenum type, GLsizei stride, const void * pointer), (size, type, stride, pointer))
GEN_THUNKS(glSecondaryColorPointerListIBM, (GLint size, GLenum type, GLint stride, const void ** pointer, GLint ptrstride), (size, type, stride, pointer, ptrstride))
GEN_THUNKS(glSelectBuffer, (GLsizei size, GLuint * buffer), (size, buffer))
GEN_THUNKS(glSelectPerfMonitorCountersAMD, (GLuint monitor, GLboolean enable, GLuint group, GLint numCounters, GLuint * counterList), (monitor, enable, group, numCounters, counterList))
GEN_THUNKS(glSeparableFilter2D, (GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * row, const void * column), (target, internalformat, width, height, format, type, row, column))
GEN_THUNKS(glSeparableFilter2DEXT, (GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * row, const void * column), (target, internalformat, width, height, format, type, row, column))
GEN_THUNKS(glSetFenceAPPLE, (GLuint fence), (fence))
GEN_THUNKS(glSetFenceNV, (GLuint fence, GLenum condition), (fence, condition))
GEN_THUNKS(glSetFragmentShaderConstantATI, (GLuint dst, const GLfloat * value), (dst, value))
GEN_THUNKS(glSetInvariantEXT, (GLuint id, GLenum type, const void * addr), (id, type, addr))
GEN_THUNKS(glSetLocalConstantEXT, (GLuint id, GLenum type, const void * addr), (id, type, addr))
GEN_THUNKS(glSetMultisamplefvAMD, (GLenum pname, GLuint index, const GLfloat * val), (pname, index, val))
GEN_THUNKS(glShadeModel, (GLenum mode), (mode))
GEN_THUNKS(glShaderBinary, (GLsizei count, const GLuint * shaders, GLenum binaryformat, const void * binary, GLsizei length), (count, shaders, binaryformat, binary, length))
GEN_THUNKS(glShaderOp1EXT, (GLenum op, GLuint res, GLuint arg1), (op, res, arg1))
GEN_THUNKS(glShaderOp2EXT, (GLenum op, GLuint res, GLuint arg1, GLuint arg2), (op, res, arg1, arg2))
GEN_THUNKS(glShaderOp3EXT, (GLenum op, GLuint res, GLuint arg1, GLuint arg2, GLuint arg3), (op, res, arg1, arg2, arg3))
GEN_THUNKS(glShaderSource, (GLuint shader, GLsizei count, const GLchar *const* string, const GLint * length), (shader, count, string, length))
GEN_THUNKS(glShaderSourceARB, (GLhandleARB shaderObj, GLsizei count, const GLcharARB ** string, const GLint * length), ((uintptr_t)shaderObj, count, string, length))
GEN_THUNKS(glShaderStorageBlockBinding, (GLuint program, GLuint storageBlockIndex, GLuint storageBlockBinding), (program, storageBlockIndex, storageBlockBinding))
GEN_THUNKS(glSharpenTexFuncSGIS, (GLenum target, GLsizei n, const GLfloat * points), (target, n, points))
GEN_THUNKS(glSpriteParameterfSGIX, (GLenum pname, GLfloat param), (pname, param))
GEN_THUNKS(glSpriteParameterfvSGIX, (GLenum pname, const GLfloat * params), (pname, params))
GEN_THUNKS(glSpriteParameteriSGIX, (GLenum pname, GLint param), (pname, param))
GEN_THUNKS(glSpriteParameterivSGIX, (GLenum pname, const GLint * params), (pname, params))
GEN_THUNKS(glStartInstrumentsSGIX, (void), ())
GEN_THUNKS(glStartTilingQCOM, (GLuint x, GLuint y, GLuint width, GLuint height, GLbitfield preserveMask), (x, y, width, height, preserveMask))
GEN_THUNKS(glStencilClearTagEXT, (GLsizei stencilTagBits, GLuint stencilClearTag), (stencilTagBits, stencilClearTag))
GEN_THUNKS(glStencilFillPathInstancedNV, (GLsizei numPaths, GLenum pathNameType, const void * paths, GLuint pathBase, GLenum fillMode, GLuint mask, GLenum transformType, const GLfloat * transformValues), (numPaths, pathNameType, paths, pathBase, fillMode, mask, transformType, transformValues))
GEN_THUNKS(glStencilFillPathNV, (GLuint path, GLenum fillMode, GLuint mask), (path, fillMode, mask))
GEN_THUNKS(glStencilFunc, (GLenum func, GLint ref, GLuint mask), (func, ref, mask))
GEN_THUNKS(glStencilFuncSeparate, (GLenum face, GLenum func, GLint ref, GLuint mask), (face, func, ref, mask))
GEN_THUNKS(glStencilFuncSeparateATI, (GLenum frontfunc, GLenum backfunc, GLint ref, GLuint mask), (frontfunc, backfunc, ref, mask))
GEN_THUNKS(glStencilMask, (GLuint mask), (mask))
GEN_THUNKS(glStencilMaskSeparate, (GLenum face, GLuint mask), (face, mask))
GEN_THUNKS(glStencilOp, (GLenum fail, GLenum zfail, GLenum zpass), (fail, zfail, zpass))
GEN_THUNKS(glStencilOpSeparate, (GLenum face, GLenum sfail, GLenum dpfail, GLenum dppass), (face, sfail, dpfail, dppass))
GEN_THUNKS(glStencilOpSeparateATI, (GLenum face, GLenum sfail, GLenum dpfail, GLenum dppass), (face, sfail, dpfail, dppass))
GEN_THUNKS(glStencilOpValueAMD, (GLenum face, GLuint value), (face, value))
GEN_THUNKS(glStencilStrokePathInstancedNV, (GLsizei numPaths, GLenum pathNameType, const void * paths, GLuint pathBase, GLint reference, GLuint mask, GLenum transformType, const GLfloat * transformValues), (numPaths, pathNameType, paths, pathBase, reference, mask, transformType, transformValues))
GEN_THUNKS(glStencilStrokePathNV, (GLuint path, GLint reference, GLuint mask), (path, reference, mask))
GEN_THUNKS(glStopInstrumentsSGIX, (GLint marker), (marker))
GEN_THUNKS(glStringMarkerGREMEDY, (GLsizei len, const void * string), (len, string))
GEN_THUNKS(glSwizzleEXT, (GLuint res, GLuint in, GLenum outX, GLenum outY, GLenum outZ, GLenum outW), (res, in, outX, outY, outZ, outW))
GEN_THUNKS(glSyncTextureINTEL, (GLuint texture), (texture))
GEN_THUNKS(glTagSampleBufferSGIX, (void), ())
GEN_THUNKS(glTangent3bEXT, (GLbyte tx, GLbyte ty, GLbyte tz), (tx, ty, tz))
GEN_THUNKS(glTangent3bvEXT, (const GLbyte * v), (v))
GEN_THUNKS(glTangent3dEXT, (GLdouble tx, GLdouble ty, GLdouble tz), (tx, ty, tz))
GEN_THUNKS(glTangent3dvEXT, (const GLdouble * v), (v))
GEN_THUNKS(glTangent3fEXT, (GLfloat tx, GLfloat ty, GLfloat tz), (tx, ty, tz))
GEN_THUNKS(glTangent3fvEXT, (const GLfloat * v), (v))
GEN_THUNKS(glTangent3iEXT, (GLint tx, GLint ty, GLint tz), (tx, ty, tz))
GEN_THUNKS(glTangent3ivEXT, (const GLint * v), (v))
GEN_THUNKS(glTangent3sEXT, (GLshort tx, GLshort ty, GLshort tz), (tx, ty, tz))
GEN_THUNKS(glTangent3svEXT, (const GLshort * v), (v))
GEN_THUNKS(glTangentPointerEXT, (GLenum type, GLsizei stride, const void * pointer), (type, stride, pointer))
GEN_THUNKS(glTbufferMask3DFX, (GLuint mask), (mask))
GEN_THUNKS(glTessellationFactorAMD, (GLfloat factor), (factor))
GEN_THUNKS(glTessellationModeAMD, (GLenum mode), (mode))
GEN_THUNKS_RET(GLboolean, glTestFenceAPPLE, (GLuint fence), (fence))
GEN_THUNKS_RET(GLboolean, glTestFenceNV, (GLuint fence), (fence))
GEN_THUNKS_RET(GLboolean, glTestObjectAPPLE, (GLenum object, GLuint name), (object, name))
GEN_THUNKS(glTexBuffer, (GLenum target, GLenum internalformat, GLuint buffer), (target, internalformat, buffer))
GEN_THUNKS(glTexBufferARB, (GLenum target, GLenum internalformat, GLuint buffer), (target, internalformat, buffer))
GEN_THUNKS(glTexBufferEXT, (GLenum target, GLenum internalformat, GLuint buffer), (target, internalformat, buffer))
GEN_THUNKS(glTexBufferRange, (GLenum target, GLenum internalformat, GLuint buffer, GLintptr offset, GLsizeiptr size), (target, internalformat, buffer, offset, size))
GEN_THUNKS(glTexBumpParameterfvATI, (GLenum pname, const GLfloat * param), (pname, param))
GEN_THUNKS(glTexBumpParameterivATI, (GLenum pname, const GLint * param), (pname, param))
GEN_THUNKS(glTexCoord1bOES, (GLbyte s), (s))
GEN_THUNKS(glTexCoord1bvOES, (const GLbyte * coords), (coords))
GEN_THUNKS(glTexCoord1d, (GLdouble s), (s))
GEN_THUNKS(glTexCoord1dv, (const GLdouble * v), (v))
GEN_THUNKS(glTexCoord1f, (GLfloat s), (s))
GEN_THUNKS(glTexCoord1fv, (const GLfloat * v), (v))
GEN_THUNKS(glTexCoord1hNV, (GLhalfNV s), (s))
GEN_THUNKS(glTexCoord1hvNV, (const GLhalfNV * v), (v))
GEN_THUNKS(glTexCoord1i, (GLint s), (s))
GEN_THUNKS(glTexCoord1iv, (const GLint * v), (v))
GEN_THUNKS(glTexCoord1s, (GLshort s), (s))
GEN_THUNKS(glTexCoord1sv, (const GLshort * v), (v))
GEN_THUNKS(glTexCoord1xOES, (GLfixed s), (s))
GEN_THUNKS(glTexCoord1xvOES, (const GLfixed * coords), (coords))
GEN_THUNKS(glTexCoord2bOES, (GLbyte s, GLbyte t), (s, t))
GEN_THUNKS(glTexCoord2bvOES, (const GLbyte * coords), (coords))
GEN_THUNKS(glTexCoord2d, (GLdouble s, GLdouble t), (s, t))
GEN_THUNKS(glTexCoord2dv, (const GLdouble * v), (v))
GEN_THUNKS(glTexCoord2f, (GLfloat s, GLfloat t), (s, t))
GEN_THUNKS(glTexCoord2fColor3fVertex3fSUN, (GLfloat s, GLfloat t, GLfloat r, GLfloat g, GLfloat b, GLfloat x, GLfloat y, GLfloat z), (s, t, r, g, b, x, y, z))
GEN_THUNKS(glTexCoord2fColor3fVertex3fvSUN, (const GLfloat * tc, const GLfloat * c, const GLfloat * v), (tc, c, v))
GEN_THUNKS(glTexCoord2fColor4fNormal3fVertex3fSUN, (GLfloat s, GLfloat t, GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z), (s, t, r, g, b, a, nx, ny, nz, x, y, z))
GEN_THUNKS(glTexCoord2fColor4fNormal3fVertex3fvSUN, (const GLfloat * tc, const GLfloat * c, const GLfloat * n, const GLfloat * v), (tc, c, n, v))
GEN_THUNKS(glTexCoord2fColor4ubVertex3fSUN, (GLfloat s, GLfloat t, GLubyte r, GLubyte g, GLubyte b, GLubyte a, GLfloat x, GLfloat y, GLfloat z), (s, t, r, g, b, a, x, y, z))
GEN_THUNKS(glTexCoord2fColor4ubVertex3fvSUN, (const GLfloat * tc, const GLubyte * c, const GLfloat * v), (tc, c, v))
GEN_THUNKS(glTexCoord2fNormal3fVertex3fSUN, (GLfloat s, GLfloat t, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z), (s, t, nx, ny, nz, x, y, z))
GEN_THUNKS(glTexCoord2fNormal3fVertex3fvSUN, (const GLfloat * tc, const GLfloat * n, const GLfloat * v), (tc, n, v))
GEN_THUNKS(glTexCoord2fVertex3fSUN, (GLfloat s, GLfloat t, GLfloat x, GLfloat y, GLfloat z), (s, t, x, y, z))
GEN_THUNKS(glTexCoord2fVertex3fvSUN, (const GLfloat * tc, const GLfloat * v), (tc, v))
GEN_THUNKS(glTexCoord2fv, (const GLfloat * v), (v))
GEN_THUNKS(glTexCoord2hNV, (GLhalfNV s, GLhalfNV t), (s, t))
GEN_THUNKS(glTexCoord2hvNV, (const GLhalfNV * v), (v))
GEN_THUNKS(glTexCoord2i, (GLint s, GLint t), (s, t))
GEN_THUNKS(glTexCoord2iv, (const GLint * v), (v))
GEN_THUNKS(glTexCoord2s, (GLshort s, GLshort t), (s, t))
GEN_THUNKS(glTexCoord2sv, (const GLshort * v), (v))
GEN_THUNKS(glTexCoord2xOES, (GLfixed s, GLfixed t), (s, t))
GEN_THUNKS(glTexCoord2xvOES, (const GLfixed * coords), (coords))
GEN_THUNKS(glTexCoord3bOES, (GLbyte s, GLbyte t, GLbyte r), (s, t, r))
GEN_THUNKS(glTexCoord3bvOES, (const GLbyte * coords), (coords))
GEN_THUNKS(glTexCoord3d, (GLdouble s, GLdouble t, GLdouble r), (s, t, r))
GEN_THUNKS(glTexCoord3dv, (const GLdouble * v), (v))
GEN_THUNKS(glTexCoord3f, (GLfloat s, GLfloat t, GLfloat r), (s, t, r))
GEN_THUNKS(glTexCoord3fv, (const GLfloat * v), (v))
GEN_THUNKS(glTexCoord3hNV, (GLhalfNV s, GLhalfNV t, GLhalfNV r), (s, t, r))
GEN_THUNKS(glTexCoord3hvNV, (const GLhalfNV * v), (v))
GEN_THUNKS(glTexCoord3i, (GLint s, GLint t, GLint r), (s, t, r))
GEN_THUNKS(glTexCoord3iv, (const GLint * v), (v))
GEN_THUNKS(glTexCoord3s, (GLshort s, GLshort t, GLshort r), (s, t, r))
GEN_THUNKS(glTexCoord3sv, (const GLshort * v), (v))
GEN_THUNKS(glTexCoord3xOES, (GLfixed s, GLfixed t, GLfixed r), (s, t, r))
GEN_THUNKS(glTexCoord3xvOES, (const GLfixed * coords), (coords))
GEN_THUNKS(glTexCoord4bOES, (GLbyte s, GLbyte t, GLbyte r, GLbyte q), (s, t, r, q))
GEN_THUNKS(glTexCoord4bvOES, (const GLbyte * coords), (coords))
GEN_THUNKS(glTexCoord4d, (GLdouble s, GLdouble t, GLdouble r, GLdouble q), (s, t, r, q))
GEN_THUNKS(glTexCoord4dv, (const GLdouble * v), (v))
GEN_THUNKS(glTexCoord4f, (GLfloat s, GLfloat t, GLfloat r, GLfloat q), (s, t, r, q))
GEN_THUNKS(glTexCoord4fColor4fNormal3fVertex4fSUN, (GLfloat s, GLfloat t, GLfloat p, GLfloat q, GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z, GLfloat w), (s, t, p, q, r, g, b, a, nx, ny, nz, x, y, z, w))
GEN_THUNKS(glTexCoord4fColor4fNormal3fVertex4fvSUN, (const GLfloat * tc, const GLfloat * c, const GLfloat * n, const GLfloat * v), (tc, c, n, v))
GEN_THUNKS(glTexCoord4fVertex4fSUN, (GLfloat s, GLfloat t, GLfloat p, GLfloat q, GLfloat x, GLfloat y, GLfloat z, GLfloat w), (s, t, p, q, x, y, z, w))
GEN_THUNKS(glTexCoord4fVertex4fvSUN, (const GLfloat * tc, const GLfloat * v), (tc, v))
GEN_THUNKS(glTexCoord4fv, (const GLfloat * v), (v))
GEN_THUNKS(glTexCoord4hNV, (GLhalfNV s, GLhalfNV t, GLhalfNV r, GLhalfNV q), (s, t, r, q))
GEN_THUNKS(glTexCoord4hvNV, (const GLhalfNV * v), (v))
GEN_THUNKS(glTexCoord4i, (GLint s, GLint t, GLint r, GLint q), (s, t, r, q))
GEN_THUNKS(glTexCoord4iv, (const GLint * v), (v))
GEN_THUNKS(glTexCoord4s, (GLshort s, GLshort t, GLshort r, GLshort q), (s, t, r, q))
GEN_THUNKS(glTexCoord4sv, (const GLshort * v), (v))
GEN_THUNKS(glTexCoord4xOES, (GLfixed s, GLfixed t, GLfixed r, GLfixed q), (s, t, r, q))
GEN_THUNKS(glTexCoord4xvOES, (const GLfixed * coords), (coords))
GEN_THUNKS(glTexCoordFormatNV, (GLint size, GLenum type, GLsizei stride), (size, type, stride))
GEN_THUNKS(glTexCoordP1ui, (GLenum type, GLuint coords), (type, coords))
GEN_THUNKS(glTexCoordP1uiv, (GLenum type, const GLuint * coords), (type, coords))
GEN_THUNKS(glTexCoordP2ui, (GLenum type, GLuint coords), (type, coords))
GEN_THUNKS(glTexCoordP2uiv, (GLenum type, const GLuint * coords), (type, coords))
GEN_THUNKS(glTexCoordP3ui, (GLenum type, GLuint coords), (type, coords))
GEN_THUNKS(glTexCoordP3uiv, (GLenum type, const GLuint * coords), (type, coords))
GEN_THUNKS(glTexCoordP4ui, (GLenum type, GLuint coords), (type, coords))
GEN_THUNKS(glTexCoordP4uiv, (GLenum type, const GLuint * coords), (type, coords))
GEN_THUNKS(glTexCoordPointer, (GLint size, GLenum type, GLsizei stride, const void * pointer), (size, type, stride, pointer))
GEN_THUNKS(glTexCoordPointerEXT, (GLint size, GLenum type, GLsizei stride, GLsizei count, const void * pointer), (size, type, stride, count, pointer))
GEN_THUNKS(glTexCoordPointerListIBM, (GLint size, GLenum type, GLint stride, const void ** pointer, GLint ptrstride), (size, type, stride, pointer, ptrstride))
GEN_THUNKS(glTexCoordPointervINTEL, (GLint size, GLenum type, const void ** pointer), (size, type, pointer))
GEN_THUNKS(glTexEnvf, (GLenum target, GLenum pname, GLfloat param), (target, pname, param))
GEN_THUNKS(glTexEnvfv, (GLenum target, GLenum pname, const GLfloat * params), (target, pname, params))
GEN_THUNKS(glTexEnvi, (GLenum target, GLenum pname, GLint param), (target, pname, param))
GEN_THUNKS(glTexEnviv, (GLenum target, GLenum pname, const GLint * params), (target, pname, params))
GEN_THUNKS(glTexEnvx, (GLenum target, GLenum pname, GLfixed param), (target, pname, param))
GEN_THUNKS(glTexEnvxOES, (GLenum target, GLenum pname, GLfixed param), (target, pname, param))
GEN_THUNKS(glTexEnvxv, (GLenum target, GLenum pname, const GLfixed * params), (target, pname, params))
GEN_THUNKS(glTexEnvxvOES, (GLenum target, GLenum pname, const GLfixed * params), (target, pname, params))
GEN_THUNKS(glTexFilterFuncSGIS, (GLenum target, GLenum filter, GLsizei n, const GLfloat * weights), (target, filter, n, weights))
GEN_THUNKS(glTexGend, (GLenum coord, GLenum pname, GLdouble param), (coord, pname, param))
GEN_THUNKS(glTexGendv, (GLenum coord, GLenum pname, const GLdouble * params), (coord, pname, params))
GEN_THUNKS(glTexGenf, (GLenum coord, GLenum pname, GLfloat param), (coord, pname, param))
GEN_THUNKS(glTexGenfOES, (GLenum coord, GLenum pname, GLfloat param), (coord, pname, param))
GEN_THUNKS(glTexGenfv, (GLenum coord, GLenum pname, const GLfloat * params), (coord, pname, params))
GEN_THUNKS(glTexGenfvOES, (GLenum coord, GLenum pname, const GLfloat * params), (coord, pname, params))
GEN_THUNKS(glTexGeni, (GLenum coord, GLenum pname, GLint param), (coord, pname, param))
GEN_THUNKS(glTexGeniOES, (GLenum coord, GLenum pname, GLint param), (coord, pname, param))
GEN_THUNKS(glTexGeniv, (GLenum coord, GLenum pname, const GLint * params), (coord, pname, params))
GEN_THUNKS(glTexGenivOES, (GLenum coord, GLenum pname, const GLint * params), (coord, pname, params))
GEN_THUNKS(glTexGenxOES, (GLenum coord, GLenum pname, GLfixed param), (coord, pname, param))
GEN_THUNKS(glTexGenxvOES, (GLenum coord, GLenum pname, const GLfixed * params), (coord, pname, params))
GEN_THUNKS(glTexImage1D, (GLenum target, GLint level, GLint internalformat, GLsizei width, GLint border, GLenum format, GLenum type, const void * pixels), (target, level, internalformat, width, border, format, type, pixels))
GEN_THUNKS(glTexImage2D, (GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const void * pixels), (target, level, internalformat, width, height, border, format, type, pixels))
GEN_THUNKS(glTexImage2DMultisample, (GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations), (target, samples, internalformat, width, height, fixedsamplelocations))
GEN_THUNKS(glTexImage2DMultisampleCoverageNV, (GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLboolean fixedSampleLocations), (target, coverageSamples, colorSamples, internalFormat, width, height, fixedSampleLocations))
GEN_THUNKS(glTexImage3D, (GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const void * pixels), (target, level, internalformat, width, height, depth, border, format, type, pixels))
GEN_THUNKS(glTexImage3DEXT, (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const void * pixels), (target, level, internalformat, width, height, depth, border, format, type, pixels))
GEN_THUNKS(glTexImage3DMultisample, (GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations), (target, samples, internalformat, width, height, depth, fixedsamplelocations))
GEN_THUNKS(glTexImage3DMultisampleCoverageNV, (GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedSampleLocations), (target, coverageSamples, colorSamples, internalFormat, width, height, depth, fixedSampleLocations))
GEN_THUNKS(glTexImage3DOES, (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const void * pixels), (target, level, internalformat, width, height, depth, border, format, type, pixels))
GEN_THUNKS(glTexImage4DSGIS, (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLsizei size4d, GLint border, GLenum format, GLenum type, const void * pixels), (target, level, internalformat, width, height, depth, size4d, border, format, type, pixels))
GEN_THUNKS(glTexPageCommitmentARB, (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLboolean resident), (target, level, xoffset, yoffset, zoffset, width, height, depth, resident))
GEN_THUNKS(glTexParameterIiv, (GLenum target, GLenum pname, const GLint * params), (target, pname, params))
GEN_THUNKS(glTexParameterIivEXT, (GLenum target, GLenum pname, const GLint * params), (target, pname, params))
GEN_THUNKS(glTexParameterIuiv, (GLenum target, GLenum pname, const GLuint * params), (target, pname, params))
GEN_THUNKS(glTexParameterIuivEXT, (GLenum target, GLenum pname, const GLuint * params), (target, pname, params))
GEN_THUNKS(glTexParameterf, (GLenum target, GLenum pname, GLfloat param), (target, pname, param))
GEN_THUNKS(glTexParameterfv, (GLenum target, GLenum pname, const GLfloat * params), (target, pname, params))
GEN_THUNKS(glTexParameteri, (GLenum target, GLenum pname, GLint param), (target, pname, param))
GEN_THUNKS(glTexParameteriv, (GLenum target, GLenum pname, const GLint * params), (target, pname, params))
GEN_THUNKS(glTexParameterx, (GLenum target, GLenum pname, GLfixed param), (target, pname, param))
GEN_THUNKS(glTexParameterxOES, (GLenum target, GLenum pname, GLfixed param), (target, pname, param))
GEN_THUNKS(glTexParameterxv, (GLenum target, GLenum pname, const GLfixed * params), (target, pname, params))
GEN_THUNKS(glTexParameterxvOES, (GLenum target, GLenum pname, const GLfixed * params), (target, pname, params))
GEN_THUNKS(glTexRenderbufferNV, (GLenum target, GLuint renderbuffer), (target, renderbuffer))
GEN_THUNKS(glTexStorage1D, (GLenum target, GLsizei levels, GLenum internalformat, GLsizei width), (target, levels, internalformat, width))
GEN_THUNKS(glTexStorage1DEXT, (GLenum target, GLsizei levels, GLenum internalformat, GLsizei width), (target, levels, internalformat, width))
GEN_THUNKS(glTexStorage2D, (GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height), (target, levels, internalformat, width, height))
GEN_THUNKS(glTexStorage2DEXT, (GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height), (target, levels, internalformat, width, height))
GEN_THUNKS(glTexStorage2DMultisample, (GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations), (target, samples, internalformat, width, height, fixedsamplelocations))
GEN_THUNKS(glTexStorage3D, (GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth), (target, levels, internalformat, width, height, depth))
GEN_THUNKS(glTexStorage3DEXT, (GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth), (target, levels, internalformat, width, height, depth))
GEN_THUNKS(glTexStorage3DMultisample, (GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations), (target, samples, internalformat, width, height, depth, fixedsamplelocations))
GEN_THUNKS(glTexStorage3DMultisampleOES, (GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations), (target, samples, internalformat, width, height, depth, fixedsamplelocations))
GEN_THUNKS(glTexStorageSparseAMD, (GLenum target, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLsizei layers, GLbitfield flags), (target, internalFormat, width, height, depth, layers, flags))
GEN_THUNKS(glTexSubImage1D, (GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const void * pixels), (target, level, xoffset, width, format, type, pixels))
GEN_THUNKS(glTexSubImage1DEXT, (GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const void * pixels), (target, level, xoffset, width, format, type, pixels))
GEN_THUNKS(glTexSubImage2D, (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * pixels), (target, level, xoffset, yoffset, width, height, format, type, pixels))
GEN_THUNKS(glTexSubImage2DEXT, (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * pixels), (target, level, xoffset, yoffset, width, height, format, type, pixels))
GEN_THUNKS(glTexSubImage3D, (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const void * pixels), (target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, pixels))
GEN_THUNKS(glTexSubImage3DEXT, (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const void * pixels), (target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, pixels))
GEN_THUNKS(glTexSubImage3DOES, (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const void * pixels), (target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, pixels))
GEN_THUNKS(glTexSubImage4DSGIS, (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint woffset, GLsizei width, GLsizei height, GLsizei depth, GLsizei size4d, GLenum format, GLenum type, const void * pixels), (target, level, xoffset, yoffset, zoffset, woffset, width, height, depth, size4d, format, type, pixels))
GEN_THUNKS(glTextureBarrierNV, (void), ())
GEN_THUNKS(glTextureBufferEXT, (GLuint texture, GLenum target, GLenum internalformat, GLuint buffer), (texture, target, internalformat, buffer))
GEN_THUNKS(glTextureBufferRangeEXT, (GLuint texture, GLenum target, GLenum internalformat, GLuint buffer, GLintptr offset, GLsizeiptr size), (texture, target, internalformat, buffer, offset, size))
GEN_THUNKS(glTextureColorMaskSGIS, (GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha), (red, green, blue, alpha))
GEN_THUNKS(glTextureImage1DEXT, (GLuint texture, GLenum target, GLint level, GLint internalformat, GLsizei width, GLint border, GLenum format, GLenum type, const void * pixels), (texture, target, level, internalformat, width, border, format, type, pixels))
GEN_THUNKS(glTextureImage2DEXT, (GLuint texture, GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const void * pixels), (texture, target, level, internalformat, width, height, border, format, type, pixels))
GEN_THUNKS(glTextureImage2DMultisampleCoverageNV, (GLuint texture, GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLboolean fixedSampleLocations), (texture, target, coverageSamples, colorSamples, internalFormat, width, height, fixedSampleLocations))
GEN_THUNKS(glTextureImage2DMultisampleNV, (GLuint texture, GLenum target, GLsizei samples, GLint internalFormat, GLsizei width, GLsizei height, GLboolean fixedSampleLocations), (texture, target, samples, internalFormat, width, height, fixedSampleLocations))
GEN_THUNKS(glTextureImage3DEXT, (GLuint texture, GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const void * pixels), (texture, target, level, internalformat, width, height, depth, border, format, type, pixels))
GEN_THUNKS(glTextureImage3DMultisampleCoverageNV, (GLuint texture, GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedSampleLocations), (texture, target, coverageSamples, colorSamples, internalFormat, width, height, depth, fixedSampleLocations))
GEN_THUNKS(glTextureImage3DMultisampleNV, (GLuint texture, GLenum target, GLsizei samples, GLint internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedSampleLocations), (texture, target, samples, internalFormat, width, height, depth, fixedSampleLocations))
GEN_THUNKS(glTextureLightEXT, (GLenum pname), (pname))
GEN_THUNKS(glTextureMaterialEXT, (GLenum face, GLenum mode), (face, mode))
GEN_THUNKS(glTextureNormalEXT, (GLenum mode), (mode))
GEN_THUNKS(glTexturePageCommitmentEXT, (GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLboolean resident), (texture, level, xoffset, yoffset, zoffset, width, height, depth, resident))
GEN_THUNKS(glTextureParameterIivEXT, (GLuint texture, GLenum target, GLenum pname, const GLint * params), (texture, target, pname, params))
GEN_THUNKS(glTextureParameterIuivEXT, (GLuint texture, GLenum target, GLenum pname, const GLuint * params), (texture, target, pname, params))
GEN_THUNKS(glTextureParameterfEXT, (GLuint texture, GLenum target, GLenum pname, GLfloat param), (texture, target, pname, param))
GEN_THUNKS(glTextureParameterfvEXT, (GLuint texture, GLenum target, GLenum pname, const GLfloat * params), (texture, target, pname, params))
GEN_THUNKS(glTextureParameteriEXT, (GLuint texture, GLenum target, GLenum pname, GLint param), (texture, target, pname, param))
GEN_THUNKS(glTextureParameterivEXT, (GLuint texture, GLenum target, GLenum pname, const GLint * params), (texture, target, pname, params))
GEN_THUNKS(glTextureRangeAPPLE, (GLenum target, GLsizei length, const void * pointer), (target, length, pointer))
GEN_THUNKS(glTextureRenderbufferEXT, (GLuint texture, GLenum target, GLuint renderbuffer), (texture, target, renderbuffer))
GEN_THUNKS(glTextureStorage1DEXT, (GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width), (texture, target, levels, internalformat, width))
GEN_THUNKS(glTextureStorage2DEXT, (GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height), (texture, target, levels, internalformat, width, height))
GEN_THUNKS(glTextureStorage2DMultisampleEXT, (GLuint texture, GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations), (texture, target, samples, internalformat, width, height, fixedsamplelocations))
GEN_THUNKS(glTextureStorage3DEXT, (GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth), (texture, target, levels, internalformat, width, height, depth))
GEN_THUNKS(glTextureStorage3DMultisampleEXT, (GLuint texture, GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations), (texture, target, samples, internalformat, width, height, depth, fixedsamplelocations))
GEN_THUNKS(glTextureStorageSparseAMD, (GLuint texture, GLenum target, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLsizei layers, GLbitfield flags), (texture, target, internalFormat, width, height, depth, layers, flags))
GEN_THUNKS(glTextureSubImage1DEXT, (GLuint texture, GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const void * pixels), (texture, target, level, xoffset, width, format, type, pixels))
GEN_THUNKS(glTextureSubImage2DEXT, (GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * pixels), (texture, target, level, xoffset, yoffset, width, height, format, type, pixels))
GEN_THUNKS(glTextureSubImage3DEXT, (GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const void * pixels), (texture, target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, pixels))
GEN_THUNKS(glTextureView, (GLuint texture, GLenum target, GLuint origtexture, GLenum internalformat, GLuint minlevel, GLuint numlevels, GLuint minlayer, GLuint numlayers), (texture, target, origtexture, internalformat, minlevel, numlevels, minlayer, numlayers))
GEN_THUNKS(glTrackMatrixNV, (GLenum target, GLuint address, GLenum matrix, GLenum transform), (target, address, matrix, transform))
GEN_THUNKS(glTransformFeedbackAttribsNV, (GLuint count, const GLint * attribs, GLenum bufferMode), (count, attribs, bufferMode))
GEN_THUNKS(glTransformFeedbackStreamAttribsNV, (GLsizei count, const GLint * attribs, GLsizei nbuffers, const GLint * bufstreams, GLenum bufferMode), (count, attribs, nbuffers, bufstreams, bufferMode))
GEN_THUNKS(glTransformFeedbackVaryings, (GLuint program, GLsizei count, const GLchar *const* varyings, GLenum bufferMode), (program, count, varyings, bufferMode))
GEN_THUNKS(glTransformFeedbackVaryingsEXT, (GLuint program, GLsizei count, const GLchar *const* varyings, GLenum bufferMode), (program, count, varyings, bufferMode))
GEN_THUNKS(glTransformFeedbackVaryingsNV, (GLuint program, GLsizei count, const GLint * locations, GLenum bufferMode), (program, count, locations, bufferMode))
GEN_THUNKS(glTransformPathNV, (GLuint resultPath, GLuint srcPath, GLenum transformType, const GLfloat * transformValues), (resultPath, srcPath, transformType, transformValues))
GEN_THUNKS(glTranslated, (GLdouble x, GLdouble y, GLdouble z), (x, y, z))
GEN_THUNKS(glTranslatef, (GLfloat x, GLfloat y, GLfloat z), (x, y, z))
GEN_THUNKS(glTranslatex, (GLfixed x, GLfixed y, GLfixed z), (x, y, z))
GEN_THUNKS(glTranslatexOES, (GLfixed x, GLfixed y, GLfixed z), (x, y, z))
GEN_THUNKS(glUniform1d, (GLint location, GLdouble x), (location, x))
GEN_THUNKS(glUniform1dv, (GLint location, GLsizei count, const GLdouble * value), (location, count, value))
GEN_THUNKS(glUniform1f, (GLint location, GLfloat v0), (location, v0))
GEN_THUNKS(glUniform1fARB, (GLint location, GLfloat v0), (location, v0))
GEN_THUNKS(glUniform1fv, (GLint location, GLsizei count, const GLfloat * value), (location, count, value))
GEN_THUNKS(glUniform1fvARB, (GLint location, GLsizei count, const GLfloat * value), (location, count, value))
GEN_THUNKS(glUniform1i, (GLint location, GLint v0), (location, v0))
GEN_THUNKS(glUniform1i64NV, (GLint location, GLint64EXT x), (location, x))
GEN_THUNKS(glUniform1i64vNV, (GLint location, GLsizei count, const GLint64EXT * value), (location, count, value))
GEN_THUNKS(glUniform1iARB, (GLint location, GLint v0), (location, v0))
GEN_THUNKS(glUniform1iv, (GLint location, GLsizei count, const GLint * value), (location, count, value))
GEN_THUNKS(glUniform1ivARB, (GLint location, GLsizei count, const GLint * value), (location, count, value))
GEN_THUNKS(glUniform1ui, (GLint location, GLuint v0), (location, v0))
GEN_THUNKS(glUniform1ui64NV, (GLint location, GLuint64EXT x), (location, x))
GEN_THUNKS(glUniform1ui64vNV, (GLint location, GLsizei count, const GLuint64EXT * value), (location, count, value))
GEN_THUNKS(glUniform1uiEXT, (GLint location, GLuint v0), (location, v0))
GEN_THUNKS(glUniform1uiv, (GLint location, GLsizei count, const GLuint * value), (location, count, value))
GEN_THUNKS(glUniform1uivEXT, (GLint location, GLsizei count, const GLuint * value), (location, count, value))
GEN_THUNKS(glUniform2d, (GLint location, GLdouble x, GLdouble y), (location, x, y))
GEN_THUNKS(glUniform2dv, (GLint location, GLsizei count, const GLdouble * value), (location, count, value))
GEN_THUNKS(glUniform2f, (GLint location, GLfloat v0, GLfloat v1), (location, v0, v1))
GEN_THUNKS(glUniform2fARB, (GLint location, GLfloat v0, GLfloat v1), (location, v0, v1))
GEN_THUNKS(glUniform2fv, (GLint location, GLsizei count, const GLfloat * value), (location, count, value))
GEN_THUNKS(glUniform2fvARB, (GLint location, GLsizei count, const GLfloat * value), (location, count, value))
GEN_THUNKS(glUniform2i, (GLint location, GLint v0, GLint v1), (location, v0, v1))
GEN_THUNKS(glUniform2i64NV, (GLint location, GLint64EXT x, GLint64EXT y), (location, x, y))
GEN_THUNKS(glUniform2i64vNV, (GLint location, GLsizei count, const GLint64EXT * value), (location, count, value))
GEN_THUNKS(glUniform2iARB, (GLint location, GLint v0, GLint v1), (location, v0, v1))
GEN_THUNKS(glUniform2iv, (GLint location, GLsizei count, const GLint * value), (location, count, value))
GEN_THUNKS(glUniform2ivARB, (GLint location, GLsizei count, const GLint * value), (location, count, value))
GEN_THUNKS(glUniform2ui, (GLint location, GLuint v0, GLuint v1), (location, v0, v1))
GEN_THUNKS(glUniform2ui64NV, (GLint location, GLuint64EXT x, GLuint64EXT y), (location, x, y))
GEN_THUNKS(glUniform2ui64vNV, (GLint location, GLsizei count, const GLuint64EXT * value), (location, count, value))
GEN_THUNKS(glUniform2uiEXT, (GLint location, GLuint v0, GLuint v1), (location, v0, v1))
GEN_THUNKS(glUniform2uiv, (GLint location, GLsizei count, const GLuint * value), (location, count, value))
GEN_THUNKS(glUniform2uivEXT, (GLint location, GLsizei count, const GLuint * value), (location, count, value))
GEN_THUNKS(glUniform3d, (GLint location, GLdouble x, GLdouble y, GLdouble z), (location, x, y, z))
GEN_THUNKS(glUniform3dv, (GLint location, GLsizei count, const GLdouble * value), (location, count, value))
GEN_THUNKS(glUniform3f, (GLint location, GLfloat v0, GLfloat v1, GLfloat v2), (location, v0, v1, v2))
GEN_THUNKS(glUniform3fARB, (GLint location, GLfloat v0, GLfloat v1, GLfloat v2), (location, v0, v1, v2))
GEN_THUNKS(glUniform3fv, (GLint location, GLsizei count, const GLfloat * value), (location, count, value))
GEN_THUNKS(glUniform3fvARB, (GLint location, GLsizei count, const GLfloat * value), (location, count, value))
GEN_THUNKS(glUniform3i, (GLint location, GLint v0, GLint v1, GLint v2), (location, v0, v1, v2))
GEN_THUNKS(glUniform3i64NV, (GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z), (location, x, y, z))
GEN_THUNKS(glUniform3i64vNV, (GLint location, GLsizei count, const GLint64EXT * value), (location, count, value))
GEN_THUNKS(glUniform3iARB, (GLint location, GLint v0, GLint v1, GLint v2), (location, v0, v1, v2))
GEN_THUNKS(glUniform3iv, (GLint location, GLsizei count, const GLint * value), (location, count, value))
GEN_THUNKS(glUniform3ivARB, (GLint location, GLsizei count, const GLint * value), (location, count, value))
GEN_THUNKS(glUniform3ui, (GLint location, GLuint v0, GLuint v1, GLuint v2), (location, v0, v1, v2))
GEN_THUNKS(glUniform3ui64NV, (GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z), (location, x, y, z))
GEN_THUNKS(glUniform3ui64vNV, (GLint location, GLsizei count, const GLuint64EXT * value), (location, count, value))
GEN_THUNKS(glUniform3uiEXT, (GLint location, GLuint v0, GLuint v1, GLuint v2), (location, v0, v1, v2))
GEN_THUNKS(glUniform3uiv, (GLint location, GLsizei count, const GLuint * value), (location, count, value))
GEN_THUNKS(glUniform3uivEXT, (GLint location, GLsizei count, const GLuint * value), (location, count, value))
GEN_THUNKS(glUniform4d, (GLint location, GLdouble x, GLdouble y, GLdouble z, GLdouble w), (location, x, y, z, w))
GEN_THUNKS(glUniform4dv, (GLint location, GLsizei count, const GLdouble * value), (location, count, value))
GEN_THUNKS(glUniform4f, (GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3), (location, v0, v1, v2, v3))
GEN_THUNKS(glUniform4fARB, (GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3), (location, v0, v1, v2, v3))
GEN_THUNKS(glUniform4fv, (GLint location, GLsizei count, const GLfloat * value), (location, count, value))
GEN_THUNKS(glUniform4fvARB, (GLint location, GLsizei count, const GLfloat * value), (location, count, value))
GEN_THUNKS(glUniform4i, (GLint location, GLint v0, GLint v1, GLint v2, GLint v3), (location, v0, v1, v2, v3))
GEN_THUNKS(glUniform4i64NV, (GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z, GLint64EXT w), (location, x, y, z, w))
GEN_THUNKS(glUniform4i64vNV, (GLint location, GLsizei count, const GLint64EXT * value), (location, count, value))
GEN_THUNKS(glUniform4iARB, (GLint location, GLint v0, GLint v1, GLint v2, GLint v3), (location, v0, v1, v2, v3))
GEN_THUNKS(glUniform4iv, (GLint location, GLsizei count, const GLint * value), (location, count, value))
GEN_THUNKS(glUniform4ivARB, (GLint location, GLsizei count, const GLint * value), (location, count, value))
GEN_THUNKS(glUniform4ui, (GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3), (location, v0, v1, v2, v3))
GEN_THUNKS(glUniform4ui64NV, (GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z, GLuint64EXT w), (location, x, y, z, w))
GEN_THUNKS(glUniform4ui64vNV, (GLint location, GLsizei count, const GLuint64EXT * value), (location, count, value))
GEN_THUNKS(glUniform4uiEXT, (GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3), (location, v0, v1, v2, v3))
GEN_THUNKS(glUniform4uiv, (GLint location, GLsizei count, const GLuint * value), (location, count, value))
GEN_THUNKS(glUniform4uivEXT, (GLint location, GLsizei count, const GLuint * value), (location, count, value))
GEN_THUNKS(glUniformBlockBinding, (GLuint program, GLuint uniformBlockIndex, GLuint uniformBlockBinding), (program, uniformBlockIndex, uniformBlockBinding))
GEN_THUNKS(glUniformBufferEXT, (GLuint program, GLint location, GLuint buffer), (program, location, buffer))
GEN_THUNKS(glUniformHandleui64ARB, (GLint location, GLuint64 value), (location, value))
GEN_THUNKS(glUniformHandleui64NV, (GLint location, GLuint64 value), (location, value))
GEN_THUNKS(glUniformHandleui64vARB, (GLint location, GLsizei count, const GLuint64 * value), (location, count, value))
GEN_THUNKS(glUniformHandleui64vNV, (GLint location, GLsizei count, const GLuint64 * value), (location, count, value))
GEN_THUNKS(glUniformMatrix2dv, (GLint location, GLsizei count, GLboolean transpose, const GLdouble * value), (location, count, transpose, value))
GEN_THUNKS(glUniformMatrix2fv, (GLint location, GLsizei count, GLboolean transpose, const GLfloat * value), (location, count, transpose, value))
GEN_THUNKS(glUniformMatrix2fvARB, (GLint location, GLsizei count, GLboolean transpose, const GLfloat * value), (location, count, transpose, value))
GEN_THUNKS(glUniformMatrix2x3dv, (GLint location, GLsizei count, GLboolean transpose, const GLdouble * value), (location, count, transpose, value))
GEN_THUNKS(glUniformMatrix2x3fv, (GLint location, GLsizei count, GLboolean transpose, const GLfloat * value), (location, count, transpose, value))
GEN_THUNKS(glUniformMatrix2x3fvNV, (GLint location, GLsizei count, GLboolean transpose, const GLfloat * value), (location, count, transpose, value))
GEN_THUNKS(glUniformMatrix2x4dv, (GLint location, GLsizei count, GLboolean transpose, const GLdouble * value), (location, count, transpose, value))
GEN_THUNKS(glUniformMatrix2x4fv, (GLint location, GLsizei count, GLboolean transpose, const GLfloat * value), (location, count, transpose, value))
GEN_THUNKS(glUniformMatrix2x4fvNV, (GLint location, GLsizei count, GLboolean transpose, const GLfloat * value), (location, count, transpose, value))
GEN_THUNKS(glUniformMatrix3dv, (GLint location, GLsizei count, GLboolean transpose, const GLdouble * value), (location, count, transpose, value))
GEN_THUNKS(glUniformMatrix3fv, (GLint location, GLsizei count, GLboolean transpose, const GLfloat * value), (location, count, transpose, value))
GEN_THUNKS(glUniformMatrix3fvARB, (GLint location, GLsizei count, GLboolean transpose, const GLfloat * value), (location, count, transpose, value))
GEN_THUNKS(glUniformMatrix3x2dv, (GLint location, GLsizei count, GLboolean transpose, const GLdouble * value), (location, count, transpose, value))
GEN_THUNKS(glUniformMatrix3x2fv, (GLint location, GLsizei count, GLboolean transpose, const GLfloat * value), (location, count, transpose, value))
GEN_THUNKS(glUniformMatrix3x2fvNV, (GLint location, GLsizei count, GLboolean transpose, const GLfloat * value), (location, count, transpose, value))
GEN_THUNKS(glUniformMatrix3x4dv, (GLint location, GLsizei count, GLboolean transpose, const GLdouble * value), (location, count, transpose, value))
GEN_THUNKS(glUniformMatrix3x4fv, (GLint location, GLsizei count, GLboolean transpose, const GLfloat * value), (location, count, transpose, value))
GEN_THUNKS(glUniformMatrix3x4fvNV, (GLint location, GLsizei count, GLboolean transpose, const GLfloat * value), (location, count, transpose, value))
GEN_THUNKS(glUniformMatrix4dv, (GLint location, GLsizei count, GLboolean transpose, const GLdouble * value), (location, count, transpose, value))
GEN_THUNKS(glUniformMatrix4fv, (GLint location, GLsizei count, GLboolean transpose, const GLfloat * value), (location, count, transpose, value))
GEN_THUNKS(glUniformMatrix4fvARB, (GLint location, GLsizei count, GLboolean transpose, const GLfloat * value), (location, count, transpose, value))
GEN_THUNKS(glUniformMatrix4x2dv, (GLint location, GLsizei count, GLboolean transpose, const GLdouble * value), (location, count, transpose, value))
GEN_THUNKS(glUniformMatrix4x2fv, (GLint location, GLsizei count, GLboolean transpose, const GLfloat * value), (location, count, transpose, value))
GEN_THUNKS(glUniformMatrix4x2fvNV, (GLint location, GLsizei count, GLboolean transpose, const GLfloat * value), (location, count, transpose, value))
GEN_THUNKS(glUniformMatrix4x3dv, (GLint location, GLsizei count, GLboolean transpose, const GLdouble * value), (location, count, transpose, value))
GEN_THUNKS(glUniformMatrix4x3fv, (GLint location, GLsizei count, GLboolean transpose, const GLfloat * value), (location, count, transpose, value))
GEN_THUNKS(glUniformMatrix4x3fvNV, (GLint location, GLsizei count, GLboolean transpose, const GLfloat * value), (location, count, transpose, value))
GEN_THUNKS(glUniformSubroutinesuiv, (GLenum shadertype, GLsizei count, const GLuint * indices), (shadertype, count, indices))
GEN_THUNKS(glUniformui64NV, (GLint location, GLuint64EXT value), (location, value))
GEN_THUNKS(glUniformui64vNV, (GLint location, GLsizei count, const GLuint64EXT * value), (location, count, value))
GEN_THUNKS(glUnlockArraysEXT, (void), ())
GEN_THUNKS_RET(GLboolean, glUnmapBuffer, (GLenum target), (target))
GEN_THUNKS_RET(GLboolean, glUnmapBufferARB, (GLenum target), (target))
GEN_THUNKS_RET(GLboolean, glUnmapBufferOES, (GLenum target), (target))
GEN_THUNKS_RET(GLboolean, glUnmapNamedBufferEXT, (GLuint buffer), (buffer))
GEN_THUNKS(glUnmapObjectBufferATI, (GLuint buffer), (buffer))
GEN_THUNKS(glUnmapTexture2DINTEL, (GLuint texture, GLint level), (texture, level))
GEN_THUNKS(glUpdateObjectBufferATI, (GLuint buffer, GLuint offset, GLsizei size, const void * pointer, GLenum preserve), (buffer, offset, size, pointer, preserve))
GEN_THUNKS(glUseProgram, (GLuint program), (program))
GEN_THUNKS(glUseProgramObjectARB, (GLhandleARB programObj), ((uintptr_t)programObj))
GEN_THUNKS(glUseProgramStages, (GLuint pipeline, GLbitfield stages, GLuint program), (pipeline, stages, program))
GEN_THUNKS(glUseProgramStagesEXT, (GLuint pipeline, GLbitfield stages, GLuint program), (pipeline, stages, program))
GEN_THUNKS(glUseShaderProgramEXT, (GLenum type, GLuint program), (type, program))
GEN_THUNKS(glVDPAUFiniNV, (void), ())
GEN_THUNKS(glVDPAUGetSurfaceivNV, (GLvdpauSurfaceNV surface, GLenum pname, GLsizei bufSize, GLsizei * length, GLint * values), (surface, pname, bufSize, length, values))
GEN_THUNKS(glVDPAUInitNV, (const void * vdpDevice, const void * getProcAddress), (vdpDevice, getProcAddress))
GEN_THUNKS_RET(GLboolean, glVDPAUIsSurfaceNV, (GLvdpauSurfaceNV surface), (surface))
GEN_THUNKS(glVDPAUMapSurfacesNV, (GLsizei numSurfaces, const GLvdpauSurfaceNV * surfaces), (numSurfaces, surfaces))
GEN_THUNKS_RET(GLvdpauSurfaceNV, glVDPAURegisterOutputSurfaceNV, (const void * vdpSurface, GLenum target, GLsizei numTextureNames, const GLuint * textureNames), (vdpSurface, target, numTextureNames, textureNames))
GEN_THUNKS_RET(GLvdpauSurfaceNV, glVDPAURegisterVideoSurfaceNV, (const void * vdpSurface, GLenum target, GLsizei numTextureNames, const GLuint * textureNames), (vdpSurface, target, numTextureNames, textureNames))
GEN_THUNKS(glVDPAUSurfaceAccessNV, (GLvdpauSurfaceNV surface, GLenum access), (surface, access))
GEN_THUNKS(glVDPAUUnmapSurfacesNV, (GLsizei numSurface, const GLvdpauSurfaceNV * surfaces), (numSurface, surfaces))
GEN_THUNKS(glVDPAUUnregisterSurfaceNV, (GLvdpauSurfaceNV surface), (surface))
GEN_THUNKS(glValidateProgram, (GLuint program), (program))
GEN_THUNKS(glValidateProgramARB, (GLhandleARB programObj), ((uintptr_t)programObj))
GEN_THUNKS(glValidateProgramPipeline, (GLuint pipeline), (pipeline))
GEN_THUNKS(glValidateProgramPipelineEXT, (GLuint pipeline), (pipeline))
GEN_THUNKS(glVariantArrayObjectATI, (GLuint id, GLenum type, GLsizei stride, GLuint buffer, GLuint offset), (id, type, stride, buffer, offset))
GEN_THUNKS(glVariantPointerEXT, (GLuint id, GLenum type, GLuint stride, const void * addr), (id, type, stride, addr))
GEN_THUNKS(glVariantbvEXT, (GLuint id, const GLbyte * addr), (id, addr))
GEN_THUNKS(glVariantdvEXT, (GLuint id, const GLdouble * addr), (id, addr))
GEN_THUNKS(glVariantfvEXT, (GLuint id, const GLfloat * addr), (id, addr))
GEN_THUNKS(glVariantivEXT, (GLuint id, const GLint * addr), (id, addr))
GEN_THUNKS(glVariantsvEXT, (GLuint id, const GLshort * addr), (id, addr))
GEN_THUNKS(glVariantubvEXT, (GLuint id, const GLubyte * addr), (id, addr))
GEN_THUNKS(glVariantuivEXT, (GLuint id, const GLuint * addr), (id, addr))
GEN_THUNKS(glVariantusvEXT, (GLuint id, const GLushort * addr), (id, addr))
GEN_THUNKS(glVertex2bOES, (GLbyte x), (x))
GEN_THUNKS(glVertex2bvOES, (const GLbyte * coords), (coords))
GEN_THUNKS(glVertex2d, (GLdouble x, GLdouble y), (x, y))
GEN_THUNKS(glVertex2dv, (const GLdouble * v), (v))
GEN_THUNKS(glVertex2f, (GLfloat x, GLfloat y), (x, y))
GEN_THUNKS(glVertex2fv, (const GLfloat * v), (v))
GEN_THUNKS(glVertex2hNV, (GLhalfNV x, GLhalfNV y), (x, y))
GEN_THUNKS(glVertex2hvNV, (const GLhalfNV * v), (v))
GEN_THUNKS(glVertex2i, (GLint x, GLint y), (x, y))
GEN_THUNKS(glVertex2iv, (const GLint * v), (v))
GEN_THUNKS(glVertex2s, (GLshort x, GLshort y), (x, y))
GEN_THUNKS(glVertex2sv, (const GLshort * v), (v))
GEN_THUNKS(glVertex2xOES, (GLfixed x), (x))
GEN_THUNKS(glVertex2xvOES, (const GLfixed * coords), (coords))
GEN_THUNKS(glVertex3bOES, (GLbyte x, GLbyte y), (x, y))
GEN_THUNKS(glVertex3bvOES, (const GLbyte * coords), (coords))
GEN_THUNKS(glVertex3d, (GLdouble x, GLdouble y, GLdouble z), (x, y, z))
GEN_THUNKS(glVertex3dv, (const GLdouble * v), (v))
GEN_THUNKS(glVertex3f, (GLfloat x, GLfloat y, GLfloat z), (x, y, z))
GEN_THUNKS(glVertex3fv, (const GLfloat * v), (v))
GEN_THUNKS(glVertex3hNV, (GLhalfNV x, GLhalfNV y, GLhalfNV z), (x, y, z))
GEN_THUNKS(glVertex3hvNV, (const GLhalfNV * v), (v))
GEN_THUNKS(glVertex3i, (GLint x, GLint y, GLint z), (x, y, z))
GEN_THUNKS(glVertex3iv, (const GLint * v), (v))
GEN_THUNKS(glVertex3s, (GLshort x, GLshort y, GLshort z), (x, y, z))
GEN_THUNKS(glVertex3sv, (const GLshort * v), (v))
GEN_THUNKS(glVertex3xOES, (GLfixed x, GLfixed y), (x, y))
GEN_THUNKS(glVertex3xvOES, (const GLfixed * coords), (coords))
GEN_THUNKS(glVertex4bOES, (GLbyte x, GLbyte y, GLbyte z), (x, y, z))
GEN_THUNKS(glVertex4bvOES, (const GLbyte * coords), (coords))
GEN_THUNKS(glVertex4d, (GLdouble x, GLdouble y, GLdouble z, GLdouble w), (x, y, z, w))
GEN_THUNKS(glVertex4dv, (const GLdouble * v), (v))
GEN_THUNKS(glVertex4f, (GLfloat x, GLfloat y, GLfloat z, GLfloat w), (x, y, z, w))
GEN_THUNKS(glVertex4fv, (const GLfloat * v), (v))
GEN_THUNKS(glVertex4hNV, (GLhalfNV x, GLhalfNV y, GLhalfNV z, GLhalfNV w), (x, y, z, w))
GEN_THUNKS(glVertex4hvNV, (const GLhalfNV * v), (v))
GEN_THUNKS(glVertex4i, (GLint x, GLint y, GLint z, GLint w), (x, y, z, w))
GEN_THUNKS(glVertex4iv, (const GLint * v), (v))
GEN_THUNKS(glVertex4s, (GLshort x, GLshort y, GLshort z, GLshort w), (x, y, z, w))
GEN_THUNKS(glVertex4sv, (const GLshort * v), (v))
GEN_THUNKS(glVertex4xOES, (GLfixed x, GLfixed y, GLfixed z), (x, y, z))
GEN_THUNKS(glVertex4xvOES, (const GLfixed * coords), (coords))
GEN_THUNKS(glVertexArrayBindVertexBufferEXT, (GLuint vaobj, GLuint bindingindex, GLuint buffer, GLintptr offset, GLsizei stride), (vaobj, bindingindex, buffer, offset, stride))
GEN_THUNKS(glVertexArrayColorOffsetEXT, (GLuint vaobj, GLuint buffer, GLint size, GLenum type, GLsizei stride, GLintptr offset), (vaobj, buffer, size, type, stride, offset))
GEN_THUNKS(glVertexArrayEdgeFlagOffsetEXT, (GLuint vaobj, GLuint buffer, GLsizei stride, GLintptr offset), (vaobj, buffer, stride, offset))
GEN_THUNKS(glVertexArrayFogCoordOffsetEXT, (GLuint vaobj, GLuint buffer, GLenum type, GLsizei stride, GLintptr offset), (vaobj, buffer, type, stride, offset))
GEN_THUNKS(glVertexArrayIndexOffsetEXT, (GLuint vaobj, GLuint buffer, GLenum type, GLsizei stride, GLintptr offset), (vaobj, buffer, type, stride, offset))
GEN_THUNKS(glVertexArrayMultiTexCoordOffsetEXT, (GLuint vaobj, GLuint buffer, GLenum texunit, GLint size, GLenum type, GLsizei stride, GLintptr offset), (vaobj, buffer, texunit, size, type, stride, offset))
GEN_THUNKS(glVertexArrayNormalOffsetEXT, (GLuint vaobj, GLuint buffer, GLenum type, GLsizei stride, GLintptr offset), (vaobj, buffer, type, stride, offset))
GEN_THUNKS(glVertexArrayParameteriAPPLE, (GLenum pname, GLint param), (pname, param))
GEN_THUNKS(glVertexArrayRangeAPPLE, (GLsizei length, void * pointer), (length, pointer))
GEN_THUNKS(glVertexArrayRangeNV, (GLsizei length, const void * pointer), (length, pointer))
GEN_THUNKS(glVertexArraySecondaryColorOffsetEXT, (GLuint vaobj, GLuint buffer, GLint size, GLenum type, GLsizei stride, GLintptr offset), (vaobj, buffer, size, type, stride, offset))
GEN_THUNKS(glVertexArrayTexCoordOffsetEXT, (GLuint vaobj, GLuint buffer, GLint size, GLenum type, GLsizei stride, GLintptr offset), (vaobj, buffer, size, type, stride, offset))
GEN_THUNKS(glVertexArrayVertexAttribBindingEXT, (GLuint vaobj, GLuint attribindex, GLuint bindingindex), (vaobj, attribindex, bindingindex))
GEN_THUNKS(glVertexArrayVertexAttribDivisorEXT, (GLuint vaobj, GLuint index, GLuint divisor), (vaobj, index, divisor))
GEN_THUNKS(glVertexArrayVertexAttribFormatEXT, (GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLboolean normalized, GLuint relativeoffset), (vaobj, attribindex, size, type, normalized, relativeoffset))
GEN_THUNKS(glVertexArrayVertexAttribIFormatEXT, (GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset), (vaobj, attribindex, size, type, relativeoffset))
GEN_THUNKS(glVertexArrayVertexAttribIOffsetEXT, (GLuint vaobj, GLuint buffer, GLuint index, GLint size, GLenum type, GLsizei stride, GLintptr offset), (vaobj, buffer, index, size, type, stride, offset))
GEN_THUNKS(glVertexArrayVertexAttribLFormatEXT, (GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset), (vaobj, attribindex, size, type, relativeoffset))
GEN_THUNKS(glVertexArrayVertexAttribLOffsetEXT, (GLuint vaobj, GLuint buffer, GLuint index, GLint size, GLenum type, GLsizei stride, GLintptr offset), (vaobj, buffer, index, size, type, stride, offset))
GEN_THUNKS(glVertexArrayVertexAttribOffsetEXT, (GLuint vaobj, GLuint buffer, GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride, GLintptr offset), (vaobj, buffer, index, size, type, normalized, stride, offset))
GEN_THUNKS(glVertexArrayVertexBindingDivisorEXT, (GLuint vaobj, GLuint bindingindex, GLuint divisor), (vaobj, bindingindex, divisor))
GEN_THUNKS(glVertexArrayVertexOffsetEXT, (GLuint vaobj, GLuint buffer, GLint size, GLenum type, GLsizei stride, GLintptr offset), (vaobj, buffer, size, type, stride, offset))
GEN_THUNKS(glVertexAttrib1d, (GLuint index, GLdouble x), (index, x))
GEN_THUNKS(glVertexAttrib1dARB, (GLuint index, GLdouble x), (index, x))
GEN_THUNKS(glVertexAttrib1dNV, (GLuint index, GLdouble x), (index, x))
GEN_THUNKS(glVertexAttrib1dv, (GLuint index, const GLdouble * v), (index, v))
GEN_THUNKS(glVertexAttrib1dvARB, (GLuint index, const GLdouble * v), (index, v))
GEN_THUNKS(glVertexAttrib1dvNV, (GLuint index, const GLdouble * v), (index, v))
GEN_THUNKS(glVertexAttrib1f, (GLuint index, GLfloat x), (index, x))
GEN_THUNKS(glVertexAttrib1fARB, (GLuint index, GLfloat x), (index, x))
GEN_THUNKS(glVertexAttrib1fNV, (GLuint index, GLfloat x), (index, x))
GEN_THUNKS(glVertexAttrib1fv, (GLuint index, const GLfloat * v), (index, v))
GEN_THUNKS(glVertexAttrib1fvARB, (GLuint index, const GLfloat * v), (index, v))
GEN_THUNKS(glVertexAttrib1fvNV, (GLuint index, const GLfloat * v), (index, v))
GEN_THUNKS(glVertexAttrib1hNV, (GLuint index, GLhalfNV x), (index, x))
GEN_THUNKS(glVertexAttrib1hvNV, (GLuint index, const GLhalfNV * v), (index, v))
GEN_THUNKS(glVertexAttrib1s, (GLuint index, GLshort x), (index, x))
GEN_THUNKS(glVertexAttrib1sARB, (GLuint index, GLshort x), (index, x))
GEN_THUNKS(glVertexAttrib1sNV, (GLuint index, GLshort x), (index, x))
GEN_THUNKS(glVertexAttrib1sv, (GLuint index, const GLshort * v), (index, v))
GEN_THUNKS(glVertexAttrib1svARB, (GLuint index, const GLshort * v), (index, v))
GEN_THUNKS(glVertexAttrib1svNV, (GLuint index, const GLshort * v), (index, v))
GEN_THUNKS(glVertexAttrib2d, (GLuint index, GLdouble x, GLdouble y), (index, x, y))
GEN_THUNKS(glVertexAttrib2dARB, (GLuint index, GLdouble x, GLdouble y), (index, x, y))
GEN_THUNKS(glVertexAttrib2dNV, (GLuint index, GLdouble x, GLdouble y), (index, x, y))
GEN_THUNKS(glVertexAttrib2dv, (GLuint index, const GLdouble * v), (index, v))
GEN_THUNKS(glVertexAttrib2dvARB, (GLuint index, const GLdouble * v), (index, v))
GEN_THUNKS(glVertexAttrib2dvNV, (GLuint index, const GLdouble * v), (index, v))
GEN_THUNKS(glVertexAttrib2f, (GLuint index, GLfloat x, GLfloat y), (index, x, y))
GEN_THUNKS(glVertexAttrib2fARB, (GLuint index, GLfloat x, GLfloat y), (index, x, y))
GEN_THUNKS(glVertexAttrib2fNV, (GLuint index, GLfloat x, GLfloat y), (index, x, y))
GEN_THUNKS(glVertexAttrib2fv, (GLuint index, const GLfloat * v), (index, v))
GEN_THUNKS(glVertexAttrib2fvARB, (GLuint index, const GLfloat * v), (index, v))
GEN_THUNKS(glVertexAttrib2fvNV, (GLuint index, const GLfloat * v), (index, v))
GEN_THUNKS(glVertexAttrib2hNV, (GLuint index, GLhalfNV x, GLhalfNV y), (index, x, y))
GEN_THUNKS(glVertexAttrib2hvNV, (GLuint index, const GLhalfNV * v), (index, v))
GEN_THUNKS(glVertexAttrib2s, (GLuint index, GLshort x, GLshort y), (index, x, y))
GEN_THUNKS(glVertexAttrib2sARB, (GLuint index, GLshort x, GLshort y), (index, x, y))
GEN_THUNKS(glVertexAttrib2sNV, (GLuint index, GLshort x, GLshort y), (index, x, y))
GEN_THUNKS(glVertexAttrib2sv, (GLuint index, const GLshort * v), (index, v))
GEN_THUNKS(glVertexAttrib2svARB, (GLuint index, const GLshort * v), (index, v))
GEN_THUNKS(glVertexAttrib2svNV, (GLuint index, const GLshort * v), (index, v))
GEN_THUNKS(glVertexAttrib3d, (GLuint index, GLdouble x, GLdouble y, GLdouble z), (index, x, y, z))
GEN_THUNKS(glVertexAttrib3dARB, (GLuint index, GLdouble x, GLdouble y, GLdouble z), (index, x, y, z))
GEN_THUNKS(glVertexAttrib3dNV, (GLuint index, GLdouble x, GLdouble y, GLdouble z), (index, x, y, z))
GEN_THUNKS(glVertexAttrib3dv, (GLuint index, const GLdouble * v), (index, v))
GEN_THUNKS(glVertexAttrib3dvARB, (GLuint index, const GLdouble * v), (index, v))
GEN_THUNKS(glVertexAttrib3dvNV, (GLuint index, const GLdouble * v), (index, v))
GEN_THUNKS(glVertexAttrib3f, (GLuint index, GLfloat x, GLfloat y, GLfloat z), (index, x, y, z))
GEN_THUNKS(glVertexAttrib3fARB, (GLuint index, GLfloat x, GLfloat y, GLfloat z), (index, x, y, z))
GEN_THUNKS(glVertexAttrib3fNV, (GLuint index, GLfloat x, GLfloat y, GLfloat z), (index, x, y, z))
GEN_THUNKS(glVertexAttrib3fv, (GLuint index, const GLfloat * v), (index, v))
GEN_THUNKS(glVertexAttrib3fvARB, (GLuint index, const GLfloat * v), (index, v))
GEN_THUNKS(glVertexAttrib3fvNV, (GLuint index, const GLfloat * v), (index, v))
GEN_THUNKS(glVertexAttrib3hNV, (GLuint index, GLhalfNV x, GLhalfNV y, GLhalfNV z), (index, x, y, z))
GEN_THUNKS(glVertexAttrib3hvNV, (GLuint index, const GLhalfNV * v), (index, v))
GEN_THUNKS(glVertexAttrib3s, (GLuint index, GLshort x, GLshort y, GLshort z), (index, x, y, z))
GEN_THUNKS(glVertexAttrib3sARB, (GLuint index, GLshort x, GLshort y, GLshort z), (index, x, y, z))
GEN_THUNKS(glVertexAttrib3sNV, (GLuint index, GLshort x, GLshort y, GLshort z), (index, x, y, z))
GEN_THUNKS(glVertexAttrib3sv, (GLuint index, const GLshort * v), (index, v))
GEN_THUNKS(glVertexAttrib3svARB, (GLuint index, const GLshort * v), (index, v))
GEN_THUNKS(glVertexAttrib3svNV, (GLuint index, const GLshort * v), (index, v))
GEN_THUNKS(glVertexAttrib4Nbv, (GLuint index, const GLbyte * v), (index, v))
GEN_THUNKS(glVertexAttrib4NbvARB, (GLuint index, const GLbyte * v), (index, v))
GEN_THUNKS(glVertexAttrib4Niv, (GLuint index, const GLint * v), (index, v))
GEN_THUNKS(glVertexAttrib4NivARB, (GLuint index, const GLint * v), (index, v))
GEN_THUNKS(glVertexAttrib4Nsv, (GLuint index, const GLshort * v), (index, v))
GEN_THUNKS(glVertexAttrib4NsvARB, (GLuint index, const GLshort * v), (index, v))
GEN_THUNKS(glVertexAttrib4Nub, (GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w), (index, x, y, z, w))
GEN_THUNKS(glVertexAttrib4NubARB, (GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w), (index, x, y, z, w))
GEN_THUNKS(glVertexAttrib4Nubv, (GLuint index, const GLubyte * v), (index, v))
GEN_THUNKS(glVertexAttrib4NubvARB, (GLuint index, const GLubyte * v), (index, v))
GEN_THUNKS(glVertexAttrib4Nuiv, (GLuint index, const GLuint * v), (index, v))
GEN_THUNKS(glVertexAttrib4NuivARB, (GLuint index, const GLuint * v), (index, v))
GEN_THUNKS(glVertexAttrib4Nusv, (GLuint index, const GLushort * v), (index, v))
GEN_THUNKS(glVertexAttrib4NusvARB, (GLuint index, const GLushort * v), (index, v))
GEN_THUNKS(glVertexAttrib4bv, (GLuint index, const GLbyte * v), (index, v))
GEN_THUNKS(glVertexAttrib4bvARB, (GLuint index, const GLbyte * v), (index, v))
GEN_THUNKS(glVertexAttrib4d, (GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w), (index, x, y, z, w))
GEN_THUNKS(glVertexAttrib4dARB, (GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w), (index, x, y, z, w))
GEN_THUNKS(glVertexAttrib4dNV, (GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w), (index, x, y, z, w))
GEN_THUNKS(glVertexAttrib4dv, (GLuint index, const GLdouble * v), (index, v))
GEN_THUNKS(glVertexAttrib4dvARB, (GLuint index, const GLdouble * v), (index, v))
GEN_THUNKS(glVertexAttrib4dvNV, (GLuint index, const GLdouble * v), (index, v))
GEN_THUNKS(glVertexAttrib4f, (GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w), (index, x, y, z, w))
GEN_THUNKS(glVertexAttrib4fARB, (GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w), (index, x, y, z, w))
GEN_THUNKS(glVertexAttrib4fNV, (GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w), (index, x, y, z, w))
GEN_THUNKS(glVertexAttrib4fv, (GLuint index, const GLfloat * v), (index, v))
GEN_THUNKS(glVertexAttrib4fvARB, (GLuint index, const GLfloat * v), (index, v))
GEN_THUNKS(glVertexAttrib4fvNV, (GLuint index, const GLfloat * v), (index, v))
GEN_THUNKS(glVertexAttrib4hNV, (GLuint index, GLhalfNV x, GLhalfNV y, GLhalfNV z, GLhalfNV w), (index, x, y, z, w))
GEN_THUNKS(glVertexAttrib4hvNV, (GLuint index, const GLhalfNV * v), (index, v))
GEN_THUNKS(glVertexAttrib4iv, (GLuint index, const GLint * v), (index, v))
GEN_THUNKS(glVertexAttrib4ivARB, (GLuint index, const GLint * v), (index, v))
GEN_THUNKS(glVertexAttrib4s, (GLuint index, GLshort x, GLshort y, GLshort z, GLshort w), (index, x, y, z, w))
GEN_THUNKS(glVertexAttrib4sARB, (GLuint index, GLshort x, GLshort y, GLshort z, GLshort w), (index, x, y, z, w))
GEN_THUNKS(glVertexAttrib4sNV, (GLuint index, GLshort x, GLshort y, GLshort z, GLshort w), (index, x, y, z, w))
GEN_THUNKS(glVertexAttrib4sv, (GLuint index, const GLshort * v), (index, v))
GEN_THUNKS(glVertexAttrib4svARB, (GLuint index, const GLshort * v), (index, v))
GEN_THUNKS(glVertexAttrib4svNV, (GLuint index, const GLshort * v), (index, v))
GEN_THUNKS(glVertexAttrib4ubNV, (GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w), (index, x, y, z, w))
GEN_THUNKS(glVertexAttrib4ubv, (GLuint index, const GLubyte * v), (index, v))
GEN_THUNKS(glVertexAttrib4ubvARB, (GLuint index, const GLubyte * v), (index, v))
GEN_THUNKS(glVertexAttrib4ubvNV, (GLuint index, const GLubyte * v), (index, v))
GEN_THUNKS(glVertexAttrib4uiv, (GLuint index, const GLuint * v), (index, v))
GEN_THUNKS(glVertexAttrib4uivARB, (GLuint index, const GLuint * v), (index, v))
GEN_THUNKS(glVertexAttrib4usv, (GLuint index, const GLushort * v), (index, v))
GEN_THUNKS(glVertexAttrib4usvARB, (GLuint index, const GLushort * v), (index, v))
GEN_THUNKS(glVertexAttribArrayObjectATI, (GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride, GLuint buffer, GLuint offset), (index, size, type, normalized, stride, buffer, offset))
GEN_THUNKS(glVertexAttribBinding, (GLuint attribindex, GLuint bindingindex), (attribindex, bindingindex))
GEN_THUNKS(glVertexAttribDivisor, (GLuint index, GLuint divisor), (index, divisor))
GEN_THUNKS(glVertexAttribDivisorANGLE, (GLuint index, GLuint divisor), (index, divisor))
GEN_THUNKS(glVertexAttribDivisorARB, (GLuint index, GLuint divisor), (index, divisor))
GEN_THUNKS(glVertexAttribDivisorEXT, (GLuint index, GLuint divisor), (index, divisor))
GEN_THUNKS(glVertexAttribDivisorNV, (GLuint index, GLuint divisor), (index, divisor))
GEN_THUNKS(glVertexAttribFormat, (GLuint attribindex, GLint size, GLenum type, GLboolean normalized, GLuint relativeoffset), (attribindex, size, type, normalized, relativeoffset))
GEN_THUNKS(glVertexAttribFormatNV, (GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride), (index, size, type, normalized, stride))
GEN_THUNKS(glVertexAttribI1i, (GLuint index, GLint x), (index, x))
GEN_THUNKS(glVertexAttribI1iEXT, (GLuint index, GLint x), (index, x))
GEN_THUNKS(glVertexAttribI1iv, (GLuint index, const GLint * v), (index, v))
GEN_THUNKS(glVertexAttribI1ivEXT, (GLuint index, const GLint * v), (index, v))
GEN_THUNKS(glVertexAttribI1ui, (GLuint index, GLuint x), (index, x))
GEN_THUNKS(glVertexAttribI1uiEXT, (GLuint index, GLuint x), (index, x))
GEN_THUNKS(glVertexAttribI1uiv, (GLuint index, const GLuint * v), (index, v))
GEN_THUNKS(glVertexAttribI1uivEXT, (GLuint index, const GLuint * v), (index, v))
GEN_THUNKS(glVertexAttribI2i, (GLuint index, GLint x, GLint y), (index, x, y))
GEN_THUNKS(glVertexAttribI2iEXT, (GLuint index, GLint x, GLint y), (index, x, y))
GEN_THUNKS(glVertexAttribI2iv, (GLuint index, const GLint * v), (index, v))
GEN_THUNKS(glVertexAttribI2ivEXT, (GLuint index, const GLint * v), (index, v))
GEN_THUNKS(glVertexAttribI2ui, (GLuint index, GLuint x, GLuint y), (index, x, y))
GEN_THUNKS(glVertexAttribI2uiEXT, (GLuint index, GLuint x, GLuint y), (index, x, y))
GEN_THUNKS(glVertexAttribI2uiv, (GLuint index, const GLuint * v), (index, v))
GEN_THUNKS(glVertexAttribI2uivEXT, (GLuint index, const GLuint * v), (index, v))
GEN_THUNKS(glVertexAttribI3i, (GLuint index, GLint x, GLint y, GLint z), (index, x, y, z))
GEN_THUNKS(glVertexAttribI3iEXT, (GLuint index, GLint x, GLint y, GLint z), (index, x, y, z))
GEN_THUNKS(glVertexAttribI3iv, (GLuint index, const GLint * v), (index, v))
GEN_THUNKS(glVertexAttribI3ivEXT, (GLuint index, const GLint * v), (index, v))
GEN_THUNKS(glVertexAttribI3ui, (GLuint index, GLuint x, GLuint y, GLuint z), (index, x, y, z))
GEN_THUNKS(glVertexAttribI3uiEXT, (GLuint index, GLuint x, GLuint y, GLuint z), (index, x, y, z))
GEN_THUNKS(glVertexAttribI3uiv, (GLuint index, const GLuint * v), (index, v))
GEN_THUNKS(glVertexAttribI3uivEXT, (GLuint index, const GLuint * v), (index, v))
GEN_THUNKS(glVertexAttribI4bv, (GLuint index, const GLbyte * v), (index, v))
GEN_THUNKS(glVertexAttribI4bvEXT, (GLuint index, const GLbyte * v), (index, v))
GEN_THUNKS(glVertexAttribI4i, (GLuint index, GLint x, GLint y, GLint z, GLint w), (index, x, y, z, w))
GEN_THUNKS(glVertexAttribI4iEXT, (GLuint index, GLint x, GLint y, GLint z, GLint w), (index, x, y, z, w))
GEN_THUNKS(glVertexAttribI4iv, (GLuint index, const GLint * v), (index, v))
GEN_THUNKS(glVertexAttribI4ivEXT, (GLuint index, const GLint * v), (index, v))
GEN_THUNKS(glVertexAttribI4sv, (GLuint index, const GLshort * v), (index, v))
GEN_THUNKS(glVertexAttribI4svEXT, (GLuint index, const GLshort * v), (index, v))
GEN_THUNKS(glVertexAttribI4ubv, (GLuint index, const GLubyte * v), (index, v))
GEN_THUNKS(glVertexAttribI4ubvEXT, (GLuint index, const GLubyte * v), (index, v))
GEN_THUNKS(glVertexAttribI4ui, (GLuint index, GLuint x, GLuint y, GLuint z, GLuint w), (index, x, y, z, w))
GEN_THUNKS(glVertexAttribI4uiEXT, (GLuint index, GLuint x, GLuint y, GLuint z, GLuint w), (index, x, y, z, w))
GEN_THUNKS(glVertexAttribI4uiv, (GLuint index, const GLuint * v), (index, v))
GEN_THUNKS(glVertexAttribI4uivEXT, (GLuint index, const GLuint * v), (index, v))
GEN_THUNKS(glVertexAttribI4usv, (GLuint index, const GLushort * v), (index, v))
GEN_THUNKS(glVertexAttribI4usvEXT, (GLuint index, const GLushort * v), (index, v))
GEN_THUNKS(glVertexAttribIFormat, (GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset), (attribindex, size, type, relativeoffset))
GEN_THUNKS(glVertexAttribIFormatNV, (GLuint index, GLint size, GLenum type, GLsizei stride), (index, size, type, stride))
GEN_THUNKS(glVertexAttribIPointer, (GLuint index, GLint size, GLenum type, GLsizei stride, const void * pointer), (index, size, type, stride, pointer))
GEN_THUNKS(glVertexAttribIPointerEXT, (GLuint index, GLint size, GLenum type, GLsizei stride, const void * pointer), (index, size, type, stride, pointer))
GEN_THUNKS(glVertexAttribL1d, (GLuint index, GLdouble x), (index, x))
GEN_THUNKS(glVertexAttribL1dEXT, (GLuint index, GLdouble x), (index, x))
GEN_THUNKS(glVertexAttribL1dv, (GLuint index, const GLdouble * v), (index, v))
GEN_THUNKS(glVertexAttribL1dvEXT, (GLuint index, const GLdouble * v), (index, v))
GEN_THUNKS(glVertexAttribL1i64NV, (GLuint index, GLint64EXT x), (index, x))
GEN_THUNKS(glVertexAttribL1i64vNV, (GLuint index, const GLint64EXT * v), (index, v))
GEN_THUNKS(glVertexAttribL1ui64ARB, (GLuint index, GLuint64EXT x), (index, x))
GEN_THUNKS(glVertexAttribL1ui64NV, (GLuint index, GLuint64EXT x), (index, x))
GEN_THUNKS(glVertexAttribL1ui64vARB, (GLuint index, const GLuint64EXT * v), (index, v))
GEN_THUNKS(glVertexAttribL1ui64vNV, (GLuint index, const GLuint64EXT * v), (index, v))
GEN_THUNKS(glVertexAttribL2d, (GLuint index, GLdouble x, GLdouble y), (index, x, y))
GEN_THUNKS(glVertexAttribL2dEXT, (GLuint index, GLdouble x, GLdouble y), (index, x, y))
GEN_THUNKS(glVertexAttribL2dv, (GLuint index, const GLdouble * v), (index, v))
GEN_THUNKS(glVertexAttribL2dvEXT, (GLuint index, const GLdouble * v), (index, v))
GEN_THUNKS(glVertexAttribL2i64NV, (GLuint index, GLint64EXT x, GLint64EXT y), (index, x, y))
GEN_THUNKS(glVertexAttribL2i64vNV, (GLuint index, const GLint64EXT * v), (index, v))
GEN_THUNKS(glVertexAttribL2ui64NV, (GLuint index, GLuint64EXT x, GLuint64EXT y), (index, x, y))
GEN_THUNKS(glVertexAttribL2ui64vNV, (GLuint index, const GLuint64EXT * v), (index, v))
GEN_THUNKS(glVertexAttribL3d, (GLuint index, GLdouble x, GLdouble y, GLdouble z), (index, x, y, z))
GEN_THUNKS(glVertexAttribL3dEXT, (GLuint index, GLdouble x, GLdouble y, GLdouble z), (index, x, y, z))
GEN_THUNKS(glVertexAttribL3dv, (GLuint index, const GLdouble * v), (index, v))
GEN_THUNKS(glVertexAttribL3dvEXT, (GLuint index, const GLdouble * v), (index, v))
GEN_THUNKS(glVertexAttribL3i64NV, (GLuint index, GLint64EXT x, GLint64EXT y, GLint64EXT z), (index, x, y, z))
GEN_THUNKS(glVertexAttribL3i64vNV, (GLuint index, const GLint64EXT * v), (index, v))
GEN_THUNKS(glVertexAttribL3ui64NV, (GLuint index, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z), (index, x, y, z))
GEN_THUNKS(glVertexAttribL3ui64vNV, (GLuint index, const GLuint64EXT * v), (index, v))
GEN_THUNKS(glVertexAttribL4d, (GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w), (index, x, y, z, w))
GEN_THUNKS(glVertexAttribL4dEXT, (GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w), (index, x, y, z, w))
GEN_THUNKS(glVertexAttribL4dv, (GLuint index, const GLdouble * v), (index, v))
GEN_THUNKS(glVertexAttribL4dvEXT, (GLuint index, const GLdouble * v), (index, v))
GEN_THUNKS(glVertexAttribL4i64NV, (GLuint index, GLint64EXT x, GLint64EXT y, GLint64EXT z, GLint64EXT w), (index, x, y, z, w))
GEN_THUNKS(glVertexAttribL4i64vNV, (GLuint index, const GLint64EXT * v), (index, v))
GEN_THUNKS(glVertexAttribL4ui64NV, (GLuint index, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z, GLuint64EXT w), (index, x, y, z, w))
GEN_THUNKS(glVertexAttribL4ui64vNV, (GLuint index, const GLuint64EXT * v), (index, v))
GEN_THUNKS(glVertexAttribLFormat, (GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset), (attribindex, size, type, relativeoffset))
GEN_THUNKS(glVertexAttribLFormatNV, (GLuint index, GLint size, GLenum type, GLsizei stride), (index, size, type, stride))
GEN_THUNKS(glVertexAttribLPointer, (GLuint index, GLint size, GLenum type, GLsizei stride, const void * pointer), (index, size, type, stride, pointer))
GEN_THUNKS(glVertexAttribLPointerEXT, (GLuint index, GLint size, GLenum type, GLsizei stride, const void * pointer), (index, size, type, stride, pointer))
GEN_THUNKS(glVertexAttribP1ui, (GLuint index, GLenum type, GLboolean normalized, GLuint value), (index, type, normalized, value))
GEN_THUNKS(glVertexAttribP1uiv, (GLuint index, GLenum type, GLboolean normalized, const GLuint * value), (index, type, normalized, value))
GEN_THUNKS(glVertexAttribP2ui, (GLuint index, GLenum type, GLboolean normalized, GLuint value), (index, type, normalized, value))
GEN_THUNKS(glVertexAttribP2uiv, (GLuint index, GLenum type, GLboolean normalized, const GLuint * value), (index, type, normalized, value))
GEN_THUNKS(glVertexAttribP3ui, (GLuint index, GLenum type, GLboolean normalized, GLuint value), (index, type, normalized, value))
GEN_THUNKS(glVertexAttribP3uiv, (GLuint index, GLenum type, GLboolean normalized, const GLuint * value), (index, type, normalized, value))
GEN_THUNKS(glVertexAttribP4ui, (GLuint index, GLenum type, GLboolean normalized, GLuint value), (index, type, normalized, value))
GEN_THUNKS(glVertexAttribP4uiv, (GLuint index, GLenum type, GLboolean normalized, const GLuint * value), (index, type, normalized, value))
GEN_THUNKS(glVertexAttribParameteriAMD, (GLuint index, GLenum pname, GLint param), (index, pname, param))
GEN_THUNKS(glVertexAttribPointer, (GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const void * pointer), (index, size, type, normalized, stride, pointer))
GEN_THUNKS(glVertexAttribPointerARB, (GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const void * pointer), (index, size, type, normalized, stride, pointer))
GEN_THUNKS(glVertexAttribPointerNV, (GLuint index, GLint fsize, GLenum type, GLsizei stride, const void * pointer), (index, fsize, type, stride, pointer))
GEN_THUNKS(glVertexAttribs1dvNV, (GLuint index, GLsizei count, const GLdouble * v), (index, count, v))
GEN_THUNKS(glVertexAttribs1fvNV, (GLuint index, GLsizei count, const GLfloat * v), (index, count, v))
GEN_THUNKS(glVertexAttribs1hvNV, (GLuint index, GLsizei n, const GLhalfNV * v), (index, n, v))
GEN_THUNKS(glVertexAttribs1svNV, (GLuint index, GLsizei count, const GLshort * v), (index, count, v))
GEN_THUNKS(glVertexAttribs2dvNV, (GLuint index, GLsizei count, const GLdouble * v), (index, count, v))
GEN_THUNKS(glVertexAttribs2fvNV, (GLuint index, GLsizei count, const GLfloat * v), (index, count, v))
GEN_THUNKS(glVertexAttribs2hvNV, (GLuint index, GLsizei n, const GLhalfNV * v), (index, n, v))
GEN_THUNKS(glVertexAttribs2svNV, (GLuint index, GLsizei count, const GLshort * v), (index, count, v))
GEN_THUNKS(glVertexAttribs3dvNV, (GLuint index, GLsizei count, const GLdouble * v), (index, count, v))
GEN_THUNKS(glVertexAttribs3fvNV, (GLuint index, GLsizei count, const GLfloat * v), (index, count, v))
GEN_THUNKS(glVertexAttribs3hvNV, (GLuint index, GLsizei n, const GLhalfNV * v), (index, n, v))
GEN_THUNKS(glVertexAttribs3svNV, (GLuint index, GLsizei count, const GLshort * v), (index, count, v))
GEN_THUNKS(glVertexAttribs4dvNV, (GLuint index, GLsizei count, const GLdouble * v), (index, count, v))
GEN_THUNKS(glVertexAttribs4fvNV, (GLuint index, GLsizei count, const GLfloat * v), (index, count, v))
GEN_THUNKS(glVertexAttribs4hvNV, (GLuint index, GLsizei n, const GLhalfNV * v), (index, n, v))
GEN_THUNKS(glVertexAttribs4svNV, (GLuint index, GLsizei count, const GLshort * v), (index, count, v))
GEN_THUNKS(glVertexAttribs4ubvNV, (GLuint index, GLsizei count, const GLubyte * v), (index, count, v))
GEN_THUNKS(glVertexBindingDivisor, (GLuint bindingindex, GLuint divisor), (bindingindex, divisor))
GEN_THUNKS(glVertexBlendARB, (GLint count), (count))
GEN_THUNKS(glVertexBlendEnvfATI, (GLenum pname, GLfloat param), (pname, param))
GEN_THUNKS(glVertexBlendEnviATI, (GLenum pname, GLint param), (pname, param))
GEN_THUNKS(glVertexFormatNV, (GLint size, GLenum type, GLsizei stride), (size, type, stride))
GEN_THUNKS(glVertexP2ui, (GLenum type, GLuint value), (type, value))
GEN_THUNKS(glVertexP2uiv, (GLenum type, const GLuint * value), (type, value))
GEN_THUNKS(glVertexP3ui, (GLenum type, GLuint value), (type, value))
GEN_THUNKS(glVertexP3uiv, (GLenum type, const GLuint * value), (type, value))
GEN_THUNKS(glVertexP4ui, (GLenum type, GLuint value), (type, value))
GEN_THUNKS(glVertexP4uiv, (GLenum type, const GLuint * value), (type, value))
GEN_THUNKS(glVertexPointer, (GLint size, GLenum type, GLsizei stride, const void * pointer), (size, type, stride, pointer))
GEN_THUNKS(glVertexPointerEXT, (GLint size, GLenum type, GLsizei stride, GLsizei count, const void * pointer), (size, type, stride, count, pointer))
GEN_THUNKS(glVertexPointerListIBM, (GLint size, GLenum type, GLint stride, const void ** pointer, GLint ptrstride), (size, type, stride, pointer, ptrstride))
GEN_THUNKS(glVertexPointervINTEL, (GLint size, GLenum type, const void ** pointer), (size, type, pointer))
GEN_THUNKS(glVertexStream1dATI, (GLenum stream, GLdouble x), (stream, x))
GEN_THUNKS(glVertexStream1dvATI, (GLenum stream, const GLdouble * coords), (stream, coords))
GEN_THUNKS(glVertexStream1fATI, (GLenum stream, GLfloat x), (stream, x))
GEN_THUNKS(glVertexStream1fvATI, (GLenum stream, const GLfloat * coords), (stream, coords))
GEN_THUNKS(glVertexStream1iATI, (GLenum stream, GLint x), (stream, x))
GEN_THUNKS(glVertexStream1ivATI, (GLenum stream, const GLint * coords), (stream, coords))
GEN_THUNKS(glVertexStream1sATI, (GLenum stream, GLshort x), (stream, x))
GEN_THUNKS(glVertexStream1svATI, (GLenum stream, const GLshort * coords), (stream, coords))
GEN_THUNKS(glVertexStream2dATI, (GLenum stream, GLdouble x, GLdouble y), (stream, x, y))
GEN_THUNKS(glVertexStream2dvATI, (GLenum stream, const GLdouble * coords), (stream, coords))
GEN_THUNKS(glVertexStream2fATI, (GLenum stream, GLfloat x, GLfloat y), (stream, x, y))
GEN_THUNKS(glVertexStream2fvATI, (GLenum stream, const GLfloat * coords), (stream, coords))
GEN_THUNKS(glVertexStream2iATI, (GLenum stream, GLint x, GLint y), (stream, x, y))
GEN_THUNKS(glVertexStream2ivATI, (GLenum stream, const GLint * coords), (stream, coords))
GEN_THUNKS(glVertexStream2sATI, (GLenum stream, GLshort x, GLshort y), (stream, x, y))
GEN_THUNKS(glVertexStream2svATI, (GLenum stream, const GLshort * coords), (stream, coords))
GEN_THUNKS(glVertexStream3dATI, (GLenum stream, GLdouble x, GLdouble y, GLdouble z), (stream, x, y, z))
GEN_THUNKS(glVertexStream3dvATI, (GLenum stream, const GLdouble * coords), (stream, coords))
GEN_THUNKS(glVertexStream3fATI, (GLenum stream, GLfloat x, GLfloat y, GLfloat z), (stream, x, y, z))
GEN_THUNKS(glVertexStream3fvATI, (GLenum stream, const GLfloat * coords), (stream, coords))
GEN_THUNKS(glVertexStream3iATI, (GLenum stream, GLint x, GLint y, GLint z), (stream, x, y, z))
GEN_THUNKS(glVertexStream3ivATI, (GLenum stream, const GLint * coords), (stream, coords))
GEN_THUNKS(glVertexStream3sATI, (GLenum stream, GLshort x, GLshort y, GLshort z), (stream, x, y, z))
GEN_THUNKS(glVertexStream3svATI, (GLenum stream, const GLshort * coords), (stream, coords))
GEN_THUNKS(glVertexStream4dATI, (GLenum stream, GLdouble x, GLdouble y, GLdouble z, GLdouble w), (stream, x, y, z, w))
GEN_THUNKS(glVertexStream4dvATI, (GLenum stream, const GLdouble * coords), (stream, coords))
GEN_THUNKS(glVertexStream4fATI, (GLenum stream, GLfloat x, GLfloat y, GLfloat z, GLfloat w), (stream, x, y, z, w))
GEN_THUNKS(glVertexStream4fvATI, (GLenum stream, const GLfloat * coords), (stream, coords))
GEN_THUNKS(glVertexStream4iATI, (GLenum stream, GLint x, GLint y, GLint z, GLint w), (stream, x, y, z, w))
GEN_THUNKS(glVertexStream4ivATI, (GLenum stream, const GLint * coords), (stream, coords))
GEN_THUNKS(glVertexStream4sATI, (GLenum stream, GLshort x, GLshort y, GLshort z, GLshort w), (stream, x, y, z, w))
GEN_THUNKS(glVertexStream4svATI, (GLenum stream, const GLshort * coords), (stream, coords))
GEN_THUNKS(glVertexWeightPointerEXT, (GLint size, GLenum type, GLsizei stride, const void * pointer), (size, type, stride, pointer))
GEN_THUNKS(glVertexWeightfEXT, (GLfloat weight), (weight))
GEN_THUNKS(glVertexWeightfvEXT, (const GLfloat * weight), (weight))
GEN_THUNKS(glVertexWeighthNV, (GLhalfNV weight), (weight))
GEN_THUNKS(glVertexWeighthvNV, (const GLhalfNV * weight), (weight))
GEN_THUNKS_RET(GLenum, glVideoCaptureNV, (GLuint video_capture_slot, GLuint * sequence_num, GLuint64EXT * capture_time), (video_capture_slot, sequence_num, capture_time))
GEN_THUNKS(glVideoCaptureStreamParameterdvNV, (GLuint video_capture_slot, GLuint stream, GLenum pname, const GLdouble * params), (video_capture_slot, stream, pname, params))
GEN_THUNKS(glVideoCaptureStreamParameterfvNV, (GLuint video_capture_slot, GLuint stream, GLenum pname, const GLfloat * params), (video_capture_slot, stream, pname, params))
GEN_THUNKS(glVideoCaptureStreamParameterivNV, (GLuint video_capture_slot, GLuint stream, GLenum pname, const GLint * params), (video_capture_slot, stream, pname, params))
GEN_THUNKS(glViewport, (GLint x, GLint y, GLsizei width, GLsizei height), (x, y, width, height))
GEN_THUNKS(glViewportArrayv, (GLuint first, GLsizei count, const GLfloat * v), (first, count, v))
GEN_THUNKS(glViewportIndexedf, (GLuint index, GLfloat x, GLfloat y, GLfloat w, GLfloat h), (index, x, y, w, h))
GEN_THUNKS(glViewportIndexedfv, (GLuint index, const GLfloat * v), (index, v))
GEN_THUNKS(glWaitSync, (GLsync sync, GLbitfield flags, GLuint64 timeout), (sync, flags, timeout))
GEN_THUNKS(glWaitSyncAPPLE, (GLsync sync, GLbitfield flags, GLuint64 timeout), (sync, flags, timeout))
GEN_THUNKS(glWeightPathsNV, (GLuint resultPath, GLsizei numPaths, const GLuint * paths, const GLfloat * weights), (resultPath, numPaths, paths, weights))
GEN_THUNKS(glWeightPointerARB, (GLint size, GLenum type, GLsizei stride, const void * pointer), (size, type, stride, pointer))
GEN_THUNKS(glWeightPointerOES, (GLint size, GLenum type, GLsizei stride, const void * pointer), (size, type, stride, pointer))
GEN_THUNKS(glWeightbvARB, (GLint size, const GLbyte * weights), (size, weights))
GEN_THUNKS(glWeightdvARB, (GLint size, const GLdouble * weights), (size, weights))
GEN_THUNKS(glWeightfvARB, (GLint size, const GLfloat * weights), (size, weights))
GEN_THUNKS(glWeightivARB, (GLint size, const GLint * weights), (size, weights))
GEN_THUNKS(glWeightsvARB, (GLint size, const GLshort * weights), (size, weights))
GEN_THUNKS(glWeightubvARB, (GLint size, const GLubyte * weights), (size, weights))
GEN_THUNKS(glWeightuivARB, (GLint size, const GLuint * weights), (size, weights))
GEN_THUNKS(glWeightusvARB, (GLint size, const GLushort * weights), (size, weights))
GEN_THUNKS(glWindowPos2d, (GLdouble x, GLdouble y), (x, y))
GEN_THUNKS(glWindowPos2dARB, (GLdouble x, GLdouble y), (x, y))
GEN_THUNKS(glWindowPos2dMESA, (GLdouble x, GLdouble y), (x, y))
GEN_THUNKS(glWindowPos2dv, (const GLdouble * v), (v))
GEN_THUNKS(glWindowPos2dvARB, (const GLdouble * v), (v))
GEN_THUNKS(glWindowPos2dvMESA, (const GLdouble * v), (v))
GEN_THUNKS(glWindowPos2f, (GLfloat x, GLfloat y), (x, y))
GEN_THUNKS(glWindowPos2fARB, (GLfloat x, GLfloat y), (x, y))
GEN_THUNKS(glWindowPos2fMESA, (GLfloat x, GLfloat y), (x, y))
GEN_THUNKS(glWindowPos2fv, (const GLfloat * v), (v))
GEN_THUNKS(glWindowPos2fvARB, (const GLfloat * v), (v))
GEN_THUNKS(glWindowPos2fvMESA, (const GLfloat * v), (v))
GEN_THUNKS(glWindowPos2i, (GLint x, GLint y), (x, y))
GEN_THUNKS(glWindowPos2iARB, (GLint x, GLint y), (x, y))
GEN_THUNKS(glWindowPos2iMESA, (GLint x, GLint y), (x, y))
GEN_THUNKS(glWindowPos2iv, (const GLint * v), (v))
GEN_THUNKS(glWindowPos2ivARB, (const GLint * v), (v))
GEN_THUNKS(glWindowPos2ivMESA, (const GLint * v), (v))
GEN_THUNKS(glWindowPos2s, (GLshort x, GLshort y), (x, y))
GEN_THUNKS(glWindowPos2sARB, (GLshort x, GLshort y), (x, y))
GEN_THUNKS(glWindowPos2sMESA, (GLshort x, GLshort y), (x, y))
GEN_THUNKS(glWindowPos2sv, (const GLshort * v), (v))
GEN_THUNKS(glWindowPos2svARB, (const GLshort * v), (v))
GEN_THUNKS(glWindowPos2svMESA, (const GLshort * v), (v))
GEN_THUNKS(glWindowPos3d, (GLdouble x, GLdouble y, GLdouble z), (x, y, z))
GEN_THUNKS(glWindowPos3dARB, (GLdouble x, GLdouble y, GLdouble z), (x, y, z))
GEN_THUNKS(glWindowPos3dMESA, (GLdouble x, GLdouble y, GLdouble z), (x, y, z))
GEN_THUNKS(glWindowPos3dv, (const GLdouble * v), (v))
GEN_THUNKS(glWindowPos3dvARB, (const GLdouble * v), (v))
GEN_THUNKS(glWindowPos3dvMESA, (const GLdouble * v), (v))
GEN_THUNKS(glWindowPos3f, (GLfloat x, GLfloat y, GLfloat z), (x, y, z))
GEN_THUNKS(glWindowPos3fARB, (GLfloat x, GLfloat y, GLfloat z), (x, y, z))
GEN_THUNKS(glWindowPos3fMESA, (GLfloat x, GLfloat y, GLfloat z), (x, y, z))
GEN_THUNKS(glWindowPos3fv, (const GLfloat * v), (v))
GEN_THUNKS(glWindowPos3fvARB, (const GLfloat * v), (v))
GEN_THUNKS(glWindowPos3fvMESA, (const GLfloat * v), (v))
GEN_THUNKS(glWindowPos3i, (GLint x, GLint y, GLint z), (x, y, z))
GEN_THUNKS(glWindowPos3iARB, (GLint x, GLint y, GLint z), (x, y, z))
GEN_THUNKS(glWindowPos3iMESA, (GLint x, GLint y, GLint z), (x, y, z))
GEN_THUNKS(glWindowPos3iv, (const GLint * v), (v))
GEN_THUNKS(glWindowPos3ivARB, (const GLint * v), (v))
GEN_THUNKS(glWindowPos3ivMESA, (const GLint * v), (v))
GEN_THUNKS(glWindowPos3s, (GLshort x, GLshort y, GLshort z), (x, y, z))
GEN_THUNKS(glWindowPos3sARB, (GLshort x, GLshort y, GLshort z), (x, y, z))
GEN_THUNKS(glWindowPos3sMESA, (GLshort x, GLshort y, GLshort z), (x, y, z))
GEN_THUNKS(glWindowPos3sv, (const GLshort * v), (v))
GEN_THUNKS(glWindowPos3svARB, (const GLshort * v), (v))
GEN_THUNKS(glWindowPos3svMESA, (const GLshort * v), (v))
GEN_THUNKS(glWindowPos4dMESA, (GLdouble x, GLdouble y, GLdouble z, GLdouble w), (x, y, z, w))
GEN_THUNKS(glWindowPos4dvMESA, (const GLdouble * v), (v))
GEN_THUNKS(glWindowPos4fMESA, (GLfloat x, GLfloat y, GLfloat z, GLfloat w), (x, y, z, w))
GEN_THUNKS(glWindowPos4fvMESA, (const GLfloat * v), (v))
GEN_THUNKS(glWindowPos4iMESA, (GLint x, GLint y, GLint z, GLint w), (x, y, z, w))
GEN_THUNKS(glWindowPos4ivMESA, (const GLint * v), (v))
GEN_THUNKS(glWindowPos4sMESA, (GLshort x, GLshort y, GLshort z, GLshort w), (x, y, z, w))
GEN_THUNKS(glWindowPos4svMESA, (const GLshort * v), (v))
GEN_THUNKS(glWriteMaskEXT, (GLuint res, GLuint in, GLenum outX, GLenum outY, GLenum outZ, GLenum outW), (res, in, outX, outY, outZ, outW))
#if USING_DISPATCH_TABLE
static struct dispatch_table resolver_table = {
    .glAccum = epoxy_glAccum_dispatch_table_rewrite_ptr,
    .glAccumxOES = epoxy_glAccumxOES_dispatch_table_rewrite_ptr,
    .glActiveProgramEXT = epoxy_glActiveProgramEXT_dispatch_table_rewrite_ptr,
    .glActiveShaderProgram = epoxy_glActiveShaderProgram_dispatch_table_rewrite_ptr,
    .glActiveShaderProgramEXT = epoxy_glActiveShaderProgramEXT_dispatch_table_rewrite_ptr,
    .glActiveStencilFaceEXT = epoxy_glActiveStencilFaceEXT_dispatch_table_rewrite_ptr,
    .glActiveTexture = epoxy_glActiveTexture_dispatch_table_rewrite_ptr,
    .glActiveTextureARB = epoxy_glActiveTextureARB_dispatch_table_rewrite_ptr,
    .glActiveVaryingNV = epoxy_glActiveVaryingNV_dispatch_table_rewrite_ptr,
    .glAlphaFragmentOp1ATI = epoxy_glAlphaFragmentOp1ATI_dispatch_table_rewrite_ptr,
    .glAlphaFragmentOp2ATI = epoxy_glAlphaFragmentOp2ATI_dispatch_table_rewrite_ptr,
    .glAlphaFragmentOp3ATI = epoxy_glAlphaFragmentOp3ATI_dispatch_table_rewrite_ptr,
    .glAlphaFunc = epoxy_glAlphaFunc_dispatch_table_rewrite_ptr,
    .glAlphaFuncQCOM = epoxy_glAlphaFuncQCOM_dispatch_table_rewrite_ptr,
    .glAlphaFuncx = epoxy_glAlphaFuncx_dispatch_table_rewrite_ptr,
    .glAlphaFuncxOES = epoxy_glAlphaFuncxOES_dispatch_table_rewrite_ptr,
    .glApplyTextureEXT = epoxy_glApplyTextureEXT_dispatch_table_rewrite_ptr,
    .glAreProgramsResidentNV = epoxy_glAreProgramsResidentNV_dispatch_table_rewrite_ptr,
    .glAreTexturesResident = epoxy_glAreTexturesResident_dispatch_table_rewrite_ptr,
    .glAreTexturesResidentEXT = epoxy_glAreTexturesResidentEXT_dispatch_table_rewrite_ptr,
    .glArrayElement = epoxy_glArrayElement_dispatch_table_rewrite_ptr,
    .glArrayElementEXT = epoxy_glArrayElementEXT_dispatch_table_rewrite_ptr,
    .glArrayObjectATI = epoxy_glArrayObjectATI_dispatch_table_rewrite_ptr,
    .glAsyncMarkerSGIX = epoxy_glAsyncMarkerSGIX_dispatch_table_rewrite_ptr,
    .glAttachObjectARB = epoxy_glAttachObjectARB_dispatch_table_rewrite_ptr,
    .glAttachShader = epoxy_glAttachShader_dispatch_table_rewrite_ptr,
    .glBegin_unwrapped = epoxy_glBegin_unwrapped_dispatch_table_rewrite_ptr,
    .glBeginConditionalRender = epoxy_glBeginConditionalRender_dispatch_table_rewrite_ptr,
    .glBeginConditionalRenderNV = epoxy_glBeginConditionalRenderNV_dispatch_table_rewrite_ptr,
    .glBeginConditionalRenderNVX = epoxy_glBeginConditionalRenderNVX_dispatch_table_rewrite_ptr,
    .glBeginFragmentShaderATI = epoxy_glBeginFragmentShaderATI_dispatch_table_rewrite_ptr,
    .glBeginOcclusionQueryNV = epoxy_glBeginOcclusionQueryNV_dispatch_table_rewrite_ptr,
    .glBeginPerfMonitorAMD = epoxy_glBeginPerfMonitorAMD_dispatch_table_rewrite_ptr,
    .glBeginPerfQueryINTEL = epoxy_glBeginPerfQueryINTEL_dispatch_table_rewrite_ptr,
    .glBeginQuery = epoxy_glBeginQuery_dispatch_table_rewrite_ptr,
    .glBeginQueryARB = epoxy_glBeginQueryARB_dispatch_table_rewrite_ptr,
    .glBeginQueryEXT = epoxy_glBeginQueryEXT_dispatch_table_rewrite_ptr,
    .glBeginQueryIndexed = epoxy_glBeginQueryIndexed_dispatch_table_rewrite_ptr,
    .glBeginTransformFeedback = epoxy_glBeginTransformFeedback_dispatch_table_rewrite_ptr,
    .glBeginTransformFeedbackEXT = epoxy_glBeginTransformFeedbackEXT_dispatch_table_rewrite_ptr,
    .glBeginTransformFeedbackNV = epoxy_glBeginTransformFeedbackNV_dispatch_table_rewrite_ptr,
    .glBeginVertexShaderEXT = epoxy_glBeginVertexShaderEXT_dispatch_table_rewrite_ptr,
    .glBeginVideoCaptureNV = epoxy_glBeginVideoCaptureNV_dispatch_table_rewrite_ptr,
    .glBindAttribLocation = epoxy_glBindAttribLocation_dispatch_table_rewrite_ptr,
    .glBindAttribLocationARB = epoxy_glBindAttribLocationARB_dispatch_table_rewrite_ptr,
    .glBindBuffer = epoxy_glBindBuffer_dispatch_table_rewrite_ptr,
    .glBindBufferARB = epoxy_glBindBufferARB_dispatch_table_rewrite_ptr,
    .glBindBufferBase = epoxy_glBindBufferBase_dispatch_table_rewrite_ptr,
    .glBindBufferBaseEXT = epoxy_glBindBufferBaseEXT_dispatch_table_rewrite_ptr,
    .glBindBufferBaseNV = epoxy_glBindBufferBaseNV_dispatch_table_rewrite_ptr,
    .glBindBufferOffsetEXT = epoxy_glBindBufferOffsetEXT_dispatch_table_rewrite_ptr,
    .glBindBufferOffsetNV = epoxy_glBindBufferOffsetNV_dispatch_table_rewrite_ptr,
    .glBindBufferRange = epoxy_glBindBufferRange_dispatch_table_rewrite_ptr,
    .glBindBufferRangeEXT = epoxy_glBindBufferRangeEXT_dispatch_table_rewrite_ptr,
    .glBindBufferRangeNV = epoxy_glBindBufferRangeNV_dispatch_table_rewrite_ptr,
    .glBindBuffersBase = epoxy_glBindBuffersBase_dispatch_table_rewrite_ptr,
    .glBindBuffersRange = epoxy_glBindBuffersRange_dispatch_table_rewrite_ptr,
    .glBindFragDataLocation = epoxy_glBindFragDataLocation_dispatch_table_rewrite_ptr,
    .glBindFragDataLocationEXT = epoxy_glBindFragDataLocationEXT_dispatch_table_rewrite_ptr,
    .glBindFragDataLocationIndexed = epoxy_glBindFragDataLocationIndexed_dispatch_table_rewrite_ptr,
    .glBindFragmentShaderATI = epoxy_glBindFragmentShaderATI_dispatch_table_rewrite_ptr,
    .glBindFramebuffer = epoxy_glBindFramebuffer_dispatch_table_rewrite_ptr,
    .glBindFramebufferEXT = epoxy_glBindFramebufferEXT_dispatch_table_rewrite_ptr,
    .glBindFramebufferOES = epoxy_glBindFramebufferOES_dispatch_table_rewrite_ptr,
    .glBindImageTexture = epoxy_glBindImageTexture_dispatch_table_rewrite_ptr,
    .glBindImageTextureEXT = epoxy_glBindImageTextureEXT_dispatch_table_rewrite_ptr,
    .glBindImageTextures = epoxy_glBindImageTextures_dispatch_table_rewrite_ptr,
    .glBindLightParameterEXT = epoxy_glBindLightParameterEXT_dispatch_table_rewrite_ptr,
    .glBindMaterialParameterEXT = epoxy_glBindMaterialParameterEXT_dispatch_table_rewrite_ptr,
    .glBindMultiTextureEXT = epoxy_glBindMultiTextureEXT_dispatch_table_rewrite_ptr,
    .glBindParameterEXT = epoxy_glBindParameterEXT_dispatch_table_rewrite_ptr,
    .glBindProgramARB = epoxy_glBindProgramARB_dispatch_table_rewrite_ptr,
    .glBindProgramNV = epoxy_glBindProgramNV_dispatch_table_rewrite_ptr,
    .glBindProgramPipeline = epoxy_glBindProgramPipeline_dispatch_table_rewrite_ptr,
    .glBindProgramPipelineEXT = epoxy_glBindProgramPipelineEXT_dispatch_table_rewrite_ptr,
    .glBindRenderbuffer = epoxy_glBindRenderbuffer_dispatch_table_rewrite_ptr,
    .glBindRenderbufferEXT = epoxy_glBindRenderbufferEXT_dispatch_table_rewrite_ptr,
    .glBindRenderbufferOES = epoxy_glBindRenderbufferOES_dispatch_table_rewrite_ptr,
    .glBindSampler = epoxy_glBindSampler_dispatch_table_rewrite_ptr,
    .glBindSamplers = epoxy_glBindSamplers_dispatch_table_rewrite_ptr,
    .glBindTexGenParameterEXT = epoxy_glBindTexGenParameterEXT_dispatch_table_rewrite_ptr,
    .glBindTexture = epoxy_glBindTexture_dispatch_table_rewrite_ptr,
    .glBindTextureEXT = epoxy_glBindTextureEXT_dispatch_table_rewrite_ptr,
    .glBindTextureUnitParameterEXT = epoxy_glBindTextureUnitParameterEXT_dispatch_table_rewrite_ptr,
    .glBindTextures = epoxy_glBindTextures_dispatch_table_rewrite_ptr,
    .glBindTransformFeedback = epoxy_glBindTransformFeedback_dispatch_table_rewrite_ptr,
    .glBindTransformFeedbackNV = epoxy_glBindTransformFeedbackNV_dispatch_table_rewrite_ptr,
    .glBindVertexArray = epoxy_glBindVertexArray_dispatch_table_rewrite_ptr,
    .glBindVertexArrayAPPLE = epoxy_glBindVertexArrayAPPLE_dispatch_table_rewrite_ptr,
    .glBindVertexArrayOES = epoxy_glBindVertexArrayOES_dispatch_table_rewrite_ptr,
    .glBindVertexBuffer = epoxy_glBindVertexBuffer_dispatch_table_rewrite_ptr,
    .glBindVertexBuffers = epoxy_glBindVertexBuffers_dispatch_table_rewrite_ptr,
    .glBindVertexShaderEXT = epoxy_glBindVertexShaderEXT_dispatch_table_rewrite_ptr,
    .glBindVideoCaptureStreamBufferNV = epoxy_glBindVideoCaptureStreamBufferNV_dispatch_table_rewrite_ptr,
    .glBindVideoCaptureStreamTextureNV = epoxy_glBindVideoCaptureStreamTextureNV_dispatch_table_rewrite_ptr,
    .glBinormal3bEXT = epoxy_glBinormal3bEXT_dispatch_table_rewrite_ptr,
    .glBinormal3bvEXT = epoxy_glBinormal3bvEXT_dispatch_table_rewrite_ptr,
    .glBinormal3dEXT = epoxy_glBinormal3dEXT_dispatch_table_rewrite_ptr,
    .glBinormal3dvEXT = epoxy_glBinormal3dvEXT_dispatch_table_rewrite_ptr,
    .glBinormal3fEXT = epoxy_glBinormal3fEXT_dispatch_table_rewrite_ptr,
    .glBinormal3fvEXT = epoxy_glBinormal3fvEXT_dispatch_table_rewrite_ptr,
    .glBinormal3iEXT = epoxy_glBinormal3iEXT_dispatch_table_rewrite_ptr,
    .glBinormal3ivEXT = epoxy_glBinormal3ivEXT_dispatch_table_rewrite_ptr,
    .glBinormal3sEXT = epoxy_glBinormal3sEXT_dispatch_table_rewrite_ptr,
    .glBinormal3svEXT = epoxy_glBinormal3svEXT_dispatch_table_rewrite_ptr,
    .glBinormalPointerEXT = epoxy_glBinormalPointerEXT_dispatch_table_rewrite_ptr,
    .glBitmap = epoxy_glBitmap_dispatch_table_rewrite_ptr,
    .glBitmapxOES = epoxy_glBitmapxOES_dispatch_table_rewrite_ptr,
    .glBlendBarrierKHR = epoxy_glBlendBarrierKHR_dispatch_table_rewrite_ptr,
    .glBlendBarrierNV = epoxy_glBlendBarrierNV_dispatch_table_rewrite_ptr,
    .glBlendColor = epoxy_glBlendColor_dispatch_table_rewrite_ptr,
    .glBlendColorEXT = epoxy_glBlendColorEXT_dispatch_table_rewrite_ptr,
    .glBlendColorxOES = epoxy_glBlendColorxOES_dispatch_table_rewrite_ptr,
    .glBlendEquation = epoxy_glBlendEquation_dispatch_table_rewrite_ptr,
    .glBlendEquationEXT = epoxy_glBlendEquationEXT_dispatch_table_rewrite_ptr,
    .glBlendEquationIndexedAMD = epoxy_glBlendEquationIndexedAMD_dispatch_table_rewrite_ptr,
    .glBlendEquationOES = epoxy_glBlendEquationOES_dispatch_table_rewrite_ptr,
    .glBlendEquationSeparate = epoxy_glBlendEquationSeparate_dispatch_table_rewrite_ptr,
    .glBlendEquationSeparateEXT = epoxy_glBlendEquationSeparateEXT_dispatch_table_rewrite_ptr,
    .glBlendEquationSeparateIndexedAMD = epoxy_glBlendEquationSeparateIndexedAMD_dispatch_table_rewrite_ptr,
    .glBlendEquationSeparateOES = epoxy_glBlendEquationSeparateOES_dispatch_table_rewrite_ptr,
    .glBlendEquationSeparatei = epoxy_glBlendEquationSeparatei_dispatch_table_rewrite_ptr,
    .glBlendEquationSeparateiARB = epoxy_glBlendEquationSeparateiARB_dispatch_table_rewrite_ptr,
    .glBlendEquationi = epoxy_glBlendEquationi_dispatch_table_rewrite_ptr,
    .glBlendEquationiARB = epoxy_glBlendEquationiARB_dispatch_table_rewrite_ptr,
    .glBlendFunc = epoxy_glBlendFunc_dispatch_table_rewrite_ptr,
    .glBlendFuncIndexedAMD = epoxy_glBlendFuncIndexedAMD_dispatch_table_rewrite_ptr,
    .glBlendFuncSeparate = epoxy_glBlendFuncSeparate_dispatch_table_rewrite_ptr,
    .glBlendFuncSeparateEXT = epoxy_glBlendFuncSeparateEXT_dispatch_table_rewrite_ptr,
    .glBlendFuncSeparateINGR = epoxy_glBlendFuncSeparateINGR_dispatch_table_rewrite_ptr,
    .glBlendFuncSeparateIndexedAMD = epoxy_glBlendFuncSeparateIndexedAMD_dispatch_table_rewrite_ptr,
    .glBlendFuncSeparateOES = epoxy_glBlendFuncSeparateOES_dispatch_table_rewrite_ptr,
    .glBlendFuncSeparatei = epoxy_glBlendFuncSeparatei_dispatch_table_rewrite_ptr,
    .glBlendFuncSeparateiARB = epoxy_glBlendFuncSeparateiARB_dispatch_table_rewrite_ptr,
    .glBlendFunci = epoxy_glBlendFunci_dispatch_table_rewrite_ptr,
    .glBlendFunciARB = epoxy_glBlendFunciARB_dispatch_table_rewrite_ptr,
    .glBlendParameteriNV = epoxy_glBlendParameteriNV_dispatch_table_rewrite_ptr,
    .glBlitFramebuffer = epoxy_glBlitFramebuffer_dispatch_table_rewrite_ptr,
    .glBlitFramebufferANGLE = epoxy_glBlitFramebufferANGLE_dispatch_table_rewrite_ptr,
    .glBlitFramebufferEXT = epoxy_glBlitFramebufferEXT_dispatch_table_rewrite_ptr,
    .glBlitFramebufferNV = epoxy_glBlitFramebufferNV_dispatch_table_rewrite_ptr,
    .glBufferAddressRangeNV = epoxy_glBufferAddressRangeNV_dispatch_table_rewrite_ptr,
    .glBufferData = epoxy_glBufferData_dispatch_table_rewrite_ptr,
    .glBufferDataARB = epoxy_glBufferDataARB_dispatch_table_rewrite_ptr,
    .glBufferParameteriAPPLE = epoxy_glBufferParameteriAPPLE_dispatch_table_rewrite_ptr,
    .glBufferStorage = epoxy_glBufferStorage_dispatch_table_rewrite_ptr,
    .glBufferSubData = epoxy_glBufferSubData_dispatch_table_rewrite_ptr,
    .glBufferSubDataARB = epoxy_glBufferSubDataARB_dispatch_table_rewrite_ptr,
    .glCallList = epoxy_glCallList_dispatch_table_rewrite_ptr,
    .glCallLists = epoxy_glCallLists_dispatch_table_rewrite_ptr,
    .glCheckFramebufferStatus = epoxy_glCheckFramebufferStatus_dispatch_table_rewrite_ptr,
    .glCheckFramebufferStatusEXT = epoxy_glCheckFramebufferStatusEXT_dispatch_table_rewrite_ptr,
    .glCheckFramebufferStatusOES = epoxy_glCheckFramebufferStatusOES_dispatch_table_rewrite_ptr,
    .glCheckNamedFramebufferStatusEXT = epoxy_glCheckNamedFramebufferStatusEXT_dispatch_table_rewrite_ptr,
    .glClampColor = epoxy_glClampColor_dispatch_table_rewrite_ptr,
    .glClampColorARB = epoxy_glClampColorARB_dispatch_table_rewrite_ptr,
    .glClear = epoxy_glClear_dispatch_table_rewrite_ptr,
    .glClearAccum = epoxy_glClearAccum_dispatch_table_rewrite_ptr,
    .glClearAccumxOES = epoxy_glClearAccumxOES_dispatch_table_rewrite_ptr,
    .glClearBufferData = epoxy_glClearBufferData_dispatch_table_rewrite_ptr,
    .glClearBufferSubData = epoxy_glClearBufferSubData_dispatch_table_rewrite_ptr,
    .glClearBufferfi = epoxy_glClearBufferfi_dispatch_table_rewrite_ptr,
    .glClearBufferfv = epoxy_glClearBufferfv_dispatch_table_rewrite_ptr,
    .glClearBufferiv = epoxy_glClearBufferiv_dispatch_table_rewrite_ptr,
    .glClearBufferuiv = epoxy_glClearBufferuiv_dispatch_table_rewrite_ptr,
    .glClearColor = epoxy_glClearColor_dispatch_table_rewrite_ptr,
    .glClearColorIiEXT = epoxy_glClearColorIiEXT_dispatch_table_rewrite_ptr,
    .glClearColorIuiEXT = epoxy_glClearColorIuiEXT_dispatch_table_rewrite_ptr,
    .glClearColorx = epoxy_glClearColorx_dispatch_table_rewrite_ptr,
    .glClearColorxOES = epoxy_glClearColorxOES_dispatch_table_rewrite_ptr,
    .glClearDepth = epoxy_glClearDepth_dispatch_table_rewrite_ptr,
    .glClearDepthdNV = epoxy_glClearDepthdNV_dispatch_table_rewrite_ptr,
    .glClearDepthf = epoxy_glClearDepthf_dispatch_table_rewrite_ptr,
    .glClearDepthfOES = epoxy_glClearDepthfOES_dispatch_table_rewrite_ptr,
    .glClearDepthx = epoxy_glClearDepthx_dispatch_table_rewrite_ptr,
    .glClearDepthxOES = epoxy_glClearDepthxOES_dispatch_table_rewrite_ptr,
    .glClearIndex = epoxy_glClearIndex_dispatch_table_rewrite_ptr,
    .glClearNamedBufferDataEXT = epoxy_glClearNamedBufferDataEXT_dispatch_table_rewrite_ptr,
    .glClearNamedBufferSubDataEXT = epoxy_glClearNamedBufferSubDataEXT_dispatch_table_rewrite_ptr,
    .glClearStencil = epoxy_glClearStencil_dispatch_table_rewrite_ptr,
    .glClearTexImage = epoxy_glClearTexImage_dispatch_table_rewrite_ptr,
    .glClearTexSubImage = epoxy_glClearTexSubImage_dispatch_table_rewrite_ptr,
    .glClientActiveTexture = epoxy_glClientActiveTexture_dispatch_table_rewrite_ptr,
    .glClientActiveTextureARB = epoxy_glClientActiveTextureARB_dispatch_table_rewrite_ptr,
    .glClientActiveVertexStreamATI = epoxy_glClientActiveVertexStreamATI_dispatch_table_rewrite_ptr,
    .glClientAttribDefaultEXT = epoxy_glClientAttribDefaultEXT_dispatch_table_rewrite_ptr,
    .glClientWaitSync = epoxy_glClientWaitSync_dispatch_table_rewrite_ptr,
    .glClientWaitSyncAPPLE = epoxy_glClientWaitSyncAPPLE_dispatch_table_rewrite_ptr,
    .glClipPlane = epoxy_glClipPlane_dispatch_table_rewrite_ptr,
    .glClipPlanef = epoxy_glClipPlanef_dispatch_table_rewrite_ptr,
    .glClipPlanefIMG = epoxy_glClipPlanefIMG_dispatch_table_rewrite_ptr,
    .glClipPlanefOES = epoxy_glClipPlanefOES_dispatch_table_rewrite_ptr,
    .glClipPlanex = epoxy_glClipPlanex_dispatch_table_rewrite_ptr,
    .glClipPlanexIMG = epoxy_glClipPlanexIMG_dispatch_table_rewrite_ptr,
    .glClipPlanexOES = epoxy_glClipPlanexOES_dispatch_table_rewrite_ptr,
    .glColor3b = epoxy_glColor3b_dispatch_table_rewrite_ptr,
    .glColor3bv = epoxy_glColor3bv_dispatch_table_rewrite_ptr,
    .glColor3d = epoxy_glColor3d_dispatch_table_rewrite_ptr,
    .glColor3dv = epoxy_glColor3dv_dispatch_table_rewrite_ptr,
    .glColor3f = epoxy_glColor3f_dispatch_table_rewrite_ptr,
    .glColor3fVertex3fSUN = epoxy_glColor3fVertex3fSUN_dispatch_table_rewrite_ptr,
    .glColor3fVertex3fvSUN = epoxy_glColor3fVertex3fvSUN_dispatch_table_rewrite_ptr,
    .glColor3fv = epoxy_glColor3fv_dispatch_table_rewrite_ptr,
    .glColor3hNV = epoxy_glColor3hNV_dispatch_table_rewrite_ptr,
    .glColor3hvNV = epoxy_glColor3hvNV_dispatch_table_rewrite_ptr,
    .glColor3i = epoxy_glColor3i_dispatch_table_rewrite_ptr,
    .glColor3iv = epoxy_glColor3iv_dispatch_table_rewrite_ptr,
    .glColor3s = epoxy_glColor3s_dispatch_table_rewrite_ptr,
    .glColor3sv = epoxy_glColor3sv_dispatch_table_rewrite_ptr,
    .glColor3ub = epoxy_glColor3ub_dispatch_table_rewrite_ptr,
    .glColor3ubv = epoxy_glColor3ubv_dispatch_table_rewrite_ptr,
    .glColor3ui = epoxy_glColor3ui_dispatch_table_rewrite_ptr,
    .glColor3uiv = epoxy_glColor3uiv_dispatch_table_rewrite_ptr,
    .glColor3us = epoxy_glColor3us_dispatch_table_rewrite_ptr,
    .glColor3usv = epoxy_glColor3usv_dispatch_table_rewrite_ptr,
    .glColor3xOES = epoxy_glColor3xOES_dispatch_table_rewrite_ptr,
    .glColor3xvOES = epoxy_glColor3xvOES_dispatch_table_rewrite_ptr,
    .glColor4b = epoxy_glColor4b_dispatch_table_rewrite_ptr,
    .glColor4bv = epoxy_glColor4bv_dispatch_table_rewrite_ptr,
    .glColor4d = epoxy_glColor4d_dispatch_table_rewrite_ptr,
    .glColor4dv = epoxy_glColor4dv_dispatch_table_rewrite_ptr,
    .glColor4f = epoxy_glColor4f_dispatch_table_rewrite_ptr,
    .glColor4fNormal3fVertex3fSUN = epoxy_glColor4fNormal3fVertex3fSUN_dispatch_table_rewrite_ptr,
    .glColor4fNormal3fVertex3fvSUN = epoxy_glColor4fNormal3fVertex3fvSUN_dispatch_table_rewrite_ptr,
    .glColor4fv = epoxy_glColor4fv_dispatch_table_rewrite_ptr,
    .glColor4hNV = epoxy_glColor4hNV_dispatch_table_rewrite_ptr,
    .glColor4hvNV = epoxy_glColor4hvNV_dispatch_table_rewrite_ptr,
    .glColor4i = epoxy_glColor4i_dispatch_table_rewrite_ptr,
    .glColor4iv = epoxy_glColor4iv_dispatch_table_rewrite_ptr,
    .glColor4s = epoxy_glColor4s_dispatch_table_rewrite_ptr,
    .glColor4sv = epoxy_glColor4sv_dispatch_table_rewrite_ptr,
    .glColor4ub = epoxy_glColor4ub_dispatch_table_rewrite_ptr,
    .glColor4ubVertex2fSUN = epoxy_glColor4ubVertex2fSUN_dispatch_table_rewrite_ptr,
    .glColor4ubVertex2fvSUN = epoxy_glColor4ubVertex2fvSUN_dispatch_table_rewrite_ptr,
    .glColor4ubVertex3fSUN = epoxy_glColor4ubVertex3fSUN_dispatch_table_rewrite_ptr,
    .glColor4ubVertex3fvSUN = epoxy_glColor4ubVertex3fvSUN_dispatch_table_rewrite_ptr,
    .glColor4ubv = epoxy_glColor4ubv_dispatch_table_rewrite_ptr,
    .glColor4ui = epoxy_glColor4ui_dispatch_table_rewrite_ptr,
    .glColor4uiv = epoxy_glColor4uiv_dispatch_table_rewrite_ptr,
    .glColor4us = epoxy_glColor4us_dispatch_table_rewrite_ptr,
    .glColor4usv = epoxy_glColor4usv_dispatch_table_rewrite_ptr,
    .glColor4x = epoxy_glColor4x_dispatch_table_rewrite_ptr,
    .glColor4xOES = epoxy_glColor4xOES_dispatch_table_rewrite_ptr,
    .glColor4xvOES = epoxy_glColor4xvOES_dispatch_table_rewrite_ptr,
    .glColorFormatNV = epoxy_glColorFormatNV_dispatch_table_rewrite_ptr,
    .glColorFragmentOp1ATI = epoxy_glColorFragmentOp1ATI_dispatch_table_rewrite_ptr,
    .glColorFragmentOp2ATI = epoxy_glColorFragmentOp2ATI_dispatch_table_rewrite_ptr,
    .glColorFragmentOp3ATI = epoxy_glColorFragmentOp3ATI_dispatch_table_rewrite_ptr,
    .glColorMask = epoxy_glColorMask_dispatch_table_rewrite_ptr,
    .glColorMaskIndexedEXT = epoxy_glColorMaskIndexedEXT_dispatch_table_rewrite_ptr,
    .glColorMaski = epoxy_glColorMaski_dispatch_table_rewrite_ptr,
    .glColorMaterial = epoxy_glColorMaterial_dispatch_table_rewrite_ptr,
    .glColorP3ui = epoxy_glColorP3ui_dispatch_table_rewrite_ptr,
    .glColorP3uiv = epoxy_glColorP3uiv_dispatch_table_rewrite_ptr,
    .glColorP4ui = epoxy_glColorP4ui_dispatch_table_rewrite_ptr,
    .glColorP4uiv = epoxy_glColorP4uiv_dispatch_table_rewrite_ptr,
    .glColorPointer = epoxy_glColorPointer_dispatch_table_rewrite_ptr,
    .glColorPointerEXT = epoxy_glColorPointerEXT_dispatch_table_rewrite_ptr,
    .glColorPointerListIBM = epoxy_glColorPointerListIBM_dispatch_table_rewrite_ptr,
    .glColorPointervINTEL = epoxy_glColorPointervINTEL_dispatch_table_rewrite_ptr,
    .glColorSubTable = epoxy_glColorSubTable_dispatch_table_rewrite_ptr,
    .glColorSubTableEXT = epoxy_glColorSubTableEXT_dispatch_table_rewrite_ptr,
    .glColorTable = epoxy_glColorTable_dispatch_table_rewrite_ptr,
    .glColorTableEXT = epoxy_glColorTableEXT_dispatch_table_rewrite_ptr,
    .glColorTableParameterfv = epoxy_glColorTableParameterfv_dispatch_table_rewrite_ptr,
    .glColorTableParameterfvSGI = epoxy_glColorTableParameterfvSGI_dispatch_table_rewrite_ptr,
    .glColorTableParameteriv = epoxy_glColorTableParameteriv_dispatch_table_rewrite_ptr,
    .glColorTableParameterivSGI = epoxy_glColorTableParameterivSGI_dispatch_table_rewrite_ptr,
    .glColorTableSGI = epoxy_glColorTableSGI_dispatch_table_rewrite_ptr,
    .glCombinerInputNV = epoxy_glCombinerInputNV_dispatch_table_rewrite_ptr,
    .glCombinerOutputNV = epoxy_glCombinerOutputNV_dispatch_table_rewrite_ptr,
    .glCombinerParameterfNV = epoxy_glCombinerParameterfNV_dispatch_table_rewrite_ptr,
    .glCombinerParameterfvNV = epoxy_glCombinerParameterfvNV_dispatch_table_rewrite_ptr,
    .glCombinerParameteriNV = epoxy_glCombinerParameteriNV_dispatch_table_rewrite_ptr,
    .glCombinerParameterivNV = epoxy_glCombinerParameterivNV_dispatch_table_rewrite_ptr,
    .glCombinerStageParameterfvNV = epoxy_glCombinerStageParameterfvNV_dispatch_table_rewrite_ptr,
    .glCompileShader = epoxy_glCompileShader_dispatch_table_rewrite_ptr,
    .glCompileShaderARB = epoxy_glCompileShaderARB_dispatch_table_rewrite_ptr,
    .glCompileShaderIncludeARB = epoxy_glCompileShaderIncludeARB_dispatch_table_rewrite_ptr,
    .glCompressedMultiTexImage1DEXT = epoxy_glCompressedMultiTexImage1DEXT_dispatch_table_rewrite_ptr,
    .glCompressedMultiTexImage2DEXT = epoxy_glCompressedMultiTexImage2DEXT_dispatch_table_rewrite_ptr,
    .glCompressedMultiTexImage3DEXT = epoxy_glCompressedMultiTexImage3DEXT_dispatch_table_rewrite_ptr,
    .glCompressedMultiTexSubImage1DEXT = epoxy_glCompressedMultiTexSubImage1DEXT_dispatch_table_rewrite_ptr,
    .glCompressedMultiTexSubImage2DEXT = epoxy_glCompressedMultiTexSubImage2DEXT_dispatch_table_rewrite_ptr,
    .glCompressedMultiTexSubImage3DEXT = epoxy_glCompressedMultiTexSubImage3DEXT_dispatch_table_rewrite_ptr,
    .glCompressedTexImage1D = epoxy_glCompressedTexImage1D_dispatch_table_rewrite_ptr,
    .glCompressedTexImage1DARB = epoxy_glCompressedTexImage1DARB_dispatch_table_rewrite_ptr,
    .glCompressedTexImage2D = epoxy_glCompressedTexImage2D_dispatch_table_rewrite_ptr,
    .glCompressedTexImage2DARB = epoxy_glCompressedTexImage2DARB_dispatch_table_rewrite_ptr,
    .glCompressedTexImage3D = epoxy_glCompressedTexImage3D_dispatch_table_rewrite_ptr,
    .glCompressedTexImage3DARB = epoxy_glCompressedTexImage3DARB_dispatch_table_rewrite_ptr,
    .glCompressedTexImage3DOES = epoxy_glCompressedTexImage3DOES_dispatch_table_rewrite_ptr,
    .glCompressedTexSubImage1D = epoxy_glCompressedTexSubImage1D_dispatch_table_rewrite_ptr,
    .glCompressedTexSubImage1DARB = epoxy_glCompressedTexSubImage1DARB_dispatch_table_rewrite_ptr,
    .glCompressedTexSubImage2D = epoxy_glCompressedTexSubImage2D_dispatch_table_rewrite_ptr,
    .glCompressedTexSubImage2DARB = epoxy_glCompressedTexSubImage2DARB_dispatch_table_rewrite_ptr,
    .glCompressedTexSubImage3D = epoxy_glCompressedTexSubImage3D_dispatch_table_rewrite_ptr,
    .glCompressedTexSubImage3DARB = epoxy_glCompressedTexSubImage3DARB_dispatch_table_rewrite_ptr,
    .glCompressedTexSubImage3DOES = epoxy_glCompressedTexSubImage3DOES_dispatch_table_rewrite_ptr,
    .glCompressedTextureImage1DEXT = epoxy_glCompressedTextureImage1DEXT_dispatch_table_rewrite_ptr,
    .glCompressedTextureImage2DEXT = epoxy_glCompressedTextureImage2DEXT_dispatch_table_rewrite_ptr,
    .glCompressedTextureImage3DEXT = epoxy_glCompressedTextureImage3DEXT_dispatch_table_rewrite_ptr,
    .glCompressedTextureSubImage1DEXT = epoxy_glCompressedTextureSubImage1DEXT_dispatch_table_rewrite_ptr,
    .glCompressedTextureSubImage2DEXT = epoxy_glCompressedTextureSubImage2DEXT_dispatch_table_rewrite_ptr,
    .glCompressedTextureSubImage3DEXT = epoxy_glCompressedTextureSubImage3DEXT_dispatch_table_rewrite_ptr,
    .glConvolutionFilter1D = epoxy_glConvolutionFilter1D_dispatch_table_rewrite_ptr,
    .glConvolutionFilter1DEXT = epoxy_glConvolutionFilter1DEXT_dispatch_table_rewrite_ptr,
    .glConvolutionFilter2D = epoxy_glConvolutionFilter2D_dispatch_table_rewrite_ptr,
    .glConvolutionFilter2DEXT = epoxy_glConvolutionFilter2DEXT_dispatch_table_rewrite_ptr,
    .glConvolutionParameterf = epoxy_glConvolutionParameterf_dispatch_table_rewrite_ptr,
    .glConvolutionParameterfEXT = epoxy_glConvolutionParameterfEXT_dispatch_table_rewrite_ptr,
    .glConvolutionParameterfv = epoxy_glConvolutionParameterfv_dispatch_table_rewrite_ptr,
    .glConvolutionParameterfvEXT = epoxy_glConvolutionParameterfvEXT_dispatch_table_rewrite_ptr,
    .glConvolutionParameteri = epoxy_glConvolutionParameteri_dispatch_table_rewrite_ptr,
    .glConvolutionParameteriEXT = epoxy_glConvolutionParameteriEXT_dispatch_table_rewrite_ptr,
    .glConvolutionParameteriv = epoxy_glConvolutionParameteriv_dispatch_table_rewrite_ptr,
    .glConvolutionParameterivEXT = epoxy_glConvolutionParameterivEXT_dispatch_table_rewrite_ptr,
    .glConvolutionParameterxOES = epoxy_glConvolutionParameterxOES_dispatch_table_rewrite_ptr,
    .glConvolutionParameterxvOES = epoxy_glConvolutionParameterxvOES_dispatch_table_rewrite_ptr,
    .glCopyBufferSubData = epoxy_glCopyBufferSubData_dispatch_table_rewrite_ptr,
    .glCopyBufferSubDataNV = epoxy_glCopyBufferSubDataNV_dispatch_table_rewrite_ptr,
    .glCopyColorSubTable = epoxy_glCopyColorSubTable_dispatch_table_rewrite_ptr,
    .glCopyColorSubTableEXT = epoxy_glCopyColorSubTableEXT_dispatch_table_rewrite_ptr,
    .glCopyColorTable = epoxy_glCopyColorTable_dispatch_table_rewrite_ptr,
    .glCopyColorTableSGI = epoxy_glCopyColorTableSGI_dispatch_table_rewrite_ptr,
    .glCopyConvolutionFilter1D = epoxy_glCopyConvolutionFilter1D_dispatch_table_rewrite_ptr,
    .glCopyConvolutionFilter1DEXT = epoxy_glCopyConvolutionFilter1DEXT_dispatch_table_rewrite_ptr,
    .glCopyConvolutionFilter2D = epoxy_glCopyConvolutionFilter2D_dispatch_table_rewrite_ptr,
    .glCopyConvolutionFilter2DEXT = epoxy_glCopyConvolutionFilter2DEXT_dispatch_table_rewrite_ptr,
    .glCopyImageSubData = epoxy_glCopyImageSubData_dispatch_table_rewrite_ptr,
    .glCopyImageSubDataNV = epoxy_glCopyImageSubDataNV_dispatch_table_rewrite_ptr,
    .glCopyMultiTexImage1DEXT = epoxy_glCopyMultiTexImage1DEXT_dispatch_table_rewrite_ptr,
    .glCopyMultiTexImage2DEXT = epoxy_glCopyMultiTexImage2DEXT_dispatch_table_rewrite_ptr,
    .glCopyMultiTexSubImage1DEXT = epoxy_glCopyMultiTexSubImage1DEXT_dispatch_table_rewrite_ptr,
    .glCopyMultiTexSubImage2DEXT = epoxy_glCopyMultiTexSubImage2DEXT_dispatch_table_rewrite_ptr,
    .glCopyMultiTexSubImage3DEXT = epoxy_glCopyMultiTexSubImage3DEXT_dispatch_table_rewrite_ptr,
    .glCopyPathNV = epoxy_glCopyPathNV_dispatch_table_rewrite_ptr,
    .glCopyPixels = epoxy_glCopyPixels_dispatch_table_rewrite_ptr,
    .glCopyTexImage1D = epoxy_glCopyTexImage1D_dispatch_table_rewrite_ptr,
    .glCopyTexImage1DEXT = epoxy_glCopyTexImage1DEXT_dispatch_table_rewrite_ptr,
    .glCopyTexImage2D = epoxy_glCopyTexImage2D_dispatch_table_rewrite_ptr,
    .glCopyTexImage2DEXT = epoxy_glCopyTexImage2DEXT_dispatch_table_rewrite_ptr,
    .glCopyTexSubImage1D = epoxy_glCopyTexSubImage1D_dispatch_table_rewrite_ptr,
    .glCopyTexSubImage1DEXT = epoxy_glCopyTexSubImage1DEXT_dispatch_table_rewrite_ptr,
    .glCopyTexSubImage2D = epoxy_glCopyTexSubImage2D_dispatch_table_rewrite_ptr,
    .glCopyTexSubImage2DEXT = epoxy_glCopyTexSubImage2DEXT_dispatch_table_rewrite_ptr,
    .glCopyTexSubImage3D = epoxy_glCopyTexSubImage3D_dispatch_table_rewrite_ptr,
    .glCopyTexSubImage3DEXT = epoxy_glCopyTexSubImage3DEXT_dispatch_table_rewrite_ptr,
    .glCopyTexSubImage3DOES = epoxy_glCopyTexSubImage3DOES_dispatch_table_rewrite_ptr,
    .glCopyTextureImage1DEXT = epoxy_glCopyTextureImage1DEXT_dispatch_table_rewrite_ptr,
    .glCopyTextureImage2DEXT = epoxy_glCopyTextureImage2DEXT_dispatch_table_rewrite_ptr,
    .glCopyTextureLevelsAPPLE = epoxy_glCopyTextureLevelsAPPLE_dispatch_table_rewrite_ptr,
    .glCopyTextureSubImage1DEXT = epoxy_glCopyTextureSubImage1DEXT_dispatch_table_rewrite_ptr,
    .glCopyTextureSubImage2DEXT = epoxy_glCopyTextureSubImage2DEXT_dispatch_table_rewrite_ptr,
    .glCopyTextureSubImage3DEXT = epoxy_glCopyTextureSubImage3DEXT_dispatch_table_rewrite_ptr,
    .glCoverFillPathInstancedNV = epoxy_glCoverFillPathInstancedNV_dispatch_table_rewrite_ptr,
    .glCoverFillPathNV = epoxy_glCoverFillPathNV_dispatch_table_rewrite_ptr,
    .glCoverStrokePathInstancedNV = epoxy_glCoverStrokePathInstancedNV_dispatch_table_rewrite_ptr,
    .glCoverStrokePathNV = epoxy_glCoverStrokePathNV_dispatch_table_rewrite_ptr,
    .glCoverageMaskNV = epoxy_glCoverageMaskNV_dispatch_table_rewrite_ptr,
    .glCoverageOperationNV = epoxy_glCoverageOperationNV_dispatch_table_rewrite_ptr,
    .glCreatePerfQueryINTEL = epoxy_glCreatePerfQueryINTEL_dispatch_table_rewrite_ptr,
    .glCreateProgram = epoxy_glCreateProgram_dispatch_table_rewrite_ptr,
    .glCreateProgramObjectARB = epoxy_glCreateProgramObjectARB_dispatch_table_rewrite_ptr,
    .glCreateShader = epoxy_glCreateShader_dispatch_table_rewrite_ptr,
    .glCreateShaderObjectARB = epoxy_glCreateShaderObjectARB_dispatch_table_rewrite_ptr,
    .glCreateShaderProgramEXT = epoxy_glCreateShaderProgramEXT_dispatch_table_rewrite_ptr,
    .glCreateShaderProgramv = epoxy_glCreateShaderProgramv_dispatch_table_rewrite_ptr,
    .glCreateShaderProgramvEXT = epoxy_glCreateShaderProgramvEXT_dispatch_table_rewrite_ptr,
    .glCreateSyncFromCLeventARB = epoxy_glCreateSyncFromCLeventARB_dispatch_table_rewrite_ptr,
    .glCullFace = epoxy_glCullFace_dispatch_table_rewrite_ptr,
    .glCullParameterdvEXT = epoxy_glCullParameterdvEXT_dispatch_table_rewrite_ptr,
    .glCullParameterfvEXT = epoxy_glCullParameterfvEXT_dispatch_table_rewrite_ptr,
    .glCurrentPaletteMatrixARB = epoxy_glCurrentPaletteMatrixARB_dispatch_table_rewrite_ptr,
    .glCurrentPaletteMatrixOES = epoxy_glCurrentPaletteMatrixOES_dispatch_table_rewrite_ptr,
    .glDebugMessageCallback = epoxy_glDebugMessageCallback_dispatch_table_rewrite_ptr,
    .glDebugMessageCallbackAMD = epoxy_glDebugMessageCallbackAMD_dispatch_table_rewrite_ptr,
    .glDebugMessageCallbackARB = epoxy_glDebugMessageCallbackARB_dispatch_table_rewrite_ptr,
    .glDebugMessageCallbackKHR = epoxy_glDebugMessageCallbackKHR_dispatch_table_rewrite_ptr,
    .glDebugMessageControl = epoxy_glDebugMessageControl_dispatch_table_rewrite_ptr,
    .glDebugMessageControlARB = epoxy_glDebugMessageControlARB_dispatch_table_rewrite_ptr,
    .glDebugMessageControlKHR = epoxy_glDebugMessageControlKHR_dispatch_table_rewrite_ptr,
    .glDebugMessageEnableAMD = epoxy_glDebugMessageEnableAMD_dispatch_table_rewrite_ptr,
    .glDebugMessageInsert = epoxy_glDebugMessageInsert_dispatch_table_rewrite_ptr,
    .glDebugMessageInsertAMD = epoxy_glDebugMessageInsertAMD_dispatch_table_rewrite_ptr,
    .glDebugMessageInsertARB = epoxy_glDebugMessageInsertARB_dispatch_table_rewrite_ptr,
    .glDebugMessageInsertKHR = epoxy_glDebugMessageInsertKHR_dispatch_table_rewrite_ptr,
    .glDeformSGIX = epoxy_glDeformSGIX_dispatch_table_rewrite_ptr,
    .glDeformationMap3dSGIX = epoxy_glDeformationMap3dSGIX_dispatch_table_rewrite_ptr,
    .glDeformationMap3fSGIX = epoxy_glDeformationMap3fSGIX_dispatch_table_rewrite_ptr,
    .glDeleteAsyncMarkersSGIX = epoxy_glDeleteAsyncMarkersSGIX_dispatch_table_rewrite_ptr,
    .glDeleteBuffers = epoxy_glDeleteBuffers_dispatch_table_rewrite_ptr,
    .glDeleteBuffersARB = epoxy_glDeleteBuffersARB_dispatch_table_rewrite_ptr,
    .glDeleteFencesAPPLE = epoxy_glDeleteFencesAPPLE_dispatch_table_rewrite_ptr,
    .glDeleteFencesNV = epoxy_glDeleteFencesNV_dispatch_table_rewrite_ptr,
    .glDeleteFragmentShaderATI = epoxy_glDeleteFragmentShaderATI_dispatch_table_rewrite_ptr,
    .glDeleteFramebuffers = epoxy_glDeleteFramebuffers_dispatch_table_rewrite_ptr,
    .glDeleteFramebuffersEXT = epoxy_glDeleteFramebuffersEXT_dispatch_table_rewrite_ptr,
    .glDeleteFramebuffersOES = epoxy_glDeleteFramebuffersOES_dispatch_table_rewrite_ptr,
    .glDeleteLists = epoxy_glDeleteLists_dispatch_table_rewrite_ptr,
    .glDeleteNamedStringARB = epoxy_glDeleteNamedStringARB_dispatch_table_rewrite_ptr,
    .glDeleteNamesAMD = epoxy_glDeleteNamesAMD_dispatch_table_rewrite_ptr,
    .glDeleteObjectARB = epoxy_glDeleteObjectARB_dispatch_table_rewrite_ptr,
    .glDeleteOcclusionQueriesNV = epoxy_glDeleteOcclusionQueriesNV_dispatch_table_rewrite_ptr,
    .glDeletePathsNV = epoxy_glDeletePathsNV_dispatch_table_rewrite_ptr,
    .glDeletePerfMonitorsAMD = epoxy_glDeletePerfMonitorsAMD_dispatch_table_rewrite_ptr,
    .glDeletePerfQueryINTEL = epoxy_glDeletePerfQueryINTEL_dispatch_table_rewrite_ptr,
    .glDeleteProgram = epoxy_glDeleteProgram_dispatch_table_rewrite_ptr,
    .glDeleteProgramPipelines = epoxy_glDeleteProgramPipelines_dispatch_table_rewrite_ptr,
    .glDeleteProgramPipelinesEXT = epoxy_glDeleteProgramPipelinesEXT_dispatch_table_rewrite_ptr,
    .glDeleteProgramsARB = epoxy_glDeleteProgramsARB_dispatch_table_rewrite_ptr,
    .glDeleteProgramsNV = epoxy_glDeleteProgramsNV_dispatch_table_rewrite_ptr,
    .glDeleteQueries = epoxy_glDeleteQueries_dispatch_table_rewrite_ptr,
    .glDeleteQueriesARB = epoxy_glDeleteQueriesARB_dispatch_table_rewrite_ptr,
    .glDeleteQueriesEXT = epoxy_glDeleteQueriesEXT_dispatch_table_rewrite_ptr,
    .glDeleteRenderbuffers = epoxy_glDeleteRenderbuffers_dispatch_table_rewrite_ptr,
    .glDeleteRenderbuffersEXT = epoxy_glDeleteRenderbuffersEXT_dispatch_table_rewrite_ptr,
    .glDeleteRenderbuffersOES = epoxy_glDeleteRenderbuffersOES_dispatch_table_rewrite_ptr,
    .glDeleteSamplers = epoxy_glDeleteSamplers_dispatch_table_rewrite_ptr,
    .glDeleteShader = epoxy_glDeleteShader_dispatch_table_rewrite_ptr,
    .glDeleteSync = epoxy_glDeleteSync_dispatch_table_rewrite_ptr,
    .glDeleteSyncAPPLE = epoxy_glDeleteSyncAPPLE_dispatch_table_rewrite_ptr,
    .glDeleteTextures = epoxy_glDeleteTextures_dispatch_table_rewrite_ptr,
    .glDeleteTexturesEXT = epoxy_glDeleteTexturesEXT_dispatch_table_rewrite_ptr,
    .glDeleteTransformFeedbacks = epoxy_glDeleteTransformFeedbacks_dispatch_table_rewrite_ptr,
    .glDeleteTransformFeedbacksNV = epoxy_glDeleteTransformFeedbacksNV_dispatch_table_rewrite_ptr,
    .glDeleteVertexArrays = epoxy_glDeleteVertexArrays_dispatch_table_rewrite_ptr,
    .glDeleteVertexArraysAPPLE = epoxy_glDeleteVertexArraysAPPLE_dispatch_table_rewrite_ptr,
    .glDeleteVertexArraysOES = epoxy_glDeleteVertexArraysOES_dispatch_table_rewrite_ptr,
    .glDeleteVertexShaderEXT = epoxy_glDeleteVertexShaderEXT_dispatch_table_rewrite_ptr,
    .glDepthBoundsEXT = epoxy_glDepthBoundsEXT_dispatch_table_rewrite_ptr,
    .glDepthBoundsdNV = epoxy_glDepthBoundsdNV_dispatch_table_rewrite_ptr,
    .glDepthFunc = epoxy_glDepthFunc_dispatch_table_rewrite_ptr,
    .glDepthMask = epoxy_glDepthMask_dispatch_table_rewrite_ptr,
    .glDepthRange = epoxy_glDepthRange_dispatch_table_rewrite_ptr,
    .glDepthRangeArrayv = epoxy_glDepthRangeArrayv_dispatch_table_rewrite_ptr,
    .glDepthRangeIndexed = epoxy_glDepthRangeIndexed_dispatch_table_rewrite_ptr,
    .glDepthRangedNV = epoxy_glDepthRangedNV_dispatch_table_rewrite_ptr,
    .glDepthRangef = epoxy_glDepthRangef_dispatch_table_rewrite_ptr,
    .glDepthRangefOES = epoxy_glDepthRangefOES_dispatch_table_rewrite_ptr,
    .glDepthRangex = epoxy_glDepthRangex_dispatch_table_rewrite_ptr,
    .glDepthRangexOES = epoxy_glDepthRangexOES_dispatch_table_rewrite_ptr,
    .glDetachObjectARB = epoxy_glDetachObjectARB_dispatch_table_rewrite_ptr,
    .glDetachShader = epoxy_glDetachShader_dispatch_table_rewrite_ptr,
    .glDetailTexFuncSGIS = epoxy_glDetailTexFuncSGIS_dispatch_table_rewrite_ptr,
    .glDisable = epoxy_glDisable_dispatch_table_rewrite_ptr,
    .glDisableClientState = epoxy_glDisableClientState_dispatch_table_rewrite_ptr,
    .glDisableClientStateIndexedEXT = epoxy_glDisableClientStateIndexedEXT_dispatch_table_rewrite_ptr,
    .glDisableClientStateiEXT = epoxy_glDisableClientStateiEXT_dispatch_table_rewrite_ptr,
    .glDisableDriverControlQCOM = epoxy_glDisableDriverControlQCOM_dispatch_table_rewrite_ptr,
    .glDisableIndexedEXT = epoxy_glDisableIndexedEXT_dispatch_table_rewrite_ptr,
    .glDisableVariantClientStateEXT = epoxy_glDisableVariantClientStateEXT_dispatch_table_rewrite_ptr,
    .glDisableVertexArrayAttribEXT = epoxy_glDisableVertexArrayAttribEXT_dispatch_table_rewrite_ptr,
    .glDisableVertexArrayEXT = epoxy_glDisableVertexArrayEXT_dispatch_table_rewrite_ptr,
    .glDisableVertexAttribAPPLE = epoxy_glDisableVertexAttribAPPLE_dispatch_table_rewrite_ptr,
    .glDisableVertexAttribArray = epoxy_glDisableVertexAttribArray_dispatch_table_rewrite_ptr,
    .glDisableVertexAttribArrayARB = epoxy_glDisableVertexAttribArrayARB_dispatch_table_rewrite_ptr,
    .glDisablei = epoxy_glDisablei_dispatch_table_rewrite_ptr,
    .glDiscardFramebufferEXT = epoxy_glDiscardFramebufferEXT_dispatch_table_rewrite_ptr,
    .glDispatchCompute = epoxy_glDispatchCompute_dispatch_table_rewrite_ptr,
    .glDispatchComputeGroupSizeARB = epoxy_glDispatchComputeGroupSizeARB_dispatch_table_rewrite_ptr,
    .glDispatchComputeIndirect = epoxy_glDispatchComputeIndirect_dispatch_table_rewrite_ptr,
    .glDrawArrays = epoxy_glDrawArrays_dispatch_table_rewrite_ptr,
    .glDrawArraysEXT = epoxy_glDrawArraysEXT_dispatch_table_rewrite_ptr,
    .glDrawArraysIndirect = epoxy_glDrawArraysIndirect_dispatch_table_rewrite_ptr,
    .glDrawArraysInstanced = epoxy_glDrawArraysInstanced_dispatch_table_rewrite_ptr,
    .glDrawArraysInstancedANGLE = epoxy_glDrawArraysInstancedANGLE_dispatch_table_rewrite_ptr,
    .glDrawArraysInstancedARB = epoxy_glDrawArraysInstancedARB_dispatch_table_rewrite_ptr,
    .glDrawArraysInstancedBaseInstance = epoxy_glDrawArraysInstancedBaseInstance_dispatch_table_rewrite_ptr,
    .glDrawArraysInstancedEXT = epoxy_glDrawArraysInstancedEXT_dispatch_table_rewrite_ptr,
    .glDrawArraysInstancedNV = epoxy_glDrawArraysInstancedNV_dispatch_table_rewrite_ptr,
    .glDrawBuffer = epoxy_glDrawBuffer_dispatch_table_rewrite_ptr,
    .glDrawBuffers = epoxy_glDrawBuffers_dispatch_table_rewrite_ptr,
    .glDrawBuffersARB = epoxy_glDrawBuffersARB_dispatch_table_rewrite_ptr,
    .glDrawBuffersATI = epoxy_glDrawBuffersATI_dispatch_table_rewrite_ptr,
    .glDrawBuffersEXT = epoxy_glDrawBuffersEXT_dispatch_table_rewrite_ptr,
    .glDrawBuffersIndexedEXT = epoxy_glDrawBuffersIndexedEXT_dispatch_table_rewrite_ptr,
    .glDrawBuffersNV = epoxy_glDrawBuffersNV_dispatch_table_rewrite_ptr,
    .glDrawElementArrayAPPLE = epoxy_glDrawElementArrayAPPLE_dispatch_table_rewrite_ptr,
    .glDrawElementArrayATI = epoxy_glDrawElementArrayATI_dispatch_table_rewrite_ptr,
    .glDrawElements = epoxy_glDrawElements_dispatch_table_rewrite_ptr,
    .glDrawElementsBaseVertex = epoxy_glDrawElementsBaseVertex_dispatch_table_rewrite_ptr,
    .glDrawElementsIndirect = epoxy_glDrawElementsIndirect_dispatch_table_rewrite_ptr,
    .glDrawElementsInstanced = epoxy_glDrawElementsInstanced_dispatch_table_rewrite_ptr,
    .glDrawElementsInstancedANGLE = epoxy_glDrawElementsInstancedANGLE_dispatch_table_rewrite_ptr,
    .glDrawElementsInstancedARB = epoxy_glDrawElementsInstancedARB_dispatch_table_rewrite_ptr,
    .glDrawElementsInstancedBaseInstance = epoxy_glDrawElementsInstancedBaseInstance_dispatch_table_rewrite_ptr,
    .glDrawElementsInstancedBaseVertex = epoxy_glDrawElementsInstancedBaseVertex_dispatch_table_rewrite_ptr,
    .glDrawElementsInstancedBaseVertexBaseInstance = epoxy_glDrawElementsInstancedBaseVertexBaseInstance_dispatch_table_rewrite_ptr,
    .glDrawElementsInstancedEXT = epoxy_glDrawElementsInstancedEXT_dispatch_table_rewrite_ptr,
    .glDrawElementsInstancedNV = epoxy_glDrawElementsInstancedNV_dispatch_table_rewrite_ptr,
    .glDrawMeshArraysSUN = epoxy_glDrawMeshArraysSUN_dispatch_table_rewrite_ptr,
    .glDrawPixels = epoxy_glDrawPixels_dispatch_table_rewrite_ptr,
    .glDrawRangeElementArrayAPPLE = epoxy_glDrawRangeElementArrayAPPLE_dispatch_table_rewrite_ptr,
    .glDrawRangeElementArrayATI = epoxy_glDrawRangeElementArrayATI_dispatch_table_rewrite_ptr,
    .glDrawRangeElements = epoxy_glDrawRangeElements_dispatch_table_rewrite_ptr,
    .glDrawRangeElementsBaseVertex = epoxy_glDrawRangeElementsBaseVertex_dispatch_table_rewrite_ptr,
    .glDrawRangeElementsEXT = epoxy_glDrawRangeElementsEXT_dispatch_table_rewrite_ptr,
    .glDrawTexfOES = epoxy_glDrawTexfOES_dispatch_table_rewrite_ptr,
    .glDrawTexfvOES = epoxy_glDrawTexfvOES_dispatch_table_rewrite_ptr,
    .glDrawTexiOES = epoxy_glDrawTexiOES_dispatch_table_rewrite_ptr,
    .glDrawTexivOES = epoxy_glDrawTexivOES_dispatch_table_rewrite_ptr,
    .glDrawTexsOES = epoxy_glDrawTexsOES_dispatch_table_rewrite_ptr,
    .glDrawTexsvOES = epoxy_glDrawTexsvOES_dispatch_table_rewrite_ptr,
    .glDrawTextureNV = epoxy_glDrawTextureNV_dispatch_table_rewrite_ptr,
    .glDrawTexxOES = epoxy_glDrawTexxOES_dispatch_table_rewrite_ptr,
    .glDrawTexxvOES = epoxy_glDrawTexxvOES_dispatch_table_rewrite_ptr,
    .glDrawTransformFeedback = epoxy_glDrawTransformFeedback_dispatch_table_rewrite_ptr,
    .glDrawTransformFeedbackInstanced = epoxy_glDrawTransformFeedbackInstanced_dispatch_table_rewrite_ptr,
    .glDrawTransformFeedbackNV = epoxy_glDrawTransformFeedbackNV_dispatch_table_rewrite_ptr,
    .glDrawTransformFeedbackStream = epoxy_glDrawTransformFeedbackStream_dispatch_table_rewrite_ptr,
    .glDrawTransformFeedbackStreamInstanced = epoxy_glDrawTransformFeedbackStreamInstanced_dispatch_table_rewrite_ptr,
    .glEGLImageTargetRenderbufferStorageOES = epoxy_glEGLImageTargetRenderbufferStorageOES_dispatch_table_rewrite_ptr,
    .glEGLImageTargetTexture2DOES = epoxy_glEGLImageTargetTexture2DOES_dispatch_table_rewrite_ptr,
    .glEdgeFlag = epoxy_glEdgeFlag_dispatch_table_rewrite_ptr,
    .glEdgeFlagFormatNV = epoxy_glEdgeFlagFormatNV_dispatch_table_rewrite_ptr,
    .glEdgeFlagPointer = epoxy_glEdgeFlagPointer_dispatch_table_rewrite_ptr,
    .glEdgeFlagPointerEXT = epoxy_glEdgeFlagPointerEXT_dispatch_table_rewrite_ptr,
    .glEdgeFlagPointerListIBM = epoxy_glEdgeFlagPointerListIBM_dispatch_table_rewrite_ptr,
    .glEdgeFlagv = epoxy_glEdgeFlagv_dispatch_table_rewrite_ptr,
    .glElementPointerAPPLE = epoxy_glElementPointerAPPLE_dispatch_table_rewrite_ptr,
    .glElementPointerATI = epoxy_glElementPointerATI_dispatch_table_rewrite_ptr,
    .glEnable = epoxy_glEnable_dispatch_table_rewrite_ptr,
    .glEnableClientState = epoxy_glEnableClientState_dispatch_table_rewrite_ptr,
    .glEnableClientStateIndexedEXT = epoxy_glEnableClientStateIndexedEXT_dispatch_table_rewrite_ptr,
    .glEnableClientStateiEXT = epoxy_glEnableClientStateiEXT_dispatch_table_rewrite_ptr,
    .glEnableDriverControlQCOM = epoxy_glEnableDriverControlQCOM_dispatch_table_rewrite_ptr,
    .glEnableIndexedEXT = epoxy_glEnableIndexedEXT_dispatch_table_rewrite_ptr,
    .glEnableVariantClientStateEXT = epoxy_glEnableVariantClientStateEXT_dispatch_table_rewrite_ptr,
    .glEnableVertexArrayAttribEXT = epoxy_glEnableVertexArrayAttribEXT_dispatch_table_rewrite_ptr,
    .glEnableVertexArrayEXT = epoxy_glEnableVertexArrayEXT_dispatch_table_rewrite_ptr,
    .glEnableVertexAttribAPPLE = epoxy_glEnableVertexAttribAPPLE_dispatch_table_rewrite_ptr,
    .glEnableVertexAttribArray = epoxy_glEnableVertexAttribArray_dispatch_table_rewrite_ptr,
    .glEnableVertexAttribArrayARB = epoxy_glEnableVertexAttribArrayARB_dispatch_table_rewrite_ptr,
    .glEnablei = epoxy_glEnablei_dispatch_table_rewrite_ptr,
    .glEnd_unwrapped = epoxy_glEnd_unwrapped_dispatch_table_rewrite_ptr,
    .glEndConditionalRender = epoxy_glEndConditionalRender_dispatch_table_rewrite_ptr,
    .glEndConditionalRenderNV = epoxy_glEndConditionalRenderNV_dispatch_table_rewrite_ptr,
    .glEndConditionalRenderNVX = epoxy_glEndConditionalRenderNVX_dispatch_table_rewrite_ptr,
    .glEndFragmentShaderATI = epoxy_glEndFragmentShaderATI_dispatch_table_rewrite_ptr,
    .glEndList = epoxy_glEndList_dispatch_table_rewrite_ptr,
    .glEndOcclusionQueryNV = epoxy_glEndOcclusionQueryNV_dispatch_table_rewrite_ptr,
    .glEndPerfMonitorAMD = epoxy_glEndPerfMonitorAMD_dispatch_table_rewrite_ptr,
    .glEndPerfQueryINTEL = epoxy_glEndPerfQueryINTEL_dispatch_table_rewrite_ptr,
    .glEndQuery = epoxy_glEndQuery_dispatch_table_rewrite_ptr,
    .glEndQueryARB = epoxy_glEndQueryARB_dispatch_table_rewrite_ptr,
    .glEndQueryEXT = epoxy_glEndQueryEXT_dispatch_table_rewrite_ptr,
    .glEndQueryIndexed = epoxy_glEndQueryIndexed_dispatch_table_rewrite_ptr,
    .glEndTilingQCOM = epoxy_glEndTilingQCOM_dispatch_table_rewrite_ptr,
    .glEndTransformFeedback = epoxy_glEndTransformFeedback_dispatch_table_rewrite_ptr,
    .glEndTransformFeedbackEXT = epoxy_glEndTransformFeedbackEXT_dispatch_table_rewrite_ptr,
    .glEndTransformFeedbackNV = epoxy_glEndTransformFeedbackNV_dispatch_table_rewrite_ptr,
    .glEndVertexShaderEXT = epoxy_glEndVertexShaderEXT_dispatch_table_rewrite_ptr,
    .glEndVideoCaptureNV = epoxy_glEndVideoCaptureNV_dispatch_table_rewrite_ptr,
    .glEvalCoord1d = epoxy_glEvalCoord1d_dispatch_table_rewrite_ptr,
    .glEvalCoord1dv = epoxy_glEvalCoord1dv_dispatch_table_rewrite_ptr,
    .glEvalCoord1f = epoxy_glEvalCoord1f_dispatch_table_rewrite_ptr,
    .glEvalCoord1fv = epoxy_glEvalCoord1fv_dispatch_table_rewrite_ptr,
    .glEvalCoord1xOES = epoxy_glEvalCoord1xOES_dispatch_table_rewrite_ptr,
    .glEvalCoord1xvOES = epoxy_glEvalCoord1xvOES_dispatch_table_rewrite_ptr,
    .glEvalCoord2d = epoxy_glEvalCoord2d_dispatch_table_rewrite_ptr,
    .glEvalCoord2dv = epoxy_glEvalCoord2dv_dispatch_table_rewrite_ptr,
    .glEvalCoord2f = epoxy_glEvalCoord2f_dispatch_table_rewrite_ptr,
    .glEvalCoord2fv = epoxy_glEvalCoord2fv_dispatch_table_rewrite_ptr,
    .glEvalCoord2xOES = epoxy_glEvalCoord2xOES_dispatch_table_rewrite_ptr,
    .glEvalCoord2xvOES = epoxy_glEvalCoord2xvOES_dispatch_table_rewrite_ptr,
    .glEvalMapsNV = epoxy_glEvalMapsNV_dispatch_table_rewrite_ptr,
    .glEvalMesh1 = epoxy_glEvalMesh1_dispatch_table_rewrite_ptr,
    .glEvalMesh2 = epoxy_glEvalMesh2_dispatch_table_rewrite_ptr,
    .glEvalPoint1 = epoxy_glEvalPoint1_dispatch_table_rewrite_ptr,
    .glEvalPoint2 = epoxy_glEvalPoint2_dispatch_table_rewrite_ptr,
    .glExecuteProgramNV = epoxy_glExecuteProgramNV_dispatch_table_rewrite_ptr,
    .glExtGetBufferPointervQCOM = epoxy_glExtGetBufferPointervQCOM_dispatch_table_rewrite_ptr,
    .glExtGetBuffersQCOM = epoxy_glExtGetBuffersQCOM_dispatch_table_rewrite_ptr,
    .glExtGetFramebuffersQCOM = epoxy_glExtGetFramebuffersQCOM_dispatch_table_rewrite_ptr,
    .glExtGetProgramBinarySourceQCOM = epoxy_glExtGetProgramBinarySourceQCOM_dispatch_table_rewrite_ptr,
    .glExtGetProgramsQCOM = epoxy_glExtGetProgramsQCOM_dispatch_table_rewrite_ptr,
    .glExtGetRenderbuffersQCOM = epoxy_glExtGetRenderbuffersQCOM_dispatch_table_rewrite_ptr,
    .glExtGetShadersQCOM = epoxy_glExtGetShadersQCOM_dispatch_table_rewrite_ptr,
    .glExtGetTexLevelParameterivQCOM = epoxy_glExtGetTexLevelParameterivQCOM_dispatch_table_rewrite_ptr,
    .glExtGetTexSubImageQCOM = epoxy_glExtGetTexSubImageQCOM_dispatch_table_rewrite_ptr,
    .glExtGetTexturesQCOM = epoxy_glExtGetTexturesQCOM_dispatch_table_rewrite_ptr,
    .glExtIsProgramBinaryQCOM = epoxy_glExtIsProgramBinaryQCOM_dispatch_table_rewrite_ptr,
    .glExtTexObjectStateOverrideiQCOM = epoxy_glExtTexObjectStateOverrideiQCOM_dispatch_table_rewrite_ptr,
    .glExtractComponentEXT = epoxy_glExtractComponentEXT_dispatch_table_rewrite_ptr,
    .glFeedbackBuffer = epoxy_glFeedbackBuffer_dispatch_table_rewrite_ptr,
    .glFeedbackBufferxOES = epoxy_glFeedbackBufferxOES_dispatch_table_rewrite_ptr,
    .glFenceSync = epoxy_glFenceSync_dispatch_table_rewrite_ptr,
    .glFenceSyncAPPLE = epoxy_glFenceSyncAPPLE_dispatch_table_rewrite_ptr,
    .glFinalCombinerInputNV = epoxy_glFinalCombinerInputNV_dispatch_table_rewrite_ptr,
    .glFinish = epoxy_glFinish_dispatch_table_rewrite_ptr,
    .glFinishAsyncSGIX = epoxy_glFinishAsyncSGIX_dispatch_table_rewrite_ptr,
    .glFinishFenceAPPLE = epoxy_glFinishFenceAPPLE_dispatch_table_rewrite_ptr,
    .glFinishFenceNV = epoxy_glFinishFenceNV_dispatch_table_rewrite_ptr,
    .glFinishObjectAPPLE = epoxy_glFinishObjectAPPLE_dispatch_table_rewrite_ptr,
    .glFinishTextureSUNX = epoxy_glFinishTextureSUNX_dispatch_table_rewrite_ptr,
    .glFlush = epoxy_glFlush_dispatch_table_rewrite_ptr,
    .glFlushMappedBufferRange = epoxy_glFlushMappedBufferRange_dispatch_table_rewrite_ptr,
    .glFlushMappedBufferRangeAPPLE = epoxy_glFlushMappedBufferRangeAPPLE_dispatch_table_rewrite_ptr,
    .glFlushMappedBufferRangeEXT = epoxy_glFlushMappedBufferRangeEXT_dispatch_table_rewrite_ptr,
    .glFlushMappedNamedBufferRangeEXT = epoxy_glFlushMappedNamedBufferRangeEXT_dispatch_table_rewrite_ptr,
    .glFlushPixelDataRangeNV = epoxy_glFlushPixelDataRangeNV_dispatch_table_rewrite_ptr,
    .glFlushRasterSGIX = epoxy_glFlushRasterSGIX_dispatch_table_rewrite_ptr,
    .glFlushStaticDataIBM = epoxy_glFlushStaticDataIBM_dispatch_table_rewrite_ptr,
    .glFlushVertexArrayRangeAPPLE = epoxy_glFlushVertexArrayRangeAPPLE_dispatch_table_rewrite_ptr,
    .glFlushVertexArrayRangeNV = epoxy_glFlushVertexArrayRangeNV_dispatch_table_rewrite_ptr,
    .glFogCoordFormatNV = epoxy_glFogCoordFormatNV_dispatch_table_rewrite_ptr,
    .glFogCoordPointer = epoxy_glFogCoordPointer_dispatch_table_rewrite_ptr,
    .glFogCoordPointerEXT = epoxy_glFogCoordPointerEXT_dispatch_table_rewrite_ptr,
    .glFogCoordPointerListIBM = epoxy_glFogCoordPointerListIBM_dispatch_table_rewrite_ptr,
    .glFogCoordd = epoxy_glFogCoordd_dispatch_table_rewrite_ptr,
    .glFogCoorddEXT = epoxy_glFogCoorddEXT_dispatch_table_rewrite_ptr,
    .glFogCoorddv = epoxy_glFogCoorddv_dispatch_table_rewrite_ptr,
    .glFogCoorddvEXT = epoxy_glFogCoorddvEXT_dispatch_table_rewrite_ptr,
    .glFogCoordf = epoxy_glFogCoordf_dispatch_table_rewrite_ptr,
    .glFogCoordfEXT = epoxy_glFogCoordfEXT_dispatch_table_rewrite_ptr,
    .glFogCoordfv = epoxy_glFogCoordfv_dispatch_table_rewrite_ptr,
    .glFogCoordfvEXT = epoxy_glFogCoordfvEXT_dispatch_table_rewrite_ptr,
    .glFogCoordhNV = epoxy_glFogCoordhNV_dispatch_table_rewrite_ptr,
    .glFogCoordhvNV = epoxy_glFogCoordhvNV_dispatch_table_rewrite_ptr,
    .glFogFuncSGIS = epoxy_glFogFuncSGIS_dispatch_table_rewrite_ptr,
    .glFogf = epoxy_glFogf_dispatch_table_rewrite_ptr,
    .glFogfv = epoxy_glFogfv_dispatch_table_rewrite_ptr,
    .glFogi = epoxy_glFogi_dispatch_table_rewrite_ptr,
    .glFogiv = epoxy_glFogiv_dispatch_table_rewrite_ptr,
    .glFogx = epoxy_glFogx_dispatch_table_rewrite_ptr,
    .glFogxOES = epoxy_glFogxOES_dispatch_table_rewrite_ptr,
    .glFogxv = epoxy_glFogxv_dispatch_table_rewrite_ptr,
    .glFogxvOES = epoxy_glFogxvOES_dispatch_table_rewrite_ptr,
    .glFragmentColorMaterialSGIX = epoxy_glFragmentColorMaterialSGIX_dispatch_table_rewrite_ptr,
    .glFragmentLightModelfSGIX = epoxy_glFragmentLightModelfSGIX_dispatch_table_rewrite_ptr,
    .glFragmentLightModelfvSGIX = epoxy_glFragmentLightModelfvSGIX_dispatch_table_rewrite_ptr,
    .glFragmentLightModeliSGIX = epoxy_glFragmentLightModeliSGIX_dispatch_table_rewrite_ptr,
    .glFragmentLightModelivSGIX = epoxy_glFragmentLightModelivSGIX_dispatch_table_rewrite_ptr,
    .glFragmentLightfSGIX = epoxy_glFragmentLightfSGIX_dispatch_table_rewrite_ptr,
    .glFragmentLightfvSGIX = epoxy_glFragmentLightfvSGIX_dispatch_table_rewrite_ptr,
    .glFragmentLightiSGIX = epoxy_glFragmentLightiSGIX_dispatch_table_rewrite_ptr,
    .glFragmentLightivSGIX = epoxy_glFragmentLightivSGIX_dispatch_table_rewrite_ptr,
    .glFragmentMaterialfSGIX = epoxy_glFragmentMaterialfSGIX_dispatch_table_rewrite_ptr,
    .glFragmentMaterialfvSGIX = epoxy_glFragmentMaterialfvSGIX_dispatch_table_rewrite_ptr,
    .glFragmentMaterialiSGIX = epoxy_glFragmentMaterialiSGIX_dispatch_table_rewrite_ptr,
    .glFragmentMaterialivSGIX = epoxy_glFragmentMaterialivSGIX_dispatch_table_rewrite_ptr,
    .glFrameTerminatorGREMEDY = epoxy_glFrameTerminatorGREMEDY_dispatch_table_rewrite_ptr,
    .glFrameZoomSGIX = epoxy_glFrameZoomSGIX_dispatch_table_rewrite_ptr,
    .glFramebufferDrawBufferEXT = epoxy_glFramebufferDrawBufferEXT_dispatch_table_rewrite_ptr,
    .glFramebufferDrawBuffersEXT = epoxy_glFramebufferDrawBuffersEXT_dispatch_table_rewrite_ptr,
    .glFramebufferParameteri = epoxy_glFramebufferParameteri_dispatch_table_rewrite_ptr,
    .glFramebufferReadBufferEXT = epoxy_glFramebufferReadBufferEXT_dispatch_table_rewrite_ptr,
    .glFramebufferRenderbuffer = epoxy_glFramebufferRenderbuffer_dispatch_table_rewrite_ptr,
    .glFramebufferRenderbufferEXT = epoxy_glFramebufferRenderbufferEXT_dispatch_table_rewrite_ptr,
    .glFramebufferRenderbufferOES = epoxy_glFramebufferRenderbufferOES_dispatch_table_rewrite_ptr,
    .glFramebufferTexture = epoxy_glFramebufferTexture_dispatch_table_rewrite_ptr,
    .glFramebufferTexture1D = epoxy_glFramebufferTexture1D_dispatch_table_rewrite_ptr,
    .glFramebufferTexture1DEXT = epoxy_glFramebufferTexture1DEXT_dispatch_table_rewrite_ptr,
    .glFramebufferTexture2D = epoxy_glFramebufferTexture2D_dispatch_table_rewrite_ptr,
    .glFramebufferTexture2DEXT = epoxy_glFramebufferTexture2DEXT_dispatch_table_rewrite_ptr,
    .glFramebufferTexture2DMultisampleEXT = epoxy_glFramebufferTexture2DMultisampleEXT_dispatch_table_rewrite_ptr,
    .glFramebufferTexture2DMultisampleIMG = epoxy_glFramebufferTexture2DMultisampleIMG_dispatch_table_rewrite_ptr,
    .glFramebufferTexture2DOES = epoxy_glFramebufferTexture2DOES_dispatch_table_rewrite_ptr,
    .glFramebufferTexture3D = epoxy_glFramebufferTexture3D_dispatch_table_rewrite_ptr,
    .glFramebufferTexture3DEXT = epoxy_glFramebufferTexture3DEXT_dispatch_table_rewrite_ptr,
    .glFramebufferTexture3DOES = epoxy_glFramebufferTexture3DOES_dispatch_table_rewrite_ptr,
    .glFramebufferTextureARB = epoxy_glFramebufferTextureARB_dispatch_table_rewrite_ptr,
    .glFramebufferTextureEXT = epoxy_glFramebufferTextureEXT_dispatch_table_rewrite_ptr,
    .glFramebufferTextureFaceARB = epoxy_glFramebufferTextureFaceARB_dispatch_table_rewrite_ptr,
    .glFramebufferTextureFaceEXT = epoxy_glFramebufferTextureFaceEXT_dispatch_table_rewrite_ptr,
    .glFramebufferTextureLayer = epoxy_glFramebufferTextureLayer_dispatch_table_rewrite_ptr,
    .glFramebufferTextureLayerARB = epoxy_glFramebufferTextureLayerARB_dispatch_table_rewrite_ptr,
    .glFramebufferTextureLayerEXT = epoxy_glFramebufferTextureLayerEXT_dispatch_table_rewrite_ptr,
    .glFreeObjectBufferATI = epoxy_glFreeObjectBufferATI_dispatch_table_rewrite_ptr,
    .glFrontFace = epoxy_glFrontFace_dispatch_table_rewrite_ptr,
    .glFrustum = epoxy_glFrustum_dispatch_table_rewrite_ptr,
    .glFrustumf = epoxy_glFrustumf_dispatch_table_rewrite_ptr,
    .glFrustumfOES = epoxy_glFrustumfOES_dispatch_table_rewrite_ptr,
    .glFrustumx = epoxy_glFrustumx_dispatch_table_rewrite_ptr,
    .glFrustumxOES = epoxy_glFrustumxOES_dispatch_table_rewrite_ptr,
    .glGenAsyncMarkersSGIX = epoxy_glGenAsyncMarkersSGIX_dispatch_table_rewrite_ptr,
    .glGenBuffers = epoxy_glGenBuffers_dispatch_table_rewrite_ptr,
    .glGenBuffersARB = epoxy_glGenBuffersARB_dispatch_table_rewrite_ptr,
    .glGenFencesAPPLE = epoxy_glGenFencesAPPLE_dispatch_table_rewrite_ptr,
    .glGenFencesNV = epoxy_glGenFencesNV_dispatch_table_rewrite_ptr,
    .glGenFragmentShadersATI = epoxy_glGenFragmentShadersATI_dispatch_table_rewrite_ptr,
    .glGenFramebuffers = epoxy_glGenFramebuffers_dispatch_table_rewrite_ptr,
    .glGenFramebuffersEXT = epoxy_glGenFramebuffersEXT_dispatch_table_rewrite_ptr,
    .glGenFramebuffersOES = epoxy_glGenFramebuffersOES_dispatch_table_rewrite_ptr,
    .glGenLists = epoxy_glGenLists_dispatch_table_rewrite_ptr,
    .glGenNamesAMD = epoxy_glGenNamesAMD_dispatch_table_rewrite_ptr,
    .glGenOcclusionQueriesNV = epoxy_glGenOcclusionQueriesNV_dispatch_table_rewrite_ptr,
    .glGenPathsNV = epoxy_glGenPathsNV_dispatch_table_rewrite_ptr,
    .glGenPerfMonitorsAMD = epoxy_glGenPerfMonitorsAMD_dispatch_table_rewrite_ptr,
    .glGenProgramPipelines = epoxy_glGenProgramPipelines_dispatch_table_rewrite_ptr,
    .glGenProgramPipelinesEXT = epoxy_glGenProgramPipelinesEXT_dispatch_table_rewrite_ptr,
    .glGenProgramsARB = epoxy_glGenProgramsARB_dispatch_table_rewrite_ptr,
    .glGenProgramsNV = epoxy_glGenProgramsNV_dispatch_table_rewrite_ptr,
    .glGenQueries = epoxy_glGenQueries_dispatch_table_rewrite_ptr,
    .glGenQueriesARB = epoxy_glGenQueriesARB_dispatch_table_rewrite_ptr,
    .glGenQueriesEXT = epoxy_glGenQueriesEXT_dispatch_table_rewrite_ptr,
    .glGenRenderbuffers = epoxy_glGenRenderbuffers_dispatch_table_rewrite_ptr,
    .glGenRenderbuffersEXT = epoxy_glGenRenderbuffersEXT_dispatch_table_rewrite_ptr,
    .glGenRenderbuffersOES = epoxy_glGenRenderbuffersOES_dispatch_table_rewrite_ptr,
    .glGenSamplers = epoxy_glGenSamplers_dispatch_table_rewrite_ptr,
    .glGenSymbolsEXT = epoxy_glGenSymbolsEXT_dispatch_table_rewrite_ptr,
    .glGenTextures = epoxy_glGenTextures_dispatch_table_rewrite_ptr,
    .glGenTexturesEXT = epoxy_glGenTexturesEXT_dispatch_table_rewrite_ptr,
    .glGenTransformFeedbacks = epoxy_glGenTransformFeedbacks_dispatch_table_rewrite_ptr,
    .glGenTransformFeedbacksNV = epoxy_glGenTransformFeedbacksNV_dispatch_table_rewrite_ptr,
    .glGenVertexArrays = epoxy_glGenVertexArrays_dispatch_table_rewrite_ptr,
    .glGenVertexArraysAPPLE = epoxy_glGenVertexArraysAPPLE_dispatch_table_rewrite_ptr,
    .glGenVertexArraysOES = epoxy_glGenVertexArraysOES_dispatch_table_rewrite_ptr,
    .glGenVertexShadersEXT = epoxy_glGenVertexShadersEXT_dispatch_table_rewrite_ptr,
    .glGenerateMipmap = epoxy_glGenerateMipmap_dispatch_table_rewrite_ptr,
    .glGenerateMipmapEXT = epoxy_glGenerateMipmapEXT_dispatch_table_rewrite_ptr,
    .glGenerateMipmapOES = epoxy_glGenerateMipmapOES_dispatch_table_rewrite_ptr,
    .glGenerateMultiTexMipmapEXT = epoxy_glGenerateMultiTexMipmapEXT_dispatch_table_rewrite_ptr,
    .glGenerateTextureMipmapEXT = epoxy_glGenerateTextureMipmapEXT_dispatch_table_rewrite_ptr,
    .glGetActiveAtomicCounterBufferiv = epoxy_glGetActiveAtomicCounterBufferiv_dispatch_table_rewrite_ptr,
    .glGetActiveAttrib = epoxy_glGetActiveAttrib_dispatch_table_rewrite_ptr,
    .glGetActiveAttribARB = epoxy_glGetActiveAttribARB_dispatch_table_rewrite_ptr,
    .glGetActiveSubroutineName = epoxy_glGetActiveSubroutineName_dispatch_table_rewrite_ptr,
    .glGetActiveSubroutineUniformName = epoxy_glGetActiveSubroutineUniformName_dispatch_table_rewrite_ptr,
    .glGetActiveSubroutineUniformiv = epoxy_glGetActiveSubroutineUniformiv_dispatch_table_rewrite_ptr,
    .glGetActiveUniform = epoxy_glGetActiveUniform_dispatch_table_rewrite_ptr,
    .glGetActiveUniformARB = epoxy_glGetActiveUniformARB_dispatch_table_rewrite_ptr,
    .glGetActiveUniformBlockName = epoxy_glGetActiveUniformBlockName_dispatch_table_rewrite_ptr,
    .glGetActiveUniformBlockiv = epoxy_glGetActiveUniformBlockiv_dispatch_table_rewrite_ptr,
    .glGetActiveUniformName = epoxy_glGetActiveUniformName_dispatch_table_rewrite_ptr,
    .glGetActiveUniformsiv = epoxy_glGetActiveUniformsiv_dispatch_table_rewrite_ptr,
    .glGetActiveVaryingNV = epoxy_glGetActiveVaryingNV_dispatch_table_rewrite_ptr,
    .glGetArrayObjectfvATI = epoxy_glGetArrayObjectfvATI_dispatch_table_rewrite_ptr,
    .glGetArrayObjectivATI = epoxy_glGetArrayObjectivATI_dispatch_table_rewrite_ptr,
    .glGetAttachedObjectsARB = epoxy_glGetAttachedObjectsARB_dispatch_table_rewrite_ptr,
    .glGetAttachedShaders = epoxy_glGetAttachedShaders_dispatch_table_rewrite_ptr,
    .glGetAttribLocation = epoxy_glGetAttribLocation_dispatch_table_rewrite_ptr,
    .glGetAttribLocationARB = epoxy_glGetAttribLocationARB_dispatch_table_rewrite_ptr,
    .glGetBooleanIndexedvEXT = epoxy_glGetBooleanIndexedvEXT_dispatch_table_rewrite_ptr,
    .glGetBooleani_v = epoxy_glGetBooleani_v_dispatch_table_rewrite_ptr,
    .glGetBooleanv = epoxy_glGetBooleanv_dispatch_table_rewrite_ptr,
    .glGetBufferParameteri64v = epoxy_glGetBufferParameteri64v_dispatch_table_rewrite_ptr,
    .glGetBufferParameteriv = epoxy_glGetBufferParameteriv_dispatch_table_rewrite_ptr,
    .glGetBufferParameterivARB = epoxy_glGetBufferParameterivARB_dispatch_table_rewrite_ptr,
    .glGetBufferParameterui64vNV = epoxy_glGetBufferParameterui64vNV_dispatch_table_rewrite_ptr,
    .glGetBufferPointerv = epoxy_glGetBufferPointerv_dispatch_table_rewrite_ptr,
    .glGetBufferPointervARB = epoxy_glGetBufferPointervARB_dispatch_table_rewrite_ptr,
    .glGetBufferPointervOES = epoxy_glGetBufferPointervOES_dispatch_table_rewrite_ptr,
    .glGetBufferSubData = epoxy_glGetBufferSubData_dispatch_table_rewrite_ptr,
    .glGetBufferSubDataARB = epoxy_glGetBufferSubDataARB_dispatch_table_rewrite_ptr,
    .glGetClipPlane = epoxy_glGetClipPlane_dispatch_table_rewrite_ptr,
    .glGetClipPlanef = epoxy_glGetClipPlanef_dispatch_table_rewrite_ptr,
    .glGetClipPlanefOES = epoxy_glGetClipPlanefOES_dispatch_table_rewrite_ptr,
    .glGetClipPlanex = epoxy_glGetClipPlanex_dispatch_table_rewrite_ptr,
    .glGetClipPlanexOES = epoxy_glGetClipPlanexOES_dispatch_table_rewrite_ptr,
    .glGetColorTable = epoxy_glGetColorTable_dispatch_table_rewrite_ptr,
    .glGetColorTableEXT = epoxy_glGetColorTableEXT_dispatch_table_rewrite_ptr,
    .glGetColorTableParameterfv = epoxy_glGetColorTableParameterfv_dispatch_table_rewrite_ptr,
    .glGetColorTableParameterfvEXT = epoxy_glGetColorTableParameterfvEXT_dispatch_table_rewrite_ptr,
    .glGetColorTableParameterfvSGI = epoxy_glGetColorTableParameterfvSGI_dispatch_table_rewrite_ptr,
    .glGetColorTableParameteriv = epoxy_glGetColorTableParameteriv_dispatch_table_rewrite_ptr,
    .glGetColorTableParameterivEXT = epoxy_glGetColorTableParameterivEXT_dispatch_table_rewrite_ptr,
    .glGetColorTableParameterivSGI = epoxy_glGetColorTableParameterivSGI_dispatch_table_rewrite_ptr,
    .glGetColorTableSGI = epoxy_glGetColorTableSGI_dispatch_table_rewrite_ptr,
    .glGetCombinerInputParameterfvNV = epoxy_glGetCombinerInputParameterfvNV_dispatch_table_rewrite_ptr,
    .glGetCombinerInputParameterivNV = epoxy_glGetCombinerInputParameterivNV_dispatch_table_rewrite_ptr,
    .glGetCombinerOutputParameterfvNV = epoxy_glGetCombinerOutputParameterfvNV_dispatch_table_rewrite_ptr,
    .glGetCombinerOutputParameterivNV = epoxy_glGetCombinerOutputParameterivNV_dispatch_table_rewrite_ptr,
    .glGetCombinerStageParameterfvNV = epoxy_glGetCombinerStageParameterfvNV_dispatch_table_rewrite_ptr,
    .glGetCompressedMultiTexImageEXT = epoxy_glGetCompressedMultiTexImageEXT_dispatch_table_rewrite_ptr,
    .glGetCompressedTexImage = epoxy_glGetCompressedTexImage_dispatch_table_rewrite_ptr,
    .glGetCompressedTexImageARB = epoxy_glGetCompressedTexImageARB_dispatch_table_rewrite_ptr,
    .glGetCompressedTextureImageEXT = epoxy_glGetCompressedTextureImageEXT_dispatch_table_rewrite_ptr,
    .glGetConvolutionFilter = epoxy_glGetConvolutionFilter_dispatch_table_rewrite_ptr,
    .glGetConvolutionFilterEXT = epoxy_glGetConvolutionFilterEXT_dispatch_table_rewrite_ptr,
    .glGetConvolutionParameterfv = epoxy_glGetConvolutionParameterfv_dispatch_table_rewrite_ptr,
    .glGetConvolutionParameterfvEXT = epoxy_glGetConvolutionParameterfvEXT_dispatch_table_rewrite_ptr,
    .glGetConvolutionParameteriv = epoxy_glGetConvolutionParameteriv_dispatch_table_rewrite_ptr,
    .glGetConvolutionParameterivEXT = epoxy_glGetConvolutionParameterivEXT_dispatch_table_rewrite_ptr,
    .glGetConvolutionParameterxvOES = epoxy_glGetConvolutionParameterxvOES_dispatch_table_rewrite_ptr,
    .glGetDebugMessageLog = epoxy_glGetDebugMessageLog_dispatch_table_rewrite_ptr,
    .glGetDebugMessageLogAMD = epoxy_glGetDebugMessageLogAMD_dispatch_table_rewrite_ptr,
    .glGetDebugMessageLogARB = epoxy_glGetDebugMessageLogARB_dispatch_table_rewrite_ptr,
    .glGetDebugMessageLogKHR = epoxy_glGetDebugMessageLogKHR_dispatch_table_rewrite_ptr,
    .glGetDetailTexFuncSGIS = epoxy_glGetDetailTexFuncSGIS_dispatch_table_rewrite_ptr,
    .glGetDoubleIndexedvEXT = epoxy_glGetDoubleIndexedvEXT_dispatch_table_rewrite_ptr,
    .glGetDoublei_v = epoxy_glGetDoublei_v_dispatch_table_rewrite_ptr,
    .glGetDoublei_vEXT = epoxy_glGetDoublei_vEXT_dispatch_table_rewrite_ptr,
    .glGetDoublev = epoxy_glGetDoublev_dispatch_table_rewrite_ptr,
    .glGetDriverControlStringQCOM = epoxy_glGetDriverControlStringQCOM_dispatch_table_rewrite_ptr,
    .glGetDriverControlsQCOM = epoxy_glGetDriverControlsQCOM_dispatch_table_rewrite_ptr,
    .glGetError = epoxy_glGetError_dispatch_table_rewrite_ptr,
    .glGetFenceivNV = epoxy_glGetFenceivNV_dispatch_table_rewrite_ptr,
    .glGetFinalCombinerInputParameterfvNV = epoxy_glGetFinalCombinerInputParameterfvNV_dispatch_table_rewrite_ptr,
    .glGetFinalCombinerInputParameterivNV = epoxy_glGetFinalCombinerInputParameterivNV_dispatch_table_rewrite_ptr,
    .glGetFirstPerfQueryIdINTEL = epoxy_glGetFirstPerfQueryIdINTEL_dispatch_table_rewrite_ptr,
    .glGetFixedv = epoxy_glGetFixedv_dispatch_table_rewrite_ptr,
    .glGetFixedvOES = epoxy_glGetFixedvOES_dispatch_table_rewrite_ptr,
    .glGetFloatIndexedvEXT = epoxy_glGetFloatIndexedvEXT_dispatch_table_rewrite_ptr,
    .glGetFloati_v = epoxy_glGetFloati_v_dispatch_table_rewrite_ptr,
    .glGetFloati_vEXT = epoxy_glGetFloati_vEXT_dispatch_table_rewrite_ptr,
    .glGetFloatv = epoxy_glGetFloatv_dispatch_table_rewrite_ptr,
    .glGetFogFuncSGIS = epoxy_glGetFogFuncSGIS_dispatch_table_rewrite_ptr,
    .glGetFragDataIndex = epoxy_glGetFragDataIndex_dispatch_table_rewrite_ptr,
    .glGetFragDataLocation = epoxy_glGetFragDataLocation_dispatch_table_rewrite_ptr,
    .glGetFragDataLocationEXT = epoxy_glGetFragDataLocationEXT_dispatch_table_rewrite_ptr,
    .glGetFragmentLightfvSGIX = epoxy_glGetFragmentLightfvSGIX_dispatch_table_rewrite_ptr,
    .glGetFragmentLightivSGIX = epoxy_glGetFragmentLightivSGIX_dispatch_table_rewrite_ptr,
    .glGetFragmentMaterialfvSGIX = epoxy_glGetFragmentMaterialfvSGIX_dispatch_table_rewrite_ptr,
    .glGetFragmentMaterialivSGIX = epoxy_glGetFragmentMaterialivSGIX_dispatch_table_rewrite_ptr,
    .glGetFramebufferAttachmentParameteriv = epoxy_glGetFramebufferAttachmentParameteriv_dispatch_table_rewrite_ptr,
    .glGetFramebufferAttachmentParameterivEXT = epoxy_glGetFramebufferAttachmentParameterivEXT_dispatch_table_rewrite_ptr,
    .glGetFramebufferAttachmentParameterivOES = epoxy_glGetFramebufferAttachmentParameterivOES_dispatch_table_rewrite_ptr,
    .glGetFramebufferParameteriv = epoxy_glGetFramebufferParameteriv_dispatch_table_rewrite_ptr,
    .glGetFramebufferParameterivEXT = epoxy_glGetFramebufferParameterivEXT_dispatch_table_rewrite_ptr,
    .glGetGraphicsResetStatusARB = epoxy_glGetGraphicsResetStatusARB_dispatch_table_rewrite_ptr,
    .glGetGraphicsResetStatusEXT = epoxy_glGetGraphicsResetStatusEXT_dispatch_table_rewrite_ptr,
    .glGetHandleARB = epoxy_glGetHandleARB_dispatch_table_rewrite_ptr,
    .glGetHistogram = epoxy_glGetHistogram_dispatch_table_rewrite_ptr,
    .glGetHistogramEXT = epoxy_glGetHistogramEXT_dispatch_table_rewrite_ptr,
    .glGetHistogramParameterfv = epoxy_glGetHistogramParameterfv_dispatch_table_rewrite_ptr,
    .glGetHistogramParameterfvEXT = epoxy_glGetHistogramParameterfvEXT_dispatch_table_rewrite_ptr,
    .glGetHistogramParameteriv = epoxy_glGetHistogramParameteriv_dispatch_table_rewrite_ptr,
    .glGetHistogramParameterivEXT = epoxy_glGetHistogramParameterivEXT_dispatch_table_rewrite_ptr,
    .glGetHistogramParameterxvOES = epoxy_glGetHistogramParameterxvOES_dispatch_table_rewrite_ptr,
    .glGetImageHandleARB = epoxy_glGetImageHandleARB_dispatch_table_rewrite_ptr,
    .glGetImageHandleNV = epoxy_glGetImageHandleNV_dispatch_table_rewrite_ptr,
    .glGetImageTransformParameterfvHP = epoxy_glGetImageTransformParameterfvHP_dispatch_table_rewrite_ptr,
    .glGetImageTransformParameterivHP = epoxy_glGetImageTransformParameterivHP_dispatch_table_rewrite_ptr,
    .glGetInfoLogARB = epoxy_glGetInfoLogARB_dispatch_table_rewrite_ptr,
    .glGetInstrumentsSGIX = epoxy_glGetInstrumentsSGIX_dispatch_table_rewrite_ptr,
    .glGetInteger64i_v = epoxy_glGetInteger64i_v_dispatch_table_rewrite_ptr,
    .glGetInteger64v = epoxy_glGetInteger64v_dispatch_table_rewrite_ptr,
    .glGetInteger64vAPPLE = epoxy_glGetInteger64vAPPLE_dispatch_table_rewrite_ptr,
    .glGetIntegerIndexedvEXT = epoxy_glGetIntegerIndexedvEXT_dispatch_table_rewrite_ptr,
    .glGetIntegeri_v = epoxy_glGetIntegeri_v_dispatch_table_rewrite_ptr,
    .glGetIntegeri_vEXT = epoxy_glGetIntegeri_vEXT_dispatch_table_rewrite_ptr,
    .glGetIntegerui64i_vNV = epoxy_glGetIntegerui64i_vNV_dispatch_table_rewrite_ptr,
    .glGetIntegerui64vNV = epoxy_glGetIntegerui64vNV_dispatch_table_rewrite_ptr,
    .glGetIntegerv = epoxy_glGetIntegerv_dispatch_table_rewrite_ptr,
    .glGetInternalformati64v = epoxy_glGetInternalformati64v_dispatch_table_rewrite_ptr,
    .glGetInternalformativ = epoxy_glGetInternalformativ_dispatch_table_rewrite_ptr,
    .glGetInvariantBooleanvEXT = epoxy_glGetInvariantBooleanvEXT_dispatch_table_rewrite_ptr,
    .glGetInvariantFloatvEXT = epoxy_glGetInvariantFloatvEXT_dispatch_table_rewrite_ptr,
    .glGetInvariantIntegervEXT = epoxy_glGetInvariantIntegervEXT_dispatch_table_rewrite_ptr,
    .glGetLightfv = epoxy_glGetLightfv_dispatch_table_rewrite_ptr,
    .glGetLightiv = epoxy_glGetLightiv_dispatch_table_rewrite_ptr,
    .glGetLightxOES = epoxy_glGetLightxOES_dispatch_table_rewrite_ptr,
    .glGetLightxv = epoxy_glGetLightxv_dispatch_table_rewrite_ptr,
    .glGetLightxvOES = epoxy_glGetLightxvOES_dispatch_table_rewrite_ptr,
    .glGetListParameterfvSGIX = epoxy_glGetListParameterfvSGIX_dispatch_table_rewrite_ptr,
    .glGetListParameterivSGIX = epoxy_glGetListParameterivSGIX_dispatch_table_rewrite_ptr,
    .glGetLocalConstantBooleanvEXT = epoxy_glGetLocalConstantBooleanvEXT_dispatch_table_rewrite_ptr,
    .glGetLocalConstantFloatvEXT = epoxy_glGetLocalConstantFloatvEXT_dispatch_table_rewrite_ptr,
    .glGetLocalConstantIntegervEXT = epoxy_glGetLocalConstantIntegervEXT_dispatch_table_rewrite_ptr,
    .glGetMapAttribParameterfvNV = epoxy_glGetMapAttribParameterfvNV_dispatch_table_rewrite_ptr,
    .glGetMapAttribParameterivNV = epoxy_glGetMapAttribParameterivNV_dispatch_table_rewrite_ptr,
    .glGetMapControlPointsNV = epoxy_glGetMapControlPointsNV_dispatch_table_rewrite_ptr,
    .glGetMapParameterfvNV = epoxy_glGetMapParameterfvNV_dispatch_table_rewrite_ptr,
    .glGetMapParameterivNV = epoxy_glGetMapParameterivNV_dispatch_table_rewrite_ptr,
    .glGetMapdv = epoxy_glGetMapdv_dispatch_table_rewrite_ptr,
    .glGetMapfv = epoxy_glGetMapfv_dispatch_table_rewrite_ptr,
    .glGetMapiv = epoxy_glGetMapiv_dispatch_table_rewrite_ptr,
    .glGetMapxvOES = epoxy_glGetMapxvOES_dispatch_table_rewrite_ptr,
    .glGetMaterialfv = epoxy_glGetMaterialfv_dispatch_table_rewrite_ptr,
    .glGetMaterialiv = epoxy_glGetMaterialiv_dispatch_table_rewrite_ptr,
    .glGetMaterialxOES = epoxy_glGetMaterialxOES_dispatch_table_rewrite_ptr,
    .glGetMaterialxv = epoxy_glGetMaterialxv_dispatch_table_rewrite_ptr,
    .glGetMaterialxvOES = epoxy_glGetMaterialxvOES_dispatch_table_rewrite_ptr,
    .glGetMinmax = epoxy_glGetMinmax_dispatch_table_rewrite_ptr,
    .glGetMinmaxEXT = epoxy_glGetMinmaxEXT_dispatch_table_rewrite_ptr,
    .glGetMinmaxParameterfv = epoxy_glGetMinmaxParameterfv_dispatch_table_rewrite_ptr,
    .glGetMinmaxParameterfvEXT = epoxy_glGetMinmaxParameterfvEXT_dispatch_table_rewrite_ptr,
    .glGetMinmaxParameteriv = epoxy_glGetMinmaxParameteriv_dispatch_table_rewrite_ptr,
    .glGetMinmaxParameterivEXT = epoxy_glGetMinmaxParameterivEXT_dispatch_table_rewrite_ptr,
    .glGetMultiTexEnvfvEXT = epoxy_glGetMultiTexEnvfvEXT_dispatch_table_rewrite_ptr,
    .glGetMultiTexEnvivEXT = epoxy_glGetMultiTexEnvivEXT_dispatch_table_rewrite_ptr,
    .glGetMultiTexGendvEXT = epoxy_glGetMultiTexGendvEXT_dispatch_table_rewrite_ptr,
    .glGetMultiTexGenfvEXT = epoxy_glGetMultiTexGenfvEXT_dispatch_table_rewrite_ptr,
    .glGetMultiTexGenivEXT = epoxy_glGetMultiTexGenivEXT_dispatch_table_rewrite_ptr,
    .glGetMultiTexImageEXT = epoxy_glGetMultiTexImageEXT_dispatch_table_rewrite_ptr,
    .glGetMultiTexLevelParameterfvEXT = epoxy_glGetMultiTexLevelParameterfvEXT_dispatch_table_rewrite_ptr,
    .glGetMultiTexLevelParameterivEXT = epoxy_glGetMultiTexLevelParameterivEXT_dispatch_table_rewrite_ptr,
    .glGetMultiTexParameterIivEXT = epoxy_glGetMultiTexParameterIivEXT_dispatch_table_rewrite_ptr,
    .glGetMultiTexParameterIuivEXT = epoxy_glGetMultiTexParameterIuivEXT_dispatch_table_rewrite_ptr,
    .glGetMultiTexParameterfvEXT = epoxy_glGetMultiTexParameterfvEXT_dispatch_table_rewrite_ptr,
    .glGetMultiTexParameterivEXT = epoxy_glGetMultiTexParameterivEXT_dispatch_table_rewrite_ptr,
    .glGetMultisamplefv = epoxy_glGetMultisamplefv_dispatch_table_rewrite_ptr,
    .glGetMultisamplefvNV = epoxy_glGetMultisamplefvNV_dispatch_table_rewrite_ptr,
    .glGetNamedBufferParameterivEXT = epoxy_glGetNamedBufferParameterivEXT_dispatch_table_rewrite_ptr,
    .glGetNamedBufferParameterui64vNV = epoxy_glGetNamedBufferParameterui64vNV_dispatch_table_rewrite_ptr,
    .glGetNamedBufferPointervEXT = epoxy_glGetNamedBufferPointervEXT_dispatch_table_rewrite_ptr,
    .glGetNamedBufferSubDataEXT = epoxy_glGetNamedBufferSubDataEXT_dispatch_table_rewrite_ptr,
    .glGetNamedFramebufferAttachmentParameterivEXT = epoxy_glGetNamedFramebufferAttachmentParameterivEXT_dispatch_table_rewrite_ptr,
    .glGetNamedFramebufferParameterivEXT = epoxy_glGetNamedFramebufferParameterivEXT_dispatch_table_rewrite_ptr,
    .glGetNamedProgramLocalParameterIivEXT = epoxy_glGetNamedProgramLocalParameterIivEXT_dispatch_table_rewrite_ptr,
    .glGetNamedProgramLocalParameterIuivEXT = epoxy_glGetNamedProgramLocalParameterIuivEXT_dispatch_table_rewrite_ptr,
    .glGetNamedProgramLocalParameterdvEXT = epoxy_glGetNamedProgramLocalParameterdvEXT_dispatch_table_rewrite_ptr,
    .glGetNamedProgramLocalParameterfvEXT = epoxy_glGetNamedProgramLocalParameterfvEXT_dispatch_table_rewrite_ptr,
    .glGetNamedProgramStringEXT = epoxy_glGetNamedProgramStringEXT_dispatch_table_rewrite_ptr,
    .glGetNamedProgramivEXT = epoxy_glGetNamedProgramivEXT_dispatch_table_rewrite_ptr,
    .glGetNamedRenderbufferParameterivEXT = epoxy_glGetNamedRenderbufferParameterivEXT_dispatch_table_rewrite_ptr,
    .glGetNamedStringARB = epoxy_glGetNamedStringARB_dispatch_table_rewrite_ptr,
    .glGetNamedStringivARB = epoxy_glGetNamedStringivARB_dispatch_table_rewrite_ptr,
    .glGetNextPerfQueryIdINTEL = epoxy_glGetNextPerfQueryIdINTEL_dispatch_table_rewrite_ptr,
    .glGetObjectBufferfvATI = epoxy_glGetObjectBufferfvATI_dispatch_table_rewrite_ptr,
    .glGetObjectBufferivATI = epoxy_glGetObjectBufferivATI_dispatch_table_rewrite_ptr,
    .glGetObjectLabel = epoxy_glGetObjectLabel_dispatch_table_rewrite_ptr,
    .glGetObjectLabelEXT = epoxy_glGetObjectLabelEXT_dispatch_table_rewrite_ptr,
    .glGetObjectLabelKHR = epoxy_glGetObjectLabelKHR_dispatch_table_rewrite_ptr,
    .glGetObjectParameterfvARB = epoxy_glGetObjectParameterfvARB_dispatch_table_rewrite_ptr,
    .glGetObjectParameterivAPPLE = epoxy_glGetObjectParameterivAPPLE_dispatch_table_rewrite_ptr,
    .glGetObjectParameterivARB = epoxy_glGetObjectParameterivARB_dispatch_table_rewrite_ptr,
    .glGetObjectPtrLabel = epoxy_glGetObjectPtrLabel_dispatch_table_rewrite_ptr,
    .glGetObjectPtrLabelKHR = epoxy_glGetObjectPtrLabelKHR_dispatch_table_rewrite_ptr,
    .glGetOcclusionQueryivNV = epoxy_glGetOcclusionQueryivNV_dispatch_table_rewrite_ptr,
    .glGetOcclusionQueryuivNV = epoxy_glGetOcclusionQueryuivNV_dispatch_table_rewrite_ptr,
    .glGetPathColorGenfvNV = epoxy_glGetPathColorGenfvNV_dispatch_table_rewrite_ptr,
    .glGetPathColorGenivNV = epoxy_glGetPathColorGenivNV_dispatch_table_rewrite_ptr,
    .glGetPathCommandsNV = epoxy_glGetPathCommandsNV_dispatch_table_rewrite_ptr,
    .glGetPathCoordsNV = epoxy_glGetPathCoordsNV_dispatch_table_rewrite_ptr,
    .glGetPathDashArrayNV = epoxy_glGetPathDashArrayNV_dispatch_table_rewrite_ptr,
    .glGetPathLengthNV = epoxy_glGetPathLengthNV_dispatch_table_rewrite_ptr,
    .glGetPathMetricRangeNV = epoxy_glGetPathMetricRangeNV_dispatch_table_rewrite_ptr,
    .glGetPathMetricsNV = epoxy_glGetPathMetricsNV_dispatch_table_rewrite_ptr,
    .glGetPathParameterfvNV = epoxy_glGetPathParameterfvNV_dispatch_table_rewrite_ptr,
    .glGetPathParameterivNV = epoxy_glGetPathParameterivNV_dispatch_table_rewrite_ptr,
    .glGetPathSpacingNV = epoxy_glGetPathSpacingNV_dispatch_table_rewrite_ptr,
    .glGetPathTexGenfvNV = epoxy_glGetPathTexGenfvNV_dispatch_table_rewrite_ptr,
    .glGetPathTexGenivNV = epoxy_glGetPathTexGenivNV_dispatch_table_rewrite_ptr,
    .glGetPerfCounterInfoINTEL = epoxy_glGetPerfCounterInfoINTEL_dispatch_table_rewrite_ptr,
    .glGetPerfMonitorCounterDataAMD = epoxy_glGetPerfMonitorCounterDataAMD_dispatch_table_rewrite_ptr,
    .glGetPerfMonitorCounterInfoAMD = epoxy_glGetPerfMonitorCounterInfoAMD_dispatch_table_rewrite_ptr,
    .glGetPerfMonitorCounterStringAMD = epoxy_glGetPerfMonitorCounterStringAMD_dispatch_table_rewrite_ptr,
    .glGetPerfMonitorCountersAMD = epoxy_glGetPerfMonitorCountersAMD_dispatch_table_rewrite_ptr,
    .glGetPerfMonitorGroupStringAMD = epoxy_glGetPerfMonitorGroupStringAMD_dispatch_table_rewrite_ptr,
    .glGetPerfMonitorGroupsAMD = epoxy_glGetPerfMonitorGroupsAMD_dispatch_table_rewrite_ptr,
    .glGetPerfQueryDataINTEL = epoxy_glGetPerfQueryDataINTEL_dispatch_table_rewrite_ptr,
    .glGetPerfQueryIdByNameINTEL = epoxy_glGetPerfQueryIdByNameINTEL_dispatch_table_rewrite_ptr,
    .glGetPerfQueryInfoINTEL = epoxy_glGetPerfQueryInfoINTEL_dispatch_table_rewrite_ptr,
    .glGetPixelMapfv = epoxy_glGetPixelMapfv_dispatch_table_rewrite_ptr,
    .glGetPixelMapuiv = epoxy_glGetPixelMapuiv_dispatch_table_rewrite_ptr,
    .glGetPixelMapusv = epoxy_glGetPixelMapusv_dispatch_table_rewrite_ptr,
    .glGetPixelMapxv = epoxy_glGetPixelMapxv_dispatch_table_rewrite_ptr,
    .glGetPixelTexGenParameterfvSGIS = epoxy_glGetPixelTexGenParameterfvSGIS_dispatch_table_rewrite_ptr,
    .glGetPixelTexGenParameterivSGIS = epoxy_glGetPixelTexGenParameterivSGIS_dispatch_table_rewrite_ptr,
    .glGetPixelTransformParameterfvEXT = epoxy_glGetPixelTransformParameterfvEXT_dispatch_table_rewrite_ptr,
    .glGetPixelTransformParameterivEXT = epoxy_glGetPixelTransformParameterivEXT_dispatch_table_rewrite_ptr,
    .glGetPointerIndexedvEXT = epoxy_glGetPointerIndexedvEXT_dispatch_table_rewrite_ptr,
    .glGetPointeri_vEXT = epoxy_glGetPointeri_vEXT_dispatch_table_rewrite_ptr,
    .glGetPointerv = epoxy_glGetPointerv_dispatch_table_rewrite_ptr,
    .glGetPointervEXT = epoxy_glGetPointervEXT_dispatch_table_rewrite_ptr,
    .glGetPointervKHR = epoxy_glGetPointervKHR_dispatch_table_rewrite_ptr,
    .glGetPolygonStipple = epoxy_glGetPolygonStipple_dispatch_table_rewrite_ptr,
    .glGetProgramBinary = epoxy_glGetProgramBinary_dispatch_table_rewrite_ptr,
    .glGetProgramBinaryOES = epoxy_glGetProgramBinaryOES_dispatch_table_rewrite_ptr,
    .glGetProgramEnvParameterIivNV = epoxy_glGetProgramEnvParameterIivNV_dispatch_table_rewrite_ptr,
    .glGetProgramEnvParameterIuivNV = epoxy_glGetProgramEnvParameterIuivNV_dispatch_table_rewrite_ptr,
    .glGetProgramEnvParameterdvARB = epoxy_glGetProgramEnvParameterdvARB_dispatch_table_rewrite_ptr,
    .glGetProgramEnvParameterfvARB = epoxy_glGetProgramEnvParameterfvARB_dispatch_table_rewrite_ptr,
    .glGetProgramInfoLog = epoxy_glGetProgramInfoLog_dispatch_table_rewrite_ptr,
    .glGetProgramInterfaceiv = epoxy_glGetProgramInterfaceiv_dispatch_table_rewrite_ptr,
    .glGetProgramLocalParameterIivNV = epoxy_glGetProgramLocalParameterIivNV_dispatch_table_rewrite_ptr,
    .glGetProgramLocalParameterIuivNV = epoxy_glGetProgramLocalParameterIuivNV_dispatch_table_rewrite_ptr,
    .glGetProgramLocalParameterdvARB = epoxy_glGetProgramLocalParameterdvARB_dispatch_table_rewrite_ptr,
    .glGetProgramLocalParameterfvARB = epoxy_glGetProgramLocalParameterfvARB_dispatch_table_rewrite_ptr,
    .glGetProgramNamedParameterdvNV = epoxy_glGetProgramNamedParameterdvNV_dispatch_table_rewrite_ptr,
    .glGetProgramNamedParameterfvNV = epoxy_glGetProgramNamedParameterfvNV_dispatch_table_rewrite_ptr,
    .glGetProgramParameterdvNV = epoxy_glGetProgramParameterdvNV_dispatch_table_rewrite_ptr,
    .glGetProgramParameterfvNV = epoxy_glGetProgramParameterfvNV_dispatch_table_rewrite_ptr,
    .glGetProgramPipelineInfoLog = epoxy_glGetProgramPipelineInfoLog_dispatch_table_rewrite_ptr,
    .glGetProgramPipelineInfoLogEXT = epoxy_glGetProgramPipelineInfoLogEXT_dispatch_table_rewrite_ptr,
    .glGetProgramPipelineiv = epoxy_glGetProgramPipelineiv_dispatch_table_rewrite_ptr,
    .glGetProgramPipelineivEXT = epoxy_glGetProgramPipelineivEXT_dispatch_table_rewrite_ptr,
    .glGetProgramResourceIndex = epoxy_glGetProgramResourceIndex_dispatch_table_rewrite_ptr,
    .glGetProgramResourceLocation = epoxy_glGetProgramResourceLocation_dispatch_table_rewrite_ptr,
    .glGetProgramResourceLocationIndex = epoxy_glGetProgramResourceLocationIndex_dispatch_table_rewrite_ptr,
    .glGetProgramResourceName = epoxy_glGetProgramResourceName_dispatch_table_rewrite_ptr,
    .glGetProgramResourceiv = epoxy_glGetProgramResourceiv_dispatch_table_rewrite_ptr,
    .glGetProgramStageiv = epoxy_glGetProgramStageiv_dispatch_table_rewrite_ptr,
    .glGetProgramStringARB = epoxy_glGetProgramStringARB_dispatch_table_rewrite_ptr,
    .glGetProgramStringNV = epoxy_glGetProgramStringNV_dispatch_table_rewrite_ptr,
    .glGetProgramSubroutineParameteruivNV = epoxy_glGetProgramSubroutineParameteruivNV_dispatch_table_rewrite_ptr,
    .glGetProgramiv = epoxy_glGetProgramiv_dispatch_table_rewrite_ptr,
    .glGetProgramivARB = epoxy_glGetProgramivARB_dispatch_table_rewrite_ptr,
    .glGetProgramivNV = epoxy_glGetProgramivNV_dispatch_table_rewrite_ptr,
    .glGetQueryIndexediv = epoxy_glGetQueryIndexediv_dispatch_table_rewrite_ptr,
    .glGetQueryObjecti64v = epoxy_glGetQueryObjecti64v_dispatch_table_rewrite_ptr,
    .glGetQueryObjecti64vEXT = epoxy_glGetQueryObjecti64vEXT_dispatch_table_rewrite_ptr,
    .glGetQueryObjectiv = epoxy_glGetQueryObjectiv_dispatch_table_rewrite_ptr,
    .glGetQueryObjectivARB = epoxy_glGetQueryObjectivARB_dispatch_table_rewrite_ptr,
    .glGetQueryObjectivEXT = epoxy_glGetQueryObjectivEXT_dispatch_table_rewrite_ptr,
    .glGetQueryObjectui64v = epoxy_glGetQueryObjectui64v_dispatch_table_rewrite_ptr,
    .glGetQueryObjectui64vEXT = epoxy_glGetQueryObjectui64vEXT_dispatch_table_rewrite_ptr,
    .glGetQueryObjectuiv = epoxy_glGetQueryObjectuiv_dispatch_table_rewrite_ptr,
    .glGetQueryObjectuivARB = epoxy_glGetQueryObjectuivARB_dispatch_table_rewrite_ptr,
    .glGetQueryObjectuivEXT = epoxy_glGetQueryObjectuivEXT_dispatch_table_rewrite_ptr,
    .glGetQueryiv = epoxy_glGetQueryiv_dispatch_table_rewrite_ptr,
    .glGetQueryivARB = epoxy_glGetQueryivARB_dispatch_table_rewrite_ptr,
    .glGetQueryivEXT = epoxy_glGetQueryivEXT_dispatch_table_rewrite_ptr,
    .glGetRenderbufferParameteriv = epoxy_glGetRenderbufferParameteriv_dispatch_table_rewrite_ptr,
    .glGetRenderbufferParameterivEXT = epoxy_glGetRenderbufferParameterivEXT_dispatch_table_rewrite_ptr,
    .glGetRenderbufferParameterivOES = epoxy_glGetRenderbufferParameterivOES_dispatch_table_rewrite_ptr,
    .glGetSamplerParameterIiv = epoxy_glGetSamplerParameterIiv_dispatch_table_rewrite_ptr,
    .glGetSamplerParameterIuiv = epoxy_glGetSamplerParameterIuiv_dispatch_table_rewrite_ptr,
    .glGetSamplerParameterfv = epoxy_glGetSamplerParameterfv_dispatch_table_rewrite_ptr,
    .glGetSamplerParameteriv = epoxy_glGetSamplerParameteriv_dispatch_table_rewrite_ptr,
    .glGetSeparableFilter = epoxy_glGetSeparableFilter_dispatch_table_rewrite_ptr,
    .glGetSeparableFilterEXT = epoxy_glGetSeparableFilterEXT_dispatch_table_rewrite_ptr,
    .glGetShaderInfoLog = epoxy_glGetShaderInfoLog_dispatch_table_rewrite_ptr,
    .glGetShaderPrecisionFormat = epoxy_glGetShaderPrecisionFormat_dispatch_table_rewrite_ptr,
    .glGetShaderSource = epoxy_glGetShaderSource_dispatch_table_rewrite_ptr,
    .glGetShaderSourceARB = epoxy_glGetShaderSourceARB_dispatch_table_rewrite_ptr,
    .glGetShaderiv = epoxy_glGetShaderiv_dispatch_table_rewrite_ptr,
    .glGetSharpenTexFuncSGIS = epoxy_glGetSharpenTexFuncSGIS_dispatch_table_rewrite_ptr,
    .glGetString = epoxy_glGetString_dispatch_table_rewrite_ptr,
    .glGetStringi = epoxy_glGetStringi_dispatch_table_rewrite_ptr,
    .glGetSubroutineIndex = epoxy_glGetSubroutineIndex_dispatch_table_rewrite_ptr,
    .glGetSubroutineUniformLocation = epoxy_glGetSubroutineUniformLocation_dispatch_table_rewrite_ptr,
    .glGetSynciv = epoxy_glGetSynciv_dispatch_table_rewrite_ptr,
    .glGetSyncivAPPLE = epoxy_glGetSyncivAPPLE_dispatch_table_rewrite_ptr,
    .glGetTexBumpParameterfvATI = epoxy_glGetTexBumpParameterfvATI_dispatch_table_rewrite_ptr,
    .glGetTexBumpParameterivATI = epoxy_glGetTexBumpParameterivATI_dispatch_table_rewrite_ptr,
    .glGetTexEnvfv = epoxy_glGetTexEnvfv_dispatch_table_rewrite_ptr,
    .glGetTexEnviv = epoxy_glGetTexEnviv_dispatch_table_rewrite_ptr,
    .glGetTexEnvxv = epoxy_glGetTexEnvxv_dispatch_table_rewrite_ptr,
    .glGetTexEnvxvOES = epoxy_glGetTexEnvxvOES_dispatch_table_rewrite_ptr,
    .glGetTexFilterFuncSGIS = epoxy_glGetTexFilterFuncSGIS_dispatch_table_rewrite_ptr,
    .glGetTexGendv = epoxy_glGetTexGendv_dispatch_table_rewrite_ptr,
    .glGetTexGenfv = epoxy_glGetTexGenfv_dispatch_table_rewrite_ptr,
    .glGetTexGenfvOES = epoxy_glGetTexGenfvOES_dispatch_table_rewrite_ptr,
    .glGetTexGeniv = epoxy_glGetTexGeniv_dispatch_table_rewrite_ptr,
    .glGetTexGenivOES = epoxy_glGetTexGenivOES_dispatch_table_rewrite_ptr,
    .glGetTexGenxvOES = epoxy_glGetTexGenxvOES_dispatch_table_rewrite_ptr,
    .glGetTexImage = epoxy_glGetTexImage_dispatch_table_rewrite_ptr,
    .glGetTexLevelParameterfv = epoxy_glGetTexLevelParameterfv_dispatch_table_rewrite_ptr,
    .glGetTexLevelParameteriv = epoxy_glGetTexLevelParameteriv_dispatch_table_rewrite_ptr,
    .glGetTexLevelParameterxvOES = epoxy_glGetTexLevelParameterxvOES_dispatch_table_rewrite_ptr,
    .glGetTexParameterIiv = epoxy_glGetTexParameterIiv_dispatch_table_rewrite_ptr,
    .glGetTexParameterIivEXT = epoxy_glGetTexParameterIivEXT_dispatch_table_rewrite_ptr,
    .glGetTexParameterIuiv = epoxy_glGetTexParameterIuiv_dispatch_table_rewrite_ptr,
    .glGetTexParameterIuivEXT = epoxy_glGetTexParameterIuivEXT_dispatch_table_rewrite_ptr,
    .glGetTexParameterPointervAPPLE = epoxy_glGetTexParameterPointervAPPLE_dispatch_table_rewrite_ptr,
    .glGetTexParameterfv = epoxy_glGetTexParameterfv_dispatch_table_rewrite_ptr,
    .glGetTexParameteriv = epoxy_glGetTexParameteriv_dispatch_table_rewrite_ptr,
    .glGetTexParameterxv = epoxy_glGetTexParameterxv_dispatch_table_rewrite_ptr,
    .glGetTexParameterxvOES = epoxy_glGetTexParameterxvOES_dispatch_table_rewrite_ptr,
    .glGetTextureHandleARB = epoxy_glGetTextureHandleARB_dispatch_table_rewrite_ptr,
    .glGetTextureHandleNV = epoxy_glGetTextureHandleNV_dispatch_table_rewrite_ptr,
    .glGetTextureImageEXT = epoxy_glGetTextureImageEXT_dispatch_table_rewrite_ptr,
    .glGetTextureLevelParameterfvEXT = epoxy_glGetTextureLevelParameterfvEXT_dispatch_table_rewrite_ptr,
    .glGetTextureLevelParameterivEXT = epoxy_glGetTextureLevelParameterivEXT_dispatch_table_rewrite_ptr,
    .glGetTextureParameterIivEXT = epoxy_glGetTextureParameterIivEXT_dispatch_table_rewrite_ptr,
    .glGetTextureParameterIuivEXT = epoxy_glGetTextureParameterIuivEXT_dispatch_table_rewrite_ptr,
    .glGetTextureParameterfvEXT = epoxy_glGetTextureParameterfvEXT_dispatch_table_rewrite_ptr,
    .glGetTextureParameterivEXT = epoxy_glGetTextureParameterivEXT_dispatch_table_rewrite_ptr,
    .glGetTextureSamplerHandleARB = epoxy_glGetTextureSamplerHandleARB_dispatch_table_rewrite_ptr,
    .glGetTextureSamplerHandleNV = epoxy_glGetTextureSamplerHandleNV_dispatch_table_rewrite_ptr,
    .glGetTrackMatrixivNV = epoxy_glGetTrackMatrixivNV_dispatch_table_rewrite_ptr,
    .glGetTransformFeedbackVarying = epoxy_glGetTransformFeedbackVarying_dispatch_table_rewrite_ptr,
    .glGetTransformFeedbackVaryingEXT = epoxy_glGetTransformFeedbackVaryingEXT_dispatch_table_rewrite_ptr,
    .glGetTransformFeedbackVaryingNV = epoxy_glGetTransformFeedbackVaryingNV_dispatch_table_rewrite_ptr,
    .glGetTranslatedShaderSourceANGLE = epoxy_glGetTranslatedShaderSourceANGLE_dispatch_table_rewrite_ptr,
    .glGetUniformBlockIndex = epoxy_glGetUniformBlockIndex_dispatch_table_rewrite_ptr,
    .glGetUniformBufferSizeEXT = epoxy_glGetUniformBufferSizeEXT_dispatch_table_rewrite_ptr,
    .glGetUniformIndices = epoxy_glGetUniformIndices_dispatch_table_rewrite_ptr,
    .glGetUniformLocation = epoxy_glGetUniformLocation_dispatch_table_rewrite_ptr,
    .glGetUniformLocationARB = epoxy_glGetUniformLocationARB_dispatch_table_rewrite_ptr,
    .glGetUniformOffsetEXT = epoxy_glGetUniformOffsetEXT_dispatch_table_rewrite_ptr,
    .glGetUniformSubroutineuiv = epoxy_glGetUniformSubroutineuiv_dispatch_table_rewrite_ptr,
    .glGetUniformdv = epoxy_glGetUniformdv_dispatch_table_rewrite_ptr,
    .glGetUniformfv = epoxy_glGetUniformfv_dispatch_table_rewrite_ptr,
    .glGetUniformfvARB = epoxy_glGetUniformfvARB_dispatch_table_rewrite_ptr,
    .glGetUniformi64vNV = epoxy_glGetUniformi64vNV_dispatch_table_rewrite_ptr,
    .glGetUniformiv = epoxy_glGetUniformiv_dispatch_table_rewrite_ptr,
    .glGetUniformivARB = epoxy_glGetUniformivARB_dispatch_table_rewrite_ptr,
    .glGetUniformui64vNV = epoxy_glGetUniformui64vNV_dispatch_table_rewrite_ptr,
    .glGetUniformuiv = epoxy_glGetUniformuiv_dispatch_table_rewrite_ptr,
    .glGetUniformuivEXT = epoxy_glGetUniformuivEXT_dispatch_table_rewrite_ptr,
    .glGetVariantArrayObjectfvATI = epoxy_glGetVariantArrayObjectfvATI_dispatch_table_rewrite_ptr,
    .glGetVariantArrayObjectivATI = epoxy_glGetVariantArrayObjectivATI_dispatch_table_rewrite_ptr,
    .glGetVariantBooleanvEXT = epoxy_glGetVariantBooleanvEXT_dispatch_table_rewrite_ptr,
    .glGetVariantFloatvEXT = epoxy_glGetVariantFloatvEXT_dispatch_table_rewrite_ptr,
    .glGetVariantIntegervEXT = epoxy_glGetVariantIntegervEXT_dispatch_table_rewrite_ptr,
    .glGetVariantPointervEXT = epoxy_glGetVariantPointervEXT_dispatch_table_rewrite_ptr,
    .glGetVaryingLocationNV = epoxy_glGetVaryingLocationNV_dispatch_table_rewrite_ptr,
    .glGetVertexArrayIntegeri_vEXT = epoxy_glGetVertexArrayIntegeri_vEXT_dispatch_table_rewrite_ptr,
    .glGetVertexArrayIntegervEXT = epoxy_glGetVertexArrayIntegervEXT_dispatch_table_rewrite_ptr,
    .glGetVertexArrayPointeri_vEXT = epoxy_glGetVertexArrayPointeri_vEXT_dispatch_table_rewrite_ptr,
    .glGetVertexArrayPointervEXT = epoxy_glGetVertexArrayPointervEXT_dispatch_table_rewrite_ptr,
    .glGetVertexAttribArrayObjectfvATI = epoxy_glGetVertexAttribArrayObjectfvATI_dispatch_table_rewrite_ptr,
    .glGetVertexAttribArrayObjectivATI = epoxy_glGetVertexAttribArrayObjectivATI_dispatch_table_rewrite_ptr,
    .glGetVertexAttribIiv = epoxy_glGetVertexAttribIiv_dispatch_table_rewrite_ptr,
    .glGetVertexAttribIivEXT = epoxy_glGetVertexAttribIivEXT_dispatch_table_rewrite_ptr,
    .glGetVertexAttribIuiv = epoxy_glGetVertexAttribIuiv_dispatch_table_rewrite_ptr,
    .glGetVertexAttribIuivEXT = epoxy_glGetVertexAttribIuivEXT_dispatch_table_rewrite_ptr,
    .glGetVertexAttribLdv = epoxy_glGetVertexAttribLdv_dispatch_table_rewrite_ptr,
    .glGetVertexAttribLdvEXT = epoxy_glGetVertexAttribLdvEXT_dispatch_table_rewrite_ptr,
    .glGetVertexAttribLi64vNV = epoxy_glGetVertexAttribLi64vNV_dispatch_table_rewrite_ptr,
    .glGetVertexAttribLui64vARB = epoxy_glGetVertexAttribLui64vARB_dispatch_table_rewrite_ptr,
    .glGetVertexAttribLui64vNV = epoxy_glGetVertexAttribLui64vNV_dispatch_table_rewrite_ptr,
    .glGetVertexAttribPointerv = epoxy_glGetVertexAttribPointerv_dispatch_table_rewrite_ptr,
    .glGetVertexAttribPointervARB = epoxy_glGetVertexAttribPointervARB_dispatch_table_rewrite_ptr,
    .glGetVertexAttribPointervNV = epoxy_glGetVertexAttribPointervNV_dispatch_table_rewrite_ptr,
    .glGetVertexAttribdv = epoxy_glGetVertexAttribdv_dispatch_table_rewrite_ptr,
    .glGetVertexAttribdvARB = epoxy_glGetVertexAttribdvARB_dispatch_table_rewrite_ptr,
    .glGetVertexAttribdvNV = epoxy_glGetVertexAttribdvNV_dispatch_table_rewrite_ptr,
    .glGetVertexAttribfv = epoxy_glGetVertexAttribfv_dispatch_table_rewrite_ptr,
    .glGetVertexAttribfvARB = epoxy_glGetVertexAttribfvARB_dispatch_table_rewrite_ptr,
    .glGetVertexAttribfvNV = epoxy_glGetVertexAttribfvNV_dispatch_table_rewrite_ptr,
    .glGetVertexAttribiv = epoxy_glGetVertexAttribiv_dispatch_table_rewrite_ptr,
    .glGetVertexAttribivARB = epoxy_glGetVertexAttribivARB_dispatch_table_rewrite_ptr,
    .glGetVertexAttribivNV = epoxy_glGetVertexAttribivNV_dispatch_table_rewrite_ptr,
    .glGetVideoCaptureStreamdvNV = epoxy_glGetVideoCaptureStreamdvNV_dispatch_table_rewrite_ptr,
    .glGetVideoCaptureStreamfvNV = epoxy_glGetVideoCaptureStreamfvNV_dispatch_table_rewrite_ptr,
    .glGetVideoCaptureStreamivNV = epoxy_glGetVideoCaptureStreamivNV_dispatch_table_rewrite_ptr,
    .glGetVideoCaptureivNV = epoxy_glGetVideoCaptureivNV_dispatch_table_rewrite_ptr,
    .glGetVideoi64vNV = epoxy_glGetVideoi64vNV_dispatch_table_rewrite_ptr,
    .glGetVideoivNV = epoxy_glGetVideoivNV_dispatch_table_rewrite_ptr,
    .glGetVideoui64vNV = epoxy_glGetVideoui64vNV_dispatch_table_rewrite_ptr,
    .glGetVideouivNV = epoxy_glGetVideouivNV_dispatch_table_rewrite_ptr,
    .glGetnColorTableARB = epoxy_glGetnColorTableARB_dispatch_table_rewrite_ptr,
    .glGetnCompressedTexImageARB = epoxy_glGetnCompressedTexImageARB_dispatch_table_rewrite_ptr,
    .glGetnConvolutionFilterARB = epoxy_glGetnConvolutionFilterARB_dispatch_table_rewrite_ptr,
    .glGetnHistogramARB = epoxy_glGetnHistogramARB_dispatch_table_rewrite_ptr,
    .glGetnMapdvARB = epoxy_glGetnMapdvARB_dispatch_table_rewrite_ptr,
    .glGetnMapfvARB = epoxy_glGetnMapfvARB_dispatch_table_rewrite_ptr,
    .glGetnMapivARB = epoxy_glGetnMapivARB_dispatch_table_rewrite_ptr,
    .glGetnMinmaxARB = epoxy_glGetnMinmaxARB_dispatch_table_rewrite_ptr,
    .glGetnPixelMapfvARB = epoxy_glGetnPixelMapfvARB_dispatch_table_rewrite_ptr,
    .glGetnPixelMapuivARB = epoxy_glGetnPixelMapuivARB_dispatch_table_rewrite_ptr,
    .glGetnPixelMapusvARB = epoxy_glGetnPixelMapusvARB_dispatch_table_rewrite_ptr,
    .glGetnPolygonStippleARB = epoxy_glGetnPolygonStippleARB_dispatch_table_rewrite_ptr,
    .glGetnSeparableFilterARB = epoxy_glGetnSeparableFilterARB_dispatch_table_rewrite_ptr,
    .glGetnTexImageARB = epoxy_glGetnTexImageARB_dispatch_table_rewrite_ptr,
    .glGetnUniformdvARB = epoxy_glGetnUniformdvARB_dispatch_table_rewrite_ptr,
    .glGetnUniformfvARB = epoxy_glGetnUniformfvARB_dispatch_table_rewrite_ptr,
    .glGetnUniformfvEXT = epoxy_glGetnUniformfvEXT_dispatch_table_rewrite_ptr,
    .glGetnUniformivARB = epoxy_glGetnUniformivARB_dispatch_table_rewrite_ptr,
    .glGetnUniformivEXT = epoxy_glGetnUniformivEXT_dispatch_table_rewrite_ptr,
    .glGetnUniformuivARB = epoxy_glGetnUniformuivARB_dispatch_table_rewrite_ptr,
    .glGlobalAlphaFactorbSUN = epoxy_glGlobalAlphaFactorbSUN_dispatch_table_rewrite_ptr,
    .glGlobalAlphaFactordSUN = epoxy_glGlobalAlphaFactordSUN_dispatch_table_rewrite_ptr,
    .glGlobalAlphaFactorfSUN = epoxy_glGlobalAlphaFactorfSUN_dispatch_table_rewrite_ptr,
    .glGlobalAlphaFactoriSUN = epoxy_glGlobalAlphaFactoriSUN_dispatch_table_rewrite_ptr,
    .glGlobalAlphaFactorsSUN = epoxy_glGlobalAlphaFactorsSUN_dispatch_table_rewrite_ptr,
    .glGlobalAlphaFactorubSUN = epoxy_glGlobalAlphaFactorubSUN_dispatch_table_rewrite_ptr,
    .glGlobalAlphaFactoruiSUN = epoxy_glGlobalAlphaFactoruiSUN_dispatch_table_rewrite_ptr,
    .glGlobalAlphaFactorusSUN = epoxy_glGlobalAlphaFactorusSUN_dispatch_table_rewrite_ptr,
    .glHint = epoxy_glHint_dispatch_table_rewrite_ptr,
    .glHintPGI = epoxy_glHintPGI_dispatch_table_rewrite_ptr,
    .glHistogram = epoxy_glHistogram_dispatch_table_rewrite_ptr,
    .glHistogramEXT = epoxy_glHistogramEXT_dispatch_table_rewrite_ptr,
    .glIglooInterfaceSGIX = epoxy_glIglooInterfaceSGIX_dispatch_table_rewrite_ptr,
    .glImageTransformParameterfHP = epoxy_glImageTransformParameterfHP_dispatch_table_rewrite_ptr,
    .glImageTransformParameterfvHP = epoxy_glImageTransformParameterfvHP_dispatch_table_rewrite_ptr,
    .glImageTransformParameteriHP = epoxy_glImageTransformParameteriHP_dispatch_table_rewrite_ptr,
    .glImageTransformParameterivHP = epoxy_glImageTransformParameterivHP_dispatch_table_rewrite_ptr,
    .glImportSyncEXT = epoxy_glImportSyncEXT_dispatch_table_rewrite_ptr,
    .glIndexFormatNV = epoxy_glIndexFormatNV_dispatch_table_rewrite_ptr,
    .glIndexFuncEXT = epoxy_glIndexFuncEXT_dispatch_table_rewrite_ptr,
    .glIndexMask = epoxy_glIndexMask_dispatch_table_rewrite_ptr,
    .glIndexMaterialEXT = epoxy_glIndexMaterialEXT_dispatch_table_rewrite_ptr,
    .glIndexPointer = epoxy_glIndexPointer_dispatch_table_rewrite_ptr,
    .glIndexPointerEXT = epoxy_glIndexPointerEXT_dispatch_table_rewrite_ptr,
    .glIndexPointerListIBM = epoxy_glIndexPointerListIBM_dispatch_table_rewrite_ptr,
    .glIndexd = epoxy_glIndexd_dispatch_table_rewrite_ptr,
    .glIndexdv = epoxy_glIndexdv_dispatch_table_rewrite_ptr,
    .glIndexf = epoxy_glIndexf_dispatch_table_rewrite_ptr,
    .glIndexfv = epoxy_glIndexfv_dispatch_table_rewrite_ptr,
    .glIndexi = epoxy_glIndexi_dispatch_table_rewrite_ptr,
    .glIndexiv = epoxy_glIndexiv_dispatch_table_rewrite_ptr,
    .glIndexs = epoxy_glIndexs_dispatch_table_rewrite_ptr,
    .glIndexsv = epoxy_glIndexsv_dispatch_table_rewrite_ptr,
    .glIndexub = epoxy_glIndexub_dispatch_table_rewrite_ptr,
    .glIndexubv = epoxy_glIndexubv_dispatch_table_rewrite_ptr,
    .glIndexxOES = epoxy_glIndexxOES_dispatch_table_rewrite_ptr,
    .glIndexxvOES = epoxy_glIndexxvOES_dispatch_table_rewrite_ptr,
    .glInitNames = epoxy_glInitNames_dispatch_table_rewrite_ptr,
    .glInsertComponentEXT = epoxy_glInsertComponentEXT_dispatch_table_rewrite_ptr,
    .glInsertEventMarkerEXT = epoxy_glInsertEventMarkerEXT_dispatch_table_rewrite_ptr,
    .glInstrumentsBufferSGIX = epoxy_glInstrumentsBufferSGIX_dispatch_table_rewrite_ptr,
    .glInterleavedArrays = epoxy_glInterleavedArrays_dispatch_table_rewrite_ptr,
    .glInterpolatePathsNV = epoxy_glInterpolatePathsNV_dispatch_table_rewrite_ptr,
    .glInvalidateBufferData = epoxy_glInvalidateBufferData_dispatch_table_rewrite_ptr,
    .glInvalidateBufferSubData = epoxy_glInvalidateBufferSubData_dispatch_table_rewrite_ptr,
    .glInvalidateFramebuffer = epoxy_glInvalidateFramebuffer_dispatch_table_rewrite_ptr,
    .glInvalidateSubFramebuffer = epoxy_glInvalidateSubFramebuffer_dispatch_table_rewrite_ptr,
    .glInvalidateTexImage = epoxy_glInvalidateTexImage_dispatch_table_rewrite_ptr,
    .glInvalidateTexSubImage = epoxy_glInvalidateTexSubImage_dispatch_table_rewrite_ptr,
    .glIsAsyncMarkerSGIX = epoxy_glIsAsyncMarkerSGIX_dispatch_table_rewrite_ptr,
    .glIsBuffer = epoxy_glIsBuffer_dispatch_table_rewrite_ptr,
    .glIsBufferARB = epoxy_glIsBufferARB_dispatch_table_rewrite_ptr,
    .glIsBufferResidentNV = epoxy_glIsBufferResidentNV_dispatch_table_rewrite_ptr,
    .glIsEnabled = epoxy_glIsEnabled_dispatch_table_rewrite_ptr,
    .glIsEnabledIndexedEXT = epoxy_glIsEnabledIndexedEXT_dispatch_table_rewrite_ptr,
    .glIsEnabledi = epoxy_glIsEnabledi_dispatch_table_rewrite_ptr,
    .glIsFenceAPPLE = epoxy_glIsFenceAPPLE_dispatch_table_rewrite_ptr,
    .glIsFenceNV = epoxy_glIsFenceNV_dispatch_table_rewrite_ptr,
    .glIsFramebuffer = epoxy_glIsFramebuffer_dispatch_table_rewrite_ptr,
    .glIsFramebufferEXT = epoxy_glIsFramebufferEXT_dispatch_table_rewrite_ptr,
    .glIsFramebufferOES = epoxy_glIsFramebufferOES_dispatch_table_rewrite_ptr,
    .glIsImageHandleResidentARB = epoxy_glIsImageHandleResidentARB_dispatch_table_rewrite_ptr,
    .glIsImageHandleResidentNV = epoxy_glIsImageHandleResidentNV_dispatch_table_rewrite_ptr,
    .glIsList = epoxy_glIsList_dispatch_table_rewrite_ptr,
    .glIsNameAMD = epoxy_glIsNameAMD_dispatch_table_rewrite_ptr,
    .glIsNamedBufferResidentNV = epoxy_glIsNamedBufferResidentNV_dispatch_table_rewrite_ptr,
    .glIsNamedStringARB = epoxy_glIsNamedStringARB_dispatch_table_rewrite_ptr,
    .glIsObjectBufferATI = epoxy_glIsObjectBufferATI_dispatch_table_rewrite_ptr,
    .glIsOcclusionQueryNV = epoxy_glIsOcclusionQueryNV_dispatch_table_rewrite_ptr,
    .glIsPathNV = epoxy_glIsPathNV_dispatch_table_rewrite_ptr,
    .glIsPointInFillPathNV = epoxy_glIsPointInFillPathNV_dispatch_table_rewrite_ptr,
    .glIsPointInStrokePathNV = epoxy_glIsPointInStrokePathNV_dispatch_table_rewrite_ptr,
    .glIsProgram = epoxy_glIsProgram_dispatch_table_rewrite_ptr,
    .glIsProgramARB = epoxy_glIsProgramARB_dispatch_table_rewrite_ptr,
    .glIsProgramNV = epoxy_glIsProgramNV_dispatch_table_rewrite_ptr,
    .glIsProgramPipeline = epoxy_glIsProgramPipeline_dispatch_table_rewrite_ptr,
    .glIsProgramPipelineEXT = epoxy_glIsProgramPipelineEXT_dispatch_table_rewrite_ptr,
    .glIsQuery = epoxy_glIsQuery_dispatch_table_rewrite_ptr,
    .glIsQueryARB = epoxy_glIsQueryARB_dispatch_table_rewrite_ptr,
    .glIsQueryEXT = epoxy_glIsQueryEXT_dispatch_table_rewrite_ptr,
    .glIsRenderbuffer = epoxy_glIsRenderbuffer_dispatch_table_rewrite_ptr,
    .glIsRenderbufferEXT = epoxy_glIsRenderbufferEXT_dispatch_table_rewrite_ptr,
    .glIsRenderbufferOES = epoxy_glIsRenderbufferOES_dispatch_table_rewrite_ptr,
    .glIsSampler = epoxy_glIsSampler_dispatch_table_rewrite_ptr,
    .glIsShader = epoxy_glIsShader_dispatch_table_rewrite_ptr,
    .glIsSync = epoxy_glIsSync_dispatch_table_rewrite_ptr,
    .glIsSyncAPPLE = epoxy_glIsSyncAPPLE_dispatch_table_rewrite_ptr,
    .glIsTexture = epoxy_glIsTexture_dispatch_table_rewrite_ptr,
    .glIsTextureEXT = epoxy_glIsTextureEXT_dispatch_table_rewrite_ptr,
    .glIsTextureHandleResidentARB = epoxy_glIsTextureHandleResidentARB_dispatch_table_rewrite_ptr,
    .glIsTextureHandleResidentNV = epoxy_glIsTextureHandleResidentNV_dispatch_table_rewrite_ptr,
    .glIsTransformFeedback = epoxy_glIsTransformFeedback_dispatch_table_rewrite_ptr,
    .glIsTransformFeedbackNV = epoxy_glIsTransformFeedbackNV_dispatch_table_rewrite_ptr,
    .glIsVariantEnabledEXT = epoxy_glIsVariantEnabledEXT_dispatch_table_rewrite_ptr,
    .glIsVertexArray = epoxy_glIsVertexArray_dispatch_table_rewrite_ptr,
    .glIsVertexArrayAPPLE = epoxy_glIsVertexArrayAPPLE_dispatch_table_rewrite_ptr,
    .glIsVertexArrayOES = epoxy_glIsVertexArrayOES_dispatch_table_rewrite_ptr,
    .glIsVertexAttribEnabledAPPLE = epoxy_glIsVertexAttribEnabledAPPLE_dispatch_table_rewrite_ptr,
    .glLabelObjectEXT = epoxy_glLabelObjectEXT_dispatch_table_rewrite_ptr,
    .glLightEnviSGIX = epoxy_glLightEnviSGIX_dispatch_table_rewrite_ptr,
    .glLightModelf = epoxy_glLightModelf_dispatch_table_rewrite_ptr,
    .glLightModelfv = epoxy_glLightModelfv_dispatch_table_rewrite_ptr,
    .glLightModeli = epoxy_glLightModeli_dispatch_table_rewrite_ptr,
    .glLightModeliv = epoxy_glLightModeliv_dispatch_table_rewrite_ptr,
    .glLightModelx = epoxy_glLightModelx_dispatch_table_rewrite_ptr,
    .glLightModelxOES = epoxy_glLightModelxOES_dispatch_table_rewrite_ptr,
    .glLightModelxv = epoxy_glLightModelxv_dispatch_table_rewrite_ptr,
    .glLightModelxvOES = epoxy_glLightModelxvOES_dispatch_table_rewrite_ptr,
    .glLightf = epoxy_glLightf_dispatch_table_rewrite_ptr,
    .glLightfv = epoxy_glLightfv_dispatch_table_rewrite_ptr,
    .glLighti = epoxy_glLighti_dispatch_table_rewrite_ptr,
    .glLightiv = epoxy_glLightiv_dispatch_table_rewrite_ptr,
    .glLightx = epoxy_glLightx_dispatch_table_rewrite_ptr,
    .glLightxOES = epoxy_glLightxOES_dispatch_table_rewrite_ptr,
    .glLightxv = epoxy_glLightxv_dispatch_table_rewrite_ptr,
    .glLightxvOES = epoxy_glLightxvOES_dispatch_table_rewrite_ptr,
    .glLineStipple = epoxy_glLineStipple_dispatch_table_rewrite_ptr,
    .glLineWidth = epoxy_glLineWidth_dispatch_table_rewrite_ptr,
    .glLineWidthx = epoxy_glLineWidthx_dispatch_table_rewrite_ptr,
    .glLineWidthxOES = epoxy_glLineWidthxOES_dispatch_table_rewrite_ptr,
    .glLinkProgram = epoxy_glLinkProgram_dispatch_table_rewrite_ptr,
    .glLinkProgramARB = epoxy_glLinkProgramARB_dispatch_table_rewrite_ptr,
    .glListBase = epoxy_glListBase_dispatch_table_rewrite_ptr,
    .glListParameterfSGIX = epoxy_glListParameterfSGIX_dispatch_table_rewrite_ptr,
    .glListParameterfvSGIX = epoxy_glListParameterfvSGIX_dispatch_table_rewrite_ptr,
    .glListParameteriSGIX = epoxy_glListParameteriSGIX_dispatch_table_rewrite_ptr,
    .glListParameterivSGIX = epoxy_glListParameterivSGIX_dispatch_table_rewrite_ptr,
    .glLoadIdentity = epoxy_glLoadIdentity_dispatch_table_rewrite_ptr,
    .glLoadIdentityDeformationMapSGIX = epoxy_glLoadIdentityDeformationMapSGIX_dispatch_table_rewrite_ptr,
    .glLoadMatrixd = epoxy_glLoadMatrixd_dispatch_table_rewrite_ptr,
    .glLoadMatrixf = epoxy_glLoadMatrixf_dispatch_table_rewrite_ptr,
    .glLoadMatrixx = epoxy_glLoadMatrixx_dispatch_table_rewrite_ptr,
    .glLoadMatrixxOES = epoxy_glLoadMatrixxOES_dispatch_table_rewrite_ptr,
    .glLoadName = epoxy_glLoadName_dispatch_table_rewrite_ptr,
    .glLoadPaletteFromModelViewMatrixOES = epoxy_glLoadPaletteFromModelViewMatrixOES_dispatch_table_rewrite_ptr,
    .glLoadProgramNV = epoxy_glLoadProgramNV_dispatch_table_rewrite_ptr,
    .glLoadTransposeMatrixd = epoxy_glLoadTransposeMatrixd_dispatch_table_rewrite_ptr,
    .glLoadTransposeMatrixdARB = epoxy_glLoadTransposeMatrixdARB_dispatch_table_rewrite_ptr,
    .glLoadTransposeMatrixf = epoxy_glLoadTransposeMatrixf_dispatch_table_rewrite_ptr,
    .glLoadTransposeMatrixfARB = epoxy_glLoadTransposeMatrixfARB_dispatch_table_rewrite_ptr,
    .glLoadTransposeMatrixxOES = epoxy_glLoadTransposeMatrixxOES_dispatch_table_rewrite_ptr,
    .glLockArraysEXT = epoxy_glLockArraysEXT_dispatch_table_rewrite_ptr,
    .glLogicOp = epoxy_glLogicOp_dispatch_table_rewrite_ptr,
    .glMakeBufferNonResidentNV = epoxy_glMakeBufferNonResidentNV_dispatch_table_rewrite_ptr,
    .glMakeBufferResidentNV = epoxy_glMakeBufferResidentNV_dispatch_table_rewrite_ptr,
    .glMakeImageHandleNonResidentARB = epoxy_glMakeImageHandleNonResidentARB_dispatch_table_rewrite_ptr,
    .glMakeImageHandleNonResidentNV = epoxy_glMakeImageHandleNonResidentNV_dispatch_table_rewrite_ptr,
    .glMakeImageHandleResidentARB = epoxy_glMakeImageHandleResidentARB_dispatch_table_rewrite_ptr,
    .glMakeImageHandleResidentNV = epoxy_glMakeImageHandleResidentNV_dispatch_table_rewrite_ptr,
    .glMakeNamedBufferNonResidentNV = epoxy_glMakeNamedBufferNonResidentNV_dispatch_table_rewrite_ptr,
    .glMakeNamedBufferResidentNV = epoxy_glMakeNamedBufferResidentNV_dispatch_table_rewrite_ptr,
    .glMakeTextureHandleNonResidentARB = epoxy_glMakeTextureHandleNonResidentARB_dispatch_table_rewrite_ptr,
    .glMakeTextureHandleNonResidentNV = epoxy_glMakeTextureHandleNonResidentNV_dispatch_table_rewrite_ptr,
    .glMakeTextureHandleResidentARB = epoxy_glMakeTextureHandleResidentARB_dispatch_table_rewrite_ptr,
    .glMakeTextureHandleResidentNV = epoxy_glMakeTextureHandleResidentNV_dispatch_table_rewrite_ptr,
    .glMap1d = epoxy_glMap1d_dispatch_table_rewrite_ptr,
    .glMap1f = epoxy_glMap1f_dispatch_table_rewrite_ptr,
    .glMap1xOES = epoxy_glMap1xOES_dispatch_table_rewrite_ptr,
    .glMap2d = epoxy_glMap2d_dispatch_table_rewrite_ptr,
    .glMap2f = epoxy_glMap2f_dispatch_table_rewrite_ptr,
    .glMap2xOES = epoxy_glMap2xOES_dispatch_table_rewrite_ptr,
    .glMapBuffer = epoxy_glMapBuffer_dispatch_table_rewrite_ptr,
    .glMapBufferARB = epoxy_glMapBufferARB_dispatch_table_rewrite_ptr,
    .glMapBufferOES = epoxy_glMapBufferOES_dispatch_table_rewrite_ptr,
    .glMapBufferRange = epoxy_glMapBufferRange_dispatch_table_rewrite_ptr,
    .glMapBufferRangeEXT = epoxy_glMapBufferRangeEXT_dispatch_table_rewrite_ptr,
    .glMapControlPointsNV = epoxy_glMapControlPointsNV_dispatch_table_rewrite_ptr,
    .glMapGrid1d = epoxy_glMapGrid1d_dispatch_table_rewrite_ptr,
    .glMapGrid1f = epoxy_glMapGrid1f_dispatch_table_rewrite_ptr,
    .glMapGrid1xOES = epoxy_glMapGrid1xOES_dispatch_table_rewrite_ptr,
    .glMapGrid2d = epoxy_glMapGrid2d_dispatch_table_rewrite_ptr,
    .glMapGrid2f = epoxy_glMapGrid2f_dispatch_table_rewrite_ptr,
    .glMapGrid2xOES = epoxy_glMapGrid2xOES_dispatch_table_rewrite_ptr,
    .glMapNamedBufferEXT = epoxy_glMapNamedBufferEXT_dispatch_table_rewrite_ptr,
    .glMapNamedBufferRangeEXT = epoxy_glMapNamedBufferRangeEXT_dispatch_table_rewrite_ptr,
    .glMapObjectBufferATI = epoxy_glMapObjectBufferATI_dispatch_table_rewrite_ptr,
    .glMapParameterfvNV = epoxy_glMapParameterfvNV_dispatch_table_rewrite_ptr,
    .glMapParameterivNV = epoxy_glMapParameterivNV_dispatch_table_rewrite_ptr,
    .glMapTexture2DINTEL = epoxy_glMapTexture2DINTEL_dispatch_table_rewrite_ptr,
    .glMapVertexAttrib1dAPPLE = epoxy_glMapVertexAttrib1dAPPLE_dispatch_table_rewrite_ptr,
    .glMapVertexAttrib1fAPPLE = epoxy_glMapVertexAttrib1fAPPLE_dispatch_table_rewrite_ptr,
    .glMapVertexAttrib2dAPPLE = epoxy_glMapVertexAttrib2dAPPLE_dispatch_table_rewrite_ptr,
    .glMapVertexAttrib2fAPPLE = epoxy_glMapVertexAttrib2fAPPLE_dispatch_table_rewrite_ptr,
    .glMaterialf = epoxy_glMaterialf_dispatch_table_rewrite_ptr,
    .glMaterialfv = epoxy_glMaterialfv_dispatch_table_rewrite_ptr,
    .glMateriali = epoxy_glMateriali_dispatch_table_rewrite_ptr,
    .glMaterialiv = epoxy_glMaterialiv_dispatch_table_rewrite_ptr,
    .glMaterialx = epoxy_glMaterialx_dispatch_table_rewrite_ptr,
    .glMaterialxOES = epoxy_glMaterialxOES_dispatch_table_rewrite_ptr,
    .glMaterialxv = epoxy_glMaterialxv_dispatch_table_rewrite_ptr,
    .glMaterialxvOES = epoxy_glMaterialxvOES_dispatch_table_rewrite_ptr,
    .glMatrixFrustumEXT = epoxy_glMatrixFrustumEXT_dispatch_table_rewrite_ptr,
    .glMatrixIndexPointerARB = epoxy_glMatrixIndexPointerARB_dispatch_table_rewrite_ptr,
    .glMatrixIndexPointerOES = epoxy_glMatrixIndexPointerOES_dispatch_table_rewrite_ptr,
    .glMatrixIndexubvARB = epoxy_glMatrixIndexubvARB_dispatch_table_rewrite_ptr,
    .glMatrixIndexuivARB = epoxy_glMatrixIndexuivARB_dispatch_table_rewrite_ptr,
    .glMatrixIndexusvARB = epoxy_glMatrixIndexusvARB_dispatch_table_rewrite_ptr,
    .glMatrixLoadIdentityEXT = epoxy_glMatrixLoadIdentityEXT_dispatch_table_rewrite_ptr,
    .glMatrixLoadTransposedEXT = epoxy_glMatrixLoadTransposedEXT_dispatch_table_rewrite_ptr,
    .glMatrixLoadTransposefEXT = epoxy_glMatrixLoadTransposefEXT_dispatch_table_rewrite_ptr,
    .glMatrixLoaddEXT = epoxy_glMatrixLoaddEXT_dispatch_table_rewrite_ptr,
    .glMatrixLoadfEXT = epoxy_glMatrixLoadfEXT_dispatch_table_rewrite_ptr,
    .glMatrixMode = epoxy_glMatrixMode_dispatch_table_rewrite_ptr,
    .glMatrixMultTransposedEXT = epoxy_glMatrixMultTransposedEXT_dispatch_table_rewrite_ptr,
    .glMatrixMultTransposefEXT = epoxy_glMatrixMultTransposefEXT_dispatch_table_rewrite_ptr,
    .glMatrixMultdEXT = epoxy_glMatrixMultdEXT_dispatch_table_rewrite_ptr,
    .glMatrixMultfEXT = epoxy_glMatrixMultfEXT_dispatch_table_rewrite_ptr,
    .glMatrixOrthoEXT = epoxy_glMatrixOrthoEXT_dispatch_table_rewrite_ptr,
    .glMatrixPopEXT = epoxy_glMatrixPopEXT_dispatch_table_rewrite_ptr,
    .glMatrixPushEXT = epoxy_glMatrixPushEXT_dispatch_table_rewrite_ptr,
    .glMatrixRotatedEXT = epoxy_glMatrixRotatedEXT_dispatch_table_rewrite_ptr,
    .glMatrixRotatefEXT = epoxy_glMatrixRotatefEXT_dispatch_table_rewrite_ptr,
    .glMatrixScaledEXT = epoxy_glMatrixScaledEXT_dispatch_table_rewrite_ptr,
    .glMatrixScalefEXT = epoxy_glMatrixScalefEXT_dispatch_table_rewrite_ptr,
    .glMatrixTranslatedEXT = epoxy_glMatrixTranslatedEXT_dispatch_table_rewrite_ptr,
    .glMatrixTranslatefEXT = epoxy_glMatrixTranslatefEXT_dispatch_table_rewrite_ptr,
    .glMemoryBarrier = epoxy_glMemoryBarrier_dispatch_table_rewrite_ptr,
    .glMemoryBarrierByRegion = epoxy_glMemoryBarrierByRegion_dispatch_table_rewrite_ptr,
    .glMemoryBarrierEXT = epoxy_glMemoryBarrierEXT_dispatch_table_rewrite_ptr,
    .glMinSampleShading = epoxy_glMinSampleShading_dispatch_table_rewrite_ptr,
    .glMinSampleShadingARB = epoxy_glMinSampleShadingARB_dispatch_table_rewrite_ptr,
    .glMinSampleShadingOES = epoxy_glMinSampleShadingOES_dispatch_table_rewrite_ptr,
    .glMinmax = epoxy_glMinmax_dispatch_table_rewrite_ptr,
    .glMinmaxEXT = epoxy_glMinmaxEXT_dispatch_table_rewrite_ptr,
    .glMultMatrixd = epoxy_glMultMatrixd_dispatch_table_rewrite_ptr,
    .glMultMatrixf = epoxy_glMultMatrixf_dispatch_table_rewrite_ptr,
    .glMultMatrixx = epoxy_glMultMatrixx_dispatch_table_rewrite_ptr,
    .glMultMatrixxOES = epoxy_glMultMatrixxOES_dispatch_table_rewrite_ptr,
    .glMultTransposeMatrixd = epoxy_glMultTransposeMatrixd_dispatch_table_rewrite_ptr,
    .glMultTransposeMatrixdARB = epoxy_glMultTransposeMatrixdARB_dispatch_table_rewrite_ptr,
    .glMultTransposeMatrixf = epoxy_glMultTransposeMatrixf_dispatch_table_rewrite_ptr,
    .glMultTransposeMatrixfARB = epoxy_glMultTransposeMatrixfARB_dispatch_table_rewrite_ptr,
    .glMultTransposeMatrixxOES = epoxy_glMultTransposeMatrixxOES_dispatch_table_rewrite_ptr,
    .glMultiDrawArrays = epoxy_glMultiDrawArrays_dispatch_table_rewrite_ptr,
    .glMultiDrawArraysEXT = epoxy_glMultiDrawArraysEXT_dispatch_table_rewrite_ptr,
    .glMultiDrawArraysIndirect = epoxy_glMultiDrawArraysIndirect_dispatch_table_rewrite_ptr,
    .glMultiDrawArraysIndirectAMD = epoxy_glMultiDrawArraysIndirectAMD_dispatch_table_rewrite_ptr,
    .glMultiDrawArraysIndirectBindlessNV = epoxy_glMultiDrawArraysIndirectBindlessNV_dispatch_table_rewrite_ptr,
    .glMultiDrawArraysIndirectCountARB = epoxy_glMultiDrawArraysIndirectCountARB_dispatch_table_rewrite_ptr,
    .glMultiDrawElementArrayAPPLE = epoxy_glMultiDrawElementArrayAPPLE_dispatch_table_rewrite_ptr,
    .glMultiDrawElements = epoxy_glMultiDrawElements_dispatch_table_rewrite_ptr,
    .glMultiDrawElementsBaseVertex = epoxy_glMultiDrawElementsBaseVertex_dispatch_table_rewrite_ptr,
    .glMultiDrawElementsEXT = epoxy_glMultiDrawElementsEXT_dispatch_table_rewrite_ptr,
    .glMultiDrawElementsIndirect = epoxy_glMultiDrawElementsIndirect_dispatch_table_rewrite_ptr,
    .glMultiDrawElementsIndirectAMD = epoxy_glMultiDrawElementsIndirectAMD_dispatch_table_rewrite_ptr,
    .glMultiDrawElementsIndirectBindlessNV = epoxy_glMultiDrawElementsIndirectBindlessNV_dispatch_table_rewrite_ptr,
    .glMultiDrawElementsIndirectCountARB = epoxy_glMultiDrawElementsIndirectCountARB_dispatch_table_rewrite_ptr,
    .glMultiDrawRangeElementArrayAPPLE = epoxy_glMultiDrawRangeElementArrayAPPLE_dispatch_table_rewrite_ptr,
    .glMultiModeDrawArraysIBM = epoxy_glMultiModeDrawArraysIBM_dispatch_table_rewrite_ptr,
    .glMultiModeDrawElementsIBM = epoxy_glMultiModeDrawElementsIBM_dispatch_table_rewrite_ptr,
    .glMultiTexBufferEXT = epoxy_glMultiTexBufferEXT_dispatch_table_rewrite_ptr,
    .glMultiTexCoord1bOES = epoxy_glMultiTexCoord1bOES_dispatch_table_rewrite_ptr,
    .glMultiTexCoord1bvOES = epoxy_glMultiTexCoord1bvOES_dispatch_table_rewrite_ptr,
    .glMultiTexCoord1d = epoxy_glMultiTexCoord1d_dispatch_table_rewrite_ptr,
    .glMultiTexCoord1dARB = epoxy_glMultiTexCoord1dARB_dispatch_table_rewrite_ptr,
    .glMultiTexCoord1dv = epoxy_glMultiTexCoord1dv_dispatch_table_rewrite_ptr,
    .glMultiTexCoord1dvARB = epoxy_glMultiTexCoord1dvARB_dispatch_table_rewrite_ptr,
    .glMultiTexCoord1f = epoxy_glMultiTexCoord1f_dispatch_table_rewrite_ptr,
    .glMultiTexCoord1fARB = epoxy_glMultiTexCoord1fARB_dispatch_table_rewrite_ptr,
    .glMultiTexCoord1fv = epoxy_glMultiTexCoord1fv_dispatch_table_rewrite_ptr,
    .glMultiTexCoord1fvARB = epoxy_glMultiTexCoord1fvARB_dispatch_table_rewrite_ptr,
    .glMultiTexCoord1hNV = epoxy_glMultiTexCoord1hNV_dispatch_table_rewrite_ptr,
    .glMultiTexCoord1hvNV = epoxy_glMultiTexCoord1hvNV_dispatch_table_rewrite_ptr,
    .glMultiTexCoord1i = epoxy_glMultiTexCoord1i_dispatch_table_rewrite_ptr,
    .glMultiTexCoord1iARB = epoxy_glMultiTexCoord1iARB_dispatch_table_rewrite_ptr,
    .glMultiTexCoord1iv = epoxy_glMultiTexCoord1iv_dispatch_table_rewrite_ptr,
    .glMultiTexCoord1ivARB = epoxy_glMultiTexCoord1ivARB_dispatch_table_rewrite_ptr,
    .glMultiTexCoord1s = epoxy_glMultiTexCoord1s_dispatch_table_rewrite_ptr,
    .glMultiTexCoord1sARB = epoxy_glMultiTexCoord1sARB_dispatch_table_rewrite_ptr,
    .glMultiTexCoord1sv = epoxy_glMultiTexCoord1sv_dispatch_table_rewrite_ptr,
    .glMultiTexCoord1svARB = epoxy_glMultiTexCoord1svARB_dispatch_table_rewrite_ptr,
    .glMultiTexCoord1xOES = epoxy_glMultiTexCoord1xOES_dispatch_table_rewrite_ptr,
    .glMultiTexCoord1xvOES = epoxy_glMultiTexCoord1xvOES_dispatch_table_rewrite_ptr,
    .glMultiTexCoord2bOES = epoxy_glMultiTexCoord2bOES_dispatch_table_rewrite_ptr,
    .glMultiTexCoord2bvOES = epoxy_glMultiTexCoord2bvOES_dispatch_table_rewrite_ptr,
    .glMultiTexCoord2d = epoxy_glMultiTexCoord2d_dispatch_table_rewrite_ptr,
    .glMultiTexCoord2dARB = epoxy_glMultiTexCoord2dARB_dispatch_table_rewrite_ptr,
    .glMultiTexCoord2dv = epoxy_glMultiTexCoord2dv_dispatch_table_rewrite_ptr,
    .glMultiTexCoord2dvARB = epoxy_glMultiTexCoord2dvARB_dispatch_table_rewrite_ptr,
    .glMultiTexCoord2f = epoxy_glMultiTexCoord2f_dispatch_table_rewrite_ptr,
    .glMultiTexCoord2fARB = epoxy_glMultiTexCoord2fARB_dispatch_table_rewrite_ptr,
    .glMultiTexCoord2fv = epoxy_glMultiTexCoord2fv_dispatch_table_rewrite_ptr,
    .glMultiTexCoord2fvARB = epoxy_glMultiTexCoord2fvARB_dispatch_table_rewrite_ptr,
    .glMultiTexCoord2hNV = epoxy_glMultiTexCoord2hNV_dispatch_table_rewrite_ptr,
    .glMultiTexCoord2hvNV = epoxy_glMultiTexCoord2hvNV_dispatch_table_rewrite_ptr,
    .glMultiTexCoord2i = epoxy_glMultiTexCoord2i_dispatch_table_rewrite_ptr,
    .glMultiTexCoord2iARB = epoxy_glMultiTexCoord2iARB_dispatch_table_rewrite_ptr,
    .glMultiTexCoord2iv = epoxy_glMultiTexCoord2iv_dispatch_table_rewrite_ptr,
    .glMultiTexCoord2ivARB = epoxy_glMultiTexCoord2ivARB_dispatch_table_rewrite_ptr,
    .glMultiTexCoord2s = epoxy_glMultiTexCoord2s_dispatch_table_rewrite_ptr,
    .glMultiTexCoord2sARB = epoxy_glMultiTexCoord2sARB_dispatch_table_rewrite_ptr,
    .glMultiTexCoord2sv = epoxy_glMultiTexCoord2sv_dispatch_table_rewrite_ptr,
    .glMultiTexCoord2svARB = epoxy_glMultiTexCoord2svARB_dispatch_table_rewrite_ptr,
    .glMultiTexCoord2xOES = epoxy_glMultiTexCoord2xOES_dispatch_table_rewrite_ptr,
    .glMultiTexCoord2xvOES = epoxy_glMultiTexCoord2xvOES_dispatch_table_rewrite_ptr,
    .glMultiTexCoord3bOES = epoxy_glMultiTexCoord3bOES_dispatch_table_rewrite_ptr,
    .glMultiTexCoord3bvOES = epoxy_glMultiTexCoord3bvOES_dispatch_table_rewrite_ptr,
    .glMultiTexCoord3d = epoxy_glMultiTexCoord3d_dispatch_table_rewrite_ptr,
    .glMultiTexCoord3dARB = epoxy_glMultiTexCoord3dARB_dispatch_table_rewrite_ptr,
    .glMultiTexCoord3dv = epoxy_glMultiTexCoord3dv_dispatch_table_rewrite_ptr,
    .glMultiTexCoord3dvARB = epoxy_glMultiTexCoord3dvARB_dispatch_table_rewrite_ptr,
    .glMultiTexCoord3f = epoxy_glMultiTexCoord3f_dispatch_table_rewrite_ptr,
    .glMultiTexCoord3fARB = epoxy_glMultiTexCoord3fARB_dispatch_table_rewrite_ptr,
    .glMultiTexCoord3fv = epoxy_glMultiTexCoord3fv_dispatch_table_rewrite_ptr,
    .glMultiTexCoord3fvARB = epoxy_glMultiTexCoord3fvARB_dispatch_table_rewrite_ptr,
    .glMultiTexCoord3hNV = epoxy_glMultiTexCoord3hNV_dispatch_table_rewrite_ptr,
    .glMultiTexCoord3hvNV = epoxy_glMultiTexCoord3hvNV_dispatch_table_rewrite_ptr,
    .glMultiTexCoord3i = epoxy_glMultiTexCoord3i_dispatch_table_rewrite_ptr,
    .glMultiTexCoord3iARB = epoxy_glMultiTexCoord3iARB_dispatch_table_rewrite_ptr,
    .glMultiTexCoord3iv = epoxy_glMultiTexCoord3iv_dispatch_table_rewrite_ptr,
    .glMultiTexCoord3ivARB = epoxy_glMultiTexCoord3ivARB_dispatch_table_rewrite_ptr,
    .glMultiTexCoord3s = epoxy_glMultiTexCoord3s_dispatch_table_rewrite_ptr,
    .glMultiTexCoord3sARB = epoxy_glMultiTexCoord3sARB_dispatch_table_rewrite_ptr,
    .glMultiTexCoord3sv = epoxy_glMultiTexCoord3sv_dispatch_table_rewrite_ptr,
    .glMultiTexCoord3svARB = epoxy_glMultiTexCoord3svARB_dispatch_table_rewrite_ptr,
    .glMultiTexCoord3xOES = epoxy_glMultiTexCoord3xOES_dispatch_table_rewrite_ptr,
    .glMultiTexCoord3xvOES = epoxy_glMultiTexCoord3xvOES_dispatch_table_rewrite_ptr,
    .glMultiTexCoord4bOES = epoxy_glMultiTexCoord4bOES_dispatch_table_rewrite_ptr,
    .glMultiTexCoord4bvOES = epoxy_glMultiTexCoord4bvOES_dispatch_table_rewrite_ptr,
    .glMultiTexCoord4d = epoxy_glMultiTexCoord4d_dispatch_table_rewrite_ptr,
    .glMultiTexCoord4dARB = epoxy_glMultiTexCoord4dARB_dispatch_table_rewrite_ptr,
    .glMultiTexCoord4dv = epoxy_glMultiTexCoord4dv_dispatch_table_rewrite_ptr,
    .glMultiTexCoord4dvARB = epoxy_glMultiTexCoord4dvARB_dispatch_table_rewrite_ptr,
    .glMultiTexCoord4f = epoxy_glMultiTexCoord4f_dispatch_table_rewrite_ptr,
    .glMultiTexCoord4fARB = epoxy_glMultiTexCoord4fARB_dispatch_table_rewrite_ptr,
    .glMultiTexCoord4fv = epoxy_glMultiTexCoord4fv_dispatch_table_rewrite_ptr,
    .glMultiTexCoord4fvARB = epoxy_glMultiTexCoord4fvARB_dispatch_table_rewrite_ptr,
    .glMultiTexCoord4hNV = epoxy_glMultiTexCoord4hNV_dispatch_table_rewrite_ptr,
    .glMultiTexCoord4hvNV = epoxy_glMultiTexCoord4hvNV_dispatch_table_rewrite_ptr,
    .glMultiTexCoord4i = epoxy_glMultiTexCoord4i_dispatch_table_rewrite_ptr,
    .glMultiTexCoord4iARB = epoxy_glMultiTexCoord4iARB_dispatch_table_rewrite_ptr,
    .glMultiTexCoord4iv = epoxy_glMultiTexCoord4iv_dispatch_table_rewrite_ptr,
    .glMultiTexCoord4ivARB = epoxy_glMultiTexCoord4ivARB_dispatch_table_rewrite_ptr,
    .glMultiTexCoord4s = epoxy_glMultiTexCoord4s_dispatch_table_rewrite_ptr,
    .glMultiTexCoord4sARB = epoxy_glMultiTexCoord4sARB_dispatch_table_rewrite_ptr,
    .glMultiTexCoord4sv = epoxy_glMultiTexCoord4sv_dispatch_table_rewrite_ptr,
    .glMultiTexCoord4svARB = epoxy_glMultiTexCoord4svARB_dispatch_table_rewrite_ptr,
    .glMultiTexCoord4x = epoxy_glMultiTexCoord4x_dispatch_table_rewrite_ptr,
    .glMultiTexCoord4xOES = epoxy_glMultiTexCoord4xOES_dispatch_table_rewrite_ptr,
    .glMultiTexCoord4xvOES = epoxy_glMultiTexCoord4xvOES_dispatch_table_rewrite_ptr,
    .glMultiTexCoordP1ui = epoxy_glMultiTexCoordP1ui_dispatch_table_rewrite_ptr,
    .glMultiTexCoordP1uiv = epoxy_glMultiTexCoordP1uiv_dispatch_table_rewrite_ptr,
    .glMultiTexCoordP2ui = epoxy_glMultiTexCoordP2ui_dispatch_table_rewrite_ptr,
    .glMultiTexCoordP2uiv = epoxy_glMultiTexCoordP2uiv_dispatch_table_rewrite_ptr,
    .glMultiTexCoordP3ui = epoxy_glMultiTexCoordP3ui_dispatch_table_rewrite_ptr,
    .glMultiTexCoordP3uiv = epoxy_glMultiTexCoordP3uiv_dispatch_table_rewrite_ptr,
    .glMultiTexCoordP4ui = epoxy_glMultiTexCoordP4ui_dispatch_table_rewrite_ptr,
    .glMultiTexCoordP4uiv = epoxy_glMultiTexCoordP4uiv_dispatch_table_rewrite_ptr,
    .glMultiTexCoordPointerEXT = epoxy_glMultiTexCoordPointerEXT_dispatch_table_rewrite_ptr,
    .glMultiTexEnvfEXT = epoxy_glMultiTexEnvfEXT_dispatch_table_rewrite_ptr,
    .glMultiTexEnvfvEXT = epoxy_glMultiTexEnvfvEXT_dispatch_table_rewrite_ptr,
    .glMultiTexEnviEXT = epoxy_glMultiTexEnviEXT_dispatch_table_rewrite_ptr,
    .glMultiTexEnvivEXT = epoxy_glMultiTexEnvivEXT_dispatch_table_rewrite_ptr,
    .glMultiTexGendEXT = epoxy_glMultiTexGendEXT_dispatch_table_rewrite_ptr,
    .glMultiTexGendvEXT = epoxy_glMultiTexGendvEXT_dispatch_table_rewrite_ptr,
    .glMultiTexGenfEXT = epoxy_glMultiTexGenfEXT_dispatch_table_rewrite_ptr,
    .glMultiTexGenfvEXT = epoxy_glMultiTexGenfvEXT_dispatch_table_rewrite_ptr,
    .glMultiTexGeniEXT = epoxy_glMultiTexGeniEXT_dispatch_table_rewrite_ptr,
    .glMultiTexGenivEXT = epoxy_glMultiTexGenivEXT_dispatch_table_rewrite_ptr,
    .glMultiTexImage1DEXT = epoxy_glMultiTexImage1DEXT_dispatch_table_rewrite_ptr,
    .glMultiTexImage2DEXT = epoxy_glMultiTexImage2DEXT_dispatch_table_rewrite_ptr,
    .glMultiTexImage3DEXT = epoxy_glMultiTexImage3DEXT_dispatch_table_rewrite_ptr,
    .glMultiTexParameterIivEXT = epoxy_glMultiTexParameterIivEXT_dispatch_table_rewrite_ptr,
    .glMultiTexParameterIuivEXT = epoxy_glMultiTexParameterIuivEXT_dispatch_table_rewrite_ptr,
    .glMultiTexParameterfEXT = epoxy_glMultiTexParameterfEXT_dispatch_table_rewrite_ptr,
    .glMultiTexParameterfvEXT = epoxy_glMultiTexParameterfvEXT_dispatch_table_rewrite_ptr,
    .glMultiTexParameteriEXT = epoxy_glMultiTexParameteriEXT_dispatch_table_rewrite_ptr,
    .glMultiTexParameterivEXT = epoxy_glMultiTexParameterivEXT_dispatch_table_rewrite_ptr,
    .glMultiTexRenderbufferEXT = epoxy_glMultiTexRenderbufferEXT_dispatch_table_rewrite_ptr,
    .glMultiTexSubImage1DEXT = epoxy_glMultiTexSubImage1DEXT_dispatch_table_rewrite_ptr,
    .glMultiTexSubImage2DEXT = epoxy_glMultiTexSubImage2DEXT_dispatch_table_rewrite_ptr,
    .glMultiTexSubImage3DEXT = epoxy_glMultiTexSubImage3DEXT_dispatch_table_rewrite_ptr,
    .glNamedBufferDataEXT = epoxy_glNamedBufferDataEXT_dispatch_table_rewrite_ptr,
    .glNamedBufferStorageEXT = epoxy_glNamedBufferStorageEXT_dispatch_table_rewrite_ptr,
    .glNamedBufferSubDataEXT = epoxy_glNamedBufferSubDataEXT_dispatch_table_rewrite_ptr,
    .glNamedCopyBufferSubDataEXT = epoxy_glNamedCopyBufferSubDataEXT_dispatch_table_rewrite_ptr,
    .glNamedFramebufferParameteriEXT = epoxy_glNamedFramebufferParameteriEXT_dispatch_table_rewrite_ptr,
    .glNamedFramebufferRenderbufferEXT = epoxy_glNamedFramebufferRenderbufferEXT_dispatch_table_rewrite_ptr,
    .glNamedFramebufferTexture1DEXT = epoxy_glNamedFramebufferTexture1DEXT_dispatch_table_rewrite_ptr,
    .glNamedFramebufferTexture2DEXT = epoxy_glNamedFramebufferTexture2DEXT_dispatch_table_rewrite_ptr,
    .glNamedFramebufferTexture3DEXT = epoxy_glNamedFramebufferTexture3DEXT_dispatch_table_rewrite_ptr,
    .glNamedFramebufferTextureEXT = epoxy_glNamedFramebufferTextureEXT_dispatch_table_rewrite_ptr,
    .glNamedFramebufferTextureFaceEXT = epoxy_glNamedFramebufferTextureFaceEXT_dispatch_table_rewrite_ptr,
    .glNamedFramebufferTextureLayerEXT = epoxy_glNamedFramebufferTextureLayerEXT_dispatch_table_rewrite_ptr,
    .glNamedProgramLocalParameter4dEXT = epoxy_glNamedProgramLocalParameter4dEXT_dispatch_table_rewrite_ptr,
    .glNamedProgramLocalParameter4dvEXT = epoxy_glNamedProgramLocalParameter4dvEXT_dispatch_table_rewrite_ptr,
    .glNamedProgramLocalParameter4fEXT = epoxy_glNamedProgramLocalParameter4fEXT_dispatch_table_rewrite_ptr,
    .glNamedProgramLocalParameter4fvEXT = epoxy_glNamedProgramLocalParameter4fvEXT_dispatch_table_rewrite_ptr,
    .glNamedProgramLocalParameterI4iEXT = epoxy_glNamedProgramLocalParameterI4iEXT_dispatch_table_rewrite_ptr,
    .glNamedProgramLocalParameterI4ivEXT = epoxy_glNamedProgramLocalParameterI4ivEXT_dispatch_table_rewrite_ptr,
    .glNamedProgramLocalParameterI4uiEXT = epoxy_glNamedProgramLocalParameterI4uiEXT_dispatch_table_rewrite_ptr,
    .glNamedProgramLocalParameterI4uivEXT = epoxy_glNamedProgramLocalParameterI4uivEXT_dispatch_table_rewrite_ptr,
    .glNamedProgramLocalParameters4fvEXT = epoxy_glNamedProgramLocalParameters4fvEXT_dispatch_table_rewrite_ptr,
    .glNamedProgramLocalParametersI4ivEXT = epoxy_glNamedProgramLocalParametersI4ivEXT_dispatch_table_rewrite_ptr,
    .glNamedProgramLocalParametersI4uivEXT = epoxy_glNamedProgramLocalParametersI4uivEXT_dispatch_table_rewrite_ptr,
    .glNamedProgramStringEXT = epoxy_glNamedProgramStringEXT_dispatch_table_rewrite_ptr,
    .glNamedRenderbufferStorageEXT = epoxy_glNamedRenderbufferStorageEXT_dispatch_table_rewrite_ptr,
    .glNamedRenderbufferStorageMultisampleCoverageEXT = epoxy_glNamedRenderbufferStorageMultisampleCoverageEXT_dispatch_table_rewrite_ptr,
    .glNamedRenderbufferStorageMultisampleEXT = epoxy_glNamedRenderbufferStorageMultisampleEXT_dispatch_table_rewrite_ptr,
    .glNamedStringARB = epoxy_glNamedStringARB_dispatch_table_rewrite_ptr,
    .glNewList = epoxy_glNewList_dispatch_table_rewrite_ptr,
    .glNewObjectBufferATI = epoxy_glNewObjectBufferATI_dispatch_table_rewrite_ptr,
    .glNormal3b = epoxy_glNormal3b_dispatch_table_rewrite_ptr,
    .glNormal3bv = epoxy_glNormal3bv_dispatch_table_rewrite_ptr,
    .glNormal3d = epoxy_glNormal3d_dispatch_table_rewrite_ptr,
    .glNormal3dv = epoxy_glNormal3dv_dispatch_table_rewrite_ptr,
    .glNormal3f = epoxy_glNormal3f_dispatch_table_rewrite_ptr,
    .glNormal3fVertex3fSUN = epoxy_glNormal3fVertex3fSUN_dispatch_table_rewrite_ptr,
    .glNormal3fVertex3fvSUN = epoxy_glNormal3fVertex3fvSUN_dispatch_table_rewrite_ptr,
    .glNormal3fv = epoxy_glNormal3fv_dispatch_table_rewrite_ptr,
    .glNormal3hNV = epoxy_glNormal3hNV_dispatch_table_rewrite_ptr,
    .glNormal3hvNV = epoxy_glNormal3hvNV_dispatch_table_rewrite_ptr,
    .glNormal3i = epoxy_glNormal3i_dispatch_table_rewrite_ptr,
    .glNormal3iv = epoxy_glNormal3iv_dispatch_table_rewrite_ptr,
    .glNormal3s = epoxy_glNormal3s_dispatch_table_rewrite_ptr,
    .glNormal3sv = epoxy_glNormal3sv_dispatch_table_rewrite_ptr,
    .glNormal3x = epoxy_glNormal3x_dispatch_table_rewrite_ptr,
    .glNormal3xOES = epoxy_glNormal3xOES_dispatch_table_rewrite_ptr,
    .glNormal3xvOES = epoxy_glNormal3xvOES_dispatch_table_rewrite_ptr,
    .glNormalFormatNV = epoxy_glNormalFormatNV_dispatch_table_rewrite_ptr,
    .glNormalP3ui = epoxy_glNormalP3ui_dispatch_table_rewrite_ptr,
    .glNormalP3uiv = epoxy_glNormalP3uiv_dispatch_table_rewrite_ptr,
    .glNormalPointer = epoxy_glNormalPointer_dispatch_table_rewrite_ptr,
    .glNormalPointerEXT = epoxy_glNormalPointerEXT_dispatch_table_rewrite_ptr,
    .glNormalPointerListIBM = epoxy_glNormalPointerListIBM_dispatch_table_rewrite_ptr,
    .glNormalPointervINTEL = epoxy_glNormalPointervINTEL_dispatch_table_rewrite_ptr,
    .glNormalStream3bATI = epoxy_glNormalStream3bATI_dispatch_table_rewrite_ptr,
    .glNormalStream3bvATI = epoxy_glNormalStream3bvATI_dispatch_table_rewrite_ptr,
    .glNormalStream3dATI = epoxy_glNormalStream3dATI_dispatch_table_rewrite_ptr,
    .glNormalStream3dvATI = epoxy_glNormalStream3dvATI_dispatch_table_rewrite_ptr,
    .glNormalStream3fATI = epoxy_glNormalStream3fATI_dispatch_table_rewrite_ptr,
    .glNormalStream3fvATI = epoxy_glNormalStream3fvATI_dispatch_table_rewrite_ptr,
    .glNormalStream3iATI = epoxy_glNormalStream3iATI_dispatch_table_rewrite_ptr,
    .glNormalStream3ivATI = epoxy_glNormalStream3ivATI_dispatch_table_rewrite_ptr,
    .glNormalStream3sATI = epoxy_glNormalStream3sATI_dispatch_table_rewrite_ptr,
    .glNormalStream3svATI = epoxy_glNormalStream3svATI_dispatch_table_rewrite_ptr,
    .glObjectLabel = epoxy_glObjectLabel_dispatch_table_rewrite_ptr,
    .glObjectLabelKHR = epoxy_glObjectLabelKHR_dispatch_table_rewrite_ptr,
    .glObjectPtrLabel = epoxy_glObjectPtrLabel_dispatch_table_rewrite_ptr,
    .glObjectPtrLabelKHR = epoxy_glObjectPtrLabelKHR_dispatch_table_rewrite_ptr,
    .glObjectPurgeableAPPLE = epoxy_glObjectPurgeableAPPLE_dispatch_table_rewrite_ptr,
    .glObjectUnpurgeableAPPLE = epoxy_glObjectUnpurgeableAPPLE_dispatch_table_rewrite_ptr,
    .glOrtho = epoxy_glOrtho_dispatch_table_rewrite_ptr,
    .glOrthof = epoxy_glOrthof_dispatch_table_rewrite_ptr,
    .glOrthofOES = epoxy_glOrthofOES_dispatch_table_rewrite_ptr,
    .glOrthox = epoxy_glOrthox_dispatch_table_rewrite_ptr,
    .glOrthoxOES = epoxy_glOrthoxOES_dispatch_table_rewrite_ptr,
    .glPNTrianglesfATI = epoxy_glPNTrianglesfATI_dispatch_table_rewrite_ptr,
    .glPNTrianglesiATI = epoxy_glPNTrianglesiATI_dispatch_table_rewrite_ptr,
    .glPassTexCoordATI = epoxy_glPassTexCoordATI_dispatch_table_rewrite_ptr,
    .glPassThrough = epoxy_glPassThrough_dispatch_table_rewrite_ptr,
    .glPassThroughxOES = epoxy_glPassThroughxOES_dispatch_table_rewrite_ptr,
    .glPatchParameterfv = epoxy_glPatchParameterfv_dispatch_table_rewrite_ptr,
    .glPatchParameteri = epoxy_glPatchParameteri_dispatch_table_rewrite_ptr,
    .glPathColorGenNV = epoxy_glPathColorGenNV_dispatch_table_rewrite_ptr,
    .glPathCommandsNV = epoxy_glPathCommandsNV_dispatch_table_rewrite_ptr,
    .glPathCoordsNV = epoxy_glPathCoordsNV_dispatch_table_rewrite_ptr,
    .glPathCoverDepthFuncNV = epoxy_glPathCoverDepthFuncNV_dispatch_table_rewrite_ptr,
    .glPathDashArrayNV = epoxy_glPathDashArrayNV_dispatch_table_rewrite_ptr,
    .glPathFogGenNV = epoxy_glPathFogGenNV_dispatch_table_rewrite_ptr,
    .glPathGlyphRangeNV = epoxy_glPathGlyphRangeNV_dispatch_table_rewrite_ptr,
    .glPathGlyphsNV = epoxy_glPathGlyphsNV_dispatch_table_rewrite_ptr,
    .glPathParameterfNV = epoxy_glPathParameterfNV_dispatch_table_rewrite_ptr,
    .glPathParameterfvNV = epoxy_glPathParameterfvNV_dispatch_table_rewrite_ptr,
    .glPathParameteriNV = epoxy_glPathParameteriNV_dispatch_table_rewrite_ptr,
    .glPathParameterivNV = epoxy_glPathParameterivNV_dispatch_table_rewrite_ptr,
    .glPathStencilDepthOffsetNV = epoxy_glPathStencilDepthOffsetNV_dispatch_table_rewrite_ptr,
    .glPathStencilFuncNV = epoxy_glPathStencilFuncNV_dispatch_table_rewrite_ptr,
    .glPathStringNV = epoxy_glPathStringNV_dispatch_table_rewrite_ptr,
    .glPathSubCommandsNV = epoxy_glPathSubCommandsNV_dispatch_table_rewrite_ptr,
    .glPathSubCoordsNV = epoxy_glPathSubCoordsNV_dispatch_table_rewrite_ptr,
    .glPathTexGenNV = epoxy_glPathTexGenNV_dispatch_table_rewrite_ptr,
    .glPauseTransformFeedback = epoxy_glPauseTransformFeedback_dispatch_table_rewrite_ptr,
    .glPauseTransformFeedbackNV = epoxy_glPauseTransformFeedbackNV_dispatch_table_rewrite_ptr,
    .glPixelDataRangeNV = epoxy_glPixelDataRangeNV_dispatch_table_rewrite_ptr,
    .glPixelMapfv = epoxy_glPixelMapfv_dispatch_table_rewrite_ptr,
    .glPixelMapuiv = epoxy_glPixelMapuiv_dispatch_table_rewrite_ptr,
    .glPixelMapusv = epoxy_glPixelMapusv_dispatch_table_rewrite_ptr,
    .glPixelMapx = epoxy_glPixelMapx_dispatch_table_rewrite_ptr,
    .glPixelStoref = epoxy_glPixelStoref_dispatch_table_rewrite_ptr,
    .glPixelStorei = epoxy_glPixelStorei_dispatch_table_rewrite_ptr,
    .glPixelStorex = epoxy_glPixelStorex_dispatch_table_rewrite_ptr,
    .glPixelTexGenParameterfSGIS = epoxy_glPixelTexGenParameterfSGIS_dispatch_table_rewrite_ptr,
    .glPixelTexGenParameterfvSGIS = epoxy_glPixelTexGenParameterfvSGIS_dispatch_table_rewrite_ptr,
    .glPixelTexGenParameteriSGIS = epoxy_glPixelTexGenParameteriSGIS_dispatch_table_rewrite_ptr,
    .glPixelTexGenParameterivSGIS = epoxy_glPixelTexGenParameterivSGIS_dispatch_table_rewrite_ptr,
    .glPixelTexGenSGIX = epoxy_glPixelTexGenSGIX_dispatch_table_rewrite_ptr,
    .glPixelTransferf = epoxy_glPixelTransferf_dispatch_table_rewrite_ptr,
    .glPixelTransferi = epoxy_glPixelTransferi_dispatch_table_rewrite_ptr,
    .glPixelTransferxOES = epoxy_glPixelTransferxOES_dispatch_table_rewrite_ptr,
    .glPixelTransformParameterfEXT = epoxy_glPixelTransformParameterfEXT_dispatch_table_rewrite_ptr,
    .glPixelTransformParameterfvEXT = epoxy_glPixelTransformParameterfvEXT_dispatch_table_rewrite_ptr,
    .glPixelTransformParameteriEXT = epoxy_glPixelTransformParameteriEXT_dispatch_table_rewrite_ptr,
    .glPixelTransformParameterivEXT = epoxy_glPixelTransformParameterivEXT_dispatch_table_rewrite_ptr,
    .glPixelZoom = epoxy_glPixelZoom_dispatch_table_rewrite_ptr,
    .glPixelZoomxOES = epoxy_glPixelZoomxOES_dispatch_table_rewrite_ptr,
    .glPointAlongPathNV = epoxy_glPointAlongPathNV_dispatch_table_rewrite_ptr,
    .glPointParameterf = epoxy_glPointParameterf_dispatch_table_rewrite_ptr,
    .glPointParameterfARB = epoxy_glPointParameterfARB_dispatch_table_rewrite_ptr,
    .glPointParameterfEXT = epoxy_glPointParameterfEXT_dispatch_table_rewrite_ptr,
    .glPointParameterfSGIS = epoxy_glPointParameterfSGIS_dispatch_table_rewrite_ptr,
    .glPointParameterfv = epoxy_glPointParameterfv_dispatch_table_rewrite_ptr,
    .glPointParameterfvARB = epoxy_glPointParameterfvARB_dispatch_table_rewrite_ptr,
    .glPointParameterfvEXT = epoxy_glPointParameterfvEXT_dispatch_table_rewrite_ptr,
    .glPointParameterfvSGIS = epoxy_glPointParameterfvSGIS_dispatch_table_rewrite_ptr,
    .glPointParameteri = epoxy_glPointParameteri_dispatch_table_rewrite_ptr,
    .glPointParameteriNV = epoxy_glPointParameteriNV_dispatch_table_rewrite_ptr,
    .glPointParameteriv = epoxy_glPointParameteriv_dispatch_table_rewrite_ptr,
    .glPointParameterivNV = epoxy_glPointParameterivNV_dispatch_table_rewrite_ptr,
    .glPointParameterx = epoxy_glPointParameterx_dispatch_table_rewrite_ptr,
    .glPointParameterxOES = epoxy_glPointParameterxOES_dispatch_table_rewrite_ptr,
    .glPointParameterxv = epoxy_glPointParameterxv_dispatch_table_rewrite_ptr,
    .glPointParameterxvOES = epoxy_glPointParameterxvOES_dispatch_table_rewrite_ptr,
    .glPointSize = epoxy_glPointSize_dispatch_table_rewrite_ptr,
    .glPointSizePointerOES = epoxy_glPointSizePointerOES_dispatch_table_rewrite_ptr,
    .glPointSizex = epoxy_glPointSizex_dispatch_table_rewrite_ptr,
    .glPointSizexOES = epoxy_glPointSizexOES_dispatch_table_rewrite_ptr,
    .glPollAsyncSGIX = epoxy_glPollAsyncSGIX_dispatch_table_rewrite_ptr,
    .glPollInstrumentsSGIX = epoxy_glPollInstrumentsSGIX_dispatch_table_rewrite_ptr,
    .glPolygonMode = epoxy_glPolygonMode_dispatch_table_rewrite_ptr,
    .glPolygonOffset = epoxy_glPolygonOffset_dispatch_table_rewrite_ptr,
    .glPolygonOffsetEXT = epoxy_glPolygonOffsetEXT_dispatch_table_rewrite_ptr,
    .glPolygonOffsetx = epoxy_glPolygonOffsetx_dispatch_table_rewrite_ptr,
    .glPolygonOffsetxOES = epoxy_glPolygonOffsetxOES_dispatch_table_rewrite_ptr,
    .glPolygonStipple = epoxy_glPolygonStipple_dispatch_table_rewrite_ptr,
    .glPopAttrib = epoxy_glPopAttrib_dispatch_table_rewrite_ptr,
    .glPopClientAttrib = epoxy_glPopClientAttrib_dispatch_table_rewrite_ptr,
    .glPopDebugGroup = epoxy_glPopDebugGroup_dispatch_table_rewrite_ptr,
    .glPopDebugGroupKHR = epoxy_glPopDebugGroupKHR_dispatch_table_rewrite_ptr,
    .glPopGroupMarkerEXT = epoxy_glPopGroupMarkerEXT_dispatch_table_rewrite_ptr,
    .glPopMatrix = epoxy_glPopMatrix_dispatch_table_rewrite_ptr,
    .glPopName = epoxy_glPopName_dispatch_table_rewrite_ptr,
    .glPresentFrameDualFillNV = epoxy_glPresentFrameDualFillNV_dispatch_table_rewrite_ptr,
    .glPresentFrameKeyedNV = epoxy_glPresentFrameKeyedNV_dispatch_table_rewrite_ptr,
    .glPrimitiveRestartIndex = epoxy_glPrimitiveRestartIndex_dispatch_table_rewrite_ptr,
    .glPrimitiveRestartIndexNV = epoxy_glPrimitiveRestartIndexNV_dispatch_table_rewrite_ptr,
    .glPrimitiveRestartNV = epoxy_glPrimitiveRestartNV_dispatch_table_rewrite_ptr,
    .glPrioritizeTextures = epoxy_glPrioritizeTextures_dispatch_table_rewrite_ptr,
    .glPrioritizeTexturesEXT = epoxy_glPrioritizeTexturesEXT_dispatch_table_rewrite_ptr,
    .glPrioritizeTexturesxOES = epoxy_glPrioritizeTexturesxOES_dispatch_table_rewrite_ptr,
    .glProgramBinary = epoxy_glProgramBinary_dispatch_table_rewrite_ptr,
    .glProgramBinaryOES = epoxy_glProgramBinaryOES_dispatch_table_rewrite_ptr,
    .glProgramBufferParametersIivNV = epoxy_glProgramBufferParametersIivNV_dispatch_table_rewrite_ptr,
    .glProgramBufferParametersIuivNV = epoxy_glProgramBufferParametersIuivNV_dispatch_table_rewrite_ptr,
    .glProgramBufferParametersfvNV = epoxy_glProgramBufferParametersfvNV_dispatch_table_rewrite_ptr,
    .glProgramEnvParameter4dARB = epoxy_glProgramEnvParameter4dARB_dispatch_table_rewrite_ptr,
    .glProgramEnvParameter4dvARB = epoxy_glProgramEnvParameter4dvARB_dispatch_table_rewrite_ptr,
    .glProgramEnvParameter4fARB = epoxy_glProgramEnvParameter4fARB_dispatch_table_rewrite_ptr,
    .glProgramEnvParameter4fvARB = epoxy_glProgramEnvParameter4fvARB_dispatch_table_rewrite_ptr,
    .glProgramEnvParameterI4iNV = epoxy_glProgramEnvParameterI4iNV_dispatch_table_rewrite_ptr,
    .glProgramEnvParameterI4ivNV = epoxy_glProgramEnvParameterI4ivNV_dispatch_table_rewrite_ptr,
    .glProgramEnvParameterI4uiNV = epoxy_glProgramEnvParameterI4uiNV_dispatch_table_rewrite_ptr,
    .glProgramEnvParameterI4uivNV = epoxy_glProgramEnvParameterI4uivNV_dispatch_table_rewrite_ptr,
    .glProgramEnvParameters4fvEXT = epoxy_glProgramEnvParameters4fvEXT_dispatch_table_rewrite_ptr,
    .glProgramEnvParametersI4ivNV = epoxy_glProgramEnvParametersI4ivNV_dispatch_table_rewrite_ptr,
    .glProgramEnvParametersI4uivNV = epoxy_glProgramEnvParametersI4uivNV_dispatch_table_rewrite_ptr,
    .glProgramLocalParameter4dARB = epoxy_glProgramLocalParameter4dARB_dispatch_table_rewrite_ptr,
    .glProgramLocalParameter4dvARB = epoxy_glProgramLocalParameter4dvARB_dispatch_table_rewrite_ptr,
    .glProgramLocalParameter4fARB = epoxy_glProgramLocalParameter4fARB_dispatch_table_rewrite_ptr,
    .glProgramLocalParameter4fvARB = epoxy_glProgramLocalParameter4fvARB_dispatch_table_rewrite_ptr,
    .glProgramLocalParameterI4iNV = epoxy_glProgramLocalParameterI4iNV_dispatch_table_rewrite_ptr,
    .glProgramLocalParameterI4ivNV = epoxy_glProgramLocalParameterI4ivNV_dispatch_table_rewrite_ptr,
    .glProgramLocalParameterI4uiNV = epoxy_glProgramLocalParameterI4uiNV_dispatch_table_rewrite_ptr,
    .glProgramLocalParameterI4uivNV = epoxy_glProgramLocalParameterI4uivNV_dispatch_table_rewrite_ptr,
    .glProgramLocalParameters4fvEXT = epoxy_glProgramLocalParameters4fvEXT_dispatch_table_rewrite_ptr,
    .glProgramLocalParametersI4ivNV = epoxy_glProgramLocalParametersI4ivNV_dispatch_table_rewrite_ptr,
    .glProgramLocalParametersI4uivNV = epoxy_glProgramLocalParametersI4uivNV_dispatch_table_rewrite_ptr,
    .glProgramNamedParameter4dNV = epoxy_glProgramNamedParameter4dNV_dispatch_table_rewrite_ptr,
    .glProgramNamedParameter4dvNV = epoxy_glProgramNamedParameter4dvNV_dispatch_table_rewrite_ptr,
    .glProgramNamedParameter4fNV = epoxy_glProgramNamedParameter4fNV_dispatch_table_rewrite_ptr,
    .glProgramNamedParameter4fvNV = epoxy_glProgramNamedParameter4fvNV_dispatch_table_rewrite_ptr,
    .glProgramParameter4dNV = epoxy_glProgramParameter4dNV_dispatch_table_rewrite_ptr,
    .glProgramParameter4dvNV = epoxy_glProgramParameter4dvNV_dispatch_table_rewrite_ptr,
    .glProgramParameter4fNV = epoxy_glProgramParameter4fNV_dispatch_table_rewrite_ptr,
    .glProgramParameter4fvNV = epoxy_glProgramParameter4fvNV_dispatch_table_rewrite_ptr,
    .glProgramParameteri = epoxy_glProgramParameteri_dispatch_table_rewrite_ptr,
    .glProgramParameteriARB = epoxy_glProgramParameteriARB_dispatch_table_rewrite_ptr,
    .glProgramParameteriEXT = epoxy_glProgramParameteriEXT_dispatch_table_rewrite_ptr,
    .glProgramParameters4dvNV = epoxy_glProgramParameters4dvNV_dispatch_table_rewrite_ptr,
    .glProgramParameters4fvNV = epoxy_glProgramParameters4fvNV_dispatch_table_rewrite_ptr,
    .glProgramStringARB = epoxy_glProgramStringARB_dispatch_table_rewrite_ptr,
    .glProgramSubroutineParametersuivNV = epoxy_glProgramSubroutineParametersuivNV_dispatch_table_rewrite_ptr,
    .glProgramUniform1d = epoxy_glProgramUniform1d_dispatch_table_rewrite_ptr,
    .glProgramUniform1dEXT = epoxy_glProgramUniform1dEXT_dispatch_table_rewrite_ptr,
    .glProgramUniform1dv = epoxy_glProgramUniform1dv_dispatch_table_rewrite_ptr,
    .glProgramUniform1dvEXT = epoxy_glProgramUniform1dvEXT_dispatch_table_rewrite_ptr,
    .glProgramUniform1f = epoxy_glProgramUniform1f_dispatch_table_rewrite_ptr,
    .glProgramUniform1fEXT = epoxy_glProgramUniform1fEXT_dispatch_table_rewrite_ptr,
    .glProgramUniform1fv = epoxy_glProgramUniform1fv_dispatch_table_rewrite_ptr,
    .glProgramUniform1fvEXT = epoxy_glProgramUniform1fvEXT_dispatch_table_rewrite_ptr,
    .glProgramUniform1i = epoxy_glProgramUniform1i_dispatch_table_rewrite_ptr,
    .glProgramUniform1i64NV = epoxy_glProgramUniform1i64NV_dispatch_table_rewrite_ptr,
    .glProgramUniform1i64vNV = epoxy_glProgramUniform1i64vNV_dispatch_table_rewrite_ptr,
    .glProgramUniform1iEXT = epoxy_glProgramUniform1iEXT_dispatch_table_rewrite_ptr,
    .glProgramUniform1iv = epoxy_glProgramUniform1iv_dispatch_table_rewrite_ptr,
    .glProgramUniform1ivEXT = epoxy_glProgramUniform1ivEXT_dispatch_table_rewrite_ptr,
    .glProgramUniform1ui = epoxy_glProgramUniform1ui_dispatch_table_rewrite_ptr,
    .glProgramUniform1ui64NV = epoxy_glProgramUniform1ui64NV_dispatch_table_rewrite_ptr,
    .glProgramUniform1ui64vNV = epoxy_glProgramUniform1ui64vNV_dispatch_table_rewrite_ptr,
    .glProgramUniform1uiEXT = epoxy_glProgramUniform1uiEXT_dispatch_table_rewrite_ptr,
    .glProgramUniform1uiv = epoxy_glProgramUniform1uiv_dispatch_table_rewrite_ptr,
    .glProgramUniform1uivEXT = epoxy_glProgramUniform1uivEXT_dispatch_table_rewrite_ptr,
    .glProgramUniform2d = epoxy_glProgramUniform2d_dispatch_table_rewrite_ptr,
    .glProgramUniform2dEXT = epoxy_glProgramUniform2dEXT_dispatch_table_rewrite_ptr,
    .glProgramUniform2dv = epoxy_glProgramUniform2dv_dispatch_table_rewrite_ptr,
    .glProgramUniform2dvEXT = epoxy_glProgramUniform2dvEXT_dispatch_table_rewrite_ptr,
    .glProgramUniform2f = epoxy_glProgramUniform2f_dispatch_table_rewrite_ptr,
    .glProgramUniform2fEXT = epoxy_glProgramUniform2fEXT_dispatch_table_rewrite_ptr,
    .glProgramUniform2fv = epoxy_glProgramUniform2fv_dispatch_table_rewrite_ptr,
    .glProgramUniform2fvEXT = epoxy_glProgramUniform2fvEXT_dispatch_table_rewrite_ptr,
    .glProgramUniform2i = epoxy_glProgramUniform2i_dispatch_table_rewrite_ptr,
    .glProgramUniform2i64NV = epoxy_glProgramUniform2i64NV_dispatch_table_rewrite_ptr,
    .glProgramUniform2i64vNV = epoxy_glProgramUniform2i64vNV_dispatch_table_rewrite_ptr,
    .glProgramUniform2iEXT = epoxy_glProgramUniform2iEXT_dispatch_table_rewrite_ptr,
    .glProgramUniform2iv = epoxy_glProgramUniform2iv_dispatch_table_rewrite_ptr,
    .glProgramUniform2ivEXT = epoxy_glProgramUniform2ivEXT_dispatch_table_rewrite_ptr,
    .glProgramUniform2ui = epoxy_glProgramUniform2ui_dispatch_table_rewrite_ptr,
    .glProgramUniform2ui64NV = epoxy_glProgramUniform2ui64NV_dispatch_table_rewrite_ptr,
    .glProgramUniform2ui64vNV = epoxy_glProgramUniform2ui64vNV_dispatch_table_rewrite_ptr,
    .glProgramUniform2uiEXT = epoxy_glProgramUniform2uiEXT_dispatch_table_rewrite_ptr,
    .glProgramUniform2uiv = epoxy_glProgramUniform2uiv_dispatch_table_rewrite_ptr,
    .glProgramUniform2uivEXT = epoxy_glProgramUniform2uivEXT_dispatch_table_rewrite_ptr,
    .glProgramUniform3d = epoxy_glProgramUniform3d_dispatch_table_rewrite_ptr,
    .glProgramUniform3dEXT = epoxy_glProgramUniform3dEXT_dispatch_table_rewrite_ptr,
    .glProgramUniform3dv = epoxy_glProgramUniform3dv_dispatch_table_rewrite_ptr,
    .glProgramUniform3dvEXT = epoxy_glProgramUniform3dvEXT_dispatch_table_rewrite_ptr,
    .glProgramUniform3f = epoxy_glProgramUniform3f_dispatch_table_rewrite_ptr,
    .glProgramUniform3fEXT = epoxy_glProgramUniform3fEXT_dispatch_table_rewrite_ptr,
    .glProgramUniform3fv = epoxy_glProgramUniform3fv_dispatch_table_rewrite_ptr,
    .glProgramUniform3fvEXT = epoxy_glProgramUniform3fvEXT_dispatch_table_rewrite_ptr,
    .glProgramUniform3i = epoxy_glProgramUniform3i_dispatch_table_rewrite_ptr,
    .glProgramUniform3i64NV = epoxy_glProgramUniform3i64NV_dispatch_table_rewrite_ptr,
    .glProgramUniform3i64vNV = epoxy_glProgramUniform3i64vNV_dispatch_table_rewrite_ptr,
    .glProgramUniform3iEXT = epoxy_glProgramUniform3iEXT_dispatch_table_rewrite_ptr,
    .glProgramUniform3iv = epoxy_glProgramUniform3iv_dispatch_table_rewrite_ptr,
    .glProgramUniform3ivEXT = epoxy_glProgramUniform3ivEXT_dispatch_table_rewrite_ptr,
    .glProgramUniform3ui = epoxy_glProgramUniform3ui_dispatch_table_rewrite_ptr,
    .glProgramUniform3ui64NV = epoxy_glProgramUniform3ui64NV_dispatch_table_rewrite_ptr,
    .glProgramUniform3ui64vNV = epoxy_glProgramUniform3ui64vNV_dispatch_table_rewrite_ptr,
    .glProgramUniform3uiEXT = epoxy_glProgramUniform3uiEXT_dispatch_table_rewrite_ptr,
    .glProgramUniform3uiv = epoxy_glProgramUniform3uiv_dispatch_table_rewrite_ptr,
    .glProgramUniform3uivEXT = epoxy_glProgramUniform3uivEXT_dispatch_table_rewrite_ptr,
    .glProgramUniform4d = epoxy_glProgramUniform4d_dispatch_table_rewrite_ptr,
    .glProgramUniform4dEXT = epoxy_glProgramUniform4dEXT_dispatch_table_rewrite_ptr,
    .glProgramUniform4dv = epoxy_glProgramUniform4dv_dispatch_table_rewrite_ptr,
    .glProgramUniform4dvEXT = epoxy_glProgramUniform4dvEXT_dispatch_table_rewrite_ptr,
    .glProgramUniform4f = epoxy_glProgramUniform4f_dispatch_table_rewrite_ptr,
    .glProgramUniform4fEXT = epoxy_glProgramUniform4fEXT_dispatch_table_rewrite_ptr,
    .glProgramUniform4fv = epoxy_glProgramUniform4fv_dispatch_table_rewrite_ptr,
    .glProgramUniform4fvEXT = epoxy_glProgramUniform4fvEXT_dispatch_table_rewrite_ptr,
    .glProgramUniform4i = epoxy_glProgramUniform4i_dispatch_table_rewrite_ptr,
    .glProgramUniform4i64NV = epoxy_glProgramUniform4i64NV_dispatch_table_rewrite_ptr,
    .glProgramUniform4i64vNV = epoxy_glProgramUniform4i64vNV_dispatch_table_rewrite_ptr,
    .glProgramUniform4iEXT = epoxy_glProgramUniform4iEXT_dispatch_table_rewrite_ptr,
    .glProgramUniform4iv = epoxy_glProgramUniform4iv_dispatch_table_rewrite_ptr,
    .glProgramUniform4ivEXT = epoxy_glProgramUniform4ivEXT_dispatch_table_rewrite_ptr,
    .glProgramUniform4ui = epoxy_glProgramUniform4ui_dispatch_table_rewrite_ptr,
    .glProgramUniform4ui64NV = epoxy_glProgramUniform4ui64NV_dispatch_table_rewrite_ptr,
    .glProgramUniform4ui64vNV = epoxy_glProgramUniform4ui64vNV_dispatch_table_rewrite_ptr,
    .glProgramUniform4uiEXT = epoxy_glProgramUniform4uiEXT_dispatch_table_rewrite_ptr,
    .glProgramUniform4uiv = epoxy_glProgramUniform4uiv_dispatch_table_rewrite_ptr,
    .glProgramUniform4uivEXT = epoxy_glProgramUniform4uivEXT_dispatch_table_rewrite_ptr,
    .glProgramUniformHandleui64ARB = epoxy_glProgramUniformHandleui64ARB_dispatch_table_rewrite_ptr,
    .glProgramUniformHandleui64NV = epoxy_glProgramUniformHandleui64NV_dispatch_table_rewrite_ptr,
    .glProgramUniformHandleui64vARB = epoxy_glProgramUniformHandleui64vARB_dispatch_table_rewrite_ptr,
    .glProgramUniformHandleui64vNV = epoxy_glProgramUniformHandleui64vNV_dispatch_table_rewrite_ptr,
    .glProgramUniformMatrix2dv = epoxy_glProgramUniformMatrix2dv_dispatch_table_rewrite_ptr,
    .glProgramUniformMatrix2dvEXT = epoxy_glProgramUniformMatrix2dvEXT_dispatch_table_rewrite_ptr,
    .glProgramUniformMatrix2fv = epoxy_glProgramUniformMatrix2fv_dispatch_table_rewrite_ptr,
    .glProgramUniformMatrix2fvEXT = epoxy_glProgramUniformMatrix2fvEXT_dispatch_table_rewrite_ptr,
    .glProgramUniformMatrix2x3dv = epoxy_glProgramUniformMatrix2x3dv_dispatch_table_rewrite_ptr,
    .glProgramUniformMatrix2x3dvEXT = epoxy_glProgramUniformMatrix2x3dvEXT_dispatch_table_rewrite_ptr,
    .glProgramUniformMatrix2x3fv = epoxy_glProgramUniformMatrix2x3fv_dispatch_table_rewrite_ptr,
    .glProgramUniformMatrix2x3fvEXT = epoxy_glProgramUniformMatrix2x3fvEXT_dispatch_table_rewrite_ptr,
    .glProgramUniformMatrix2x4dv = epoxy_glProgramUniformMatrix2x4dv_dispatch_table_rewrite_ptr,
    .glProgramUniformMatrix2x4dvEXT = epoxy_glProgramUniformMatrix2x4dvEXT_dispatch_table_rewrite_ptr,
    .glProgramUniformMatrix2x4fv = epoxy_glProgramUniformMatrix2x4fv_dispatch_table_rewrite_ptr,
    .glProgramUniformMatrix2x4fvEXT = epoxy_glProgramUniformMatrix2x4fvEXT_dispatch_table_rewrite_ptr,
    .glProgramUniformMatrix3dv = epoxy_glProgramUniformMatrix3dv_dispatch_table_rewrite_ptr,
    .glProgramUniformMatrix3dvEXT = epoxy_glProgramUniformMatrix3dvEXT_dispatch_table_rewrite_ptr,
    .glProgramUniformMatrix3fv = epoxy_glProgramUniformMatrix3fv_dispatch_table_rewrite_ptr,
    .glProgramUniformMatrix3fvEXT = epoxy_glProgramUniformMatrix3fvEXT_dispatch_table_rewrite_ptr,
    .glProgramUniformMatrix3x2dv = epoxy_glProgramUniformMatrix3x2dv_dispatch_table_rewrite_ptr,
    .glProgramUniformMatrix3x2dvEXT = epoxy_glProgramUniformMatrix3x2dvEXT_dispatch_table_rewrite_ptr,
    .glProgramUniformMatrix3x2fv = epoxy_glProgramUniformMatrix3x2fv_dispatch_table_rewrite_ptr,
    .glProgramUniformMatrix3x2fvEXT = epoxy_glProgramUniformMatrix3x2fvEXT_dispatch_table_rewrite_ptr,
    .glProgramUniformMatrix3x4dv = epoxy_glProgramUniformMatrix3x4dv_dispatch_table_rewrite_ptr,
    .glProgramUniformMatrix3x4dvEXT = epoxy_glProgramUniformMatrix3x4dvEXT_dispatch_table_rewrite_ptr,
    .glProgramUniformMatrix3x4fv = epoxy_glProgramUniformMatrix3x4fv_dispatch_table_rewrite_ptr,
    .glProgramUniformMatrix3x4fvEXT = epoxy_glProgramUniformMatrix3x4fvEXT_dispatch_table_rewrite_ptr,
    .glProgramUniformMatrix4dv = epoxy_glProgramUniformMatrix4dv_dispatch_table_rewrite_ptr,
    .glProgramUniformMatrix4dvEXT = epoxy_glProgramUniformMatrix4dvEXT_dispatch_table_rewrite_ptr,
    .glProgramUniformMatrix4fv = epoxy_glProgramUniformMatrix4fv_dispatch_table_rewrite_ptr,
    .glProgramUniformMatrix4fvEXT = epoxy_glProgramUniformMatrix4fvEXT_dispatch_table_rewrite_ptr,
    .glProgramUniformMatrix4x2dv = epoxy_glProgramUniformMatrix4x2dv_dispatch_table_rewrite_ptr,
    .glProgramUniformMatrix4x2dvEXT = epoxy_glProgramUniformMatrix4x2dvEXT_dispatch_table_rewrite_ptr,
    .glProgramUniformMatrix4x2fv = epoxy_glProgramUniformMatrix4x2fv_dispatch_table_rewrite_ptr,
    .glProgramUniformMatrix4x2fvEXT = epoxy_glProgramUniformMatrix4x2fvEXT_dispatch_table_rewrite_ptr,
    .glProgramUniformMatrix4x3dv = epoxy_glProgramUniformMatrix4x3dv_dispatch_table_rewrite_ptr,
    .glProgramUniformMatrix4x3dvEXT = epoxy_glProgramUniformMatrix4x3dvEXT_dispatch_table_rewrite_ptr,
    .glProgramUniformMatrix4x3fv = epoxy_glProgramUniformMatrix4x3fv_dispatch_table_rewrite_ptr,
    .glProgramUniformMatrix4x3fvEXT = epoxy_glProgramUniformMatrix4x3fvEXT_dispatch_table_rewrite_ptr,
    .glProgramUniformui64NV = epoxy_glProgramUniformui64NV_dispatch_table_rewrite_ptr,
    .glProgramUniformui64vNV = epoxy_glProgramUniformui64vNV_dispatch_table_rewrite_ptr,
    .glProgramVertexLimitNV = epoxy_glProgramVertexLimitNV_dispatch_table_rewrite_ptr,
    .glProvokingVertex = epoxy_glProvokingVertex_dispatch_table_rewrite_ptr,
    .glProvokingVertexEXT = epoxy_glProvokingVertexEXT_dispatch_table_rewrite_ptr,
    .glPushAttrib = epoxy_glPushAttrib_dispatch_table_rewrite_ptr,
    .glPushClientAttrib = epoxy_glPushClientAttrib_dispatch_table_rewrite_ptr,
    .glPushClientAttribDefaultEXT = epoxy_glPushClientAttribDefaultEXT_dispatch_table_rewrite_ptr,
    .glPushDebugGroup = epoxy_glPushDebugGroup_dispatch_table_rewrite_ptr,
    .glPushDebugGroupKHR = epoxy_glPushDebugGroupKHR_dispatch_table_rewrite_ptr,
    .glPushGroupMarkerEXT = epoxy_glPushGroupMarkerEXT_dispatch_table_rewrite_ptr,
    .glPushMatrix = epoxy_glPushMatrix_dispatch_table_rewrite_ptr,
    .glPushName = epoxy_glPushName_dispatch_table_rewrite_ptr,
    .glQueryCounter = epoxy_glQueryCounter_dispatch_table_rewrite_ptr,
    .glQueryCounterEXT = epoxy_glQueryCounterEXT_dispatch_table_rewrite_ptr,
    .glQueryMatrixxOES = epoxy_glQueryMatrixxOES_dispatch_table_rewrite_ptr,
    .glQueryObjectParameteruiAMD = epoxy_glQueryObjectParameteruiAMD_dispatch_table_rewrite_ptr,
    .glRasterPos2d = epoxy_glRasterPos2d_dispatch_table_rewrite_ptr,
    .glRasterPos2dv = epoxy_glRasterPos2dv_dispatch_table_rewrite_ptr,
    .glRasterPos2f = epoxy_glRasterPos2f_dispatch_table_rewrite_ptr,
    .glRasterPos2fv = epoxy_glRasterPos2fv_dispatch_table_rewrite_ptr,
    .glRasterPos2i = epoxy_glRasterPos2i_dispatch_table_rewrite_ptr,
    .glRasterPos2iv = epoxy_glRasterPos2iv_dispatch_table_rewrite_ptr,
    .glRasterPos2s = epoxy_glRasterPos2s_dispatch_table_rewrite_ptr,
    .glRasterPos2sv = epoxy_glRasterPos2sv_dispatch_table_rewrite_ptr,
    .glRasterPos2xOES = epoxy_glRasterPos2xOES_dispatch_table_rewrite_ptr,
    .glRasterPos2xvOES = epoxy_glRasterPos2xvOES_dispatch_table_rewrite_ptr,
    .glRasterPos3d = epoxy_glRasterPos3d_dispatch_table_rewrite_ptr,
    .glRasterPos3dv = epoxy_glRasterPos3dv_dispatch_table_rewrite_ptr,
    .glRasterPos3f = epoxy_glRasterPos3f_dispatch_table_rewrite_ptr,
    .glRasterPos3fv = epoxy_glRasterPos3fv_dispatch_table_rewrite_ptr,
    .glRasterPos3i = epoxy_glRasterPos3i_dispatch_table_rewrite_ptr,
    .glRasterPos3iv = epoxy_glRasterPos3iv_dispatch_table_rewrite_ptr,
    .glRasterPos3s = epoxy_glRasterPos3s_dispatch_table_rewrite_ptr,
    .glRasterPos3sv = epoxy_glRasterPos3sv_dispatch_table_rewrite_ptr,
    .glRasterPos3xOES = epoxy_glRasterPos3xOES_dispatch_table_rewrite_ptr,
    .glRasterPos3xvOES = epoxy_glRasterPos3xvOES_dispatch_table_rewrite_ptr,
    .glRasterPos4d = epoxy_glRasterPos4d_dispatch_table_rewrite_ptr,
    .glRasterPos4dv = epoxy_glRasterPos4dv_dispatch_table_rewrite_ptr,
    .glRasterPos4f = epoxy_glRasterPos4f_dispatch_table_rewrite_ptr,
    .glRasterPos4fv = epoxy_glRasterPos4fv_dispatch_table_rewrite_ptr,
    .glRasterPos4i = epoxy_glRasterPos4i_dispatch_table_rewrite_ptr,
    .glRasterPos4iv = epoxy_glRasterPos4iv_dispatch_table_rewrite_ptr,
    .glRasterPos4s = epoxy_glRasterPos4s_dispatch_table_rewrite_ptr,
    .glRasterPos4sv = epoxy_glRasterPos4sv_dispatch_table_rewrite_ptr,
    .glRasterPos4xOES = epoxy_glRasterPos4xOES_dispatch_table_rewrite_ptr,
    .glRasterPos4xvOES = epoxy_glRasterPos4xvOES_dispatch_table_rewrite_ptr,
    .glReadBuffer = epoxy_glReadBuffer_dispatch_table_rewrite_ptr,
    .glReadBufferIndexedEXT = epoxy_glReadBufferIndexedEXT_dispatch_table_rewrite_ptr,
    .glReadBufferNV = epoxy_glReadBufferNV_dispatch_table_rewrite_ptr,
    .glReadInstrumentsSGIX = epoxy_glReadInstrumentsSGIX_dispatch_table_rewrite_ptr,
    .glReadPixels = epoxy_glReadPixels_dispatch_table_rewrite_ptr,
    .glReadnPixelsARB = epoxy_glReadnPixelsARB_dispatch_table_rewrite_ptr,
    .glReadnPixelsEXT = epoxy_glReadnPixelsEXT_dispatch_table_rewrite_ptr,
    .glRectd = epoxy_glRectd_dispatch_table_rewrite_ptr,
    .glRectdv = epoxy_glRectdv_dispatch_table_rewrite_ptr,
    .glRectf = epoxy_glRectf_dispatch_table_rewrite_ptr,
    .glRectfv = epoxy_glRectfv_dispatch_table_rewrite_ptr,
    .glRecti = epoxy_glRecti_dispatch_table_rewrite_ptr,
    .glRectiv = epoxy_glRectiv_dispatch_table_rewrite_ptr,
    .glRects = epoxy_glRects_dispatch_table_rewrite_ptr,
    .glRectsv = epoxy_glRectsv_dispatch_table_rewrite_ptr,
    .glRectxOES = epoxy_glRectxOES_dispatch_table_rewrite_ptr,
    .glRectxvOES = epoxy_glRectxvOES_dispatch_table_rewrite_ptr,
    .glReferencePlaneSGIX = epoxy_glReferencePlaneSGIX_dispatch_table_rewrite_ptr,
    .glReleaseShaderCompiler = epoxy_glReleaseShaderCompiler_dispatch_table_rewrite_ptr,
    .glRenderMode = epoxy_glRenderMode_dispatch_table_rewrite_ptr,
    .glRenderbufferStorage = epoxy_glRenderbufferStorage_dispatch_table_rewrite_ptr,
    .glRenderbufferStorageEXT = epoxy_glRenderbufferStorageEXT_dispatch_table_rewrite_ptr,
    .glRenderbufferStorageMultisample = epoxy_glRenderbufferStorageMultisample_dispatch_table_rewrite_ptr,
    .glRenderbufferStorageMultisampleANGLE = epoxy_glRenderbufferStorageMultisampleANGLE_dispatch_table_rewrite_ptr,
    .glRenderbufferStorageMultisampleAPPLE = epoxy_glRenderbufferStorageMultisampleAPPLE_dispatch_table_rewrite_ptr,
    .glRenderbufferStorageMultisampleCoverageNV = epoxy_glRenderbufferStorageMultisampleCoverageNV_dispatch_table_rewrite_ptr,
    .glRenderbufferStorageMultisampleEXT = epoxy_glRenderbufferStorageMultisampleEXT_dispatch_table_rewrite_ptr,
    .glRenderbufferStorageMultisampleIMG = epoxy_glRenderbufferStorageMultisampleIMG_dispatch_table_rewrite_ptr,
    .glRenderbufferStorageMultisampleNV = epoxy_glRenderbufferStorageMultisampleNV_dispatch_table_rewrite_ptr,
    .glRenderbufferStorageOES = epoxy_glRenderbufferStorageOES_dispatch_table_rewrite_ptr,
    .glReplacementCodePointerSUN = epoxy_glReplacementCodePointerSUN_dispatch_table_rewrite_ptr,
    .glReplacementCodeubSUN = epoxy_glReplacementCodeubSUN_dispatch_table_rewrite_ptr,
    .glReplacementCodeubvSUN = epoxy_glReplacementCodeubvSUN_dispatch_table_rewrite_ptr,
    .glReplacementCodeuiColor3fVertex3fSUN = epoxy_glReplacementCodeuiColor3fVertex3fSUN_dispatch_table_rewrite_ptr,
    .glReplacementCodeuiColor3fVertex3fvSUN = epoxy_glReplacementCodeuiColor3fVertex3fvSUN_dispatch_table_rewrite_ptr,
    .glReplacementCodeuiColor4fNormal3fVertex3fSUN = epoxy_glReplacementCodeuiColor4fNormal3fVertex3fSUN_dispatch_table_rewrite_ptr,
    .glReplacementCodeuiColor4fNormal3fVertex3fvSUN = epoxy_glReplacementCodeuiColor4fNormal3fVertex3fvSUN_dispatch_table_rewrite_ptr,
    .glReplacementCodeuiColor4ubVertex3fSUN = epoxy_glReplacementCodeuiColor4ubVertex3fSUN_dispatch_table_rewrite_ptr,
    .glReplacementCodeuiColor4ubVertex3fvSUN = epoxy_glReplacementCodeuiColor4ubVertex3fvSUN_dispatch_table_rewrite_ptr,
    .glReplacementCodeuiNormal3fVertex3fSUN = epoxy_glReplacementCodeuiNormal3fVertex3fSUN_dispatch_table_rewrite_ptr,
    .glReplacementCodeuiNormal3fVertex3fvSUN = epoxy_glReplacementCodeuiNormal3fVertex3fvSUN_dispatch_table_rewrite_ptr,
    .glReplacementCodeuiSUN = epoxy_glReplacementCodeuiSUN_dispatch_table_rewrite_ptr,
    .glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN = epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN_dispatch_table_rewrite_ptr,
    .glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN = epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN_dispatch_table_rewrite_ptr,
    .glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN = epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN_dispatch_table_rewrite_ptr,
    .glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN = epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN_dispatch_table_rewrite_ptr,
    .glReplacementCodeuiTexCoord2fVertex3fSUN = epoxy_glReplacementCodeuiTexCoord2fVertex3fSUN_dispatch_table_rewrite_ptr,
    .glReplacementCodeuiTexCoord2fVertex3fvSUN = epoxy_glReplacementCodeuiTexCoord2fVertex3fvSUN_dispatch_table_rewrite_ptr,
    .glReplacementCodeuiVertex3fSUN = epoxy_glReplacementCodeuiVertex3fSUN_dispatch_table_rewrite_ptr,
    .glReplacementCodeuiVertex3fvSUN = epoxy_glReplacementCodeuiVertex3fvSUN_dispatch_table_rewrite_ptr,
    .glReplacementCodeuivSUN = epoxy_glReplacementCodeuivSUN_dispatch_table_rewrite_ptr,
    .glReplacementCodeusSUN = epoxy_glReplacementCodeusSUN_dispatch_table_rewrite_ptr,
    .glReplacementCodeusvSUN = epoxy_glReplacementCodeusvSUN_dispatch_table_rewrite_ptr,
    .glRequestResidentProgramsNV = epoxy_glRequestResidentProgramsNV_dispatch_table_rewrite_ptr,
    .glResetHistogram = epoxy_glResetHistogram_dispatch_table_rewrite_ptr,
    .glResetHistogramEXT = epoxy_glResetHistogramEXT_dispatch_table_rewrite_ptr,
    .glResetMinmax = epoxy_glResetMinmax_dispatch_table_rewrite_ptr,
    .glResetMinmaxEXT = epoxy_glResetMinmaxEXT_dispatch_table_rewrite_ptr,
    .glResizeBuffersMESA = epoxy_glResizeBuffersMESA_dispatch_table_rewrite_ptr,
    .glResolveMultisampleFramebufferAPPLE = epoxy_glResolveMultisampleFramebufferAPPLE_dispatch_table_rewrite_ptr,
    .glResumeTransformFeedback = epoxy_glResumeTransformFeedback_dispatch_table_rewrite_ptr,
    .glResumeTransformFeedbackNV = epoxy_glResumeTransformFeedbackNV_dispatch_table_rewrite_ptr,
    .glRotated = epoxy_glRotated_dispatch_table_rewrite_ptr,
    .glRotatef = epoxy_glRotatef_dispatch_table_rewrite_ptr,
    .glRotatex = epoxy_glRotatex_dispatch_table_rewrite_ptr,
    .glRotatexOES = epoxy_glRotatexOES_dispatch_table_rewrite_ptr,
    .glSampleCoverage = epoxy_glSampleCoverage_dispatch_table_rewrite_ptr,
    .glSampleCoverageARB = epoxy_glSampleCoverageARB_dispatch_table_rewrite_ptr,
    .glSampleCoverageOES = epoxy_glSampleCoverageOES_dispatch_table_rewrite_ptr,
    .glSampleCoveragex = epoxy_glSampleCoveragex_dispatch_table_rewrite_ptr,
    .glSampleCoveragexOES = epoxy_glSampleCoveragexOES_dispatch_table_rewrite_ptr,
    .glSampleMapATI = epoxy_glSampleMapATI_dispatch_table_rewrite_ptr,
    .glSampleMaskEXT = epoxy_glSampleMaskEXT_dispatch_table_rewrite_ptr,
    .glSampleMaskIndexedNV = epoxy_glSampleMaskIndexedNV_dispatch_table_rewrite_ptr,
    .glSampleMaskSGIS = epoxy_glSampleMaskSGIS_dispatch_table_rewrite_ptr,
    .glSampleMaski = epoxy_glSampleMaski_dispatch_table_rewrite_ptr,
    .glSamplePatternEXT = epoxy_glSamplePatternEXT_dispatch_table_rewrite_ptr,
    .glSamplePatternSGIS = epoxy_glSamplePatternSGIS_dispatch_table_rewrite_ptr,
    .glSamplerParameterIiv = epoxy_glSamplerParameterIiv_dispatch_table_rewrite_ptr,
    .glSamplerParameterIuiv = epoxy_glSamplerParameterIuiv_dispatch_table_rewrite_ptr,
    .glSamplerParameterf = epoxy_glSamplerParameterf_dispatch_table_rewrite_ptr,
    .glSamplerParameterfv = epoxy_glSamplerParameterfv_dispatch_table_rewrite_ptr,
    .glSamplerParameteri = epoxy_glSamplerParameteri_dispatch_table_rewrite_ptr,
    .glSamplerParameteriv = epoxy_glSamplerParameteriv_dispatch_table_rewrite_ptr,
    .glScaled = epoxy_glScaled_dispatch_table_rewrite_ptr,
    .glScalef = epoxy_glScalef_dispatch_table_rewrite_ptr,
    .glScalex = epoxy_glScalex_dispatch_table_rewrite_ptr,
    .glScalexOES = epoxy_glScalexOES_dispatch_table_rewrite_ptr,
    .glScissor = epoxy_glScissor_dispatch_table_rewrite_ptr,
    .glScissorArrayv = epoxy_glScissorArrayv_dispatch_table_rewrite_ptr,
    .glScissorIndexed = epoxy_glScissorIndexed_dispatch_table_rewrite_ptr,
    .glScissorIndexedv = epoxy_glScissorIndexedv_dispatch_table_rewrite_ptr,
    .glSecondaryColor3b = epoxy_glSecondaryColor3b_dispatch_table_rewrite_ptr,
    .glSecondaryColor3bEXT = epoxy_glSecondaryColor3bEXT_dispatch_table_rewrite_ptr,
    .glSecondaryColor3bv = epoxy_glSecondaryColor3bv_dispatch_table_rewrite_ptr,
    .glSecondaryColor3bvEXT = epoxy_glSecondaryColor3bvEXT_dispatch_table_rewrite_ptr,
    .glSecondaryColor3d = epoxy_glSecondaryColor3d_dispatch_table_rewrite_ptr,
    .glSecondaryColor3dEXT = epoxy_glSecondaryColor3dEXT_dispatch_table_rewrite_ptr,
    .glSecondaryColor3dv = epoxy_glSecondaryColor3dv_dispatch_table_rewrite_ptr,
    .glSecondaryColor3dvEXT = epoxy_glSecondaryColor3dvEXT_dispatch_table_rewrite_ptr,
    .glSecondaryColor3f = epoxy_glSecondaryColor3f_dispatch_table_rewrite_ptr,
    .glSecondaryColor3fEXT = epoxy_glSecondaryColor3fEXT_dispatch_table_rewrite_ptr,
    .glSecondaryColor3fv = epoxy_glSecondaryColor3fv_dispatch_table_rewrite_ptr,
    .glSecondaryColor3fvEXT = epoxy_glSecondaryColor3fvEXT_dispatch_table_rewrite_ptr,
    .glSecondaryColor3hNV = epoxy_glSecondaryColor3hNV_dispatch_table_rewrite_ptr,
    .glSecondaryColor3hvNV = epoxy_glSecondaryColor3hvNV_dispatch_table_rewrite_ptr,
    .glSecondaryColor3i = epoxy_glSecondaryColor3i_dispatch_table_rewrite_ptr,
    .glSecondaryColor3iEXT = epoxy_glSecondaryColor3iEXT_dispatch_table_rewrite_ptr,
    .glSecondaryColor3iv = epoxy_glSecondaryColor3iv_dispatch_table_rewrite_ptr,
    .glSecondaryColor3ivEXT = epoxy_glSecondaryColor3ivEXT_dispatch_table_rewrite_ptr,
    .glSecondaryColor3s = epoxy_glSecondaryColor3s_dispatch_table_rewrite_ptr,
    .glSecondaryColor3sEXT = epoxy_glSecondaryColor3sEXT_dispatch_table_rewrite_ptr,
    .glSecondaryColor3sv = epoxy_glSecondaryColor3sv_dispatch_table_rewrite_ptr,
    .glSecondaryColor3svEXT = epoxy_glSecondaryColor3svEXT_dispatch_table_rewrite_ptr,
    .glSecondaryColor3ub = epoxy_glSecondaryColor3ub_dispatch_table_rewrite_ptr,
    .glSecondaryColor3ubEXT = epoxy_glSecondaryColor3ubEXT_dispatch_table_rewrite_ptr,
    .glSecondaryColor3ubv = epoxy_glSecondaryColor3ubv_dispatch_table_rewrite_ptr,
    .glSecondaryColor3ubvEXT = epoxy_glSecondaryColor3ubvEXT_dispatch_table_rewrite_ptr,
    .glSecondaryColor3ui = epoxy_glSecondaryColor3ui_dispatch_table_rewrite_ptr,
    .glSecondaryColor3uiEXT = epoxy_glSecondaryColor3uiEXT_dispatch_table_rewrite_ptr,
    .glSecondaryColor3uiv = epoxy_glSecondaryColor3uiv_dispatch_table_rewrite_ptr,
    .glSecondaryColor3uivEXT = epoxy_glSecondaryColor3uivEXT_dispatch_table_rewrite_ptr,
    .glSecondaryColor3us = epoxy_glSecondaryColor3us_dispatch_table_rewrite_ptr,
    .glSecondaryColor3usEXT = epoxy_glSecondaryColor3usEXT_dispatch_table_rewrite_ptr,
    .glSecondaryColor3usv = epoxy_glSecondaryColor3usv_dispatch_table_rewrite_ptr,
    .glSecondaryColor3usvEXT = epoxy_glSecondaryColor3usvEXT_dispatch_table_rewrite_ptr,
    .glSecondaryColorFormatNV = epoxy_glSecondaryColorFormatNV_dispatch_table_rewrite_ptr,
    .glSecondaryColorP3ui = epoxy_glSecondaryColorP3ui_dispatch_table_rewrite_ptr,
    .glSecondaryColorP3uiv = epoxy_glSecondaryColorP3uiv_dispatch_table_rewrite_ptr,
    .glSecondaryColorPointer = epoxy_glSecondaryColorPointer_dispatch_table_rewrite_ptr,
    .glSecondaryColorPointerEXT = epoxy_glSecondaryColorPointerEXT_dispatch_table_rewrite_ptr,
    .glSecondaryColorPointerListIBM = epoxy_glSecondaryColorPointerListIBM_dispatch_table_rewrite_ptr,
    .glSelectBuffer = epoxy_glSelectBuffer_dispatch_table_rewrite_ptr,
    .glSelectPerfMonitorCountersAMD = epoxy_glSelectPerfMonitorCountersAMD_dispatch_table_rewrite_ptr,
    .glSeparableFilter2D = epoxy_glSeparableFilter2D_dispatch_table_rewrite_ptr,
    .glSeparableFilter2DEXT = epoxy_glSeparableFilter2DEXT_dispatch_table_rewrite_ptr,
    .glSetFenceAPPLE = epoxy_glSetFenceAPPLE_dispatch_table_rewrite_ptr,
    .glSetFenceNV = epoxy_glSetFenceNV_dispatch_table_rewrite_ptr,
    .glSetFragmentShaderConstantATI = epoxy_glSetFragmentShaderConstantATI_dispatch_table_rewrite_ptr,
    .glSetInvariantEXT = epoxy_glSetInvariantEXT_dispatch_table_rewrite_ptr,
    .glSetLocalConstantEXT = epoxy_glSetLocalConstantEXT_dispatch_table_rewrite_ptr,
    .glSetMultisamplefvAMD = epoxy_glSetMultisamplefvAMD_dispatch_table_rewrite_ptr,
    .glShadeModel = epoxy_glShadeModel_dispatch_table_rewrite_ptr,
    .glShaderBinary = epoxy_glShaderBinary_dispatch_table_rewrite_ptr,
    .glShaderOp1EXT = epoxy_glShaderOp1EXT_dispatch_table_rewrite_ptr,
    .glShaderOp2EXT = epoxy_glShaderOp2EXT_dispatch_table_rewrite_ptr,
    .glShaderOp3EXT = epoxy_glShaderOp3EXT_dispatch_table_rewrite_ptr,
    .glShaderSource = epoxy_glShaderSource_dispatch_table_rewrite_ptr,
    .glShaderSourceARB = epoxy_glShaderSourceARB_dispatch_table_rewrite_ptr,
    .glShaderStorageBlockBinding = epoxy_glShaderStorageBlockBinding_dispatch_table_rewrite_ptr,
    .glSharpenTexFuncSGIS = epoxy_glSharpenTexFuncSGIS_dispatch_table_rewrite_ptr,
    .glSpriteParameterfSGIX = epoxy_glSpriteParameterfSGIX_dispatch_table_rewrite_ptr,
    .glSpriteParameterfvSGIX = epoxy_glSpriteParameterfvSGIX_dispatch_table_rewrite_ptr,
    .glSpriteParameteriSGIX = epoxy_glSpriteParameteriSGIX_dispatch_table_rewrite_ptr,
    .glSpriteParameterivSGIX = epoxy_glSpriteParameterivSGIX_dispatch_table_rewrite_ptr,
    .glStartInstrumentsSGIX = epoxy_glStartInstrumentsSGIX_dispatch_table_rewrite_ptr,
    .glStartTilingQCOM = epoxy_glStartTilingQCOM_dispatch_table_rewrite_ptr,
    .glStencilClearTagEXT = epoxy_glStencilClearTagEXT_dispatch_table_rewrite_ptr,
    .glStencilFillPathInstancedNV = epoxy_glStencilFillPathInstancedNV_dispatch_table_rewrite_ptr,
    .glStencilFillPathNV = epoxy_glStencilFillPathNV_dispatch_table_rewrite_ptr,
    .glStencilFunc = epoxy_glStencilFunc_dispatch_table_rewrite_ptr,
    .glStencilFuncSeparate = epoxy_glStencilFuncSeparate_dispatch_table_rewrite_ptr,
    .glStencilFuncSeparateATI = epoxy_glStencilFuncSeparateATI_dispatch_table_rewrite_ptr,
    .glStencilMask = epoxy_glStencilMask_dispatch_table_rewrite_ptr,
    .glStencilMaskSeparate = epoxy_glStencilMaskSeparate_dispatch_table_rewrite_ptr,
    .glStencilOp = epoxy_glStencilOp_dispatch_table_rewrite_ptr,
    .glStencilOpSeparate = epoxy_glStencilOpSeparate_dispatch_table_rewrite_ptr,
    .glStencilOpSeparateATI = epoxy_glStencilOpSeparateATI_dispatch_table_rewrite_ptr,
    .glStencilOpValueAMD = epoxy_glStencilOpValueAMD_dispatch_table_rewrite_ptr,
    .glStencilStrokePathInstancedNV = epoxy_glStencilStrokePathInstancedNV_dispatch_table_rewrite_ptr,
    .glStencilStrokePathNV = epoxy_glStencilStrokePathNV_dispatch_table_rewrite_ptr,
    .glStopInstrumentsSGIX = epoxy_glStopInstrumentsSGIX_dispatch_table_rewrite_ptr,
    .glStringMarkerGREMEDY = epoxy_glStringMarkerGREMEDY_dispatch_table_rewrite_ptr,
    .glSwizzleEXT = epoxy_glSwizzleEXT_dispatch_table_rewrite_ptr,
    .glSyncTextureINTEL = epoxy_glSyncTextureINTEL_dispatch_table_rewrite_ptr,
    .glTagSampleBufferSGIX = epoxy_glTagSampleBufferSGIX_dispatch_table_rewrite_ptr,
    .glTangent3bEXT = epoxy_glTangent3bEXT_dispatch_table_rewrite_ptr,
    .glTangent3bvEXT = epoxy_glTangent3bvEXT_dispatch_table_rewrite_ptr,
    .glTangent3dEXT = epoxy_glTangent3dEXT_dispatch_table_rewrite_ptr,
    .glTangent3dvEXT = epoxy_glTangent3dvEXT_dispatch_table_rewrite_ptr,
    .glTangent3fEXT = epoxy_glTangent3fEXT_dispatch_table_rewrite_ptr,
    .glTangent3fvEXT = epoxy_glTangent3fvEXT_dispatch_table_rewrite_ptr,
    .glTangent3iEXT = epoxy_glTangent3iEXT_dispatch_table_rewrite_ptr,
    .glTangent3ivEXT = epoxy_glTangent3ivEXT_dispatch_table_rewrite_ptr,
    .glTangent3sEXT = epoxy_glTangent3sEXT_dispatch_table_rewrite_ptr,
    .glTangent3svEXT = epoxy_glTangent3svEXT_dispatch_table_rewrite_ptr,
    .glTangentPointerEXT = epoxy_glTangentPointerEXT_dispatch_table_rewrite_ptr,
    .glTbufferMask3DFX = epoxy_glTbufferMask3DFX_dispatch_table_rewrite_ptr,
    .glTessellationFactorAMD = epoxy_glTessellationFactorAMD_dispatch_table_rewrite_ptr,
    .glTessellationModeAMD = epoxy_glTessellationModeAMD_dispatch_table_rewrite_ptr,
    .glTestFenceAPPLE = epoxy_glTestFenceAPPLE_dispatch_table_rewrite_ptr,
    .glTestFenceNV = epoxy_glTestFenceNV_dispatch_table_rewrite_ptr,
    .glTestObjectAPPLE = epoxy_glTestObjectAPPLE_dispatch_table_rewrite_ptr,
    .glTexBuffer = epoxy_glTexBuffer_dispatch_table_rewrite_ptr,
    .glTexBufferARB = epoxy_glTexBufferARB_dispatch_table_rewrite_ptr,
    .glTexBufferEXT = epoxy_glTexBufferEXT_dispatch_table_rewrite_ptr,
    .glTexBufferRange = epoxy_glTexBufferRange_dispatch_table_rewrite_ptr,
    .glTexBumpParameterfvATI = epoxy_glTexBumpParameterfvATI_dispatch_table_rewrite_ptr,
    .glTexBumpParameterivATI = epoxy_glTexBumpParameterivATI_dispatch_table_rewrite_ptr,
    .glTexCoord1bOES = epoxy_glTexCoord1bOES_dispatch_table_rewrite_ptr,
    .glTexCoord1bvOES = epoxy_glTexCoord1bvOES_dispatch_table_rewrite_ptr,
    .glTexCoord1d = epoxy_glTexCoord1d_dispatch_table_rewrite_ptr,
    .glTexCoord1dv = epoxy_glTexCoord1dv_dispatch_table_rewrite_ptr,
    .glTexCoord1f = epoxy_glTexCoord1f_dispatch_table_rewrite_ptr,
    .glTexCoord1fv = epoxy_glTexCoord1fv_dispatch_table_rewrite_ptr,
    .glTexCoord1hNV = epoxy_glTexCoord1hNV_dispatch_table_rewrite_ptr,
    .glTexCoord1hvNV = epoxy_glTexCoord1hvNV_dispatch_table_rewrite_ptr,
    .glTexCoord1i = epoxy_glTexCoord1i_dispatch_table_rewrite_ptr,
    .glTexCoord1iv = epoxy_glTexCoord1iv_dispatch_table_rewrite_ptr,
    .glTexCoord1s = epoxy_glTexCoord1s_dispatch_table_rewrite_ptr,
    .glTexCoord1sv = epoxy_glTexCoord1sv_dispatch_table_rewrite_ptr,
    .glTexCoord1xOES = epoxy_glTexCoord1xOES_dispatch_table_rewrite_ptr,
    .glTexCoord1xvOES = epoxy_glTexCoord1xvOES_dispatch_table_rewrite_ptr,
    .glTexCoord2bOES = epoxy_glTexCoord2bOES_dispatch_table_rewrite_ptr,
    .glTexCoord2bvOES = epoxy_glTexCoord2bvOES_dispatch_table_rewrite_ptr,
    .glTexCoord2d = epoxy_glTexCoord2d_dispatch_table_rewrite_ptr,
    .glTexCoord2dv = epoxy_glTexCoord2dv_dispatch_table_rewrite_ptr,
    .glTexCoord2f = epoxy_glTexCoord2f_dispatch_table_rewrite_ptr,
    .glTexCoord2fColor3fVertex3fSUN = epoxy_glTexCoord2fColor3fVertex3fSUN_dispatch_table_rewrite_ptr,
    .glTexCoord2fColor3fVertex3fvSUN = epoxy_glTexCoord2fColor3fVertex3fvSUN_dispatch_table_rewrite_ptr,
    .glTexCoord2fColor4fNormal3fVertex3fSUN = epoxy_glTexCoord2fColor4fNormal3fVertex3fSUN_dispatch_table_rewrite_ptr,
    .glTexCoord2fColor4fNormal3fVertex3fvSUN = epoxy_glTexCoord2fColor4fNormal3fVertex3fvSUN_dispatch_table_rewrite_ptr,
    .glTexCoord2fColor4ubVertex3fSUN = epoxy_glTexCoord2fColor4ubVertex3fSUN_dispatch_table_rewrite_ptr,
    .glTexCoord2fColor4ubVertex3fvSUN = epoxy_glTexCoord2fColor4ubVertex3fvSUN_dispatch_table_rewrite_ptr,
    .glTexCoord2fNormal3fVertex3fSUN = epoxy_glTexCoord2fNormal3fVertex3fSUN_dispatch_table_rewrite_ptr,
    .glTexCoord2fNormal3fVertex3fvSUN = epoxy_glTexCoord2fNormal3fVertex3fvSUN_dispatch_table_rewrite_ptr,
    .glTexCoord2fVertex3fSUN = epoxy_glTexCoord2fVertex3fSUN_dispatch_table_rewrite_ptr,
    .glTexCoord2fVertex3fvSUN = epoxy_glTexCoord2fVertex3fvSUN_dispatch_table_rewrite_ptr,
    .glTexCoord2fv = epoxy_glTexCoord2fv_dispatch_table_rewrite_ptr,
    .glTexCoord2hNV = epoxy_glTexCoord2hNV_dispatch_table_rewrite_ptr,
    .glTexCoord2hvNV = epoxy_glTexCoord2hvNV_dispatch_table_rewrite_ptr,
    .glTexCoord2i = epoxy_glTexCoord2i_dispatch_table_rewrite_ptr,
    .glTexCoord2iv = epoxy_glTexCoord2iv_dispatch_table_rewrite_ptr,
    .glTexCoord2s = epoxy_glTexCoord2s_dispatch_table_rewrite_ptr,
    .glTexCoord2sv = epoxy_glTexCoord2sv_dispatch_table_rewrite_ptr,
    .glTexCoord2xOES = epoxy_glTexCoord2xOES_dispatch_table_rewrite_ptr,
    .glTexCoord2xvOES = epoxy_glTexCoord2xvOES_dispatch_table_rewrite_ptr,
    .glTexCoord3bOES = epoxy_glTexCoord3bOES_dispatch_table_rewrite_ptr,
    .glTexCoord3bvOES = epoxy_glTexCoord3bvOES_dispatch_table_rewrite_ptr,
    .glTexCoord3d = epoxy_glTexCoord3d_dispatch_table_rewrite_ptr,
    .glTexCoord3dv = epoxy_glTexCoord3dv_dispatch_table_rewrite_ptr,
    .glTexCoord3f = epoxy_glTexCoord3f_dispatch_table_rewrite_ptr,
    .glTexCoord3fv = epoxy_glTexCoord3fv_dispatch_table_rewrite_ptr,
    .glTexCoord3hNV = epoxy_glTexCoord3hNV_dispatch_table_rewrite_ptr,
    .glTexCoord3hvNV = epoxy_glTexCoord3hvNV_dispatch_table_rewrite_ptr,
    .glTexCoord3i = epoxy_glTexCoord3i_dispatch_table_rewrite_ptr,
    .glTexCoord3iv = epoxy_glTexCoord3iv_dispatch_table_rewrite_ptr,
    .glTexCoord3s = epoxy_glTexCoord3s_dispatch_table_rewrite_ptr,
    .glTexCoord3sv = epoxy_glTexCoord3sv_dispatch_table_rewrite_ptr,
    .glTexCoord3xOES = epoxy_glTexCoord3xOES_dispatch_table_rewrite_ptr,
    .glTexCoord3xvOES = epoxy_glTexCoord3xvOES_dispatch_table_rewrite_ptr,
    .glTexCoord4bOES = epoxy_glTexCoord4bOES_dispatch_table_rewrite_ptr,
    .glTexCoord4bvOES = epoxy_glTexCoord4bvOES_dispatch_table_rewrite_ptr,
    .glTexCoord4d = epoxy_glTexCoord4d_dispatch_table_rewrite_ptr,
    .glTexCoord4dv = epoxy_glTexCoord4dv_dispatch_table_rewrite_ptr,
    .glTexCoord4f = epoxy_glTexCoord4f_dispatch_table_rewrite_ptr,
    .glTexCoord4fColor4fNormal3fVertex4fSUN = epoxy_glTexCoord4fColor4fNormal3fVertex4fSUN_dispatch_table_rewrite_ptr,
    .glTexCoord4fColor4fNormal3fVertex4fvSUN = epoxy_glTexCoord4fColor4fNormal3fVertex4fvSUN_dispatch_table_rewrite_ptr,
    .glTexCoord4fVertex4fSUN = epoxy_glTexCoord4fVertex4fSUN_dispatch_table_rewrite_ptr,
    .glTexCoord4fVertex4fvSUN = epoxy_glTexCoord4fVertex4fvSUN_dispatch_table_rewrite_ptr,
    .glTexCoord4fv = epoxy_glTexCoord4fv_dispatch_table_rewrite_ptr,
    .glTexCoord4hNV = epoxy_glTexCoord4hNV_dispatch_table_rewrite_ptr,
    .glTexCoord4hvNV = epoxy_glTexCoord4hvNV_dispatch_table_rewrite_ptr,
    .glTexCoord4i = epoxy_glTexCoord4i_dispatch_table_rewrite_ptr,
    .glTexCoord4iv = epoxy_glTexCoord4iv_dispatch_table_rewrite_ptr,
    .glTexCoord4s = epoxy_glTexCoord4s_dispatch_table_rewrite_ptr,
    .glTexCoord4sv = epoxy_glTexCoord4sv_dispatch_table_rewrite_ptr,
    .glTexCoord4xOES = epoxy_glTexCoord4xOES_dispatch_table_rewrite_ptr,
    .glTexCoord4xvOES = epoxy_glTexCoord4xvOES_dispatch_table_rewrite_ptr,
    .glTexCoordFormatNV = epoxy_glTexCoordFormatNV_dispatch_table_rewrite_ptr,
    .glTexCoordP1ui = epoxy_glTexCoordP1ui_dispatch_table_rewrite_ptr,
    .glTexCoordP1uiv = epoxy_glTexCoordP1uiv_dispatch_table_rewrite_ptr,
    .glTexCoordP2ui = epoxy_glTexCoordP2ui_dispatch_table_rewrite_ptr,
    .glTexCoordP2uiv = epoxy_glTexCoordP2uiv_dispatch_table_rewrite_ptr,
    .glTexCoordP3ui = epoxy_glTexCoordP3ui_dispatch_table_rewrite_ptr,
    .glTexCoordP3uiv = epoxy_glTexCoordP3uiv_dispatch_table_rewrite_ptr,
    .glTexCoordP4ui = epoxy_glTexCoordP4ui_dispatch_table_rewrite_ptr,
    .glTexCoordP4uiv = epoxy_glTexCoordP4uiv_dispatch_table_rewrite_ptr,
    .glTexCoordPointer = epoxy_glTexCoordPointer_dispatch_table_rewrite_ptr,
    .glTexCoordPointerEXT = epoxy_glTexCoordPointerEXT_dispatch_table_rewrite_ptr,
    .glTexCoordPointerListIBM = epoxy_glTexCoordPointerListIBM_dispatch_table_rewrite_ptr,
    .glTexCoordPointervINTEL = epoxy_glTexCoordPointervINTEL_dispatch_table_rewrite_ptr,
    .glTexEnvf = epoxy_glTexEnvf_dispatch_table_rewrite_ptr,
    .glTexEnvfv = epoxy_glTexEnvfv_dispatch_table_rewrite_ptr,
    .glTexEnvi = epoxy_glTexEnvi_dispatch_table_rewrite_ptr,
    .glTexEnviv = epoxy_glTexEnviv_dispatch_table_rewrite_ptr,
    .glTexEnvx = epoxy_glTexEnvx_dispatch_table_rewrite_ptr,
    .glTexEnvxOES = epoxy_glTexEnvxOES_dispatch_table_rewrite_ptr,
    .glTexEnvxv = epoxy_glTexEnvxv_dispatch_table_rewrite_ptr,
    .glTexEnvxvOES = epoxy_glTexEnvxvOES_dispatch_table_rewrite_ptr,
    .glTexFilterFuncSGIS = epoxy_glTexFilterFuncSGIS_dispatch_table_rewrite_ptr,
    .glTexGend = epoxy_glTexGend_dispatch_table_rewrite_ptr,
    .glTexGendv = epoxy_glTexGendv_dispatch_table_rewrite_ptr,
    .glTexGenf = epoxy_glTexGenf_dispatch_table_rewrite_ptr,
    .glTexGenfOES = epoxy_glTexGenfOES_dispatch_table_rewrite_ptr,
    .glTexGenfv = epoxy_glTexGenfv_dispatch_table_rewrite_ptr,
    .glTexGenfvOES = epoxy_glTexGenfvOES_dispatch_table_rewrite_ptr,
    .glTexGeni = epoxy_glTexGeni_dispatch_table_rewrite_ptr,
    .glTexGeniOES = epoxy_glTexGeniOES_dispatch_table_rewrite_ptr,
    .glTexGeniv = epoxy_glTexGeniv_dispatch_table_rewrite_ptr,
    .glTexGenivOES = epoxy_glTexGenivOES_dispatch_table_rewrite_ptr,
    .glTexGenxOES = epoxy_glTexGenxOES_dispatch_table_rewrite_ptr,
    .glTexGenxvOES = epoxy_glTexGenxvOES_dispatch_table_rewrite_ptr,
    .glTexImage1D = epoxy_glTexImage1D_dispatch_table_rewrite_ptr,
    .glTexImage2D = epoxy_glTexImage2D_dispatch_table_rewrite_ptr,
    .glTexImage2DMultisample = epoxy_glTexImage2DMultisample_dispatch_table_rewrite_ptr,
    .glTexImage2DMultisampleCoverageNV = epoxy_glTexImage2DMultisampleCoverageNV_dispatch_table_rewrite_ptr,
    .glTexImage3D = epoxy_glTexImage3D_dispatch_table_rewrite_ptr,
    .glTexImage3DEXT = epoxy_glTexImage3DEXT_dispatch_table_rewrite_ptr,
    .glTexImage3DMultisample = epoxy_glTexImage3DMultisample_dispatch_table_rewrite_ptr,
    .glTexImage3DMultisampleCoverageNV = epoxy_glTexImage3DMultisampleCoverageNV_dispatch_table_rewrite_ptr,
    .glTexImage3DOES = epoxy_glTexImage3DOES_dispatch_table_rewrite_ptr,
    .glTexImage4DSGIS = epoxy_glTexImage4DSGIS_dispatch_table_rewrite_ptr,
    .glTexPageCommitmentARB = epoxy_glTexPageCommitmentARB_dispatch_table_rewrite_ptr,
    .glTexParameterIiv = epoxy_glTexParameterIiv_dispatch_table_rewrite_ptr,
    .glTexParameterIivEXT = epoxy_glTexParameterIivEXT_dispatch_table_rewrite_ptr,
    .glTexParameterIuiv = epoxy_glTexParameterIuiv_dispatch_table_rewrite_ptr,
    .glTexParameterIuivEXT = epoxy_glTexParameterIuivEXT_dispatch_table_rewrite_ptr,
    .glTexParameterf = epoxy_glTexParameterf_dispatch_table_rewrite_ptr,
    .glTexParameterfv = epoxy_glTexParameterfv_dispatch_table_rewrite_ptr,
    .glTexParameteri = epoxy_glTexParameteri_dispatch_table_rewrite_ptr,
    .glTexParameteriv = epoxy_glTexParameteriv_dispatch_table_rewrite_ptr,
    .glTexParameterx = epoxy_glTexParameterx_dispatch_table_rewrite_ptr,
    .glTexParameterxOES = epoxy_glTexParameterxOES_dispatch_table_rewrite_ptr,
    .glTexParameterxv = epoxy_glTexParameterxv_dispatch_table_rewrite_ptr,
    .glTexParameterxvOES = epoxy_glTexParameterxvOES_dispatch_table_rewrite_ptr,
    .glTexRenderbufferNV = epoxy_glTexRenderbufferNV_dispatch_table_rewrite_ptr,
    .glTexStorage1D = epoxy_glTexStorage1D_dispatch_table_rewrite_ptr,
    .glTexStorage1DEXT = epoxy_glTexStorage1DEXT_dispatch_table_rewrite_ptr,
    .glTexStorage2D = epoxy_glTexStorage2D_dispatch_table_rewrite_ptr,
    .glTexStorage2DEXT = epoxy_glTexStorage2DEXT_dispatch_table_rewrite_ptr,
    .glTexStorage2DMultisample = epoxy_glTexStorage2DMultisample_dispatch_table_rewrite_ptr,
    .glTexStorage3D = epoxy_glTexStorage3D_dispatch_table_rewrite_ptr,
    .glTexStorage3DEXT = epoxy_glTexStorage3DEXT_dispatch_table_rewrite_ptr,
    .glTexStorage3DMultisample = epoxy_glTexStorage3DMultisample_dispatch_table_rewrite_ptr,
    .glTexStorage3DMultisampleOES = epoxy_glTexStorage3DMultisampleOES_dispatch_table_rewrite_ptr,
    .glTexStorageSparseAMD = epoxy_glTexStorageSparseAMD_dispatch_table_rewrite_ptr,
    .glTexSubImage1D = epoxy_glTexSubImage1D_dispatch_table_rewrite_ptr,
    .glTexSubImage1DEXT = epoxy_glTexSubImage1DEXT_dispatch_table_rewrite_ptr,
    .glTexSubImage2D = epoxy_glTexSubImage2D_dispatch_table_rewrite_ptr,
    .glTexSubImage2DEXT = epoxy_glTexSubImage2DEXT_dispatch_table_rewrite_ptr,
    .glTexSubImage3D = epoxy_glTexSubImage3D_dispatch_table_rewrite_ptr,
    .glTexSubImage3DEXT = epoxy_glTexSubImage3DEXT_dispatch_table_rewrite_ptr,
    .glTexSubImage3DOES = epoxy_glTexSubImage3DOES_dispatch_table_rewrite_ptr,
    .glTexSubImage4DSGIS = epoxy_glTexSubImage4DSGIS_dispatch_table_rewrite_ptr,
    .glTextureBarrierNV = epoxy_glTextureBarrierNV_dispatch_table_rewrite_ptr,
    .glTextureBufferEXT = epoxy_glTextureBufferEXT_dispatch_table_rewrite_ptr,
    .glTextureBufferRangeEXT = epoxy_glTextureBufferRangeEXT_dispatch_table_rewrite_ptr,
    .glTextureColorMaskSGIS = epoxy_glTextureColorMaskSGIS_dispatch_table_rewrite_ptr,
    .glTextureImage1DEXT = epoxy_glTextureImage1DEXT_dispatch_table_rewrite_ptr,
    .glTextureImage2DEXT = epoxy_glTextureImage2DEXT_dispatch_table_rewrite_ptr,
    .glTextureImage2DMultisampleCoverageNV = epoxy_glTextureImage2DMultisampleCoverageNV_dispatch_table_rewrite_ptr,
    .glTextureImage2DMultisampleNV = epoxy_glTextureImage2DMultisampleNV_dispatch_table_rewrite_ptr,
    .glTextureImage3DEXT = epoxy_glTextureImage3DEXT_dispatch_table_rewrite_ptr,
    .glTextureImage3DMultisampleCoverageNV = epoxy_glTextureImage3DMultisampleCoverageNV_dispatch_table_rewrite_ptr,
    .glTextureImage3DMultisampleNV = epoxy_glTextureImage3DMultisampleNV_dispatch_table_rewrite_ptr,
    .glTextureLightEXT = epoxy_glTextureLightEXT_dispatch_table_rewrite_ptr,
    .glTextureMaterialEXT = epoxy_glTextureMaterialEXT_dispatch_table_rewrite_ptr,
    .glTextureNormalEXT = epoxy_glTextureNormalEXT_dispatch_table_rewrite_ptr,
    .glTexturePageCommitmentEXT = epoxy_glTexturePageCommitmentEXT_dispatch_table_rewrite_ptr,
    .glTextureParameterIivEXT = epoxy_glTextureParameterIivEXT_dispatch_table_rewrite_ptr,
    .glTextureParameterIuivEXT = epoxy_glTextureParameterIuivEXT_dispatch_table_rewrite_ptr,
    .glTextureParameterfEXT = epoxy_glTextureParameterfEXT_dispatch_table_rewrite_ptr,
    .glTextureParameterfvEXT = epoxy_glTextureParameterfvEXT_dispatch_table_rewrite_ptr,
    .glTextureParameteriEXT = epoxy_glTextureParameteriEXT_dispatch_table_rewrite_ptr,
    .glTextureParameterivEXT = epoxy_glTextureParameterivEXT_dispatch_table_rewrite_ptr,
    .glTextureRangeAPPLE = epoxy_glTextureRangeAPPLE_dispatch_table_rewrite_ptr,
    .glTextureRenderbufferEXT = epoxy_glTextureRenderbufferEXT_dispatch_table_rewrite_ptr,
    .glTextureStorage1DEXT = epoxy_glTextureStorage1DEXT_dispatch_table_rewrite_ptr,
    .glTextureStorage2DEXT = epoxy_glTextureStorage2DEXT_dispatch_table_rewrite_ptr,
    .glTextureStorage2DMultisampleEXT = epoxy_glTextureStorage2DMultisampleEXT_dispatch_table_rewrite_ptr,
    .glTextureStorage3DEXT = epoxy_glTextureStorage3DEXT_dispatch_table_rewrite_ptr,
    .glTextureStorage3DMultisampleEXT = epoxy_glTextureStorage3DMultisampleEXT_dispatch_table_rewrite_ptr,
    .glTextureStorageSparseAMD = epoxy_glTextureStorageSparseAMD_dispatch_table_rewrite_ptr,
    .glTextureSubImage1DEXT = epoxy_glTextureSubImage1DEXT_dispatch_table_rewrite_ptr,
    .glTextureSubImage2DEXT = epoxy_glTextureSubImage2DEXT_dispatch_table_rewrite_ptr,
    .glTextureSubImage3DEXT = epoxy_glTextureSubImage3DEXT_dispatch_table_rewrite_ptr,
    .glTextureView = epoxy_glTextureView_dispatch_table_rewrite_ptr,
    .glTrackMatrixNV = epoxy_glTrackMatrixNV_dispatch_table_rewrite_ptr,
    .glTransformFeedbackAttribsNV = epoxy_glTransformFeedbackAttribsNV_dispatch_table_rewrite_ptr,
    .glTransformFeedbackStreamAttribsNV = epoxy_glTransformFeedbackStreamAttribsNV_dispatch_table_rewrite_ptr,
    .glTransformFeedbackVaryings = epoxy_glTransformFeedbackVaryings_dispatch_table_rewrite_ptr,
    .glTransformFeedbackVaryingsEXT = epoxy_glTransformFeedbackVaryingsEXT_dispatch_table_rewrite_ptr,
    .glTransformFeedbackVaryingsNV = epoxy_glTransformFeedbackVaryingsNV_dispatch_table_rewrite_ptr,
    .glTransformPathNV = epoxy_glTransformPathNV_dispatch_table_rewrite_ptr,
    .glTranslated = epoxy_glTranslated_dispatch_table_rewrite_ptr,
    .glTranslatef = epoxy_glTranslatef_dispatch_table_rewrite_ptr,
    .glTranslatex = epoxy_glTranslatex_dispatch_table_rewrite_ptr,
    .glTranslatexOES = epoxy_glTranslatexOES_dispatch_table_rewrite_ptr,
    .glUniform1d = epoxy_glUniform1d_dispatch_table_rewrite_ptr,
    .glUniform1dv = epoxy_glUniform1dv_dispatch_table_rewrite_ptr,
    .glUniform1f = epoxy_glUniform1f_dispatch_table_rewrite_ptr,
    .glUniform1fARB = epoxy_glUniform1fARB_dispatch_table_rewrite_ptr,
    .glUniform1fv = epoxy_glUniform1fv_dispatch_table_rewrite_ptr,
    .glUniform1fvARB = epoxy_glUniform1fvARB_dispatch_table_rewrite_ptr,
    .glUniform1i = epoxy_glUniform1i_dispatch_table_rewrite_ptr,
    .glUniform1i64NV = epoxy_glUniform1i64NV_dispatch_table_rewrite_ptr,
    .glUniform1i64vNV = epoxy_glUniform1i64vNV_dispatch_table_rewrite_ptr,
    .glUniform1iARB = epoxy_glUniform1iARB_dispatch_table_rewrite_ptr,
    .glUniform1iv = epoxy_glUniform1iv_dispatch_table_rewrite_ptr,
    .glUniform1ivARB = epoxy_glUniform1ivARB_dispatch_table_rewrite_ptr,
    .glUniform1ui = epoxy_glUniform1ui_dispatch_table_rewrite_ptr,
    .glUniform1ui64NV = epoxy_glUniform1ui64NV_dispatch_table_rewrite_ptr,
    .glUniform1ui64vNV = epoxy_glUniform1ui64vNV_dispatch_table_rewrite_ptr,
    .glUniform1uiEXT = epoxy_glUniform1uiEXT_dispatch_table_rewrite_ptr,
    .glUniform1uiv = epoxy_glUniform1uiv_dispatch_table_rewrite_ptr,
    .glUniform1uivEXT = epoxy_glUniform1uivEXT_dispatch_table_rewrite_ptr,
    .glUniform2d = epoxy_glUniform2d_dispatch_table_rewrite_ptr,
    .glUniform2dv = epoxy_glUniform2dv_dispatch_table_rewrite_ptr,
    .glUniform2f = epoxy_glUniform2f_dispatch_table_rewrite_ptr,
    .glUniform2fARB = epoxy_glUniform2fARB_dispatch_table_rewrite_ptr,
    .glUniform2fv = epoxy_glUniform2fv_dispatch_table_rewrite_ptr,
    .glUniform2fvARB = epoxy_glUniform2fvARB_dispatch_table_rewrite_ptr,
    .glUniform2i = epoxy_glUniform2i_dispatch_table_rewrite_ptr,
    .glUniform2i64NV = epoxy_glUniform2i64NV_dispatch_table_rewrite_ptr,
    .glUniform2i64vNV = epoxy_glUniform2i64vNV_dispatch_table_rewrite_ptr,
    .glUniform2iARB = epoxy_glUniform2iARB_dispatch_table_rewrite_ptr,
    .glUniform2iv = epoxy_glUniform2iv_dispatch_table_rewrite_ptr,
    .glUniform2ivARB = epoxy_glUniform2ivARB_dispatch_table_rewrite_ptr,
    .glUniform2ui = epoxy_glUniform2ui_dispatch_table_rewrite_ptr,
    .glUniform2ui64NV = epoxy_glUniform2ui64NV_dispatch_table_rewrite_ptr,
    .glUniform2ui64vNV = epoxy_glUniform2ui64vNV_dispatch_table_rewrite_ptr,
    .glUniform2uiEXT = epoxy_glUniform2uiEXT_dispatch_table_rewrite_ptr,
    .glUniform2uiv = epoxy_glUniform2uiv_dispatch_table_rewrite_ptr,
    .glUniform2uivEXT = epoxy_glUniform2uivEXT_dispatch_table_rewrite_ptr,
    .glUniform3d = epoxy_glUniform3d_dispatch_table_rewrite_ptr,
    .glUniform3dv = epoxy_glUniform3dv_dispatch_table_rewrite_ptr,
    .glUniform3f = epoxy_glUniform3f_dispatch_table_rewrite_ptr,
    .glUniform3fARB = epoxy_glUniform3fARB_dispatch_table_rewrite_ptr,
    .glUniform3fv = epoxy_glUniform3fv_dispatch_table_rewrite_ptr,
    .glUniform3fvARB = epoxy_glUniform3fvARB_dispatch_table_rewrite_ptr,
    .glUniform3i = epoxy_glUniform3i_dispatch_table_rewrite_ptr,
    .glUniform3i64NV = epoxy_glUniform3i64NV_dispatch_table_rewrite_ptr,
    .glUniform3i64vNV = epoxy_glUniform3i64vNV_dispatch_table_rewrite_ptr,
    .glUniform3iARB = epoxy_glUniform3iARB_dispatch_table_rewrite_ptr,
    .glUniform3iv = epoxy_glUniform3iv_dispatch_table_rewrite_ptr,
    .glUniform3ivARB = epoxy_glUniform3ivARB_dispatch_table_rewrite_ptr,
    .glUniform3ui = epoxy_glUniform3ui_dispatch_table_rewrite_ptr,
    .glUniform3ui64NV = epoxy_glUniform3ui64NV_dispatch_table_rewrite_ptr,
    .glUniform3ui64vNV = epoxy_glUniform3ui64vNV_dispatch_table_rewrite_ptr,
    .glUniform3uiEXT = epoxy_glUniform3uiEXT_dispatch_table_rewrite_ptr,
    .glUniform3uiv = epoxy_glUniform3uiv_dispatch_table_rewrite_ptr,
    .glUniform3uivEXT = epoxy_glUniform3uivEXT_dispatch_table_rewrite_ptr,
    .glUniform4d = epoxy_glUniform4d_dispatch_table_rewrite_ptr,
    .glUniform4dv = epoxy_glUniform4dv_dispatch_table_rewrite_ptr,
    .glUniform4f = epoxy_glUniform4f_dispatch_table_rewrite_ptr,
    .glUniform4fARB = epoxy_glUniform4fARB_dispatch_table_rewrite_ptr,
    .glUniform4fv = epoxy_glUniform4fv_dispatch_table_rewrite_ptr,
    .glUniform4fvARB = epoxy_glUniform4fvARB_dispatch_table_rewrite_ptr,
    .glUniform4i = epoxy_glUniform4i_dispatch_table_rewrite_ptr,
    .glUniform4i64NV = epoxy_glUniform4i64NV_dispatch_table_rewrite_ptr,
    .glUniform4i64vNV = epoxy_glUniform4i64vNV_dispatch_table_rewrite_ptr,
    .glUniform4iARB = epoxy_glUniform4iARB_dispatch_table_rewrite_ptr,
    .glUniform4iv = epoxy_glUniform4iv_dispatch_table_rewrite_ptr,
    .glUniform4ivARB = epoxy_glUniform4ivARB_dispatch_table_rewrite_ptr,
    .glUniform4ui = epoxy_glUniform4ui_dispatch_table_rewrite_ptr,
    .glUniform4ui64NV = epoxy_glUniform4ui64NV_dispatch_table_rewrite_ptr,
    .glUniform4ui64vNV = epoxy_glUniform4ui64vNV_dispatch_table_rewrite_ptr,
    .glUniform4uiEXT = epoxy_glUniform4uiEXT_dispatch_table_rewrite_ptr,
    .glUniform4uiv = epoxy_glUniform4uiv_dispatch_table_rewrite_ptr,
    .glUniform4uivEXT = epoxy_glUniform4uivEXT_dispatch_table_rewrite_ptr,
    .glUniformBlockBinding = epoxy_glUniformBlockBinding_dispatch_table_rewrite_ptr,
    .glUniformBufferEXT = epoxy_glUniformBufferEXT_dispatch_table_rewrite_ptr,
    .glUniformHandleui64ARB = epoxy_glUniformHandleui64ARB_dispatch_table_rewrite_ptr,
    .glUniformHandleui64NV = epoxy_glUniformHandleui64NV_dispatch_table_rewrite_ptr,
    .glUniformHandleui64vARB = epoxy_glUniformHandleui64vARB_dispatch_table_rewrite_ptr,
    .glUniformHandleui64vNV = epoxy_glUniformHandleui64vNV_dispatch_table_rewrite_ptr,
    .glUniformMatrix2dv = epoxy_glUniformMatrix2dv_dispatch_table_rewrite_ptr,
    .glUniformMatrix2fv = epoxy_glUniformMatrix2fv_dispatch_table_rewrite_ptr,
    .glUniformMatrix2fvARB = epoxy_glUniformMatrix2fvARB_dispatch_table_rewrite_ptr,
    .glUniformMatrix2x3dv = epoxy_glUniformMatrix2x3dv_dispatch_table_rewrite_ptr,
    .glUniformMatrix2x3fv = epoxy_glUniformMatrix2x3fv_dispatch_table_rewrite_ptr,
    .glUniformMatrix2x3fvNV = epoxy_glUniformMatrix2x3fvNV_dispatch_table_rewrite_ptr,
    .glUniformMatrix2x4dv = epoxy_glUniformMatrix2x4dv_dispatch_table_rewrite_ptr,
    .glUniformMatrix2x4fv = epoxy_glUniformMatrix2x4fv_dispatch_table_rewrite_ptr,
    .glUniformMatrix2x4fvNV = epoxy_glUniformMatrix2x4fvNV_dispatch_table_rewrite_ptr,
    .glUniformMatrix3dv = epoxy_glUniformMatrix3dv_dispatch_table_rewrite_ptr,
    .glUniformMatrix3fv = epoxy_glUniformMatrix3fv_dispatch_table_rewrite_ptr,
    .glUniformMatrix3fvARB = epoxy_glUniformMatrix3fvARB_dispatch_table_rewrite_ptr,
    .glUniformMatrix3x2dv = epoxy_glUniformMatrix3x2dv_dispatch_table_rewrite_ptr,
    .glUniformMatrix3x2fv = epoxy_glUniformMatrix3x2fv_dispatch_table_rewrite_ptr,
    .glUniformMatrix3x2fvNV = epoxy_glUniformMatrix3x2fvNV_dispatch_table_rewrite_ptr,
    .glUniformMatrix3x4dv = epoxy_glUniformMatrix3x4dv_dispatch_table_rewrite_ptr,
    .glUniformMatrix3x4fv = epoxy_glUniformMatrix3x4fv_dispatch_table_rewrite_ptr,
    .glUniformMatrix3x4fvNV = epoxy_glUniformMatrix3x4fvNV_dispatch_table_rewrite_ptr,
    .glUniformMatrix4dv = epoxy_glUniformMatrix4dv_dispatch_table_rewrite_ptr,
    .glUniformMatrix4fv = epoxy_glUniformMatrix4fv_dispatch_table_rewrite_ptr,
    .glUniformMatrix4fvARB = epoxy_glUniformMatrix4fvARB_dispatch_table_rewrite_ptr,
    .glUniformMatrix4x2dv = epoxy_glUniformMatrix4x2dv_dispatch_table_rewrite_ptr,
    .glUniformMatrix4x2fv = epoxy_glUniformMatrix4x2fv_dispatch_table_rewrite_ptr,
    .glUniformMatrix4x2fvNV = epoxy_glUniformMatrix4x2fvNV_dispatch_table_rewrite_ptr,
    .glUniformMatrix4x3dv = epoxy_glUniformMatrix4x3dv_dispatch_table_rewrite_ptr,
    .glUniformMatrix4x3fv = epoxy_glUniformMatrix4x3fv_dispatch_table_rewrite_ptr,
    .glUniformMatrix4x3fvNV = epoxy_glUniformMatrix4x3fvNV_dispatch_table_rewrite_ptr,
    .glUniformSubroutinesuiv = epoxy_glUniformSubroutinesuiv_dispatch_table_rewrite_ptr,
    .glUniformui64NV = epoxy_glUniformui64NV_dispatch_table_rewrite_ptr,
    .glUniformui64vNV = epoxy_glUniformui64vNV_dispatch_table_rewrite_ptr,
    .glUnlockArraysEXT = epoxy_glUnlockArraysEXT_dispatch_table_rewrite_ptr,
    .glUnmapBuffer = epoxy_glUnmapBuffer_dispatch_table_rewrite_ptr,
    .glUnmapBufferARB = epoxy_glUnmapBufferARB_dispatch_table_rewrite_ptr,
    .glUnmapBufferOES = epoxy_glUnmapBufferOES_dispatch_table_rewrite_ptr,
    .glUnmapNamedBufferEXT = epoxy_glUnmapNamedBufferEXT_dispatch_table_rewrite_ptr,
    .glUnmapObjectBufferATI = epoxy_glUnmapObjectBufferATI_dispatch_table_rewrite_ptr,
    .glUnmapTexture2DINTEL = epoxy_glUnmapTexture2DINTEL_dispatch_table_rewrite_ptr,
    .glUpdateObjectBufferATI = epoxy_glUpdateObjectBufferATI_dispatch_table_rewrite_ptr,
    .glUseProgram = epoxy_glUseProgram_dispatch_table_rewrite_ptr,
    .glUseProgramObjectARB = epoxy_glUseProgramObjectARB_dispatch_table_rewrite_ptr,
    .glUseProgramStages = epoxy_glUseProgramStages_dispatch_table_rewrite_ptr,
    .glUseProgramStagesEXT = epoxy_glUseProgramStagesEXT_dispatch_table_rewrite_ptr,
    .glUseShaderProgramEXT = epoxy_glUseShaderProgramEXT_dispatch_table_rewrite_ptr,
    .glVDPAUFiniNV = epoxy_glVDPAUFiniNV_dispatch_table_rewrite_ptr,
    .glVDPAUGetSurfaceivNV = epoxy_glVDPAUGetSurfaceivNV_dispatch_table_rewrite_ptr,
    .glVDPAUInitNV = epoxy_glVDPAUInitNV_dispatch_table_rewrite_ptr,
    .glVDPAUIsSurfaceNV = epoxy_glVDPAUIsSurfaceNV_dispatch_table_rewrite_ptr,
    .glVDPAUMapSurfacesNV = epoxy_glVDPAUMapSurfacesNV_dispatch_table_rewrite_ptr,
    .glVDPAURegisterOutputSurfaceNV = epoxy_glVDPAURegisterOutputSurfaceNV_dispatch_table_rewrite_ptr,
    .glVDPAURegisterVideoSurfaceNV = epoxy_glVDPAURegisterVideoSurfaceNV_dispatch_table_rewrite_ptr,
    .glVDPAUSurfaceAccessNV = epoxy_glVDPAUSurfaceAccessNV_dispatch_table_rewrite_ptr,
    .glVDPAUUnmapSurfacesNV = epoxy_glVDPAUUnmapSurfacesNV_dispatch_table_rewrite_ptr,
    .glVDPAUUnregisterSurfaceNV = epoxy_glVDPAUUnregisterSurfaceNV_dispatch_table_rewrite_ptr,
    .glValidateProgram = epoxy_glValidateProgram_dispatch_table_rewrite_ptr,
    .glValidateProgramARB = epoxy_glValidateProgramARB_dispatch_table_rewrite_ptr,
    .glValidateProgramPipeline = epoxy_glValidateProgramPipeline_dispatch_table_rewrite_ptr,
    .glValidateProgramPipelineEXT = epoxy_glValidateProgramPipelineEXT_dispatch_table_rewrite_ptr,
    .glVariantArrayObjectATI = epoxy_glVariantArrayObjectATI_dispatch_table_rewrite_ptr,
    .glVariantPointerEXT = epoxy_glVariantPointerEXT_dispatch_table_rewrite_ptr,
    .glVariantbvEXT = epoxy_glVariantbvEXT_dispatch_table_rewrite_ptr,
    .glVariantdvEXT = epoxy_glVariantdvEXT_dispatch_table_rewrite_ptr,
    .glVariantfvEXT = epoxy_glVariantfvEXT_dispatch_table_rewrite_ptr,
    .glVariantivEXT = epoxy_glVariantivEXT_dispatch_table_rewrite_ptr,
    .glVariantsvEXT = epoxy_glVariantsvEXT_dispatch_table_rewrite_ptr,
    .glVariantubvEXT = epoxy_glVariantubvEXT_dispatch_table_rewrite_ptr,
    .glVariantuivEXT = epoxy_glVariantuivEXT_dispatch_table_rewrite_ptr,
    .glVariantusvEXT = epoxy_glVariantusvEXT_dispatch_table_rewrite_ptr,
    .glVertex2bOES = epoxy_glVertex2bOES_dispatch_table_rewrite_ptr,
    .glVertex2bvOES = epoxy_glVertex2bvOES_dispatch_table_rewrite_ptr,
    .glVertex2d = epoxy_glVertex2d_dispatch_table_rewrite_ptr,
    .glVertex2dv = epoxy_glVertex2dv_dispatch_table_rewrite_ptr,
    .glVertex2f = epoxy_glVertex2f_dispatch_table_rewrite_ptr,
    .glVertex2fv = epoxy_glVertex2fv_dispatch_table_rewrite_ptr,
    .glVertex2hNV = epoxy_glVertex2hNV_dispatch_table_rewrite_ptr,
    .glVertex2hvNV = epoxy_glVertex2hvNV_dispatch_table_rewrite_ptr,
    .glVertex2i = epoxy_glVertex2i_dispatch_table_rewrite_ptr,
    .glVertex2iv = epoxy_glVertex2iv_dispatch_table_rewrite_ptr,
    .glVertex2s = epoxy_glVertex2s_dispatch_table_rewrite_ptr,
    .glVertex2sv = epoxy_glVertex2sv_dispatch_table_rewrite_ptr,
    .glVertex2xOES = epoxy_glVertex2xOES_dispatch_table_rewrite_ptr,
    .glVertex2xvOES = epoxy_glVertex2xvOES_dispatch_table_rewrite_ptr,
    .glVertex3bOES = epoxy_glVertex3bOES_dispatch_table_rewrite_ptr,
    .glVertex3bvOES = epoxy_glVertex3bvOES_dispatch_table_rewrite_ptr,
    .glVertex3d = epoxy_glVertex3d_dispatch_table_rewrite_ptr,
    .glVertex3dv = epoxy_glVertex3dv_dispatch_table_rewrite_ptr,
    .glVertex3f = epoxy_glVertex3f_dispatch_table_rewrite_ptr,
    .glVertex3fv = epoxy_glVertex3fv_dispatch_table_rewrite_ptr,
    .glVertex3hNV = epoxy_glVertex3hNV_dispatch_table_rewrite_ptr,
    .glVertex3hvNV = epoxy_glVertex3hvNV_dispatch_table_rewrite_ptr,
    .glVertex3i = epoxy_glVertex3i_dispatch_table_rewrite_ptr,
    .glVertex3iv = epoxy_glVertex3iv_dispatch_table_rewrite_ptr,
    .glVertex3s = epoxy_glVertex3s_dispatch_table_rewrite_ptr,
    .glVertex3sv = epoxy_glVertex3sv_dispatch_table_rewrite_ptr,
    .glVertex3xOES = epoxy_glVertex3xOES_dispatch_table_rewrite_ptr,
    .glVertex3xvOES = epoxy_glVertex3xvOES_dispatch_table_rewrite_ptr,
    .glVertex4bOES = epoxy_glVertex4bOES_dispatch_table_rewrite_ptr,
    .glVertex4bvOES = epoxy_glVertex4bvOES_dispatch_table_rewrite_ptr,
    .glVertex4d = epoxy_glVertex4d_dispatch_table_rewrite_ptr,
    .glVertex4dv = epoxy_glVertex4dv_dispatch_table_rewrite_ptr,
    .glVertex4f = epoxy_glVertex4f_dispatch_table_rewrite_ptr,
    .glVertex4fv = epoxy_glVertex4fv_dispatch_table_rewrite_ptr,
    .glVertex4hNV = epoxy_glVertex4hNV_dispatch_table_rewrite_ptr,
    .glVertex4hvNV = epoxy_glVertex4hvNV_dispatch_table_rewrite_ptr,
    .glVertex4i = epoxy_glVertex4i_dispatch_table_rewrite_ptr,
    .glVertex4iv = epoxy_glVertex4iv_dispatch_table_rewrite_ptr,
    .glVertex4s = epoxy_glVertex4s_dispatch_table_rewrite_ptr,
    .glVertex4sv = epoxy_glVertex4sv_dispatch_table_rewrite_ptr,
    .glVertex4xOES = epoxy_glVertex4xOES_dispatch_table_rewrite_ptr,
    .glVertex4xvOES = epoxy_glVertex4xvOES_dispatch_table_rewrite_ptr,
    .glVertexArrayBindVertexBufferEXT = epoxy_glVertexArrayBindVertexBufferEXT_dispatch_table_rewrite_ptr,
    .glVertexArrayColorOffsetEXT = epoxy_glVertexArrayColorOffsetEXT_dispatch_table_rewrite_ptr,
    .glVertexArrayEdgeFlagOffsetEXT = epoxy_glVertexArrayEdgeFlagOffsetEXT_dispatch_table_rewrite_ptr,
    .glVertexArrayFogCoordOffsetEXT = epoxy_glVertexArrayFogCoordOffsetEXT_dispatch_table_rewrite_ptr,
    .glVertexArrayIndexOffsetEXT = epoxy_glVertexArrayIndexOffsetEXT_dispatch_table_rewrite_ptr,
    .glVertexArrayMultiTexCoordOffsetEXT = epoxy_glVertexArrayMultiTexCoordOffsetEXT_dispatch_table_rewrite_ptr,
    .glVertexArrayNormalOffsetEXT = epoxy_glVertexArrayNormalOffsetEXT_dispatch_table_rewrite_ptr,
    .glVertexArrayParameteriAPPLE = epoxy_glVertexArrayParameteriAPPLE_dispatch_table_rewrite_ptr,
    .glVertexArrayRangeAPPLE = epoxy_glVertexArrayRangeAPPLE_dispatch_table_rewrite_ptr,
    .glVertexArrayRangeNV = epoxy_glVertexArrayRangeNV_dispatch_table_rewrite_ptr,
    .glVertexArraySecondaryColorOffsetEXT = epoxy_glVertexArraySecondaryColorOffsetEXT_dispatch_table_rewrite_ptr,
    .glVertexArrayTexCoordOffsetEXT = epoxy_glVertexArrayTexCoordOffsetEXT_dispatch_table_rewrite_ptr,
    .glVertexArrayVertexAttribBindingEXT = epoxy_glVertexArrayVertexAttribBindingEXT_dispatch_table_rewrite_ptr,
    .glVertexArrayVertexAttribDivisorEXT = epoxy_glVertexArrayVertexAttribDivisorEXT_dispatch_table_rewrite_ptr,
    .glVertexArrayVertexAttribFormatEXT = epoxy_glVertexArrayVertexAttribFormatEXT_dispatch_table_rewrite_ptr,
    .glVertexArrayVertexAttribIFormatEXT = epoxy_glVertexArrayVertexAttribIFormatEXT_dispatch_table_rewrite_ptr,
    .glVertexArrayVertexAttribIOffsetEXT = epoxy_glVertexArrayVertexAttribIOffsetEXT_dispatch_table_rewrite_ptr,
    .glVertexArrayVertexAttribLFormatEXT = epoxy_glVertexArrayVertexAttribLFormatEXT_dispatch_table_rewrite_ptr,
    .glVertexArrayVertexAttribLOffsetEXT = epoxy_glVertexArrayVertexAttribLOffsetEXT_dispatch_table_rewrite_ptr,
    .glVertexArrayVertexAttribOffsetEXT = epoxy_glVertexArrayVertexAttribOffsetEXT_dispatch_table_rewrite_ptr,
    .glVertexArrayVertexBindingDivisorEXT = epoxy_glVertexArrayVertexBindingDivisorEXT_dispatch_table_rewrite_ptr,
    .glVertexArrayVertexOffsetEXT = epoxy_glVertexArrayVertexOffsetEXT_dispatch_table_rewrite_ptr,
    .glVertexAttrib1d = epoxy_glVertexAttrib1d_dispatch_table_rewrite_ptr,
    .glVertexAttrib1dARB = epoxy_glVertexAttrib1dARB_dispatch_table_rewrite_ptr,
    .glVertexAttrib1dNV = epoxy_glVertexAttrib1dNV_dispatch_table_rewrite_ptr,
    .glVertexAttrib1dv = epoxy_glVertexAttrib1dv_dispatch_table_rewrite_ptr,
    .glVertexAttrib1dvARB = epoxy_glVertexAttrib1dvARB_dispatch_table_rewrite_ptr,
    .glVertexAttrib1dvNV = epoxy_glVertexAttrib1dvNV_dispatch_table_rewrite_ptr,
    .glVertexAttrib1f = epoxy_glVertexAttrib1f_dispatch_table_rewrite_ptr,
    .glVertexAttrib1fARB = epoxy_glVertexAttrib1fARB_dispatch_table_rewrite_ptr,
    .glVertexAttrib1fNV = epoxy_glVertexAttrib1fNV_dispatch_table_rewrite_ptr,
    .glVertexAttrib1fv = epoxy_glVertexAttrib1fv_dispatch_table_rewrite_ptr,
    .glVertexAttrib1fvARB = epoxy_glVertexAttrib1fvARB_dispatch_table_rewrite_ptr,
    .glVertexAttrib1fvNV = epoxy_glVertexAttrib1fvNV_dispatch_table_rewrite_ptr,
    .glVertexAttrib1hNV = epoxy_glVertexAttrib1hNV_dispatch_table_rewrite_ptr,
    .glVertexAttrib1hvNV = epoxy_glVertexAttrib1hvNV_dispatch_table_rewrite_ptr,
    .glVertexAttrib1s = epoxy_glVertexAttrib1s_dispatch_table_rewrite_ptr,
    .glVertexAttrib1sARB = epoxy_glVertexAttrib1sARB_dispatch_table_rewrite_ptr,
    .glVertexAttrib1sNV = epoxy_glVertexAttrib1sNV_dispatch_table_rewrite_ptr,
    .glVertexAttrib1sv = epoxy_glVertexAttrib1sv_dispatch_table_rewrite_ptr,
    .glVertexAttrib1svARB = epoxy_glVertexAttrib1svARB_dispatch_table_rewrite_ptr,
    .glVertexAttrib1svNV = epoxy_glVertexAttrib1svNV_dispatch_table_rewrite_ptr,
    .glVertexAttrib2d = epoxy_glVertexAttrib2d_dispatch_table_rewrite_ptr,
    .glVertexAttrib2dARB = epoxy_glVertexAttrib2dARB_dispatch_table_rewrite_ptr,
    .glVertexAttrib2dNV = epoxy_glVertexAttrib2dNV_dispatch_table_rewrite_ptr,
    .glVertexAttrib2dv = epoxy_glVertexAttrib2dv_dispatch_table_rewrite_ptr,
    .glVertexAttrib2dvARB = epoxy_glVertexAttrib2dvARB_dispatch_table_rewrite_ptr,
    .glVertexAttrib2dvNV = epoxy_glVertexAttrib2dvNV_dispatch_table_rewrite_ptr,
    .glVertexAttrib2f = epoxy_glVertexAttrib2f_dispatch_table_rewrite_ptr,
    .glVertexAttrib2fARB = epoxy_glVertexAttrib2fARB_dispatch_table_rewrite_ptr,
    .glVertexAttrib2fNV = epoxy_glVertexAttrib2fNV_dispatch_table_rewrite_ptr,
    .glVertexAttrib2fv = epoxy_glVertexAttrib2fv_dispatch_table_rewrite_ptr,
    .glVertexAttrib2fvARB = epoxy_glVertexAttrib2fvARB_dispatch_table_rewrite_ptr,
    .glVertexAttrib2fvNV = epoxy_glVertexAttrib2fvNV_dispatch_table_rewrite_ptr,
    .glVertexAttrib2hNV = epoxy_glVertexAttrib2hNV_dispatch_table_rewrite_ptr,
    .glVertexAttrib2hvNV = epoxy_glVertexAttrib2hvNV_dispatch_table_rewrite_ptr,
    .glVertexAttrib2s = epoxy_glVertexAttrib2s_dispatch_table_rewrite_ptr,
    .glVertexAttrib2sARB = epoxy_glVertexAttrib2sARB_dispatch_table_rewrite_ptr,
    .glVertexAttrib2sNV = epoxy_glVertexAttrib2sNV_dispatch_table_rewrite_ptr,
    .glVertexAttrib2sv = epoxy_glVertexAttrib2sv_dispatch_table_rewrite_ptr,
    .glVertexAttrib2svARB = epoxy_glVertexAttrib2svARB_dispatch_table_rewrite_ptr,
    .glVertexAttrib2svNV = epoxy_glVertexAttrib2svNV_dispatch_table_rewrite_ptr,
    .glVertexAttrib3d = epoxy_glVertexAttrib3d_dispatch_table_rewrite_ptr,
    .glVertexAttrib3dARB = epoxy_glVertexAttrib3dARB_dispatch_table_rewrite_ptr,
    .glVertexAttrib3dNV = epoxy_glVertexAttrib3dNV_dispatch_table_rewrite_ptr,
    .glVertexAttrib3dv = epoxy_glVertexAttrib3dv_dispatch_table_rewrite_ptr,
    .glVertexAttrib3dvARB = epoxy_glVertexAttrib3dvARB_dispatch_table_rewrite_ptr,
    .glVertexAttrib3dvNV = epoxy_glVertexAttrib3dvNV_dispatch_table_rewrite_ptr,
    .glVertexAttrib3f = epoxy_glVertexAttrib3f_dispatch_table_rewrite_ptr,
    .glVertexAttrib3fARB = epoxy_glVertexAttrib3fARB_dispatch_table_rewrite_ptr,
    .glVertexAttrib3fNV = epoxy_glVertexAttrib3fNV_dispatch_table_rewrite_ptr,
    .glVertexAttrib3fv = epoxy_glVertexAttrib3fv_dispatch_table_rewrite_ptr,
    .glVertexAttrib3fvARB = epoxy_glVertexAttrib3fvARB_dispatch_table_rewrite_ptr,
    .glVertexAttrib3fvNV = epoxy_glVertexAttrib3fvNV_dispatch_table_rewrite_ptr,
    .glVertexAttrib3hNV = epoxy_glVertexAttrib3hNV_dispatch_table_rewrite_ptr,
    .glVertexAttrib3hvNV = epoxy_glVertexAttrib3hvNV_dispatch_table_rewrite_ptr,
    .glVertexAttrib3s = epoxy_glVertexAttrib3s_dispatch_table_rewrite_ptr,
    .glVertexAttrib3sARB = epoxy_glVertexAttrib3sARB_dispatch_table_rewrite_ptr,
    .glVertexAttrib3sNV = epoxy_glVertexAttrib3sNV_dispatch_table_rewrite_ptr,
    .glVertexAttrib3sv = epoxy_glVertexAttrib3sv_dispatch_table_rewrite_ptr,
    .glVertexAttrib3svARB = epoxy_glVertexAttrib3svARB_dispatch_table_rewrite_ptr,
    .glVertexAttrib3svNV = epoxy_glVertexAttrib3svNV_dispatch_table_rewrite_ptr,
    .glVertexAttrib4Nbv = epoxy_glVertexAttrib4Nbv_dispatch_table_rewrite_ptr,
    .glVertexAttrib4NbvARB = epoxy_glVertexAttrib4NbvARB_dispatch_table_rewrite_ptr,
    .glVertexAttrib4Niv = epoxy_glVertexAttrib4Niv_dispatch_table_rewrite_ptr,
    .glVertexAttrib4NivARB = epoxy_glVertexAttrib4NivARB_dispatch_table_rewrite_ptr,
    .glVertexAttrib4Nsv = epoxy_glVertexAttrib4Nsv_dispatch_table_rewrite_ptr,
    .glVertexAttrib4NsvARB = epoxy_glVertexAttrib4NsvARB_dispatch_table_rewrite_ptr,
    .glVertexAttrib4Nub = epoxy_glVertexAttrib4Nub_dispatch_table_rewrite_ptr,
    .glVertexAttrib4NubARB = epoxy_glVertexAttrib4NubARB_dispatch_table_rewrite_ptr,
    .glVertexAttrib4Nubv = epoxy_glVertexAttrib4Nubv_dispatch_table_rewrite_ptr,
    .glVertexAttrib4NubvARB = epoxy_glVertexAttrib4NubvARB_dispatch_table_rewrite_ptr,
    .glVertexAttrib4Nuiv = epoxy_glVertexAttrib4Nuiv_dispatch_table_rewrite_ptr,
    .glVertexAttrib4NuivARB = epoxy_glVertexAttrib4NuivARB_dispatch_table_rewrite_ptr,
    .glVertexAttrib4Nusv = epoxy_glVertexAttrib4Nusv_dispatch_table_rewrite_ptr,
    .glVertexAttrib4NusvARB = epoxy_glVertexAttrib4NusvARB_dispatch_table_rewrite_ptr,
    .glVertexAttrib4bv = epoxy_glVertexAttrib4bv_dispatch_table_rewrite_ptr,
    .glVertexAttrib4bvARB = epoxy_glVertexAttrib4bvARB_dispatch_table_rewrite_ptr,
    .glVertexAttrib4d = epoxy_glVertexAttrib4d_dispatch_table_rewrite_ptr,
    .glVertexAttrib4dARB = epoxy_glVertexAttrib4dARB_dispatch_table_rewrite_ptr,
    .glVertexAttrib4dNV = epoxy_glVertexAttrib4dNV_dispatch_table_rewrite_ptr,
    .glVertexAttrib4dv = epoxy_glVertexAttrib4dv_dispatch_table_rewrite_ptr,
    .glVertexAttrib4dvARB = epoxy_glVertexAttrib4dvARB_dispatch_table_rewrite_ptr,
    .glVertexAttrib4dvNV = epoxy_glVertexAttrib4dvNV_dispatch_table_rewrite_ptr,
    .glVertexAttrib4f = epoxy_glVertexAttrib4f_dispatch_table_rewrite_ptr,
    .glVertexAttrib4fARB = epoxy_glVertexAttrib4fARB_dispatch_table_rewrite_ptr,
    .glVertexAttrib4fNV = epoxy_glVertexAttrib4fNV_dispatch_table_rewrite_ptr,
    .glVertexAttrib4fv = epoxy_glVertexAttrib4fv_dispatch_table_rewrite_ptr,
    .glVertexAttrib4fvARB = epoxy_glVertexAttrib4fvARB_dispatch_table_rewrite_ptr,
    .glVertexAttrib4fvNV = epoxy_glVertexAttrib4fvNV_dispatch_table_rewrite_ptr,
    .glVertexAttrib4hNV = epoxy_glVertexAttrib4hNV_dispatch_table_rewrite_ptr,
    .glVertexAttrib4hvNV = epoxy_glVertexAttrib4hvNV_dispatch_table_rewrite_ptr,
    .glVertexAttrib4iv = epoxy_glVertexAttrib4iv_dispatch_table_rewrite_ptr,
    .glVertexAttrib4ivARB = epoxy_glVertexAttrib4ivARB_dispatch_table_rewrite_ptr,
    .glVertexAttrib4s = epoxy_glVertexAttrib4s_dispatch_table_rewrite_ptr,
    .glVertexAttrib4sARB = epoxy_glVertexAttrib4sARB_dispatch_table_rewrite_ptr,
    .glVertexAttrib4sNV = epoxy_glVertexAttrib4sNV_dispatch_table_rewrite_ptr,
    .glVertexAttrib4sv = epoxy_glVertexAttrib4sv_dispatch_table_rewrite_ptr,
    .glVertexAttrib4svARB = epoxy_glVertexAttrib4svARB_dispatch_table_rewrite_ptr,
    .glVertexAttrib4svNV = epoxy_glVertexAttrib4svNV_dispatch_table_rewrite_ptr,
    .glVertexAttrib4ubNV = epoxy_glVertexAttrib4ubNV_dispatch_table_rewrite_ptr,
    .glVertexAttrib4ubv = epoxy_glVertexAttrib4ubv_dispatch_table_rewrite_ptr,
    .glVertexAttrib4ubvARB = epoxy_glVertexAttrib4ubvARB_dispatch_table_rewrite_ptr,
    .glVertexAttrib4ubvNV = epoxy_glVertexAttrib4ubvNV_dispatch_table_rewrite_ptr,
    .glVertexAttrib4uiv = epoxy_glVertexAttrib4uiv_dispatch_table_rewrite_ptr,
    .glVertexAttrib4uivARB = epoxy_glVertexAttrib4uivARB_dispatch_table_rewrite_ptr,
    .glVertexAttrib4usv = epoxy_glVertexAttrib4usv_dispatch_table_rewrite_ptr,
    .glVertexAttrib4usvARB = epoxy_glVertexAttrib4usvARB_dispatch_table_rewrite_ptr,
    .glVertexAttribArrayObjectATI = epoxy_glVertexAttribArrayObjectATI_dispatch_table_rewrite_ptr,
    .glVertexAttribBinding = epoxy_glVertexAttribBinding_dispatch_table_rewrite_ptr,
    .glVertexAttribDivisor = epoxy_glVertexAttribDivisor_dispatch_table_rewrite_ptr,
    .glVertexAttribDivisorANGLE = epoxy_glVertexAttribDivisorANGLE_dispatch_table_rewrite_ptr,
    .glVertexAttribDivisorARB = epoxy_glVertexAttribDivisorARB_dispatch_table_rewrite_ptr,
    .glVertexAttribDivisorEXT = epoxy_glVertexAttribDivisorEXT_dispatch_table_rewrite_ptr,
    .glVertexAttribDivisorNV = epoxy_glVertexAttribDivisorNV_dispatch_table_rewrite_ptr,
    .glVertexAttribFormat = epoxy_glVertexAttribFormat_dispatch_table_rewrite_ptr,
    .glVertexAttribFormatNV = epoxy_glVertexAttribFormatNV_dispatch_table_rewrite_ptr,
    .glVertexAttribI1i = epoxy_glVertexAttribI1i_dispatch_table_rewrite_ptr,
    .glVertexAttribI1iEXT = epoxy_glVertexAttribI1iEXT_dispatch_table_rewrite_ptr,
    .glVertexAttribI1iv = epoxy_glVertexAttribI1iv_dispatch_table_rewrite_ptr,
    .glVertexAttribI1ivEXT = epoxy_glVertexAttribI1ivEXT_dispatch_table_rewrite_ptr,
    .glVertexAttribI1ui = epoxy_glVertexAttribI1ui_dispatch_table_rewrite_ptr,
    .glVertexAttribI1uiEXT = epoxy_glVertexAttribI1uiEXT_dispatch_table_rewrite_ptr,
    .glVertexAttribI1uiv = epoxy_glVertexAttribI1uiv_dispatch_table_rewrite_ptr,
    .glVertexAttribI1uivEXT = epoxy_glVertexAttribI1uivEXT_dispatch_table_rewrite_ptr,
    .glVertexAttribI2i = epoxy_glVertexAttribI2i_dispatch_table_rewrite_ptr,
    .glVertexAttribI2iEXT = epoxy_glVertexAttribI2iEXT_dispatch_table_rewrite_ptr,
    .glVertexAttribI2iv = epoxy_glVertexAttribI2iv_dispatch_table_rewrite_ptr,
    .glVertexAttribI2ivEXT = epoxy_glVertexAttribI2ivEXT_dispatch_table_rewrite_ptr,
    .glVertexAttribI2ui = epoxy_glVertexAttribI2ui_dispatch_table_rewrite_ptr,
    .glVertexAttribI2uiEXT = epoxy_glVertexAttribI2uiEXT_dispatch_table_rewrite_ptr,
    .glVertexAttribI2uiv = epoxy_glVertexAttribI2uiv_dispatch_table_rewrite_ptr,
    .glVertexAttribI2uivEXT = epoxy_glVertexAttribI2uivEXT_dispatch_table_rewrite_ptr,
    .glVertexAttribI3i = epoxy_glVertexAttribI3i_dispatch_table_rewrite_ptr,
    .glVertexAttribI3iEXT = epoxy_glVertexAttribI3iEXT_dispatch_table_rewrite_ptr,
    .glVertexAttribI3iv = epoxy_glVertexAttribI3iv_dispatch_table_rewrite_ptr,
    .glVertexAttribI3ivEXT = epoxy_glVertexAttribI3ivEXT_dispatch_table_rewrite_ptr,
    .glVertexAttribI3ui = epoxy_glVertexAttribI3ui_dispatch_table_rewrite_ptr,
    .glVertexAttribI3uiEXT = epoxy_glVertexAttribI3uiEXT_dispatch_table_rewrite_ptr,
    .glVertexAttribI3uiv = epoxy_glVertexAttribI3uiv_dispatch_table_rewrite_ptr,
    .glVertexAttribI3uivEXT = epoxy_glVertexAttribI3uivEXT_dispatch_table_rewrite_ptr,
    .glVertexAttribI4bv = epoxy_glVertexAttribI4bv_dispatch_table_rewrite_ptr,
    .glVertexAttribI4bvEXT = epoxy_glVertexAttribI4bvEXT_dispatch_table_rewrite_ptr,
    .glVertexAttribI4i = epoxy_glVertexAttribI4i_dispatch_table_rewrite_ptr,
    .glVertexAttribI4iEXT = epoxy_glVertexAttribI4iEXT_dispatch_table_rewrite_ptr,
    .glVertexAttribI4iv = epoxy_glVertexAttribI4iv_dispatch_table_rewrite_ptr,
    .glVertexAttribI4ivEXT = epoxy_glVertexAttribI4ivEXT_dispatch_table_rewrite_ptr,
    .glVertexAttribI4sv = epoxy_glVertexAttribI4sv_dispatch_table_rewrite_ptr,
    .glVertexAttribI4svEXT = epoxy_glVertexAttribI4svEXT_dispatch_table_rewrite_ptr,
    .glVertexAttribI4ubv = epoxy_glVertexAttribI4ubv_dispatch_table_rewrite_ptr,
    .glVertexAttribI4ubvEXT = epoxy_glVertexAttribI4ubvEXT_dispatch_table_rewrite_ptr,
    .glVertexAttribI4ui = epoxy_glVertexAttribI4ui_dispatch_table_rewrite_ptr,
    .glVertexAttribI4uiEXT = epoxy_glVertexAttribI4uiEXT_dispatch_table_rewrite_ptr,
    .glVertexAttribI4uiv = epoxy_glVertexAttribI4uiv_dispatch_table_rewrite_ptr,
    .glVertexAttribI4uivEXT = epoxy_glVertexAttribI4uivEXT_dispatch_table_rewrite_ptr,
    .glVertexAttribI4usv = epoxy_glVertexAttribI4usv_dispatch_table_rewrite_ptr,
    .glVertexAttribI4usvEXT = epoxy_glVertexAttribI4usvEXT_dispatch_table_rewrite_ptr,
    .glVertexAttribIFormat = epoxy_glVertexAttribIFormat_dispatch_table_rewrite_ptr,
    .glVertexAttribIFormatNV = epoxy_glVertexAttribIFormatNV_dispatch_table_rewrite_ptr,
    .glVertexAttribIPointer = epoxy_glVertexAttribIPointer_dispatch_table_rewrite_ptr,
    .glVertexAttribIPointerEXT = epoxy_glVertexAttribIPointerEXT_dispatch_table_rewrite_ptr,
    .glVertexAttribL1d = epoxy_glVertexAttribL1d_dispatch_table_rewrite_ptr,
    .glVertexAttribL1dEXT = epoxy_glVertexAttribL1dEXT_dispatch_table_rewrite_ptr,
    .glVertexAttribL1dv = epoxy_glVertexAttribL1dv_dispatch_table_rewrite_ptr,
    .glVertexAttribL1dvEXT = epoxy_glVertexAttribL1dvEXT_dispatch_table_rewrite_ptr,
    .glVertexAttribL1i64NV = epoxy_glVertexAttribL1i64NV_dispatch_table_rewrite_ptr,
    .glVertexAttribL1i64vNV = epoxy_glVertexAttribL1i64vNV_dispatch_table_rewrite_ptr,
    .glVertexAttribL1ui64ARB = epoxy_glVertexAttribL1ui64ARB_dispatch_table_rewrite_ptr,
    .glVertexAttribL1ui64NV = epoxy_glVertexAttribL1ui64NV_dispatch_table_rewrite_ptr,
    .glVertexAttribL1ui64vARB = epoxy_glVertexAttribL1ui64vARB_dispatch_table_rewrite_ptr,
    .glVertexAttribL1ui64vNV = epoxy_glVertexAttribL1ui64vNV_dispatch_table_rewrite_ptr,
    .glVertexAttribL2d = epoxy_glVertexAttribL2d_dispatch_table_rewrite_ptr,
    .glVertexAttribL2dEXT = epoxy_glVertexAttribL2dEXT_dispatch_table_rewrite_ptr,
    .glVertexAttribL2dv = epoxy_glVertexAttribL2dv_dispatch_table_rewrite_ptr,
    .glVertexAttribL2dvEXT = epoxy_glVertexAttribL2dvEXT_dispatch_table_rewrite_ptr,
    .glVertexAttribL2i64NV = epoxy_glVertexAttribL2i64NV_dispatch_table_rewrite_ptr,
    .glVertexAttribL2i64vNV = epoxy_glVertexAttribL2i64vNV_dispatch_table_rewrite_ptr,
    .glVertexAttribL2ui64NV = epoxy_glVertexAttribL2ui64NV_dispatch_table_rewrite_ptr,
    .glVertexAttribL2ui64vNV = epoxy_glVertexAttribL2ui64vNV_dispatch_table_rewrite_ptr,
    .glVertexAttribL3d = epoxy_glVertexAttribL3d_dispatch_table_rewrite_ptr,
    .glVertexAttribL3dEXT = epoxy_glVertexAttribL3dEXT_dispatch_table_rewrite_ptr,
    .glVertexAttribL3dv = epoxy_glVertexAttribL3dv_dispatch_table_rewrite_ptr,
    .glVertexAttribL3dvEXT = epoxy_glVertexAttribL3dvEXT_dispatch_table_rewrite_ptr,
    .glVertexAttribL3i64NV = epoxy_glVertexAttribL3i64NV_dispatch_table_rewrite_ptr,
    .glVertexAttribL3i64vNV = epoxy_glVertexAttribL3i64vNV_dispatch_table_rewrite_ptr,
    .glVertexAttribL3ui64NV = epoxy_glVertexAttribL3ui64NV_dispatch_table_rewrite_ptr,
    .glVertexAttribL3ui64vNV = epoxy_glVertexAttribL3ui64vNV_dispatch_table_rewrite_ptr,
    .glVertexAttribL4d = epoxy_glVertexAttribL4d_dispatch_table_rewrite_ptr,
    .glVertexAttribL4dEXT = epoxy_glVertexAttribL4dEXT_dispatch_table_rewrite_ptr,
    .glVertexAttribL4dv = epoxy_glVertexAttribL4dv_dispatch_table_rewrite_ptr,
    .glVertexAttribL4dvEXT = epoxy_glVertexAttribL4dvEXT_dispatch_table_rewrite_ptr,
    .glVertexAttribL4i64NV = epoxy_glVertexAttribL4i64NV_dispatch_table_rewrite_ptr,
    .glVertexAttribL4i64vNV = epoxy_glVertexAttribL4i64vNV_dispatch_table_rewrite_ptr,
    .glVertexAttribL4ui64NV = epoxy_glVertexAttribL4ui64NV_dispatch_table_rewrite_ptr,
    .glVertexAttribL4ui64vNV = epoxy_glVertexAttribL4ui64vNV_dispatch_table_rewrite_ptr,
    .glVertexAttribLFormat = epoxy_glVertexAttribLFormat_dispatch_table_rewrite_ptr,
    .glVertexAttribLFormatNV = epoxy_glVertexAttribLFormatNV_dispatch_table_rewrite_ptr,
    .glVertexAttribLPointer = epoxy_glVertexAttribLPointer_dispatch_table_rewrite_ptr,
    .glVertexAttribLPointerEXT = epoxy_glVertexAttribLPointerEXT_dispatch_table_rewrite_ptr,
    .glVertexAttribP1ui = epoxy_glVertexAttribP1ui_dispatch_table_rewrite_ptr,
    .glVertexAttribP1uiv = epoxy_glVertexAttribP1uiv_dispatch_table_rewrite_ptr,
    .glVertexAttribP2ui = epoxy_glVertexAttribP2ui_dispatch_table_rewrite_ptr,
    .glVertexAttribP2uiv = epoxy_glVertexAttribP2uiv_dispatch_table_rewrite_ptr,
    .glVertexAttribP3ui = epoxy_glVertexAttribP3ui_dispatch_table_rewrite_ptr,
    .glVertexAttribP3uiv = epoxy_glVertexAttribP3uiv_dispatch_table_rewrite_ptr,
    .glVertexAttribP4ui = epoxy_glVertexAttribP4ui_dispatch_table_rewrite_ptr,
    .glVertexAttribP4uiv = epoxy_glVertexAttribP4uiv_dispatch_table_rewrite_ptr,
    .glVertexAttribParameteriAMD = epoxy_glVertexAttribParameteriAMD_dispatch_table_rewrite_ptr,
    .glVertexAttribPointer = epoxy_glVertexAttribPointer_dispatch_table_rewrite_ptr,
    .glVertexAttribPointerARB = epoxy_glVertexAttribPointerARB_dispatch_table_rewrite_ptr,
    .glVertexAttribPointerNV = epoxy_glVertexAttribPointerNV_dispatch_table_rewrite_ptr,
    .glVertexAttribs1dvNV = epoxy_glVertexAttribs1dvNV_dispatch_table_rewrite_ptr,
    .glVertexAttribs1fvNV = epoxy_glVertexAttribs1fvNV_dispatch_table_rewrite_ptr,
    .glVertexAttribs1hvNV = epoxy_glVertexAttribs1hvNV_dispatch_table_rewrite_ptr,
    .glVertexAttribs1svNV = epoxy_glVertexAttribs1svNV_dispatch_table_rewrite_ptr,
    .glVertexAttribs2dvNV = epoxy_glVertexAttribs2dvNV_dispatch_table_rewrite_ptr,
    .glVertexAttribs2fvNV = epoxy_glVertexAttribs2fvNV_dispatch_table_rewrite_ptr,
    .glVertexAttribs2hvNV = epoxy_glVertexAttribs2hvNV_dispatch_table_rewrite_ptr,
    .glVertexAttribs2svNV = epoxy_glVertexAttribs2svNV_dispatch_table_rewrite_ptr,
    .glVertexAttribs3dvNV = epoxy_glVertexAttribs3dvNV_dispatch_table_rewrite_ptr,
    .glVertexAttribs3fvNV = epoxy_glVertexAttribs3fvNV_dispatch_table_rewrite_ptr,
    .glVertexAttribs3hvNV = epoxy_glVertexAttribs3hvNV_dispatch_table_rewrite_ptr,
    .glVertexAttribs3svNV = epoxy_glVertexAttribs3svNV_dispatch_table_rewrite_ptr,
    .glVertexAttribs4dvNV = epoxy_glVertexAttribs4dvNV_dispatch_table_rewrite_ptr,
    .glVertexAttribs4fvNV = epoxy_glVertexAttribs4fvNV_dispatch_table_rewrite_ptr,
    .glVertexAttribs4hvNV = epoxy_glVertexAttribs4hvNV_dispatch_table_rewrite_ptr,
    .glVertexAttribs4svNV = epoxy_glVertexAttribs4svNV_dispatch_table_rewrite_ptr,
    .glVertexAttribs4ubvNV = epoxy_glVertexAttribs4ubvNV_dispatch_table_rewrite_ptr,
    .glVertexBindingDivisor = epoxy_glVertexBindingDivisor_dispatch_table_rewrite_ptr,
    .glVertexBlendARB = epoxy_glVertexBlendARB_dispatch_table_rewrite_ptr,
    .glVertexBlendEnvfATI = epoxy_glVertexBlendEnvfATI_dispatch_table_rewrite_ptr,
    .glVertexBlendEnviATI = epoxy_glVertexBlendEnviATI_dispatch_table_rewrite_ptr,
    .glVertexFormatNV = epoxy_glVertexFormatNV_dispatch_table_rewrite_ptr,
    .glVertexP2ui = epoxy_glVertexP2ui_dispatch_table_rewrite_ptr,
    .glVertexP2uiv = epoxy_glVertexP2uiv_dispatch_table_rewrite_ptr,
    .glVertexP3ui = epoxy_glVertexP3ui_dispatch_table_rewrite_ptr,
    .glVertexP3uiv = epoxy_glVertexP3uiv_dispatch_table_rewrite_ptr,
    .glVertexP4ui = epoxy_glVertexP4ui_dispatch_table_rewrite_ptr,
    .glVertexP4uiv = epoxy_glVertexP4uiv_dispatch_table_rewrite_ptr,
    .glVertexPointer = epoxy_glVertexPointer_dispatch_table_rewrite_ptr,
    .glVertexPointerEXT = epoxy_glVertexPointerEXT_dispatch_table_rewrite_ptr,
    .glVertexPointerListIBM = epoxy_glVertexPointerListIBM_dispatch_table_rewrite_ptr,
    .glVertexPointervINTEL = epoxy_glVertexPointervINTEL_dispatch_table_rewrite_ptr,
    .glVertexStream1dATI = epoxy_glVertexStream1dATI_dispatch_table_rewrite_ptr,
    .glVertexStream1dvATI = epoxy_glVertexStream1dvATI_dispatch_table_rewrite_ptr,
    .glVertexStream1fATI = epoxy_glVertexStream1fATI_dispatch_table_rewrite_ptr,
    .glVertexStream1fvATI = epoxy_glVertexStream1fvATI_dispatch_table_rewrite_ptr,
    .glVertexStream1iATI = epoxy_glVertexStream1iATI_dispatch_table_rewrite_ptr,
    .glVertexStream1ivATI = epoxy_glVertexStream1ivATI_dispatch_table_rewrite_ptr,
    .glVertexStream1sATI = epoxy_glVertexStream1sATI_dispatch_table_rewrite_ptr,
    .glVertexStream1svATI = epoxy_glVertexStream1svATI_dispatch_table_rewrite_ptr,
    .glVertexStream2dATI = epoxy_glVertexStream2dATI_dispatch_table_rewrite_ptr,
    .glVertexStream2dvATI = epoxy_glVertexStream2dvATI_dispatch_table_rewrite_ptr,
    .glVertexStream2fATI = epoxy_glVertexStream2fATI_dispatch_table_rewrite_ptr,
    .glVertexStream2fvATI = epoxy_glVertexStream2fvATI_dispatch_table_rewrite_ptr,
    .glVertexStream2iATI = epoxy_glVertexStream2iATI_dispatch_table_rewrite_ptr,
    .glVertexStream2ivATI = epoxy_glVertexStream2ivATI_dispatch_table_rewrite_ptr,
    .glVertexStream2sATI = epoxy_glVertexStream2sATI_dispatch_table_rewrite_ptr,
    .glVertexStream2svATI = epoxy_glVertexStream2svATI_dispatch_table_rewrite_ptr,
    .glVertexStream3dATI = epoxy_glVertexStream3dATI_dispatch_table_rewrite_ptr,
    .glVertexStream3dvATI = epoxy_glVertexStream3dvATI_dispatch_table_rewrite_ptr,
    .glVertexStream3fATI = epoxy_glVertexStream3fATI_dispatch_table_rewrite_ptr,
    .glVertexStream3fvATI = epoxy_glVertexStream3fvATI_dispatch_table_rewrite_ptr,
    .glVertexStream3iATI = epoxy_glVertexStream3iATI_dispatch_table_rewrite_ptr,
    .glVertexStream3ivATI = epoxy_glVertexStream3ivATI_dispatch_table_rewrite_ptr,
    .glVertexStream3sATI = epoxy_glVertexStream3sATI_dispatch_table_rewrite_ptr,
    .glVertexStream3svATI = epoxy_glVertexStream3svATI_dispatch_table_rewrite_ptr,
    .glVertexStream4dATI = epoxy_glVertexStream4dATI_dispatch_table_rewrite_ptr,
    .glVertexStream4dvATI = epoxy_glVertexStream4dvATI_dispatch_table_rewrite_ptr,
    .glVertexStream4fATI = epoxy_glVertexStream4fATI_dispatch_table_rewrite_ptr,
    .glVertexStream4fvATI = epoxy_glVertexStream4fvATI_dispatch_table_rewrite_ptr,
    .glVertexStream4iATI = epoxy_glVertexStream4iATI_dispatch_table_rewrite_ptr,
    .glVertexStream4ivATI = epoxy_glVertexStream4ivATI_dispatch_table_rewrite_ptr,
    .glVertexStream4sATI = epoxy_glVertexStream4sATI_dispatch_table_rewrite_ptr,
    .glVertexStream4svATI = epoxy_glVertexStream4svATI_dispatch_table_rewrite_ptr,
    .glVertexWeightPointerEXT = epoxy_glVertexWeightPointerEXT_dispatch_table_rewrite_ptr,
    .glVertexWeightfEXT = epoxy_glVertexWeightfEXT_dispatch_table_rewrite_ptr,
    .glVertexWeightfvEXT = epoxy_glVertexWeightfvEXT_dispatch_table_rewrite_ptr,
    .glVertexWeighthNV = epoxy_glVertexWeighthNV_dispatch_table_rewrite_ptr,
    .glVertexWeighthvNV = epoxy_glVertexWeighthvNV_dispatch_table_rewrite_ptr,
    .glVideoCaptureNV = epoxy_glVideoCaptureNV_dispatch_table_rewrite_ptr,
    .glVideoCaptureStreamParameterdvNV = epoxy_glVideoCaptureStreamParameterdvNV_dispatch_table_rewrite_ptr,
    .glVideoCaptureStreamParameterfvNV = epoxy_glVideoCaptureStreamParameterfvNV_dispatch_table_rewrite_ptr,
    .glVideoCaptureStreamParameterivNV = epoxy_glVideoCaptureStreamParameterivNV_dispatch_table_rewrite_ptr,
    .glViewport = epoxy_glViewport_dispatch_table_rewrite_ptr,
    .glViewportArrayv = epoxy_glViewportArrayv_dispatch_table_rewrite_ptr,
    .glViewportIndexedf = epoxy_glViewportIndexedf_dispatch_table_rewrite_ptr,
    .glViewportIndexedfv = epoxy_glViewportIndexedfv_dispatch_table_rewrite_ptr,
    .glWaitSync = epoxy_glWaitSync_dispatch_table_rewrite_ptr,
    .glWaitSyncAPPLE = epoxy_glWaitSyncAPPLE_dispatch_table_rewrite_ptr,
    .glWeightPathsNV = epoxy_glWeightPathsNV_dispatch_table_rewrite_ptr,
    .glWeightPointerARB = epoxy_glWeightPointerARB_dispatch_table_rewrite_ptr,
    .glWeightPointerOES = epoxy_glWeightPointerOES_dispatch_table_rewrite_ptr,
    .glWeightbvARB = epoxy_glWeightbvARB_dispatch_table_rewrite_ptr,
    .glWeightdvARB = epoxy_glWeightdvARB_dispatch_table_rewrite_ptr,
    .glWeightfvARB = epoxy_glWeightfvARB_dispatch_table_rewrite_ptr,
    .glWeightivARB = epoxy_glWeightivARB_dispatch_table_rewrite_ptr,
    .glWeightsvARB = epoxy_glWeightsvARB_dispatch_table_rewrite_ptr,
    .glWeightubvARB = epoxy_glWeightubvARB_dispatch_table_rewrite_ptr,
    .glWeightuivARB = epoxy_glWeightuivARB_dispatch_table_rewrite_ptr,
    .glWeightusvARB = epoxy_glWeightusvARB_dispatch_table_rewrite_ptr,
    .glWindowPos2d = epoxy_glWindowPos2d_dispatch_table_rewrite_ptr,
    .glWindowPos2dARB = epoxy_glWindowPos2dARB_dispatch_table_rewrite_ptr,
    .glWindowPos2dMESA = epoxy_glWindowPos2dMESA_dispatch_table_rewrite_ptr,
    .glWindowPos2dv = epoxy_glWindowPos2dv_dispatch_table_rewrite_ptr,
    .glWindowPos2dvARB = epoxy_glWindowPos2dvARB_dispatch_table_rewrite_ptr,
    .glWindowPos2dvMESA = epoxy_glWindowPos2dvMESA_dispatch_table_rewrite_ptr,
    .glWindowPos2f = epoxy_glWindowPos2f_dispatch_table_rewrite_ptr,
    .glWindowPos2fARB = epoxy_glWindowPos2fARB_dispatch_table_rewrite_ptr,
    .glWindowPos2fMESA = epoxy_glWindowPos2fMESA_dispatch_table_rewrite_ptr,
    .glWindowPos2fv = epoxy_glWindowPos2fv_dispatch_table_rewrite_ptr,
    .glWindowPos2fvARB = epoxy_glWindowPos2fvARB_dispatch_table_rewrite_ptr,
    .glWindowPos2fvMESA = epoxy_glWindowPos2fvMESA_dispatch_table_rewrite_ptr,
    .glWindowPos2i = epoxy_glWindowPos2i_dispatch_table_rewrite_ptr,
    .glWindowPos2iARB = epoxy_glWindowPos2iARB_dispatch_table_rewrite_ptr,
    .glWindowPos2iMESA = epoxy_glWindowPos2iMESA_dispatch_table_rewrite_ptr,
    .glWindowPos2iv = epoxy_glWindowPos2iv_dispatch_table_rewrite_ptr,
    .glWindowPos2ivARB = epoxy_glWindowPos2ivARB_dispatch_table_rewrite_ptr,
    .glWindowPos2ivMESA = epoxy_glWindowPos2ivMESA_dispatch_table_rewrite_ptr,
    .glWindowPos2s = epoxy_glWindowPos2s_dispatch_table_rewrite_ptr,
    .glWindowPos2sARB = epoxy_glWindowPos2sARB_dispatch_table_rewrite_ptr,
    .glWindowPos2sMESA = epoxy_glWindowPos2sMESA_dispatch_table_rewrite_ptr,
    .glWindowPos2sv = epoxy_glWindowPos2sv_dispatch_table_rewrite_ptr,
    .glWindowPos2svARB = epoxy_glWindowPos2svARB_dispatch_table_rewrite_ptr,
    .glWindowPos2svMESA = epoxy_glWindowPos2svMESA_dispatch_table_rewrite_ptr,
    .glWindowPos3d = epoxy_glWindowPos3d_dispatch_table_rewrite_ptr,
    .glWindowPos3dARB = epoxy_glWindowPos3dARB_dispatch_table_rewrite_ptr,
    .glWindowPos3dMESA = epoxy_glWindowPos3dMESA_dispatch_table_rewrite_ptr,
    .glWindowPos3dv = epoxy_glWindowPos3dv_dispatch_table_rewrite_ptr,
    .glWindowPos3dvARB = epoxy_glWindowPos3dvARB_dispatch_table_rewrite_ptr,
    .glWindowPos3dvMESA = epoxy_glWindowPos3dvMESA_dispatch_table_rewrite_ptr,
    .glWindowPos3f = epoxy_glWindowPos3f_dispatch_table_rewrite_ptr,
    .glWindowPos3fARB = epoxy_glWindowPos3fARB_dispatch_table_rewrite_ptr,
    .glWindowPos3fMESA = epoxy_glWindowPos3fMESA_dispatch_table_rewrite_ptr,
    .glWindowPos3fv = epoxy_glWindowPos3fv_dispatch_table_rewrite_ptr,
    .glWindowPos3fvARB = epoxy_glWindowPos3fvARB_dispatch_table_rewrite_ptr,
    .glWindowPos3fvMESA = epoxy_glWindowPos3fvMESA_dispatch_table_rewrite_ptr,
    .glWindowPos3i = epoxy_glWindowPos3i_dispatch_table_rewrite_ptr,
    .glWindowPos3iARB = epoxy_glWindowPos3iARB_dispatch_table_rewrite_ptr,
    .glWindowPos3iMESA = epoxy_glWindowPos3iMESA_dispatch_table_rewrite_ptr,
    .glWindowPos3iv = epoxy_glWindowPos3iv_dispatch_table_rewrite_ptr,
    .glWindowPos3ivARB = epoxy_glWindowPos3ivARB_dispatch_table_rewrite_ptr,
    .glWindowPos3ivMESA = epoxy_glWindowPos3ivMESA_dispatch_table_rewrite_ptr,
    .glWindowPos3s = epoxy_glWindowPos3s_dispatch_table_rewrite_ptr,
    .glWindowPos3sARB = epoxy_glWindowPos3sARB_dispatch_table_rewrite_ptr,
    .glWindowPos3sMESA = epoxy_glWindowPos3sMESA_dispatch_table_rewrite_ptr,
    .glWindowPos3sv = epoxy_glWindowPos3sv_dispatch_table_rewrite_ptr,
    .glWindowPos3svARB = epoxy_glWindowPos3svARB_dispatch_table_rewrite_ptr,
    .glWindowPos3svMESA = epoxy_glWindowPos3svMESA_dispatch_table_rewrite_ptr,
    .glWindowPos4dMESA = epoxy_glWindowPos4dMESA_dispatch_table_rewrite_ptr,
    .glWindowPos4dvMESA = epoxy_glWindowPos4dvMESA_dispatch_table_rewrite_ptr,
    .glWindowPos4fMESA = epoxy_glWindowPos4fMESA_dispatch_table_rewrite_ptr,
    .glWindowPos4fvMESA = epoxy_glWindowPos4fvMESA_dispatch_table_rewrite_ptr,
    .glWindowPos4iMESA = epoxy_glWindowPos4iMESA_dispatch_table_rewrite_ptr,
    .glWindowPos4ivMESA = epoxy_glWindowPos4ivMESA_dispatch_table_rewrite_ptr,
    .glWindowPos4sMESA = epoxy_glWindowPos4sMESA_dispatch_table_rewrite_ptr,
    .glWindowPos4svMESA = epoxy_glWindowPos4svMESA_dispatch_table_rewrite_ptr,
    .glWriteMaskEXT = epoxy_glWriteMaskEXT_dispatch_table_rewrite_ptr,
};

uint32_t gl_tls_index;
uint32_t gl_tls_size = sizeof(struct dispatch_table);

static inline struct dispatch_table *
get_dispatch_table(void)
{
	return TlsGetValue(gl_tls_index);
}

void
gl_init_dispatch_table(void)
{
    struct dispatch_table *dispatch_table = get_dispatch_table();
    memcpy(dispatch_table, &resolver_table, sizeof(resolver_table));
}

void
gl_switch_to_dispatch_table(void)
{
    epoxy_glAccum = epoxy_glAccum_dispatch_table_thunk;
    epoxy_glAccumxOES = epoxy_glAccumxOES_dispatch_table_thunk;
    epoxy_glActiveProgramEXT = epoxy_glActiveProgramEXT_dispatch_table_thunk;
    epoxy_glActiveShaderProgram = epoxy_glActiveShaderProgram_dispatch_table_thunk;
    epoxy_glActiveShaderProgramEXT = epoxy_glActiveShaderProgramEXT_dispatch_table_thunk;
    epoxy_glActiveStencilFaceEXT = epoxy_glActiveStencilFaceEXT_dispatch_table_thunk;
    epoxy_glActiveTexture = epoxy_glActiveTexture_dispatch_table_thunk;
    epoxy_glActiveTextureARB = epoxy_glActiveTextureARB_dispatch_table_thunk;
    epoxy_glActiveVaryingNV = epoxy_glActiveVaryingNV_dispatch_table_thunk;
    epoxy_glAlphaFragmentOp1ATI = epoxy_glAlphaFragmentOp1ATI_dispatch_table_thunk;
    epoxy_glAlphaFragmentOp2ATI = epoxy_glAlphaFragmentOp2ATI_dispatch_table_thunk;
    epoxy_glAlphaFragmentOp3ATI = epoxy_glAlphaFragmentOp3ATI_dispatch_table_thunk;
    epoxy_glAlphaFunc = epoxy_glAlphaFunc_dispatch_table_thunk;
    epoxy_glAlphaFuncQCOM = epoxy_glAlphaFuncQCOM_dispatch_table_thunk;
    epoxy_glAlphaFuncx = epoxy_glAlphaFuncx_dispatch_table_thunk;
    epoxy_glAlphaFuncxOES = epoxy_glAlphaFuncxOES_dispatch_table_thunk;
    epoxy_glApplyTextureEXT = epoxy_glApplyTextureEXT_dispatch_table_thunk;
    epoxy_glAreProgramsResidentNV = epoxy_glAreProgramsResidentNV_dispatch_table_thunk;
    epoxy_glAreTexturesResident = epoxy_glAreTexturesResident_dispatch_table_thunk;
    epoxy_glAreTexturesResidentEXT = epoxy_glAreTexturesResidentEXT_dispatch_table_thunk;
    epoxy_glArrayElement = epoxy_glArrayElement_dispatch_table_thunk;
    epoxy_glArrayElementEXT = epoxy_glArrayElementEXT_dispatch_table_thunk;
    epoxy_glArrayObjectATI = epoxy_glArrayObjectATI_dispatch_table_thunk;
    epoxy_glAsyncMarkerSGIX = epoxy_glAsyncMarkerSGIX_dispatch_table_thunk;
    epoxy_glAttachObjectARB = epoxy_glAttachObjectARB_dispatch_table_thunk;
    epoxy_glAttachShader = epoxy_glAttachShader_dispatch_table_thunk;
    epoxy_glBegin_unwrapped = epoxy_glBegin_unwrapped_dispatch_table_thunk;
    epoxy_glBeginConditionalRender = epoxy_glBeginConditionalRender_dispatch_table_thunk;
    epoxy_glBeginConditionalRenderNV = epoxy_glBeginConditionalRenderNV_dispatch_table_thunk;
    epoxy_glBeginConditionalRenderNVX = epoxy_glBeginConditionalRenderNVX_dispatch_table_thunk;
    epoxy_glBeginFragmentShaderATI = epoxy_glBeginFragmentShaderATI_dispatch_table_thunk;
    epoxy_glBeginOcclusionQueryNV = epoxy_glBeginOcclusionQueryNV_dispatch_table_thunk;
    epoxy_glBeginPerfMonitorAMD = epoxy_glBeginPerfMonitorAMD_dispatch_table_thunk;
    epoxy_glBeginPerfQueryINTEL = epoxy_glBeginPerfQueryINTEL_dispatch_table_thunk;
    epoxy_glBeginQuery = epoxy_glBeginQuery_dispatch_table_thunk;
    epoxy_glBeginQueryARB = epoxy_glBeginQueryARB_dispatch_table_thunk;
    epoxy_glBeginQueryEXT = epoxy_glBeginQueryEXT_dispatch_table_thunk;
    epoxy_glBeginQueryIndexed = epoxy_glBeginQueryIndexed_dispatch_table_thunk;
    epoxy_glBeginTransformFeedback = epoxy_glBeginTransformFeedback_dispatch_table_thunk;
    epoxy_glBeginTransformFeedbackEXT = epoxy_glBeginTransformFeedbackEXT_dispatch_table_thunk;
    epoxy_glBeginTransformFeedbackNV = epoxy_glBeginTransformFeedbackNV_dispatch_table_thunk;
    epoxy_glBeginVertexShaderEXT = epoxy_glBeginVertexShaderEXT_dispatch_table_thunk;
    epoxy_glBeginVideoCaptureNV = epoxy_glBeginVideoCaptureNV_dispatch_table_thunk;
    epoxy_glBindAttribLocation = epoxy_glBindAttribLocation_dispatch_table_thunk;
    epoxy_glBindAttribLocationARB = epoxy_glBindAttribLocationARB_dispatch_table_thunk;
    epoxy_glBindBuffer = epoxy_glBindBuffer_dispatch_table_thunk;
    epoxy_glBindBufferARB = epoxy_glBindBufferARB_dispatch_table_thunk;
    epoxy_glBindBufferBase = epoxy_glBindBufferBase_dispatch_table_thunk;
    epoxy_glBindBufferBaseEXT = epoxy_glBindBufferBaseEXT_dispatch_table_thunk;
    epoxy_glBindBufferBaseNV = epoxy_glBindBufferBaseNV_dispatch_table_thunk;
    epoxy_glBindBufferOffsetEXT = epoxy_glBindBufferOffsetEXT_dispatch_table_thunk;
    epoxy_glBindBufferOffsetNV = epoxy_glBindBufferOffsetNV_dispatch_table_thunk;
    epoxy_glBindBufferRange = epoxy_glBindBufferRange_dispatch_table_thunk;
    epoxy_glBindBufferRangeEXT = epoxy_glBindBufferRangeEXT_dispatch_table_thunk;
    epoxy_glBindBufferRangeNV = epoxy_glBindBufferRangeNV_dispatch_table_thunk;
    epoxy_glBindBuffersBase = epoxy_glBindBuffersBase_dispatch_table_thunk;
    epoxy_glBindBuffersRange = epoxy_glBindBuffersRange_dispatch_table_thunk;
    epoxy_glBindFragDataLocation = epoxy_glBindFragDataLocation_dispatch_table_thunk;
    epoxy_glBindFragDataLocationEXT = epoxy_glBindFragDataLocationEXT_dispatch_table_thunk;
    epoxy_glBindFragDataLocationIndexed = epoxy_glBindFragDataLocationIndexed_dispatch_table_thunk;
    epoxy_glBindFragmentShaderATI = epoxy_glBindFragmentShaderATI_dispatch_table_thunk;
    epoxy_glBindFramebuffer = epoxy_glBindFramebuffer_dispatch_table_thunk;
    epoxy_glBindFramebufferEXT = epoxy_glBindFramebufferEXT_dispatch_table_thunk;
    epoxy_glBindFramebufferOES = epoxy_glBindFramebufferOES_dispatch_table_thunk;
    epoxy_glBindImageTexture = epoxy_glBindImageTexture_dispatch_table_thunk;
    epoxy_glBindImageTextureEXT = epoxy_glBindImageTextureEXT_dispatch_table_thunk;
    epoxy_glBindImageTextures = epoxy_glBindImageTextures_dispatch_table_thunk;
    epoxy_glBindLightParameterEXT = epoxy_glBindLightParameterEXT_dispatch_table_thunk;
    epoxy_glBindMaterialParameterEXT = epoxy_glBindMaterialParameterEXT_dispatch_table_thunk;
    epoxy_glBindMultiTextureEXT = epoxy_glBindMultiTextureEXT_dispatch_table_thunk;
    epoxy_glBindParameterEXT = epoxy_glBindParameterEXT_dispatch_table_thunk;
    epoxy_glBindProgramARB = epoxy_glBindProgramARB_dispatch_table_thunk;
    epoxy_glBindProgramNV = epoxy_glBindProgramNV_dispatch_table_thunk;
    epoxy_glBindProgramPipeline = epoxy_glBindProgramPipeline_dispatch_table_thunk;
    epoxy_glBindProgramPipelineEXT = epoxy_glBindProgramPipelineEXT_dispatch_table_thunk;
    epoxy_glBindRenderbuffer = epoxy_glBindRenderbuffer_dispatch_table_thunk;
    epoxy_glBindRenderbufferEXT = epoxy_glBindRenderbufferEXT_dispatch_table_thunk;
    epoxy_glBindRenderbufferOES = epoxy_glBindRenderbufferOES_dispatch_table_thunk;
    epoxy_glBindSampler = epoxy_glBindSampler_dispatch_table_thunk;
    epoxy_glBindSamplers = epoxy_glBindSamplers_dispatch_table_thunk;
    epoxy_glBindTexGenParameterEXT = epoxy_glBindTexGenParameterEXT_dispatch_table_thunk;
    epoxy_glBindTexture = epoxy_glBindTexture_dispatch_table_thunk;
    epoxy_glBindTextureEXT = epoxy_glBindTextureEXT_dispatch_table_thunk;
    epoxy_glBindTextureUnitParameterEXT = epoxy_glBindTextureUnitParameterEXT_dispatch_table_thunk;
    epoxy_glBindTextures = epoxy_glBindTextures_dispatch_table_thunk;
    epoxy_glBindTransformFeedback = epoxy_glBindTransformFeedback_dispatch_table_thunk;
    epoxy_glBindTransformFeedbackNV = epoxy_glBindTransformFeedbackNV_dispatch_table_thunk;
    epoxy_glBindVertexArray = epoxy_glBindVertexArray_dispatch_table_thunk;
    epoxy_glBindVertexArrayAPPLE = epoxy_glBindVertexArrayAPPLE_dispatch_table_thunk;
    epoxy_glBindVertexArrayOES = epoxy_glBindVertexArrayOES_dispatch_table_thunk;
    epoxy_glBindVertexBuffer = epoxy_glBindVertexBuffer_dispatch_table_thunk;
    epoxy_glBindVertexBuffers = epoxy_glBindVertexBuffers_dispatch_table_thunk;
    epoxy_glBindVertexShaderEXT = epoxy_glBindVertexShaderEXT_dispatch_table_thunk;
    epoxy_glBindVideoCaptureStreamBufferNV = epoxy_glBindVideoCaptureStreamBufferNV_dispatch_table_thunk;
    epoxy_glBindVideoCaptureStreamTextureNV = epoxy_glBindVideoCaptureStreamTextureNV_dispatch_table_thunk;
    epoxy_glBinormal3bEXT = epoxy_glBinormal3bEXT_dispatch_table_thunk;
    epoxy_glBinormal3bvEXT = epoxy_glBinormal3bvEXT_dispatch_table_thunk;
    epoxy_glBinormal3dEXT = epoxy_glBinormal3dEXT_dispatch_table_thunk;
    epoxy_glBinormal3dvEXT = epoxy_glBinormal3dvEXT_dispatch_table_thunk;
    epoxy_glBinormal3fEXT = epoxy_glBinormal3fEXT_dispatch_table_thunk;
    epoxy_glBinormal3fvEXT = epoxy_glBinormal3fvEXT_dispatch_table_thunk;
    epoxy_glBinormal3iEXT = epoxy_glBinormal3iEXT_dispatch_table_thunk;
    epoxy_glBinormal3ivEXT = epoxy_glBinormal3ivEXT_dispatch_table_thunk;
    epoxy_glBinormal3sEXT = epoxy_glBinormal3sEXT_dispatch_table_thunk;
    epoxy_glBinormal3svEXT = epoxy_glBinormal3svEXT_dispatch_table_thunk;
    epoxy_glBinormalPointerEXT = epoxy_glBinormalPointerEXT_dispatch_table_thunk;
    epoxy_glBitmap = epoxy_glBitmap_dispatch_table_thunk;
    epoxy_glBitmapxOES = epoxy_glBitmapxOES_dispatch_table_thunk;
    epoxy_glBlendBarrierKHR = epoxy_glBlendBarrierKHR_dispatch_table_thunk;
    epoxy_glBlendBarrierNV = epoxy_glBlendBarrierNV_dispatch_table_thunk;
    epoxy_glBlendColor = epoxy_glBlendColor_dispatch_table_thunk;
    epoxy_glBlendColorEXT = epoxy_glBlendColorEXT_dispatch_table_thunk;
    epoxy_glBlendColorxOES = epoxy_glBlendColorxOES_dispatch_table_thunk;
    epoxy_glBlendEquation = epoxy_glBlendEquation_dispatch_table_thunk;
    epoxy_glBlendEquationEXT = epoxy_glBlendEquationEXT_dispatch_table_thunk;
    epoxy_glBlendEquationIndexedAMD = epoxy_glBlendEquationIndexedAMD_dispatch_table_thunk;
    epoxy_glBlendEquationOES = epoxy_glBlendEquationOES_dispatch_table_thunk;
    epoxy_glBlendEquationSeparate = epoxy_glBlendEquationSeparate_dispatch_table_thunk;
    epoxy_glBlendEquationSeparateEXT = epoxy_glBlendEquationSeparateEXT_dispatch_table_thunk;
    epoxy_glBlendEquationSeparateIndexedAMD = epoxy_glBlendEquationSeparateIndexedAMD_dispatch_table_thunk;
    epoxy_glBlendEquationSeparateOES = epoxy_glBlendEquationSeparateOES_dispatch_table_thunk;
    epoxy_glBlendEquationSeparatei = epoxy_glBlendEquationSeparatei_dispatch_table_thunk;
    epoxy_glBlendEquationSeparateiARB = epoxy_glBlendEquationSeparateiARB_dispatch_table_thunk;
    epoxy_glBlendEquationi = epoxy_glBlendEquationi_dispatch_table_thunk;
    epoxy_glBlendEquationiARB = epoxy_glBlendEquationiARB_dispatch_table_thunk;
    epoxy_glBlendFunc = epoxy_glBlendFunc_dispatch_table_thunk;
    epoxy_glBlendFuncIndexedAMD = epoxy_glBlendFuncIndexedAMD_dispatch_table_thunk;
    epoxy_glBlendFuncSeparate = epoxy_glBlendFuncSeparate_dispatch_table_thunk;
    epoxy_glBlendFuncSeparateEXT = epoxy_glBlendFuncSeparateEXT_dispatch_table_thunk;
    epoxy_glBlendFuncSeparateINGR = epoxy_glBlendFuncSeparateINGR_dispatch_table_thunk;
    epoxy_glBlendFuncSeparateIndexedAMD = epoxy_glBlendFuncSeparateIndexedAMD_dispatch_table_thunk;
    epoxy_glBlendFuncSeparateOES = epoxy_glBlendFuncSeparateOES_dispatch_table_thunk;
    epoxy_glBlendFuncSeparatei = epoxy_glBlendFuncSeparatei_dispatch_table_thunk;
    epoxy_glBlendFuncSeparateiARB = epoxy_glBlendFuncSeparateiARB_dispatch_table_thunk;
    epoxy_glBlendFunci = epoxy_glBlendFunci_dispatch_table_thunk;
    epoxy_glBlendFunciARB = epoxy_glBlendFunciARB_dispatch_table_thunk;
    epoxy_glBlendParameteriNV = epoxy_glBlendParameteriNV_dispatch_table_thunk;
    epoxy_glBlitFramebuffer = epoxy_glBlitFramebuffer_dispatch_table_thunk;
    epoxy_glBlitFramebufferANGLE = epoxy_glBlitFramebufferANGLE_dispatch_table_thunk;
    epoxy_glBlitFramebufferEXT = epoxy_glBlitFramebufferEXT_dispatch_table_thunk;
    epoxy_glBlitFramebufferNV = epoxy_glBlitFramebufferNV_dispatch_table_thunk;
    epoxy_glBufferAddressRangeNV = epoxy_glBufferAddressRangeNV_dispatch_table_thunk;
    epoxy_glBufferData = epoxy_glBufferData_dispatch_table_thunk;
    epoxy_glBufferDataARB = epoxy_glBufferDataARB_dispatch_table_thunk;
    epoxy_glBufferParameteriAPPLE = epoxy_glBufferParameteriAPPLE_dispatch_table_thunk;
    epoxy_glBufferStorage = epoxy_glBufferStorage_dispatch_table_thunk;
    epoxy_glBufferSubData = epoxy_glBufferSubData_dispatch_table_thunk;
    epoxy_glBufferSubDataARB = epoxy_glBufferSubDataARB_dispatch_table_thunk;
    epoxy_glCallList = epoxy_glCallList_dispatch_table_thunk;
    epoxy_glCallLists = epoxy_glCallLists_dispatch_table_thunk;
    epoxy_glCheckFramebufferStatus = epoxy_glCheckFramebufferStatus_dispatch_table_thunk;
    epoxy_glCheckFramebufferStatusEXT = epoxy_glCheckFramebufferStatusEXT_dispatch_table_thunk;
    epoxy_glCheckFramebufferStatusOES = epoxy_glCheckFramebufferStatusOES_dispatch_table_thunk;
    epoxy_glCheckNamedFramebufferStatusEXT = epoxy_glCheckNamedFramebufferStatusEXT_dispatch_table_thunk;
    epoxy_glClampColor = epoxy_glClampColor_dispatch_table_thunk;
    epoxy_glClampColorARB = epoxy_glClampColorARB_dispatch_table_thunk;
    epoxy_glClear = epoxy_glClear_dispatch_table_thunk;
    epoxy_glClearAccum = epoxy_glClearAccum_dispatch_table_thunk;
    epoxy_glClearAccumxOES = epoxy_glClearAccumxOES_dispatch_table_thunk;
    epoxy_glClearBufferData = epoxy_glClearBufferData_dispatch_table_thunk;
    epoxy_glClearBufferSubData = epoxy_glClearBufferSubData_dispatch_table_thunk;
    epoxy_glClearBufferfi = epoxy_glClearBufferfi_dispatch_table_thunk;
    epoxy_glClearBufferfv = epoxy_glClearBufferfv_dispatch_table_thunk;
    epoxy_glClearBufferiv = epoxy_glClearBufferiv_dispatch_table_thunk;
    epoxy_glClearBufferuiv = epoxy_glClearBufferuiv_dispatch_table_thunk;
    epoxy_glClearColor = epoxy_glClearColor_dispatch_table_thunk;
    epoxy_glClearColorIiEXT = epoxy_glClearColorIiEXT_dispatch_table_thunk;
    epoxy_glClearColorIuiEXT = epoxy_glClearColorIuiEXT_dispatch_table_thunk;
    epoxy_glClearColorx = epoxy_glClearColorx_dispatch_table_thunk;
    epoxy_glClearColorxOES = epoxy_glClearColorxOES_dispatch_table_thunk;
    epoxy_glClearDepth = epoxy_glClearDepth_dispatch_table_thunk;
    epoxy_glClearDepthdNV = epoxy_glClearDepthdNV_dispatch_table_thunk;
    epoxy_glClearDepthf = epoxy_glClearDepthf_dispatch_table_thunk;
    epoxy_glClearDepthfOES = epoxy_glClearDepthfOES_dispatch_table_thunk;
    epoxy_glClearDepthx = epoxy_glClearDepthx_dispatch_table_thunk;
    epoxy_glClearDepthxOES = epoxy_glClearDepthxOES_dispatch_table_thunk;
    epoxy_glClearIndex = epoxy_glClearIndex_dispatch_table_thunk;
    epoxy_glClearNamedBufferDataEXT = epoxy_glClearNamedBufferDataEXT_dispatch_table_thunk;
    epoxy_glClearNamedBufferSubDataEXT = epoxy_glClearNamedBufferSubDataEXT_dispatch_table_thunk;
    epoxy_glClearStencil = epoxy_glClearStencil_dispatch_table_thunk;
    epoxy_glClearTexImage = epoxy_glClearTexImage_dispatch_table_thunk;
    epoxy_glClearTexSubImage = epoxy_glClearTexSubImage_dispatch_table_thunk;
    epoxy_glClientActiveTexture = epoxy_glClientActiveTexture_dispatch_table_thunk;
    epoxy_glClientActiveTextureARB = epoxy_glClientActiveTextureARB_dispatch_table_thunk;
    epoxy_glClientActiveVertexStreamATI = epoxy_glClientActiveVertexStreamATI_dispatch_table_thunk;
    epoxy_glClientAttribDefaultEXT = epoxy_glClientAttribDefaultEXT_dispatch_table_thunk;
    epoxy_glClientWaitSync = epoxy_glClientWaitSync_dispatch_table_thunk;
    epoxy_glClientWaitSyncAPPLE = epoxy_glClientWaitSyncAPPLE_dispatch_table_thunk;
    epoxy_glClipPlane = epoxy_glClipPlane_dispatch_table_thunk;
    epoxy_glClipPlanef = epoxy_glClipPlanef_dispatch_table_thunk;
    epoxy_glClipPlanefIMG = epoxy_glClipPlanefIMG_dispatch_table_thunk;
    epoxy_glClipPlanefOES = epoxy_glClipPlanefOES_dispatch_table_thunk;
    epoxy_glClipPlanex = epoxy_glClipPlanex_dispatch_table_thunk;
    epoxy_glClipPlanexIMG = epoxy_glClipPlanexIMG_dispatch_table_thunk;
    epoxy_glClipPlanexOES = epoxy_glClipPlanexOES_dispatch_table_thunk;
    epoxy_glColor3b = epoxy_glColor3b_dispatch_table_thunk;
    epoxy_glColor3bv = epoxy_glColor3bv_dispatch_table_thunk;
    epoxy_glColor3d = epoxy_glColor3d_dispatch_table_thunk;
    epoxy_glColor3dv = epoxy_glColor3dv_dispatch_table_thunk;
    epoxy_glColor3f = epoxy_glColor3f_dispatch_table_thunk;
    epoxy_glColor3fVertex3fSUN = epoxy_glColor3fVertex3fSUN_dispatch_table_thunk;
    epoxy_glColor3fVertex3fvSUN = epoxy_glColor3fVertex3fvSUN_dispatch_table_thunk;
    epoxy_glColor3fv = epoxy_glColor3fv_dispatch_table_thunk;
    epoxy_glColor3hNV = epoxy_glColor3hNV_dispatch_table_thunk;
    epoxy_glColor3hvNV = epoxy_glColor3hvNV_dispatch_table_thunk;
    epoxy_glColor3i = epoxy_glColor3i_dispatch_table_thunk;
    epoxy_glColor3iv = epoxy_glColor3iv_dispatch_table_thunk;
    epoxy_glColor3s = epoxy_glColor3s_dispatch_table_thunk;
    epoxy_glColor3sv = epoxy_glColor3sv_dispatch_table_thunk;
    epoxy_glColor3ub = epoxy_glColor3ub_dispatch_table_thunk;
    epoxy_glColor3ubv = epoxy_glColor3ubv_dispatch_table_thunk;
    epoxy_glColor3ui = epoxy_glColor3ui_dispatch_table_thunk;
    epoxy_glColor3uiv = epoxy_glColor3uiv_dispatch_table_thunk;
    epoxy_glColor3us = epoxy_glColor3us_dispatch_table_thunk;
    epoxy_glColor3usv = epoxy_glColor3usv_dispatch_table_thunk;
    epoxy_glColor3xOES = epoxy_glColor3xOES_dispatch_table_thunk;
    epoxy_glColor3xvOES = epoxy_glColor3xvOES_dispatch_table_thunk;
    epoxy_glColor4b = epoxy_glColor4b_dispatch_table_thunk;
    epoxy_glColor4bv = epoxy_glColor4bv_dispatch_table_thunk;
    epoxy_glColor4d = epoxy_glColor4d_dispatch_table_thunk;
    epoxy_glColor4dv = epoxy_glColor4dv_dispatch_table_thunk;
    epoxy_glColor4f = epoxy_glColor4f_dispatch_table_thunk;
    epoxy_glColor4fNormal3fVertex3fSUN = epoxy_glColor4fNormal3fVertex3fSUN_dispatch_table_thunk;
    epoxy_glColor4fNormal3fVertex3fvSUN = epoxy_glColor4fNormal3fVertex3fvSUN_dispatch_table_thunk;
    epoxy_glColor4fv = epoxy_glColor4fv_dispatch_table_thunk;
    epoxy_glColor4hNV = epoxy_glColor4hNV_dispatch_table_thunk;
    epoxy_glColor4hvNV = epoxy_glColor4hvNV_dispatch_table_thunk;
    epoxy_glColor4i = epoxy_glColor4i_dispatch_table_thunk;
    epoxy_glColor4iv = epoxy_glColor4iv_dispatch_table_thunk;
    epoxy_glColor4s = epoxy_glColor4s_dispatch_table_thunk;
    epoxy_glColor4sv = epoxy_glColor4sv_dispatch_table_thunk;
    epoxy_glColor4ub = epoxy_glColor4ub_dispatch_table_thunk;
    epoxy_glColor4ubVertex2fSUN = epoxy_glColor4ubVertex2fSUN_dispatch_table_thunk;
    epoxy_glColor4ubVertex2fvSUN = epoxy_glColor4ubVertex2fvSUN_dispatch_table_thunk;
    epoxy_glColor4ubVertex3fSUN = epoxy_glColor4ubVertex3fSUN_dispatch_table_thunk;
    epoxy_glColor4ubVertex3fvSUN = epoxy_glColor4ubVertex3fvSUN_dispatch_table_thunk;
    epoxy_glColor4ubv = epoxy_glColor4ubv_dispatch_table_thunk;
    epoxy_glColor4ui = epoxy_glColor4ui_dispatch_table_thunk;
    epoxy_glColor4uiv = epoxy_glColor4uiv_dispatch_table_thunk;
    epoxy_glColor4us = epoxy_glColor4us_dispatch_table_thunk;
    epoxy_glColor4usv = epoxy_glColor4usv_dispatch_table_thunk;
    epoxy_glColor4x = epoxy_glColor4x_dispatch_table_thunk;
    epoxy_glColor4xOES = epoxy_glColor4xOES_dispatch_table_thunk;
    epoxy_glColor4xvOES = epoxy_glColor4xvOES_dispatch_table_thunk;
    epoxy_glColorFormatNV = epoxy_glColorFormatNV_dispatch_table_thunk;
    epoxy_glColorFragmentOp1ATI = epoxy_glColorFragmentOp1ATI_dispatch_table_thunk;
    epoxy_glColorFragmentOp2ATI = epoxy_glColorFragmentOp2ATI_dispatch_table_thunk;
    epoxy_glColorFragmentOp3ATI = epoxy_glColorFragmentOp3ATI_dispatch_table_thunk;
    epoxy_glColorMask = epoxy_glColorMask_dispatch_table_thunk;
    epoxy_glColorMaskIndexedEXT = epoxy_glColorMaskIndexedEXT_dispatch_table_thunk;
    epoxy_glColorMaski = epoxy_glColorMaski_dispatch_table_thunk;
    epoxy_glColorMaterial = epoxy_glColorMaterial_dispatch_table_thunk;
    epoxy_glColorP3ui = epoxy_glColorP3ui_dispatch_table_thunk;
    epoxy_glColorP3uiv = epoxy_glColorP3uiv_dispatch_table_thunk;
    epoxy_glColorP4ui = epoxy_glColorP4ui_dispatch_table_thunk;
    epoxy_glColorP4uiv = epoxy_glColorP4uiv_dispatch_table_thunk;
    epoxy_glColorPointer = epoxy_glColorPointer_dispatch_table_thunk;
    epoxy_glColorPointerEXT = epoxy_glColorPointerEXT_dispatch_table_thunk;
    epoxy_glColorPointerListIBM = epoxy_glColorPointerListIBM_dispatch_table_thunk;
    epoxy_glColorPointervINTEL = epoxy_glColorPointervINTEL_dispatch_table_thunk;
    epoxy_glColorSubTable = epoxy_glColorSubTable_dispatch_table_thunk;
    epoxy_glColorSubTableEXT = epoxy_glColorSubTableEXT_dispatch_table_thunk;
    epoxy_glColorTable = epoxy_glColorTable_dispatch_table_thunk;
    epoxy_glColorTableEXT = epoxy_glColorTableEXT_dispatch_table_thunk;
    epoxy_glColorTableParameterfv = epoxy_glColorTableParameterfv_dispatch_table_thunk;
    epoxy_glColorTableParameterfvSGI = epoxy_glColorTableParameterfvSGI_dispatch_table_thunk;
    epoxy_glColorTableParameteriv = epoxy_glColorTableParameteriv_dispatch_table_thunk;
    epoxy_glColorTableParameterivSGI = epoxy_glColorTableParameterivSGI_dispatch_table_thunk;
    epoxy_glColorTableSGI = epoxy_glColorTableSGI_dispatch_table_thunk;
    epoxy_glCombinerInputNV = epoxy_glCombinerInputNV_dispatch_table_thunk;
    epoxy_glCombinerOutputNV = epoxy_glCombinerOutputNV_dispatch_table_thunk;
    epoxy_glCombinerParameterfNV = epoxy_glCombinerParameterfNV_dispatch_table_thunk;
    epoxy_glCombinerParameterfvNV = epoxy_glCombinerParameterfvNV_dispatch_table_thunk;
    epoxy_glCombinerParameteriNV = epoxy_glCombinerParameteriNV_dispatch_table_thunk;
    epoxy_glCombinerParameterivNV = epoxy_glCombinerParameterivNV_dispatch_table_thunk;
    epoxy_glCombinerStageParameterfvNV = epoxy_glCombinerStageParameterfvNV_dispatch_table_thunk;
    epoxy_glCompileShader = epoxy_glCompileShader_dispatch_table_thunk;
    epoxy_glCompileShaderARB = epoxy_glCompileShaderARB_dispatch_table_thunk;
    epoxy_glCompileShaderIncludeARB = epoxy_glCompileShaderIncludeARB_dispatch_table_thunk;
    epoxy_glCompressedMultiTexImage1DEXT = epoxy_glCompressedMultiTexImage1DEXT_dispatch_table_thunk;
    epoxy_glCompressedMultiTexImage2DEXT = epoxy_glCompressedMultiTexImage2DEXT_dispatch_table_thunk;
    epoxy_glCompressedMultiTexImage3DEXT = epoxy_glCompressedMultiTexImage3DEXT_dispatch_table_thunk;
    epoxy_glCompressedMultiTexSubImage1DEXT = epoxy_glCompressedMultiTexSubImage1DEXT_dispatch_table_thunk;
    epoxy_glCompressedMultiTexSubImage2DEXT = epoxy_glCompressedMultiTexSubImage2DEXT_dispatch_table_thunk;
    epoxy_glCompressedMultiTexSubImage3DEXT = epoxy_glCompressedMultiTexSubImage3DEXT_dispatch_table_thunk;
    epoxy_glCompressedTexImage1D = epoxy_glCompressedTexImage1D_dispatch_table_thunk;
    epoxy_glCompressedTexImage1DARB = epoxy_glCompressedTexImage1DARB_dispatch_table_thunk;
    epoxy_glCompressedTexImage2D = epoxy_glCompressedTexImage2D_dispatch_table_thunk;
    epoxy_glCompressedTexImage2DARB = epoxy_glCompressedTexImage2DARB_dispatch_table_thunk;
    epoxy_glCompressedTexImage3D = epoxy_glCompressedTexImage3D_dispatch_table_thunk;
    epoxy_glCompressedTexImage3DARB = epoxy_glCompressedTexImage3DARB_dispatch_table_thunk;
    epoxy_glCompressedTexImage3DOES = epoxy_glCompressedTexImage3DOES_dispatch_table_thunk;
    epoxy_glCompressedTexSubImage1D = epoxy_glCompressedTexSubImage1D_dispatch_table_thunk;
    epoxy_glCompressedTexSubImage1DARB = epoxy_glCompressedTexSubImage1DARB_dispatch_table_thunk;
    epoxy_glCompressedTexSubImage2D = epoxy_glCompressedTexSubImage2D_dispatch_table_thunk;
    epoxy_glCompressedTexSubImage2DARB = epoxy_glCompressedTexSubImage2DARB_dispatch_table_thunk;
    epoxy_glCompressedTexSubImage3D = epoxy_glCompressedTexSubImage3D_dispatch_table_thunk;
    epoxy_glCompressedTexSubImage3DARB = epoxy_glCompressedTexSubImage3DARB_dispatch_table_thunk;
    epoxy_glCompressedTexSubImage3DOES = epoxy_glCompressedTexSubImage3DOES_dispatch_table_thunk;
    epoxy_glCompressedTextureImage1DEXT = epoxy_glCompressedTextureImage1DEXT_dispatch_table_thunk;
    epoxy_glCompressedTextureImage2DEXT = epoxy_glCompressedTextureImage2DEXT_dispatch_table_thunk;
    epoxy_glCompressedTextureImage3DEXT = epoxy_glCompressedTextureImage3DEXT_dispatch_table_thunk;
    epoxy_glCompressedTextureSubImage1DEXT = epoxy_glCompressedTextureSubImage1DEXT_dispatch_table_thunk;
    epoxy_glCompressedTextureSubImage2DEXT = epoxy_glCompressedTextureSubImage2DEXT_dispatch_table_thunk;
    epoxy_glCompressedTextureSubImage3DEXT = epoxy_glCompressedTextureSubImage3DEXT_dispatch_table_thunk;
    epoxy_glConvolutionFilter1D = epoxy_glConvolutionFilter1D_dispatch_table_thunk;
    epoxy_glConvolutionFilter1DEXT = epoxy_glConvolutionFilter1DEXT_dispatch_table_thunk;
    epoxy_glConvolutionFilter2D = epoxy_glConvolutionFilter2D_dispatch_table_thunk;
    epoxy_glConvolutionFilter2DEXT = epoxy_glConvolutionFilter2DEXT_dispatch_table_thunk;
    epoxy_glConvolutionParameterf = epoxy_glConvolutionParameterf_dispatch_table_thunk;
    epoxy_glConvolutionParameterfEXT = epoxy_glConvolutionParameterfEXT_dispatch_table_thunk;
    epoxy_glConvolutionParameterfv = epoxy_glConvolutionParameterfv_dispatch_table_thunk;
    epoxy_glConvolutionParameterfvEXT = epoxy_glConvolutionParameterfvEXT_dispatch_table_thunk;
    epoxy_glConvolutionParameteri = epoxy_glConvolutionParameteri_dispatch_table_thunk;
    epoxy_glConvolutionParameteriEXT = epoxy_glConvolutionParameteriEXT_dispatch_table_thunk;
    epoxy_glConvolutionParameteriv = epoxy_glConvolutionParameteriv_dispatch_table_thunk;
    epoxy_glConvolutionParameterivEXT = epoxy_glConvolutionParameterivEXT_dispatch_table_thunk;
    epoxy_glConvolutionParameterxOES = epoxy_glConvolutionParameterxOES_dispatch_table_thunk;
    epoxy_glConvolutionParameterxvOES = epoxy_glConvolutionParameterxvOES_dispatch_table_thunk;
    epoxy_glCopyBufferSubData = epoxy_glCopyBufferSubData_dispatch_table_thunk;
    epoxy_glCopyBufferSubDataNV = epoxy_glCopyBufferSubDataNV_dispatch_table_thunk;
    epoxy_glCopyColorSubTable = epoxy_glCopyColorSubTable_dispatch_table_thunk;
    epoxy_glCopyColorSubTableEXT = epoxy_glCopyColorSubTableEXT_dispatch_table_thunk;
    epoxy_glCopyColorTable = epoxy_glCopyColorTable_dispatch_table_thunk;
    epoxy_glCopyColorTableSGI = epoxy_glCopyColorTableSGI_dispatch_table_thunk;
    epoxy_glCopyConvolutionFilter1D = epoxy_glCopyConvolutionFilter1D_dispatch_table_thunk;
    epoxy_glCopyConvolutionFilter1DEXT = epoxy_glCopyConvolutionFilter1DEXT_dispatch_table_thunk;
    epoxy_glCopyConvolutionFilter2D = epoxy_glCopyConvolutionFilter2D_dispatch_table_thunk;
    epoxy_glCopyConvolutionFilter2DEXT = epoxy_glCopyConvolutionFilter2DEXT_dispatch_table_thunk;
    epoxy_glCopyImageSubData = epoxy_glCopyImageSubData_dispatch_table_thunk;
    epoxy_glCopyImageSubDataNV = epoxy_glCopyImageSubDataNV_dispatch_table_thunk;
    epoxy_glCopyMultiTexImage1DEXT = epoxy_glCopyMultiTexImage1DEXT_dispatch_table_thunk;
    epoxy_glCopyMultiTexImage2DEXT = epoxy_glCopyMultiTexImage2DEXT_dispatch_table_thunk;
    epoxy_glCopyMultiTexSubImage1DEXT = epoxy_glCopyMultiTexSubImage1DEXT_dispatch_table_thunk;
    epoxy_glCopyMultiTexSubImage2DEXT = epoxy_glCopyMultiTexSubImage2DEXT_dispatch_table_thunk;
    epoxy_glCopyMultiTexSubImage3DEXT = epoxy_glCopyMultiTexSubImage3DEXT_dispatch_table_thunk;
    epoxy_glCopyPathNV = epoxy_glCopyPathNV_dispatch_table_thunk;
    epoxy_glCopyPixels = epoxy_glCopyPixels_dispatch_table_thunk;
    epoxy_glCopyTexImage1D = epoxy_glCopyTexImage1D_dispatch_table_thunk;
    epoxy_glCopyTexImage1DEXT = epoxy_glCopyTexImage1DEXT_dispatch_table_thunk;
    epoxy_glCopyTexImage2D = epoxy_glCopyTexImage2D_dispatch_table_thunk;
    epoxy_glCopyTexImage2DEXT = epoxy_glCopyTexImage2DEXT_dispatch_table_thunk;
    epoxy_glCopyTexSubImage1D = epoxy_glCopyTexSubImage1D_dispatch_table_thunk;
    epoxy_glCopyTexSubImage1DEXT = epoxy_glCopyTexSubImage1DEXT_dispatch_table_thunk;
    epoxy_glCopyTexSubImage2D = epoxy_glCopyTexSubImage2D_dispatch_table_thunk;
    epoxy_glCopyTexSubImage2DEXT = epoxy_glCopyTexSubImage2DEXT_dispatch_table_thunk;
    epoxy_glCopyTexSubImage3D = epoxy_glCopyTexSubImage3D_dispatch_table_thunk;
    epoxy_glCopyTexSubImage3DEXT = epoxy_glCopyTexSubImage3DEXT_dispatch_table_thunk;
    epoxy_glCopyTexSubImage3DOES = epoxy_glCopyTexSubImage3DOES_dispatch_table_thunk;
    epoxy_glCopyTextureImage1DEXT = epoxy_glCopyTextureImage1DEXT_dispatch_table_thunk;
    epoxy_glCopyTextureImage2DEXT = epoxy_glCopyTextureImage2DEXT_dispatch_table_thunk;
    epoxy_glCopyTextureLevelsAPPLE = epoxy_glCopyTextureLevelsAPPLE_dispatch_table_thunk;
    epoxy_glCopyTextureSubImage1DEXT = epoxy_glCopyTextureSubImage1DEXT_dispatch_table_thunk;
    epoxy_glCopyTextureSubImage2DEXT = epoxy_glCopyTextureSubImage2DEXT_dispatch_table_thunk;
    epoxy_glCopyTextureSubImage3DEXT = epoxy_glCopyTextureSubImage3DEXT_dispatch_table_thunk;
    epoxy_glCoverFillPathInstancedNV = epoxy_glCoverFillPathInstancedNV_dispatch_table_thunk;
    epoxy_glCoverFillPathNV = epoxy_glCoverFillPathNV_dispatch_table_thunk;
    epoxy_glCoverStrokePathInstancedNV = epoxy_glCoverStrokePathInstancedNV_dispatch_table_thunk;
    epoxy_glCoverStrokePathNV = epoxy_glCoverStrokePathNV_dispatch_table_thunk;
    epoxy_glCoverageMaskNV = epoxy_glCoverageMaskNV_dispatch_table_thunk;
    epoxy_glCoverageOperationNV = epoxy_glCoverageOperationNV_dispatch_table_thunk;
    epoxy_glCreatePerfQueryINTEL = epoxy_glCreatePerfQueryINTEL_dispatch_table_thunk;
    epoxy_glCreateProgram = epoxy_glCreateProgram_dispatch_table_thunk;
    epoxy_glCreateProgramObjectARB = epoxy_glCreateProgramObjectARB_dispatch_table_thunk;
    epoxy_glCreateShader = epoxy_glCreateShader_dispatch_table_thunk;
    epoxy_glCreateShaderObjectARB = epoxy_glCreateShaderObjectARB_dispatch_table_thunk;
    epoxy_glCreateShaderProgramEXT = epoxy_glCreateShaderProgramEXT_dispatch_table_thunk;
    epoxy_glCreateShaderProgramv = epoxy_glCreateShaderProgramv_dispatch_table_thunk;
    epoxy_glCreateShaderProgramvEXT = epoxy_glCreateShaderProgramvEXT_dispatch_table_thunk;
    epoxy_glCreateSyncFromCLeventARB = epoxy_glCreateSyncFromCLeventARB_dispatch_table_thunk;
    epoxy_glCullFace = epoxy_glCullFace_dispatch_table_thunk;
    epoxy_glCullParameterdvEXT = epoxy_glCullParameterdvEXT_dispatch_table_thunk;
    epoxy_glCullParameterfvEXT = epoxy_glCullParameterfvEXT_dispatch_table_thunk;
    epoxy_glCurrentPaletteMatrixARB = epoxy_glCurrentPaletteMatrixARB_dispatch_table_thunk;
    epoxy_glCurrentPaletteMatrixOES = epoxy_glCurrentPaletteMatrixOES_dispatch_table_thunk;
    epoxy_glDebugMessageCallback = epoxy_glDebugMessageCallback_dispatch_table_thunk;
    epoxy_glDebugMessageCallbackAMD = epoxy_glDebugMessageCallbackAMD_dispatch_table_thunk;
    epoxy_glDebugMessageCallbackARB = epoxy_glDebugMessageCallbackARB_dispatch_table_thunk;
    epoxy_glDebugMessageCallbackKHR = epoxy_glDebugMessageCallbackKHR_dispatch_table_thunk;
    epoxy_glDebugMessageControl = epoxy_glDebugMessageControl_dispatch_table_thunk;
    epoxy_glDebugMessageControlARB = epoxy_glDebugMessageControlARB_dispatch_table_thunk;
    epoxy_glDebugMessageControlKHR = epoxy_glDebugMessageControlKHR_dispatch_table_thunk;
    epoxy_glDebugMessageEnableAMD = epoxy_glDebugMessageEnableAMD_dispatch_table_thunk;
    epoxy_glDebugMessageInsert = epoxy_glDebugMessageInsert_dispatch_table_thunk;
    epoxy_glDebugMessageInsertAMD = epoxy_glDebugMessageInsertAMD_dispatch_table_thunk;
    epoxy_glDebugMessageInsertARB = epoxy_glDebugMessageInsertARB_dispatch_table_thunk;
    epoxy_glDebugMessageInsertKHR = epoxy_glDebugMessageInsertKHR_dispatch_table_thunk;
    epoxy_glDeformSGIX = epoxy_glDeformSGIX_dispatch_table_thunk;
    epoxy_glDeformationMap3dSGIX = epoxy_glDeformationMap3dSGIX_dispatch_table_thunk;
    epoxy_glDeformationMap3fSGIX = epoxy_glDeformationMap3fSGIX_dispatch_table_thunk;
    epoxy_glDeleteAsyncMarkersSGIX = epoxy_glDeleteAsyncMarkersSGIX_dispatch_table_thunk;
    epoxy_glDeleteBuffers = epoxy_glDeleteBuffers_dispatch_table_thunk;
    epoxy_glDeleteBuffersARB = epoxy_glDeleteBuffersARB_dispatch_table_thunk;
    epoxy_glDeleteFencesAPPLE = epoxy_glDeleteFencesAPPLE_dispatch_table_thunk;
    epoxy_glDeleteFencesNV = epoxy_glDeleteFencesNV_dispatch_table_thunk;
    epoxy_glDeleteFragmentShaderATI = epoxy_glDeleteFragmentShaderATI_dispatch_table_thunk;
    epoxy_glDeleteFramebuffers = epoxy_glDeleteFramebuffers_dispatch_table_thunk;
    epoxy_glDeleteFramebuffersEXT = epoxy_glDeleteFramebuffersEXT_dispatch_table_thunk;
    epoxy_glDeleteFramebuffersOES = epoxy_glDeleteFramebuffersOES_dispatch_table_thunk;
    epoxy_glDeleteLists = epoxy_glDeleteLists_dispatch_table_thunk;
    epoxy_glDeleteNamedStringARB = epoxy_glDeleteNamedStringARB_dispatch_table_thunk;
    epoxy_glDeleteNamesAMD = epoxy_glDeleteNamesAMD_dispatch_table_thunk;
    epoxy_glDeleteObjectARB = epoxy_glDeleteObjectARB_dispatch_table_thunk;
    epoxy_glDeleteOcclusionQueriesNV = epoxy_glDeleteOcclusionQueriesNV_dispatch_table_thunk;
    epoxy_glDeletePathsNV = epoxy_glDeletePathsNV_dispatch_table_thunk;
    epoxy_glDeletePerfMonitorsAMD = epoxy_glDeletePerfMonitorsAMD_dispatch_table_thunk;
    epoxy_glDeletePerfQueryINTEL = epoxy_glDeletePerfQueryINTEL_dispatch_table_thunk;
    epoxy_glDeleteProgram = epoxy_glDeleteProgram_dispatch_table_thunk;
    epoxy_glDeleteProgramPipelines = epoxy_glDeleteProgramPipelines_dispatch_table_thunk;
    epoxy_glDeleteProgramPipelinesEXT = epoxy_glDeleteProgramPipelinesEXT_dispatch_table_thunk;
    epoxy_glDeleteProgramsARB = epoxy_glDeleteProgramsARB_dispatch_table_thunk;
    epoxy_glDeleteProgramsNV = epoxy_glDeleteProgramsNV_dispatch_table_thunk;
    epoxy_glDeleteQueries = epoxy_glDeleteQueries_dispatch_table_thunk;
    epoxy_glDeleteQueriesARB = epoxy_glDeleteQueriesARB_dispatch_table_thunk;
    epoxy_glDeleteQueriesEXT = epoxy_glDeleteQueriesEXT_dispatch_table_thunk;
    epoxy_glDeleteRenderbuffers = epoxy_glDeleteRenderbuffers_dispatch_table_thunk;
    epoxy_glDeleteRenderbuffersEXT = epoxy_glDeleteRenderbuffersEXT_dispatch_table_thunk;
    epoxy_glDeleteRenderbuffersOES = epoxy_glDeleteRenderbuffersOES_dispatch_table_thunk;
    epoxy_glDeleteSamplers = epoxy_glDeleteSamplers_dispatch_table_thunk;
    epoxy_glDeleteShader = epoxy_glDeleteShader_dispatch_table_thunk;
    epoxy_glDeleteSync = epoxy_glDeleteSync_dispatch_table_thunk;
    epoxy_glDeleteSyncAPPLE = epoxy_glDeleteSyncAPPLE_dispatch_table_thunk;
    epoxy_glDeleteTextures = epoxy_glDeleteTextures_dispatch_table_thunk;
    epoxy_glDeleteTexturesEXT = epoxy_glDeleteTexturesEXT_dispatch_table_thunk;
    epoxy_glDeleteTransformFeedbacks = epoxy_glDeleteTransformFeedbacks_dispatch_table_thunk;
    epoxy_glDeleteTransformFeedbacksNV = epoxy_glDeleteTransformFeedbacksNV_dispatch_table_thunk;
    epoxy_glDeleteVertexArrays = epoxy_glDeleteVertexArrays_dispatch_table_thunk;
    epoxy_glDeleteVertexArraysAPPLE = epoxy_glDeleteVertexArraysAPPLE_dispatch_table_thunk;
    epoxy_glDeleteVertexArraysOES = epoxy_glDeleteVertexArraysOES_dispatch_table_thunk;
    epoxy_glDeleteVertexShaderEXT = epoxy_glDeleteVertexShaderEXT_dispatch_table_thunk;
    epoxy_glDepthBoundsEXT = epoxy_glDepthBoundsEXT_dispatch_table_thunk;
    epoxy_glDepthBoundsdNV = epoxy_glDepthBoundsdNV_dispatch_table_thunk;
    epoxy_glDepthFunc = epoxy_glDepthFunc_dispatch_table_thunk;
    epoxy_glDepthMask = epoxy_glDepthMask_dispatch_table_thunk;
    epoxy_glDepthRange = epoxy_glDepthRange_dispatch_table_thunk;
    epoxy_glDepthRangeArrayv = epoxy_glDepthRangeArrayv_dispatch_table_thunk;
    epoxy_glDepthRangeIndexed = epoxy_glDepthRangeIndexed_dispatch_table_thunk;
    epoxy_glDepthRangedNV = epoxy_glDepthRangedNV_dispatch_table_thunk;
    epoxy_glDepthRangef = epoxy_glDepthRangef_dispatch_table_thunk;
    epoxy_glDepthRangefOES = epoxy_glDepthRangefOES_dispatch_table_thunk;
    epoxy_glDepthRangex = epoxy_glDepthRangex_dispatch_table_thunk;
    epoxy_glDepthRangexOES = epoxy_glDepthRangexOES_dispatch_table_thunk;
    epoxy_glDetachObjectARB = epoxy_glDetachObjectARB_dispatch_table_thunk;
    epoxy_glDetachShader = epoxy_glDetachShader_dispatch_table_thunk;
    epoxy_glDetailTexFuncSGIS = epoxy_glDetailTexFuncSGIS_dispatch_table_thunk;
    epoxy_glDisable = epoxy_glDisable_dispatch_table_thunk;
    epoxy_glDisableClientState = epoxy_glDisableClientState_dispatch_table_thunk;
    epoxy_glDisableClientStateIndexedEXT = epoxy_glDisableClientStateIndexedEXT_dispatch_table_thunk;
    epoxy_glDisableClientStateiEXT = epoxy_glDisableClientStateiEXT_dispatch_table_thunk;
    epoxy_glDisableDriverControlQCOM = epoxy_glDisableDriverControlQCOM_dispatch_table_thunk;
    epoxy_glDisableIndexedEXT = epoxy_glDisableIndexedEXT_dispatch_table_thunk;
    epoxy_glDisableVariantClientStateEXT = epoxy_glDisableVariantClientStateEXT_dispatch_table_thunk;
    epoxy_glDisableVertexArrayAttribEXT = epoxy_glDisableVertexArrayAttribEXT_dispatch_table_thunk;
    epoxy_glDisableVertexArrayEXT = epoxy_glDisableVertexArrayEXT_dispatch_table_thunk;
    epoxy_glDisableVertexAttribAPPLE = epoxy_glDisableVertexAttribAPPLE_dispatch_table_thunk;
    epoxy_glDisableVertexAttribArray = epoxy_glDisableVertexAttribArray_dispatch_table_thunk;
    epoxy_glDisableVertexAttribArrayARB = epoxy_glDisableVertexAttribArrayARB_dispatch_table_thunk;
    epoxy_glDisablei = epoxy_glDisablei_dispatch_table_thunk;
    epoxy_glDiscardFramebufferEXT = epoxy_glDiscardFramebufferEXT_dispatch_table_thunk;
    epoxy_glDispatchCompute = epoxy_glDispatchCompute_dispatch_table_thunk;
    epoxy_glDispatchComputeGroupSizeARB = epoxy_glDispatchComputeGroupSizeARB_dispatch_table_thunk;
    epoxy_glDispatchComputeIndirect = epoxy_glDispatchComputeIndirect_dispatch_table_thunk;
    epoxy_glDrawArrays = epoxy_glDrawArrays_dispatch_table_thunk;
    epoxy_glDrawArraysEXT = epoxy_glDrawArraysEXT_dispatch_table_thunk;
    epoxy_glDrawArraysIndirect = epoxy_glDrawArraysIndirect_dispatch_table_thunk;
    epoxy_glDrawArraysInstanced = epoxy_glDrawArraysInstanced_dispatch_table_thunk;
    epoxy_glDrawArraysInstancedANGLE = epoxy_glDrawArraysInstancedANGLE_dispatch_table_thunk;
    epoxy_glDrawArraysInstancedARB = epoxy_glDrawArraysInstancedARB_dispatch_table_thunk;
    epoxy_glDrawArraysInstancedBaseInstance = epoxy_glDrawArraysInstancedBaseInstance_dispatch_table_thunk;
    epoxy_glDrawArraysInstancedEXT = epoxy_glDrawArraysInstancedEXT_dispatch_table_thunk;
    epoxy_glDrawArraysInstancedNV = epoxy_glDrawArraysInstancedNV_dispatch_table_thunk;
    epoxy_glDrawBuffer = epoxy_glDrawBuffer_dispatch_table_thunk;
    epoxy_glDrawBuffers = epoxy_glDrawBuffers_dispatch_table_thunk;
    epoxy_glDrawBuffersARB = epoxy_glDrawBuffersARB_dispatch_table_thunk;
    epoxy_glDrawBuffersATI = epoxy_glDrawBuffersATI_dispatch_table_thunk;
    epoxy_glDrawBuffersEXT = epoxy_glDrawBuffersEXT_dispatch_table_thunk;
    epoxy_glDrawBuffersIndexedEXT = epoxy_glDrawBuffersIndexedEXT_dispatch_table_thunk;
    epoxy_glDrawBuffersNV = epoxy_glDrawBuffersNV_dispatch_table_thunk;
    epoxy_glDrawElementArrayAPPLE = epoxy_glDrawElementArrayAPPLE_dispatch_table_thunk;
    epoxy_glDrawElementArrayATI = epoxy_glDrawElementArrayATI_dispatch_table_thunk;
    epoxy_glDrawElements = epoxy_glDrawElements_dispatch_table_thunk;
    epoxy_glDrawElementsBaseVertex = epoxy_glDrawElementsBaseVertex_dispatch_table_thunk;
    epoxy_glDrawElementsIndirect = epoxy_glDrawElementsIndirect_dispatch_table_thunk;
    epoxy_glDrawElementsInstanced = epoxy_glDrawElementsInstanced_dispatch_table_thunk;
    epoxy_glDrawElementsInstancedANGLE = epoxy_glDrawElementsInstancedANGLE_dispatch_table_thunk;
    epoxy_glDrawElementsInstancedARB = epoxy_glDrawElementsInstancedARB_dispatch_table_thunk;
    epoxy_glDrawElementsInstancedBaseInstance = epoxy_glDrawElementsInstancedBaseInstance_dispatch_table_thunk;
    epoxy_glDrawElementsInstancedBaseVertex = epoxy_glDrawElementsInstancedBaseVertex_dispatch_table_thunk;
    epoxy_glDrawElementsInstancedBaseVertexBaseInstance = epoxy_glDrawElementsInstancedBaseVertexBaseInstance_dispatch_table_thunk;
    epoxy_glDrawElementsInstancedEXT = epoxy_glDrawElementsInstancedEXT_dispatch_table_thunk;
    epoxy_glDrawElementsInstancedNV = epoxy_glDrawElementsInstancedNV_dispatch_table_thunk;
    epoxy_glDrawMeshArraysSUN = epoxy_glDrawMeshArraysSUN_dispatch_table_thunk;
    epoxy_glDrawPixels = epoxy_glDrawPixels_dispatch_table_thunk;
    epoxy_glDrawRangeElementArrayAPPLE = epoxy_glDrawRangeElementArrayAPPLE_dispatch_table_thunk;
    epoxy_glDrawRangeElementArrayATI = epoxy_glDrawRangeElementArrayATI_dispatch_table_thunk;
    epoxy_glDrawRangeElements = epoxy_glDrawRangeElements_dispatch_table_thunk;
    epoxy_glDrawRangeElementsBaseVertex = epoxy_glDrawRangeElementsBaseVertex_dispatch_table_thunk;
    epoxy_glDrawRangeElementsEXT = epoxy_glDrawRangeElementsEXT_dispatch_table_thunk;
    epoxy_glDrawTexfOES = epoxy_glDrawTexfOES_dispatch_table_thunk;
    epoxy_glDrawTexfvOES = epoxy_glDrawTexfvOES_dispatch_table_thunk;
    epoxy_glDrawTexiOES = epoxy_glDrawTexiOES_dispatch_table_thunk;
    epoxy_glDrawTexivOES = epoxy_glDrawTexivOES_dispatch_table_thunk;
    epoxy_glDrawTexsOES = epoxy_glDrawTexsOES_dispatch_table_thunk;
    epoxy_glDrawTexsvOES = epoxy_glDrawTexsvOES_dispatch_table_thunk;
    epoxy_glDrawTextureNV = epoxy_glDrawTextureNV_dispatch_table_thunk;
    epoxy_glDrawTexxOES = epoxy_glDrawTexxOES_dispatch_table_thunk;
    epoxy_glDrawTexxvOES = epoxy_glDrawTexxvOES_dispatch_table_thunk;
    epoxy_glDrawTransformFeedback = epoxy_glDrawTransformFeedback_dispatch_table_thunk;
    epoxy_glDrawTransformFeedbackInstanced = epoxy_glDrawTransformFeedbackInstanced_dispatch_table_thunk;
    epoxy_glDrawTransformFeedbackNV = epoxy_glDrawTransformFeedbackNV_dispatch_table_thunk;
    epoxy_glDrawTransformFeedbackStream = epoxy_glDrawTransformFeedbackStream_dispatch_table_thunk;
    epoxy_glDrawTransformFeedbackStreamInstanced = epoxy_glDrawTransformFeedbackStreamInstanced_dispatch_table_thunk;
    epoxy_glEGLImageTargetRenderbufferStorageOES = epoxy_glEGLImageTargetRenderbufferStorageOES_dispatch_table_thunk;
    epoxy_glEGLImageTargetTexture2DOES = epoxy_glEGLImageTargetTexture2DOES_dispatch_table_thunk;
    epoxy_glEdgeFlag = epoxy_glEdgeFlag_dispatch_table_thunk;
    epoxy_glEdgeFlagFormatNV = epoxy_glEdgeFlagFormatNV_dispatch_table_thunk;
    epoxy_glEdgeFlagPointer = epoxy_glEdgeFlagPointer_dispatch_table_thunk;
    epoxy_glEdgeFlagPointerEXT = epoxy_glEdgeFlagPointerEXT_dispatch_table_thunk;
    epoxy_glEdgeFlagPointerListIBM = epoxy_glEdgeFlagPointerListIBM_dispatch_table_thunk;
    epoxy_glEdgeFlagv = epoxy_glEdgeFlagv_dispatch_table_thunk;
    epoxy_glElementPointerAPPLE = epoxy_glElementPointerAPPLE_dispatch_table_thunk;
    epoxy_glElementPointerATI = epoxy_glElementPointerATI_dispatch_table_thunk;
    epoxy_glEnable = epoxy_glEnable_dispatch_table_thunk;
    epoxy_glEnableClientState = epoxy_glEnableClientState_dispatch_table_thunk;
    epoxy_glEnableClientStateIndexedEXT = epoxy_glEnableClientStateIndexedEXT_dispatch_table_thunk;
    epoxy_glEnableClientStateiEXT = epoxy_glEnableClientStateiEXT_dispatch_table_thunk;
    epoxy_glEnableDriverControlQCOM = epoxy_glEnableDriverControlQCOM_dispatch_table_thunk;
    epoxy_glEnableIndexedEXT = epoxy_glEnableIndexedEXT_dispatch_table_thunk;
    epoxy_glEnableVariantClientStateEXT = epoxy_glEnableVariantClientStateEXT_dispatch_table_thunk;
    epoxy_glEnableVertexArrayAttribEXT = epoxy_glEnableVertexArrayAttribEXT_dispatch_table_thunk;
    epoxy_glEnableVertexArrayEXT = epoxy_glEnableVertexArrayEXT_dispatch_table_thunk;
    epoxy_glEnableVertexAttribAPPLE = epoxy_glEnableVertexAttribAPPLE_dispatch_table_thunk;
    epoxy_glEnableVertexAttribArray = epoxy_glEnableVertexAttribArray_dispatch_table_thunk;
    epoxy_glEnableVertexAttribArrayARB = epoxy_glEnableVertexAttribArrayARB_dispatch_table_thunk;
    epoxy_glEnablei = epoxy_glEnablei_dispatch_table_thunk;
    epoxy_glEnd_unwrapped = epoxy_glEnd_unwrapped_dispatch_table_thunk;
    epoxy_glEndConditionalRender = epoxy_glEndConditionalRender_dispatch_table_thunk;
    epoxy_glEndConditionalRenderNV = epoxy_glEndConditionalRenderNV_dispatch_table_thunk;
    epoxy_glEndConditionalRenderNVX = epoxy_glEndConditionalRenderNVX_dispatch_table_thunk;
    epoxy_glEndFragmentShaderATI = epoxy_glEndFragmentShaderATI_dispatch_table_thunk;
    epoxy_glEndList = epoxy_glEndList_dispatch_table_thunk;
    epoxy_glEndOcclusionQueryNV = epoxy_glEndOcclusionQueryNV_dispatch_table_thunk;
    epoxy_glEndPerfMonitorAMD = epoxy_glEndPerfMonitorAMD_dispatch_table_thunk;
    epoxy_glEndPerfQueryINTEL = epoxy_glEndPerfQueryINTEL_dispatch_table_thunk;
    epoxy_glEndQuery = epoxy_glEndQuery_dispatch_table_thunk;
    epoxy_glEndQueryARB = epoxy_glEndQueryARB_dispatch_table_thunk;
    epoxy_glEndQueryEXT = epoxy_glEndQueryEXT_dispatch_table_thunk;
    epoxy_glEndQueryIndexed = epoxy_glEndQueryIndexed_dispatch_table_thunk;
    epoxy_glEndTilingQCOM = epoxy_glEndTilingQCOM_dispatch_table_thunk;
    epoxy_glEndTransformFeedback = epoxy_glEndTransformFeedback_dispatch_table_thunk;
    epoxy_glEndTransformFeedbackEXT = epoxy_glEndTransformFeedbackEXT_dispatch_table_thunk;
    epoxy_glEndTransformFeedbackNV = epoxy_glEndTransformFeedbackNV_dispatch_table_thunk;
    epoxy_glEndVertexShaderEXT = epoxy_glEndVertexShaderEXT_dispatch_table_thunk;
    epoxy_glEndVideoCaptureNV = epoxy_glEndVideoCaptureNV_dispatch_table_thunk;
    epoxy_glEvalCoord1d = epoxy_glEvalCoord1d_dispatch_table_thunk;
    epoxy_glEvalCoord1dv = epoxy_glEvalCoord1dv_dispatch_table_thunk;
    epoxy_glEvalCoord1f = epoxy_glEvalCoord1f_dispatch_table_thunk;
    epoxy_glEvalCoord1fv = epoxy_glEvalCoord1fv_dispatch_table_thunk;
    epoxy_glEvalCoord1xOES = epoxy_glEvalCoord1xOES_dispatch_table_thunk;
    epoxy_glEvalCoord1xvOES = epoxy_glEvalCoord1xvOES_dispatch_table_thunk;
    epoxy_glEvalCoord2d = epoxy_glEvalCoord2d_dispatch_table_thunk;
    epoxy_glEvalCoord2dv = epoxy_glEvalCoord2dv_dispatch_table_thunk;
    epoxy_glEvalCoord2f = epoxy_glEvalCoord2f_dispatch_table_thunk;
    epoxy_glEvalCoord2fv = epoxy_glEvalCoord2fv_dispatch_table_thunk;
    epoxy_glEvalCoord2xOES = epoxy_glEvalCoord2xOES_dispatch_table_thunk;
    epoxy_glEvalCoord2xvOES = epoxy_glEvalCoord2xvOES_dispatch_table_thunk;
    epoxy_glEvalMapsNV = epoxy_glEvalMapsNV_dispatch_table_thunk;
    epoxy_glEvalMesh1 = epoxy_glEvalMesh1_dispatch_table_thunk;
    epoxy_glEvalMesh2 = epoxy_glEvalMesh2_dispatch_table_thunk;
    epoxy_glEvalPoint1 = epoxy_glEvalPoint1_dispatch_table_thunk;
    epoxy_glEvalPoint2 = epoxy_glEvalPoint2_dispatch_table_thunk;
    epoxy_glExecuteProgramNV = epoxy_glExecuteProgramNV_dispatch_table_thunk;
    epoxy_glExtGetBufferPointervQCOM = epoxy_glExtGetBufferPointervQCOM_dispatch_table_thunk;
    epoxy_glExtGetBuffersQCOM = epoxy_glExtGetBuffersQCOM_dispatch_table_thunk;
    epoxy_glExtGetFramebuffersQCOM = epoxy_glExtGetFramebuffersQCOM_dispatch_table_thunk;
    epoxy_glExtGetProgramBinarySourceQCOM = epoxy_glExtGetProgramBinarySourceQCOM_dispatch_table_thunk;
    epoxy_glExtGetProgramsQCOM = epoxy_glExtGetProgramsQCOM_dispatch_table_thunk;
    epoxy_glExtGetRenderbuffersQCOM = epoxy_glExtGetRenderbuffersQCOM_dispatch_table_thunk;
    epoxy_glExtGetShadersQCOM = epoxy_glExtGetShadersQCOM_dispatch_table_thunk;
    epoxy_glExtGetTexLevelParameterivQCOM = epoxy_glExtGetTexLevelParameterivQCOM_dispatch_table_thunk;
    epoxy_glExtGetTexSubImageQCOM = epoxy_glExtGetTexSubImageQCOM_dispatch_table_thunk;
    epoxy_glExtGetTexturesQCOM = epoxy_glExtGetTexturesQCOM_dispatch_table_thunk;
    epoxy_glExtIsProgramBinaryQCOM = epoxy_glExtIsProgramBinaryQCOM_dispatch_table_thunk;
    epoxy_glExtTexObjectStateOverrideiQCOM = epoxy_glExtTexObjectStateOverrideiQCOM_dispatch_table_thunk;
    epoxy_glExtractComponentEXT = epoxy_glExtractComponentEXT_dispatch_table_thunk;
    epoxy_glFeedbackBuffer = epoxy_glFeedbackBuffer_dispatch_table_thunk;
    epoxy_glFeedbackBufferxOES = epoxy_glFeedbackBufferxOES_dispatch_table_thunk;
    epoxy_glFenceSync = epoxy_glFenceSync_dispatch_table_thunk;
    epoxy_glFenceSyncAPPLE = epoxy_glFenceSyncAPPLE_dispatch_table_thunk;
    epoxy_glFinalCombinerInputNV = epoxy_glFinalCombinerInputNV_dispatch_table_thunk;
    epoxy_glFinish = epoxy_glFinish_dispatch_table_thunk;
    epoxy_glFinishAsyncSGIX = epoxy_glFinishAsyncSGIX_dispatch_table_thunk;
    epoxy_glFinishFenceAPPLE = epoxy_glFinishFenceAPPLE_dispatch_table_thunk;
    epoxy_glFinishFenceNV = epoxy_glFinishFenceNV_dispatch_table_thunk;
    epoxy_glFinishObjectAPPLE = epoxy_glFinishObjectAPPLE_dispatch_table_thunk;
    epoxy_glFinishTextureSUNX = epoxy_glFinishTextureSUNX_dispatch_table_thunk;
    epoxy_glFlush = epoxy_glFlush_dispatch_table_thunk;
    epoxy_glFlushMappedBufferRange = epoxy_glFlushMappedBufferRange_dispatch_table_thunk;
    epoxy_glFlushMappedBufferRangeAPPLE = epoxy_glFlushMappedBufferRangeAPPLE_dispatch_table_thunk;
    epoxy_glFlushMappedBufferRangeEXT = epoxy_glFlushMappedBufferRangeEXT_dispatch_table_thunk;
    epoxy_glFlushMappedNamedBufferRangeEXT = epoxy_glFlushMappedNamedBufferRangeEXT_dispatch_table_thunk;
    epoxy_glFlushPixelDataRangeNV = epoxy_glFlushPixelDataRangeNV_dispatch_table_thunk;
    epoxy_glFlushRasterSGIX = epoxy_glFlushRasterSGIX_dispatch_table_thunk;
    epoxy_glFlushStaticDataIBM = epoxy_glFlushStaticDataIBM_dispatch_table_thunk;
    epoxy_glFlushVertexArrayRangeAPPLE = epoxy_glFlushVertexArrayRangeAPPLE_dispatch_table_thunk;
    epoxy_glFlushVertexArrayRangeNV = epoxy_glFlushVertexArrayRangeNV_dispatch_table_thunk;
    epoxy_glFogCoordFormatNV = epoxy_glFogCoordFormatNV_dispatch_table_thunk;
    epoxy_glFogCoordPointer = epoxy_glFogCoordPointer_dispatch_table_thunk;
    epoxy_glFogCoordPointerEXT = epoxy_glFogCoordPointerEXT_dispatch_table_thunk;
    epoxy_glFogCoordPointerListIBM = epoxy_glFogCoordPointerListIBM_dispatch_table_thunk;
    epoxy_glFogCoordd = epoxy_glFogCoordd_dispatch_table_thunk;
    epoxy_glFogCoorddEXT = epoxy_glFogCoorddEXT_dispatch_table_thunk;
    epoxy_glFogCoorddv = epoxy_glFogCoorddv_dispatch_table_thunk;
    epoxy_glFogCoorddvEXT = epoxy_glFogCoorddvEXT_dispatch_table_thunk;
    epoxy_glFogCoordf = epoxy_glFogCoordf_dispatch_table_thunk;
    epoxy_glFogCoordfEXT = epoxy_glFogCoordfEXT_dispatch_table_thunk;
    epoxy_glFogCoordfv = epoxy_glFogCoordfv_dispatch_table_thunk;
    epoxy_glFogCoordfvEXT = epoxy_glFogCoordfvEXT_dispatch_table_thunk;
    epoxy_glFogCoordhNV = epoxy_glFogCoordhNV_dispatch_table_thunk;
    epoxy_glFogCoordhvNV = epoxy_glFogCoordhvNV_dispatch_table_thunk;
    epoxy_glFogFuncSGIS = epoxy_glFogFuncSGIS_dispatch_table_thunk;
    epoxy_glFogf = epoxy_glFogf_dispatch_table_thunk;
    epoxy_glFogfv = epoxy_glFogfv_dispatch_table_thunk;
    epoxy_glFogi = epoxy_glFogi_dispatch_table_thunk;
    epoxy_glFogiv = epoxy_glFogiv_dispatch_table_thunk;
    epoxy_glFogx = epoxy_glFogx_dispatch_table_thunk;
    epoxy_glFogxOES = epoxy_glFogxOES_dispatch_table_thunk;
    epoxy_glFogxv = epoxy_glFogxv_dispatch_table_thunk;
    epoxy_glFogxvOES = epoxy_glFogxvOES_dispatch_table_thunk;
    epoxy_glFragmentColorMaterialSGIX = epoxy_glFragmentColorMaterialSGIX_dispatch_table_thunk;
    epoxy_glFragmentLightModelfSGIX = epoxy_glFragmentLightModelfSGIX_dispatch_table_thunk;
    epoxy_glFragmentLightModelfvSGIX = epoxy_glFragmentLightModelfvSGIX_dispatch_table_thunk;
    epoxy_glFragmentLightModeliSGIX = epoxy_glFragmentLightModeliSGIX_dispatch_table_thunk;
    epoxy_glFragmentLightModelivSGIX = epoxy_glFragmentLightModelivSGIX_dispatch_table_thunk;
    epoxy_glFragmentLightfSGIX = epoxy_glFragmentLightfSGIX_dispatch_table_thunk;
    epoxy_glFragmentLightfvSGIX = epoxy_glFragmentLightfvSGIX_dispatch_table_thunk;
    epoxy_glFragmentLightiSGIX = epoxy_glFragmentLightiSGIX_dispatch_table_thunk;
    epoxy_glFragmentLightivSGIX = epoxy_glFragmentLightivSGIX_dispatch_table_thunk;
    epoxy_glFragmentMaterialfSGIX = epoxy_glFragmentMaterialfSGIX_dispatch_table_thunk;
    epoxy_glFragmentMaterialfvSGIX = epoxy_glFragmentMaterialfvSGIX_dispatch_table_thunk;
    epoxy_glFragmentMaterialiSGIX = epoxy_glFragmentMaterialiSGIX_dispatch_table_thunk;
    epoxy_glFragmentMaterialivSGIX = epoxy_glFragmentMaterialivSGIX_dispatch_table_thunk;
    epoxy_glFrameTerminatorGREMEDY = epoxy_glFrameTerminatorGREMEDY_dispatch_table_thunk;
    epoxy_glFrameZoomSGIX = epoxy_glFrameZoomSGIX_dispatch_table_thunk;
    epoxy_glFramebufferDrawBufferEXT = epoxy_glFramebufferDrawBufferEXT_dispatch_table_thunk;
    epoxy_glFramebufferDrawBuffersEXT = epoxy_glFramebufferDrawBuffersEXT_dispatch_table_thunk;
    epoxy_glFramebufferParameteri = epoxy_glFramebufferParameteri_dispatch_table_thunk;
    epoxy_glFramebufferReadBufferEXT = epoxy_glFramebufferReadBufferEXT_dispatch_table_thunk;
    epoxy_glFramebufferRenderbuffer = epoxy_glFramebufferRenderbuffer_dispatch_table_thunk;
    epoxy_glFramebufferRenderbufferEXT = epoxy_glFramebufferRenderbufferEXT_dispatch_table_thunk;
    epoxy_glFramebufferRenderbufferOES = epoxy_glFramebufferRenderbufferOES_dispatch_table_thunk;
    epoxy_glFramebufferTexture = epoxy_glFramebufferTexture_dispatch_table_thunk;
    epoxy_glFramebufferTexture1D = epoxy_glFramebufferTexture1D_dispatch_table_thunk;
    epoxy_glFramebufferTexture1DEXT = epoxy_glFramebufferTexture1DEXT_dispatch_table_thunk;
    epoxy_glFramebufferTexture2D = epoxy_glFramebufferTexture2D_dispatch_table_thunk;
    epoxy_glFramebufferTexture2DEXT = epoxy_glFramebufferTexture2DEXT_dispatch_table_thunk;
    epoxy_glFramebufferTexture2DMultisampleEXT = epoxy_glFramebufferTexture2DMultisampleEXT_dispatch_table_thunk;
    epoxy_glFramebufferTexture2DMultisampleIMG = epoxy_glFramebufferTexture2DMultisampleIMG_dispatch_table_thunk;
    epoxy_glFramebufferTexture2DOES = epoxy_glFramebufferTexture2DOES_dispatch_table_thunk;
    epoxy_glFramebufferTexture3D = epoxy_glFramebufferTexture3D_dispatch_table_thunk;
    epoxy_glFramebufferTexture3DEXT = epoxy_glFramebufferTexture3DEXT_dispatch_table_thunk;
    epoxy_glFramebufferTexture3DOES = epoxy_glFramebufferTexture3DOES_dispatch_table_thunk;
    epoxy_glFramebufferTextureARB = epoxy_glFramebufferTextureARB_dispatch_table_thunk;
    epoxy_glFramebufferTextureEXT = epoxy_glFramebufferTextureEXT_dispatch_table_thunk;
    epoxy_glFramebufferTextureFaceARB = epoxy_glFramebufferTextureFaceARB_dispatch_table_thunk;
    epoxy_glFramebufferTextureFaceEXT = epoxy_glFramebufferTextureFaceEXT_dispatch_table_thunk;
    epoxy_glFramebufferTextureLayer = epoxy_glFramebufferTextureLayer_dispatch_table_thunk;
    epoxy_glFramebufferTextureLayerARB = epoxy_glFramebufferTextureLayerARB_dispatch_table_thunk;
    epoxy_glFramebufferTextureLayerEXT = epoxy_glFramebufferTextureLayerEXT_dispatch_table_thunk;
    epoxy_glFreeObjectBufferATI = epoxy_glFreeObjectBufferATI_dispatch_table_thunk;
    epoxy_glFrontFace = epoxy_glFrontFace_dispatch_table_thunk;
    epoxy_glFrustum = epoxy_glFrustum_dispatch_table_thunk;
    epoxy_glFrustumf = epoxy_glFrustumf_dispatch_table_thunk;
    epoxy_glFrustumfOES = epoxy_glFrustumfOES_dispatch_table_thunk;
    epoxy_glFrustumx = epoxy_glFrustumx_dispatch_table_thunk;
    epoxy_glFrustumxOES = epoxy_glFrustumxOES_dispatch_table_thunk;
    epoxy_glGenAsyncMarkersSGIX = epoxy_glGenAsyncMarkersSGIX_dispatch_table_thunk;
    epoxy_glGenBuffers = epoxy_glGenBuffers_dispatch_table_thunk;
    epoxy_glGenBuffersARB = epoxy_glGenBuffersARB_dispatch_table_thunk;
    epoxy_glGenFencesAPPLE = epoxy_glGenFencesAPPLE_dispatch_table_thunk;
    epoxy_glGenFencesNV = epoxy_glGenFencesNV_dispatch_table_thunk;
    epoxy_glGenFragmentShadersATI = epoxy_glGenFragmentShadersATI_dispatch_table_thunk;
    epoxy_glGenFramebuffers = epoxy_glGenFramebuffers_dispatch_table_thunk;
    epoxy_glGenFramebuffersEXT = epoxy_glGenFramebuffersEXT_dispatch_table_thunk;
    epoxy_glGenFramebuffersOES = epoxy_glGenFramebuffersOES_dispatch_table_thunk;
    epoxy_glGenLists = epoxy_glGenLists_dispatch_table_thunk;
    epoxy_glGenNamesAMD = epoxy_glGenNamesAMD_dispatch_table_thunk;
    epoxy_glGenOcclusionQueriesNV = epoxy_glGenOcclusionQueriesNV_dispatch_table_thunk;
    epoxy_glGenPathsNV = epoxy_glGenPathsNV_dispatch_table_thunk;
    epoxy_glGenPerfMonitorsAMD = epoxy_glGenPerfMonitorsAMD_dispatch_table_thunk;
    epoxy_glGenProgramPipelines = epoxy_glGenProgramPipelines_dispatch_table_thunk;
    epoxy_glGenProgramPipelinesEXT = epoxy_glGenProgramPipelinesEXT_dispatch_table_thunk;
    epoxy_glGenProgramsARB = epoxy_glGenProgramsARB_dispatch_table_thunk;
    epoxy_glGenProgramsNV = epoxy_glGenProgramsNV_dispatch_table_thunk;
    epoxy_glGenQueries = epoxy_glGenQueries_dispatch_table_thunk;
    epoxy_glGenQueriesARB = epoxy_glGenQueriesARB_dispatch_table_thunk;
    epoxy_glGenQueriesEXT = epoxy_glGenQueriesEXT_dispatch_table_thunk;
    epoxy_glGenRenderbuffers = epoxy_glGenRenderbuffers_dispatch_table_thunk;
    epoxy_glGenRenderbuffersEXT = epoxy_glGenRenderbuffersEXT_dispatch_table_thunk;
    epoxy_glGenRenderbuffersOES = epoxy_glGenRenderbuffersOES_dispatch_table_thunk;
    epoxy_glGenSamplers = epoxy_glGenSamplers_dispatch_table_thunk;
    epoxy_glGenSymbolsEXT = epoxy_glGenSymbolsEXT_dispatch_table_thunk;
    epoxy_glGenTextures = epoxy_glGenTextures_dispatch_table_thunk;
    epoxy_glGenTexturesEXT = epoxy_glGenTexturesEXT_dispatch_table_thunk;
    epoxy_glGenTransformFeedbacks = epoxy_glGenTransformFeedbacks_dispatch_table_thunk;
    epoxy_glGenTransformFeedbacksNV = epoxy_glGenTransformFeedbacksNV_dispatch_table_thunk;
    epoxy_glGenVertexArrays = epoxy_glGenVertexArrays_dispatch_table_thunk;
    epoxy_glGenVertexArraysAPPLE = epoxy_glGenVertexArraysAPPLE_dispatch_table_thunk;
    epoxy_glGenVertexArraysOES = epoxy_glGenVertexArraysOES_dispatch_table_thunk;
    epoxy_glGenVertexShadersEXT = epoxy_glGenVertexShadersEXT_dispatch_table_thunk;
    epoxy_glGenerateMipmap = epoxy_glGenerateMipmap_dispatch_table_thunk;
    epoxy_glGenerateMipmapEXT = epoxy_glGenerateMipmapEXT_dispatch_table_thunk;
    epoxy_glGenerateMipmapOES = epoxy_glGenerateMipmapOES_dispatch_table_thunk;
    epoxy_glGenerateMultiTexMipmapEXT = epoxy_glGenerateMultiTexMipmapEXT_dispatch_table_thunk;
    epoxy_glGenerateTextureMipmapEXT = epoxy_glGenerateTextureMipmapEXT_dispatch_table_thunk;
    epoxy_glGetActiveAtomicCounterBufferiv = epoxy_glGetActiveAtomicCounterBufferiv_dispatch_table_thunk;
    epoxy_glGetActiveAttrib = epoxy_glGetActiveAttrib_dispatch_table_thunk;
    epoxy_glGetActiveAttribARB = epoxy_glGetActiveAttribARB_dispatch_table_thunk;
    epoxy_glGetActiveSubroutineName = epoxy_glGetActiveSubroutineName_dispatch_table_thunk;
    epoxy_glGetActiveSubroutineUniformName = epoxy_glGetActiveSubroutineUniformName_dispatch_table_thunk;
    epoxy_glGetActiveSubroutineUniformiv = epoxy_glGetActiveSubroutineUniformiv_dispatch_table_thunk;
    epoxy_glGetActiveUniform = epoxy_glGetActiveUniform_dispatch_table_thunk;
    epoxy_glGetActiveUniformARB = epoxy_glGetActiveUniformARB_dispatch_table_thunk;
    epoxy_glGetActiveUniformBlockName = epoxy_glGetActiveUniformBlockName_dispatch_table_thunk;
    epoxy_glGetActiveUniformBlockiv = epoxy_glGetActiveUniformBlockiv_dispatch_table_thunk;
    epoxy_glGetActiveUniformName = epoxy_glGetActiveUniformName_dispatch_table_thunk;
    epoxy_glGetActiveUniformsiv = epoxy_glGetActiveUniformsiv_dispatch_table_thunk;
    epoxy_glGetActiveVaryingNV = epoxy_glGetActiveVaryingNV_dispatch_table_thunk;
    epoxy_glGetArrayObjectfvATI = epoxy_glGetArrayObjectfvATI_dispatch_table_thunk;
    epoxy_glGetArrayObjectivATI = epoxy_glGetArrayObjectivATI_dispatch_table_thunk;
    epoxy_glGetAttachedObjectsARB = epoxy_glGetAttachedObjectsARB_dispatch_table_thunk;
    epoxy_glGetAttachedShaders = epoxy_glGetAttachedShaders_dispatch_table_thunk;
    epoxy_glGetAttribLocation = epoxy_glGetAttribLocation_dispatch_table_thunk;
    epoxy_glGetAttribLocationARB = epoxy_glGetAttribLocationARB_dispatch_table_thunk;
    epoxy_glGetBooleanIndexedvEXT = epoxy_glGetBooleanIndexedvEXT_dispatch_table_thunk;
    epoxy_glGetBooleani_v = epoxy_glGetBooleani_v_dispatch_table_thunk;
    epoxy_glGetBooleanv = epoxy_glGetBooleanv_dispatch_table_thunk;
    epoxy_glGetBufferParameteri64v = epoxy_glGetBufferParameteri64v_dispatch_table_thunk;
    epoxy_glGetBufferParameteriv = epoxy_glGetBufferParameteriv_dispatch_table_thunk;
    epoxy_glGetBufferParameterivARB = epoxy_glGetBufferParameterivARB_dispatch_table_thunk;
    epoxy_glGetBufferParameterui64vNV = epoxy_glGetBufferParameterui64vNV_dispatch_table_thunk;
    epoxy_glGetBufferPointerv = epoxy_glGetBufferPointerv_dispatch_table_thunk;
    epoxy_glGetBufferPointervARB = epoxy_glGetBufferPointervARB_dispatch_table_thunk;
    epoxy_glGetBufferPointervOES = epoxy_glGetBufferPointervOES_dispatch_table_thunk;
    epoxy_glGetBufferSubData = epoxy_glGetBufferSubData_dispatch_table_thunk;
    epoxy_glGetBufferSubDataARB = epoxy_glGetBufferSubDataARB_dispatch_table_thunk;
    epoxy_glGetClipPlane = epoxy_glGetClipPlane_dispatch_table_thunk;
    epoxy_glGetClipPlanef = epoxy_glGetClipPlanef_dispatch_table_thunk;
    epoxy_glGetClipPlanefOES = epoxy_glGetClipPlanefOES_dispatch_table_thunk;
    epoxy_glGetClipPlanex = epoxy_glGetClipPlanex_dispatch_table_thunk;
    epoxy_glGetClipPlanexOES = epoxy_glGetClipPlanexOES_dispatch_table_thunk;
    epoxy_glGetColorTable = epoxy_glGetColorTable_dispatch_table_thunk;
    epoxy_glGetColorTableEXT = epoxy_glGetColorTableEXT_dispatch_table_thunk;
    epoxy_glGetColorTableParameterfv = epoxy_glGetColorTableParameterfv_dispatch_table_thunk;
    epoxy_glGetColorTableParameterfvEXT = epoxy_glGetColorTableParameterfvEXT_dispatch_table_thunk;
    epoxy_glGetColorTableParameterfvSGI = epoxy_glGetColorTableParameterfvSGI_dispatch_table_thunk;
    epoxy_glGetColorTableParameteriv = epoxy_glGetColorTableParameteriv_dispatch_table_thunk;
    epoxy_glGetColorTableParameterivEXT = epoxy_glGetColorTableParameterivEXT_dispatch_table_thunk;
    epoxy_glGetColorTableParameterivSGI = epoxy_glGetColorTableParameterivSGI_dispatch_table_thunk;
    epoxy_glGetColorTableSGI = epoxy_glGetColorTableSGI_dispatch_table_thunk;
    epoxy_glGetCombinerInputParameterfvNV = epoxy_glGetCombinerInputParameterfvNV_dispatch_table_thunk;
    epoxy_glGetCombinerInputParameterivNV = epoxy_glGetCombinerInputParameterivNV_dispatch_table_thunk;
    epoxy_glGetCombinerOutputParameterfvNV = epoxy_glGetCombinerOutputParameterfvNV_dispatch_table_thunk;
    epoxy_glGetCombinerOutputParameterivNV = epoxy_glGetCombinerOutputParameterivNV_dispatch_table_thunk;
    epoxy_glGetCombinerStageParameterfvNV = epoxy_glGetCombinerStageParameterfvNV_dispatch_table_thunk;
    epoxy_glGetCompressedMultiTexImageEXT = epoxy_glGetCompressedMultiTexImageEXT_dispatch_table_thunk;
    epoxy_glGetCompressedTexImage = epoxy_glGetCompressedTexImage_dispatch_table_thunk;
    epoxy_glGetCompressedTexImageARB = epoxy_glGetCompressedTexImageARB_dispatch_table_thunk;
    epoxy_glGetCompressedTextureImageEXT = epoxy_glGetCompressedTextureImageEXT_dispatch_table_thunk;
    epoxy_glGetConvolutionFilter = epoxy_glGetConvolutionFilter_dispatch_table_thunk;
    epoxy_glGetConvolutionFilterEXT = epoxy_glGetConvolutionFilterEXT_dispatch_table_thunk;
    epoxy_glGetConvolutionParameterfv = epoxy_glGetConvolutionParameterfv_dispatch_table_thunk;
    epoxy_glGetConvolutionParameterfvEXT = epoxy_glGetConvolutionParameterfvEXT_dispatch_table_thunk;
    epoxy_glGetConvolutionParameteriv = epoxy_glGetConvolutionParameteriv_dispatch_table_thunk;
    epoxy_glGetConvolutionParameterivEXT = epoxy_glGetConvolutionParameterivEXT_dispatch_table_thunk;
    epoxy_glGetConvolutionParameterxvOES = epoxy_glGetConvolutionParameterxvOES_dispatch_table_thunk;
    epoxy_glGetDebugMessageLog = epoxy_glGetDebugMessageLog_dispatch_table_thunk;
    epoxy_glGetDebugMessageLogAMD = epoxy_glGetDebugMessageLogAMD_dispatch_table_thunk;
    epoxy_glGetDebugMessageLogARB = epoxy_glGetDebugMessageLogARB_dispatch_table_thunk;
    epoxy_glGetDebugMessageLogKHR = epoxy_glGetDebugMessageLogKHR_dispatch_table_thunk;
    epoxy_glGetDetailTexFuncSGIS = epoxy_glGetDetailTexFuncSGIS_dispatch_table_thunk;
    epoxy_glGetDoubleIndexedvEXT = epoxy_glGetDoubleIndexedvEXT_dispatch_table_thunk;
    epoxy_glGetDoublei_v = epoxy_glGetDoublei_v_dispatch_table_thunk;
    epoxy_glGetDoublei_vEXT = epoxy_glGetDoublei_vEXT_dispatch_table_thunk;
    epoxy_glGetDoublev = epoxy_glGetDoublev_dispatch_table_thunk;
    epoxy_glGetDriverControlStringQCOM = epoxy_glGetDriverControlStringQCOM_dispatch_table_thunk;
    epoxy_glGetDriverControlsQCOM = epoxy_glGetDriverControlsQCOM_dispatch_table_thunk;
    epoxy_glGetError = epoxy_glGetError_dispatch_table_thunk;
    epoxy_glGetFenceivNV = epoxy_glGetFenceivNV_dispatch_table_thunk;
    epoxy_glGetFinalCombinerInputParameterfvNV = epoxy_glGetFinalCombinerInputParameterfvNV_dispatch_table_thunk;
    epoxy_glGetFinalCombinerInputParameterivNV = epoxy_glGetFinalCombinerInputParameterivNV_dispatch_table_thunk;
    epoxy_glGetFirstPerfQueryIdINTEL = epoxy_glGetFirstPerfQueryIdINTEL_dispatch_table_thunk;
    epoxy_glGetFixedv = epoxy_glGetFixedv_dispatch_table_thunk;
    epoxy_glGetFixedvOES = epoxy_glGetFixedvOES_dispatch_table_thunk;
    epoxy_glGetFloatIndexedvEXT = epoxy_glGetFloatIndexedvEXT_dispatch_table_thunk;
    epoxy_glGetFloati_v = epoxy_glGetFloati_v_dispatch_table_thunk;
    epoxy_glGetFloati_vEXT = epoxy_glGetFloati_vEXT_dispatch_table_thunk;
    epoxy_glGetFloatv = epoxy_glGetFloatv_dispatch_table_thunk;
    epoxy_glGetFogFuncSGIS = epoxy_glGetFogFuncSGIS_dispatch_table_thunk;
    epoxy_glGetFragDataIndex = epoxy_glGetFragDataIndex_dispatch_table_thunk;
    epoxy_glGetFragDataLocation = epoxy_glGetFragDataLocation_dispatch_table_thunk;
    epoxy_glGetFragDataLocationEXT = epoxy_glGetFragDataLocationEXT_dispatch_table_thunk;
    epoxy_glGetFragmentLightfvSGIX = epoxy_glGetFragmentLightfvSGIX_dispatch_table_thunk;
    epoxy_glGetFragmentLightivSGIX = epoxy_glGetFragmentLightivSGIX_dispatch_table_thunk;
    epoxy_glGetFragmentMaterialfvSGIX = epoxy_glGetFragmentMaterialfvSGIX_dispatch_table_thunk;
    epoxy_glGetFragmentMaterialivSGIX = epoxy_glGetFragmentMaterialivSGIX_dispatch_table_thunk;
    epoxy_glGetFramebufferAttachmentParameteriv = epoxy_glGetFramebufferAttachmentParameteriv_dispatch_table_thunk;
    epoxy_glGetFramebufferAttachmentParameterivEXT = epoxy_glGetFramebufferAttachmentParameterivEXT_dispatch_table_thunk;
    epoxy_glGetFramebufferAttachmentParameterivOES = epoxy_glGetFramebufferAttachmentParameterivOES_dispatch_table_thunk;
    epoxy_glGetFramebufferParameteriv = epoxy_glGetFramebufferParameteriv_dispatch_table_thunk;
    epoxy_glGetFramebufferParameterivEXT = epoxy_glGetFramebufferParameterivEXT_dispatch_table_thunk;
    epoxy_glGetGraphicsResetStatusARB = epoxy_glGetGraphicsResetStatusARB_dispatch_table_thunk;
    epoxy_glGetGraphicsResetStatusEXT = epoxy_glGetGraphicsResetStatusEXT_dispatch_table_thunk;
    epoxy_glGetHandleARB = epoxy_glGetHandleARB_dispatch_table_thunk;
    epoxy_glGetHistogram = epoxy_glGetHistogram_dispatch_table_thunk;
    epoxy_glGetHistogramEXT = epoxy_glGetHistogramEXT_dispatch_table_thunk;
    epoxy_glGetHistogramParameterfv = epoxy_glGetHistogramParameterfv_dispatch_table_thunk;
    epoxy_glGetHistogramParameterfvEXT = epoxy_glGetHistogramParameterfvEXT_dispatch_table_thunk;
    epoxy_glGetHistogramParameteriv = epoxy_glGetHistogramParameteriv_dispatch_table_thunk;
    epoxy_glGetHistogramParameterivEXT = epoxy_glGetHistogramParameterivEXT_dispatch_table_thunk;
    epoxy_glGetHistogramParameterxvOES = epoxy_glGetHistogramParameterxvOES_dispatch_table_thunk;
    epoxy_glGetImageHandleARB = epoxy_glGetImageHandleARB_dispatch_table_thunk;
    epoxy_glGetImageHandleNV = epoxy_glGetImageHandleNV_dispatch_table_thunk;
    epoxy_glGetImageTransformParameterfvHP = epoxy_glGetImageTransformParameterfvHP_dispatch_table_thunk;
    epoxy_glGetImageTransformParameterivHP = epoxy_glGetImageTransformParameterivHP_dispatch_table_thunk;
    epoxy_glGetInfoLogARB = epoxy_glGetInfoLogARB_dispatch_table_thunk;
    epoxy_glGetInstrumentsSGIX = epoxy_glGetInstrumentsSGIX_dispatch_table_thunk;
    epoxy_glGetInteger64i_v = epoxy_glGetInteger64i_v_dispatch_table_thunk;
    epoxy_glGetInteger64v = epoxy_glGetInteger64v_dispatch_table_thunk;
    epoxy_glGetInteger64vAPPLE = epoxy_glGetInteger64vAPPLE_dispatch_table_thunk;
    epoxy_glGetIntegerIndexedvEXT = epoxy_glGetIntegerIndexedvEXT_dispatch_table_thunk;
    epoxy_glGetIntegeri_v = epoxy_glGetIntegeri_v_dispatch_table_thunk;
    epoxy_glGetIntegeri_vEXT = epoxy_glGetIntegeri_vEXT_dispatch_table_thunk;
    epoxy_glGetIntegerui64i_vNV = epoxy_glGetIntegerui64i_vNV_dispatch_table_thunk;
    epoxy_glGetIntegerui64vNV = epoxy_glGetIntegerui64vNV_dispatch_table_thunk;
    epoxy_glGetIntegerv = epoxy_glGetIntegerv_dispatch_table_thunk;
    epoxy_glGetInternalformati64v = epoxy_glGetInternalformati64v_dispatch_table_thunk;
    epoxy_glGetInternalformativ = epoxy_glGetInternalformativ_dispatch_table_thunk;
    epoxy_glGetInvariantBooleanvEXT = epoxy_glGetInvariantBooleanvEXT_dispatch_table_thunk;
    epoxy_glGetInvariantFloatvEXT = epoxy_glGetInvariantFloatvEXT_dispatch_table_thunk;
    epoxy_glGetInvariantIntegervEXT = epoxy_glGetInvariantIntegervEXT_dispatch_table_thunk;
    epoxy_glGetLightfv = epoxy_glGetLightfv_dispatch_table_thunk;
    epoxy_glGetLightiv = epoxy_glGetLightiv_dispatch_table_thunk;
    epoxy_glGetLightxOES = epoxy_glGetLightxOES_dispatch_table_thunk;
    epoxy_glGetLightxv = epoxy_glGetLightxv_dispatch_table_thunk;
    epoxy_glGetLightxvOES = epoxy_glGetLightxvOES_dispatch_table_thunk;
    epoxy_glGetListParameterfvSGIX = epoxy_glGetListParameterfvSGIX_dispatch_table_thunk;
    epoxy_glGetListParameterivSGIX = epoxy_glGetListParameterivSGIX_dispatch_table_thunk;
    epoxy_glGetLocalConstantBooleanvEXT = epoxy_glGetLocalConstantBooleanvEXT_dispatch_table_thunk;
    epoxy_glGetLocalConstantFloatvEXT = epoxy_glGetLocalConstantFloatvEXT_dispatch_table_thunk;
    epoxy_glGetLocalConstantIntegervEXT = epoxy_glGetLocalConstantIntegervEXT_dispatch_table_thunk;
    epoxy_glGetMapAttribParameterfvNV = epoxy_glGetMapAttribParameterfvNV_dispatch_table_thunk;
    epoxy_glGetMapAttribParameterivNV = epoxy_glGetMapAttribParameterivNV_dispatch_table_thunk;
    epoxy_glGetMapControlPointsNV = epoxy_glGetMapControlPointsNV_dispatch_table_thunk;
    epoxy_glGetMapParameterfvNV = epoxy_glGetMapParameterfvNV_dispatch_table_thunk;
    epoxy_glGetMapParameterivNV = epoxy_glGetMapParameterivNV_dispatch_table_thunk;
    epoxy_glGetMapdv = epoxy_glGetMapdv_dispatch_table_thunk;
    epoxy_glGetMapfv = epoxy_glGetMapfv_dispatch_table_thunk;
    epoxy_glGetMapiv = epoxy_glGetMapiv_dispatch_table_thunk;
    epoxy_glGetMapxvOES = epoxy_glGetMapxvOES_dispatch_table_thunk;
    epoxy_glGetMaterialfv = epoxy_glGetMaterialfv_dispatch_table_thunk;
    epoxy_glGetMaterialiv = epoxy_glGetMaterialiv_dispatch_table_thunk;
    epoxy_glGetMaterialxOES = epoxy_glGetMaterialxOES_dispatch_table_thunk;
    epoxy_glGetMaterialxv = epoxy_glGetMaterialxv_dispatch_table_thunk;
    epoxy_glGetMaterialxvOES = epoxy_glGetMaterialxvOES_dispatch_table_thunk;
    epoxy_glGetMinmax = epoxy_glGetMinmax_dispatch_table_thunk;
    epoxy_glGetMinmaxEXT = epoxy_glGetMinmaxEXT_dispatch_table_thunk;
    epoxy_glGetMinmaxParameterfv = epoxy_glGetMinmaxParameterfv_dispatch_table_thunk;
    epoxy_glGetMinmaxParameterfvEXT = epoxy_glGetMinmaxParameterfvEXT_dispatch_table_thunk;
    epoxy_glGetMinmaxParameteriv = epoxy_glGetMinmaxParameteriv_dispatch_table_thunk;
    epoxy_glGetMinmaxParameterivEXT = epoxy_glGetMinmaxParameterivEXT_dispatch_table_thunk;
    epoxy_glGetMultiTexEnvfvEXT = epoxy_glGetMultiTexEnvfvEXT_dispatch_table_thunk;
    epoxy_glGetMultiTexEnvivEXT = epoxy_glGetMultiTexEnvivEXT_dispatch_table_thunk;
    epoxy_glGetMultiTexGendvEXT = epoxy_glGetMultiTexGendvEXT_dispatch_table_thunk;
    epoxy_glGetMultiTexGenfvEXT = epoxy_glGetMultiTexGenfvEXT_dispatch_table_thunk;
    epoxy_glGetMultiTexGenivEXT = epoxy_glGetMultiTexGenivEXT_dispatch_table_thunk;
    epoxy_glGetMultiTexImageEXT = epoxy_glGetMultiTexImageEXT_dispatch_table_thunk;
    epoxy_glGetMultiTexLevelParameterfvEXT = epoxy_glGetMultiTexLevelParameterfvEXT_dispatch_table_thunk;
    epoxy_glGetMultiTexLevelParameterivEXT = epoxy_glGetMultiTexLevelParameterivEXT_dispatch_table_thunk;
    epoxy_glGetMultiTexParameterIivEXT = epoxy_glGetMultiTexParameterIivEXT_dispatch_table_thunk;
    epoxy_glGetMultiTexParameterIuivEXT = epoxy_glGetMultiTexParameterIuivEXT_dispatch_table_thunk;
    epoxy_glGetMultiTexParameterfvEXT = epoxy_glGetMultiTexParameterfvEXT_dispatch_table_thunk;
    epoxy_glGetMultiTexParameterivEXT = epoxy_glGetMultiTexParameterivEXT_dispatch_table_thunk;
    epoxy_glGetMultisamplefv = epoxy_glGetMultisamplefv_dispatch_table_thunk;
    epoxy_glGetMultisamplefvNV = epoxy_glGetMultisamplefvNV_dispatch_table_thunk;
    epoxy_glGetNamedBufferParameterivEXT = epoxy_glGetNamedBufferParameterivEXT_dispatch_table_thunk;
    epoxy_glGetNamedBufferParameterui64vNV = epoxy_glGetNamedBufferParameterui64vNV_dispatch_table_thunk;
    epoxy_glGetNamedBufferPointervEXT = epoxy_glGetNamedBufferPointervEXT_dispatch_table_thunk;
    epoxy_glGetNamedBufferSubDataEXT = epoxy_glGetNamedBufferSubDataEXT_dispatch_table_thunk;
    epoxy_glGetNamedFramebufferAttachmentParameterivEXT = epoxy_glGetNamedFramebufferAttachmentParameterivEXT_dispatch_table_thunk;
    epoxy_glGetNamedFramebufferParameterivEXT = epoxy_glGetNamedFramebufferParameterivEXT_dispatch_table_thunk;
    epoxy_glGetNamedProgramLocalParameterIivEXT = epoxy_glGetNamedProgramLocalParameterIivEXT_dispatch_table_thunk;
    epoxy_glGetNamedProgramLocalParameterIuivEXT = epoxy_glGetNamedProgramLocalParameterIuivEXT_dispatch_table_thunk;
    epoxy_glGetNamedProgramLocalParameterdvEXT = epoxy_glGetNamedProgramLocalParameterdvEXT_dispatch_table_thunk;
    epoxy_glGetNamedProgramLocalParameterfvEXT = epoxy_glGetNamedProgramLocalParameterfvEXT_dispatch_table_thunk;
    epoxy_glGetNamedProgramStringEXT = epoxy_glGetNamedProgramStringEXT_dispatch_table_thunk;
    epoxy_glGetNamedProgramivEXT = epoxy_glGetNamedProgramivEXT_dispatch_table_thunk;
    epoxy_glGetNamedRenderbufferParameterivEXT = epoxy_glGetNamedRenderbufferParameterivEXT_dispatch_table_thunk;
    epoxy_glGetNamedStringARB = epoxy_glGetNamedStringARB_dispatch_table_thunk;
    epoxy_glGetNamedStringivARB = epoxy_glGetNamedStringivARB_dispatch_table_thunk;
    epoxy_glGetNextPerfQueryIdINTEL = epoxy_glGetNextPerfQueryIdINTEL_dispatch_table_thunk;
    epoxy_glGetObjectBufferfvATI = epoxy_glGetObjectBufferfvATI_dispatch_table_thunk;
    epoxy_glGetObjectBufferivATI = epoxy_glGetObjectBufferivATI_dispatch_table_thunk;
    epoxy_glGetObjectLabel = epoxy_glGetObjectLabel_dispatch_table_thunk;
    epoxy_glGetObjectLabelEXT = epoxy_glGetObjectLabelEXT_dispatch_table_thunk;
    epoxy_glGetObjectLabelKHR = epoxy_glGetObjectLabelKHR_dispatch_table_thunk;
    epoxy_glGetObjectParameterfvARB = epoxy_glGetObjectParameterfvARB_dispatch_table_thunk;
    epoxy_glGetObjectParameterivAPPLE = epoxy_glGetObjectParameterivAPPLE_dispatch_table_thunk;
    epoxy_glGetObjectParameterivARB = epoxy_glGetObjectParameterivARB_dispatch_table_thunk;
    epoxy_glGetObjectPtrLabel = epoxy_glGetObjectPtrLabel_dispatch_table_thunk;
    epoxy_glGetObjectPtrLabelKHR = epoxy_glGetObjectPtrLabelKHR_dispatch_table_thunk;
    epoxy_glGetOcclusionQueryivNV = epoxy_glGetOcclusionQueryivNV_dispatch_table_thunk;
    epoxy_glGetOcclusionQueryuivNV = epoxy_glGetOcclusionQueryuivNV_dispatch_table_thunk;
    epoxy_glGetPathColorGenfvNV = epoxy_glGetPathColorGenfvNV_dispatch_table_thunk;
    epoxy_glGetPathColorGenivNV = epoxy_glGetPathColorGenivNV_dispatch_table_thunk;
    epoxy_glGetPathCommandsNV = epoxy_glGetPathCommandsNV_dispatch_table_thunk;
    epoxy_glGetPathCoordsNV = epoxy_glGetPathCoordsNV_dispatch_table_thunk;
    epoxy_glGetPathDashArrayNV = epoxy_glGetPathDashArrayNV_dispatch_table_thunk;
    epoxy_glGetPathLengthNV = epoxy_glGetPathLengthNV_dispatch_table_thunk;
    epoxy_glGetPathMetricRangeNV = epoxy_glGetPathMetricRangeNV_dispatch_table_thunk;
    epoxy_glGetPathMetricsNV = epoxy_glGetPathMetricsNV_dispatch_table_thunk;
    epoxy_glGetPathParameterfvNV = epoxy_glGetPathParameterfvNV_dispatch_table_thunk;
    epoxy_glGetPathParameterivNV = epoxy_glGetPathParameterivNV_dispatch_table_thunk;
    epoxy_glGetPathSpacingNV = epoxy_glGetPathSpacingNV_dispatch_table_thunk;
    epoxy_glGetPathTexGenfvNV = epoxy_glGetPathTexGenfvNV_dispatch_table_thunk;
    epoxy_glGetPathTexGenivNV = epoxy_glGetPathTexGenivNV_dispatch_table_thunk;
    epoxy_glGetPerfCounterInfoINTEL = epoxy_glGetPerfCounterInfoINTEL_dispatch_table_thunk;
    epoxy_glGetPerfMonitorCounterDataAMD = epoxy_glGetPerfMonitorCounterDataAMD_dispatch_table_thunk;
    epoxy_glGetPerfMonitorCounterInfoAMD = epoxy_glGetPerfMonitorCounterInfoAMD_dispatch_table_thunk;
    epoxy_glGetPerfMonitorCounterStringAMD = epoxy_glGetPerfMonitorCounterStringAMD_dispatch_table_thunk;
    epoxy_glGetPerfMonitorCountersAMD = epoxy_glGetPerfMonitorCountersAMD_dispatch_table_thunk;
    epoxy_glGetPerfMonitorGroupStringAMD = epoxy_glGetPerfMonitorGroupStringAMD_dispatch_table_thunk;
    epoxy_glGetPerfMonitorGroupsAMD = epoxy_glGetPerfMonitorGroupsAMD_dispatch_table_thunk;
    epoxy_glGetPerfQueryDataINTEL = epoxy_glGetPerfQueryDataINTEL_dispatch_table_thunk;
    epoxy_glGetPerfQueryIdByNameINTEL = epoxy_glGetPerfQueryIdByNameINTEL_dispatch_table_thunk;
    epoxy_glGetPerfQueryInfoINTEL = epoxy_glGetPerfQueryInfoINTEL_dispatch_table_thunk;
    epoxy_glGetPixelMapfv = epoxy_glGetPixelMapfv_dispatch_table_thunk;
    epoxy_glGetPixelMapuiv = epoxy_glGetPixelMapuiv_dispatch_table_thunk;
    epoxy_glGetPixelMapusv = epoxy_glGetPixelMapusv_dispatch_table_thunk;
    epoxy_glGetPixelMapxv = epoxy_glGetPixelMapxv_dispatch_table_thunk;
    epoxy_glGetPixelTexGenParameterfvSGIS = epoxy_glGetPixelTexGenParameterfvSGIS_dispatch_table_thunk;
    epoxy_glGetPixelTexGenParameterivSGIS = epoxy_glGetPixelTexGenParameterivSGIS_dispatch_table_thunk;
    epoxy_glGetPixelTransformParameterfvEXT = epoxy_glGetPixelTransformParameterfvEXT_dispatch_table_thunk;
    epoxy_glGetPixelTransformParameterivEXT = epoxy_glGetPixelTransformParameterivEXT_dispatch_table_thunk;
    epoxy_glGetPointerIndexedvEXT = epoxy_glGetPointerIndexedvEXT_dispatch_table_thunk;
    epoxy_glGetPointeri_vEXT = epoxy_glGetPointeri_vEXT_dispatch_table_thunk;
    epoxy_glGetPointerv = epoxy_glGetPointerv_dispatch_table_thunk;
    epoxy_glGetPointervEXT = epoxy_glGetPointervEXT_dispatch_table_thunk;
    epoxy_glGetPointervKHR = epoxy_glGetPointervKHR_dispatch_table_thunk;
    epoxy_glGetPolygonStipple = epoxy_glGetPolygonStipple_dispatch_table_thunk;
    epoxy_glGetProgramBinary = epoxy_glGetProgramBinary_dispatch_table_thunk;
    epoxy_glGetProgramBinaryOES = epoxy_glGetProgramBinaryOES_dispatch_table_thunk;
    epoxy_glGetProgramEnvParameterIivNV = epoxy_glGetProgramEnvParameterIivNV_dispatch_table_thunk;
    epoxy_glGetProgramEnvParameterIuivNV = epoxy_glGetProgramEnvParameterIuivNV_dispatch_table_thunk;
    epoxy_glGetProgramEnvParameterdvARB = epoxy_glGetProgramEnvParameterdvARB_dispatch_table_thunk;
    epoxy_glGetProgramEnvParameterfvARB = epoxy_glGetProgramEnvParameterfvARB_dispatch_table_thunk;
    epoxy_glGetProgramInfoLog = epoxy_glGetProgramInfoLog_dispatch_table_thunk;
    epoxy_glGetProgramInterfaceiv = epoxy_glGetProgramInterfaceiv_dispatch_table_thunk;
    epoxy_glGetProgramLocalParameterIivNV = epoxy_glGetProgramLocalParameterIivNV_dispatch_table_thunk;
    epoxy_glGetProgramLocalParameterIuivNV = epoxy_glGetProgramLocalParameterIuivNV_dispatch_table_thunk;
    epoxy_glGetProgramLocalParameterdvARB = epoxy_glGetProgramLocalParameterdvARB_dispatch_table_thunk;
    epoxy_glGetProgramLocalParameterfvARB = epoxy_glGetProgramLocalParameterfvARB_dispatch_table_thunk;
    epoxy_glGetProgramNamedParameterdvNV = epoxy_glGetProgramNamedParameterdvNV_dispatch_table_thunk;
    epoxy_glGetProgramNamedParameterfvNV = epoxy_glGetProgramNamedParameterfvNV_dispatch_table_thunk;
    epoxy_glGetProgramParameterdvNV = epoxy_glGetProgramParameterdvNV_dispatch_table_thunk;
    epoxy_glGetProgramParameterfvNV = epoxy_glGetProgramParameterfvNV_dispatch_table_thunk;
    epoxy_glGetProgramPipelineInfoLog = epoxy_glGetProgramPipelineInfoLog_dispatch_table_thunk;
    epoxy_glGetProgramPipelineInfoLogEXT = epoxy_glGetProgramPipelineInfoLogEXT_dispatch_table_thunk;
    epoxy_glGetProgramPipelineiv = epoxy_glGetProgramPipelineiv_dispatch_table_thunk;
    epoxy_glGetProgramPipelineivEXT = epoxy_glGetProgramPipelineivEXT_dispatch_table_thunk;
    epoxy_glGetProgramResourceIndex = epoxy_glGetProgramResourceIndex_dispatch_table_thunk;
    epoxy_glGetProgramResourceLocation = epoxy_glGetProgramResourceLocation_dispatch_table_thunk;
    epoxy_glGetProgramResourceLocationIndex = epoxy_glGetProgramResourceLocationIndex_dispatch_table_thunk;
    epoxy_glGetProgramResourceName = epoxy_glGetProgramResourceName_dispatch_table_thunk;
    epoxy_glGetProgramResourceiv = epoxy_glGetProgramResourceiv_dispatch_table_thunk;
    epoxy_glGetProgramStageiv = epoxy_glGetProgramStageiv_dispatch_table_thunk;
    epoxy_glGetProgramStringARB = epoxy_glGetProgramStringARB_dispatch_table_thunk;
    epoxy_glGetProgramStringNV = epoxy_glGetProgramStringNV_dispatch_table_thunk;
    epoxy_glGetProgramSubroutineParameteruivNV = epoxy_glGetProgramSubroutineParameteruivNV_dispatch_table_thunk;
    epoxy_glGetProgramiv = epoxy_glGetProgramiv_dispatch_table_thunk;
    epoxy_glGetProgramivARB = epoxy_glGetProgramivARB_dispatch_table_thunk;
    epoxy_glGetProgramivNV = epoxy_glGetProgramivNV_dispatch_table_thunk;
    epoxy_glGetQueryIndexediv = epoxy_glGetQueryIndexediv_dispatch_table_thunk;
    epoxy_glGetQueryObjecti64v = epoxy_glGetQueryObjecti64v_dispatch_table_thunk;
    epoxy_glGetQueryObjecti64vEXT = epoxy_glGetQueryObjecti64vEXT_dispatch_table_thunk;
    epoxy_glGetQueryObjectiv = epoxy_glGetQueryObjectiv_dispatch_table_thunk;
    epoxy_glGetQueryObjectivARB = epoxy_glGetQueryObjectivARB_dispatch_table_thunk;
    epoxy_glGetQueryObjectivEXT = epoxy_glGetQueryObjectivEXT_dispatch_table_thunk;
    epoxy_glGetQueryObjectui64v = epoxy_glGetQueryObjectui64v_dispatch_table_thunk;
    epoxy_glGetQueryObjectui64vEXT = epoxy_glGetQueryObjectui64vEXT_dispatch_table_thunk;
    epoxy_glGetQueryObjectuiv = epoxy_glGetQueryObjectuiv_dispatch_table_thunk;
    epoxy_glGetQueryObjectuivARB = epoxy_glGetQueryObjectuivARB_dispatch_table_thunk;
    epoxy_glGetQueryObjectuivEXT = epoxy_glGetQueryObjectuivEXT_dispatch_table_thunk;
    epoxy_glGetQueryiv = epoxy_glGetQueryiv_dispatch_table_thunk;
    epoxy_glGetQueryivARB = epoxy_glGetQueryivARB_dispatch_table_thunk;
    epoxy_glGetQueryivEXT = epoxy_glGetQueryivEXT_dispatch_table_thunk;
    epoxy_glGetRenderbufferParameteriv = epoxy_glGetRenderbufferParameteriv_dispatch_table_thunk;
    epoxy_glGetRenderbufferParameterivEXT = epoxy_glGetRenderbufferParameterivEXT_dispatch_table_thunk;
    epoxy_glGetRenderbufferParameterivOES = epoxy_glGetRenderbufferParameterivOES_dispatch_table_thunk;
    epoxy_glGetSamplerParameterIiv = epoxy_glGetSamplerParameterIiv_dispatch_table_thunk;
    epoxy_glGetSamplerParameterIuiv = epoxy_glGetSamplerParameterIuiv_dispatch_table_thunk;
    epoxy_glGetSamplerParameterfv = epoxy_glGetSamplerParameterfv_dispatch_table_thunk;
    epoxy_glGetSamplerParameteriv = epoxy_glGetSamplerParameteriv_dispatch_table_thunk;
    epoxy_glGetSeparableFilter = epoxy_glGetSeparableFilter_dispatch_table_thunk;
    epoxy_glGetSeparableFilterEXT = epoxy_glGetSeparableFilterEXT_dispatch_table_thunk;
    epoxy_glGetShaderInfoLog = epoxy_glGetShaderInfoLog_dispatch_table_thunk;
    epoxy_glGetShaderPrecisionFormat = epoxy_glGetShaderPrecisionFormat_dispatch_table_thunk;
    epoxy_glGetShaderSource = epoxy_glGetShaderSource_dispatch_table_thunk;
    epoxy_glGetShaderSourceARB = epoxy_glGetShaderSourceARB_dispatch_table_thunk;
    epoxy_glGetShaderiv = epoxy_glGetShaderiv_dispatch_table_thunk;
    epoxy_glGetSharpenTexFuncSGIS = epoxy_glGetSharpenTexFuncSGIS_dispatch_table_thunk;
    epoxy_glGetString = epoxy_glGetString_dispatch_table_thunk;
    epoxy_glGetStringi = epoxy_glGetStringi_dispatch_table_thunk;
    epoxy_glGetSubroutineIndex = epoxy_glGetSubroutineIndex_dispatch_table_thunk;
    epoxy_glGetSubroutineUniformLocation = epoxy_glGetSubroutineUniformLocation_dispatch_table_thunk;
    epoxy_glGetSynciv = epoxy_glGetSynciv_dispatch_table_thunk;
    epoxy_glGetSyncivAPPLE = epoxy_glGetSyncivAPPLE_dispatch_table_thunk;
    epoxy_glGetTexBumpParameterfvATI = epoxy_glGetTexBumpParameterfvATI_dispatch_table_thunk;
    epoxy_glGetTexBumpParameterivATI = epoxy_glGetTexBumpParameterivATI_dispatch_table_thunk;
    epoxy_glGetTexEnvfv = epoxy_glGetTexEnvfv_dispatch_table_thunk;
    epoxy_glGetTexEnviv = epoxy_glGetTexEnviv_dispatch_table_thunk;
    epoxy_glGetTexEnvxv = epoxy_glGetTexEnvxv_dispatch_table_thunk;
    epoxy_glGetTexEnvxvOES = epoxy_glGetTexEnvxvOES_dispatch_table_thunk;
    epoxy_glGetTexFilterFuncSGIS = epoxy_glGetTexFilterFuncSGIS_dispatch_table_thunk;
    epoxy_glGetTexGendv = epoxy_glGetTexGendv_dispatch_table_thunk;
    epoxy_glGetTexGenfv = epoxy_glGetTexGenfv_dispatch_table_thunk;
    epoxy_glGetTexGenfvOES = epoxy_glGetTexGenfvOES_dispatch_table_thunk;
    epoxy_glGetTexGeniv = epoxy_glGetTexGeniv_dispatch_table_thunk;
    epoxy_glGetTexGenivOES = epoxy_glGetTexGenivOES_dispatch_table_thunk;
    epoxy_glGetTexGenxvOES = epoxy_glGetTexGenxvOES_dispatch_table_thunk;
    epoxy_glGetTexImage = epoxy_glGetTexImage_dispatch_table_thunk;
    epoxy_glGetTexLevelParameterfv = epoxy_glGetTexLevelParameterfv_dispatch_table_thunk;
    epoxy_glGetTexLevelParameteriv = epoxy_glGetTexLevelParameteriv_dispatch_table_thunk;
    epoxy_glGetTexLevelParameterxvOES = epoxy_glGetTexLevelParameterxvOES_dispatch_table_thunk;
    epoxy_glGetTexParameterIiv = epoxy_glGetTexParameterIiv_dispatch_table_thunk;
    epoxy_glGetTexParameterIivEXT = epoxy_glGetTexParameterIivEXT_dispatch_table_thunk;
    epoxy_glGetTexParameterIuiv = epoxy_glGetTexParameterIuiv_dispatch_table_thunk;
    epoxy_glGetTexParameterIuivEXT = epoxy_glGetTexParameterIuivEXT_dispatch_table_thunk;
    epoxy_glGetTexParameterPointervAPPLE = epoxy_glGetTexParameterPointervAPPLE_dispatch_table_thunk;
    epoxy_glGetTexParameterfv = epoxy_glGetTexParameterfv_dispatch_table_thunk;
    epoxy_glGetTexParameteriv = epoxy_glGetTexParameteriv_dispatch_table_thunk;
    epoxy_glGetTexParameterxv = epoxy_glGetTexParameterxv_dispatch_table_thunk;
    epoxy_glGetTexParameterxvOES = epoxy_glGetTexParameterxvOES_dispatch_table_thunk;
    epoxy_glGetTextureHandleARB = epoxy_glGetTextureHandleARB_dispatch_table_thunk;
    epoxy_glGetTextureHandleNV = epoxy_glGetTextureHandleNV_dispatch_table_thunk;
    epoxy_glGetTextureImageEXT = epoxy_glGetTextureImageEXT_dispatch_table_thunk;
    epoxy_glGetTextureLevelParameterfvEXT = epoxy_glGetTextureLevelParameterfvEXT_dispatch_table_thunk;
    epoxy_glGetTextureLevelParameterivEXT = epoxy_glGetTextureLevelParameterivEXT_dispatch_table_thunk;
    epoxy_glGetTextureParameterIivEXT = epoxy_glGetTextureParameterIivEXT_dispatch_table_thunk;
    epoxy_glGetTextureParameterIuivEXT = epoxy_glGetTextureParameterIuivEXT_dispatch_table_thunk;
    epoxy_glGetTextureParameterfvEXT = epoxy_glGetTextureParameterfvEXT_dispatch_table_thunk;
    epoxy_glGetTextureParameterivEXT = epoxy_glGetTextureParameterivEXT_dispatch_table_thunk;
    epoxy_glGetTextureSamplerHandleARB = epoxy_glGetTextureSamplerHandleARB_dispatch_table_thunk;
    epoxy_glGetTextureSamplerHandleNV = epoxy_glGetTextureSamplerHandleNV_dispatch_table_thunk;
    epoxy_glGetTrackMatrixivNV = epoxy_glGetTrackMatrixivNV_dispatch_table_thunk;
    epoxy_glGetTransformFeedbackVarying = epoxy_glGetTransformFeedbackVarying_dispatch_table_thunk;
    epoxy_glGetTransformFeedbackVaryingEXT = epoxy_glGetTransformFeedbackVaryingEXT_dispatch_table_thunk;
    epoxy_glGetTransformFeedbackVaryingNV = epoxy_glGetTransformFeedbackVaryingNV_dispatch_table_thunk;
    epoxy_glGetTranslatedShaderSourceANGLE = epoxy_glGetTranslatedShaderSourceANGLE_dispatch_table_thunk;
    epoxy_glGetUniformBlockIndex = epoxy_glGetUniformBlockIndex_dispatch_table_thunk;
    epoxy_glGetUniformBufferSizeEXT = epoxy_glGetUniformBufferSizeEXT_dispatch_table_thunk;
    epoxy_glGetUniformIndices = epoxy_glGetUniformIndices_dispatch_table_thunk;
    epoxy_glGetUniformLocation = epoxy_glGetUniformLocation_dispatch_table_thunk;
    epoxy_glGetUniformLocationARB = epoxy_glGetUniformLocationARB_dispatch_table_thunk;
    epoxy_glGetUniformOffsetEXT = epoxy_glGetUniformOffsetEXT_dispatch_table_thunk;
    epoxy_glGetUniformSubroutineuiv = epoxy_glGetUniformSubroutineuiv_dispatch_table_thunk;
    epoxy_glGetUniformdv = epoxy_glGetUniformdv_dispatch_table_thunk;
    epoxy_glGetUniformfv = epoxy_glGetUniformfv_dispatch_table_thunk;
    epoxy_glGetUniformfvARB = epoxy_glGetUniformfvARB_dispatch_table_thunk;
    epoxy_glGetUniformi64vNV = epoxy_glGetUniformi64vNV_dispatch_table_thunk;
    epoxy_glGetUniformiv = epoxy_glGetUniformiv_dispatch_table_thunk;
    epoxy_glGetUniformivARB = epoxy_glGetUniformivARB_dispatch_table_thunk;
    epoxy_glGetUniformui64vNV = epoxy_glGetUniformui64vNV_dispatch_table_thunk;
    epoxy_glGetUniformuiv = epoxy_glGetUniformuiv_dispatch_table_thunk;
    epoxy_glGetUniformuivEXT = epoxy_glGetUniformuivEXT_dispatch_table_thunk;
    epoxy_glGetVariantArrayObjectfvATI = epoxy_glGetVariantArrayObjectfvATI_dispatch_table_thunk;
    epoxy_glGetVariantArrayObjectivATI = epoxy_glGetVariantArrayObjectivATI_dispatch_table_thunk;
    epoxy_glGetVariantBooleanvEXT = epoxy_glGetVariantBooleanvEXT_dispatch_table_thunk;
    epoxy_glGetVariantFloatvEXT = epoxy_glGetVariantFloatvEXT_dispatch_table_thunk;
    epoxy_glGetVariantIntegervEXT = epoxy_glGetVariantIntegervEXT_dispatch_table_thunk;
    epoxy_glGetVariantPointervEXT = epoxy_glGetVariantPointervEXT_dispatch_table_thunk;
    epoxy_glGetVaryingLocationNV = epoxy_glGetVaryingLocationNV_dispatch_table_thunk;
    epoxy_glGetVertexArrayIntegeri_vEXT = epoxy_glGetVertexArrayIntegeri_vEXT_dispatch_table_thunk;
    epoxy_glGetVertexArrayIntegervEXT = epoxy_glGetVertexArrayIntegervEXT_dispatch_table_thunk;
    epoxy_glGetVertexArrayPointeri_vEXT = epoxy_glGetVertexArrayPointeri_vEXT_dispatch_table_thunk;
    epoxy_glGetVertexArrayPointervEXT = epoxy_glGetVertexArrayPointervEXT_dispatch_table_thunk;
    epoxy_glGetVertexAttribArrayObjectfvATI = epoxy_glGetVertexAttribArrayObjectfvATI_dispatch_table_thunk;
    epoxy_glGetVertexAttribArrayObjectivATI = epoxy_glGetVertexAttribArrayObjectivATI_dispatch_table_thunk;
    epoxy_glGetVertexAttribIiv = epoxy_glGetVertexAttribIiv_dispatch_table_thunk;
    epoxy_glGetVertexAttribIivEXT = epoxy_glGetVertexAttribIivEXT_dispatch_table_thunk;
    epoxy_glGetVertexAttribIuiv = epoxy_glGetVertexAttribIuiv_dispatch_table_thunk;
    epoxy_glGetVertexAttribIuivEXT = epoxy_glGetVertexAttribIuivEXT_dispatch_table_thunk;
    epoxy_glGetVertexAttribLdv = epoxy_glGetVertexAttribLdv_dispatch_table_thunk;
    epoxy_glGetVertexAttribLdvEXT = epoxy_glGetVertexAttribLdvEXT_dispatch_table_thunk;
    epoxy_glGetVertexAttribLi64vNV = epoxy_glGetVertexAttribLi64vNV_dispatch_table_thunk;
    epoxy_glGetVertexAttribLui64vARB = epoxy_glGetVertexAttribLui64vARB_dispatch_table_thunk;
    epoxy_glGetVertexAttribLui64vNV = epoxy_glGetVertexAttribLui64vNV_dispatch_table_thunk;
    epoxy_glGetVertexAttribPointerv = epoxy_glGetVertexAttribPointerv_dispatch_table_thunk;
    epoxy_glGetVertexAttribPointervARB = epoxy_glGetVertexAttribPointervARB_dispatch_table_thunk;
    epoxy_glGetVertexAttribPointervNV = epoxy_glGetVertexAttribPointervNV_dispatch_table_thunk;
    epoxy_glGetVertexAttribdv = epoxy_glGetVertexAttribdv_dispatch_table_thunk;
    epoxy_glGetVertexAttribdvARB = epoxy_glGetVertexAttribdvARB_dispatch_table_thunk;
    epoxy_glGetVertexAttribdvNV = epoxy_glGetVertexAttribdvNV_dispatch_table_thunk;
    epoxy_glGetVertexAttribfv = epoxy_glGetVertexAttribfv_dispatch_table_thunk;
    epoxy_glGetVertexAttribfvARB = epoxy_glGetVertexAttribfvARB_dispatch_table_thunk;
    epoxy_glGetVertexAttribfvNV = epoxy_glGetVertexAttribfvNV_dispatch_table_thunk;
    epoxy_glGetVertexAttribiv = epoxy_glGetVertexAttribiv_dispatch_table_thunk;
    epoxy_glGetVertexAttribivARB = epoxy_glGetVertexAttribivARB_dispatch_table_thunk;
    epoxy_glGetVertexAttribivNV = epoxy_glGetVertexAttribivNV_dispatch_table_thunk;
    epoxy_glGetVideoCaptureStreamdvNV = epoxy_glGetVideoCaptureStreamdvNV_dispatch_table_thunk;
    epoxy_glGetVideoCaptureStreamfvNV = epoxy_glGetVideoCaptureStreamfvNV_dispatch_table_thunk;
    epoxy_glGetVideoCaptureStreamivNV = epoxy_glGetVideoCaptureStreamivNV_dispatch_table_thunk;
    epoxy_glGetVideoCaptureivNV = epoxy_glGetVideoCaptureivNV_dispatch_table_thunk;
    epoxy_glGetVideoi64vNV = epoxy_glGetVideoi64vNV_dispatch_table_thunk;
    epoxy_glGetVideoivNV = epoxy_glGetVideoivNV_dispatch_table_thunk;
    epoxy_glGetVideoui64vNV = epoxy_glGetVideoui64vNV_dispatch_table_thunk;
    epoxy_glGetVideouivNV = epoxy_glGetVideouivNV_dispatch_table_thunk;
    epoxy_glGetnColorTableARB = epoxy_glGetnColorTableARB_dispatch_table_thunk;
    epoxy_glGetnCompressedTexImageARB = epoxy_glGetnCompressedTexImageARB_dispatch_table_thunk;
    epoxy_glGetnConvolutionFilterARB = epoxy_glGetnConvolutionFilterARB_dispatch_table_thunk;
    epoxy_glGetnHistogramARB = epoxy_glGetnHistogramARB_dispatch_table_thunk;
    epoxy_glGetnMapdvARB = epoxy_glGetnMapdvARB_dispatch_table_thunk;
    epoxy_glGetnMapfvARB = epoxy_glGetnMapfvARB_dispatch_table_thunk;
    epoxy_glGetnMapivARB = epoxy_glGetnMapivARB_dispatch_table_thunk;
    epoxy_glGetnMinmaxARB = epoxy_glGetnMinmaxARB_dispatch_table_thunk;
    epoxy_glGetnPixelMapfvARB = epoxy_glGetnPixelMapfvARB_dispatch_table_thunk;
    epoxy_glGetnPixelMapuivARB = epoxy_glGetnPixelMapuivARB_dispatch_table_thunk;
    epoxy_glGetnPixelMapusvARB = epoxy_glGetnPixelMapusvARB_dispatch_table_thunk;
    epoxy_glGetnPolygonStippleARB = epoxy_glGetnPolygonStippleARB_dispatch_table_thunk;
    epoxy_glGetnSeparableFilterARB = epoxy_glGetnSeparableFilterARB_dispatch_table_thunk;
    epoxy_glGetnTexImageARB = epoxy_glGetnTexImageARB_dispatch_table_thunk;
    epoxy_glGetnUniformdvARB = epoxy_glGetnUniformdvARB_dispatch_table_thunk;
    epoxy_glGetnUniformfvARB = epoxy_glGetnUniformfvARB_dispatch_table_thunk;
    epoxy_glGetnUniformfvEXT = epoxy_glGetnUniformfvEXT_dispatch_table_thunk;
    epoxy_glGetnUniformivARB = epoxy_glGetnUniformivARB_dispatch_table_thunk;
    epoxy_glGetnUniformivEXT = epoxy_glGetnUniformivEXT_dispatch_table_thunk;
    epoxy_glGetnUniformuivARB = epoxy_glGetnUniformuivARB_dispatch_table_thunk;
    epoxy_glGlobalAlphaFactorbSUN = epoxy_glGlobalAlphaFactorbSUN_dispatch_table_thunk;
    epoxy_glGlobalAlphaFactordSUN = epoxy_glGlobalAlphaFactordSUN_dispatch_table_thunk;
    epoxy_glGlobalAlphaFactorfSUN = epoxy_glGlobalAlphaFactorfSUN_dispatch_table_thunk;
    epoxy_glGlobalAlphaFactoriSUN = epoxy_glGlobalAlphaFactoriSUN_dispatch_table_thunk;
    epoxy_glGlobalAlphaFactorsSUN = epoxy_glGlobalAlphaFactorsSUN_dispatch_table_thunk;
    epoxy_glGlobalAlphaFactorubSUN = epoxy_glGlobalAlphaFactorubSUN_dispatch_table_thunk;
    epoxy_glGlobalAlphaFactoruiSUN = epoxy_glGlobalAlphaFactoruiSUN_dispatch_table_thunk;
    epoxy_glGlobalAlphaFactorusSUN = epoxy_glGlobalAlphaFactorusSUN_dispatch_table_thunk;
    epoxy_glHint = epoxy_glHint_dispatch_table_thunk;
    epoxy_glHintPGI = epoxy_glHintPGI_dispatch_table_thunk;
    epoxy_glHistogram = epoxy_glHistogram_dispatch_table_thunk;
    epoxy_glHistogramEXT = epoxy_glHistogramEXT_dispatch_table_thunk;
    epoxy_glIglooInterfaceSGIX = epoxy_glIglooInterfaceSGIX_dispatch_table_thunk;
    epoxy_glImageTransformParameterfHP = epoxy_glImageTransformParameterfHP_dispatch_table_thunk;
    epoxy_glImageTransformParameterfvHP = epoxy_glImageTransformParameterfvHP_dispatch_table_thunk;
    epoxy_glImageTransformParameteriHP = epoxy_glImageTransformParameteriHP_dispatch_table_thunk;
    epoxy_glImageTransformParameterivHP = epoxy_glImageTransformParameterivHP_dispatch_table_thunk;
    epoxy_glImportSyncEXT = epoxy_glImportSyncEXT_dispatch_table_thunk;
    epoxy_glIndexFormatNV = epoxy_glIndexFormatNV_dispatch_table_thunk;
    epoxy_glIndexFuncEXT = epoxy_glIndexFuncEXT_dispatch_table_thunk;
    epoxy_glIndexMask = epoxy_glIndexMask_dispatch_table_thunk;
    epoxy_glIndexMaterialEXT = epoxy_glIndexMaterialEXT_dispatch_table_thunk;
    epoxy_glIndexPointer = epoxy_glIndexPointer_dispatch_table_thunk;
    epoxy_glIndexPointerEXT = epoxy_glIndexPointerEXT_dispatch_table_thunk;
    epoxy_glIndexPointerListIBM = epoxy_glIndexPointerListIBM_dispatch_table_thunk;
    epoxy_glIndexd = epoxy_glIndexd_dispatch_table_thunk;
    epoxy_glIndexdv = epoxy_glIndexdv_dispatch_table_thunk;
    epoxy_glIndexf = epoxy_glIndexf_dispatch_table_thunk;
    epoxy_glIndexfv = epoxy_glIndexfv_dispatch_table_thunk;
    epoxy_glIndexi = epoxy_glIndexi_dispatch_table_thunk;
    epoxy_glIndexiv = epoxy_glIndexiv_dispatch_table_thunk;
    epoxy_glIndexs = epoxy_glIndexs_dispatch_table_thunk;
    epoxy_glIndexsv = epoxy_glIndexsv_dispatch_table_thunk;
    epoxy_glIndexub = epoxy_glIndexub_dispatch_table_thunk;
    epoxy_glIndexubv = epoxy_glIndexubv_dispatch_table_thunk;
    epoxy_glIndexxOES = epoxy_glIndexxOES_dispatch_table_thunk;
    epoxy_glIndexxvOES = epoxy_glIndexxvOES_dispatch_table_thunk;
    epoxy_glInitNames = epoxy_glInitNames_dispatch_table_thunk;
    epoxy_glInsertComponentEXT = epoxy_glInsertComponentEXT_dispatch_table_thunk;
    epoxy_glInsertEventMarkerEXT = epoxy_glInsertEventMarkerEXT_dispatch_table_thunk;
    epoxy_glInstrumentsBufferSGIX = epoxy_glInstrumentsBufferSGIX_dispatch_table_thunk;
    epoxy_glInterleavedArrays = epoxy_glInterleavedArrays_dispatch_table_thunk;
    epoxy_glInterpolatePathsNV = epoxy_glInterpolatePathsNV_dispatch_table_thunk;
    epoxy_glInvalidateBufferData = epoxy_glInvalidateBufferData_dispatch_table_thunk;
    epoxy_glInvalidateBufferSubData = epoxy_glInvalidateBufferSubData_dispatch_table_thunk;
    epoxy_glInvalidateFramebuffer = epoxy_glInvalidateFramebuffer_dispatch_table_thunk;
    epoxy_glInvalidateSubFramebuffer = epoxy_glInvalidateSubFramebuffer_dispatch_table_thunk;
    epoxy_glInvalidateTexImage = epoxy_glInvalidateTexImage_dispatch_table_thunk;
    epoxy_glInvalidateTexSubImage = epoxy_glInvalidateTexSubImage_dispatch_table_thunk;
    epoxy_glIsAsyncMarkerSGIX = epoxy_glIsAsyncMarkerSGIX_dispatch_table_thunk;
    epoxy_glIsBuffer = epoxy_glIsBuffer_dispatch_table_thunk;
    epoxy_glIsBufferARB = epoxy_glIsBufferARB_dispatch_table_thunk;
    epoxy_glIsBufferResidentNV = epoxy_glIsBufferResidentNV_dispatch_table_thunk;
    epoxy_glIsEnabled = epoxy_glIsEnabled_dispatch_table_thunk;
    epoxy_glIsEnabledIndexedEXT = epoxy_glIsEnabledIndexedEXT_dispatch_table_thunk;
    epoxy_glIsEnabledi = epoxy_glIsEnabledi_dispatch_table_thunk;
    epoxy_glIsFenceAPPLE = epoxy_glIsFenceAPPLE_dispatch_table_thunk;
    epoxy_glIsFenceNV = epoxy_glIsFenceNV_dispatch_table_thunk;
    epoxy_glIsFramebuffer = epoxy_glIsFramebuffer_dispatch_table_thunk;
    epoxy_glIsFramebufferEXT = epoxy_glIsFramebufferEXT_dispatch_table_thunk;
    epoxy_glIsFramebufferOES = epoxy_glIsFramebufferOES_dispatch_table_thunk;
    epoxy_glIsImageHandleResidentARB = epoxy_glIsImageHandleResidentARB_dispatch_table_thunk;
    epoxy_glIsImageHandleResidentNV = epoxy_glIsImageHandleResidentNV_dispatch_table_thunk;
    epoxy_glIsList = epoxy_glIsList_dispatch_table_thunk;
    epoxy_glIsNameAMD = epoxy_glIsNameAMD_dispatch_table_thunk;
    epoxy_glIsNamedBufferResidentNV = epoxy_glIsNamedBufferResidentNV_dispatch_table_thunk;
    epoxy_glIsNamedStringARB = epoxy_glIsNamedStringARB_dispatch_table_thunk;
    epoxy_glIsObjectBufferATI = epoxy_glIsObjectBufferATI_dispatch_table_thunk;
    epoxy_glIsOcclusionQueryNV = epoxy_glIsOcclusionQueryNV_dispatch_table_thunk;
    epoxy_glIsPathNV = epoxy_glIsPathNV_dispatch_table_thunk;
    epoxy_glIsPointInFillPathNV = epoxy_glIsPointInFillPathNV_dispatch_table_thunk;
    epoxy_glIsPointInStrokePathNV = epoxy_glIsPointInStrokePathNV_dispatch_table_thunk;
    epoxy_glIsProgram = epoxy_glIsProgram_dispatch_table_thunk;
    epoxy_glIsProgramARB = epoxy_glIsProgramARB_dispatch_table_thunk;
    epoxy_glIsProgramNV = epoxy_glIsProgramNV_dispatch_table_thunk;
    epoxy_glIsProgramPipeline = epoxy_glIsProgramPipeline_dispatch_table_thunk;
    epoxy_glIsProgramPipelineEXT = epoxy_glIsProgramPipelineEXT_dispatch_table_thunk;
    epoxy_glIsQuery = epoxy_glIsQuery_dispatch_table_thunk;
    epoxy_glIsQueryARB = epoxy_glIsQueryARB_dispatch_table_thunk;
    epoxy_glIsQueryEXT = epoxy_glIsQueryEXT_dispatch_table_thunk;
    epoxy_glIsRenderbuffer = epoxy_glIsRenderbuffer_dispatch_table_thunk;
    epoxy_glIsRenderbufferEXT = epoxy_glIsRenderbufferEXT_dispatch_table_thunk;
    epoxy_glIsRenderbufferOES = epoxy_glIsRenderbufferOES_dispatch_table_thunk;
    epoxy_glIsSampler = epoxy_glIsSampler_dispatch_table_thunk;
    epoxy_glIsShader = epoxy_glIsShader_dispatch_table_thunk;
    epoxy_glIsSync = epoxy_glIsSync_dispatch_table_thunk;
    epoxy_glIsSyncAPPLE = epoxy_glIsSyncAPPLE_dispatch_table_thunk;
    epoxy_glIsTexture = epoxy_glIsTexture_dispatch_table_thunk;
    epoxy_glIsTextureEXT = epoxy_glIsTextureEXT_dispatch_table_thunk;
    epoxy_glIsTextureHandleResidentARB = epoxy_glIsTextureHandleResidentARB_dispatch_table_thunk;
    epoxy_glIsTextureHandleResidentNV = epoxy_glIsTextureHandleResidentNV_dispatch_table_thunk;
    epoxy_glIsTransformFeedback = epoxy_glIsTransformFeedback_dispatch_table_thunk;
    epoxy_glIsTransformFeedbackNV = epoxy_glIsTransformFeedbackNV_dispatch_table_thunk;
    epoxy_glIsVariantEnabledEXT = epoxy_glIsVariantEnabledEXT_dispatch_table_thunk;
    epoxy_glIsVertexArray = epoxy_glIsVertexArray_dispatch_table_thunk;
    epoxy_glIsVertexArrayAPPLE = epoxy_glIsVertexArrayAPPLE_dispatch_table_thunk;
    epoxy_glIsVertexArrayOES = epoxy_glIsVertexArrayOES_dispatch_table_thunk;
    epoxy_glIsVertexAttribEnabledAPPLE = epoxy_glIsVertexAttribEnabledAPPLE_dispatch_table_thunk;
    epoxy_glLabelObjectEXT = epoxy_glLabelObjectEXT_dispatch_table_thunk;
    epoxy_glLightEnviSGIX = epoxy_glLightEnviSGIX_dispatch_table_thunk;
    epoxy_glLightModelf = epoxy_glLightModelf_dispatch_table_thunk;
    epoxy_glLightModelfv = epoxy_glLightModelfv_dispatch_table_thunk;
    epoxy_glLightModeli = epoxy_glLightModeli_dispatch_table_thunk;
    epoxy_glLightModeliv = epoxy_glLightModeliv_dispatch_table_thunk;
    epoxy_glLightModelx = epoxy_glLightModelx_dispatch_table_thunk;
    epoxy_glLightModelxOES = epoxy_glLightModelxOES_dispatch_table_thunk;
    epoxy_glLightModelxv = epoxy_glLightModelxv_dispatch_table_thunk;
    epoxy_glLightModelxvOES = epoxy_glLightModelxvOES_dispatch_table_thunk;
    epoxy_glLightf = epoxy_glLightf_dispatch_table_thunk;
    epoxy_glLightfv = epoxy_glLightfv_dispatch_table_thunk;
    epoxy_glLighti = epoxy_glLighti_dispatch_table_thunk;
    epoxy_glLightiv = epoxy_glLightiv_dispatch_table_thunk;
    epoxy_glLightx = epoxy_glLightx_dispatch_table_thunk;
    epoxy_glLightxOES = epoxy_glLightxOES_dispatch_table_thunk;
    epoxy_glLightxv = epoxy_glLightxv_dispatch_table_thunk;
    epoxy_glLightxvOES = epoxy_glLightxvOES_dispatch_table_thunk;
    epoxy_glLineStipple = epoxy_glLineStipple_dispatch_table_thunk;
    epoxy_glLineWidth = epoxy_glLineWidth_dispatch_table_thunk;
    epoxy_glLineWidthx = epoxy_glLineWidthx_dispatch_table_thunk;
    epoxy_glLineWidthxOES = epoxy_glLineWidthxOES_dispatch_table_thunk;
    epoxy_glLinkProgram = epoxy_glLinkProgram_dispatch_table_thunk;
    epoxy_glLinkProgramARB = epoxy_glLinkProgramARB_dispatch_table_thunk;
    epoxy_glListBase = epoxy_glListBase_dispatch_table_thunk;
    epoxy_glListParameterfSGIX = epoxy_glListParameterfSGIX_dispatch_table_thunk;
    epoxy_glListParameterfvSGIX = epoxy_glListParameterfvSGIX_dispatch_table_thunk;
    epoxy_glListParameteriSGIX = epoxy_glListParameteriSGIX_dispatch_table_thunk;
    epoxy_glListParameterivSGIX = epoxy_glListParameterivSGIX_dispatch_table_thunk;
    epoxy_glLoadIdentity = epoxy_glLoadIdentity_dispatch_table_thunk;
    epoxy_glLoadIdentityDeformationMapSGIX = epoxy_glLoadIdentityDeformationMapSGIX_dispatch_table_thunk;
    epoxy_glLoadMatrixd = epoxy_glLoadMatrixd_dispatch_table_thunk;
    epoxy_glLoadMatrixf = epoxy_glLoadMatrixf_dispatch_table_thunk;
    epoxy_glLoadMatrixx = epoxy_glLoadMatrixx_dispatch_table_thunk;
    epoxy_glLoadMatrixxOES = epoxy_glLoadMatrixxOES_dispatch_table_thunk;
    epoxy_glLoadName = epoxy_glLoadName_dispatch_table_thunk;
    epoxy_glLoadPaletteFromModelViewMatrixOES = epoxy_glLoadPaletteFromModelViewMatrixOES_dispatch_table_thunk;
    epoxy_glLoadProgramNV = epoxy_glLoadProgramNV_dispatch_table_thunk;
    epoxy_glLoadTransposeMatrixd = epoxy_glLoadTransposeMatrixd_dispatch_table_thunk;
    epoxy_glLoadTransposeMatrixdARB = epoxy_glLoadTransposeMatrixdARB_dispatch_table_thunk;
    epoxy_glLoadTransposeMatrixf = epoxy_glLoadTransposeMatrixf_dispatch_table_thunk;
    epoxy_glLoadTransposeMatrixfARB = epoxy_glLoadTransposeMatrixfARB_dispatch_table_thunk;
    epoxy_glLoadTransposeMatrixxOES = epoxy_glLoadTransposeMatrixxOES_dispatch_table_thunk;
    epoxy_glLockArraysEXT = epoxy_glLockArraysEXT_dispatch_table_thunk;
    epoxy_glLogicOp = epoxy_glLogicOp_dispatch_table_thunk;
    epoxy_glMakeBufferNonResidentNV = epoxy_glMakeBufferNonResidentNV_dispatch_table_thunk;
    epoxy_glMakeBufferResidentNV = epoxy_glMakeBufferResidentNV_dispatch_table_thunk;
    epoxy_glMakeImageHandleNonResidentARB = epoxy_glMakeImageHandleNonResidentARB_dispatch_table_thunk;
    epoxy_glMakeImageHandleNonResidentNV = epoxy_glMakeImageHandleNonResidentNV_dispatch_table_thunk;
    epoxy_glMakeImageHandleResidentARB = epoxy_glMakeImageHandleResidentARB_dispatch_table_thunk;
    epoxy_glMakeImageHandleResidentNV = epoxy_glMakeImageHandleResidentNV_dispatch_table_thunk;
    epoxy_glMakeNamedBufferNonResidentNV = epoxy_glMakeNamedBufferNonResidentNV_dispatch_table_thunk;
    epoxy_glMakeNamedBufferResidentNV = epoxy_glMakeNamedBufferResidentNV_dispatch_table_thunk;
    epoxy_glMakeTextureHandleNonResidentARB = epoxy_glMakeTextureHandleNonResidentARB_dispatch_table_thunk;
    epoxy_glMakeTextureHandleNonResidentNV = epoxy_glMakeTextureHandleNonResidentNV_dispatch_table_thunk;
    epoxy_glMakeTextureHandleResidentARB = epoxy_glMakeTextureHandleResidentARB_dispatch_table_thunk;
    epoxy_glMakeTextureHandleResidentNV = epoxy_glMakeTextureHandleResidentNV_dispatch_table_thunk;
    epoxy_glMap1d = epoxy_glMap1d_dispatch_table_thunk;
    epoxy_glMap1f = epoxy_glMap1f_dispatch_table_thunk;
    epoxy_glMap1xOES = epoxy_glMap1xOES_dispatch_table_thunk;
    epoxy_glMap2d = epoxy_glMap2d_dispatch_table_thunk;
    epoxy_glMap2f = epoxy_glMap2f_dispatch_table_thunk;
    epoxy_glMap2xOES = epoxy_glMap2xOES_dispatch_table_thunk;
    epoxy_glMapBuffer = epoxy_glMapBuffer_dispatch_table_thunk;
    epoxy_glMapBufferARB = epoxy_glMapBufferARB_dispatch_table_thunk;
    epoxy_glMapBufferOES = epoxy_glMapBufferOES_dispatch_table_thunk;
    epoxy_glMapBufferRange = epoxy_glMapBufferRange_dispatch_table_thunk;
    epoxy_glMapBufferRangeEXT = epoxy_glMapBufferRangeEXT_dispatch_table_thunk;
    epoxy_glMapControlPointsNV = epoxy_glMapControlPointsNV_dispatch_table_thunk;
    epoxy_glMapGrid1d = epoxy_glMapGrid1d_dispatch_table_thunk;
    epoxy_glMapGrid1f = epoxy_glMapGrid1f_dispatch_table_thunk;
    epoxy_glMapGrid1xOES = epoxy_glMapGrid1xOES_dispatch_table_thunk;
    epoxy_glMapGrid2d = epoxy_glMapGrid2d_dispatch_table_thunk;
    epoxy_glMapGrid2f = epoxy_glMapGrid2f_dispatch_table_thunk;
    epoxy_glMapGrid2xOES = epoxy_glMapGrid2xOES_dispatch_table_thunk;
    epoxy_glMapNamedBufferEXT = epoxy_glMapNamedBufferEXT_dispatch_table_thunk;
    epoxy_glMapNamedBufferRangeEXT = epoxy_glMapNamedBufferRangeEXT_dispatch_table_thunk;
    epoxy_glMapObjectBufferATI = epoxy_glMapObjectBufferATI_dispatch_table_thunk;
    epoxy_glMapParameterfvNV = epoxy_glMapParameterfvNV_dispatch_table_thunk;
    epoxy_glMapParameterivNV = epoxy_glMapParameterivNV_dispatch_table_thunk;
    epoxy_glMapTexture2DINTEL = epoxy_glMapTexture2DINTEL_dispatch_table_thunk;
    epoxy_glMapVertexAttrib1dAPPLE = epoxy_glMapVertexAttrib1dAPPLE_dispatch_table_thunk;
    epoxy_glMapVertexAttrib1fAPPLE = epoxy_glMapVertexAttrib1fAPPLE_dispatch_table_thunk;
    epoxy_glMapVertexAttrib2dAPPLE = epoxy_glMapVertexAttrib2dAPPLE_dispatch_table_thunk;
    epoxy_glMapVertexAttrib2fAPPLE = epoxy_glMapVertexAttrib2fAPPLE_dispatch_table_thunk;
    epoxy_glMaterialf = epoxy_glMaterialf_dispatch_table_thunk;
    epoxy_glMaterialfv = epoxy_glMaterialfv_dispatch_table_thunk;
    epoxy_glMateriali = epoxy_glMateriali_dispatch_table_thunk;
    epoxy_glMaterialiv = epoxy_glMaterialiv_dispatch_table_thunk;
    epoxy_glMaterialx = epoxy_glMaterialx_dispatch_table_thunk;
    epoxy_glMaterialxOES = epoxy_glMaterialxOES_dispatch_table_thunk;
    epoxy_glMaterialxv = epoxy_glMaterialxv_dispatch_table_thunk;
    epoxy_glMaterialxvOES = epoxy_glMaterialxvOES_dispatch_table_thunk;
    epoxy_glMatrixFrustumEXT = epoxy_glMatrixFrustumEXT_dispatch_table_thunk;
    epoxy_glMatrixIndexPointerARB = epoxy_glMatrixIndexPointerARB_dispatch_table_thunk;
    epoxy_glMatrixIndexPointerOES = epoxy_glMatrixIndexPointerOES_dispatch_table_thunk;
    epoxy_glMatrixIndexubvARB = epoxy_glMatrixIndexubvARB_dispatch_table_thunk;
    epoxy_glMatrixIndexuivARB = epoxy_glMatrixIndexuivARB_dispatch_table_thunk;
    epoxy_glMatrixIndexusvARB = epoxy_glMatrixIndexusvARB_dispatch_table_thunk;
    epoxy_glMatrixLoadIdentityEXT = epoxy_glMatrixLoadIdentityEXT_dispatch_table_thunk;
    epoxy_glMatrixLoadTransposedEXT = epoxy_glMatrixLoadTransposedEXT_dispatch_table_thunk;
    epoxy_glMatrixLoadTransposefEXT = epoxy_glMatrixLoadTransposefEXT_dispatch_table_thunk;
    epoxy_glMatrixLoaddEXT = epoxy_glMatrixLoaddEXT_dispatch_table_thunk;
    epoxy_glMatrixLoadfEXT = epoxy_glMatrixLoadfEXT_dispatch_table_thunk;
    epoxy_glMatrixMode = epoxy_glMatrixMode_dispatch_table_thunk;
    epoxy_glMatrixMultTransposedEXT = epoxy_glMatrixMultTransposedEXT_dispatch_table_thunk;
    epoxy_glMatrixMultTransposefEXT = epoxy_glMatrixMultTransposefEXT_dispatch_table_thunk;
    epoxy_glMatrixMultdEXT = epoxy_glMatrixMultdEXT_dispatch_table_thunk;
    epoxy_glMatrixMultfEXT = epoxy_glMatrixMultfEXT_dispatch_table_thunk;
    epoxy_glMatrixOrthoEXT = epoxy_glMatrixOrthoEXT_dispatch_table_thunk;
    epoxy_glMatrixPopEXT = epoxy_glMatrixPopEXT_dispatch_table_thunk;
    epoxy_glMatrixPushEXT = epoxy_glMatrixPushEXT_dispatch_table_thunk;
    epoxy_glMatrixRotatedEXT = epoxy_glMatrixRotatedEXT_dispatch_table_thunk;
    epoxy_glMatrixRotatefEXT = epoxy_glMatrixRotatefEXT_dispatch_table_thunk;
    epoxy_glMatrixScaledEXT = epoxy_glMatrixScaledEXT_dispatch_table_thunk;
    epoxy_glMatrixScalefEXT = epoxy_glMatrixScalefEXT_dispatch_table_thunk;
    epoxy_glMatrixTranslatedEXT = epoxy_glMatrixTranslatedEXT_dispatch_table_thunk;
    epoxy_glMatrixTranslatefEXT = epoxy_glMatrixTranslatefEXT_dispatch_table_thunk;
    epoxy_glMemoryBarrier = epoxy_glMemoryBarrier_dispatch_table_thunk;
    epoxy_glMemoryBarrierByRegion = epoxy_glMemoryBarrierByRegion_dispatch_table_thunk;
    epoxy_glMemoryBarrierEXT = epoxy_glMemoryBarrierEXT_dispatch_table_thunk;
    epoxy_glMinSampleShading = epoxy_glMinSampleShading_dispatch_table_thunk;
    epoxy_glMinSampleShadingARB = epoxy_glMinSampleShadingARB_dispatch_table_thunk;
    epoxy_glMinSampleShadingOES = epoxy_glMinSampleShadingOES_dispatch_table_thunk;
    epoxy_glMinmax = epoxy_glMinmax_dispatch_table_thunk;
    epoxy_glMinmaxEXT = epoxy_glMinmaxEXT_dispatch_table_thunk;
    epoxy_glMultMatrixd = epoxy_glMultMatrixd_dispatch_table_thunk;
    epoxy_glMultMatrixf = epoxy_glMultMatrixf_dispatch_table_thunk;
    epoxy_glMultMatrixx = epoxy_glMultMatrixx_dispatch_table_thunk;
    epoxy_glMultMatrixxOES = epoxy_glMultMatrixxOES_dispatch_table_thunk;
    epoxy_glMultTransposeMatrixd = epoxy_glMultTransposeMatrixd_dispatch_table_thunk;
    epoxy_glMultTransposeMatrixdARB = epoxy_glMultTransposeMatrixdARB_dispatch_table_thunk;
    epoxy_glMultTransposeMatrixf = epoxy_glMultTransposeMatrixf_dispatch_table_thunk;
    epoxy_glMultTransposeMatrixfARB = epoxy_glMultTransposeMatrixfARB_dispatch_table_thunk;
    epoxy_glMultTransposeMatrixxOES = epoxy_glMultTransposeMatrixxOES_dispatch_table_thunk;
    epoxy_glMultiDrawArrays = epoxy_glMultiDrawArrays_dispatch_table_thunk;
    epoxy_glMultiDrawArraysEXT = epoxy_glMultiDrawArraysEXT_dispatch_table_thunk;
    epoxy_glMultiDrawArraysIndirect = epoxy_glMultiDrawArraysIndirect_dispatch_table_thunk;
    epoxy_glMultiDrawArraysIndirectAMD = epoxy_glMultiDrawArraysIndirectAMD_dispatch_table_thunk;
    epoxy_glMultiDrawArraysIndirectBindlessNV = epoxy_glMultiDrawArraysIndirectBindlessNV_dispatch_table_thunk;
    epoxy_glMultiDrawArraysIndirectCountARB = epoxy_glMultiDrawArraysIndirectCountARB_dispatch_table_thunk;
    epoxy_glMultiDrawElementArrayAPPLE = epoxy_glMultiDrawElementArrayAPPLE_dispatch_table_thunk;
    epoxy_glMultiDrawElements = epoxy_glMultiDrawElements_dispatch_table_thunk;
    epoxy_glMultiDrawElementsBaseVertex = epoxy_glMultiDrawElementsBaseVertex_dispatch_table_thunk;
    epoxy_glMultiDrawElementsEXT = epoxy_glMultiDrawElementsEXT_dispatch_table_thunk;
    epoxy_glMultiDrawElementsIndirect = epoxy_glMultiDrawElementsIndirect_dispatch_table_thunk;
    epoxy_glMultiDrawElementsIndirectAMD = epoxy_glMultiDrawElementsIndirectAMD_dispatch_table_thunk;
    epoxy_glMultiDrawElementsIndirectBindlessNV = epoxy_glMultiDrawElementsIndirectBindlessNV_dispatch_table_thunk;
    epoxy_glMultiDrawElementsIndirectCountARB = epoxy_glMultiDrawElementsIndirectCountARB_dispatch_table_thunk;
    epoxy_glMultiDrawRangeElementArrayAPPLE = epoxy_glMultiDrawRangeElementArrayAPPLE_dispatch_table_thunk;
    epoxy_glMultiModeDrawArraysIBM = epoxy_glMultiModeDrawArraysIBM_dispatch_table_thunk;
    epoxy_glMultiModeDrawElementsIBM = epoxy_glMultiModeDrawElementsIBM_dispatch_table_thunk;
    epoxy_glMultiTexBufferEXT = epoxy_glMultiTexBufferEXT_dispatch_table_thunk;
    epoxy_glMultiTexCoord1bOES = epoxy_glMultiTexCoord1bOES_dispatch_table_thunk;
    epoxy_glMultiTexCoord1bvOES = epoxy_glMultiTexCoord1bvOES_dispatch_table_thunk;
    epoxy_glMultiTexCoord1d = epoxy_glMultiTexCoord1d_dispatch_table_thunk;
    epoxy_glMultiTexCoord1dARB = epoxy_glMultiTexCoord1dARB_dispatch_table_thunk;
    epoxy_glMultiTexCoord1dv = epoxy_glMultiTexCoord1dv_dispatch_table_thunk;
    epoxy_glMultiTexCoord1dvARB = epoxy_glMultiTexCoord1dvARB_dispatch_table_thunk;
    epoxy_glMultiTexCoord1f = epoxy_glMultiTexCoord1f_dispatch_table_thunk;
    epoxy_glMultiTexCoord1fARB = epoxy_glMultiTexCoord1fARB_dispatch_table_thunk;
    epoxy_glMultiTexCoord1fv = epoxy_glMultiTexCoord1fv_dispatch_table_thunk;
    epoxy_glMultiTexCoord1fvARB = epoxy_glMultiTexCoord1fvARB_dispatch_table_thunk;
    epoxy_glMultiTexCoord1hNV = epoxy_glMultiTexCoord1hNV_dispatch_table_thunk;
    epoxy_glMultiTexCoord1hvNV = epoxy_glMultiTexCoord1hvNV_dispatch_table_thunk;
    epoxy_glMultiTexCoord1i = epoxy_glMultiTexCoord1i_dispatch_table_thunk;
    epoxy_glMultiTexCoord1iARB = epoxy_glMultiTexCoord1iARB_dispatch_table_thunk;
    epoxy_glMultiTexCoord1iv = epoxy_glMultiTexCoord1iv_dispatch_table_thunk;
    epoxy_glMultiTexCoord1ivARB = epoxy_glMultiTexCoord1ivARB_dispatch_table_thunk;
    epoxy_glMultiTexCoord1s = epoxy_glMultiTexCoord1s_dispatch_table_thunk;
    epoxy_glMultiTexCoord1sARB = epoxy_glMultiTexCoord1sARB_dispatch_table_thunk;
    epoxy_glMultiTexCoord1sv = epoxy_glMultiTexCoord1sv_dispatch_table_thunk;
    epoxy_glMultiTexCoord1svARB = epoxy_glMultiTexCoord1svARB_dispatch_table_thunk;
    epoxy_glMultiTexCoord1xOES = epoxy_glMultiTexCoord1xOES_dispatch_table_thunk;
    epoxy_glMultiTexCoord1xvOES = epoxy_glMultiTexCoord1xvOES_dispatch_table_thunk;
    epoxy_glMultiTexCoord2bOES = epoxy_glMultiTexCoord2bOES_dispatch_table_thunk;
    epoxy_glMultiTexCoord2bvOES = epoxy_glMultiTexCoord2bvOES_dispatch_table_thunk;
    epoxy_glMultiTexCoord2d = epoxy_glMultiTexCoord2d_dispatch_table_thunk;
    epoxy_glMultiTexCoord2dARB = epoxy_glMultiTexCoord2dARB_dispatch_table_thunk;
    epoxy_glMultiTexCoord2dv = epoxy_glMultiTexCoord2dv_dispatch_table_thunk;
    epoxy_glMultiTexCoord2dvARB = epoxy_glMultiTexCoord2dvARB_dispatch_table_thunk;
    epoxy_glMultiTexCoord2f = epoxy_glMultiTexCoord2f_dispatch_table_thunk;
    epoxy_glMultiTexCoord2fARB = epoxy_glMultiTexCoord2fARB_dispatch_table_thunk;
    epoxy_glMultiTexCoord2fv = epoxy_glMultiTexCoord2fv_dispatch_table_thunk;
    epoxy_glMultiTexCoord2fvARB = epoxy_glMultiTexCoord2fvARB_dispatch_table_thunk;
    epoxy_glMultiTexCoord2hNV = epoxy_glMultiTexCoord2hNV_dispatch_table_thunk;
    epoxy_glMultiTexCoord2hvNV = epoxy_glMultiTexCoord2hvNV_dispatch_table_thunk;
    epoxy_glMultiTexCoord2i = epoxy_glMultiTexCoord2i_dispatch_table_thunk;
    epoxy_glMultiTexCoord2iARB = epoxy_glMultiTexCoord2iARB_dispatch_table_thunk;
    epoxy_glMultiTexCoord2iv = epoxy_glMultiTexCoord2iv_dispatch_table_thunk;
    epoxy_glMultiTexCoord2ivARB = epoxy_glMultiTexCoord2ivARB_dispatch_table_thunk;
    epoxy_glMultiTexCoord2s = epoxy_glMultiTexCoord2s_dispatch_table_thunk;
    epoxy_glMultiTexCoord2sARB = epoxy_glMultiTexCoord2sARB_dispatch_table_thunk;
    epoxy_glMultiTexCoord2sv = epoxy_glMultiTexCoord2sv_dispatch_table_thunk;
    epoxy_glMultiTexCoord2svARB = epoxy_glMultiTexCoord2svARB_dispatch_table_thunk;
    epoxy_glMultiTexCoord2xOES = epoxy_glMultiTexCoord2xOES_dispatch_table_thunk;
    epoxy_glMultiTexCoord2xvOES = epoxy_glMultiTexCoord2xvOES_dispatch_table_thunk;
    epoxy_glMultiTexCoord3bOES = epoxy_glMultiTexCoord3bOES_dispatch_table_thunk;
    epoxy_glMultiTexCoord3bvOES = epoxy_glMultiTexCoord3bvOES_dispatch_table_thunk;
    epoxy_glMultiTexCoord3d = epoxy_glMultiTexCoord3d_dispatch_table_thunk;
    epoxy_glMultiTexCoord3dARB = epoxy_glMultiTexCoord3dARB_dispatch_table_thunk;
    epoxy_glMultiTexCoord3dv = epoxy_glMultiTexCoord3dv_dispatch_table_thunk;
    epoxy_glMultiTexCoord3dvARB = epoxy_glMultiTexCoord3dvARB_dispatch_table_thunk;
    epoxy_glMultiTexCoord3f = epoxy_glMultiTexCoord3f_dispatch_table_thunk;
    epoxy_glMultiTexCoord3fARB = epoxy_glMultiTexCoord3fARB_dispatch_table_thunk;
    epoxy_glMultiTexCoord3fv = epoxy_glMultiTexCoord3fv_dispatch_table_thunk;
    epoxy_glMultiTexCoord3fvARB = epoxy_glMultiTexCoord3fvARB_dispatch_table_thunk;
    epoxy_glMultiTexCoord3hNV = epoxy_glMultiTexCoord3hNV_dispatch_table_thunk;
    epoxy_glMultiTexCoord3hvNV = epoxy_glMultiTexCoord3hvNV_dispatch_table_thunk;
    epoxy_glMultiTexCoord3i = epoxy_glMultiTexCoord3i_dispatch_table_thunk;
    epoxy_glMultiTexCoord3iARB = epoxy_glMultiTexCoord3iARB_dispatch_table_thunk;
    epoxy_glMultiTexCoord3iv = epoxy_glMultiTexCoord3iv_dispatch_table_thunk;
    epoxy_glMultiTexCoord3ivARB = epoxy_glMultiTexCoord3ivARB_dispatch_table_thunk;
    epoxy_glMultiTexCoord3s = epoxy_glMultiTexCoord3s_dispatch_table_thunk;
    epoxy_glMultiTexCoord3sARB = epoxy_glMultiTexCoord3sARB_dispatch_table_thunk;
    epoxy_glMultiTexCoord3sv = epoxy_glMultiTexCoord3sv_dispatch_table_thunk;
    epoxy_glMultiTexCoord3svARB = epoxy_glMultiTexCoord3svARB_dispatch_table_thunk;
    epoxy_glMultiTexCoord3xOES = epoxy_glMultiTexCoord3xOES_dispatch_table_thunk;
    epoxy_glMultiTexCoord3xvOES = epoxy_glMultiTexCoord3xvOES_dispatch_table_thunk;
    epoxy_glMultiTexCoord4bOES = epoxy_glMultiTexCoord4bOES_dispatch_table_thunk;
    epoxy_glMultiTexCoord4bvOES = epoxy_glMultiTexCoord4bvOES_dispatch_table_thunk;
    epoxy_glMultiTexCoord4d = epoxy_glMultiTexCoord4d_dispatch_table_thunk;
    epoxy_glMultiTexCoord4dARB = epoxy_glMultiTexCoord4dARB_dispatch_table_thunk;
    epoxy_glMultiTexCoord4dv = epoxy_glMultiTexCoord4dv_dispatch_table_thunk;
    epoxy_glMultiTexCoord4dvARB = epoxy_glMultiTexCoord4dvARB_dispatch_table_thunk;
    epoxy_glMultiTexCoord4f = epoxy_glMultiTexCoord4f_dispatch_table_thunk;
    epoxy_glMultiTexCoord4fARB = epoxy_glMultiTexCoord4fARB_dispatch_table_thunk;
    epoxy_glMultiTexCoord4fv = epoxy_glMultiTexCoord4fv_dispatch_table_thunk;
    epoxy_glMultiTexCoord4fvARB = epoxy_glMultiTexCoord4fvARB_dispatch_table_thunk;
    epoxy_glMultiTexCoord4hNV = epoxy_glMultiTexCoord4hNV_dispatch_table_thunk;
    epoxy_glMultiTexCoord4hvNV = epoxy_glMultiTexCoord4hvNV_dispatch_table_thunk;
    epoxy_glMultiTexCoord4i = epoxy_glMultiTexCoord4i_dispatch_table_thunk;
    epoxy_glMultiTexCoord4iARB = epoxy_glMultiTexCoord4iARB_dispatch_table_thunk;
    epoxy_glMultiTexCoord4iv = epoxy_glMultiTexCoord4iv_dispatch_table_thunk;
    epoxy_glMultiTexCoord4ivARB = epoxy_glMultiTexCoord4ivARB_dispatch_table_thunk;
    epoxy_glMultiTexCoord4s = epoxy_glMultiTexCoord4s_dispatch_table_thunk;
    epoxy_glMultiTexCoord4sARB = epoxy_glMultiTexCoord4sARB_dispatch_table_thunk;
    epoxy_glMultiTexCoord4sv = epoxy_glMultiTexCoord4sv_dispatch_table_thunk;
    epoxy_glMultiTexCoord4svARB = epoxy_glMultiTexCoord4svARB_dispatch_table_thunk;
    epoxy_glMultiTexCoord4x = epoxy_glMultiTexCoord4x_dispatch_table_thunk;
    epoxy_glMultiTexCoord4xOES = epoxy_glMultiTexCoord4xOES_dispatch_table_thunk;
    epoxy_glMultiTexCoord4xvOES = epoxy_glMultiTexCoord4xvOES_dispatch_table_thunk;
    epoxy_glMultiTexCoordP1ui = epoxy_glMultiTexCoordP1ui_dispatch_table_thunk;
    epoxy_glMultiTexCoordP1uiv = epoxy_glMultiTexCoordP1uiv_dispatch_table_thunk;
    epoxy_glMultiTexCoordP2ui = epoxy_glMultiTexCoordP2ui_dispatch_table_thunk;
    epoxy_glMultiTexCoordP2uiv = epoxy_glMultiTexCoordP2uiv_dispatch_table_thunk;
    epoxy_glMultiTexCoordP3ui = epoxy_glMultiTexCoordP3ui_dispatch_table_thunk;
    epoxy_glMultiTexCoordP3uiv = epoxy_glMultiTexCoordP3uiv_dispatch_table_thunk;
    epoxy_glMultiTexCoordP4ui = epoxy_glMultiTexCoordP4ui_dispatch_table_thunk;
    epoxy_glMultiTexCoordP4uiv = epoxy_glMultiTexCoordP4uiv_dispatch_table_thunk;
    epoxy_glMultiTexCoordPointerEXT = epoxy_glMultiTexCoordPointerEXT_dispatch_table_thunk;
    epoxy_glMultiTexEnvfEXT = epoxy_glMultiTexEnvfEXT_dispatch_table_thunk;
    epoxy_glMultiTexEnvfvEXT = epoxy_glMultiTexEnvfvEXT_dispatch_table_thunk;
    epoxy_glMultiTexEnviEXT = epoxy_glMultiTexEnviEXT_dispatch_table_thunk;
    epoxy_glMultiTexEnvivEXT = epoxy_glMultiTexEnvivEXT_dispatch_table_thunk;
    epoxy_glMultiTexGendEXT = epoxy_glMultiTexGendEXT_dispatch_table_thunk;
    epoxy_glMultiTexGendvEXT = epoxy_glMultiTexGendvEXT_dispatch_table_thunk;
    epoxy_glMultiTexGenfEXT = epoxy_glMultiTexGenfEXT_dispatch_table_thunk;
    epoxy_glMultiTexGenfvEXT = epoxy_glMultiTexGenfvEXT_dispatch_table_thunk;
    epoxy_glMultiTexGeniEXT = epoxy_glMultiTexGeniEXT_dispatch_table_thunk;
    epoxy_glMultiTexGenivEXT = epoxy_glMultiTexGenivEXT_dispatch_table_thunk;
    epoxy_glMultiTexImage1DEXT = epoxy_glMultiTexImage1DEXT_dispatch_table_thunk;
    epoxy_glMultiTexImage2DEXT = epoxy_glMultiTexImage2DEXT_dispatch_table_thunk;
    epoxy_glMultiTexImage3DEXT = epoxy_glMultiTexImage3DEXT_dispatch_table_thunk;
    epoxy_glMultiTexParameterIivEXT = epoxy_glMultiTexParameterIivEXT_dispatch_table_thunk;
    epoxy_glMultiTexParameterIuivEXT = epoxy_glMultiTexParameterIuivEXT_dispatch_table_thunk;
    epoxy_glMultiTexParameterfEXT = epoxy_glMultiTexParameterfEXT_dispatch_table_thunk;
    epoxy_glMultiTexParameterfvEXT = epoxy_glMultiTexParameterfvEXT_dispatch_table_thunk;
    epoxy_glMultiTexParameteriEXT = epoxy_glMultiTexParameteriEXT_dispatch_table_thunk;
    epoxy_glMultiTexParameterivEXT = epoxy_glMultiTexParameterivEXT_dispatch_table_thunk;
    epoxy_glMultiTexRenderbufferEXT = epoxy_glMultiTexRenderbufferEXT_dispatch_table_thunk;
    epoxy_glMultiTexSubImage1DEXT = epoxy_glMultiTexSubImage1DEXT_dispatch_table_thunk;
    epoxy_glMultiTexSubImage2DEXT = epoxy_glMultiTexSubImage2DEXT_dispatch_table_thunk;
    epoxy_glMultiTexSubImage3DEXT = epoxy_glMultiTexSubImage3DEXT_dispatch_table_thunk;
    epoxy_glNamedBufferDataEXT = epoxy_glNamedBufferDataEXT_dispatch_table_thunk;
    epoxy_glNamedBufferStorageEXT = epoxy_glNamedBufferStorageEXT_dispatch_table_thunk;
    epoxy_glNamedBufferSubDataEXT = epoxy_glNamedBufferSubDataEXT_dispatch_table_thunk;
    epoxy_glNamedCopyBufferSubDataEXT = epoxy_glNamedCopyBufferSubDataEXT_dispatch_table_thunk;
    epoxy_glNamedFramebufferParameteriEXT = epoxy_glNamedFramebufferParameteriEXT_dispatch_table_thunk;
    epoxy_glNamedFramebufferRenderbufferEXT = epoxy_glNamedFramebufferRenderbufferEXT_dispatch_table_thunk;
    epoxy_glNamedFramebufferTexture1DEXT = epoxy_glNamedFramebufferTexture1DEXT_dispatch_table_thunk;
    epoxy_glNamedFramebufferTexture2DEXT = epoxy_glNamedFramebufferTexture2DEXT_dispatch_table_thunk;
    epoxy_glNamedFramebufferTexture3DEXT = epoxy_glNamedFramebufferTexture3DEXT_dispatch_table_thunk;
    epoxy_glNamedFramebufferTextureEXT = epoxy_glNamedFramebufferTextureEXT_dispatch_table_thunk;
    epoxy_glNamedFramebufferTextureFaceEXT = epoxy_glNamedFramebufferTextureFaceEXT_dispatch_table_thunk;
    epoxy_glNamedFramebufferTextureLayerEXT = epoxy_glNamedFramebufferTextureLayerEXT_dispatch_table_thunk;
    epoxy_glNamedProgramLocalParameter4dEXT = epoxy_glNamedProgramLocalParameter4dEXT_dispatch_table_thunk;
    epoxy_glNamedProgramLocalParameter4dvEXT = epoxy_glNamedProgramLocalParameter4dvEXT_dispatch_table_thunk;
    epoxy_glNamedProgramLocalParameter4fEXT = epoxy_glNamedProgramLocalParameter4fEXT_dispatch_table_thunk;
    epoxy_glNamedProgramLocalParameter4fvEXT = epoxy_glNamedProgramLocalParameter4fvEXT_dispatch_table_thunk;
    epoxy_glNamedProgramLocalParameterI4iEXT = epoxy_glNamedProgramLocalParameterI4iEXT_dispatch_table_thunk;
    epoxy_glNamedProgramLocalParameterI4ivEXT = epoxy_glNamedProgramLocalParameterI4ivEXT_dispatch_table_thunk;
    epoxy_glNamedProgramLocalParameterI4uiEXT = epoxy_glNamedProgramLocalParameterI4uiEXT_dispatch_table_thunk;
    epoxy_glNamedProgramLocalParameterI4uivEXT = epoxy_glNamedProgramLocalParameterI4uivEXT_dispatch_table_thunk;
    epoxy_glNamedProgramLocalParameters4fvEXT = epoxy_glNamedProgramLocalParameters4fvEXT_dispatch_table_thunk;
    epoxy_glNamedProgramLocalParametersI4ivEXT = epoxy_glNamedProgramLocalParametersI4ivEXT_dispatch_table_thunk;
    epoxy_glNamedProgramLocalParametersI4uivEXT = epoxy_glNamedProgramLocalParametersI4uivEXT_dispatch_table_thunk;
    epoxy_glNamedProgramStringEXT = epoxy_glNamedProgramStringEXT_dispatch_table_thunk;
    epoxy_glNamedRenderbufferStorageEXT = epoxy_glNamedRenderbufferStorageEXT_dispatch_table_thunk;
    epoxy_glNamedRenderbufferStorageMultisampleCoverageEXT = epoxy_glNamedRenderbufferStorageMultisampleCoverageEXT_dispatch_table_thunk;
    epoxy_glNamedRenderbufferStorageMultisampleEXT = epoxy_glNamedRenderbufferStorageMultisampleEXT_dispatch_table_thunk;
    epoxy_glNamedStringARB = epoxy_glNamedStringARB_dispatch_table_thunk;
    epoxy_glNewList = epoxy_glNewList_dispatch_table_thunk;
    epoxy_glNewObjectBufferATI = epoxy_glNewObjectBufferATI_dispatch_table_thunk;
    epoxy_glNormal3b = epoxy_glNormal3b_dispatch_table_thunk;
    epoxy_glNormal3bv = epoxy_glNormal3bv_dispatch_table_thunk;
    epoxy_glNormal3d = epoxy_glNormal3d_dispatch_table_thunk;
    epoxy_glNormal3dv = epoxy_glNormal3dv_dispatch_table_thunk;
    epoxy_glNormal3f = epoxy_glNormal3f_dispatch_table_thunk;
    epoxy_glNormal3fVertex3fSUN = epoxy_glNormal3fVertex3fSUN_dispatch_table_thunk;
    epoxy_glNormal3fVertex3fvSUN = epoxy_glNormal3fVertex3fvSUN_dispatch_table_thunk;
    epoxy_glNormal3fv = epoxy_glNormal3fv_dispatch_table_thunk;
    epoxy_glNormal3hNV = epoxy_glNormal3hNV_dispatch_table_thunk;
    epoxy_glNormal3hvNV = epoxy_glNormal3hvNV_dispatch_table_thunk;
    epoxy_glNormal3i = epoxy_glNormal3i_dispatch_table_thunk;
    epoxy_glNormal3iv = epoxy_glNormal3iv_dispatch_table_thunk;
    epoxy_glNormal3s = epoxy_glNormal3s_dispatch_table_thunk;
    epoxy_glNormal3sv = epoxy_glNormal3sv_dispatch_table_thunk;
    epoxy_glNormal3x = epoxy_glNormal3x_dispatch_table_thunk;
    epoxy_glNormal3xOES = epoxy_glNormal3xOES_dispatch_table_thunk;
    epoxy_glNormal3xvOES = epoxy_glNormal3xvOES_dispatch_table_thunk;
    epoxy_glNormalFormatNV = epoxy_glNormalFormatNV_dispatch_table_thunk;
    epoxy_glNormalP3ui = epoxy_glNormalP3ui_dispatch_table_thunk;
    epoxy_glNormalP3uiv = epoxy_glNormalP3uiv_dispatch_table_thunk;
    epoxy_glNormalPointer = epoxy_glNormalPointer_dispatch_table_thunk;
    epoxy_glNormalPointerEXT = epoxy_glNormalPointerEXT_dispatch_table_thunk;
    epoxy_glNormalPointerListIBM = epoxy_glNormalPointerListIBM_dispatch_table_thunk;
    epoxy_glNormalPointervINTEL = epoxy_glNormalPointervINTEL_dispatch_table_thunk;
    epoxy_glNormalStream3bATI = epoxy_glNormalStream3bATI_dispatch_table_thunk;
    epoxy_glNormalStream3bvATI = epoxy_glNormalStream3bvATI_dispatch_table_thunk;
    epoxy_glNormalStream3dATI = epoxy_glNormalStream3dATI_dispatch_table_thunk;
    epoxy_glNormalStream3dvATI = epoxy_glNormalStream3dvATI_dispatch_table_thunk;
    epoxy_glNormalStream3fATI = epoxy_glNormalStream3fATI_dispatch_table_thunk;
    epoxy_glNormalStream3fvATI = epoxy_glNormalStream3fvATI_dispatch_table_thunk;
    epoxy_glNormalStream3iATI = epoxy_glNormalStream3iATI_dispatch_table_thunk;
    epoxy_glNormalStream3ivATI = epoxy_glNormalStream3ivATI_dispatch_table_thunk;
    epoxy_glNormalStream3sATI = epoxy_glNormalStream3sATI_dispatch_table_thunk;
    epoxy_glNormalStream3svATI = epoxy_glNormalStream3svATI_dispatch_table_thunk;
    epoxy_glObjectLabel = epoxy_glObjectLabel_dispatch_table_thunk;
    epoxy_glObjectLabelKHR = epoxy_glObjectLabelKHR_dispatch_table_thunk;
    epoxy_glObjectPtrLabel = epoxy_glObjectPtrLabel_dispatch_table_thunk;
    epoxy_glObjectPtrLabelKHR = epoxy_glObjectPtrLabelKHR_dispatch_table_thunk;
    epoxy_glObjectPurgeableAPPLE = epoxy_glObjectPurgeableAPPLE_dispatch_table_thunk;
    epoxy_glObjectUnpurgeableAPPLE = epoxy_glObjectUnpurgeableAPPLE_dispatch_table_thunk;
    epoxy_glOrtho = epoxy_glOrtho_dispatch_table_thunk;
    epoxy_glOrthof = epoxy_glOrthof_dispatch_table_thunk;
    epoxy_glOrthofOES = epoxy_glOrthofOES_dispatch_table_thunk;
    epoxy_glOrthox = epoxy_glOrthox_dispatch_table_thunk;
    epoxy_glOrthoxOES = epoxy_glOrthoxOES_dispatch_table_thunk;
    epoxy_glPNTrianglesfATI = epoxy_glPNTrianglesfATI_dispatch_table_thunk;
    epoxy_glPNTrianglesiATI = epoxy_glPNTrianglesiATI_dispatch_table_thunk;
    epoxy_glPassTexCoordATI = epoxy_glPassTexCoordATI_dispatch_table_thunk;
    epoxy_glPassThrough = epoxy_glPassThrough_dispatch_table_thunk;
    epoxy_glPassThroughxOES = epoxy_glPassThroughxOES_dispatch_table_thunk;
    epoxy_glPatchParameterfv = epoxy_glPatchParameterfv_dispatch_table_thunk;
    epoxy_glPatchParameteri = epoxy_glPatchParameteri_dispatch_table_thunk;
    epoxy_glPathColorGenNV = epoxy_glPathColorGenNV_dispatch_table_thunk;
    epoxy_glPathCommandsNV = epoxy_glPathCommandsNV_dispatch_table_thunk;
    epoxy_glPathCoordsNV = epoxy_glPathCoordsNV_dispatch_table_thunk;
    epoxy_glPathCoverDepthFuncNV = epoxy_glPathCoverDepthFuncNV_dispatch_table_thunk;
    epoxy_glPathDashArrayNV = epoxy_glPathDashArrayNV_dispatch_table_thunk;
    epoxy_glPathFogGenNV = epoxy_glPathFogGenNV_dispatch_table_thunk;
    epoxy_glPathGlyphRangeNV = epoxy_glPathGlyphRangeNV_dispatch_table_thunk;
    epoxy_glPathGlyphsNV = epoxy_glPathGlyphsNV_dispatch_table_thunk;
    epoxy_glPathParameterfNV = epoxy_glPathParameterfNV_dispatch_table_thunk;
    epoxy_glPathParameterfvNV = epoxy_glPathParameterfvNV_dispatch_table_thunk;
    epoxy_glPathParameteriNV = epoxy_glPathParameteriNV_dispatch_table_thunk;
    epoxy_glPathParameterivNV = epoxy_glPathParameterivNV_dispatch_table_thunk;
    epoxy_glPathStencilDepthOffsetNV = epoxy_glPathStencilDepthOffsetNV_dispatch_table_thunk;
    epoxy_glPathStencilFuncNV = epoxy_glPathStencilFuncNV_dispatch_table_thunk;
    epoxy_glPathStringNV = epoxy_glPathStringNV_dispatch_table_thunk;
    epoxy_glPathSubCommandsNV = epoxy_glPathSubCommandsNV_dispatch_table_thunk;
    epoxy_glPathSubCoordsNV = epoxy_glPathSubCoordsNV_dispatch_table_thunk;
    epoxy_glPathTexGenNV = epoxy_glPathTexGenNV_dispatch_table_thunk;
    epoxy_glPauseTransformFeedback = epoxy_glPauseTransformFeedback_dispatch_table_thunk;
    epoxy_glPauseTransformFeedbackNV = epoxy_glPauseTransformFeedbackNV_dispatch_table_thunk;
    epoxy_glPixelDataRangeNV = epoxy_glPixelDataRangeNV_dispatch_table_thunk;
    epoxy_glPixelMapfv = epoxy_glPixelMapfv_dispatch_table_thunk;
    epoxy_glPixelMapuiv = epoxy_glPixelMapuiv_dispatch_table_thunk;
    epoxy_glPixelMapusv = epoxy_glPixelMapusv_dispatch_table_thunk;
    epoxy_glPixelMapx = epoxy_glPixelMapx_dispatch_table_thunk;
    epoxy_glPixelStoref = epoxy_glPixelStoref_dispatch_table_thunk;
    epoxy_glPixelStorei = epoxy_glPixelStorei_dispatch_table_thunk;
    epoxy_glPixelStorex = epoxy_glPixelStorex_dispatch_table_thunk;
    epoxy_glPixelTexGenParameterfSGIS = epoxy_glPixelTexGenParameterfSGIS_dispatch_table_thunk;
    epoxy_glPixelTexGenParameterfvSGIS = epoxy_glPixelTexGenParameterfvSGIS_dispatch_table_thunk;
    epoxy_glPixelTexGenParameteriSGIS = epoxy_glPixelTexGenParameteriSGIS_dispatch_table_thunk;
    epoxy_glPixelTexGenParameterivSGIS = epoxy_glPixelTexGenParameterivSGIS_dispatch_table_thunk;
    epoxy_glPixelTexGenSGIX = epoxy_glPixelTexGenSGIX_dispatch_table_thunk;
    epoxy_glPixelTransferf = epoxy_glPixelTransferf_dispatch_table_thunk;
    epoxy_glPixelTransferi = epoxy_glPixelTransferi_dispatch_table_thunk;
    epoxy_glPixelTransferxOES = epoxy_glPixelTransferxOES_dispatch_table_thunk;
    epoxy_glPixelTransformParameterfEXT = epoxy_glPixelTransformParameterfEXT_dispatch_table_thunk;
    epoxy_glPixelTransformParameterfvEXT = epoxy_glPixelTransformParameterfvEXT_dispatch_table_thunk;
    epoxy_glPixelTransformParameteriEXT = epoxy_glPixelTransformParameteriEXT_dispatch_table_thunk;
    epoxy_glPixelTransformParameterivEXT = epoxy_glPixelTransformParameterivEXT_dispatch_table_thunk;
    epoxy_glPixelZoom = epoxy_glPixelZoom_dispatch_table_thunk;
    epoxy_glPixelZoomxOES = epoxy_glPixelZoomxOES_dispatch_table_thunk;
    epoxy_glPointAlongPathNV = epoxy_glPointAlongPathNV_dispatch_table_thunk;
    epoxy_glPointParameterf = epoxy_glPointParameterf_dispatch_table_thunk;
    epoxy_glPointParameterfARB = epoxy_glPointParameterfARB_dispatch_table_thunk;
    epoxy_glPointParameterfEXT = epoxy_glPointParameterfEXT_dispatch_table_thunk;
    epoxy_glPointParameterfSGIS = epoxy_glPointParameterfSGIS_dispatch_table_thunk;
    epoxy_glPointParameterfv = epoxy_glPointParameterfv_dispatch_table_thunk;
    epoxy_glPointParameterfvARB = epoxy_glPointParameterfvARB_dispatch_table_thunk;
    epoxy_glPointParameterfvEXT = epoxy_glPointParameterfvEXT_dispatch_table_thunk;
    epoxy_glPointParameterfvSGIS = epoxy_glPointParameterfvSGIS_dispatch_table_thunk;
    epoxy_glPointParameteri = epoxy_glPointParameteri_dispatch_table_thunk;
    epoxy_glPointParameteriNV = epoxy_glPointParameteriNV_dispatch_table_thunk;
    epoxy_glPointParameteriv = epoxy_glPointParameteriv_dispatch_table_thunk;
    epoxy_glPointParameterivNV = epoxy_glPointParameterivNV_dispatch_table_thunk;
    epoxy_glPointParameterx = epoxy_glPointParameterx_dispatch_table_thunk;
    epoxy_glPointParameterxOES = epoxy_glPointParameterxOES_dispatch_table_thunk;
    epoxy_glPointParameterxv = epoxy_glPointParameterxv_dispatch_table_thunk;
    epoxy_glPointParameterxvOES = epoxy_glPointParameterxvOES_dispatch_table_thunk;
    epoxy_glPointSize = epoxy_glPointSize_dispatch_table_thunk;
    epoxy_glPointSizePointerOES = epoxy_glPointSizePointerOES_dispatch_table_thunk;
    epoxy_glPointSizex = epoxy_glPointSizex_dispatch_table_thunk;
    epoxy_glPointSizexOES = epoxy_glPointSizexOES_dispatch_table_thunk;
    epoxy_glPollAsyncSGIX = epoxy_glPollAsyncSGIX_dispatch_table_thunk;
    epoxy_glPollInstrumentsSGIX = epoxy_glPollInstrumentsSGIX_dispatch_table_thunk;
    epoxy_glPolygonMode = epoxy_glPolygonMode_dispatch_table_thunk;
    epoxy_glPolygonOffset = epoxy_glPolygonOffset_dispatch_table_thunk;
    epoxy_glPolygonOffsetEXT = epoxy_glPolygonOffsetEXT_dispatch_table_thunk;
    epoxy_glPolygonOffsetx = epoxy_glPolygonOffsetx_dispatch_table_thunk;
    epoxy_glPolygonOffsetxOES = epoxy_glPolygonOffsetxOES_dispatch_table_thunk;
    epoxy_glPolygonStipple = epoxy_glPolygonStipple_dispatch_table_thunk;
    epoxy_glPopAttrib = epoxy_glPopAttrib_dispatch_table_thunk;
    epoxy_glPopClientAttrib = epoxy_glPopClientAttrib_dispatch_table_thunk;
    epoxy_glPopDebugGroup = epoxy_glPopDebugGroup_dispatch_table_thunk;
    epoxy_glPopDebugGroupKHR = epoxy_glPopDebugGroupKHR_dispatch_table_thunk;
    epoxy_glPopGroupMarkerEXT = epoxy_glPopGroupMarkerEXT_dispatch_table_thunk;
    epoxy_glPopMatrix = epoxy_glPopMatrix_dispatch_table_thunk;
    epoxy_glPopName = epoxy_glPopName_dispatch_table_thunk;
    epoxy_glPresentFrameDualFillNV = epoxy_glPresentFrameDualFillNV_dispatch_table_thunk;
    epoxy_glPresentFrameKeyedNV = epoxy_glPresentFrameKeyedNV_dispatch_table_thunk;
    epoxy_glPrimitiveRestartIndex = epoxy_glPrimitiveRestartIndex_dispatch_table_thunk;
    epoxy_glPrimitiveRestartIndexNV = epoxy_glPrimitiveRestartIndexNV_dispatch_table_thunk;
    epoxy_glPrimitiveRestartNV = epoxy_glPrimitiveRestartNV_dispatch_table_thunk;
    epoxy_glPrioritizeTextures = epoxy_glPrioritizeTextures_dispatch_table_thunk;
    epoxy_glPrioritizeTexturesEXT = epoxy_glPrioritizeTexturesEXT_dispatch_table_thunk;
    epoxy_glPrioritizeTexturesxOES = epoxy_glPrioritizeTexturesxOES_dispatch_table_thunk;
    epoxy_glProgramBinary = epoxy_glProgramBinary_dispatch_table_thunk;
    epoxy_glProgramBinaryOES = epoxy_glProgramBinaryOES_dispatch_table_thunk;
    epoxy_glProgramBufferParametersIivNV = epoxy_glProgramBufferParametersIivNV_dispatch_table_thunk;
    epoxy_glProgramBufferParametersIuivNV = epoxy_glProgramBufferParametersIuivNV_dispatch_table_thunk;
    epoxy_glProgramBufferParametersfvNV = epoxy_glProgramBufferParametersfvNV_dispatch_table_thunk;
    epoxy_glProgramEnvParameter4dARB = epoxy_glProgramEnvParameter4dARB_dispatch_table_thunk;
    epoxy_glProgramEnvParameter4dvARB = epoxy_glProgramEnvParameter4dvARB_dispatch_table_thunk;
    epoxy_glProgramEnvParameter4fARB = epoxy_glProgramEnvParameter4fARB_dispatch_table_thunk;
    epoxy_glProgramEnvParameter4fvARB = epoxy_glProgramEnvParameter4fvARB_dispatch_table_thunk;
    epoxy_glProgramEnvParameterI4iNV = epoxy_glProgramEnvParameterI4iNV_dispatch_table_thunk;
    epoxy_glProgramEnvParameterI4ivNV = epoxy_glProgramEnvParameterI4ivNV_dispatch_table_thunk;
    epoxy_glProgramEnvParameterI4uiNV = epoxy_glProgramEnvParameterI4uiNV_dispatch_table_thunk;
    epoxy_glProgramEnvParameterI4uivNV = epoxy_glProgramEnvParameterI4uivNV_dispatch_table_thunk;
    epoxy_glProgramEnvParameters4fvEXT = epoxy_glProgramEnvParameters4fvEXT_dispatch_table_thunk;
    epoxy_glProgramEnvParametersI4ivNV = epoxy_glProgramEnvParametersI4ivNV_dispatch_table_thunk;
    epoxy_glProgramEnvParametersI4uivNV = epoxy_glProgramEnvParametersI4uivNV_dispatch_table_thunk;
    epoxy_glProgramLocalParameter4dARB = epoxy_glProgramLocalParameter4dARB_dispatch_table_thunk;
    epoxy_glProgramLocalParameter4dvARB = epoxy_glProgramLocalParameter4dvARB_dispatch_table_thunk;
    epoxy_glProgramLocalParameter4fARB = epoxy_glProgramLocalParameter4fARB_dispatch_table_thunk;
    epoxy_glProgramLocalParameter4fvARB = epoxy_glProgramLocalParameter4fvARB_dispatch_table_thunk;
    epoxy_glProgramLocalParameterI4iNV = epoxy_glProgramLocalParameterI4iNV_dispatch_table_thunk;
    epoxy_glProgramLocalParameterI4ivNV = epoxy_glProgramLocalParameterI4ivNV_dispatch_table_thunk;
    epoxy_glProgramLocalParameterI4uiNV = epoxy_glProgramLocalParameterI4uiNV_dispatch_table_thunk;
    epoxy_glProgramLocalParameterI4uivNV = epoxy_glProgramLocalParameterI4uivNV_dispatch_table_thunk;
    epoxy_glProgramLocalParameters4fvEXT = epoxy_glProgramLocalParameters4fvEXT_dispatch_table_thunk;
    epoxy_glProgramLocalParametersI4ivNV = epoxy_glProgramLocalParametersI4ivNV_dispatch_table_thunk;
    epoxy_glProgramLocalParametersI4uivNV = epoxy_glProgramLocalParametersI4uivNV_dispatch_table_thunk;
    epoxy_glProgramNamedParameter4dNV = epoxy_glProgramNamedParameter4dNV_dispatch_table_thunk;
    epoxy_glProgramNamedParameter4dvNV = epoxy_glProgramNamedParameter4dvNV_dispatch_table_thunk;
    epoxy_glProgramNamedParameter4fNV = epoxy_glProgramNamedParameter4fNV_dispatch_table_thunk;
    epoxy_glProgramNamedParameter4fvNV = epoxy_glProgramNamedParameter4fvNV_dispatch_table_thunk;
    epoxy_glProgramParameter4dNV = epoxy_glProgramParameter4dNV_dispatch_table_thunk;
    epoxy_glProgramParameter4dvNV = epoxy_glProgramParameter4dvNV_dispatch_table_thunk;
    epoxy_glProgramParameter4fNV = epoxy_glProgramParameter4fNV_dispatch_table_thunk;
    epoxy_glProgramParameter4fvNV = epoxy_glProgramParameter4fvNV_dispatch_table_thunk;
    epoxy_glProgramParameteri = epoxy_glProgramParameteri_dispatch_table_thunk;
    epoxy_glProgramParameteriARB = epoxy_glProgramParameteriARB_dispatch_table_thunk;
    epoxy_glProgramParameteriEXT = epoxy_glProgramParameteriEXT_dispatch_table_thunk;
    epoxy_glProgramParameters4dvNV = epoxy_glProgramParameters4dvNV_dispatch_table_thunk;
    epoxy_glProgramParameters4fvNV = epoxy_glProgramParameters4fvNV_dispatch_table_thunk;
    epoxy_glProgramStringARB = epoxy_glProgramStringARB_dispatch_table_thunk;
    epoxy_glProgramSubroutineParametersuivNV = epoxy_glProgramSubroutineParametersuivNV_dispatch_table_thunk;
    epoxy_glProgramUniform1d = epoxy_glProgramUniform1d_dispatch_table_thunk;
    epoxy_glProgramUniform1dEXT = epoxy_glProgramUniform1dEXT_dispatch_table_thunk;
    epoxy_glProgramUniform1dv = epoxy_glProgramUniform1dv_dispatch_table_thunk;
    epoxy_glProgramUniform1dvEXT = epoxy_glProgramUniform1dvEXT_dispatch_table_thunk;
    epoxy_glProgramUniform1f = epoxy_glProgramUniform1f_dispatch_table_thunk;
    epoxy_glProgramUniform1fEXT = epoxy_glProgramUniform1fEXT_dispatch_table_thunk;
    epoxy_glProgramUniform1fv = epoxy_glProgramUniform1fv_dispatch_table_thunk;
    epoxy_glProgramUniform1fvEXT = epoxy_glProgramUniform1fvEXT_dispatch_table_thunk;
    epoxy_glProgramUniform1i = epoxy_glProgramUniform1i_dispatch_table_thunk;
    epoxy_glProgramUniform1i64NV = epoxy_glProgramUniform1i64NV_dispatch_table_thunk;
    epoxy_glProgramUniform1i64vNV = epoxy_glProgramUniform1i64vNV_dispatch_table_thunk;
    epoxy_glProgramUniform1iEXT = epoxy_glProgramUniform1iEXT_dispatch_table_thunk;
    epoxy_glProgramUniform1iv = epoxy_glProgramUniform1iv_dispatch_table_thunk;
    epoxy_glProgramUniform1ivEXT = epoxy_glProgramUniform1ivEXT_dispatch_table_thunk;
    epoxy_glProgramUniform1ui = epoxy_glProgramUniform1ui_dispatch_table_thunk;
    epoxy_glProgramUniform1ui64NV = epoxy_glProgramUniform1ui64NV_dispatch_table_thunk;
    epoxy_glProgramUniform1ui64vNV = epoxy_glProgramUniform1ui64vNV_dispatch_table_thunk;
    epoxy_glProgramUniform1uiEXT = epoxy_glProgramUniform1uiEXT_dispatch_table_thunk;
    epoxy_glProgramUniform1uiv = epoxy_glProgramUniform1uiv_dispatch_table_thunk;
    epoxy_glProgramUniform1uivEXT = epoxy_glProgramUniform1uivEXT_dispatch_table_thunk;
    epoxy_glProgramUniform2d = epoxy_glProgramUniform2d_dispatch_table_thunk;
    epoxy_glProgramUniform2dEXT = epoxy_glProgramUniform2dEXT_dispatch_table_thunk;
    epoxy_glProgramUniform2dv = epoxy_glProgramUniform2dv_dispatch_table_thunk;
    epoxy_glProgramUniform2dvEXT = epoxy_glProgramUniform2dvEXT_dispatch_table_thunk;
    epoxy_glProgramUniform2f = epoxy_glProgramUniform2f_dispatch_table_thunk;
    epoxy_glProgramUniform2fEXT = epoxy_glProgramUniform2fEXT_dispatch_table_thunk;
    epoxy_glProgramUniform2fv = epoxy_glProgramUniform2fv_dispatch_table_thunk;
    epoxy_glProgramUniform2fvEXT = epoxy_glProgramUniform2fvEXT_dispatch_table_thunk;
    epoxy_glProgramUniform2i = epoxy_glProgramUniform2i_dispatch_table_thunk;
    epoxy_glProgramUniform2i64NV = epoxy_glProgramUniform2i64NV_dispatch_table_thunk;
    epoxy_glProgramUniform2i64vNV = epoxy_glProgramUniform2i64vNV_dispatch_table_thunk;
    epoxy_glProgramUniform2iEXT = epoxy_glProgramUniform2iEXT_dispatch_table_thunk;
    epoxy_glProgramUniform2iv = epoxy_glProgramUniform2iv_dispatch_table_thunk;
    epoxy_glProgramUniform2ivEXT = epoxy_glProgramUniform2ivEXT_dispatch_table_thunk;
    epoxy_glProgramUniform2ui = epoxy_glProgramUniform2ui_dispatch_table_thunk;
    epoxy_glProgramUniform2ui64NV = epoxy_glProgramUniform2ui64NV_dispatch_table_thunk;
    epoxy_glProgramUniform2ui64vNV = epoxy_glProgramUniform2ui64vNV_dispatch_table_thunk;
    epoxy_glProgramUniform2uiEXT = epoxy_glProgramUniform2uiEXT_dispatch_table_thunk;
    epoxy_glProgramUniform2uiv = epoxy_glProgramUniform2uiv_dispatch_table_thunk;
    epoxy_glProgramUniform2uivEXT = epoxy_glProgramUniform2uivEXT_dispatch_table_thunk;
    epoxy_glProgramUniform3d = epoxy_glProgramUniform3d_dispatch_table_thunk;
    epoxy_glProgramUniform3dEXT = epoxy_glProgramUniform3dEXT_dispatch_table_thunk;
    epoxy_glProgramUniform3dv = epoxy_glProgramUniform3dv_dispatch_table_thunk;
    epoxy_glProgramUniform3dvEXT = epoxy_glProgramUniform3dvEXT_dispatch_table_thunk;
    epoxy_glProgramUniform3f = epoxy_glProgramUniform3f_dispatch_table_thunk;
    epoxy_glProgramUniform3fEXT = epoxy_glProgramUniform3fEXT_dispatch_table_thunk;
    epoxy_glProgramUniform3fv = epoxy_glProgramUniform3fv_dispatch_table_thunk;
    epoxy_glProgramUniform3fvEXT = epoxy_glProgramUniform3fvEXT_dispatch_table_thunk;
    epoxy_glProgramUniform3i = epoxy_glProgramUniform3i_dispatch_table_thunk;
    epoxy_glProgramUniform3i64NV = epoxy_glProgramUniform3i64NV_dispatch_table_thunk;
    epoxy_glProgramUniform3i64vNV = epoxy_glProgramUniform3i64vNV_dispatch_table_thunk;
    epoxy_glProgramUniform3iEXT = epoxy_glProgramUniform3iEXT_dispatch_table_thunk;
    epoxy_glProgramUniform3iv = epoxy_glProgramUniform3iv_dispatch_table_thunk;
    epoxy_glProgramUniform3ivEXT = epoxy_glProgramUniform3ivEXT_dispatch_table_thunk;
    epoxy_glProgramUniform3ui = epoxy_glProgramUniform3ui_dispatch_table_thunk;
    epoxy_glProgramUniform3ui64NV = epoxy_glProgramUniform3ui64NV_dispatch_table_thunk;
    epoxy_glProgramUniform3ui64vNV = epoxy_glProgramUniform3ui64vNV_dispatch_table_thunk;
    epoxy_glProgramUniform3uiEXT = epoxy_glProgramUniform3uiEXT_dispatch_table_thunk;
    epoxy_glProgramUniform3uiv = epoxy_glProgramUniform3uiv_dispatch_table_thunk;
    epoxy_glProgramUniform3uivEXT = epoxy_glProgramUniform3uivEXT_dispatch_table_thunk;
    epoxy_glProgramUniform4d = epoxy_glProgramUniform4d_dispatch_table_thunk;
    epoxy_glProgramUniform4dEXT = epoxy_glProgramUniform4dEXT_dispatch_table_thunk;
    epoxy_glProgramUniform4dv = epoxy_glProgramUniform4dv_dispatch_table_thunk;
    epoxy_glProgramUniform4dvEXT = epoxy_glProgramUniform4dvEXT_dispatch_table_thunk;
    epoxy_glProgramUniform4f = epoxy_glProgramUniform4f_dispatch_table_thunk;
    epoxy_glProgramUniform4fEXT = epoxy_glProgramUniform4fEXT_dispatch_table_thunk;
    epoxy_glProgramUniform4fv = epoxy_glProgramUniform4fv_dispatch_table_thunk;
    epoxy_glProgramUniform4fvEXT = epoxy_glProgramUniform4fvEXT_dispatch_table_thunk;
    epoxy_glProgramUniform4i = epoxy_glProgramUniform4i_dispatch_table_thunk;
    epoxy_glProgramUniform4i64NV = epoxy_glProgramUniform4i64NV_dispatch_table_thunk;
    epoxy_glProgramUniform4i64vNV = epoxy_glProgramUniform4i64vNV_dispatch_table_thunk;
    epoxy_glProgramUniform4iEXT = epoxy_glProgramUniform4iEXT_dispatch_table_thunk;
    epoxy_glProgramUniform4iv = epoxy_glProgramUniform4iv_dispatch_table_thunk;
    epoxy_glProgramUniform4ivEXT = epoxy_glProgramUniform4ivEXT_dispatch_table_thunk;
    epoxy_glProgramUniform4ui = epoxy_glProgramUniform4ui_dispatch_table_thunk;
    epoxy_glProgramUniform4ui64NV = epoxy_glProgramUniform4ui64NV_dispatch_table_thunk;
    epoxy_glProgramUniform4ui64vNV = epoxy_glProgramUniform4ui64vNV_dispatch_table_thunk;
    epoxy_glProgramUniform4uiEXT = epoxy_glProgramUniform4uiEXT_dispatch_table_thunk;
    epoxy_glProgramUniform4uiv = epoxy_glProgramUniform4uiv_dispatch_table_thunk;
    epoxy_glProgramUniform4uivEXT = epoxy_glProgramUniform4uivEXT_dispatch_table_thunk;
    epoxy_glProgramUniformHandleui64ARB = epoxy_glProgramUniformHandleui64ARB_dispatch_table_thunk;
    epoxy_glProgramUniformHandleui64NV = epoxy_glProgramUniformHandleui64NV_dispatch_table_thunk;
    epoxy_glProgramUniformHandleui64vARB = epoxy_glProgramUniformHandleui64vARB_dispatch_table_thunk;
    epoxy_glProgramUniformHandleui64vNV = epoxy_glProgramUniformHandleui64vNV_dispatch_table_thunk;
    epoxy_glProgramUniformMatrix2dv = epoxy_glProgramUniformMatrix2dv_dispatch_table_thunk;
    epoxy_glProgramUniformMatrix2dvEXT = epoxy_glProgramUniformMatrix2dvEXT_dispatch_table_thunk;
    epoxy_glProgramUniformMatrix2fv = epoxy_glProgramUniformMatrix2fv_dispatch_table_thunk;
    epoxy_glProgramUniformMatrix2fvEXT = epoxy_glProgramUniformMatrix2fvEXT_dispatch_table_thunk;
    epoxy_glProgramUniformMatrix2x3dv = epoxy_glProgramUniformMatrix2x3dv_dispatch_table_thunk;
    epoxy_glProgramUniformMatrix2x3dvEXT = epoxy_glProgramUniformMatrix2x3dvEXT_dispatch_table_thunk;
    epoxy_glProgramUniformMatrix2x3fv = epoxy_glProgramUniformMatrix2x3fv_dispatch_table_thunk;
    epoxy_glProgramUniformMatrix2x3fvEXT = epoxy_glProgramUniformMatrix2x3fvEXT_dispatch_table_thunk;
    epoxy_glProgramUniformMatrix2x4dv = epoxy_glProgramUniformMatrix2x4dv_dispatch_table_thunk;
    epoxy_glProgramUniformMatrix2x4dvEXT = epoxy_glProgramUniformMatrix2x4dvEXT_dispatch_table_thunk;
    epoxy_glProgramUniformMatrix2x4fv = epoxy_glProgramUniformMatrix2x4fv_dispatch_table_thunk;
    epoxy_glProgramUniformMatrix2x4fvEXT = epoxy_glProgramUniformMatrix2x4fvEXT_dispatch_table_thunk;
    epoxy_glProgramUniformMatrix3dv = epoxy_glProgramUniformMatrix3dv_dispatch_table_thunk;
    epoxy_glProgramUniformMatrix3dvEXT = epoxy_glProgramUniformMatrix3dvEXT_dispatch_table_thunk;
    epoxy_glProgramUniformMatrix3fv = epoxy_glProgramUniformMatrix3fv_dispatch_table_thunk;
    epoxy_glProgramUniformMatrix3fvEXT = epoxy_glProgramUniformMatrix3fvEXT_dispatch_table_thunk;
    epoxy_glProgramUniformMatrix3x2dv = epoxy_glProgramUniformMatrix3x2dv_dispatch_table_thunk;
    epoxy_glProgramUniformMatrix3x2dvEXT = epoxy_glProgramUniformMatrix3x2dvEXT_dispatch_table_thunk;
    epoxy_glProgramUniformMatrix3x2fv = epoxy_glProgramUniformMatrix3x2fv_dispatch_table_thunk;
    epoxy_glProgramUniformMatrix3x2fvEXT = epoxy_glProgramUniformMatrix3x2fvEXT_dispatch_table_thunk;
    epoxy_glProgramUniformMatrix3x4dv = epoxy_glProgramUniformMatrix3x4dv_dispatch_table_thunk;
    epoxy_glProgramUniformMatrix3x4dvEXT = epoxy_glProgramUniformMatrix3x4dvEXT_dispatch_table_thunk;
    epoxy_glProgramUniformMatrix3x4fv = epoxy_glProgramUniformMatrix3x4fv_dispatch_table_thunk;
    epoxy_glProgramUniformMatrix3x4fvEXT = epoxy_glProgramUniformMatrix3x4fvEXT_dispatch_table_thunk;
    epoxy_glProgramUniformMatrix4dv = epoxy_glProgramUniformMatrix4dv_dispatch_table_thunk;
    epoxy_glProgramUniformMatrix4dvEXT = epoxy_glProgramUniformMatrix4dvEXT_dispatch_table_thunk;
    epoxy_glProgramUniformMatrix4fv = epoxy_glProgramUniformMatrix4fv_dispatch_table_thunk;
    epoxy_glProgramUniformMatrix4fvEXT = epoxy_glProgramUniformMatrix4fvEXT_dispatch_table_thunk;
    epoxy_glProgramUniformMatrix4x2dv = epoxy_glProgramUniformMatrix4x2dv_dispatch_table_thunk;
    epoxy_glProgramUniformMatrix4x2dvEXT = epoxy_glProgramUniformMatrix4x2dvEXT_dispatch_table_thunk;
    epoxy_glProgramUniformMatrix4x2fv = epoxy_glProgramUniformMatrix4x2fv_dispatch_table_thunk;
    epoxy_glProgramUniformMatrix4x2fvEXT = epoxy_glProgramUniformMatrix4x2fvEXT_dispatch_table_thunk;
    epoxy_glProgramUniformMatrix4x3dv = epoxy_glProgramUniformMatrix4x3dv_dispatch_table_thunk;
    epoxy_glProgramUniformMatrix4x3dvEXT = epoxy_glProgramUniformMatrix4x3dvEXT_dispatch_table_thunk;
    epoxy_glProgramUniformMatrix4x3fv = epoxy_glProgramUniformMatrix4x3fv_dispatch_table_thunk;
    epoxy_glProgramUniformMatrix4x3fvEXT = epoxy_glProgramUniformMatrix4x3fvEXT_dispatch_table_thunk;
    epoxy_glProgramUniformui64NV = epoxy_glProgramUniformui64NV_dispatch_table_thunk;
    epoxy_glProgramUniformui64vNV = epoxy_glProgramUniformui64vNV_dispatch_table_thunk;
    epoxy_glProgramVertexLimitNV = epoxy_glProgramVertexLimitNV_dispatch_table_thunk;
    epoxy_glProvokingVertex = epoxy_glProvokingVertex_dispatch_table_thunk;
    epoxy_glProvokingVertexEXT = epoxy_glProvokingVertexEXT_dispatch_table_thunk;
    epoxy_glPushAttrib = epoxy_glPushAttrib_dispatch_table_thunk;
    epoxy_glPushClientAttrib = epoxy_glPushClientAttrib_dispatch_table_thunk;
    epoxy_glPushClientAttribDefaultEXT = epoxy_glPushClientAttribDefaultEXT_dispatch_table_thunk;
    epoxy_glPushDebugGroup = epoxy_glPushDebugGroup_dispatch_table_thunk;
    epoxy_glPushDebugGroupKHR = epoxy_glPushDebugGroupKHR_dispatch_table_thunk;
    epoxy_glPushGroupMarkerEXT = epoxy_glPushGroupMarkerEXT_dispatch_table_thunk;
    epoxy_glPushMatrix = epoxy_glPushMatrix_dispatch_table_thunk;
    epoxy_glPushName = epoxy_glPushName_dispatch_table_thunk;
    epoxy_glQueryCounter = epoxy_glQueryCounter_dispatch_table_thunk;
    epoxy_glQueryCounterEXT = epoxy_glQueryCounterEXT_dispatch_table_thunk;
    epoxy_glQueryMatrixxOES = epoxy_glQueryMatrixxOES_dispatch_table_thunk;
    epoxy_glQueryObjectParameteruiAMD = epoxy_glQueryObjectParameteruiAMD_dispatch_table_thunk;
    epoxy_glRasterPos2d = epoxy_glRasterPos2d_dispatch_table_thunk;
    epoxy_glRasterPos2dv = epoxy_glRasterPos2dv_dispatch_table_thunk;
    epoxy_glRasterPos2f = epoxy_glRasterPos2f_dispatch_table_thunk;
    epoxy_glRasterPos2fv = epoxy_glRasterPos2fv_dispatch_table_thunk;
    epoxy_glRasterPos2i = epoxy_glRasterPos2i_dispatch_table_thunk;
    epoxy_glRasterPos2iv = epoxy_glRasterPos2iv_dispatch_table_thunk;
    epoxy_glRasterPos2s = epoxy_glRasterPos2s_dispatch_table_thunk;
    epoxy_glRasterPos2sv = epoxy_glRasterPos2sv_dispatch_table_thunk;
    epoxy_glRasterPos2xOES = epoxy_glRasterPos2xOES_dispatch_table_thunk;
    epoxy_glRasterPos2xvOES = epoxy_glRasterPos2xvOES_dispatch_table_thunk;
    epoxy_glRasterPos3d = epoxy_glRasterPos3d_dispatch_table_thunk;
    epoxy_glRasterPos3dv = epoxy_glRasterPos3dv_dispatch_table_thunk;
    epoxy_glRasterPos3f = epoxy_glRasterPos3f_dispatch_table_thunk;
    epoxy_glRasterPos3fv = epoxy_glRasterPos3fv_dispatch_table_thunk;
    epoxy_glRasterPos3i = epoxy_glRasterPos3i_dispatch_table_thunk;
    epoxy_glRasterPos3iv = epoxy_glRasterPos3iv_dispatch_table_thunk;
    epoxy_glRasterPos3s = epoxy_glRasterPos3s_dispatch_table_thunk;
    epoxy_glRasterPos3sv = epoxy_glRasterPos3sv_dispatch_table_thunk;
    epoxy_glRasterPos3xOES = epoxy_glRasterPos3xOES_dispatch_table_thunk;
    epoxy_glRasterPos3xvOES = epoxy_glRasterPos3xvOES_dispatch_table_thunk;
    epoxy_glRasterPos4d = epoxy_glRasterPos4d_dispatch_table_thunk;
    epoxy_glRasterPos4dv = epoxy_glRasterPos4dv_dispatch_table_thunk;
    epoxy_glRasterPos4f = epoxy_glRasterPos4f_dispatch_table_thunk;
    epoxy_glRasterPos4fv = epoxy_glRasterPos4fv_dispatch_table_thunk;
    epoxy_glRasterPos4i = epoxy_glRasterPos4i_dispatch_table_thunk;
    epoxy_glRasterPos4iv = epoxy_glRasterPos4iv_dispatch_table_thunk;
    epoxy_glRasterPos4s = epoxy_glRasterPos4s_dispatch_table_thunk;
    epoxy_glRasterPos4sv = epoxy_glRasterPos4sv_dispatch_table_thunk;
    epoxy_glRasterPos4xOES = epoxy_glRasterPos4xOES_dispatch_table_thunk;
    epoxy_glRasterPos4xvOES = epoxy_glRasterPos4xvOES_dispatch_table_thunk;
    epoxy_glReadBuffer = epoxy_glReadBuffer_dispatch_table_thunk;
    epoxy_glReadBufferIndexedEXT = epoxy_glReadBufferIndexedEXT_dispatch_table_thunk;
    epoxy_glReadBufferNV = epoxy_glReadBufferNV_dispatch_table_thunk;
    epoxy_glReadInstrumentsSGIX = epoxy_glReadInstrumentsSGIX_dispatch_table_thunk;
    epoxy_glReadPixels = epoxy_glReadPixels_dispatch_table_thunk;
    epoxy_glReadnPixelsARB = epoxy_glReadnPixelsARB_dispatch_table_thunk;
    epoxy_glReadnPixelsEXT = epoxy_glReadnPixelsEXT_dispatch_table_thunk;
    epoxy_glRectd = epoxy_glRectd_dispatch_table_thunk;
    epoxy_glRectdv = epoxy_glRectdv_dispatch_table_thunk;
    epoxy_glRectf = epoxy_glRectf_dispatch_table_thunk;
    epoxy_glRectfv = epoxy_glRectfv_dispatch_table_thunk;
    epoxy_glRecti = epoxy_glRecti_dispatch_table_thunk;
    epoxy_glRectiv = epoxy_glRectiv_dispatch_table_thunk;
    epoxy_glRects = epoxy_glRects_dispatch_table_thunk;
    epoxy_glRectsv = epoxy_glRectsv_dispatch_table_thunk;
    epoxy_glRectxOES = epoxy_glRectxOES_dispatch_table_thunk;
    epoxy_glRectxvOES = epoxy_glRectxvOES_dispatch_table_thunk;
    epoxy_glReferencePlaneSGIX = epoxy_glReferencePlaneSGIX_dispatch_table_thunk;
    epoxy_glReleaseShaderCompiler = epoxy_glReleaseShaderCompiler_dispatch_table_thunk;
    epoxy_glRenderMode = epoxy_glRenderMode_dispatch_table_thunk;
    epoxy_glRenderbufferStorage = epoxy_glRenderbufferStorage_dispatch_table_thunk;
    epoxy_glRenderbufferStorageEXT = epoxy_glRenderbufferStorageEXT_dispatch_table_thunk;
    epoxy_glRenderbufferStorageMultisample = epoxy_glRenderbufferStorageMultisample_dispatch_table_thunk;
    epoxy_glRenderbufferStorageMultisampleANGLE = epoxy_glRenderbufferStorageMultisampleANGLE_dispatch_table_thunk;
    epoxy_glRenderbufferStorageMultisampleAPPLE = epoxy_glRenderbufferStorageMultisampleAPPLE_dispatch_table_thunk;
    epoxy_glRenderbufferStorageMultisampleCoverageNV = epoxy_glRenderbufferStorageMultisampleCoverageNV_dispatch_table_thunk;
    epoxy_glRenderbufferStorageMultisampleEXT = epoxy_glRenderbufferStorageMultisampleEXT_dispatch_table_thunk;
    epoxy_glRenderbufferStorageMultisampleIMG = epoxy_glRenderbufferStorageMultisampleIMG_dispatch_table_thunk;
    epoxy_glRenderbufferStorageMultisampleNV = epoxy_glRenderbufferStorageMultisampleNV_dispatch_table_thunk;
    epoxy_glRenderbufferStorageOES = epoxy_glRenderbufferStorageOES_dispatch_table_thunk;
    epoxy_glReplacementCodePointerSUN = epoxy_glReplacementCodePointerSUN_dispatch_table_thunk;
    epoxy_glReplacementCodeubSUN = epoxy_glReplacementCodeubSUN_dispatch_table_thunk;
    epoxy_glReplacementCodeubvSUN = epoxy_glReplacementCodeubvSUN_dispatch_table_thunk;
    epoxy_glReplacementCodeuiColor3fVertex3fSUN = epoxy_glReplacementCodeuiColor3fVertex3fSUN_dispatch_table_thunk;
    epoxy_glReplacementCodeuiColor3fVertex3fvSUN = epoxy_glReplacementCodeuiColor3fVertex3fvSUN_dispatch_table_thunk;
    epoxy_glReplacementCodeuiColor4fNormal3fVertex3fSUN = epoxy_glReplacementCodeuiColor4fNormal3fVertex3fSUN_dispatch_table_thunk;
    epoxy_glReplacementCodeuiColor4fNormal3fVertex3fvSUN = epoxy_glReplacementCodeuiColor4fNormal3fVertex3fvSUN_dispatch_table_thunk;
    epoxy_glReplacementCodeuiColor4ubVertex3fSUN = epoxy_glReplacementCodeuiColor4ubVertex3fSUN_dispatch_table_thunk;
    epoxy_glReplacementCodeuiColor4ubVertex3fvSUN = epoxy_glReplacementCodeuiColor4ubVertex3fvSUN_dispatch_table_thunk;
    epoxy_glReplacementCodeuiNormal3fVertex3fSUN = epoxy_glReplacementCodeuiNormal3fVertex3fSUN_dispatch_table_thunk;
    epoxy_glReplacementCodeuiNormal3fVertex3fvSUN = epoxy_glReplacementCodeuiNormal3fVertex3fvSUN_dispatch_table_thunk;
    epoxy_glReplacementCodeuiSUN = epoxy_glReplacementCodeuiSUN_dispatch_table_thunk;
    epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN = epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN_dispatch_table_thunk;
    epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN = epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN_dispatch_table_thunk;
    epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN = epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN_dispatch_table_thunk;
    epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN = epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN_dispatch_table_thunk;
    epoxy_glReplacementCodeuiTexCoord2fVertex3fSUN = epoxy_glReplacementCodeuiTexCoord2fVertex3fSUN_dispatch_table_thunk;
    epoxy_glReplacementCodeuiTexCoord2fVertex3fvSUN = epoxy_glReplacementCodeuiTexCoord2fVertex3fvSUN_dispatch_table_thunk;
    epoxy_glReplacementCodeuiVertex3fSUN = epoxy_glReplacementCodeuiVertex3fSUN_dispatch_table_thunk;
    epoxy_glReplacementCodeuiVertex3fvSUN = epoxy_glReplacementCodeuiVertex3fvSUN_dispatch_table_thunk;
    epoxy_glReplacementCodeuivSUN = epoxy_glReplacementCodeuivSUN_dispatch_table_thunk;
    epoxy_glReplacementCodeusSUN = epoxy_glReplacementCodeusSUN_dispatch_table_thunk;
    epoxy_glReplacementCodeusvSUN = epoxy_glReplacementCodeusvSUN_dispatch_table_thunk;
    epoxy_glRequestResidentProgramsNV = epoxy_glRequestResidentProgramsNV_dispatch_table_thunk;
    epoxy_glResetHistogram = epoxy_glResetHistogram_dispatch_table_thunk;
    epoxy_glResetHistogramEXT = epoxy_glResetHistogramEXT_dispatch_table_thunk;
    epoxy_glResetMinmax = epoxy_glResetMinmax_dispatch_table_thunk;
    epoxy_glResetMinmaxEXT = epoxy_glResetMinmaxEXT_dispatch_table_thunk;
    epoxy_glResizeBuffersMESA = epoxy_glResizeBuffersMESA_dispatch_table_thunk;
    epoxy_glResolveMultisampleFramebufferAPPLE = epoxy_glResolveMultisampleFramebufferAPPLE_dispatch_table_thunk;
    epoxy_glResumeTransformFeedback = epoxy_glResumeTransformFeedback_dispatch_table_thunk;
    epoxy_glResumeTransformFeedbackNV = epoxy_glResumeTransformFeedbackNV_dispatch_table_thunk;
    epoxy_glRotated = epoxy_glRotated_dispatch_table_thunk;
    epoxy_glRotatef = epoxy_glRotatef_dispatch_table_thunk;
    epoxy_glRotatex = epoxy_glRotatex_dispatch_table_thunk;
    epoxy_glRotatexOES = epoxy_glRotatexOES_dispatch_table_thunk;
    epoxy_glSampleCoverage = epoxy_glSampleCoverage_dispatch_table_thunk;
    epoxy_glSampleCoverageARB = epoxy_glSampleCoverageARB_dispatch_table_thunk;
    epoxy_glSampleCoverageOES = epoxy_glSampleCoverageOES_dispatch_table_thunk;
    epoxy_glSampleCoveragex = epoxy_glSampleCoveragex_dispatch_table_thunk;
    epoxy_glSampleCoveragexOES = epoxy_glSampleCoveragexOES_dispatch_table_thunk;
    epoxy_glSampleMapATI = epoxy_glSampleMapATI_dispatch_table_thunk;
    epoxy_glSampleMaskEXT = epoxy_glSampleMaskEXT_dispatch_table_thunk;
    epoxy_glSampleMaskIndexedNV = epoxy_glSampleMaskIndexedNV_dispatch_table_thunk;
    epoxy_glSampleMaskSGIS = epoxy_glSampleMaskSGIS_dispatch_table_thunk;
    epoxy_glSampleMaski = epoxy_glSampleMaski_dispatch_table_thunk;
    epoxy_glSamplePatternEXT = epoxy_glSamplePatternEXT_dispatch_table_thunk;
    epoxy_glSamplePatternSGIS = epoxy_glSamplePatternSGIS_dispatch_table_thunk;
    epoxy_glSamplerParameterIiv = epoxy_glSamplerParameterIiv_dispatch_table_thunk;
    epoxy_glSamplerParameterIuiv = epoxy_glSamplerParameterIuiv_dispatch_table_thunk;
    epoxy_glSamplerParameterf = epoxy_glSamplerParameterf_dispatch_table_thunk;
    epoxy_glSamplerParameterfv = epoxy_glSamplerParameterfv_dispatch_table_thunk;
    epoxy_glSamplerParameteri = epoxy_glSamplerParameteri_dispatch_table_thunk;
    epoxy_glSamplerParameteriv = epoxy_glSamplerParameteriv_dispatch_table_thunk;
    epoxy_glScaled = epoxy_glScaled_dispatch_table_thunk;
    epoxy_glScalef = epoxy_glScalef_dispatch_table_thunk;
    epoxy_glScalex = epoxy_glScalex_dispatch_table_thunk;
    epoxy_glScalexOES = epoxy_glScalexOES_dispatch_table_thunk;
    epoxy_glScissor = epoxy_glScissor_dispatch_table_thunk;
    epoxy_glScissorArrayv = epoxy_glScissorArrayv_dispatch_table_thunk;
    epoxy_glScissorIndexed = epoxy_glScissorIndexed_dispatch_table_thunk;
    epoxy_glScissorIndexedv = epoxy_glScissorIndexedv_dispatch_table_thunk;
    epoxy_glSecondaryColor3b = epoxy_glSecondaryColor3b_dispatch_table_thunk;
    epoxy_glSecondaryColor3bEXT = epoxy_glSecondaryColor3bEXT_dispatch_table_thunk;
    epoxy_glSecondaryColor3bv = epoxy_glSecondaryColor3bv_dispatch_table_thunk;
    epoxy_glSecondaryColor3bvEXT = epoxy_glSecondaryColor3bvEXT_dispatch_table_thunk;
    epoxy_glSecondaryColor3d = epoxy_glSecondaryColor3d_dispatch_table_thunk;
    epoxy_glSecondaryColor3dEXT = epoxy_glSecondaryColor3dEXT_dispatch_table_thunk;
    epoxy_glSecondaryColor3dv = epoxy_glSecondaryColor3dv_dispatch_table_thunk;
    epoxy_glSecondaryColor3dvEXT = epoxy_glSecondaryColor3dvEXT_dispatch_table_thunk;
    epoxy_glSecondaryColor3f = epoxy_glSecondaryColor3f_dispatch_table_thunk;
    epoxy_glSecondaryColor3fEXT = epoxy_glSecondaryColor3fEXT_dispatch_table_thunk;
    epoxy_glSecondaryColor3fv = epoxy_glSecondaryColor3fv_dispatch_table_thunk;
    epoxy_glSecondaryColor3fvEXT = epoxy_glSecondaryColor3fvEXT_dispatch_table_thunk;
    epoxy_glSecondaryColor3hNV = epoxy_glSecondaryColor3hNV_dispatch_table_thunk;
    epoxy_glSecondaryColor3hvNV = epoxy_glSecondaryColor3hvNV_dispatch_table_thunk;
    epoxy_glSecondaryColor3i = epoxy_glSecondaryColor3i_dispatch_table_thunk;
    epoxy_glSecondaryColor3iEXT = epoxy_glSecondaryColor3iEXT_dispatch_table_thunk;
    epoxy_glSecondaryColor3iv = epoxy_glSecondaryColor3iv_dispatch_table_thunk;
    epoxy_glSecondaryColor3ivEXT = epoxy_glSecondaryColor3ivEXT_dispatch_table_thunk;
    epoxy_glSecondaryColor3s = epoxy_glSecondaryColor3s_dispatch_table_thunk;
    epoxy_glSecondaryColor3sEXT = epoxy_glSecondaryColor3sEXT_dispatch_table_thunk;
    epoxy_glSecondaryColor3sv = epoxy_glSecondaryColor3sv_dispatch_table_thunk;
    epoxy_glSecondaryColor3svEXT = epoxy_glSecondaryColor3svEXT_dispatch_table_thunk;
    epoxy_glSecondaryColor3ub = epoxy_glSecondaryColor3ub_dispatch_table_thunk;
    epoxy_glSecondaryColor3ubEXT = epoxy_glSecondaryColor3ubEXT_dispatch_table_thunk;
    epoxy_glSecondaryColor3ubv = epoxy_glSecondaryColor3ubv_dispatch_table_thunk;
    epoxy_glSecondaryColor3ubvEXT = epoxy_glSecondaryColor3ubvEXT_dispatch_table_thunk;
    epoxy_glSecondaryColor3ui = epoxy_glSecondaryColor3ui_dispatch_table_thunk;
    epoxy_glSecondaryColor3uiEXT = epoxy_glSecondaryColor3uiEXT_dispatch_table_thunk;
    epoxy_glSecondaryColor3uiv = epoxy_glSecondaryColor3uiv_dispatch_table_thunk;
    epoxy_glSecondaryColor3uivEXT = epoxy_glSecondaryColor3uivEXT_dispatch_table_thunk;
    epoxy_glSecondaryColor3us = epoxy_glSecondaryColor3us_dispatch_table_thunk;
    epoxy_glSecondaryColor3usEXT = epoxy_glSecondaryColor3usEXT_dispatch_table_thunk;
    epoxy_glSecondaryColor3usv = epoxy_glSecondaryColor3usv_dispatch_table_thunk;
    epoxy_glSecondaryColor3usvEXT = epoxy_glSecondaryColor3usvEXT_dispatch_table_thunk;
    epoxy_glSecondaryColorFormatNV = epoxy_glSecondaryColorFormatNV_dispatch_table_thunk;
    epoxy_glSecondaryColorP3ui = epoxy_glSecondaryColorP3ui_dispatch_table_thunk;
    epoxy_glSecondaryColorP3uiv = epoxy_glSecondaryColorP3uiv_dispatch_table_thunk;
    epoxy_glSecondaryColorPointer = epoxy_glSecondaryColorPointer_dispatch_table_thunk;
    epoxy_glSecondaryColorPointerEXT = epoxy_glSecondaryColorPointerEXT_dispatch_table_thunk;
    epoxy_glSecondaryColorPointerListIBM = epoxy_glSecondaryColorPointerListIBM_dispatch_table_thunk;
    epoxy_glSelectBuffer = epoxy_glSelectBuffer_dispatch_table_thunk;
    epoxy_glSelectPerfMonitorCountersAMD = epoxy_glSelectPerfMonitorCountersAMD_dispatch_table_thunk;
    epoxy_glSeparableFilter2D = epoxy_glSeparableFilter2D_dispatch_table_thunk;
    epoxy_glSeparableFilter2DEXT = epoxy_glSeparableFilter2DEXT_dispatch_table_thunk;
    epoxy_glSetFenceAPPLE = epoxy_glSetFenceAPPLE_dispatch_table_thunk;
    epoxy_glSetFenceNV = epoxy_glSetFenceNV_dispatch_table_thunk;
    epoxy_glSetFragmentShaderConstantATI = epoxy_glSetFragmentShaderConstantATI_dispatch_table_thunk;
    epoxy_glSetInvariantEXT = epoxy_glSetInvariantEXT_dispatch_table_thunk;
    epoxy_glSetLocalConstantEXT = epoxy_glSetLocalConstantEXT_dispatch_table_thunk;
    epoxy_glSetMultisamplefvAMD = epoxy_glSetMultisamplefvAMD_dispatch_table_thunk;
    epoxy_glShadeModel = epoxy_glShadeModel_dispatch_table_thunk;
    epoxy_glShaderBinary = epoxy_glShaderBinary_dispatch_table_thunk;
    epoxy_glShaderOp1EXT = epoxy_glShaderOp1EXT_dispatch_table_thunk;
    epoxy_glShaderOp2EXT = epoxy_glShaderOp2EXT_dispatch_table_thunk;
    epoxy_glShaderOp3EXT = epoxy_glShaderOp3EXT_dispatch_table_thunk;
    epoxy_glShaderSource = epoxy_glShaderSource_dispatch_table_thunk;
    epoxy_glShaderSourceARB = epoxy_glShaderSourceARB_dispatch_table_thunk;
    epoxy_glShaderStorageBlockBinding = epoxy_glShaderStorageBlockBinding_dispatch_table_thunk;
    epoxy_glSharpenTexFuncSGIS = epoxy_glSharpenTexFuncSGIS_dispatch_table_thunk;
    epoxy_glSpriteParameterfSGIX = epoxy_glSpriteParameterfSGIX_dispatch_table_thunk;
    epoxy_glSpriteParameterfvSGIX = epoxy_glSpriteParameterfvSGIX_dispatch_table_thunk;
    epoxy_glSpriteParameteriSGIX = epoxy_glSpriteParameteriSGIX_dispatch_table_thunk;
    epoxy_glSpriteParameterivSGIX = epoxy_glSpriteParameterivSGIX_dispatch_table_thunk;
    epoxy_glStartInstrumentsSGIX = epoxy_glStartInstrumentsSGIX_dispatch_table_thunk;
    epoxy_glStartTilingQCOM = epoxy_glStartTilingQCOM_dispatch_table_thunk;
    epoxy_glStencilClearTagEXT = epoxy_glStencilClearTagEXT_dispatch_table_thunk;
    epoxy_glStencilFillPathInstancedNV = epoxy_glStencilFillPathInstancedNV_dispatch_table_thunk;
    epoxy_glStencilFillPathNV = epoxy_glStencilFillPathNV_dispatch_table_thunk;
    epoxy_glStencilFunc = epoxy_glStencilFunc_dispatch_table_thunk;
    epoxy_glStencilFuncSeparate = epoxy_glStencilFuncSeparate_dispatch_table_thunk;
    epoxy_glStencilFuncSeparateATI = epoxy_glStencilFuncSeparateATI_dispatch_table_thunk;
    epoxy_glStencilMask = epoxy_glStencilMask_dispatch_table_thunk;
    epoxy_glStencilMaskSeparate = epoxy_glStencilMaskSeparate_dispatch_table_thunk;
    epoxy_glStencilOp = epoxy_glStencilOp_dispatch_table_thunk;
    epoxy_glStencilOpSeparate = epoxy_glStencilOpSeparate_dispatch_table_thunk;
    epoxy_glStencilOpSeparateATI = epoxy_glStencilOpSeparateATI_dispatch_table_thunk;
    epoxy_glStencilOpValueAMD = epoxy_glStencilOpValueAMD_dispatch_table_thunk;
    epoxy_glStencilStrokePathInstancedNV = epoxy_glStencilStrokePathInstancedNV_dispatch_table_thunk;
    epoxy_glStencilStrokePathNV = epoxy_glStencilStrokePathNV_dispatch_table_thunk;
    epoxy_glStopInstrumentsSGIX = epoxy_glStopInstrumentsSGIX_dispatch_table_thunk;
    epoxy_glStringMarkerGREMEDY = epoxy_glStringMarkerGREMEDY_dispatch_table_thunk;
    epoxy_glSwizzleEXT = epoxy_glSwizzleEXT_dispatch_table_thunk;
    epoxy_glSyncTextureINTEL = epoxy_glSyncTextureINTEL_dispatch_table_thunk;
    epoxy_glTagSampleBufferSGIX = epoxy_glTagSampleBufferSGIX_dispatch_table_thunk;
    epoxy_glTangent3bEXT = epoxy_glTangent3bEXT_dispatch_table_thunk;
    epoxy_glTangent3bvEXT = epoxy_glTangent3bvEXT_dispatch_table_thunk;
    epoxy_glTangent3dEXT = epoxy_glTangent3dEXT_dispatch_table_thunk;
    epoxy_glTangent3dvEXT = epoxy_glTangent3dvEXT_dispatch_table_thunk;
    epoxy_glTangent3fEXT = epoxy_glTangent3fEXT_dispatch_table_thunk;
    epoxy_glTangent3fvEXT = epoxy_glTangent3fvEXT_dispatch_table_thunk;
    epoxy_glTangent3iEXT = epoxy_glTangent3iEXT_dispatch_table_thunk;
    epoxy_glTangent3ivEXT = epoxy_glTangent3ivEXT_dispatch_table_thunk;
    epoxy_glTangent3sEXT = epoxy_glTangent3sEXT_dispatch_table_thunk;
    epoxy_glTangent3svEXT = epoxy_glTangent3svEXT_dispatch_table_thunk;
    epoxy_glTangentPointerEXT = epoxy_glTangentPointerEXT_dispatch_table_thunk;
    epoxy_glTbufferMask3DFX = epoxy_glTbufferMask3DFX_dispatch_table_thunk;
    epoxy_glTessellationFactorAMD = epoxy_glTessellationFactorAMD_dispatch_table_thunk;
    epoxy_glTessellationModeAMD = epoxy_glTessellationModeAMD_dispatch_table_thunk;
    epoxy_glTestFenceAPPLE = epoxy_glTestFenceAPPLE_dispatch_table_thunk;
    epoxy_glTestFenceNV = epoxy_glTestFenceNV_dispatch_table_thunk;
    epoxy_glTestObjectAPPLE = epoxy_glTestObjectAPPLE_dispatch_table_thunk;
    epoxy_glTexBuffer = epoxy_glTexBuffer_dispatch_table_thunk;
    epoxy_glTexBufferARB = epoxy_glTexBufferARB_dispatch_table_thunk;
    epoxy_glTexBufferEXT = epoxy_glTexBufferEXT_dispatch_table_thunk;
    epoxy_glTexBufferRange = epoxy_glTexBufferRange_dispatch_table_thunk;
    epoxy_glTexBumpParameterfvATI = epoxy_glTexBumpParameterfvATI_dispatch_table_thunk;
    epoxy_glTexBumpParameterivATI = epoxy_glTexBumpParameterivATI_dispatch_table_thunk;
    epoxy_glTexCoord1bOES = epoxy_glTexCoord1bOES_dispatch_table_thunk;
    epoxy_glTexCoord1bvOES = epoxy_glTexCoord1bvOES_dispatch_table_thunk;
    epoxy_glTexCoord1d = epoxy_glTexCoord1d_dispatch_table_thunk;
    epoxy_glTexCoord1dv = epoxy_glTexCoord1dv_dispatch_table_thunk;
    epoxy_glTexCoord1f = epoxy_glTexCoord1f_dispatch_table_thunk;
    epoxy_glTexCoord1fv = epoxy_glTexCoord1fv_dispatch_table_thunk;
    epoxy_glTexCoord1hNV = epoxy_glTexCoord1hNV_dispatch_table_thunk;
    epoxy_glTexCoord1hvNV = epoxy_glTexCoord1hvNV_dispatch_table_thunk;
    epoxy_glTexCoord1i = epoxy_glTexCoord1i_dispatch_table_thunk;
    epoxy_glTexCoord1iv = epoxy_glTexCoord1iv_dispatch_table_thunk;
    epoxy_glTexCoord1s = epoxy_glTexCoord1s_dispatch_table_thunk;
    epoxy_glTexCoord1sv = epoxy_glTexCoord1sv_dispatch_table_thunk;
    epoxy_glTexCoord1xOES = epoxy_glTexCoord1xOES_dispatch_table_thunk;
    epoxy_glTexCoord1xvOES = epoxy_glTexCoord1xvOES_dispatch_table_thunk;
    epoxy_glTexCoord2bOES = epoxy_glTexCoord2bOES_dispatch_table_thunk;
    epoxy_glTexCoord2bvOES = epoxy_glTexCoord2bvOES_dispatch_table_thunk;
    epoxy_glTexCoord2d = epoxy_glTexCoord2d_dispatch_table_thunk;
    epoxy_glTexCoord2dv = epoxy_glTexCoord2dv_dispatch_table_thunk;
    epoxy_glTexCoord2f = epoxy_glTexCoord2f_dispatch_table_thunk;
    epoxy_glTexCoord2fColor3fVertex3fSUN = epoxy_glTexCoord2fColor3fVertex3fSUN_dispatch_table_thunk;
    epoxy_glTexCoord2fColor3fVertex3fvSUN = epoxy_glTexCoord2fColor3fVertex3fvSUN_dispatch_table_thunk;
    epoxy_glTexCoord2fColor4fNormal3fVertex3fSUN = epoxy_glTexCoord2fColor4fNormal3fVertex3fSUN_dispatch_table_thunk;
    epoxy_glTexCoord2fColor4fNormal3fVertex3fvSUN = epoxy_glTexCoord2fColor4fNormal3fVertex3fvSUN_dispatch_table_thunk;
    epoxy_glTexCoord2fColor4ubVertex3fSUN = epoxy_glTexCoord2fColor4ubVertex3fSUN_dispatch_table_thunk;
    epoxy_glTexCoord2fColor4ubVertex3fvSUN = epoxy_glTexCoord2fColor4ubVertex3fvSUN_dispatch_table_thunk;
    epoxy_glTexCoord2fNormal3fVertex3fSUN = epoxy_glTexCoord2fNormal3fVertex3fSUN_dispatch_table_thunk;
    epoxy_glTexCoord2fNormal3fVertex3fvSUN = epoxy_glTexCoord2fNormal3fVertex3fvSUN_dispatch_table_thunk;
    epoxy_glTexCoord2fVertex3fSUN = epoxy_glTexCoord2fVertex3fSUN_dispatch_table_thunk;
    epoxy_glTexCoord2fVertex3fvSUN = epoxy_glTexCoord2fVertex3fvSUN_dispatch_table_thunk;
    epoxy_glTexCoord2fv = epoxy_glTexCoord2fv_dispatch_table_thunk;
    epoxy_glTexCoord2hNV = epoxy_glTexCoord2hNV_dispatch_table_thunk;
    epoxy_glTexCoord2hvNV = epoxy_glTexCoord2hvNV_dispatch_table_thunk;
    epoxy_glTexCoord2i = epoxy_glTexCoord2i_dispatch_table_thunk;
    epoxy_glTexCoord2iv = epoxy_glTexCoord2iv_dispatch_table_thunk;
    epoxy_glTexCoord2s = epoxy_glTexCoord2s_dispatch_table_thunk;
    epoxy_glTexCoord2sv = epoxy_glTexCoord2sv_dispatch_table_thunk;
    epoxy_glTexCoord2xOES = epoxy_glTexCoord2xOES_dispatch_table_thunk;
    epoxy_glTexCoord2xvOES = epoxy_glTexCoord2xvOES_dispatch_table_thunk;
    epoxy_glTexCoord3bOES = epoxy_glTexCoord3bOES_dispatch_table_thunk;
    epoxy_glTexCoord3bvOES = epoxy_glTexCoord3bvOES_dispatch_table_thunk;
    epoxy_glTexCoord3d = epoxy_glTexCoord3d_dispatch_table_thunk;
    epoxy_glTexCoord3dv = epoxy_glTexCoord3dv_dispatch_table_thunk;
    epoxy_glTexCoord3f = epoxy_glTexCoord3f_dispatch_table_thunk;
    epoxy_glTexCoord3fv = epoxy_glTexCoord3fv_dispatch_table_thunk;
    epoxy_glTexCoord3hNV = epoxy_glTexCoord3hNV_dispatch_table_thunk;
    epoxy_glTexCoord3hvNV = epoxy_glTexCoord3hvNV_dispatch_table_thunk;
    epoxy_glTexCoord3i = epoxy_glTexCoord3i_dispatch_table_thunk;
    epoxy_glTexCoord3iv = epoxy_glTexCoord3iv_dispatch_table_thunk;
    epoxy_glTexCoord3s = epoxy_glTexCoord3s_dispatch_table_thunk;
    epoxy_glTexCoord3sv = epoxy_glTexCoord3sv_dispatch_table_thunk;
    epoxy_glTexCoord3xOES = epoxy_glTexCoord3xOES_dispatch_table_thunk;
    epoxy_glTexCoord3xvOES = epoxy_glTexCoord3xvOES_dispatch_table_thunk;
    epoxy_glTexCoord4bOES = epoxy_glTexCoord4bOES_dispatch_table_thunk;
    epoxy_glTexCoord4bvOES = epoxy_glTexCoord4bvOES_dispatch_table_thunk;
    epoxy_glTexCoord4d = epoxy_glTexCoord4d_dispatch_table_thunk;
    epoxy_glTexCoord4dv = epoxy_glTexCoord4dv_dispatch_table_thunk;
    epoxy_glTexCoord4f = epoxy_glTexCoord4f_dispatch_table_thunk;
    epoxy_glTexCoord4fColor4fNormal3fVertex4fSUN = epoxy_glTexCoord4fColor4fNormal3fVertex4fSUN_dispatch_table_thunk;
    epoxy_glTexCoord4fColor4fNormal3fVertex4fvSUN = epoxy_glTexCoord4fColor4fNormal3fVertex4fvSUN_dispatch_table_thunk;
    epoxy_glTexCoord4fVertex4fSUN = epoxy_glTexCoord4fVertex4fSUN_dispatch_table_thunk;
    epoxy_glTexCoord4fVertex4fvSUN = epoxy_glTexCoord4fVertex4fvSUN_dispatch_table_thunk;
    epoxy_glTexCoord4fv = epoxy_glTexCoord4fv_dispatch_table_thunk;
    epoxy_glTexCoord4hNV = epoxy_glTexCoord4hNV_dispatch_table_thunk;
    epoxy_glTexCoord4hvNV = epoxy_glTexCoord4hvNV_dispatch_table_thunk;
    epoxy_glTexCoord4i = epoxy_glTexCoord4i_dispatch_table_thunk;
    epoxy_glTexCoord4iv = epoxy_glTexCoord4iv_dispatch_table_thunk;
    epoxy_glTexCoord4s = epoxy_glTexCoord4s_dispatch_table_thunk;
    epoxy_glTexCoord4sv = epoxy_glTexCoord4sv_dispatch_table_thunk;
    epoxy_glTexCoord4xOES = epoxy_glTexCoord4xOES_dispatch_table_thunk;
    epoxy_glTexCoord4xvOES = epoxy_glTexCoord4xvOES_dispatch_table_thunk;
    epoxy_glTexCoordFormatNV = epoxy_glTexCoordFormatNV_dispatch_table_thunk;
    epoxy_glTexCoordP1ui = epoxy_glTexCoordP1ui_dispatch_table_thunk;
    epoxy_glTexCoordP1uiv = epoxy_glTexCoordP1uiv_dispatch_table_thunk;
    epoxy_glTexCoordP2ui = epoxy_glTexCoordP2ui_dispatch_table_thunk;
    epoxy_glTexCoordP2uiv = epoxy_glTexCoordP2uiv_dispatch_table_thunk;
    epoxy_glTexCoordP3ui = epoxy_glTexCoordP3ui_dispatch_table_thunk;
    epoxy_glTexCoordP3uiv = epoxy_glTexCoordP3uiv_dispatch_table_thunk;
    epoxy_glTexCoordP4ui = epoxy_glTexCoordP4ui_dispatch_table_thunk;
    epoxy_glTexCoordP4uiv = epoxy_glTexCoordP4uiv_dispatch_table_thunk;
    epoxy_glTexCoordPointer = epoxy_glTexCoordPointer_dispatch_table_thunk;
    epoxy_glTexCoordPointerEXT = epoxy_glTexCoordPointerEXT_dispatch_table_thunk;
    epoxy_glTexCoordPointerListIBM = epoxy_glTexCoordPointerListIBM_dispatch_table_thunk;
    epoxy_glTexCoordPointervINTEL = epoxy_glTexCoordPointervINTEL_dispatch_table_thunk;
    epoxy_glTexEnvf = epoxy_glTexEnvf_dispatch_table_thunk;
    epoxy_glTexEnvfv = epoxy_glTexEnvfv_dispatch_table_thunk;
    epoxy_glTexEnvi = epoxy_glTexEnvi_dispatch_table_thunk;
    epoxy_glTexEnviv = epoxy_glTexEnviv_dispatch_table_thunk;
    epoxy_glTexEnvx = epoxy_glTexEnvx_dispatch_table_thunk;
    epoxy_glTexEnvxOES = epoxy_glTexEnvxOES_dispatch_table_thunk;
    epoxy_glTexEnvxv = epoxy_glTexEnvxv_dispatch_table_thunk;
    epoxy_glTexEnvxvOES = epoxy_glTexEnvxvOES_dispatch_table_thunk;
    epoxy_glTexFilterFuncSGIS = epoxy_glTexFilterFuncSGIS_dispatch_table_thunk;
    epoxy_glTexGend = epoxy_glTexGend_dispatch_table_thunk;
    epoxy_glTexGendv = epoxy_glTexGendv_dispatch_table_thunk;
    epoxy_glTexGenf = epoxy_glTexGenf_dispatch_table_thunk;
    epoxy_glTexGenfOES = epoxy_glTexGenfOES_dispatch_table_thunk;
    epoxy_glTexGenfv = epoxy_glTexGenfv_dispatch_table_thunk;
    epoxy_glTexGenfvOES = epoxy_glTexGenfvOES_dispatch_table_thunk;
    epoxy_glTexGeni = epoxy_glTexGeni_dispatch_table_thunk;
    epoxy_glTexGeniOES = epoxy_glTexGeniOES_dispatch_table_thunk;
    epoxy_glTexGeniv = epoxy_glTexGeniv_dispatch_table_thunk;
    epoxy_glTexGenivOES = epoxy_glTexGenivOES_dispatch_table_thunk;
    epoxy_glTexGenxOES = epoxy_glTexGenxOES_dispatch_table_thunk;
    epoxy_glTexGenxvOES = epoxy_glTexGenxvOES_dispatch_table_thunk;
    epoxy_glTexImage1D = epoxy_glTexImage1D_dispatch_table_thunk;
    epoxy_glTexImage2D = epoxy_glTexImage2D_dispatch_table_thunk;
    epoxy_glTexImage2DMultisample = epoxy_glTexImage2DMultisample_dispatch_table_thunk;
    epoxy_glTexImage2DMultisampleCoverageNV = epoxy_glTexImage2DMultisampleCoverageNV_dispatch_table_thunk;
    epoxy_glTexImage3D = epoxy_glTexImage3D_dispatch_table_thunk;
    epoxy_glTexImage3DEXT = epoxy_glTexImage3DEXT_dispatch_table_thunk;
    epoxy_glTexImage3DMultisample = epoxy_glTexImage3DMultisample_dispatch_table_thunk;
    epoxy_glTexImage3DMultisampleCoverageNV = epoxy_glTexImage3DMultisampleCoverageNV_dispatch_table_thunk;
    epoxy_glTexImage3DOES = epoxy_glTexImage3DOES_dispatch_table_thunk;
    epoxy_glTexImage4DSGIS = epoxy_glTexImage4DSGIS_dispatch_table_thunk;
    epoxy_glTexPageCommitmentARB = epoxy_glTexPageCommitmentARB_dispatch_table_thunk;
    epoxy_glTexParameterIiv = epoxy_glTexParameterIiv_dispatch_table_thunk;
    epoxy_glTexParameterIivEXT = epoxy_glTexParameterIivEXT_dispatch_table_thunk;
    epoxy_glTexParameterIuiv = epoxy_glTexParameterIuiv_dispatch_table_thunk;
    epoxy_glTexParameterIuivEXT = epoxy_glTexParameterIuivEXT_dispatch_table_thunk;
    epoxy_glTexParameterf = epoxy_glTexParameterf_dispatch_table_thunk;
    epoxy_glTexParameterfv = epoxy_glTexParameterfv_dispatch_table_thunk;
    epoxy_glTexParameteri = epoxy_glTexParameteri_dispatch_table_thunk;
    epoxy_glTexParameteriv = epoxy_glTexParameteriv_dispatch_table_thunk;
    epoxy_glTexParameterx = epoxy_glTexParameterx_dispatch_table_thunk;
    epoxy_glTexParameterxOES = epoxy_glTexParameterxOES_dispatch_table_thunk;
    epoxy_glTexParameterxv = epoxy_glTexParameterxv_dispatch_table_thunk;
    epoxy_glTexParameterxvOES = epoxy_glTexParameterxvOES_dispatch_table_thunk;
    epoxy_glTexRenderbufferNV = epoxy_glTexRenderbufferNV_dispatch_table_thunk;
    epoxy_glTexStorage1D = epoxy_glTexStorage1D_dispatch_table_thunk;
    epoxy_glTexStorage1DEXT = epoxy_glTexStorage1DEXT_dispatch_table_thunk;
    epoxy_glTexStorage2D = epoxy_glTexStorage2D_dispatch_table_thunk;
    epoxy_glTexStorage2DEXT = epoxy_glTexStorage2DEXT_dispatch_table_thunk;
    epoxy_glTexStorage2DMultisample = epoxy_glTexStorage2DMultisample_dispatch_table_thunk;
    epoxy_glTexStorage3D = epoxy_glTexStorage3D_dispatch_table_thunk;
    epoxy_glTexStorage3DEXT = epoxy_glTexStorage3DEXT_dispatch_table_thunk;
    epoxy_glTexStorage3DMultisample = epoxy_glTexStorage3DMultisample_dispatch_table_thunk;
    epoxy_glTexStorage3DMultisampleOES = epoxy_glTexStorage3DMultisampleOES_dispatch_table_thunk;
    epoxy_glTexStorageSparseAMD = epoxy_glTexStorageSparseAMD_dispatch_table_thunk;
    epoxy_glTexSubImage1D = epoxy_glTexSubImage1D_dispatch_table_thunk;
    epoxy_glTexSubImage1DEXT = epoxy_glTexSubImage1DEXT_dispatch_table_thunk;
    epoxy_glTexSubImage2D = epoxy_glTexSubImage2D_dispatch_table_thunk;
    epoxy_glTexSubImage2DEXT = epoxy_glTexSubImage2DEXT_dispatch_table_thunk;
    epoxy_glTexSubImage3D = epoxy_glTexSubImage3D_dispatch_table_thunk;
    epoxy_glTexSubImage3DEXT = epoxy_glTexSubImage3DEXT_dispatch_table_thunk;
    epoxy_glTexSubImage3DOES = epoxy_glTexSubImage3DOES_dispatch_table_thunk;
    epoxy_glTexSubImage4DSGIS = epoxy_glTexSubImage4DSGIS_dispatch_table_thunk;
    epoxy_glTextureBarrierNV = epoxy_glTextureBarrierNV_dispatch_table_thunk;
    epoxy_glTextureBufferEXT = epoxy_glTextureBufferEXT_dispatch_table_thunk;
    epoxy_glTextureBufferRangeEXT = epoxy_glTextureBufferRangeEXT_dispatch_table_thunk;
    epoxy_glTextureColorMaskSGIS = epoxy_glTextureColorMaskSGIS_dispatch_table_thunk;
    epoxy_glTextureImage1DEXT = epoxy_glTextureImage1DEXT_dispatch_table_thunk;
    epoxy_glTextureImage2DEXT = epoxy_glTextureImage2DEXT_dispatch_table_thunk;
    epoxy_glTextureImage2DMultisampleCoverageNV = epoxy_glTextureImage2DMultisampleCoverageNV_dispatch_table_thunk;
    epoxy_glTextureImage2DMultisampleNV = epoxy_glTextureImage2DMultisampleNV_dispatch_table_thunk;
    epoxy_glTextureImage3DEXT = epoxy_glTextureImage3DEXT_dispatch_table_thunk;
    epoxy_glTextureImage3DMultisampleCoverageNV = epoxy_glTextureImage3DMultisampleCoverageNV_dispatch_table_thunk;
    epoxy_glTextureImage3DMultisampleNV = epoxy_glTextureImage3DMultisampleNV_dispatch_table_thunk;
    epoxy_glTextureLightEXT = epoxy_glTextureLightEXT_dispatch_table_thunk;
    epoxy_glTextureMaterialEXT = epoxy_glTextureMaterialEXT_dispatch_table_thunk;
    epoxy_glTextureNormalEXT = epoxy_glTextureNormalEXT_dispatch_table_thunk;
    epoxy_glTexturePageCommitmentEXT = epoxy_glTexturePageCommitmentEXT_dispatch_table_thunk;
    epoxy_glTextureParameterIivEXT = epoxy_glTextureParameterIivEXT_dispatch_table_thunk;
    epoxy_glTextureParameterIuivEXT = epoxy_glTextureParameterIuivEXT_dispatch_table_thunk;
    epoxy_glTextureParameterfEXT = epoxy_glTextureParameterfEXT_dispatch_table_thunk;
    epoxy_glTextureParameterfvEXT = epoxy_glTextureParameterfvEXT_dispatch_table_thunk;
    epoxy_glTextureParameteriEXT = epoxy_glTextureParameteriEXT_dispatch_table_thunk;
    epoxy_glTextureParameterivEXT = epoxy_glTextureParameterivEXT_dispatch_table_thunk;
    epoxy_glTextureRangeAPPLE = epoxy_glTextureRangeAPPLE_dispatch_table_thunk;
    epoxy_glTextureRenderbufferEXT = epoxy_glTextureRenderbufferEXT_dispatch_table_thunk;
    epoxy_glTextureStorage1DEXT = epoxy_glTextureStorage1DEXT_dispatch_table_thunk;
    epoxy_glTextureStorage2DEXT = epoxy_glTextureStorage2DEXT_dispatch_table_thunk;
    epoxy_glTextureStorage2DMultisampleEXT = epoxy_glTextureStorage2DMultisampleEXT_dispatch_table_thunk;
    epoxy_glTextureStorage3DEXT = epoxy_glTextureStorage3DEXT_dispatch_table_thunk;
    epoxy_glTextureStorage3DMultisampleEXT = epoxy_glTextureStorage3DMultisampleEXT_dispatch_table_thunk;
    epoxy_glTextureStorageSparseAMD = epoxy_glTextureStorageSparseAMD_dispatch_table_thunk;
    epoxy_glTextureSubImage1DEXT = epoxy_glTextureSubImage1DEXT_dispatch_table_thunk;
    epoxy_glTextureSubImage2DEXT = epoxy_glTextureSubImage2DEXT_dispatch_table_thunk;
    epoxy_glTextureSubImage3DEXT = epoxy_glTextureSubImage3DEXT_dispatch_table_thunk;
    epoxy_glTextureView = epoxy_glTextureView_dispatch_table_thunk;
    epoxy_glTrackMatrixNV = epoxy_glTrackMatrixNV_dispatch_table_thunk;
    epoxy_glTransformFeedbackAttribsNV = epoxy_glTransformFeedbackAttribsNV_dispatch_table_thunk;
    epoxy_glTransformFeedbackStreamAttribsNV = epoxy_glTransformFeedbackStreamAttribsNV_dispatch_table_thunk;
    epoxy_glTransformFeedbackVaryings = epoxy_glTransformFeedbackVaryings_dispatch_table_thunk;
    epoxy_glTransformFeedbackVaryingsEXT = epoxy_glTransformFeedbackVaryingsEXT_dispatch_table_thunk;
    epoxy_glTransformFeedbackVaryingsNV = epoxy_glTransformFeedbackVaryingsNV_dispatch_table_thunk;
    epoxy_glTransformPathNV = epoxy_glTransformPathNV_dispatch_table_thunk;
    epoxy_glTranslated = epoxy_glTranslated_dispatch_table_thunk;
    epoxy_glTranslatef = epoxy_glTranslatef_dispatch_table_thunk;
    epoxy_glTranslatex = epoxy_glTranslatex_dispatch_table_thunk;
    epoxy_glTranslatexOES = epoxy_glTranslatexOES_dispatch_table_thunk;
    epoxy_glUniform1d = epoxy_glUniform1d_dispatch_table_thunk;
    epoxy_glUniform1dv = epoxy_glUniform1dv_dispatch_table_thunk;
    epoxy_glUniform1f = epoxy_glUniform1f_dispatch_table_thunk;
    epoxy_glUniform1fARB = epoxy_glUniform1fARB_dispatch_table_thunk;
    epoxy_glUniform1fv = epoxy_glUniform1fv_dispatch_table_thunk;
    epoxy_glUniform1fvARB = epoxy_glUniform1fvARB_dispatch_table_thunk;
    epoxy_glUniform1i = epoxy_glUniform1i_dispatch_table_thunk;
    epoxy_glUniform1i64NV = epoxy_glUniform1i64NV_dispatch_table_thunk;
    epoxy_glUniform1i64vNV = epoxy_glUniform1i64vNV_dispatch_table_thunk;
    epoxy_glUniform1iARB = epoxy_glUniform1iARB_dispatch_table_thunk;
    epoxy_glUniform1iv = epoxy_glUniform1iv_dispatch_table_thunk;
    epoxy_glUniform1ivARB = epoxy_glUniform1ivARB_dispatch_table_thunk;
    epoxy_glUniform1ui = epoxy_glUniform1ui_dispatch_table_thunk;
    epoxy_glUniform1ui64NV = epoxy_glUniform1ui64NV_dispatch_table_thunk;
    epoxy_glUniform1ui64vNV = epoxy_glUniform1ui64vNV_dispatch_table_thunk;
    epoxy_glUniform1uiEXT = epoxy_glUniform1uiEXT_dispatch_table_thunk;
    epoxy_glUniform1uiv = epoxy_glUniform1uiv_dispatch_table_thunk;
    epoxy_glUniform1uivEXT = epoxy_glUniform1uivEXT_dispatch_table_thunk;
    epoxy_glUniform2d = epoxy_glUniform2d_dispatch_table_thunk;
    epoxy_glUniform2dv = epoxy_glUniform2dv_dispatch_table_thunk;
    epoxy_glUniform2f = epoxy_glUniform2f_dispatch_table_thunk;
    epoxy_glUniform2fARB = epoxy_glUniform2fARB_dispatch_table_thunk;
    epoxy_glUniform2fv = epoxy_glUniform2fv_dispatch_table_thunk;
    epoxy_glUniform2fvARB = epoxy_glUniform2fvARB_dispatch_table_thunk;
    epoxy_glUniform2i = epoxy_glUniform2i_dispatch_table_thunk;
    epoxy_glUniform2i64NV = epoxy_glUniform2i64NV_dispatch_table_thunk;
    epoxy_glUniform2i64vNV = epoxy_glUniform2i64vNV_dispatch_table_thunk;
    epoxy_glUniform2iARB = epoxy_glUniform2iARB_dispatch_table_thunk;
    epoxy_glUniform2iv = epoxy_glUniform2iv_dispatch_table_thunk;
    epoxy_glUniform2ivARB = epoxy_glUniform2ivARB_dispatch_table_thunk;
    epoxy_glUniform2ui = epoxy_glUniform2ui_dispatch_table_thunk;
    epoxy_glUniform2ui64NV = epoxy_glUniform2ui64NV_dispatch_table_thunk;
    epoxy_glUniform2ui64vNV = epoxy_glUniform2ui64vNV_dispatch_table_thunk;
    epoxy_glUniform2uiEXT = epoxy_glUniform2uiEXT_dispatch_table_thunk;
    epoxy_glUniform2uiv = epoxy_glUniform2uiv_dispatch_table_thunk;
    epoxy_glUniform2uivEXT = epoxy_glUniform2uivEXT_dispatch_table_thunk;
    epoxy_glUniform3d = epoxy_glUniform3d_dispatch_table_thunk;
    epoxy_glUniform3dv = epoxy_glUniform3dv_dispatch_table_thunk;
    epoxy_glUniform3f = epoxy_glUniform3f_dispatch_table_thunk;
    epoxy_glUniform3fARB = epoxy_glUniform3fARB_dispatch_table_thunk;
    epoxy_glUniform3fv = epoxy_glUniform3fv_dispatch_table_thunk;
    epoxy_glUniform3fvARB = epoxy_glUniform3fvARB_dispatch_table_thunk;
    epoxy_glUniform3i = epoxy_glUniform3i_dispatch_table_thunk;
    epoxy_glUniform3i64NV = epoxy_glUniform3i64NV_dispatch_table_thunk;
    epoxy_glUniform3i64vNV = epoxy_glUniform3i64vNV_dispatch_table_thunk;
    epoxy_glUniform3iARB = epoxy_glUniform3iARB_dispatch_table_thunk;
    epoxy_glUniform3iv = epoxy_glUniform3iv_dispatch_table_thunk;
    epoxy_glUniform3ivARB = epoxy_glUniform3ivARB_dispatch_table_thunk;
    epoxy_glUniform3ui = epoxy_glUniform3ui_dispatch_table_thunk;
    epoxy_glUniform3ui64NV = epoxy_glUniform3ui64NV_dispatch_table_thunk;
    epoxy_glUniform3ui64vNV = epoxy_glUniform3ui64vNV_dispatch_table_thunk;
    epoxy_glUniform3uiEXT = epoxy_glUniform3uiEXT_dispatch_table_thunk;
    epoxy_glUniform3uiv = epoxy_glUniform3uiv_dispatch_table_thunk;
    epoxy_glUniform3uivEXT = epoxy_glUniform3uivEXT_dispatch_table_thunk;
    epoxy_glUniform4d = epoxy_glUniform4d_dispatch_table_thunk;
    epoxy_glUniform4dv = epoxy_glUniform4dv_dispatch_table_thunk;
    epoxy_glUniform4f = epoxy_glUniform4f_dispatch_table_thunk;
    epoxy_glUniform4fARB = epoxy_glUniform4fARB_dispatch_table_thunk;
    epoxy_glUniform4fv = epoxy_glUniform4fv_dispatch_table_thunk;
    epoxy_glUniform4fvARB = epoxy_glUniform4fvARB_dispatch_table_thunk;
    epoxy_glUniform4i = epoxy_glUniform4i_dispatch_table_thunk;
    epoxy_glUniform4i64NV = epoxy_glUniform4i64NV_dispatch_table_thunk;
    epoxy_glUniform4i64vNV = epoxy_glUniform4i64vNV_dispatch_table_thunk;
    epoxy_glUniform4iARB = epoxy_glUniform4iARB_dispatch_table_thunk;
    epoxy_glUniform4iv = epoxy_glUniform4iv_dispatch_table_thunk;
    epoxy_glUniform4ivARB = epoxy_glUniform4ivARB_dispatch_table_thunk;
    epoxy_glUniform4ui = epoxy_glUniform4ui_dispatch_table_thunk;
    epoxy_glUniform4ui64NV = epoxy_glUniform4ui64NV_dispatch_table_thunk;
    epoxy_glUniform4ui64vNV = epoxy_glUniform4ui64vNV_dispatch_table_thunk;
    epoxy_glUniform4uiEXT = epoxy_glUniform4uiEXT_dispatch_table_thunk;
    epoxy_glUniform4uiv = epoxy_glUniform4uiv_dispatch_table_thunk;
    epoxy_glUniform4uivEXT = epoxy_glUniform4uivEXT_dispatch_table_thunk;
    epoxy_glUniformBlockBinding = epoxy_glUniformBlockBinding_dispatch_table_thunk;
    epoxy_glUniformBufferEXT = epoxy_glUniformBufferEXT_dispatch_table_thunk;
    epoxy_glUniformHandleui64ARB = epoxy_glUniformHandleui64ARB_dispatch_table_thunk;
    epoxy_glUniformHandleui64NV = epoxy_glUniformHandleui64NV_dispatch_table_thunk;
    epoxy_glUniformHandleui64vARB = epoxy_glUniformHandleui64vARB_dispatch_table_thunk;
    epoxy_glUniformHandleui64vNV = epoxy_glUniformHandleui64vNV_dispatch_table_thunk;
    epoxy_glUniformMatrix2dv = epoxy_glUniformMatrix2dv_dispatch_table_thunk;
    epoxy_glUniformMatrix2fv = epoxy_glUniformMatrix2fv_dispatch_table_thunk;
    epoxy_glUniformMatrix2fvARB = epoxy_glUniformMatrix2fvARB_dispatch_table_thunk;
    epoxy_glUniformMatrix2x3dv = epoxy_glUniformMatrix2x3dv_dispatch_table_thunk;
    epoxy_glUniformMatrix2x3fv = epoxy_glUniformMatrix2x3fv_dispatch_table_thunk;
    epoxy_glUniformMatrix2x3fvNV = epoxy_glUniformMatrix2x3fvNV_dispatch_table_thunk;
    epoxy_glUniformMatrix2x4dv = epoxy_glUniformMatrix2x4dv_dispatch_table_thunk;
    epoxy_glUniformMatrix2x4fv = epoxy_glUniformMatrix2x4fv_dispatch_table_thunk;
    epoxy_glUniformMatrix2x4fvNV = epoxy_glUniformMatrix2x4fvNV_dispatch_table_thunk;
    epoxy_glUniformMatrix3dv = epoxy_glUniformMatrix3dv_dispatch_table_thunk;
    epoxy_glUniformMatrix3fv = epoxy_glUniformMatrix3fv_dispatch_table_thunk;
    epoxy_glUniformMatrix3fvARB = epoxy_glUniformMatrix3fvARB_dispatch_table_thunk;
    epoxy_glUniformMatrix3x2dv = epoxy_glUniformMatrix3x2dv_dispatch_table_thunk;
    epoxy_glUniformMatrix3x2fv = epoxy_glUniformMatrix3x2fv_dispatch_table_thunk;
    epoxy_glUniformMatrix3x2fvNV = epoxy_glUniformMatrix3x2fvNV_dispatch_table_thunk;
    epoxy_glUniformMatrix3x4dv = epoxy_glUniformMatrix3x4dv_dispatch_table_thunk;
    epoxy_glUniformMatrix3x4fv = epoxy_glUniformMatrix3x4fv_dispatch_table_thunk;
    epoxy_glUniformMatrix3x4fvNV = epoxy_glUniformMatrix3x4fvNV_dispatch_table_thunk;
    epoxy_glUniformMatrix4dv = epoxy_glUniformMatrix4dv_dispatch_table_thunk;
    epoxy_glUniformMatrix4fv = epoxy_glUniformMatrix4fv_dispatch_table_thunk;
    epoxy_glUniformMatrix4fvARB = epoxy_glUniformMatrix4fvARB_dispatch_table_thunk;
    epoxy_glUniformMatrix4x2dv = epoxy_glUniformMatrix4x2dv_dispatch_table_thunk;
    epoxy_glUniformMatrix4x2fv = epoxy_glUniformMatrix4x2fv_dispatch_table_thunk;
    epoxy_glUniformMatrix4x2fvNV = epoxy_glUniformMatrix4x2fvNV_dispatch_table_thunk;
    epoxy_glUniformMatrix4x3dv = epoxy_glUniformMatrix4x3dv_dispatch_table_thunk;
    epoxy_glUniformMatrix4x3fv = epoxy_glUniformMatrix4x3fv_dispatch_table_thunk;
    epoxy_glUniformMatrix4x3fvNV = epoxy_glUniformMatrix4x3fvNV_dispatch_table_thunk;
    epoxy_glUniformSubroutinesuiv = epoxy_glUniformSubroutinesuiv_dispatch_table_thunk;
    epoxy_glUniformui64NV = epoxy_glUniformui64NV_dispatch_table_thunk;
    epoxy_glUniformui64vNV = epoxy_glUniformui64vNV_dispatch_table_thunk;
    epoxy_glUnlockArraysEXT = epoxy_glUnlockArraysEXT_dispatch_table_thunk;
    epoxy_glUnmapBuffer = epoxy_glUnmapBuffer_dispatch_table_thunk;
    epoxy_glUnmapBufferARB = epoxy_glUnmapBufferARB_dispatch_table_thunk;
    epoxy_glUnmapBufferOES = epoxy_glUnmapBufferOES_dispatch_table_thunk;
    epoxy_glUnmapNamedBufferEXT = epoxy_glUnmapNamedBufferEXT_dispatch_table_thunk;
    epoxy_glUnmapObjectBufferATI = epoxy_glUnmapObjectBufferATI_dispatch_table_thunk;
    epoxy_glUnmapTexture2DINTEL = epoxy_glUnmapTexture2DINTEL_dispatch_table_thunk;
    epoxy_glUpdateObjectBufferATI = epoxy_glUpdateObjectBufferATI_dispatch_table_thunk;
    epoxy_glUseProgram = epoxy_glUseProgram_dispatch_table_thunk;
    epoxy_glUseProgramObjectARB = epoxy_glUseProgramObjectARB_dispatch_table_thunk;
    epoxy_glUseProgramStages = epoxy_glUseProgramStages_dispatch_table_thunk;
    epoxy_glUseProgramStagesEXT = epoxy_glUseProgramStagesEXT_dispatch_table_thunk;
    epoxy_glUseShaderProgramEXT = epoxy_glUseShaderProgramEXT_dispatch_table_thunk;
    epoxy_glVDPAUFiniNV = epoxy_glVDPAUFiniNV_dispatch_table_thunk;
    epoxy_glVDPAUGetSurfaceivNV = epoxy_glVDPAUGetSurfaceivNV_dispatch_table_thunk;
    epoxy_glVDPAUInitNV = epoxy_glVDPAUInitNV_dispatch_table_thunk;
    epoxy_glVDPAUIsSurfaceNV = epoxy_glVDPAUIsSurfaceNV_dispatch_table_thunk;
    epoxy_glVDPAUMapSurfacesNV = epoxy_glVDPAUMapSurfacesNV_dispatch_table_thunk;
    epoxy_glVDPAURegisterOutputSurfaceNV = epoxy_glVDPAURegisterOutputSurfaceNV_dispatch_table_thunk;
    epoxy_glVDPAURegisterVideoSurfaceNV = epoxy_glVDPAURegisterVideoSurfaceNV_dispatch_table_thunk;
    epoxy_glVDPAUSurfaceAccessNV = epoxy_glVDPAUSurfaceAccessNV_dispatch_table_thunk;
    epoxy_glVDPAUUnmapSurfacesNV = epoxy_glVDPAUUnmapSurfacesNV_dispatch_table_thunk;
    epoxy_glVDPAUUnregisterSurfaceNV = epoxy_glVDPAUUnregisterSurfaceNV_dispatch_table_thunk;
    epoxy_glValidateProgram = epoxy_glValidateProgram_dispatch_table_thunk;
    epoxy_glValidateProgramARB = epoxy_glValidateProgramARB_dispatch_table_thunk;
    epoxy_glValidateProgramPipeline = epoxy_glValidateProgramPipeline_dispatch_table_thunk;
    epoxy_glValidateProgramPipelineEXT = epoxy_glValidateProgramPipelineEXT_dispatch_table_thunk;
    epoxy_glVariantArrayObjectATI = epoxy_glVariantArrayObjectATI_dispatch_table_thunk;
    epoxy_glVariantPointerEXT = epoxy_glVariantPointerEXT_dispatch_table_thunk;
    epoxy_glVariantbvEXT = epoxy_glVariantbvEXT_dispatch_table_thunk;
    epoxy_glVariantdvEXT = epoxy_glVariantdvEXT_dispatch_table_thunk;
    epoxy_glVariantfvEXT = epoxy_glVariantfvEXT_dispatch_table_thunk;
    epoxy_glVariantivEXT = epoxy_glVariantivEXT_dispatch_table_thunk;
    epoxy_glVariantsvEXT = epoxy_glVariantsvEXT_dispatch_table_thunk;
    epoxy_glVariantubvEXT = epoxy_glVariantubvEXT_dispatch_table_thunk;
    epoxy_glVariantuivEXT = epoxy_glVariantuivEXT_dispatch_table_thunk;
    epoxy_glVariantusvEXT = epoxy_glVariantusvEXT_dispatch_table_thunk;
    epoxy_glVertex2bOES = epoxy_glVertex2bOES_dispatch_table_thunk;
    epoxy_glVertex2bvOES = epoxy_glVertex2bvOES_dispatch_table_thunk;
    epoxy_glVertex2d = epoxy_glVertex2d_dispatch_table_thunk;
    epoxy_glVertex2dv = epoxy_glVertex2dv_dispatch_table_thunk;
    epoxy_glVertex2f = epoxy_glVertex2f_dispatch_table_thunk;
    epoxy_glVertex2fv = epoxy_glVertex2fv_dispatch_table_thunk;
    epoxy_glVertex2hNV = epoxy_glVertex2hNV_dispatch_table_thunk;
    epoxy_glVertex2hvNV = epoxy_glVertex2hvNV_dispatch_table_thunk;
    epoxy_glVertex2i = epoxy_glVertex2i_dispatch_table_thunk;
    epoxy_glVertex2iv = epoxy_glVertex2iv_dispatch_table_thunk;
    epoxy_glVertex2s = epoxy_glVertex2s_dispatch_table_thunk;
    epoxy_glVertex2sv = epoxy_glVertex2sv_dispatch_table_thunk;
    epoxy_glVertex2xOES = epoxy_glVertex2xOES_dispatch_table_thunk;
    epoxy_glVertex2xvOES = epoxy_glVertex2xvOES_dispatch_table_thunk;
    epoxy_glVertex3bOES = epoxy_glVertex3bOES_dispatch_table_thunk;
    epoxy_glVertex3bvOES = epoxy_glVertex3bvOES_dispatch_table_thunk;
    epoxy_glVertex3d = epoxy_glVertex3d_dispatch_table_thunk;
    epoxy_glVertex3dv = epoxy_glVertex3dv_dispatch_table_thunk;
    epoxy_glVertex3f = epoxy_glVertex3f_dispatch_table_thunk;
    epoxy_glVertex3fv = epoxy_glVertex3fv_dispatch_table_thunk;
    epoxy_glVertex3hNV = epoxy_glVertex3hNV_dispatch_table_thunk;
    epoxy_glVertex3hvNV = epoxy_glVertex3hvNV_dispatch_table_thunk;
    epoxy_glVertex3i = epoxy_glVertex3i_dispatch_table_thunk;
    epoxy_glVertex3iv = epoxy_glVertex3iv_dispatch_table_thunk;
    epoxy_glVertex3s = epoxy_glVertex3s_dispatch_table_thunk;
    epoxy_glVertex3sv = epoxy_glVertex3sv_dispatch_table_thunk;
    epoxy_glVertex3xOES = epoxy_glVertex3xOES_dispatch_table_thunk;
    epoxy_glVertex3xvOES = epoxy_glVertex3xvOES_dispatch_table_thunk;
    epoxy_glVertex4bOES = epoxy_glVertex4bOES_dispatch_table_thunk;
    epoxy_glVertex4bvOES = epoxy_glVertex4bvOES_dispatch_table_thunk;
    epoxy_glVertex4d = epoxy_glVertex4d_dispatch_table_thunk;
    epoxy_glVertex4dv = epoxy_glVertex4dv_dispatch_table_thunk;
    epoxy_glVertex4f = epoxy_glVertex4f_dispatch_table_thunk;
    epoxy_glVertex4fv = epoxy_glVertex4fv_dispatch_table_thunk;
    epoxy_glVertex4hNV = epoxy_glVertex4hNV_dispatch_table_thunk;
    epoxy_glVertex4hvNV = epoxy_glVertex4hvNV_dispatch_table_thunk;
    epoxy_glVertex4i = epoxy_glVertex4i_dispatch_table_thunk;
    epoxy_glVertex4iv = epoxy_glVertex4iv_dispatch_table_thunk;
    epoxy_glVertex4s = epoxy_glVertex4s_dispatch_table_thunk;
    epoxy_glVertex4sv = epoxy_glVertex4sv_dispatch_table_thunk;
    epoxy_glVertex4xOES = epoxy_glVertex4xOES_dispatch_table_thunk;
    epoxy_glVertex4xvOES = epoxy_glVertex4xvOES_dispatch_table_thunk;
    epoxy_glVertexArrayBindVertexBufferEXT = epoxy_glVertexArrayBindVertexBufferEXT_dispatch_table_thunk;
    epoxy_glVertexArrayColorOffsetEXT = epoxy_glVertexArrayColorOffsetEXT_dispatch_table_thunk;
    epoxy_glVertexArrayEdgeFlagOffsetEXT = epoxy_glVertexArrayEdgeFlagOffsetEXT_dispatch_table_thunk;
    epoxy_glVertexArrayFogCoordOffsetEXT = epoxy_glVertexArrayFogCoordOffsetEXT_dispatch_table_thunk;
    epoxy_glVertexArrayIndexOffsetEXT = epoxy_glVertexArrayIndexOffsetEXT_dispatch_table_thunk;
    epoxy_glVertexArrayMultiTexCoordOffsetEXT = epoxy_glVertexArrayMultiTexCoordOffsetEXT_dispatch_table_thunk;
    epoxy_glVertexArrayNormalOffsetEXT = epoxy_glVertexArrayNormalOffsetEXT_dispatch_table_thunk;
    epoxy_glVertexArrayParameteriAPPLE = epoxy_glVertexArrayParameteriAPPLE_dispatch_table_thunk;
    epoxy_glVertexArrayRangeAPPLE = epoxy_glVertexArrayRangeAPPLE_dispatch_table_thunk;
    epoxy_glVertexArrayRangeNV = epoxy_glVertexArrayRangeNV_dispatch_table_thunk;
    epoxy_glVertexArraySecondaryColorOffsetEXT = epoxy_glVertexArraySecondaryColorOffsetEXT_dispatch_table_thunk;
    epoxy_glVertexArrayTexCoordOffsetEXT = epoxy_glVertexArrayTexCoordOffsetEXT_dispatch_table_thunk;
    epoxy_glVertexArrayVertexAttribBindingEXT = epoxy_glVertexArrayVertexAttribBindingEXT_dispatch_table_thunk;
    epoxy_glVertexArrayVertexAttribDivisorEXT = epoxy_glVertexArrayVertexAttribDivisorEXT_dispatch_table_thunk;
    epoxy_glVertexArrayVertexAttribFormatEXT = epoxy_glVertexArrayVertexAttribFormatEXT_dispatch_table_thunk;
    epoxy_glVertexArrayVertexAttribIFormatEXT = epoxy_glVertexArrayVertexAttribIFormatEXT_dispatch_table_thunk;
    epoxy_glVertexArrayVertexAttribIOffsetEXT = epoxy_glVertexArrayVertexAttribIOffsetEXT_dispatch_table_thunk;
    epoxy_glVertexArrayVertexAttribLFormatEXT = epoxy_glVertexArrayVertexAttribLFormatEXT_dispatch_table_thunk;
    epoxy_glVertexArrayVertexAttribLOffsetEXT = epoxy_glVertexArrayVertexAttribLOffsetEXT_dispatch_table_thunk;
    epoxy_glVertexArrayVertexAttribOffsetEXT = epoxy_glVertexArrayVertexAttribOffsetEXT_dispatch_table_thunk;
    epoxy_glVertexArrayVertexBindingDivisorEXT = epoxy_glVertexArrayVertexBindingDivisorEXT_dispatch_table_thunk;
    epoxy_glVertexArrayVertexOffsetEXT = epoxy_glVertexArrayVertexOffsetEXT_dispatch_table_thunk;
    epoxy_glVertexAttrib1d = epoxy_glVertexAttrib1d_dispatch_table_thunk;
    epoxy_glVertexAttrib1dARB = epoxy_glVertexAttrib1dARB_dispatch_table_thunk;
    epoxy_glVertexAttrib1dNV = epoxy_glVertexAttrib1dNV_dispatch_table_thunk;
    epoxy_glVertexAttrib1dv = epoxy_glVertexAttrib1dv_dispatch_table_thunk;
    epoxy_glVertexAttrib1dvARB = epoxy_glVertexAttrib1dvARB_dispatch_table_thunk;
    epoxy_glVertexAttrib1dvNV = epoxy_glVertexAttrib1dvNV_dispatch_table_thunk;
    epoxy_glVertexAttrib1f = epoxy_glVertexAttrib1f_dispatch_table_thunk;
    epoxy_glVertexAttrib1fARB = epoxy_glVertexAttrib1fARB_dispatch_table_thunk;
    epoxy_glVertexAttrib1fNV = epoxy_glVertexAttrib1fNV_dispatch_table_thunk;
    epoxy_glVertexAttrib1fv = epoxy_glVertexAttrib1fv_dispatch_table_thunk;
    epoxy_glVertexAttrib1fvARB = epoxy_glVertexAttrib1fvARB_dispatch_table_thunk;
    epoxy_glVertexAttrib1fvNV = epoxy_glVertexAttrib1fvNV_dispatch_table_thunk;
    epoxy_glVertexAttrib1hNV = epoxy_glVertexAttrib1hNV_dispatch_table_thunk;
    epoxy_glVertexAttrib1hvNV = epoxy_glVertexAttrib1hvNV_dispatch_table_thunk;
    epoxy_glVertexAttrib1s = epoxy_glVertexAttrib1s_dispatch_table_thunk;
    epoxy_glVertexAttrib1sARB = epoxy_glVertexAttrib1sARB_dispatch_table_thunk;
    epoxy_glVertexAttrib1sNV = epoxy_glVertexAttrib1sNV_dispatch_table_thunk;
    epoxy_glVertexAttrib1sv = epoxy_glVertexAttrib1sv_dispatch_table_thunk;
    epoxy_glVertexAttrib1svARB = epoxy_glVertexAttrib1svARB_dispatch_table_thunk;
    epoxy_glVertexAttrib1svNV = epoxy_glVertexAttrib1svNV_dispatch_table_thunk;
    epoxy_glVertexAttrib2d = epoxy_glVertexAttrib2d_dispatch_table_thunk;
    epoxy_glVertexAttrib2dARB = epoxy_glVertexAttrib2dARB_dispatch_table_thunk;
    epoxy_glVertexAttrib2dNV = epoxy_glVertexAttrib2dNV_dispatch_table_thunk;
    epoxy_glVertexAttrib2dv = epoxy_glVertexAttrib2dv_dispatch_table_thunk;
    epoxy_glVertexAttrib2dvARB = epoxy_glVertexAttrib2dvARB_dispatch_table_thunk;
    epoxy_glVertexAttrib2dvNV = epoxy_glVertexAttrib2dvNV_dispatch_table_thunk;
    epoxy_glVertexAttrib2f = epoxy_glVertexAttrib2f_dispatch_table_thunk;
    epoxy_glVertexAttrib2fARB = epoxy_glVertexAttrib2fARB_dispatch_table_thunk;
    epoxy_glVertexAttrib2fNV = epoxy_glVertexAttrib2fNV_dispatch_table_thunk;
    epoxy_glVertexAttrib2fv = epoxy_glVertexAttrib2fv_dispatch_table_thunk;
    epoxy_glVertexAttrib2fvARB = epoxy_glVertexAttrib2fvARB_dispatch_table_thunk;
    epoxy_glVertexAttrib2fvNV = epoxy_glVertexAttrib2fvNV_dispatch_table_thunk;
    epoxy_glVertexAttrib2hNV = epoxy_glVertexAttrib2hNV_dispatch_table_thunk;
    epoxy_glVertexAttrib2hvNV = epoxy_glVertexAttrib2hvNV_dispatch_table_thunk;
    epoxy_glVertexAttrib2s = epoxy_glVertexAttrib2s_dispatch_table_thunk;
    epoxy_glVertexAttrib2sARB = epoxy_glVertexAttrib2sARB_dispatch_table_thunk;
    epoxy_glVertexAttrib2sNV = epoxy_glVertexAttrib2sNV_dispatch_table_thunk;
    epoxy_glVertexAttrib2sv = epoxy_glVertexAttrib2sv_dispatch_table_thunk;
    epoxy_glVertexAttrib2svARB = epoxy_glVertexAttrib2svARB_dispatch_table_thunk;
    epoxy_glVertexAttrib2svNV = epoxy_glVertexAttrib2svNV_dispatch_table_thunk;
    epoxy_glVertexAttrib3d = epoxy_glVertexAttrib3d_dispatch_table_thunk;
    epoxy_glVertexAttrib3dARB = epoxy_glVertexAttrib3dARB_dispatch_table_thunk;
    epoxy_glVertexAttrib3dNV = epoxy_glVertexAttrib3dNV_dispatch_table_thunk;
    epoxy_glVertexAttrib3dv = epoxy_glVertexAttrib3dv_dispatch_table_thunk;
    epoxy_glVertexAttrib3dvARB = epoxy_glVertexAttrib3dvARB_dispatch_table_thunk;
    epoxy_glVertexAttrib3dvNV = epoxy_glVertexAttrib3dvNV_dispatch_table_thunk;
    epoxy_glVertexAttrib3f = epoxy_glVertexAttrib3f_dispatch_table_thunk;
    epoxy_glVertexAttrib3fARB = epoxy_glVertexAttrib3fARB_dispatch_table_thunk;
    epoxy_glVertexAttrib3fNV = epoxy_glVertexAttrib3fNV_dispatch_table_thunk;
    epoxy_glVertexAttrib3fv = epoxy_glVertexAttrib3fv_dispatch_table_thunk;
    epoxy_glVertexAttrib3fvARB = epoxy_glVertexAttrib3fvARB_dispatch_table_thunk;
    epoxy_glVertexAttrib3fvNV = epoxy_glVertexAttrib3fvNV_dispatch_table_thunk;
    epoxy_glVertexAttrib3hNV = epoxy_glVertexAttrib3hNV_dispatch_table_thunk;
    epoxy_glVertexAttrib3hvNV = epoxy_glVertexAttrib3hvNV_dispatch_table_thunk;
    epoxy_glVertexAttrib3s = epoxy_glVertexAttrib3s_dispatch_table_thunk;
    epoxy_glVertexAttrib3sARB = epoxy_glVertexAttrib3sARB_dispatch_table_thunk;
    epoxy_glVertexAttrib3sNV = epoxy_glVertexAttrib3sNV_dispatch_table_thunk;
    epoxy_glVertexAttrib3sv = epoxy_glVertexAttrib3sv_dispatch_table_thunk;
    epoxy_glVertexAttrib3svARB = epoxy_glVertexAttrib3svARB_dispatch_table_thunk;
    epoxy_glVertexAttrib3svNV = epoxy_glVertexAttrib3svNV_dispatch_table_thunk;
    epoxy_glVertexAttrib4Nbv = epoxy_glVertexAttrib4Nbv_dispatch_table_thunk;
    epoxy_glVertexAttrib4NbvARB = epoxy_glVertexAttrib4NbvARB_dispatch_table_thunk;
    epoxy_glVertexAttrib4Niv = epoxy_glVertexAttrib4Niv_dispatch_table_thunk;
    epoxy_glVertexAttrib4NivARB = epoxy_glVertexAttrib4NivARB_dispatch_table_thunk;
    epoxy_glVertexAttrib4Nsv = epoxy_glVertexAttrib4Nsv_dispatch_table_thunk;
    epoxy_glVertexAttrib4NsvARB = epoxy_glVertexAttrib4NsvARB_dispatch_table_thunk;
    epoxy_glVertexAttrib4Nub = epoxy_glVertexAttrib4Nub_dispatch_table_thunk;
    epoxy_glVertexAttrib4NubARB = epoxy_glVertexAttrib4NubARB_dispatch_table_thunk;
    epoxy_glVertexAttrib4Nubv = epoxy_glVertexAttrib4Nubv_dispatch_table_thunk;
    epoxy_glVertexAttrib4NubvARB = epoxy_glVertexAttrib4NubvARB_dispatch_table_thunk;
    epoxy_glVertexAttrib4Nuiv = epoxy_glVertexAttrib4Nuiv_dispatch_table_thunk;
    epoxy_glVertexAttrib4NuivARB = epoxy_glVertexAttrib4NuivARB_dispatch_table_thunk;
    epoxy_glVertexAttrib4Nusv = epoxy_glVertexAttrib4Nusv_dispatch_table_thunk;
    epoxy_glVertexAttrib4NusvARB = epoxy_glVertexAttrib4NusvARB_dispatch_table_thunk;
    epoxy_glVertexAttrib4bv = epoxy_glVertexAttrib4bv_dispatch_table_thunk;
    epoxy_glVertexAttrib4bvARB = epoxy_glVertexAttrib4bvARB_dispatch_table_thunk;
    epoxy_glVertexAttrib4d = epoxy_glVertexAttrib4d_dispatch_table_thunk;
    epoxy_glVertexAttrib4dARB = epoxy_glVertexAttrib4dARB_dispatch_table_thunk;
    epoxy_glVertexAttrib4dNV = epoxy_glVertexAttrib4dNV_dispatch_table_thunk;
    epoxy_glVertexAttrib4dv = epoxy_glVertexAttrib4dv_dispatch_table_thunk;
    epoxy_glVertexAttrib4dvARB = epoxy_glVertexAttrib4dvARB_dispatch_table_thunk;
    epoxy_glVertexAttrib4dvNV = epoxy_glVertexAttrib4dvNV_dispatch_table_thunk;
    epoxy_glVertexAttrib4f = epoxy_glVertexAttrib4f_dispatch_table_thunk;
    epoxy_glVertexAttrib4fARB = epoxy_glVertexAttrib4fARB_dispatch_table_thunk;
    epoxy_glVertexAttrib4fNV = epoxy_glVertexAttrib4fNV_dispatch_table_thunk;
    epoxy_glVertexAttrib4fv = epoxy_glVertexAttrib4fv_dispatch_table_thunk;
    epoxy_glVertexAttrib4fvARB = epoxy_glVertexAttrib4fvARB_dispatch_table_thunk;
    epoxy_glVertexAttrib4fvNV = epoxy_glVertexAttrib4fvNV_dispatch_table_thunk;
    epoxy_glVertexAttrib4hNV = epoxy_glVertexAttrib4hNV_dispatch_table_thunk;
    epoxy_glVertexAttrib4hvNV = epoxy_glVertexAttrib4hvNV_dispatch_table_thunk;
    epoxy_glVertexAttrib4iv = epoxy_glVertexAttrib4iv_dispatch_table_thunk;
    epoxy_glVertexAttrib4ivARB = epoxy_glVertexAttrib4ivARB_dispatch_table_thunk;
    epoxy_glVertexAttrib4s = epoxy_glVertexAttrib4s_dispatch_table_thunk;
    epoxy_glVertexAttrib4sARB = epoxy_glVertexAttrib4sARB_dispatch_table_thunk;
    epoxy_glVertexAttrib4sNV = epoxy_glVertexAttrib4sNV_dispatch_table_thunk;
    epoxy_glVertexAttrib4sv = epoxy_glVertexAttrib4sv_dispatch_table_thunk;
    epoxy_glVertexAttrib4svARB = epoxy_glVertexAttrib4svARB_dispatch_table_thunk;
    epoxy_glVertexAttrib4svNV = epoxy_glVertexAttrib4svNV_dispatch_table_thunk;
    epoxy_glVertexAttrib4ubNV = epoxy_glVertexAttrib4ubNV_dispatch_table_thunk;
    epoxy_glVertexAttrib4ubv = epoxy_glVertexAttrib4ubv_dispatch_table_thunk;
    epoxy_glVertexAttrib4ubvARB = epoxy_glVertexAttrib4ubvARB_dispatch_table_thunk;
    epoxy_glVertexAttrib4ubvNV = epoxy_glVertexAttrib4ubvNV_dispatch_table_thunk;
    epoxy_glVertexAttrib4uiv = epoxy_glVertexAttrib4uiv_dispatch_table_thunk;
    epoxy_glVertexAttrib4uivARB = epoxy_glVertexAttrib4uivARB_dispatch_table_thunk;
    epoxy_glVertexAttrib4usv = epoxy_glVertexAttrib4usv_dispatch_table_thunk;
    epoxy_glVertexAttrib4usvARB = epoxy_glVertexAttrib4usvARB_dispatch_table_thunk;
    epoxy_glVertexAttribArrayObjectATI = epoxy_glVertexAttribArrayObjectATI_dispatch_table_thunk;
    epoxy_glVertexAttribBinding = epoxy_glVertexAttribBinding_dispatch_table_thunk;
    epoxy_glVertexAttribDivisor = epoxy_glVertexAttribDivisor_dispatch_table_thunk;
    epoxy_glVertexAttribDivisorANGLE = epoxy_glVertexAttribDivisorANGLE_dispatch_table_thunk;
    epoxy_glVertexAttribDivisorARB = epoxy_glVertexAttribDivisorARB_dispatch_table_thunk;
    epoxy_glVertexAttribDivisorEXT = epoxy_glVertexAttribDivisorEXT_dispatch_table_thunk;
    epoxy_glVertexAttribDivisorNV = epoxy_glVertexAttribDivisorNV_dispatch_table_thunk;
    epoxy_glVertexAttribFormat = epoxy_glVertexAttribFormat_dispatch_table_thunk;
    epoxy_glVertexAttribFormatNV = epoxy_glVertexAttribFormatNV_dispatch_table_thunk;
    epoxy_glVertexAttribI1i = epoxy_glVertexAttribI1i_dispatch_table_thunk;
    epoxy_glVertexAttribI1iEXT = epoxy_glVertexAttribI1iEXT_dispatch_table_thunk;
    epoxy_glVertexAttribI1iv = epoxy_glVertexAttribI1iv_dispatch_table_thunk;
    epoxy_glVertexAttribI1ivEXT = epoxy_glVertexAttribI1ivEXT_dispatch_table_thunk;
    epoxy_glVertexAttribI1ui = epoxy_glVertexAttribI1ui_dispatch_table_thunk;
    epoxy_glVertexAttribI1uiEXT = epoxy_glVertexAttribI1uiEXT_dispatch_table_thunk;
    epoxy_glVertexAttribI1uiv = epoxy_glVertexAttribI1uiv_dispatch_table_thunk;
    epoxy_glVertexAttribI1uivEXT = epoxy_glVertexAttribI1uivEXT_dispatch_table_thunk;
    epoxy_glVertexAttribI2i = epoxy_glVertexAttribI2i_dispatch_table_thunk;
    epoxy_glVertexAttribI2iEXT = epoxy_glVertexAttribI2iEXT_dispatch_table_thunk;
    epoxy_glVertexAttribI2iv = epoxy_glVertexAttribI2iv_dispatch_table_thunk;
    epoxy_glVertexAttribI2ivEXT = epoxy_glVertexAttribI2ivEXT_dispatch_table_thunk;
    epoxy_glVertexAttribI2ui = epoxy_glVertexAttribI2ui_dispatch_table_thunk;
    epoxy_glVertexAttribI2uiEXT = epoxy_glVertexAttribI2uiEXT_dispatch_table_thunk;
    epoxy_glVertexAttribI2uiv = epoxy_glVertexAttribI2uiv_dispatch_table_thunk;
    epoxy_glVertexAttribI2uivEXT = epoxy_glVertexAttribI2uivEXT_dispatch_table_thunk;
    epoxy_glVertexAttribI3i = epoxy_glVertexAttribI3i_dispatch_table_thunk;
    epoxy_glVertexAttribI3iEXT = epoxy_glVertexAttribI3iEXT_dispatch_table_thunk;
    epoxy_glVertexAttribI3iv = epoxy_glVertexAttribI3iv_dispatch_table_thunk;
    epoxy_glVertexAttribI3ivEXT = epoxy_glVertexAttribI3ivEXT_dispatch_table_thunk;
    epoxy_glVertexAttribI3ui = epoxy_glVertexAttribI3ui_dispatch_table_thunk;
    epoxy_glVertexAttribI3uiEXT = epoxy_glVertexAttribI3uiEXT_dispatch_table_thunk;
    epoxy_glVertexAttribI3uiv = epoxy_glVertexAttribI3uiv_dispatch_table_thunk;
    epoxy_glVertexAttribI3uivEXT = epoxy_glVertexAttribI3uivEXT_dispatch_table_thunk;
    epoxy_glVertexAttribI4bv = epoxy_glVertexAttribI4bv_dispatch_table_thunk;
    epoxy_glVertexAttribI4bvEXT = epoxy_glVertexAttribI4bvEXT_dispatch_table_thunk;
    epoxy_glVertexAttribI4i = epoxy_glVertexAttribI4i_dispatch_table_thunk;
    epoxy_glVertexAttribI4iEXT = epoxy_glVertexAttribI4iEXT_dispatch_table_thunk;
    epoxy_glVertexAttribI4iv = epoxy_glVertexAttribI4iv_dispatch_table_thunk;
    epoxy_glVertexAttribI4ivEXT = epoxy_glVertexAttribI4ivEXT_dispatch_table_thunk;
    epoxy_glVertexAttribI4sv = epoxy_glVertexAttribI4sv_dispatch_table_thunk;
    epoxy_glVertexAttribI4svEXT = epoxy_glVertexAttribI4svEXT_dispatch_table_thunk;
    epoxy_glVertexAttribI4ubv = epoxy_glVertexAttribI4ubv_dispatch_table_thunk;
    epoxy_glVertexAttribI4ubvEXT = epoxy_glVertexAttribI4ubvEXT_dispatch_table_thunk;
    epoxy_glVertexAttribI4ui = epoxy_glVertexAttribI4ui_dispatch_table_thunk;
    epoxy_glVertexAttribI4uiEXT = epoxy_glVertexAttribI4uiEXT_dispatch_table_thunk;
    epoxy_glVertexAttribI4uiv = epoxy_glVertexAttribI4uiv_dispatch_table_thunk;
    epoxy_glVertexAttribI4uivEXT = epoxy_glVertexAttribI4uivEXT_dispatch_table_thunk;
    epoxy_glVertexAttribI4usv = epoxy_glVertexAttribI4usv_dispatch_table_thunk;
    epoxy_glVertexAttribI4usvEXT = epoxy_glVertexAttribI4usvEXT_dispatch_table_thunk;
    epoxy_glVertexAttribIFormat = epoxy_glVertexAttribIFormat_dispatch_table_thunk;
    epoxy_glVertexAttribIFormatNV = epoxy_glVertexAttribIFormatNV_dispatch_table_thunk;
    epoxy_glVertexAttribIPointer = epoxy_glVertexAttribIPointer_dispatch_table_thunk;
    epoxy_glVertexAttribIPointerEXT = epoxy_glVertexAttribIPointerEXT_dispatch_table_thunk;
    epoxy_glVertexAttribL1d = epoxy_glVertexAttribL1d_dispatch_table_thunk;
    epoxy_glVertexAttribL1dEXT = epoxy_glVertexAttribL1dEXT_dispatch_table_thunk;
    epoxy_glVertexAttribL1dv = epoxy_glVertexAttribL1dv_dispatch_table_thunk;
    epoxy_glVertexAttribL1dvEXT = epoxy_glVertexAttribL1dvEXT_dispatch_table_thunk;
    epoxy_glVertexAttribL1i64NV = epoxy_glVertexAttribL1i64NV_dispatch_table_thunk;
    epoxy_glVertexAttribL1i64vNV = epoxy_glVertexAttribL1i64vNV_dispatch_table_thunk;
    epoxy_glVertexAttribL1ui64ARB = epoxy_glVertexAttribL1ui64ARB_dispatch_table_thunk;
    epoxy_glVertexAttribL1ui64NV = epoxy_glVertexAttribL1ui64NV_dispatch_table_thunk;
    epoxy_glVertexAttribL1ui64vARB = epoxy_glVertexAttribL1ui64vARB_dispatch_table_thunk;
    epoxy_glVertexAttribL1ui64vNV = epoxy_glVertexAttribL1ui64vNV_dispatch_table_thunk;
    epoxy_glVertexAttribL2d = epoxy_glVertexAttribL2d_dispatch_table_thunk;
    epoxy_glVertexAttribL2dEXT = epoxy_glVertexAttribL2dEXT_dispatch_table_thunk;
    epoxy_glVertexAttribL2dv = epoxy_glVertexAttribL2dv_dispatch_table_thunk;
    epoxy_glVertexAttribL2dvEXT = epoxy_glVertexAttribL2dvEXT_dispatch_table_thunk;
    epoxy_glVertexAttribL2i64NV = epoxy_glVertexAttribL2i64NV_dispatch_table_thunk;
    epoxy_glVertexAttribL2i64vNV = epoxy_glVertexAttribL2i64vNV_dispatch_table_thunk;
    epoxy_glVertexAttribL2ui64NV = epoxy_glVertexAttribL2ui64NV_dispatch_table_thunk;
    epoxy_glVertexAttribL2ui64vNV = epoxy_glVertexAttribL2ui64vNV_dispatch_table_thunk;
    epoxy_glVertexAttribL3d = epoxy_glVertexAttribL3d_dispatch_table_thunk;
    epoxy_glVertexAttribL3dEXT = epoxy_glVertexAttribL3dEXT_dispatch_table_thunk;
    epoxy_glVertexAttribL3dv = epoxy_glVertexAttribL3dv_dispatch_table_thunk;
    epoxy_glVertexAttribL3dvEXT = epoxy_glVertexAttribL3dvEXT_dispatch_table_thunk;
    epoxy_glVertexAttribL3i64NV = epoxy_glVertexAttribL3i64NV_dispatch_table_thunk;
    epoxy_glVertexAttribL3i64vNV = epoxy_glVertexAttribL3i64vNV_dispatch_table_thunk;
    epoxy_glVertexAttribL3ui64NV = epoxy_glVertexAttribL3ui64NV_dispatch_table_thunk;
    epoxy_glVertexAttribL3ui64vNV = epoxy_glVertexAttribL3ui64vNV_dispatch_table_thunk;
    epoxy_glVertexAttribL4d = epoxy_glVertexAttribL4d_dispatch_table_thunk;
    epoxy_glVertexAttribL4dEXT = epoxy_glVertexAttribL4dEXT_dispatch_table_thunk;
    epoxy_glVertexAttribL4dv = epoxy_glVertexAttribL4dv_dispatch_table_thunk;
    epoxy_glVertexAttribL4dvEXT = epoxy_glVertexAttribL4dvEXT_dispatch_table_thunk;
    epoxy_glVertexAttribL4i64NV = epoxy_glVertexAttribL4i64NV_dispatch_table_thunk;
    epoxy_glVertexAttribL4i64vNV = epoxy_glVertexAttribL4i64vNV_dispatch_table_thunk;
    epoxy_glVertexAttribL4ui64NV = epoxy_glVertexAttribL4ui64NV_dispatch_table_thunk;
    epoxy_glVertexAttribL4ui64vNV = epoxy_glVertexAttribL4ui64vNV_dispatch_table_thunk;
    epoxy_glVertexAttribLFormat = epoxy_glVertexAttribLFormat_dispatch_table_thunk;
    epoxy_glVertexAttribLFormatNV = epoxy_glVertexAttribLFormatNV_dispatch_table_thunk;
    epoxy_glVertexAttribLPointer = epoxy_glVertexAttribLPointer_dispatch_table_thunk;
    epoxy_glVertexAttribLPointerEXT = epoxy_glVertexAttribLPointerEXT_dispatch_table_thunk;
    epoxy_glVertexAttribP1ui = epoxy_glVertexAttribP1ui_dispatch_table_thunk;
    epoxy_glVertexAttribP1uiv = epoxy_glVertexAttribP1uiv_dispatch_table_thunk;
    epoxy_glVertexAttribP2ui = epoxy_glVertexAttribP2ui_dispatch_table_thunk;
    epoxy_glVertexAttribP2uiv = epoxy_glVertexAttribP2uiv_dispatch_table_thunk;
    epoxy_glVertexAttribP3ui = epoxy_glVertexAttribP3ui_dispatch_table_thunk;
    epoxy_glVertexAttribP3uiv = epoxy_glVertexAttribP3uiv_dispatch_table_thunk;
    epoxy_glVertexAttribP4ui = epoxy_glVertexAttribP4ui_dispatch_table_thunk;
    epoxy_glVertexAttribP4uiv = epoxy_glVertexAttribP4uiv_dispatch_table_thunk;
    epoxy_glVertexAttribParameteriAMD = epoxy_glVertexAttribParameteriAMD_dispatch_table_thunk;
    epoxy_glVertexAttribPointer = epoxy_glVertexAttribPointer_dispatch_table_thunk;
    epoxy_glVertexAttribPointerARB = epoxy_glVertexAttribPointerARB_dispatch_table_thunk;
    epoxy_glVertexAttribPointerNV = epoxy_glVertexAttribPointerNV_dispatch_table_thunk;
    epoxy_glVertexAttribs1dvNV = epoxy_glVertexAttribs1dvNV_dispatch_table_thunk;
    epoxy_glVertexAttribs1fvNV = epoxy_glVertexAttribs1fvNV_dispatch_table_thunk;
    epoxy_glVertexAttribs1hvNV = epoxy_glVertexAttribs1hvNV_dispatch_table_thunk;
    epoxy_glVertexAttribs1svNV = epoxy_glVertexAttribs1svNV_dispatch_table_thunk;
    epoxy_glVertexAttribs2dvNV = epoxy_glVertexAttribs2dvNV_dispatch_table_thunk;
    epoxy_glVertexAttribs2fvNV = epoxy_glVertexAttribs2fvNV_dispatch_table_thunk;
    epoxy_glVertexAttribs2hvNV = epoxy_glVertexAttribs2hvNV_dispatch_table_thunk;
    epoxy_glVertexAttribs2svNV = epoxy_glVertexAttribs2svNV_dispatch_table_thunk;
    epoxy_glVertexAttribs3dvNV = epoxy_glVertexAttribs3dvNV_dispatch_table_thunk;
    epoxy_glVertexAttribs3fvNV = epoxy_glVertexAttribs3fvNV_dispatch_table_thunk;
    epoxy_glVertexAttribs3hvNV = epoxy_glVertexAttribs3hvNV_dispatch_table_thunk;
    epoxy_glVertexAttribs3svNV = epoxy_glVertexAttribs3svNV_dispatch_table_thunk;
    epoxy_glVertexAttribs4dvNV = epoxy_glVertexAttribs4dvNV_dispatch_table_thunk;
    epoxy_glVertexAttribs4fvNV = epoxy_glVertexAttribs4fvNV_dispatch_table_thunk;
    epoxy_glVertexAttribs4hvNV = epoxy_glVertexAttribs4hvNV_dispatch_table_thunk;
    epoxy_glVertexAttribs4svNV = epoxy_glVertexAttribs4svNV_dispatch_table_thunk;
    epoxy_glVertexAttribs4ubvNV = epoxy_glVertexAttribs4ubvNV_dispatch_table_thunk;
    epoxy_glVertexBindingDivisor = epoxy_glVertexBindingDivisor_dispatch_table_thunk;
    epoxy_glVertexBlendARB = epoxy_glVertexBlendARB_dispatch_table_thunk;
    epoxy_glVertexBlendEnvfATI = epoxy_glVertexBlendEnvfATI_dispatch_table_thunk;
    epoxy_glVertexBlendEnviATI = epoxy_glVertexBlendEnviATI_dispatch_table_thunk;
    epoxy_glVertexFormatNV = epoxy_glVertexFormatNV_dispatch_table_thunk;
    epoxy_glVertexP2ui = epoxy_glVertexP2ui_dispatch_table_thunk;
    epoxy_glVertexP2uiv = epoxy_glVertexP2uiv_dispatch_table_thunk;
    epoxy_glVertexP3ui = epoxy_glVertexP3ui_dispatch_table_thunk;
    epoxy_glVertexP3uiv = epoxy_glVertexP3uiv_dispatch_table_thunk;
    epoxy_glVertexP4ui = epoxy_glVertexP4ui_dispatch_table_thunk;
    epoxy_glVertexP4uiv = epoxy_glVertexP4uiv_dispatch_table_thunk;
    epoxy_glVertexPointer = epoxy_glVertexPointer_dispatch_table_thunk;
    epoxy_glVertexPointerEXT = epoxy_glVertexPointerEXT_dispatch_table_thunk;
    epoxy_glVertexPointerListIBM = epoxy_glVertexPointerListIBM_dispatch_table_thunk;
    epoxy_glVertexPointervINTEL = epoxy_glVertexPointervINTEL_dispatch_table_thunk;
    epoxy_glVertexStream1dATI = epoxy_glVertexStream1dATI_dispatch_table_thunk;
    epoxy_glVertexStream1dvATI = epoxy_glVertexStream1dvATI_dispatch_table_thunk;
    epoxy_glVertexStream1fATI = epoxy_glVertexStream1fATI_dispatch_table_thunk;
    epoxy_glVertexStream1fvATI = epoxy_glVertexStream1fvATI_dispatch_table_thunk;
    epoxy_glVertexStream1iATI = epoxy_glVertexStream1iATI_dispatch_table_thunk;
    epoxy_glVertexStream1ivATI = epoxy_glVertexStream1ivATI_dispatch_table_thunk;
    epoxy_glVertexStream1sATI = epoxy_glVertexStream1sATI_dispatch_table_thunk;
    epoxy_glVertexStream1svATI = epoxy_glVertexStream1svATI_dispatch_table_thunk;
    epoxy_glVertexStream2dATI = epoxy_glVertexStream2dATI_dispatch_table_thunk;
    epoxy_glVertexStream2dvATI = epoxy_glVertexStream2dvATI_dispatch_table_thunk;
    epoxy_glVertexStream2fATI = epoxy_glVertexStream2fATI_dispatch_table_thunk;
    epoxy_glVertexStream2fvATI = epoxy_glVertexStream2fvATI_dispatch_table_thunk;
    epoxy_glVertexStream2iATI = epoxy_glVertexStream2iATI_dispatch_table_thunk;
    epoxy_glVertexStream2ivATI = epoxy_glVertexStream2ivATI_dispatch_table_thunk;
    epoxy_glVertexStream2sATI = epoxy_glVertexStream2sATI_dispatch_table_thunk;
    epoxy_glVertexStream2svATI = epoxy_glVertexStream2svATI_dispatch_table_thunk;
    epoxy_glVertexStream3dATI = epoxy_glVertexStream3dATI_dispatch_table_thunk;
    epoxy_glVertexStream3dvATI = epoxy_glVertexStream3dvATI_dispatch_table_thunk;
    epoxy_glVertexStream3fATI = epoxy_glVertexStream3fATI_dispatch_table_thunk;
    epoxy_glVertexStream3fvATI = epoxy_glVertexStream3fvATI_dispatch_table_thunk;
    epoxy_glVertexStream3iATI = epoxy_glVertexStream3iATI_dispatch_table_thunk;
    epoxy_glVertexStream3ivATI = epoxy_glVertexStream3ivATI_dispatch_table_thunk;
    epoxy_glVertexStream3sATI = epoxy_glVertexStream3sATI_dispatch_table_thunk;
    epoxy_glVertexStream3svATI = epoxy_glVertexStream3svATI_dispatch_table_thunk;
    epoxy_glVertexStream4dATI = epoxy_glVertexStream4dATI_dispatch_table_thunk;
    epoxy_glVertexStream4dvATI = epoxy_glVertexStream4dvATI_dispatch_table_thunk;
    epoxy_glVertexStream4fATI = epoxy_glVertexStream4fATI_dispatch_table_thunk;
    epoxy_glVertexStream4fvATI = epoxy_glVertexStream4fvATI_dispatch_table_thunk;
    epoxy_glVertexStream4iATI = epoxy_glVertexStream4iATI_dispatch_table_thunk;
    epoxy_glVertexStream4ivATI = epoxy_glVertexStream4ivATI_dispatch_table_thunk;
    epoxy_glVertexStream4sATI = epoxy_glVertexStream4sATI_dispatch_table_thunk;
    epoxy_glVertexStream4svATI = epoxy_glVertexStream4svATI_dispatch_table_thunk;
    epoxy_glVertexWeightPointerEXT = epoxy_glVertexWeightPointerEXT_dispatch_table_thunk;
    epoxy_glVertexWeightfEXT = epoxy_glVertexWeightfEXT_dispatch_table_thunk;
    epoxy_glVertexWeightfvEXT = epoxy_glVertexWeightfvEXT_dispatch_table_thunk;
    epoxy_glVertexWeighthNV = epoxy_glVertexWeighthNV_dispatch_table_thunk;
    epoxy_glVertexWeighthvNV = epoxy_glVertexWeighthvNV_dispatch_table_thunk;
    epoxy_glVideoCaptureNV = epoxy_glVideoCaptureNV_dispatch_table_thunk;
    epoxy_glVideoCaptureStreamParameterdvNV = epoxy_glVideoCaptureStreamParameterdvNV_dispatch_table_thunk;
    epoxy_glVideoCaptureStreamParameterfvNV = epoxy_glVideoCaptureStreamParameterfvNV_dispatch_table_thunk;
    epoxy_glVideoCaptureStreamParameterivNV = epoxy_glVideoCaptureStreamParameterivNV_dispatch_table_thunk;
    epoxy_glViewport = epoxy_glViewport_dispatch_table_thunk;
    epoxy_glViewportArrayv = epoxy_glViewportArrayv_dispatch_table_thunk;
    epoxy_glViewportIndexedf = epoxy_glViewportIndexedf_dispatch_table_thunk;
    epoxy_glViewportIndexedfv = epoxy_glViewportIndexedfv_dispatch_table_thunk;
    epoxy_glWaitSync = epoxy_glWaitSync_dispatch_table_thunk;
    epoxy_glWaitSyncAPPLE = epoxy_glWaitSyncAPPLE_dispatch_table_thunk;
    epoxy_glWeightPathsNV = epoxy_glWeightPathsNV_dispatch_table_thunk;
    epoxy_glWeightPointerARB = epoxy_glWeightPointerARB_dispatch_table_thunk;
    epoxy_glWeightPointerOES = epoxy_glWeightPointerOES_dispatch_table_thunk;
    epoxy_glWeightbvARB = epoxy_glWeightbvARB_dispatch_table_thunk;
    epoxy_glWeightdvARB = epoxy_glWeightdvARB_dispatch_table_thunk;
    epoxy_glWeightfvARB = epoxy_glWeightfvARB_dispatch_table_thunk;
    epoxy_glWeightivARB = epoxy_glWeightivARB_dispatch_table_thunk;
    epoxy_glWeightsvARB = epoxy_glWeightsvARB_dispatch_table_thunk;
    epoxy_glWeightubvARB = epoxy_glWeightubvARB_dispatch_table_thunk;
    epoxy_glWeightuivARB = epoxy_glWeightuivARB_dispatch_table_thunk;
    epoxy_glWeightusvARB = epoxy_glWeightusvARB_dispatch_table_thunk;
    epoxy_glWindowPos2d = epoxy_glWindowPos2d_dispatch_table_thunk;
    epoxy_glWindowPos2dARB = epoxy_glWindowPos2dARB_dispatch_table_thunk;
    epoxy_glWindowPos2dMESA = epoxy_glWindowPos2dMESA_dispatch_table_thunk;
    epoxy_glWindowPos2dv = epoxy_glWindowPos2dv_dispatch_table_thunk;
    epoxy_glWindowPos2dvARB = epoxy_glWindowPos2dvARB_dispatch_table_thunk;
    epoxy_glWindowPos2dvMESA = epoxy_glWindowPos2dvMESA_dispatch_table_thunk;
    epoxy_glWindowPos2f = epoxy_glWindowPos2f_dispatch_table_thunk;
    epoxy_glWindowPos2fARB = epoxy_glWindowPos2fARB_dispatch_table_thunk;
    epoxy_glWindowPos2fMESA = epoxy_glWindowPos2fMESA_dispatch_table_thunk;
    epoxy_glWindowPos2fv = epoxy_glWindowPos2fv_dispatch_table_thunk;
    epoxy_glWindowPos2fvARB = epoxy_glWindowPos2fvARB_dispatch_table_thunk;
    epoxy_glWindowPos2fvMESA = epoxy_glWindowPos2fvMESA_dispatch_table_thunk;
    epoxy_glWindowPos2i = epoxy_glWindowPos2i_dispatch_table_thunk;
    epoxy_glWindowPos2iARB = epoxy_glWindowPos2iARB_dispatch_table_thunk;
    epoxy_glWindowPos2iMESA = epoxy_glWindowPos2iMESA_dispatch_table_thunk;
    epoxy_glWindowPos2iv = epoxy_glWindowPos2iv_dispatch_table_thunk;
    epoxy_glWindowPos2ivARB = epoxy_glWindowPos2ivARB_dispatch_table_thunk;
    epoxy_glWindowPos2ivMESA = epoxy_glWindowPos2ivMESA_dispatch_table_thunk;
    epoxy_glWindowPos2s = epoxy_glWindowPos2s_dispatch_table_thunk;
    epoxy_glWindowPos2sARB = epoxy_glWindowPos2sARB_dispatch_table_thunk;
    epoxy_glWindowPos2sMESA = epoxy_glWindowPos2sMESA_dispatch_table_thunk;
    epoxy_glWindowPos2sv = epoxy_glWindowPos2sv_dispatch_table_thunk;
    epoxy_glWindowPos2svARB = epoxy_glWindowPos2svARB_dispatch_table_thunk;
    epoxy_glWindowPos2svMESA = epoxy_glWindowPos2svMESA_dispatch_table_thunk;
    epoxy_glWindowPos3d = epoxy_glWindowPos3d_dispatch_table_thunk;
    epoxy_glWindowPos3dARB = epoxy_glWindowPos3dARB_dispatch_table_thunk;
    epoxy_glWindowPos3dMESA = epoxy_glWindowPos3dMESA_dispatch_table_thunk;
    epoxy_glWindowPos3dv = epoxy_glWindowPos3dv_dispatch_table_thunk;
    epoxy_glWindowPos3dvARB = epoxy_glWindowPos3dvARB_dispatch_table_thunk;
    epoxy_glWindowPos3dvMESA = epoxy_glWindowPos3dvMESA_dispatch_table_thunk;
    epoxy_glWindowPos3f = epoxy_glWindowPos3f_dispatch_table_thunk;
    epoxy_glWindowPos3fARB = epoxy_glWindowPos3fARB_dispatch_table_thunk;
    epoxy_glWindowPos3fMESA = epoxy_glWindowPos3fMESA_dispatch_table_thunk;
    epoxy_glWindowPos3fv = epoxy_glWindowPos3fv_dispatch_table_thunk;
    epoxy_glWindowPos3fvARB = epoxy_glWindowPos3fvARB_dispatch_table_thunk;
    epoxy_glWindowPos3fvMESA = epoxy_glWindowPos3fvMESA_dispatch_table_thunk;
    epoxy_glWindowPos3i = epoxy_glWindowPos3i_dispatch_table_thunk;
    epoxy_glWindowPos3iARB = epoxy_glWindowPos3iARB_dispatch_table_thunk;
    epoxy_glWindowPos3iMESA = epoxy_glWindowPos3iMESA_dispatch_table_thunk;
    epoxy_glWindowPos3iv = epoxy_glWindowPos3iv_dispatch_table_thunk;
    epoxy_glWindowPos3ivARB = epoxy_glWindowPos3ivARB_dispatch_table_thunk;
    epoxy_glWindowPos3ivMESA = epoxy_glWindowPos3ivMESA_dispatch_table_thunk;
    epoxy_glWindowPos3s = epoxy_glWindowPos3s_dispatch_table_thunk;
    epoxy_glWindowPos3sARB = epoxy_glWindowPos3sARB_dispatch_table_thunk;
    epoxy_glWindowPos3sMESA = epoxy_glWindowPos3sMESA_dispatch_table_thunk;
    epoxy_glWindowPos3sv = epoxy_glWindowPos3sv_dispatch_table_thunk;
    epoxy_glWindowPos3svARB = epoxy_glWindowPos3svARB_dispatch_table_thunk;
    epoxy_glWindowPos3svMESA = epoxy_glWindowPos3svMESA_dispatch_table_thunk;
    epoxy_glWindowPos4dMESA = epoxy_glWindowPos4dMESA_dispatch_table_thunk;
    epoxy_glWindowPos4dvMESA = epoxy_glWindowPos4dvMESA_dispatch_table_thunk;
    epoxy_glWindowPos4fMESA = epoxy_glWindowPos4fMESA_dispatch_table_thunk;
    epoxy_glWindowPos4fvMESA = epoxy_glWindowPos4fvMESA_dispatch_table_thunk;
    epoxy_glWindowPos4iMESA = epoxy_glWindowPos4iMESA_dispatch_table_thunk;
    epoxy_glWindowPos4ivMESA = epoxy_glWindowPos4ivMESA_dispatch_table_thunk;
    epoxy_glWindowPos4sMESA = epoxy_glWindowPos4sMESA_dispatch_table_thunk;
    epoxy_glWindowPos4svMESA = epoxy_glWindowPos4svMESA_dispatch_table_thunk;
    epoxy_glWriteMaskEXT = epoxy_glWriteMaskEXT_dispatch_table_thunk;
}

#endif /* !USING_DISPATCH_TABLE */
PUBLIC PFNGLACCUMPROC epoxy_glAccum = epoxy_glAccum_global_rewrite_ptr;

PUBLIC PFNGLACCUMXOESPROC epoxy_glAccumxOES = epoxy_glAccumxOES_global_rewrite_ptr;

PUBLIC PFNGLACTIVEPROGRAMEXTPROC epoxy_glActiveProgramEXT = epoxy_glActiveProgramEXT_global_rewrite_ptr;

PUBLIC PFNGLACTIVESHADERPROGRAMPROC epoxy_glActiveShaderProgram = epoxy_glActiveShaderProgram_global_rewrite_ptr;

PUBLIC PFNGLACTIVESHADERPROGRAMEXTPROC epoxy_glActiveShaderProgramEXT = epoxy_glActiveShaderProgramEXT_global_rewrite_ptr;

PUBLIC PFNGLACTIVESTENCILFACEEXTPROC epoxy_glActiveStencilFaceEXT = epoxy_glActiveStencilFaceEXT_global_rewrite_ptr;

PUBLIC PFNGLACTIVETEXTUREPROC epoxy_glActiveTexture = epoxy_glActiveTexture_global_rewrite_ptr;

PUBLIC PFNGLACTIVETEXTUREARBPROC epoxy_glActiveTextureARB = epoxy_glActiveTextureARB_global_rewrite_ptr;

PUBLIC PFNGLACTIVEVARYINGNVPROC epoxy_glActiveVaryingNV = epoxy_glActiveVaryingNV_global_rewrite_ptr;

PUBLIC PFNGLALPHAFRAGMENTOP1ATIPROC epoxy_glAlphaFragmentOp1ATI = epoxy_glAlphaFragmentOp1ATI_global_rewrite_ptr;

PUBLIC PFNGLALPHAFRAGMENTOP2ATIPROC epoxy_glAlphaFragmentOp2ATI = epoxy_glAlphaFragmentOp2ATI_global_rewrite_ptr;

PUBLIC PFNGLALPHAFRAGMENTOP3ATIPROC epoxy_glAlphaFragmentOp3ATI = epoxy_glAlphaFragmentOp3ATI_global_rewrite_ptr;

PUBLIC PFNGLALPHAFUNCPROC epoxy_glAlphaFunc = epoxy_glAlphaFunc_global_rewrite_ptr;

PUBLIC PFNGLALPHAFUNCQCOMPROC epoxy_glAlphaFuncQCOM = epoxy_glAlphaFuncQCOM_global_rewrite_ptr;

PUBLIC PFNGLALPHAFUNCXPROC epoxy_glAlphaFuncx = epoxy_glAlphaFuncx_global_rewrite_ptr;

PUBLIC PFNGLALPHAFUNCXOESPROC epoxy_glAlphaFuncxOES = epoxy_glAlphaFuncxOES_global_rewrite_ptr;

PUBLIC PFNGLAPPLYTEXTUREEXTPROC epoxy_glApplyTextureEXT = epoxy_glApplyTextureEXT_global_rewrite_ptr;

PUBLIC PFNGLAREPROGRAMSRESIDENTNVPROC epoxy_glAreProgramsResidentNV = epoxy_glAreProgramsResidentNV_global_rewrite_ptr;

PUBLIC PFNGLARETEXTURESRESIDENTPROC epoxy_glAreTexturesResident = epoxy_glAreTexturesResident_global_rewrite_ptr;

PUBLIC PFNGLARETEXTURESRESIDENTEXTPROC epoxy_glAreTexturesResidentEXT = epoxy_glAreTexturesResidentEXT_global_rewrite_ptr;

PUBLIC PFNGLARRAYELEMENTPROC epoxy_glArrayElement = epoxy_glArrayElement_global_rewrite_ptr;

PUBLIC PFNGLARRAYELEMENTEXTPROC epoxy_glArrayElementEXT = epoxy_glArrayElementEXT_global_rewrite_ptr;

PUBLIC PFNGLARRAYOBJECTATIPROC epoxy_glArrayObjectATI = epoxy_glArrayObjectATI_global_rewrite_ptr;

PUBLIC PFNGLASYNCMARKERSGIXPROC epoxy_glAsyncMarkerSGIX = epoxy_glAsyncMarkerSGIX_global_rewrite_ptr;

PUBLIC PFNGLATTACHOBJECTARBPROC epoxy_glAttachObjectARB = epoxy_glAttachObjectARB_global_rewrite_ptr;

PUBLIC PFNGLATTACHSHADERPROC epoxy_glAttachShader = epoxy_glAttachShader_global_rewrite_ptr;

PFNGLBEGINPROC epoxy_glBegin_unwrapped = epoxy_glBegin_unwrapped_global_rewrite_ptr;

PUBLIC PFNGLBEGINCONDITIONALRENDERPROC epoxy_glBeginConditionalRender = epoxy_glBeginConditionalRender_global_rewrite_ptr;

PUBLIC PFNGLBEGINCONDITIONALRENDERNVPROC epoxy_glBeginConditionalRenderNV = epoxy_glBeginConditionalRenderNV_global_rewrite_ptr;

PUBLIC PFNGLBEGINCONDITIONALRENDERNVXPROC epoxy_glBeginConditionalRenderNVX = epoxy_glBeginConditionalRenderNVX_global_rewrite_ptr;

PUBLIC PFNGLBEGINFRAGMENTSHADERATIPROC epoxy_glBeginFragmentShaderATI = epoxy_glBeginFragmentShaderATI_global_rewrite_ptr;

PUBLIC PFNGLBEGINOCCLUSIONQUERYNVPROC epoxy_glBeginOcclusionQueryNV = epoxy_glBeginOcclusionQueryNV_global_rewrite_ptr;

PUBLIC PFNGLBEGINPERFMONITORAMDPROC epoxy_glBeginPerfMonitorAMD = epoxy_glBeginPerfMonitorAMD_global_rewrite_ptr;

PUBLIC PFNGLBEGINPERFQUERYINTELPROC epoxy_glBeginPerfQueryINTEL = epoxy_glBeginPerfQueryINTEL_global_rewrite_ptr;

PUBLIC PFNGLBEGINQUERYPROC epoxy_glBeginQuery = epoxy_glBeginQuery_global_rewrite_ptr;

PUBLIC PFNGLBEGINQUERYARBPROC epoxy_glBeginQueryARB = epoxy_glBeginQueryARB_global_rewrite_ptr;

PUBLIC PFNGLBEGINQUERYEXTPROC epoxy_glBeginQueryEXT = epoxy_glBeginQueryEXT_global_rewrite_ptr;

PUBLIC PFNGLBEGINQUERYINDEXEDPROC epoxy_glBeginQueryIndexed = epoxy_glBeginQueryIndexed_global_rewrite_ptr;

PUBLIC PFNGLBEGINTRANSFORMFEEDBACKPROC epoxy_glBeginTransformFeedback = epoxy_glBeginTransformFeedback_global_rewrite_ptr;

PUBLIC PFNGLBEGINTRANSFORMFEEDBACKEXTPROC epoxy_glBeginTransformFeedbackEXT = epoxy_glBeginTransformFeedbackEXT_global_rewrite_ptr;

PUBLIC PFNGLBEGINTRANSFORMFEEDBACKNVPROC epoxy_glBeginTransformFeedbackNV = epoxy_glBeginTransformFeedbackNV_global_rewrite_ptr;

PUBLIC PFNGLBEGINVERTEXSHADEREXTPROC epoxy_glBeginVertexShaderEXT = epoxy_glBeginVertexShaderEXT_global_rewrite_ptr;

PUBLIC PFNGLBEGINVIDEOCAPTURENVPROC epoxy_glBeginVideoCaptureNV = epoxy_glBeginVideoCaptureNV_global_rewrite_ptr;

PUBLIC PFNGLBINDATTRIBLOCATIONPROC epoxy_glBindAttribLocation = epoxy_glBindAttribLocation_global_rewrite_ptr;

PUBLIC PFNGLBINDATTRIBLOCATIONARBPROC epoxy_glBindAttribLocationARB = epoxy_glBindAttribLocationARB_global_rewrite_ptr;

PUBLIC PFNGLBINDBUFFERPROC epoxy_glBindBuffer = epoxy_glBindBuffer_global_rewrite_ptr;

PUBLIC PFNGLBINDBUFFERARBPROC epoxy_glBindBufferARB = epoxy_glBindBufferARB_global_rewrite_ptr;

PUBLIC PFNGLBINDBUFFERBASEPROC epoxy_glBindBufferBase = epoxy_glBindBufferBase_global_rewrite_ptr;

PUBLIC PFNGLBINDBUFFERBASEEXTPROC epoxy_glBindBufferBaseEXT = epoxy_glBindBufferBaseEXT_global_rewrite_ptr;

PUBLIC PFNGLBINDBUFFERBASENVPROC epoxy_glBindBufferBaseNV = epoxy_glBindBufferBaseNV_global_rewrite_ptr;

PUBLIC PFNGLBINDBUFFEROFFSETEXTPROC epoxy_glBindBufferOffsetEXT = epoxy_glBindBufferOffsetEXT_global_rewrite_ptr;

PUBLIC PFNGLBINDBUFFEROFFSETNVPROC epoxy_glBindBufferOffsetNV = epoxy_glBindBufferOffsetNV_global_rewrite_ptr;

PUBLIC PFNGLBINDBUFFERRANGEPROC epoxy_glBindBufferRange = epoxy_glBindBufferRange_global_rewrite_ptr;

PUBLIC PFNGLBINDBUFFERRANGEEXTPROC epoxy_glBindBufferRangeEXT = epoxy_glBindBufferRangeEXT_global_rewrite_ptr;

PUBLIC PFNGLBINDBUFFERRANGENVPROC epoxy_glBindBufferRangeNV = epoxy_glBindBufferRangeNV_global_rewrite_ptr;

PUBLIC PFNGLBINDBUFFERSBASEPROC epoxy_glBindBuffersBase = epoxy_glBindBuffersBase_global_rewrite_ptr;

PUBLIC PFNGLBINDBUFFERSRANGEPROC epoxy_glBindBuffersRange = epoxy_glBindBuffersRange_global_rewrite_ptr;

PUBLIC PFNGLBINDFRAGDATALOCATIONPROC epoxy_glBindFragDataLocation = epoxy_glBindFragDataLocation_global_rewrite_ptr;

PUBLIC PFNGLBINDFRAGDATALOCATIONEXTPROC epoxy_glBindFragDataLocationEXT = epoxy_glBindFragDataLocationEXT_global_rewrite_ptr;

PUBLIC PFNGLBINDFRAGDATALOCATIONINDEXEDPROC epoxy_glBindFragDataLocationIndexed = epoxy_glBindFragDataLocationIndexed_global_rewrite_ptr;

PUBLIC PFNGLBINDFRAGMENTSHADERATIPROC epoxy_glBindFragmentShaderATI = epoxy_glBindFragmentShaderATI_global_rewrite_ptr;

PUBLIC PFNGLBINDFRAMEBUFFERPROC epoxy_glBindFramebuffer = epoxy_glBindFramebuffer_global_rewrite_ptr;

PUBLIC PFNGLBINDFRAMEBUFFEREXTPROC epoxy_glBindFramebufferEXT = epoxy_glBindFramebufferEXT_global_rewrite_ptr;

PUBLIC PFNGLBINDFRAMEBUFFEROESPROC epoxy_glBindFramebufferOES = epoxy_glBindFramebufferOES_global_rewrite_ptr;

PUBLIC PFNGLBINDIMAGETEXTUREPROC epoxy_glBindImageTexture = epoxy_glBindImageTexture_global_rewrite_ptr;

PUBLIC PFNGLBINDIMAGETEXTUREEXTPROC epoxy_glBindImageTextureEXT = epoxy_glBindImageTextureEXT_global_rewrite_ptr;

PUBLIC PFNGLBINDIMAGETEXTURESPROC epoxy_glBindImageTextures = epoxy_glBindImageTextures_global_rewrite_ptr;

PUBLIC PFNGLBINDLIGHTPARAMETEREXTPROC epoxy_glBindLightParameterEXT = epoxy_glBindLightParameterEXT_global_rewrite_ptr;

PUBLIC PFNGLBINDMATERIALPARAMETEREXTPROC epoxy_glBindMaterialParameterEXT = epoxy_glBindMaterialParameterEXT_global_rewrite_ptr;

PUBLIC PFNGLBINDMULTITEXTUREEXTPROC epoxy_glBindMultiTextureEXT = epoxy_glBindMultiTextureEXT_global_rewrite_ptr;

PUBLIC PFNGLBINDPARAMETEREXTPROC epoxy_glBindParameterEXT = epoxy_glBindParameterEXT_global_rewrite_ptr;

PUBLIC PFNGLBINDPROGRAMARBPROC epoxy_glBindProgramARB = epoxy_glBindProgramARB_global_rewrite_ptr;

PUBLIC PFNGLBINDPROGRAMNVPROC epoxy_glBindProgramNV = epoxy_glBindProgramNV_global_rewrite_ptr;

PUBLIC PFNGLBINDPROGRAMPIPELINEPROC epoxy_glBindProgramPipeline = epoxy_glBindProgramPipeline_global_rewrite_ptr;

PUBLIC PFNGLBINDPROGRAMPIPELINEEXTPROC epoxy_glBindProgramPipelineEXT = epoxy_glBindProgramPipelineEXT_global_rewrite_ptr;

PUBLIC PFNGLBINDRENDERBUFFERPROC epoxy_glBindRenderbuffer = epoxy_glBindRenderbuffer_global_rewrite_ptr;

PUBLIC PFNGLBINDRENDERBUFFEREXTPROC epoxy_glBindRenderbufferEXT = epoxy_glBindRenderbufferEXT_global_rewrite_ptr;

PUBLIC PFNGLBINDRENDERBUFFEROESPROC epoxy_glBindRenderbufferOES = epoxy_glBindRenderbufferOES_global_rewrite_ptr;

PUBLIC PFNGLBINDSAMPLERPROC epoxy_glBindSampler = epoxy_glBindSampler_global_rewrite_ptr;

PUBLIC PFNGLBINDSAMPLERSPROC epoxy_glBindSamplers = epoxy_glBindSamplers_global_rewrite_ptr;

PUBLIC PFNGLBINDTEXGENPARAMETEREXTPROC epoxy_glBindTexGenParameterEXT = epoxy_glBindTexGenParameterEXT_global_rewrite_ptr;

PUBLIC PFNGLBINDTEXTUREPROC epoxy_glBindTexture = epoxy_glBindTexture_global_rewrite_ptr;

PUBLIC PFNGLBINDTEXTUREEXTPROC epoxy_glBindTextureEXT = epoxy_glBindTextureEXT_global_rewrite_ptr;

PUBLIC PFNGLBINDTEXTUREUNITPARAMETEREXTPROC epoxy_glBindTextureUnitParameterEXT = epoxy_glBindTextureUnitParameterEXT_global_rewrite_ptr;

PUBLIC PFNGLBINDTEXTURESPROC epoxy_glBindTextures = epoxy_glBindTextures_global_rewrite_ptr;

PUBLIC PFNGLBINDTRANSFORMFEEDBACKPROC epoxy_glBindTransformFeedback = epoxy_glBindTransformFeedback_global_rewrite_ptr;

PUBLIC PFNGLBINDTRANSFORMFEEDBACKNVPROC epoxy_glBindTransformFeedbackNV = epoxy_glBindTransformFeedbackNV_global_rewrite_ptr;

PUBLIC PFNGLBINDVERTEXARRAYPROC epoxy_glBindVertexArray = epoxy_glBindVertexArray_global_rewrite_ptr;

PUBLIC PFNGLBINDVERTEXARRAYAPPLEPROC epoxy_glBindVertexArrayAPPLE = epoxy_glBindVertexArrayAPPLE_global_rewrite_ptr;

PUBLIC PFNGLBINDVERTEXARRAYOESPROC epoxy_glBindVertexArrayOES = epoxy_glBindVertexArrayOES_global_rewrite_ptr;

PUBLIC PFNGLBINDVERTEXBUFFERPROC epoxy_glBindVertexBuffer = epoxy_glBindVertexBuffer_global_rewrite_ptr;

PUBLIC PFNGLBINDVERTEXBUFFERSPROC epoxy_glBindVertexBuffers = epoxy_glBindVertexBuffers_global_rewrite_ptr;

PUBLIC PFNGLBINDVERTEXSHADEREXTPROC epoxy_glBindVertexShaderEXT = epoxy_glBindVertexShaderEXT_global_rewrite_ptr;

PUBLIC PFNGLBINDVIDEOCAPTURESTREAMBUFFERNVPROC epoxy_glBindVideoCaptureStreamBufferNV = epoxy_glBindVideoCaptureStreamBufferNV_global_rewrite_ptr;

PUBLIC PFNGLBINDVIDEOCAPTURESTREAMTEXTURENVPROC epoxy_glBindVideoCaptureStreamTextureNV = epoxy_glBindVideoCaptureStreamTextureNV_global_rewrite_ptr;

PUBLIC PFNGLBINORMAL3BEXTPROC epoxy_glBinormal3bEXT = epoxy_glBinormal3bEXT_global_rewrite_ptr;

PUBLIC PFNGLBINORMAL3BVEXTPROC epoxy_glBinormal3bvEXT = epoxy_glBinormal3bvEXT_global_rewrite_ptr;

PUBLIC PFNGLBINORMAL3DEXTPROC epoxy_glBinormal3dEXT = epoxy_glBinormal3dEXT_global_rewrite_ptr;

PUBLIC PFNGLBINORMAL3DVEXTPROC epoxy_glBinormal3dvEXT = epoxy_glBinormal3dvEXT_global_rewrite_ptr;

PUBLIC PFNGLBINORMAL3FEXTPROC epoxy_glBinormal3fEXT = epoxy_glBinormal3fEXT_global_rewrite_ptr;

PUBLIC PFNGLBINORMAL3FVEXTPROC epoxy_glBinormal3fvEXT = epoxy_glBinormal3fvEXT_global_rewrite_ptr;

PUBLIC PFNGLBINORMAL3IEXTPROC epoxy_glBinormal3iEXT = epoxy_glBinormal3iEXT_global_rewrite_ptr;

PUBLIC PFNGLBINORMAL3IVEXTPROC epoxy_glBinormal3ivEXT = epoxy_glBinormal3ivEXT_global_rewrite_ptr;

PUBLIC PFNGLBINORMAL3SEXTPROC epoxy_glBinormal3sEXT = epoxy_glBinormal3sEXT_global_rewrite_ptr;

PUBLIC PFNGLBINORMAL3SVEXTPROC epoxy_glBinormal3svEXT = epoxy_glBinormal3svEXT_global_rewrite_ptr;

PUBLIC PFNGLBINORMALPOINTEREXTPROC epoxy_glBinormalPointerEXT = epoxy_glBinormalPointerEXT_global_rewrite_ptr;

PUBLIC PFNGLBITMAPPROC epoxy_glBitmap = epoxy_glBitmap_global_rewrite_ptr;

PUBLIC PFNGLBITMAPXOESPROC epoxy_glBitmapxOES = epoxy_glBitmapxOES_global_rewrite_ptr;

PUBLIC PFNGLBLENDBARRIERKHRPROC epoxy_glBlendBarrierKHR = epoxy_glBlendBarrierKHR_global_rewrite_ptr;

PUBLIC PFNGLBLENDBARRIERNVPROC epoxy_glBlendBarrierNV = epoxy_glBlendBarrierNV_global_rewrite_ptr;

PUBLIC PFNGLBLENDCOLORPROC epoxy_glBlendColor = epoxy_glBlendColor_global_rewrite_ptr;

PUBLIC PFNGLBLENDCOLOREXTPROC epoxy_glBlendColorEXT = epoxy_glBlendColorEXT_global_rewrite_ptr;

PUBLIC PFNGLBLENDCOLORXOESPROC epoxy_glBlendColorxOES = epoxy_glBlendColorxOES_global_rewrite_ptr;

PUBLIC PFNGLBLENDEQUATIONPROC epoxy_glBlendEquation = epoxy_glBlendEquation_global_rewrite_ptr;

PUBLIC PFNGLBLENDEQUATIONEXTPROC epoxy_glBlendEquationEXT = epoxy_glBlendEquationEXT_global_rewrite_ptr;

PUBLIC PFNGLBLENDEQUATIONINDEXEDAMDPROC epoxy_glBlendEquationIndexedAMD = epoxy_glBlendEquationIndexedAMD_global_rewrite_ptr;

PUBLIC PFNGLBLENDEQUATIONOESPROC epoxy_glBlendEquationOES = epoxy_glBlendEquationOES_global_rewrite_ptr;

PUBLIC PFNGLBLENDEQUATIONSEPARATEPROC epoxy_glBlendEquationSeparate = epoxy_glBlendEquationSeparate_global_rewrite_ptr;

PUBLIC PFNGLBLENDEQUATIONSEPARATEEXTPROC epoxy_glBlendEquationSeparateEXT = epoxy_glBlendEquationSeparateEXT_global_rewrite_ptr;

PUBLIC PFNGLBLENDEQUATIONSEPARATEINDEXEDAMDPROC epoxy_glBlendEquationSeparateIndexedAMD = epoxy_glBlendEquationSeparateIndexedAMD_global_rewrite_ptr;

PUBLIC PFNGLBLENDEQUATIONSEPARATEOESPROC epoxy_glBlendEquationSeparateOES = epoxy_glBlendEquationSeparateOES_global_rewrite_ptr;

PUBLIC PFNGLBLENDEQUATIONSEPARATEIPROC epoxy_glBlendEquationSeparatei = epoxy_glBlendEquationSeparatei_global_rewrite_ptr;

PUBLIC PFNGLBLENDEQUATIONSEPARATEIARBPROC epoxy_glBlendEquationSeparateiARB = epoxy_glBlendEquationSeparateiARB_global_rewrite_ptr;

PUBLIC PFNGLBLENDEQUATIONIPROC epoxy_glBlendEquationi = epoxy_glBlendEquationi_global_rewrite_ptr;

PUBLIC PFNGLBLENDEQUATIONIARBPROC epoxy_glBlendEquationiARB = epoxy_glBlendEquationiARB_global_rewrite_ptr;

PUBLIC PFNGLBLENDFUNCPROC epoxy_glBlendFunc = epoxy_glBlendFunc_global_rewrite_ptr;

PUBLIC PFNGLBLENDFUNCINDEXEDAMDPROC epoxy_glBlendFuncIndexedAMD = epoxy_glBlendFuncIndexedAMD_global_rewrite_ptr;

PUBLIC PFNGLBLENDFUNCSEPARATEPROC epoxy_glBlendFuncSeparate = epoxy_glBlendFuncSeparate_global_rewrite_ptr;

PUBLIC PFNGLBLENDFUNCSEPARATEEXTPROC epoxy_glBlendFuncSeparateEXT = epoxy_glBlendFuncSeparateEXT_global_rewrite_ptr;

PUBLIC PFNGLBLENDFUNCSEPARATEINGRPROC epoxy_glBlendFuncSeparateINGR = epoxy_glBlendFuncSeparateINGR_global_rewrite_ptr;

PUBLIC PFNGLBLENDFUNCSEPARATEINDEXEDAMDPROC epoxy_glBlendFuncSeparateIndexedAMD = epoxy_glBlendFuncSeparateIndexedAMD_global_rewrite_ptr;

PUBLIC PFNGLBLENDFUNCSEPARATEOESPROC epoxy_glBlendFuncSeparateOES = epoxy_glBlendFuncSeparateOES_global_rewrite_ptr;

PUBLIC PFNGLBLENDFUNCSEPARATEIPROC epoxy_glBlendFuncSeparatei = epoxy_glBlendFuncSeparatei_global_rewrite_ptr;

PUBLIC PFNGLBLENDFUNCSEPARATEIARBPROC epoxy_glBlendFuncSeparateiARB = epoxy_glBlendFuncSeparateiARB_global_rewrite_ptr;

PUBLIC PFNGLBLENDFUNCIPROC epoxy_glBlendFunci = epoxy_glBlendFunci_global_rewrite_ptr;

PUBLIC PFNGLBLENDFUNCIARBPROC epoxy_glBlendFunciARB = epoxy_glBlendFunciARB_global_rewrite_ptr;

PUBLIC PFNGLBLENDPARAMETERINVPROC epoxy_glBlendParameteriNV = epoxy_glBlendParameteriNV_global_rewrite_ptr;

PUBLIC PFNGLBLITFRAMEBUFFERPROC epoxy_glBlitFramebuffer = epoxy_glBlitFramebuffer_global_rewrite_ptr;

PUBLIC PFNGLBLITFRAMEBUFFERANGLEPROC epoxy_glBlitFramebufferANGLE = epoxy_glBlitFramebufferANGLE_global_rewrite_ptr;

PUBLIC PFNGLBLITFRAMEBUFFEREXTPROC epoxy_glBlitFramebufferEXT = epoxy_glBlitFramebufferEXT_global_rewrite_ptr;

PUBLIC PFNGLBLITFRAMEBUFFERNVPROC epoxy_glBlitFramebufferNV = epoxy_glBlitFramebufferNV_global_rewrite_ptr;

PUBLIC PFNGLBUFFERADDRESSRANGENVPROC epoxy_glBufferAddressRangeNV = epoxy_glBufferAddressRangeNV_global_rewrite_ptr;

PUBLIC PFNGLBUFFERDATAPROC epoxy_glBufferData = epoxy_glBufferData_global_rewrite_ptr;

PUBLIC PFNGLBUFFERDATAARBPROC epoxy_glBufferDataARB = epoxy_glBufferDataARB_global_rewrite_ptr;

PUBLIC PFNGLBUFFERPARAMETERIAPPLEPROC epoxy_glBufferParameteriAPPLE = epoxy_glBufferParameteriAPPLE_global_rewrite_ptr;

PUBLIC PFNGLBUFFERSTORAGEPROC epoxy_glBufferStorage = epoxy_glBufferStorage_global_rewrite_ptr;

PUBLIC PFNGLBUFFERSUBDATAPROC epoxy_glBufferSubData = epoxy_glBufferSubData_global_rewrite_ptr;

PUBLIC PFNGLBUFFERSUBDATAARBPROC epoxy_glBufferSubDataARB = epoxy_glBufferSubDataARB_global_rewrite_ptr;

PUBLIC PFNGLCALLLISTPROC epoxy_glCallList = epoxy_glCallList_global_rewrite_ptr;

PUBLIC PFNGLCALLLISTSPROC epoxy_glCallLists = epoxy_glCallLists_global_rewrite_ptr;

PUBLIC PFNGLCHECKFRAMEBUFFERSTATUSPROC epoxy_glCheckFramebufferStatus = epoxy_glCheckFramebufferStatus_global_rewrite_ptr;

PUBLIC PFNGLCHECKFRAMEBUFFERSTATUSEXTPROC epoxy_glCheckFramebufferStatusEXT = epoxy_glCheckFramebufferStatusEXT_global_rewrite_ptr;

PUBLIC PFNGLCHECKFRAMEBUFFERSTATUSOESPROC epoxy_glCheckFramebufferStatusOES = epoxy_glCheckFramebufferStatusOES_global_rewrite_ptr;

PUBLIC PFNGLCHECKNAMEDFRAMEBUFFERSTATUSEXTPROC epoxy_glCheckNamedFramebufferStatusEXT = epoxy_glCheckNamedFramebufferStatusEXT_global_rewrite_ptr;

PUBLIC PFNGLCLAMPCOLORPROC epoxy_glClampColor = epoxy_glClampColor_global_rewrite_ptr;

PUBLIC PFNGLCLAMPCOLORARBPROC epoxy_glClampColorARB = epoxy_glClampColorARB_global_rewrite_ptr;

PUBLIC PFNGLCLEARPROC epoxy_glClear = epoxy_glClear_global_rewrite_ptr;

PUBLIC PFNGLCLEARACCUMPROC epoxy_glClearAccum = epoxy_glClearAccum_global_rewrite_ptr;

PUBLIC PFNGLCLEARACCUMXOESPROC epoxy_glClearAccumxOES = epoxy_glClearAccumxOES_global_rewrite_ptr;

PUBLIC PFNGLCLEARBUFFERDATAPROC epoxy_glClearBufferData = epoxy_glClearBufferData_global_rewrite_ptr;

PUBLIC PFNGLCLEARBUFFERSUBDATAPROC epoxy_glClearBufferSubData = epoxy_glClearBufferSubData_global_rewrite_ptr;

PUBLIC PFNGLCLEARBUFFERFIPROC epoxy_glClearBufferfi = epoxy_glClearBufferfi_global_rewrite_ptr;

PUBLIC PFNGLCLEARBUFFERFVPROC epoxy_glClearBufferfv = epoxy_glClearBufferfv_global_rewrite_ptr;

PUBLIC PFNGLCLEARBUFFERIVPROC epoxy_glClearBufferiv = epoxy_glClearBufferiv_global_rewrite_ptr;

PUBLIC PFNGLCLEARBUFFERUIVPROC epoxy_glClearBufferuiv = epoxy_glClearBufferuiv_global_rewrite_ptr;

PUBLIC PFNGLCLEARCOLORPROC epoxy_glClearColor = epoxy_glClearColor_global_rewrite_ptr;

PUBLIC PFNGLCLEARCOLORIIEXTPROC epoxy_glClearColorIiEXT = epoxy_glClearColorIiEXT_global_rewrite_ptr;

PUBLIC PFNGLCLEARCOLORIUIEXTPROC epoxy_glClearColorIuiEXT = epoxy_glClearColorIuiEXT_global_rewrite_ptr;

PUBLIC PFNGLCLEARCOLORXPROC epoxy_glClearColorx = epoxy_glClearColorx_global_rewrite_ptr;

PUBLIC PFNGLCLEARCOLORXOESPROC epoxy_glClearColorxOES = epoxy_glClearColorxOES_global_rewrite_ptr;

PUBLIC PFNGLCLEARDEPTHPROC epoxy_glClearDepth = epoxy_glClearDepth_global_rewrite_ptr;

PUBLIC PFNGLCLEARDEPTHDNVPROC epoxy_glClearDepthdNV = epoxy_glClearDepthdNV_global_rewrite_ptr;

PUBLIC PFNGLCLEARDEPTHFPROC epoxy_glClearDepthf = epoxy_glClearDepthf_global_rewrite_ptr;

PUBLIC PFNGLCLEARDEPTHFOESPROC epoxy_glClearDepthfOES = epoxy_glClearDepthfOES_global_rewrite_ptr;

PUBLIC PFNGLCLEARDEPTHXPROC epoxy_glClearDepthx = epoxy_glClearDepthx_global_rewrite_ptr;

PUBLIC PFNGLCLEARDEPTHXOESPROC epoxy_glClearDepthxOES = epoxy_glClearDepthxOES_global_rewrite_ptr;

PUBLIC PFNGLCLEARINDEXPROC epoxy_glClearIndex = epoxy_glClearIndex_global_rewrite_ptr;

PUBLIC PFNGLCLEARNAMEDBUFFERDATAEXTPROC epoxy_glClearNamedBufferDataEXT = epoxy_glClearNamedBufferDataEXT_global_rewrite_ptr;

PUBLIC PFNGLCLEARNAMEDBUFFERSUBDATAEXTPROC epoxy_glClearNamedBufferSubDataEXT = epoxy_glClearNamedBufferSubDataEXT_global_rewrite_ptr;

PUBLIC PFNGLCLEARSTENCILPROC epoxy_glClearStencil = epoxy_glClearStencil_global_rewrite_ptr;

PUBLIC PFNGLCLEARTEXIMAGEPROC epoxy_glClearTexImage = epoxy_glClearTexImage_global_rewrite_ptr;

PUBLIC PFNGLCLEARTEXSUBIMAGEPROC epoxy_glClearTexSubImage = epoxy_glClearTexSubImage_global_rewrite_ptr;

PUBLIC PFNGLCLIENTACTIVETEXTUREPROC epoxy_glClientActiveTexture = epoxy_glClientActiveTexture_global_rewrite_ptr;

PUBLIC PFNGLCLIENTACTIVETEXTUREARBPROC epoxy_glClientActiveTextureARB = epoxy_glClientActiveTextureARB_global_rewrite_ptr;

PUBLIC PFNGLCLIENTACTIVEVERTEXSTREAMATIPROC epoxy_glClientActiveVertexStreamATI = epoxy_glClientActiveVertexStreamATI_global_rewrite_ptr;

PUBLIC PFNGLCLIENTATTRIBDEFAULTEXTPROC epoxy_glClientAttribDefaultEXT = epoxy_glClientAttribDefaultEXT_global_rewrite_ptr;

PUBLIC PFNGLCLIENTWAITSYNCPROC epoxy_glClientWaitSync = epoxy_glClientWaitSync_global_rewrite_ptr;

PUBLIC PFNGLCLIENTWAITSYNCAPPLEPROC epoxy_glClientWaitSyncAPPLE = epoxy_glClientWaitSyncAPPLE_global_rewrite_ptr;

PUBLIC PFNGLCLIPPLANEPROC epoxy_glClipPlane = epoxy_glClipPlane_global_rewrite_ptr;

PUBLIC PFNGLCLIPPLANEFPROC epoxy_glClipPlanef = epoxy_glClipPlanef_global_rewrite_ptr;

PUBLIC PFNGLCLIPPLANEFIMGPROC epoxy_glClipPlanefIMG = epoxy_glClipPlanefIMG_global_rewrite_ptr;

PUBLIC PFNGLCLIPPLANEFOESPROC epoxy_glClipPlanefOES = epoxy_glClipPlanefOES_global_rewrite_ptr;

PUBLIC PFNGLCLIPPLANEXPROC epoxy_glClipPlanex = epoxy_glClipPlanex_global_rewrite_ptr;

PUBLIC PFNGLCLIPPLANEXIMGPROC epoxy_glClipPlanexIMG = epoxy_glClipPlanexIMG_global_rewrite_ptr;

PUBLIC PFNGLCLIPPLANEXOESPROC epoxy_glClipPlanexOES = epoxy_glClipPlanexOES_global_rewrite_ptr;

PUBLIC PFNGLCOLOR3BPROC epoxy_glColor3b = epoxy_glColor3b_global_rewrite_ptr;

PUBLIC PFNGLCOLOR3BVPROC epoxy_glColor3bv = epoxy_glColor3bv_global_rewrite_ptr;

PUBLIC PFNGLCOLOR3DPROC epoxy_glColor3d = epoxy_glColor3d_global_rewrite_ptr;

PUBLIC PFNGLCOLOR3DVPROC epoxy_glColor3dv = epoxy_glColor3dv_global_rewrite_ptr;

PUBLIC PFNGLCOLOR3FPROC epoxy_glColor3f = epoxy_glColor3f_global_rewrite_ptr;

PUBLIC PFNGLCOLOR3FVERTEX3FSUNPROC epoxy_glColor3fVertex3fSUN = epoxy_glColor3fVertex3fSUN_global_rewrite_ptr;

PUBLIC PFNGLCOLOR3FVERTEX3FVSUNPROC epoxy_glColor3fVertex3fvSUN = epoxy_glColor3fVertex3fvSUN_global_rewrite_ptr;

PUBLIC PFNGLCOLOR3FVPROC epoxy_glColor3fv = epoxy_glColor3fv_global_rewrite_ptr;

PUBLIC PFNGLCOLOR3HNVPROC epoxy_glColor3hNV = epoxy_glColor3hNV_global_rewrite_ptr;

PUBLIC PFNGLCOLOR3HVNVPROC epoxy_glColor3hvNV = epoxy_glColor3hvNV_global_rewrite_ptr;

PUBLIC PFNGLCOLOR3IPROC epoxy_glColor3i = epoxy_glColor3i_global_rewrite_ptr;

PUBLIC PFNGLCOLOR3IVPROC epoxy_glColor3iv = epoxy_glColor3iv_global_rewrite_ptr;

PUBLIC PFNGLCOLOR3SPROC epoxy_glColor3s = epoxy_glColor3s_global_rewrite_ptr;

PUBLIC PFNGLCOLOR3SVPROC epoxy_glColor3sv = epoxy_glColor3sv_global_rewrite_ptr;

PUBLIC PFNGLCOLOR3UBPROC epoxy_glColor3ub = epoxy_glColor3ub_global_rewrite_ptr;

PUBLIC PFNGLCOLOR3UBVPROC epoxy_glColor3ubv = epoxy_glColor3ubv_global_rewrite_ptr;

PUBLIC PFNGLCOLOR3UIPROC epoxy_glColor3ui = epoxy_glColor3ui_global_rewrite_ptr;

PUBLIC PFNGLCOLOR3UIVPROC epoxy_glColor3uiv = epoxy_glColor3uiv_global_rewrite_ptr;

PUBLIC PFNGLCOLOR3USPROC epoxy_glColor3us = epoxy_glColor3us_global_rewrite_ptr;

PUBLIC PFNGLCOLOR3USVPROC epoxy_glColor3usv = epoxy_glColor3usv_global_rewrite_ptr;

PUBLIC PFNGLCOLOR3XOESPROC epoxy_glColor3xOES = epoxy_glColor3xOES_global_rewrite_ptr;

PUBLIC PFNGLCOLOR3XVOESPROC epoxy_glColor3xvOES = epoxy_glColor3xvOES_global_rewrite_ptr;

PUBLIC PFNGLCOLOR4BPROC epoxy_glColor4b = epoxy_glColor4b_global_rewrite_ptr;

PUBLIC PFNGLCOLOR4BVPROC epoxy_glColor4bv = epoxy_glColor4bv_global_rewrite_ptr;

PUBLIC PFNGLCOLOR4DPROC epoxy_glColor4d = epoxy_glColor4d_global_rewrite_ptr;

PUBLIC PFNGLCOLOR4DVPROC epoxy_glColor4dv = epoxy_glColor4dv_global_rewrite_ptr;

PUBLIC PFNGLCOLOR4FPROC epoxy_glColor4f = epoxy_glColor4f_global_rewrite_ptr;

PUBLIC PFNGLCOLOR4FNORMAL3FVERTEX3FSUNPROC epoxy_glColor4fNormal3fVertex3fSUN = epoxy_glColor4fNormal3fVertex3fSUN_global_rewrite_ptr;

PUBLIC PFNGLCOLOR4FNORMAL3FVERTEX3FVSUNPROC epoxy_glColor4fNormal3fVertex3fvSUN = epoxy_glColor4fNormal3fVertex3fvSUN_global_rewrite_ptr;

PUBLIC PFNGLCOLOR4FVPROC epoxy_glColor4fv = epoxy_glColor4fv_global_rewrite_ptr;

PUBLIC PFNGLCOLOR4HNVPROC epoxy_glColor4hNV = epoxy_glColor4hNV_global_rewrite_ptr;

PUBLIC PFNGLCOLOR4HVNVPROC epoxy_glColor4hvNV = epoxy_glColor4hvNV_global_rewrite_ptr;

PUBLIC PFNGLCOLOR4IPROC epoxy_glColor4i = epoxy_glColor4i_global_rewrite_ptr;

PUBLIC PFNGLCOLOR4IVPROC epoxy_glColor4iv = epoxy_glColor4iv_global_rewrite_ptr;

PUBLIC PFNGLCOLOR4SPROC epoxy_glColor4s = epoxy_glColor4s_global_rewrite_ptr;

PUBLIC PFNGLCOLOR4SVPROC epoxy_glColor4sv = epoxy_glColor4sv_global_rewrite_ptr;

PUBLIC PFNGLCOLOR4UBPROC epoxy_glColor4ub = epoxy_glColor4ub_global_rewrite_ptr;

PUBLIC PFNGLCOLOR4UBVERTEX2FSUNPROC epoxy_glColor4ubVertex2fSUN = epoxy_glColor4ubVertex2fSUN_global_rewrite_ptr;

PUBLIC PFNGLCOLOR4UBVERTEX2FVSUNPROC epoxy_glColor4ubVertex2fvSUN = epoxy_glColor4ubVertex2fvSUN_global_rewrite_ptr;

PUBLIC PFNGLCOLOR4UBVERTEX3FSUNPROC epoxy_glColor4ubVertex3fSUN = epoxy_glColor4ubVertex3fSUN_global_rewrite_ptr;

PUBLIC PFNGLCOLOR4UBVERTEX3FVSUNPROC epoxy_glColor4ubVertex3fvSUN = epoxy_glColor4ubVertex3fvSUN_global_rewrite_ptr;

PUBLIC PFNGLCOLOR4UBVPROC epoxy_glColor4ubv = epoxy_glColor4ubv_global_rewrite_ptr;

PUBLIC PFNGLCOLOR4UIPROC epoxy_glColor4ui = epoxy_glColor4ui_global_rewrite_ptr;

PUBLIC PFNGLCOLOR4UIVPROC epoxy_glColor4uiv = epoxy_glColor4uiv_global_rewrite_ptr;

PUBLIC PFNGLCOLOR4USPROC epoxy_glColor4us = epoxy_glColor4us_global_rewrite_ptr;

PUBLIC PFNGLCOLOR4USVPROC epoxy_glColor4usv = epoxy_glColor4usv_global_rewrite_ptr;

PUBLIC PFNGLCOLOR4XPROC epoxy_glColor4x = epoxy_glColor4x_global_rewrite_ptr;

PUBLIC PFNGLCOLOR4XOESPROC epoxy_glColor4xOES = epoxy_glColor4xOES_global_rewrite_ptr;

PUBLIC PFNGLCOLOR4XVOESPROC epoxy_glColor4xvOES = epoxy_glColor4xvOES_global_rewrite_ptr;

PUBLIC PFNGLCOLORFORMATNVPROC epoxy_glColorFormatNV = epoxy_glColorFormatNV_global_rewrite_ptr;

PUBLIC PFNGLCOLORFRAGMENTOP1ATIPROC epoxy_glColorFragmentOp1ATI = epoxy_glColorFragmentOp1ATI_global_rewrite_ptr;

PUBLIC PFNGLCOLORFRAGMENTOP2ATIPROC epoxy_glColorFragmentOp2ATI = epoxy_glColorFragmentOp2ATI_global_rewrite_ptr;

PUBLIC PFNGLCOLORFRAGMENTOP3ATIPROC epoxy_glColorFragmentOp3ATI = epoxy_glColorFragmentOp3ATI_global_rewrite_ptr;

PUBLIC PFNGLCOLORMASKPROC epoxy_glColorMask = epoxy_glColorMask_global_rewrite_ptr;

PUBLIC PFNGLCOLORMASKINDEXEDEXTPROC epoxy_glColorMaskIndexedEXT = epoxy_glColorMaskIndexedEXT_global_rewrite_ptr;

PUBLIC PFNGLCOLORMASKIPROC epoxy_glColorMaski = epoxy_glColorMaski_global_rewrite_ptr;

PUBLIC PFNGLCOLORMATERIALPROC epoxy_glColorMaterial = epoxy_glColorMaterial_global_rewrite_ptr;

PUBLIC PFNGLCOLORP3UIPROC epoxy_glColorP3ui = epoxy_glColorP3ui_global_rewrite_ptr;

PUBLIC PFNGLCOLORP3UIVPROC epoxy_glColorP3uiv = epoxy_glColorP3uiv_global_rewrite_ptr;

PUBLIC PFNGLCOLORP4UIPROC epoxy_glColorP4ui = epoxy_glColorP4ui_global_rewrite_ptr;

PUBLIC PFNGLCOLORP4UIVPROC epoxy_glColorP4uiv = epoxy_glColorP4uiv_global_rewrite_ptr;

PUBLIC PFNGLCOLORPOINTERPROC epoxy_glColorPointer = epoxy_glColorPointer_global_rewrite_ptr;

PUBLIC PFNGLCOLORPOINTEREXTPROC epoxy_glColorPointerEXT = epoxy_glColorPointerEXT_global_rewrite_ptr;

PUBLIC PFNGLCOLORPOINTERLISTIBMPROC epoxy_glColorPointerListIBM = epoxy_glColorPointerListIBM_global_rewrite_ptr;

PUBLIC PFNGLCOLORPOINTERVINTELPROC epoxy_glColorPointervINTEL = epoxy_glColorPointervINTEL_global_rewrite_ptr;

PUBLIC PFNGLCOLORSUBTABLEPROC epoxy_glColorSubTable = epoxy_glColorSubTable_global_rewrite_ptr;

PUBLIC PFNGLCOLORSUBTABLEEXTPROC epoxy_glColorSubTableEXT = epoxy_glColorSubTableEXT_global_rewrite_ptr;

PUBLIC PFNGLCOLORTABLEPROC epoxy_glColorTable = epoxy_glColorTable_global_rewrite_ptr;

PUBLIC PFNGLCOLORTABLEEXTPROC epoxy_glColorTableEXT = epoxy_glColorTableEXT_global_rewrite_ptr;

PUBLIC PFNGLCOLORTABLEPARAMETERFVPROC epoxy_glColorTableParameterfv = epoxy_glColorTableParameterfv_global_rewrite_ptr;

PUBLIC PFNGLCOLORTABLEPARAMETERFVSGIPROC epoxy_glColorTableParameterfvSGI = epoxy_glColorTableParameterfvSGI_global_rewrite_ptr;

PUBLIC PFNGLCOLORTABLEPARAMETERIVPROC epoxy_glColorTableParameteriv = epoxy_glColorTableParameteriv_global_rewrite_ptr;

PUBLIC PFNGLCOLORTABLEPARAMETERIVSGIPROC epoxy_glColorTableParameterivSGI = epoxy_glColorTableParameterivSGI_global_rewrite_ptr;

PUBLIC PFNGLCOLORTABLESGIPROC epoxy_glColorTableSGI = epoxy_glColorTableSGI_global_rewrite_ptr;

PUBLIC PFNGLCOMBINERINPUTNVPROC epoxy_glCombinerInputNV = epoxy_glCombinerInputNV_global_rewrite_ptr;

PUBLIC PFNGLCOMBINEROUTPUTNVPROC epoxy_glCombinerOutputNV = epoxy_glCombinerOutputNV_global_rewrite_ptr;

PUBLIC PFNGLCOMBINERPARAMETERFNVPROC epoxy_glCombinerParameterfNV = epoxy_glCombinerParameterfNV_global_rewrite_ptr;

PUBLIC PFNGLCOMBINERPARAMETERFVNVPROC epoxy_glCombinerParameterfvNV = epoxy_glCombinerParameterfvNV_global_rewrite_ptr;

PUBLIC PFNGLCOMBINERPARAMETERINVPROC epoxy_glCombinerParameteriNV = epoxy_glCombinerParameteriNV_global_rewrite_ptr;

PUBLIC PFNGLCOMBINERPARAMETERIVNVPROC epoxy_glCombinerParameterivNV = epoxy_glCombinerParameterivNV_global_rewrite_ptr;

PUBLIC PFNGLCOMBINERSTAGEPARAMETERFVNVPROC epoxy_glCombinerStageParameterfvNV = epoxy_glCombinerStageParameterfvNV_global_rewrite_ptr;

PUBLIC PFNGLCOMPILESHADERPROC epoxy_glCompileShader = epoxy_glCompileShader_global_rewrite_ptr;

PUBLIC PFNGLCOMPILESHADERARBPROC epoxy_glCompileShaderARB = epoxy_glCompileShaderARB_global_rewrite_ptr;

PUBLIC PFNGLCOMPILESHADERINCLUDEARBPROC epoxy_glCompileShaderIncludeARB = epoxy_glCompileShaderIncludeARB_global_rewrite_ptr;

PUBLIC PFNGLCOMPRESSEDMULTITEXIMAGE1DEXTPROC epoxy_glCompressedMultiTexImage1DEXT = epoxy_glCompressedMultiTexImage1DEXT_global_rewrite_ptr;

PUBLIC PFNGLCOMPRESSEDMULTITEXIMAGE2DEXTPROC epoxy_glCompressedMultiTexImage2DEXT = epoxy_glCompressedMultiTexImage2DEXT_global_rewrite_ptr;

PUBLIC PFNGLCOMPRESSEDMULTITEXIMAGE3DEXTPROC epoxy_glCompressedMultiTexImage3DEXT = epoxy_glCompressedMultiTexImage3DEXT_global_rewrite_ptr;

PUBLIC PFNGLCOMPRESSEDMULTITEXSUBIMAGE1DEXTPROC epoxy_glCompressedMultiTexSubImage1DEXT = epoxy_glCompressedMultiTexSubImage1DEXT_global_rewrite_ptr;

PUBLIC PFNGLCOMPRESSEDMULTITEXSUBIMAGE2DEXTPROC epoxy_glCompressedMultiTexSubImage2DEXT = epoxy_glCompressedMultiTexSubImage2DEXT_global_rewrite_ptr;

PUBLIC PFNGLCOMPRESSEDMULTITEXSUBIMAGE3DEXTPROC epoxy_glCompressedMultiTexSubImage3DEXT = epoxy_glCompressedMultiTexSubImage3DEXT_global_rewrite_ptr;

PUBLIC PFNGLCOMPRESSEDTEXIMAGE1DPROC epoxy_glCompressedTexImage1D = epoxy_glCompressedTexImage1D_global_rewrite_ptr;

PUBLIC PFNGLCOMPRESSEDTEXIMAGE1DARBPROC epoxy_glCompressedTexImage1DARB = epoxy_glCompressedTexImage1DARB_global_rewrite_ptr;

PUBLIC PFNGLCOMPRESSEDTEXIMAGE2DPROC epoxy_glCompressedTexImage2D = epoxy_glCompressedTexImage2D_global_rewrite_ptr;

PUBLIC PFNGLCOMPRESSEDTEXIMAGE2DARBPROC epoxy_glCompressedTexImage2DARB = epoxy_glCompressedTexImage2DARB_global_rewrite_ptr;

PUBLIC PFNGLCOMPRESSEDTEXIMAGE3DPROC epoxy_glCompressedTexImage3D = epoxy_glCompressedTexImage3D_global_rewrite_ptr;

PUBLIC PFNGLCOMPRESSEDTEXIMAGE3DARBPROC epoxy_glCompressedTexImage3DARB = epoxy_glCompressedTexImage3DARB_global_rewrite_ptr;

PUBLIC PFNGLCOMPRESSEDTEXIMAGE3DOESPROC epoxy_glCompressedTexImage3DOES = epoxy_glCompressedTexImage3DOES_global_rewrite_ptr;

PUBLIC PFNGLCOMPRESSEDTEXSUBIMAGE1DPROC epoxy_glCompressedTexSubImage1D = epoxy_glCompressedTexSubImage1D_global_rewrite_ptr;

PUBLIC PFNGLCOMPRESSEDTEXSUBIMAGE1DARBPROC epoxy_glCompressedTexSubImage1DARB = epoxy_glCompressedTexSubImage1DARB_global_rewrite_ptr;

PUBLIC PFNGLCOMPRESSEDTEXSUBIMAGE2DPROC epoxy_glCompressedTexSubImage2D = epoxy_glCompressedTexSubImage2D_global_rewrite_ptr;

PUBLIC PFNGLCOMPRESSEDTEXSUBIMAGE2DARBPROC epoxy_glCompressedTexSubImage2DARB = epoxy_glCompressedTexSubImage2DARB_global_rewrite_ptr;

PUBLIC PFNGLCOMPRESSEDTEXSUBIMAGE3DPROC epoxy_glCompressedTexSubImage3D = epoxy_glCompressedTexSubImage3D_global_rewrite_ptr;

PUBLIC PFNGLCOMPRESSEDTEXSUBIMAGE3DARBPROC epoxy_glCompressedTexSubImage3DARB = epoxy_glCompressedTexSubImage3DARB_global_rewrite_ptr;

PUBLIC PFNGLCOMPRESSEDTEXSUBIMAGE3DOESPROC epoxy_glCompressedTexSubImage3DOES = epoxy_glCompressedTexSubImage3DOES_global_rewrite_ptr;

PUBLIC PFNGLCOMPRESSEDTEXTUREIMAGE1DEXTPROC epoxy_glCompressedTextureImage1DEXT = epoxy_glCompressedTextureImage1DEXT_global_rewrite_ptr;

PUBLIC PFNGLCOMPRESSEDTEXTUREIMAGE2DEXTPROC epoxy_glCompressedTextureImage2DEXT = epoxy_glCompressedTextureImage2DEXT_global_rewrite_ptr;

PUBLIC PFNGLCOMPRESSEDTEXTUREIMAGE3DEXTPROC epoxy_glCompressedTextureImage3DEXT = epoxy_glCompressedTextureImage3DEXT_global_rewrite_ptr;

PUBLIC PFNGLCOMPRESSEDTEXTURESUBIMAGE1DEXTPROC epoxy_glCompressedTextureSubImage1DEXT = epoxy_glCompressedTextureSubImage1DEXT_global_rewrite_ptr;

PUBLIC PFNGLCOMPRESSEDTEXTURESUBIMAGE2DEXTPROC epoxy_glCompressedTextureSubImage2DEXT = epoxy_glCompressedTextureSubImage2DEXT_global_rewrite_ptr;

PUBLIC PFNGLCOMPRESSEDTEXTURESUBIMAGE3DEXTPROC epoxy_glCompressedTextureSubImage3DEXT = epoxy_glCompressedTextureSubImage3DEXT_global_rewrite_ptr;

PUBLIC PFNGLCONVOLUTIONFILTER1DPROC epoxy_glConvolutionFilter1D = epoxy_glConvolutionFilter1D_global_rewrite_ptr;

PUBLIC PFNGLCONVOLUTIONFILTER1DEXTPROC epoxy_glConvolutionFilter1DEXT = epoxy_glConvolutionFilter1DEXT_global_rewrite_ptr;

PUBLIC PFNGLCONVOLUTIONFILTER2DPROC epoxy_glConvolutionFilter2D = epoxy_glConvolutionFilter2D_global_rewrite_ptr;

PUBLIC PFNGLCONVOLUTIONFILTER2DEXTPROC epoxy_glConvolutionFilter2DEXT = epoxy_glConvolutionFilter2DEXT_global_rewrite_ptr;

PUBLIC PFNGLCONVOLUTIONPARAMETERFPROC epoxy_glConvolutionParameterf = epoxy_glConvolutionParameterf_global_rewrite_ptr;

PUBLIC PFNGLCONVOLUTIONPARAMETERFEXTPROC epoxy_glConvolutionParameterfEXT = epoxy_glConvolutionParameterfEXT_global_rewrite_ptr;

PUBLIC PFNGLCONVOLUTIONPARAMETERFVPROC epoxy_glConvolutionParameterfv = epoxy_glConvolutionParameterfv_global_rewrite_ptr;

PUBLIC PFNGLCONVOLUTIONPARAMETERFVEXTPROC epoxy_glConvolutionParameterfvEXT = epoxy_glConvolutionParameterfvEXT_global_rewrite_ptr;

PUBLIC PFNGLCONVOLUTIONPARAMETERIPROC epoxy_glConvolutionParameteri = epoxy_glConvolutionParameteri_global_rewrite_ptr;

PUBLIC PFNGLCONVOLUTIONPARAMETERIEXTPROC epoxy_glConvolutionParameteriEXT = epoxy_glConvolutionParameteriEXT_global_rewrite_ptr;

PUBLIC PFNGLCONVOLUTIONPARAMETERIVPROC epoxy_glConvolutionParameteriv = epoxy_glConvolutionParameteriv_global_rewrite_ptr;

PUBLIC PFNGLCONVOLUTIONPARAMETERIVEXTPROC epoxy_glConvolutionParameterivEXT = epoxy_glConvolutionParameterivEXT_global_rewrite_ptr;

PUBLIC PFNGLCONVOLUTIONPARAMETERXOESPROC epoxy_glConvolutionParameterxOES = epoxy_glConvolutionParameterxOES_global_rewrite_ptr;

PUBLIC PFNGLCONVOLUTIONPARAMETERXVOESPROC epoxy_glConvolutionParameterxvOES = epoxy_glConvolutionParameterxvOES_global_rewrite_ptr;

PUBLIC PFNGLCOPYBUFFERSUBDATAPROC epoxy_glCopyBufferSubData = epoxy_glCopyBufferSubData_global_rewrite_ptr;

PUBLIC PFNGLCOPYBUFFERSUBDATANVPROC epoxy_glCopyBufferSubDataNV = epoxy_glCopyBufferSubDataNV_global_rewrite_ptr;

PUBLIC PFNGLCOPYCOLORSUBTABLEPROC epoxy_glCopyColorSubTable = epoxy_glCopyColorSubTable_global_rewrite_ptr;

PUBLIC PFNGLCOPYCOLORSUBTABLEEXTPROC epoxy_glCopyColorSubTableEXT = epoxy_glCopyColorSubTableEXT_global_rewrite_ptr;

PUBLIC PFNGLCOPYCOLORTABLEPROC epoxy_glCopyColorTable = epoxy_glCopyColorTable_global_rewrite_ptr;

PUBLIC PFNGLCOPYCOLORTABLESGIPROC epoxy_glCopyColorTableSGI = epoxy_glCopyColorTableSGI_global_rewrite_ptr;

PUBLIC PFNGLCOPYCONVOLUTIONFILTER1DPROC epoxy_glCopyConvolutionFilter1D = epoxy_glCopyConvolutionFilter1D_global_rewrite_ptr;

PUBLIC PFNGLCOPYCONVOLUTIONFILTER1DEXTPROC epoxy_glCopyConvolutionFilter1DEXT = epoxy_glCopyConvolutionFilter1DEXT_global_rewrite_ptr;

PUBLIC PFNGLCOPYCONVOLUTIONFILTER2DPROC epoxy_glCopyConvolutionFilter2D = epoxy_glCopyConvolutionFilter2D_global_rewrite_ptr;

PUBLIC PFNGLCOPYCONVOLUTIONFILTER2DEXTPROC epoxy_glCopyConvolutionFilter2DEXT = epoxy_glCopyConvolutionFilter2DEXT_global_rewrite_ptr;

PUBLIC PFNGLCOPYIMAGESUBDATAPROC epoxy_glCopyImageSubData = epoxy_glCopyImageSubData_global_rewrite_ptr;

PUBLIC PFNGLCOPYIMAGESUBDATANVPROC epoxy_glCopyImageSubDataNV = epoxy_glCopyImageSubDataNV_global_rewrite_ptr;

PUBLIC PFNGLCOPYMULTITEXIMAGE1DEXTPROC epoxy_glCopyMultiTexImage1DEXT = epoxy_glCopyMultiTexImage1DEXT_global_rewrite_ptr;

PUBLIC PFNGLCOPYMULTITEXIMAGE2DEXTPROC epoxy_glCopyMultiTexImage2DEXT = epoxy_glCopyMultiTexImage2DEXT_global_rewrite_ptr;

PUBLIC PFNGLCOPYMULTITEXSUBIMAGE1DEXTPROC epoxy_glCopyMultiTexSubImage1DEXT = epoxy_glCopyMultiTexSubImage1DEXT_global_rewrite_ptr;

PUBLIC PFNGLCOPYMULTITEXSUBIMAGE2DEXTPROC epoxy_glCopyMultiTexSubImage2DEXT = epoxy_glCopyMultiTexSubImage2DEXT_global_rewrite_ptr;

PUBLIC PFNGLCOPYMULTITEXSUBIMAGE3DEXTPROC epoxy_glCopyMultiTexSubImage3DEXT = epoxy_glCopyMultiTexSubImage3DEXT_global_rewrite_ptr;

PUBLIC PFNGLCOPYPATHNVPROC epoxy_glCopyPathNV = epoxy_glCopyPathNV_global_rewrite_ptr;

PUBLIC PFNGLCOPYPIXELSPROC epoxy_glCopyPixels = epoxy_glCopyPixels_global_rewrite_ptr;

PUBLIC PFNGLCOPYTEXIMAGE1DPROC epoxy_glCopyTexImage1D = epoxy_glCopyTexImage1D_global_rewrite_ptr;

PUBLIC PFNGLCOPYTEXIMAGE1DEXTPROC epoxy_glCopyTexImage1DEXT = epoxy_glCopyTexImage1DEXT_global_rewrite_ptr;

PUBLIC PFNGLCOPYTEXIMAGE2DPROC epoxy_glCopyTexImage2D = epoxy_glCopyTexImage2D_global_rewrite_ptr;

PUBLIC PFNGLCOPYTEXIMAGE2DEXTPROC epoxy_glCopyTexImage2DEXT = epoxy_glCopyTexImage2DEXT_global_rewrite_ptr;

PUBLIC PFNGLCOPYTEXSUBIMAGE1DPROC epoxy_glCopyTexSubImage1D = epoxy_glCopyTexSubImage1D_global_rewrite_ptr;

PUBLIC PFNGLCOPYTEXSUBIMAGE1DEXTPROC epoxy_glCopyTexSubImage1DEXT = epoxy_glCopyTexSubImage1DEXT_global_rewrite_ptr;

PUBLIC PFNGLCOPYTEXSUBIMAGE2DPROC epoxy_glCopyTexSubImage2D = epoxy_glCopyTexSubImage2D_global_rewrite_ptr;

PUBLIC PFNGLCOPYTEXSUBIMAGE2DEXTPROC epoxy_glCopyTexSubImage2DEXT = epoxy_glCopyTexSubImage2DEXT_global_rewrite_ptr;

PUBLIC PFNGLCOPYTEXSUBIMAGE3DPROC epoxy_glCopyTexSubImage3D = epoxy_glCopyTexSubImage3D_global_rewrite_ptr;

PUBLIC PFNGLCOPYTEXSUBIMAGE3DEXTPROC epoxy_glCopyTexSubImage3DEXT = epoxy_glCopyTexSubImage3DEXT_global_rewrite_ptr;

PUBLIC PFNGLCOPYTEXSUBIMAGE3DOESPROC epoxy_glCopyTexSubImage3DOES = epoxy_glCopyTexSubImage3DOES_global_rewrite_ptr;

PUBLIC PFNGLCOPYTEXTUREIMAGE1DEXTPROC epoxy_glCopyTextureImage1DEXT = epoxy_glCopyTextureImage1DEXT_global_rewrite_ptr;

PUBLIC PFNGLCOPYTEXTUREIMAGE2DEXTPROC epoxy_glCopyTextureImage2DEXT = epoxy_glCopyTextureImage2DEXT_global_rewrite_ptr;

PUBLIC PFNGLCOPYTEXTURELEVELSAPPLEPROC epoxy_glCopyTextureLevelsAPPLE = epoxy_glCopyTextureLevelsAPPLE_global_rewrite_ptr;

PUBLIC PFNGLCOPYTEXTURESUBIMAGE1DEXTPROC epoxy_glCopyTextureSubImage1DEXT = epoxy_glCopyTextureSubImage1DEXT_global_rewrite_ptr;

PUBLIC PFNGLCOPYTEXTURESUBIMAGE2DEXTPROC epoxy_glCopyTextureSubImage2DEXT = epoxy_glCopyTextureSubImage2DEXT_global_rewrite_ptr;

PUBLIC PFNGLCOPYTEXTURESUBIMAGE3DEXTPROC epoxy_glCopyTextureSubImage3DEXT = epoxy_glCopyTextureSubImage3DEXT_global_rewrite_ptr;

PUBLIC PFNGLCOVERFILLPATHINSTANCEDNVPROC epoxy_glCoverFillPathInstancedNV = epoxy_glCoverFillPathInstancedNV_global_rewrite_ptr;

PUBLIC PFNGLCOVERFILLPATHNVPROC epoxy_glCoverFillPathNV = epoxy_glCoverFillPathNV_global_rewrite_ptr;

PUBLIC PFNGLCOVERSTROKEPATHINSTANCEDNVPROC epoxy_glCoverStrokePathInstancedNV = epoxy_glCoverStrokePathInstancedNV_global_rewrite_ptr;

PUBLIC PFNGLCOVERSTROKEPATHNVPROC epoxy_glCoverStrokePathNV = epoxy_glCoverStrokePathNV_global_rewrite_ptr;

PUBLIC PFNGLCOVERAGEMASKNVPROC epoxy_glCoverageMaskNV = epoxy_glCoverageMaskNV_global_rewrite_ptr;

PUBLIC PFNGLCOVERAGEOPERATIONNVPROC epoxy_glCoverageOperationNV = epoxy_glCoverageOperationNV_global_rewrite_ptr;

PUBLIC PFNGLCREATEPERFQUERYINTELPROC epoxy_glCreatePerfQueryINTEL = epoxy_glCreatePerfQueryINTEL_global_rewrite_ptr;

PUBLIC PFNGLCREATEPROGRAMPROC epoxy_glCreateProgram = epoxy_glCreateProgram_global_rewrite_ptr;

PUBLIC PFNGLCREATEPROGRAMOBJECTARBPROC epoxy_glCreateProgramObjectARB = epoxy_glCreateProgramObjectARB_global_rewrite_ptr;

PUBLIC PFNGLCREATESHADERPROC epoxy_glCreateShader = epoxy_glCreateShader_global_rewrite_ptr;

PUBLIC PFNGLCREATESHADEROBJECTARBPROC epoxy_glCreateShaderObjectARB = epoxy_glCreateShaderObjectARB_global_rewrite_ptr;

PUBLIC PFNGLCREATESHADERPROGRAMEXTPROC epoxy_glCreateShaderProgramEXT = epoxy_glCreateShaderProgramEXT_global_rewrite_ptr;

PUBLIC PFNGLCREATESHADERPROGRAMVPROC epoxy_glCreateShaderProgramv = epoxy_glCreateShaderProgramv_global_rewrite_ptr;

PUBLIC PFNGLCREATESHADERPROGRAMVEXTPROC epoxy_glCreateShaderProgramvEXT = epoxy_glCreateShaderProgramvEXT_global_rewrite_ptr;

PUBLIC PFNGLCREATESYNCFROMCLEVENTARBPROC epoxy_glCreateSyncFromCLeventARB = epoxy_glCreateSyncFromCLeventARB_global_rewrite_ptr;

PUBLIC PFNGLCULLFACEPROC epoxy_glCullFace = epoxy_glCullFace_global_rewrite_ptr;

PUBLIC PFNGLCULLPARAMETERDVEXTPROC epoxy_glCullParameterdvEXT = epoxy_glCullParameterdvEXT_global_rewrite_ptr;

PUBLIC PFNGLCULLPARAMETERFVEXTPROC epoxy_glCullParameterfvEXT = epoxy_glCullParameterfvEXT_global_rewrite_ptr;

PUBLIC PFNGLCURRENTPALETTEMATRIXARBPROC epoxy_glCurrentPaletteMatrixARB = epoxy_glCurrentPaletteMatrixARB_global_rewrite_ptr;

PUBLIC PFNGLCURRENTPALETTEMATRIXOESPROC epoxy_glCurrentPaletteMatrixOES = epoxy_glCurrentPaletteMatrixOES_global_rewrite_ptr;

PUBLIC PFNGLDEBUGMESSAGECALLBACKPROC epoxy_glDebugMessageCallback = epoxy_glDebugMessageCallback_global_rewrite_ptr;

PUBLIC PFNGLDEBUGMESSAGECALLBACKAMDPROC epoxy_glDebugMessageCallbackAMD = epoxy_glDebugMessageCallbackAMD_global_rewrite_ptr;

PUBLIC PFNGLDEBUGMESSAGECALLBACKARBPROC epoxy_glDebugMessageCallbackARB = epoxy_glDebugMessageCallbackARB_global_rewrite_ptr;

PUBLIC PFNGLDEBUGMESSAGECALLBACKKHRPROC epoxy_glDebugMessageCallbackKHR = epoxy_glDebugMessageCallbackKHR_global_rewrite_ptr;

PUBLIC PFNGLDEBUGMESSAGECONTROLPROC epoxy_glDebugMessageControl = epoxy_glDebugMessageControl_global_rewrite_ptr;

PUBLIC PFNGLDEBUGMESSAGECONTROLARBPROC epoxy_glDebugMessageControlARB = epoxy_glDebugMessageControlARB_global_rewrite_ptr;

PUBLIC PFNGLDEBUGMESSAGECONTROLKHRPROC epoxy_glDebugMessageControlKHR = epoxy_glDebugMessageControlKHR_global_rewrite_ptr;

PUBLIC PFNGLDEBUGMESSAGEENABLEAMDPROC epoxy_glDebugMessageEnableAMD = epoxy_glDebugMessageEnableAMD_global_rewrite_ptr;

PUBLIC PFNGLDEBUGMESSAGEINSERTPROC epoxy_glDebugMessageInsert = epoxy_glDebugMessageInsert_global_rewrite_ptr;

PUBLIC PFNGLDEBUGMESSAGEINSERTAMDPROC epoxy_glDebugMessageInsertAMD = epoxy_glDebugMessageInsertAMD_global_rewrite_ptr;

PUBLIC PFNGLDEBUGMESSAGEINSERTARBPROC epoxy_glDebugMessageInsertARB = epoxy_glDebugMessageInsertARB_global_rewrite_ptr;

PUBLIC PFNGLDEBUGMESSAGEINSERTKHRPROC epoxy_glDebugMessageInsertKHR = epoxy_glDebugMessageInsertKHR_global_rewrite_ptr;

PUBLIC PFNGLDEFORMSGIXPROC epoxy_glDeformSGIX = epoxy_glDeformSGIX_global_rewrite_ptr;

PUBLIC PFNGLDEFORMATIONMAP3DSGIXPROC epoxy_glDeformationMap3dSGIX = epoxy_glDeformationMap3dSGIX_global_rewrite_ptr;

PUBLIC PFNGLDEFORMATIONMAP3FSGIXPROC epoxy_glDeformationMap3fSGIX = epoxy_glDeformationMap3fSGIX_global_rewrite_ptr;

PUBLIC PFNGLDELETEASYNCMARKERSSGIXPROC epoxy_glDeleteAsyncMarkersSGIX = epoxy_glDeleteAsyncMarkersSGIX_global_rewrite_ptr;

PUBLIC PFNGLDELETEBUFFERSPROC epoxy_glDeleteBuffers = epoxy_glDeleteBuffers_global_rewrite_ptr;

PUBLIC PFNGLDELETEBUFFERSARBPROC epoxy_glDeleteBuffersARB = epoxy_glDeleteBuffersARB_global_rewrite_ptr;

PUBLIC PFNGLDELETEFENCESAPPLEPROC epoxy_glDeleteFencesAPPLE = epoxy_glDeleteFencesAPPLE_global_rewrite_ptr;

PUBLIC PFNGLDELETEFENCESNVPROC epoxy_glDeleteFencesNV = epoxy_glDeleteFencesNV_global_rewrite_ptr;

PUBLIC PFNGLDELETEFRAGMENTSHADERATIPROC epoxy_glDeleteFragmentShaderATI = epoxy_glDeleteFragmentShaderATI_global_rewrite_ptr;

PUBLIC PFNGLDELETEFRAMEBUFFERSPROC epoxy_glDeleteFramebuffers = epoxy_glDeleteFramebuffers_global_rewrite_ptr;

PUBLIC PFNGLDELETEFRAMEBUFFERSEXTPROC epoxy_glDeleteFramebuffersEXT = epoxy_glDeleteFramebuffersEXT_global_rewrite_ptr;

PUBLIC PFNGLDELETEFRAMEBUFFERSOESPROC epoxy_glDeleteFramebuffersOES = epoxy_glDeleteFramebuffersOES_global_rewrite_ptr;

PUBLIC PFNGLDELETELISTSPROC epoxy_glDeleteLists = epoxy_glDeleteLists_global_rewrite_ptr;

PUBLIC PFNGLDELETENAMEDSTRINGARBPROC epoxy_glDeleteNamedStringARB = epoxy_glDeleteNamedStringARB_global_rewrite_ptr;

PUBLIC PFNGLDELETENAMESAMDPROC epoxy_glDeleteNamesAMD = epoxy_glDeleteNamesAMD_global_rewrite_ptr;

PUBLIC PFNGLDELETEOBJECTARBPROC epoxy_glDeleteObjectARB = epoxy_glDeleteObjectARB_global_rewrite_ptr;

PUBLIC PFNGLDELETEOCCLUSIONQUERIESNVPROC epoxy_glDeleteOcclusionQueriesNV = epoxy_glDeleteOcclusionQueriesNV_global_rewrite_ptr;

PUBLIC PFNGLDELETEPATHSNVPROC epoxy_glDeletePathsNV = epoxy_glDeletePathsNV_global_rewrite_ptr;

PUBLIC PFNGLDELETEPERFMONITORSAMDPROC epoxy_glDeletePerfMonitorsAMD = epoxy_glDeletePerfMonitorsAMD_global_rewrite_ptr;

PUBLIC PFNGLDELETEPERFQUERYINTELPROC epoxy_glDeletePerfQueryINTEL = epoxy_glDeletePerfQueryINTEL_global_rewrite_ptr;

PUBLIC PFNGLDELETEPROGRAMPROC epoxy_glDeleteProgram = epoxy_glDeleteProgram_global_rewrite_ptr;

PUBLIC PFNGLDELETEPROGRAMPIPELINESPROC epoxy_glDeleteProgramPipelines = epoxy_glDeleteProgramPipelines_global_rewrite_ptr;

PUBLIC PFNGLDELETEPROGRAMPIPELINESEXTPROC epoxy_glDeleteProgramPipelinesEXT = epoxy_glDeleteProgramPipelinesEXT_global_rewrite_ptr;

PUBLIC PFNGLDELETEPROGRAMSARBPROC epoxy_glDeleteProgramsARB = epoxy_glDeleteProgramsARB_global_rewrite_ptr;

PUBLIC PFNGLDELETEPROGRAMSNVPROC epoxy_glDeleteProgramsNV = epoxy_glDeleteProgramsNV_global_rewrite_ptr;

PUBLIC PFNGLDELETEQUERIESPROC epoxy_glDeleteQueries = epoxy_glDeleteQueries_global_rewrite_ptr;

PUBLIC PFNGLDELETEQUERIESARBPROC epoxy_glDeleteQueriesARB = epoxy_glDeleteQueriesARB_global_rewrite_ptr;

PUBLIC PFNGLDELETEQUERIESEXTPROC epoxy_glDeleteQueriesEXT = epoxy_glDeleteQueriesEXT_global_rewrite_ptr;

PUBLIC PFNGLDELETERENDERBUFFERSPROC epoxy_glDeleteRenderbuffers = epoxy_glDeleteRenderbuffers_global_rewrite_ptr;

PUBLIC PFNGLDELETERENDERBUFFERSEXTPROC epoxy_glDeleteRenderbuffersEXT = epoxy_glDeleteRenderbuffersEXT_global_rewrite_ptr;

PUBLIC PFNGLDELETERENDERBUFFERSOESPROC epoxy_glDeleteRenderbuffersOES = epoxy_glDeleteRenderbuffersOES_global_rewrite_ptr;

PUBLIC PFNGLDELETESAMPLERSPROC epoxy_glDeleteSamplers = epoxy_glDeleteSamplers_global_rewrite_ptr;

PUBLIC PFNGLDELETESHADERPROC epoxy_glDeleteShader = epoxy_glDeleteShader_global_rewrite_ptr;

PUBLIC PFNGLDELETESYNCPROC epoxy_glDeleteSync = epoxy_glDeleteSync_global_rewrite_ptr;

PUBLIC PFNGLDELETESYNCAPPLEPROC epoxy_glDeleteSyncAPPLE = epoxy_glDeleteSyncAPPLE_global_rewrite_ptr;

PUBLIC PFNGLDELETETEXTURESPROC epoxy_glDeleteTextures = epoxy_glDeleteTextures_global_rewrite_ptr;

PUBLIC PFNGLDELETETEXTURESEXTPROC epoxy_glDeleteTexturesEXT = epoxy_glDeleteTexturesEXT_global_rewrite_ptr;

PUBLIC PFNGLDELETETRANSFORMFEEDBACKSPROC epoxy_glDeleteTransformFeedbacks = epoxy_glDeleteTransformFeedbacks_global_rewrite_ptr;

PUBLIC PFNGLDELETETRANSFORMFEEDBACKSNVPROC epoxy_glDeleteTransformFeedbacksNV = epoxy_glDeleteTransformFeedbacksNV_global_rewrite_ptr;

PUBLIC PFNGLDELETEVERTEXARRAYSPROC epoxy_glDeleteVertexArrays = epoxy_glDeleteVertexArrays_global_rewrite_ptr;

PUBLIC PFNGLDELETEVERTEXARRAYSAPPLEPROC epoxy_glDeleteVertexArraysAPPLE = epoxy_glDeleteVertexArraysAPPLE_global_rewrite_ptr;

PUBLIC PFNGLDELETEVERTEXARRAYSOESPROC epoxy_glDeleteVertexArraysOES = epoxy_glDeleteVertexArraysOES_global_rewrite_ptr;

PUBLIC PFNGLDELETEVERTEXSHADEREXTPROC epoxy_glDeleteVertexShaderEXT = epoxy_glDeleteVertexShaderEXT_global_rewrite_ptr;

PUBLIC PFNGLDEPTHBOUNDSEXTPROC epoxy_glDepthBoundsEXT = epoxy_glDepthBoundsEXT_global_rewrite_ptr;

PUBLIC PFNGLDEPTHBOUNDSDNVPROC epoxy_glDepthBoundsdNV = epoxy_glDepthBoundsdNV_global_rewrite_ptr;

PUBLIC PFNGLDEPTHFUNCPROC epoxy_glDepthFunc = epoxy_glDepthFunc_global_rewrite_ptr;

PUBLIC PFNGLDEPTHMASKPROC epoxy_glDepthMask = epoxy_glDepthMask_global_rewrite_ptr;

PUBLIC PFNGLDEPTHRANGEPROC epoxy_glDepthRange = epoxy_glDepthRange_global_rewrite_ptr;

PUBLIC PFNGLDEPTHRANGEARRAYVPROC epoxy_glDepthRangeArrayv = epoxy_glDepthRangeArrayv_global_rewrite_ptr;

PUBLIC PFNGLDEPTHRANGEINDEXEDPROC epoxy_glDepthRangeIndexed = epoxy_glDepthRangeIndexed_global_rewrite_ptr;

PUBLIC PFNGLDEPTHRANGEDNVPROC epoxy_glDepthRangedNV = epoxy_glDepthRangedNV_global_rewrite_ptr;

PUBLIC PFNGLDEPTHRANGEFPROC epoxy_glDepthRangef = epoxy_glDepthRangef_global_rewrite_ptr;

PUBLIC PFNGLDEPTHRANGEFOESPROC epoxy_glDepthRangefOES = epoxy_glDepthRangefOES_global_rewrite_ptr;

PUBLIC PFNGLDEPTHRANGEXPROC epoxy_glDepthRangex = epoxy_glDepthRangex_global_rewrite_ptr;

PUBLIC PFNGLDEPTHRANGEXOESPROC epoxy_glDepthRangexOES = epoxy_glDepthRangexOES_global_rewrite_ptr;

PUBLIC PFNGLDETACHOBJECTARBPROC epoxy_glDetachObjectARB = epoxy_glDetachObjectARB_global_rewrite_ptr;

PUBLIC PFNGLDETACHSHADERPROC epoxy_glDetachShader = epoxy_glDetachShader_global_rewrite_ptr;

PUBLIC PFNGLDETAILTEXFUNCSGISPROC epoxy_glDetailTexFuncSGIS = epoxy_glDetailTexFuncSGIS_global_rewrite_ptr;

PUBLIC PFNGLDISABLEPROC epoxy_glDisable = epoxy_glDisable_global_rewrite_ptr;

PUBLIC PFNGLDISABLECLIENTSTATEPROC epoxy_glDisableClientState = epoxy_glDisableClientState_global_rewrite_ptr;

PUBLIC PFNGLDISABLECLIENTSTATEINDEXEDEXTPROC epoxy_glDisableClientStateIndexedEXT = epoxy_glDisableClientStateIndexedEXT_global_rewrite_ptr;

PUBLIC PFNGLDISABLECLIENTSTATEIEXTPROC epoxy_glDisableClientStateiEXT = epoxy_glDisableClientStateiEXT_global_rewrite_ptr;

PUBLIC PFNGLDISABLEDRIVERCONTROLQCOMPROC epoxy_glDisableDriverControlQCOM = epoxy_glDisableDriverControlQCOM_global_rewrite_ptr;

PUBLIC PFNGLDISABLEINDEXEDEXTPROC epoxy_glDisableIndexedEXT = epoxy_glDisableIndexedEXT_global_rewrite_ptr;

PUBLIC PFNGLDISABLEVARIANTCLIENTSTATEEXTPROC epoxy_glDisableVariantClientStateEXT = epoxy_glDisableVariantClientStateEXT_global_rewrite_ptr;

PUBLIC PFNGLDISABLEVERTEXARRAYATTRIBEXTPROC epoxy_glDisableVertexArrayAttribEXT = epoxy_glDisableVertexArrayAttribEXT_global_rewrite_ptr;

PUBLIC PFNGLDISABLEVERTEXARRAYEXTPROC epoxy_glDisableVertexArrayEXT = epoxy_glDisableVertexArrayEXT_global_rewrite_ptr;

PUBLIC PFNGLDISABLEVERTEXATTRIBAPPLEPROC epoxy_glDisableVertexAttribAPPLE = epoxy_glDisableVertexAttribAPPLE_global_rewrite_ptr;

PUBLIC PFNGLDISABLEVERTEXATTRIBARRAYPROC epoxy_glDisableVertexAttribArray = epoxy_glDisableVertexAttribArray_global_rewrite_ptr;

PUBLIC PFNGLDISABLEVERTEXATTRIBARRAYARBPROC epoxy_glDisableVertexAttribArrayARB = epoxy_glDisableVertexAttribArrayARB_global_rewrite_ptr;

PUBLIC PFNGLDISABLEIPROC epoxy_glDisablei = epoxy_glDisablei_global_rewrite_ptr;

PUBLIC PFNGLDISCARDFRAMEBUFFEREXTPROC epoxy_glDiscardFramebufferEXT = epoxy_glDiscardFramebufferEXT_global_rewrite_ptr;

PUBLIC PFNGLDISPATCHCOMPUTEPROC epoxy_glDispatchCompute = epoxy_glDispatchCompute_global_rewrite_ptr;

PUBLIC PFNGLDISPATCHCOMPUTEGROUPSIZEARBPROC epoxy_glDispatchComputeGroupSizeARB = epoxy_glDispatchComputeGroupSizeARB_global_rewrite_ptr;

PUBLIC PFNGLDISPATCHCOMPUTEINDIRECTPROC epoxy_glDispatchComputeIndirect = epoxy_glDispatchComputeIndirect_global_rewrite_ptr;

PUBLIC PFNGLDRAWARRAYSPROC epoxy_glDrawArrays = epoxy_glDrawArrays_global_rewrite_ptr;

PUBLIC PFNGLDRAWARRAYSEXTPROC epoxy_glDrawArraysEXT = epoxy_glDrawArraysEXT_global_rewrite_ptr;

PUBLIC PFNGLDRAWARRAYSINDIRECTPROC epoxy_glDrawArraysIndirect = epoxy_glDrawArraysIndirect_global_rewrite_ptr;

PUBLIC PFNGLDRAWARRAYSINSTANCEDPROC epoxy_glDrawArraysInstanced = epoxy_glDrawArraysInstanced_global_rewrite_ptr;

PUBLIC PFNGLDRAWARRAYSINSTANCEDANGLEPROC epoxy_glDrawArraysInstancedANGLE = epoxy_glDrawArraysInstancedANGLE_global_rewrite_ptr;

PUBLIC PFNGLDRAWARRAYSINSTANCEDARBPROC epoxy_glDrawArraysInstancedARB = epoxy_glDrawArraysInstancedARB_global_rewrite_ptr;

PUBLIC PFNGLDRAWARRAYSINSTANCEDBASEINSTANCEPROC epoxy_glDrawArraysInstancedBaseInstance = epoxy_glDrawArraysInstancedBaseInstance_global_rewrite_ptr;

PUBLIC PFNGLDRAWARRAYSINSTANCEDEXTPROC epoxy_glDrawArraysInstancedEXT = epoxy_glDrawArraysInstancedEXT_global_rewrite_ptr;

PUBLIC PFNGLDRAWARRAYSINSTANCEDNVPROC epoxy_glDrawArraysInstancedNV = epoxy_glDrawArraysInstancedNV_global_rewrite_ptr;

PUBLIC PFNGLDRAWBUFFERPROC epoxy_glDrawBuffer = epoxy_glDrawBuffer_global_rewrite_ptr;

PUBLIC PFNGLDRAWBUFFERSPROC epoxy_glDrawBuffers = epoxy_glDrawBuffers_global_rewrite_ptr;

PUBLIC PFNGLDRAWBUFFERSARBPROC epoxy_glDrawBuffersARB = epoxy_glDrawBuffersARB_global_rewrite_ptr;

PUBLIC PFNGLDRAWBUFFERSATIPROC epoxy_glDrawBuffersATI = epoxy_glDrawBuffersATI_global_rewrite_ptr;

PUBLIC PFNGLDRAWBUFFERSEXTPROC epoxy_glDrawBuffersEXT = epoxy_glDrawBuffersEXT_global_rewrite_ptr;

PUBLIC PFNGLDRAWBUFFERSINDEXEDEXTPROC epoxy_glDrawBuffersIndexedEXT = epoxy_glDrawBuffersIndexedEXT_global_rewrite_ptr;

PUBLIC PFNGLDRAWBUFFERSNVPROC epoxy_glDrawBuffersNV = epoxy_glDrawBuffersNV_global_rewrite_ptr;

PUBLIC PFNGLDRAWELEMENTARRAYAPPLEPROC epoxy_glDrawElementArrayAPPLE = epoxy_glDrawElementArrayAPPLE_global_rewrite_ptr;

PUBLIC PFNGLDRAWELEMENTARRAYATIPROC epoxy_glDrawElementArrayATI = epoxy_glDrawElementArrayATI_global_rewrite_ptr;

PUBLIC PFNGLDRAWELEMENTSPROC epoxy_glDrawElements = epoxy_glDrawElements_global_rewrite_ptr;

PUBLIC PFNGLDRAWELEMENTSBASEVERTEXPROC epoxy_glDrawElementsBaseVertex = epoxy_glDrawElementsBaseVertex_global_rewrite_ptr;

PUBLIC PFNGLDRAWELEMENTSINDIRECTPROC epoxy_glDrawElementsIndirect = epoxy_glDrawElementsIndirect_global_rewrite_ptr;

PUBLIC PFNGLDRAWELEMENTSINSTANCEDPROC epoxy_glDrawElementsInstanced = epoxy_glDrawElementsInstanced_global_rewrite_ptr;

PUBLIC PFNGLDRAWELEMENTSINSTANCEDANGLEPROC epoxy_glDrawElementsInstancedANGLE = epoxy_glDrawElementsInstancedANGLE_global_rewrite_ptr;

PUBLIC PFNGLDRAWELEMENTSINSTANCEDARBPROC epoxy_glDrawElementsInstancedARB = epoxy_glDrawElementsInstancedARB_global_rewrite_ptr;

PUBLIC PFNGLDRAWELEMENTSINSTANCEDBASEINSTANCEPROC epoxy_glDrawElementsInstancedBaseInstance = epoxy_glDrawElementsInstancedBaseInstance_global_rewrite_ptr;

PUBLIC PFNGLDRAWELEMENTSINSTANCEDBASEVERTEXPROC epoxy_glDrawElementsInstancedBaseVertex = epoxy_glDrawElementsInstancedBaseVertex_global_rewrite_ptr;

PUBLIC PFNGLDRAWELEMENTSINSTANCEDBASEVERTEXBASEINSTANCEPROC epoxy_glDrawElementsInstancedBaseVertexBaseInstance = epoxy_glDrawElementsInstancedBaseVertexBaseInstance_global_rewrite_ptr;

PUBLIC PFNGLDRAWELEMENTSINSTANCEDEXTPROC epoxy_glDrawElementsInstancedEXT = epoxy_glDrawElementsInstancedEXT_global_rewrite_ptr;

PUBLIC PFNGLDRAWELEMENTSINSTANCEDNVPROC epoxy_glDrawElementsInstancedNV = epoxy_glDrawElementsInstancedNV_global_rewrite_ptr;

PUBLIC PFNGLDRAWMESHARRAYSSUNPROC epoxy_glDrawMeshArraysSUN = epoxy_glDrawMeshArraysSUN_global_rewrite_ptr;

PUBLIC PFNGLDRAWPIXELSPROC epoxy_glDrawPixels = epoxy_glDrawPixels_global_rewrite_ptr;

PUBLIC PFNGLDRAWRANGEELEMENTARRAYAPPLEPROC epoxy_glDrawRangeElementArrayAPPLE = epoxy_glDrawRangeElementArrayAPPLE_global_rewrite_ptr;

PUBLIC PFNGLDRAWRANGEELEMENTARRAYATIPROC epoxy_glDrawRangeElementArrayATI = epoxy_glDrawRangeElementArrayATI_global_rewrite_ptr;

PUBLIC PFNGLDRAWRANGEELEMENTSPROC epoxy_glDrawRangeElements = epoxy_glDrawRangeElements_global_rewrite_ptr;

PUBLIC PFNGLDRAWRANGEELEMENTSBASEVERTEXPROC epoxy_glDrawRangeElementsBaseVertex = epoxy_glDrawRangeElementsBaseVertex_global_rewrite_ptr;

PUBLIC PFNGLDRAWRANGEELEMENTSEXTPROC epoxy_glDrawRangeElementsEXT = epoxy_glDrawRangeElementsEXT_global_rewrite_ptr;

PUBLIC PFNGLDRAWTEXFOESPROC epoxy_glDrawTexfOES = epoxy_glDrawTexfOES_global_rewrite_ptr;

PUBLIC PFNGLDRAWTEXFVOESPROC epoxy_glDrawTexfvOES = epoxy_glDrawTexfvOES_global_rewrite_ptr;

PUBLIC PFNGLDRAWTEXIOESPROC epoxy_glDrawTexiOES = epoxy_glDrawTexiOES_global_rewrite_ptr;

PUBLIC PFNGLDRAWTEXIVOESPROC epoxy_glDrawTexivOES = epoxy_glDrawTexivOES_global_rewrite_ptr;

PUBLIC PFNGLDRAWTEXSOESPROC epoxy_glDrawTexsOES = epoxy_glDrawTexsOES_global_rewrite_ptr;

PUBLIC PFNGLDRAWTEXSVOESPROC epoxy_glDrawTexsvOES = epoxy_glDrawTexsvOES_global_rewrite_ptr;

PUBLIC PFNGLDRAWTEXTURENVPROC epoxy_glDrawTextureNV = epoxy_glDrawTextureNV_global_rewrite_ptr;

PUBLIC PFNGLDRAWTEXXOESPROC epoxy_glDrawTexxOES = epoxy_glDrawTexxOES_global_rewrite_ptr;

PUBLIC PFNGLDRAWTEXXVOESPROC epoxy_glDrawTexxvOES = epoxy_glDrawTexxvOES_global_rewrite_ptr;

PUBLIC PFNGLDRAWTRANSFORMFEEDBACKPROC epoxy_glDrawTransformFeedback = epoxy_glDrawTransformFeedback_global_rewrite_ptr;

PUBLIC PFNGLDRAWTRANSFORMFEEDBACKINSTANCEDPROC epoxy_glDrawTransformFeedbackInstanced = epoxy_glDrawTransformFeedbackInstanced_global_rewrite_ptr;

PUBLIC PFNGLDRAWTRANSFORMFEEDBACKNVPROC epoxy_glDrawTransformFeedbackNV = epoxy_glDrawTransformFeedbackNV_global_rewrite_ptr;

PUBLIC PFNGLDRAWTRANSFORMFEEDBACKSTREAMPROC epoxy_glDrawTransformFeedbackStream = epoxy_glDrawTransformFeedbackStream_global_rewrite_ptr;

PUBLIC PFNGLDRAWTRANSFORMFEEDBACKSTREAMINSTANCEDPROC epoxy_glDrawTransformFeedbackStreamInstanced = epoxy_glDrawTransformFeedbackStreamInstanced_global_rewrite_ptr;

PUBLIC PFNGLEGLIMAGETARGETRENDERBUFFERSTORAGEOESPROC epoxy_glEGLImageTargetRenderbufferStorageOES = epoxy_glEGLImageTargetRenderbufferStorageOES_global_rewrite_ptr;

PUBLIC PFNGLEGLIMAGETARGETTEXTURE2DOESPROC epoxy_glEGLImageTargetTexture2DOES = epoxy_glEGLImageTargetTexture2DOES_global_rewrite_ptr;

PUBLIC PFNGLEDGEFLAGPROC epoxy_glEdgeFlag = epoxy_glEdgeFlag_global_rewrite_ptr;

PUBLIC PFNGLEDGEFLAGFORMATNVPROC epoxy_glEdgeFlagFormatNV = epoxy_glEdgeFlagFormatNV_global_rewrite_ptr;

PUBLIC PFNGLEDGEFLAGPOINTERPROC epoxy_glEdgeFlagPointer = epoxy_glEdgeFlagPointer_global_rewrite_ptr;

PUBLIC PFNGLEDGEFLAGPOINTEREXTPROC epoxy_glEdgeFlagPointerEXT = epoxy_glEdgeFlagPointerEXT_global_rewrite_ptr;

PUBLIC PFNGLEDGEFLAGPOINTERLISTIBMPROC epoxy_glEdgeFlagPointerListIBM = epoxy_glEdgeFlagPointerListIBM_global_rewrite_ptr;

PUBLIC PFNGLEDGEFLAGVPROC epoxy_glEdgeFlagv = epoxy_glEdgeFlagv_global_rewrite_ptr;

PUBLIC PFNGLELEMENTPOINTERAPPLEPROC epoxy_glElementPointerAPPLE = epoxy_glElementPointerAPPLE_global_rewrite_ptr;

PUBLIC PFNGLELEMENTPOINTERATIPROC epoxy_glElementPointerATI = epoxy_glElementPointerATI_global_rewrite_ptr;

PUBLIC PFNGLENABLEPROC epoxy_glEnable = epoxy_glEnable_global_rewrite_ptr;

PUBLIC PFNGLENABLECLIENTSTATEPROC epoxy_glEnableClientState = epoxy_glEnableClientState_global_rewrite_ptr;

PUBLIC PFNGLENABLECLIENTSTATEINDEXEDEXTPROC epoxy_glEnableClientStateIndexedEXT = epoxy_glEnableClientStateIndexedEXT_global_rewrite_ptr;

PUBLIC PFNGLENABLECLIENTSTATEIEXTPROC epoxy_glEnableClientStateiEXT = epoxy_glEnableClientStateiEXT_global_rewrite_ptr;

PUBLIC PFNGLENABLEDRIVERCONTROLQCOMPROC epoxy_glEnableDriverControlQCOM = epoxy_glEnableDriverControlQCOM_global_rewrite_ptr;

PUBLIC PFNGLENABLEINDEXEDEXTPROC epoxy_glEnableIndexedEXT = epoxy_glEnableIndexedEXT_global_rewrite_ptr;

PUBLIC PFNGLENABLEVARIANTCLIENTSTATEEXTPROC epoxy_glEnableVariantClientStateEXT = epoxy_glEnableVariantClientStateEXT_global_rewrite_ptr;

PUBLIC PFNGLENABLEVERTEXARRAYATTRIBEXTPROC epoxy_glEnableVertexArrayAttribEXT = epoxy_glEnableVertexArrayAttribEXT_global_rewrite_ptr;

PUBLIC PFNGLENABLEVERTEXARRAYEXTPROC epoxy_glEnableVertexArrayEXT = epoxy_glEnableVertexArrayEXT_global_rewrite_ptr;

PUBLIC PFNGLENABLEVERTEXATTRIBAPPLEPROC epoxy_glEnableVertexAttribAPPLE = epoxy_glEnableVertexAttribAPPLE_global_rewrite_ptr;

PUBLIC PFNGLENABLEVERTEXATTRIBARRAYPROC epoxy_glEnableVertexAttribArray = epoxy_glEnableVertexAttribArray_global_rewrite_ptr;

PUBLIC PFNGLENABLEVERTEXATTRIBARRAYARBPROC epoxy_glEnableVertexAttribArrayARB = epoxy_glEnableVertexAttribArrayARB_global_rewrite_ptr;

PUBLIC PFNGLENABLEIPROC epoxy_glEnablei = epoxy_glEnablei_global_rewrite_ptr;

PFNGLENDPROC epoxy_glEnd_unwrapped = epoxy_glEnd_unwrapped_global_rewrite_ptr;

PUBLIC PFNGLENDCONDITIONALRENDERPROC epoxy_glEndConditionalRender = epoxy_glEndConditionalRender_global_rewrite_ptr;

PUBLIC PFNGLENDCONDITIONALRENDERNVPROC epoxy_glEndConditionalRenderNV = epoxy_glEndConditionalRenderNV_global_rewrite_ptr;

PUBLIC PFNGLENDCONDITIONALRENDERNVXPROC epoxy_glEndConditionalRenderNVX = epoxy_glEndConditionalRenderNVX_global_rewrite_ptr;

PUBLIC PFNGLENDFRAGMENTSHADERATIPROC epoxy_glEndFragmentShaderATI = epoxy_glEndFragmentShaderATI_global_rewrite_ptr;

PUBLIC PFNGLENDLISTPROC epoxy_glEndList = epoxy_glEndList_global_rewrite_ptr;

PUBLIC PFNGLENDOCCLUSIONQUERYNVPROC epoxy_glEndOcclusionQueryNV = epoxy_glEndOcclusionQueryNV_global_rewrite_ptr;

PUBLIC PFNGLENDPERFMONITORAMDPROC epoxy_glEndPerfMonitorAMD = epoxy_glEndPerfMonitorAMD_global_rewrite_ptr;

PUBLIC PFNGLENDPERFQUERYINTELPROC epoxy_glEndPerfQueryINTEL = epoxy_glEndPerfQueryINTEL_global_rewrite_ptr;

PUBLIC PFNGLENDQUERYPROC epoxy_glEndQuery = epoxy_glEndQuery_global_rewrite_ptr;

PUBLIC PFNGLENDQUERYARBPROC epoxy_glEndQueryARB = epoxy_glEndQueryARB_global_rewrite_ptr;

PUBLIC PFNGLENDQUERYEXTPROC epoxy_glEndQueryEXT = epoxy_glEndQueryEXT_global_rewrite_ptr;

PUBLIC PFNGLENDQUERYINDEXEDPROC epoxy_glEndQueryIndexed = epoxy_glEndQueryIndexed_global_rewrite_ptr;

PUBLIC PFNGLENDTILINGQCOMPROC epoxy_glEndTilingQCOM = epoxy_glEndTilingQCOM_global_rewrite_ptr;

PUBLIC PFNGLENDTRANSFORMFEEDBACKPROC epoxy_glEndTransformFeedback = epoxy_glEndTransformFeedback_global_rewrite_ptr;

PUBLIC PFNGLENDTRANSFORMFEEDBACKEXTPROC epoxy_glEndTransformFeedbackEXT = epoxy_glEndTransformFeedbackEXT_global_rewrite_ptr;

PUBLIC PFNGLENDTRANSFORMFEEDBACKNVPROC epoxy_glEndTransformFeedbackNV = epoxy_glEndTransformFeedbackNV_global_rewrite_ptr;

PUBLIC PFNGLENDVERTEXSHADEREXTPROC epoxy_glEndVertexShaderEXT = epoxy_glEndVertexShaderEXT_global_rewrite_ptr;

PUBLIC PFNGLENDVIDEOCAPTURENVPROC epoxy_glEndVideoCaptureNV = epoxy_glEndVideoCaptureNV_global_rewrite_ptr;

PUBLIC PFNGLEVALCOORD1DPROC epoxy_glEvalCoord1d = epoxy_glEvalCoord1d_global_rewrite_ptr;

PUBLIC PFNGLEVALCOORD1DVPROC epoxy_glEvalCoord1dv = epoxy_glEvalCoord1dv_global_rewrite_ptr;

PUBLIC PFNGLEVALCOORD1FPROC epoxy_glEvalCoord1f = epoxy_glEvalCoord1f_global_rewrite_ptr;

PUBLIC PFNGLEVALCOORD1FVPROC epoxy_glEvalCoord1fv = epoxy_glEvalCoord1fv_global_rewrite_ptr;

PUBLIC PFNGLEVALCOORD1XOESPROC epoxy_glEvalCoord1xOES = epoxy_glEvalCoord1xOES_global_rewrite_ptr;

PUBLIC PFNGLEVALCOORD1XVOESPROC epoxy_glEvalCoord1xvOES = epoxy_glEvalCoord1xvOES_global_rewrite_ptr;

PUBLIC PFNGLEVALCOORD2DPROC epoxy_glEvalCoord2d = epoxy_glEvalCoord2d_global_rewrite_ptr;

PUBLIC PFNGLEVALCOORD2DVPROC epoxy_glEvalCoord2dv = epoxy_glEvalCoord2dv_global_rewrite_ptr;

PUBLIC PFNGLEVALCOORD2FPROC epoxy_glEvalCoord2f = epoxy_glEvalCoord2f_global_rewrite_ptr;

PUBLIC PFNGLEVALCOORD2FVPROC epoxy_glEvalCoord2fv = epoxy_glEvalCoord2fv_global_rewrite_ptr;

PUBLIC PFNGLEVALCOORD2XOESPROC epoxy_glEvalCoord2xOES = epoxy_glEvalCoord2xOES_global_rewrite_ptr;

PUBLIC PFNGLEVALCOORD2XVOESPROC epoxy_glEvalCoord2xvOES = epoxy_glEvalCoord2xvOES_global_rewrite_ptr;

PUBLIC PFNGLEVALMAPSNVPROC epoxy_glEvalMapsNV = epoxy_glEvalMapsNV_global_rewrite_ptr;

PUBLIC PFNGLEVALMESH1PROC epoxy_glEvalMesh1 = epoxy_glEvalMesh1_global_rewrite_ptr;

PUBLIC PFNGLEVALMESH2PROC epoxy_glEvalMesh2 = epoxy_glEvalMesh2_global_rewrite_ptr;

PUBLIC PFNGLEVALPOINT1PROC epoxy_glEvalPoint1 = epoxy_glEvalPoint1_global_rewrite_ptr;

PUBLIC PFNGLEVALPOINT2PROC epoxy_glEvalPoint2 = epoxy_glEvalPoint2_global_rewrite_ptr;

PUBLIC PFNGLEXECUTEPROGRAMNVPROC epoxy_glExecuteProgramNV = epoxy_glExecuteProgramNV_global_rewrite_ptr;

PUBLIC PFNGLEXTGETBUFFERPOINTERVQCOMPROC epoxy_glExtGetBufferPointervQCOM = epoxy_glExtGetBufferPointervQCOM_global_rewrite_ptr;

PUBLIC PFNGLEXTGETBUFFERSQCOMPROC epoxy_glExtGetBuffersQCOM = epoxy_glExtGetBuffersQCOM_global_rewrite_ptr;

PUBLIC PFNGLEXTGETFRAMEBUFFERSQCOMPROC epoxy_glExtGetFramebuffersQCOM = epoxy_glExtGetFramebuffersQCOM_global_rewrite_ptr;

PUBLIC PFNGLEXTGETPROGRAMBINARYSOURCEQCOMPROC epoxy_glExtGetProgramBinarySourceQCOM = epoxy_glExtGetProgramBinarySourceQCOM_global_rewrite_ptr;

PUBLIC PFNGLEXTGETPROGRAMSQCOMPROC epoxy_glExtGetProgramsQCOM = epoxy_glExtGetProgramsQCOM_global_rewrite_ptr;

PUBLIC PFNGLEXTGETRENDERBUFFERSQCOMPROC epoxy_glExtGetRenderbuffersQCOM = epoxy_glExtGetRenderbuffersQCOM_global_rewrite_ptr;

PUBLIC PFNGLEXTGETSHADERSQCOMPROC epoxy_glExtGetShadersQCOM = epoxy_glExtGetShadersQCOM_global_rewrite_ptr;

PUBLIC PFNGLEXTGETTEXLEVELPARAMETERIVQCOMPROC epoxy_glExtGetTexLevelParameterivQCOM = epoxy_glExtGetTexLevelParameterivQCOM_global_rewrite_ptr;

PUBLIC PFNGLEXTGETTEXSUBIMAGEQCOMPROC epoxy_glExtGetTexSubImageQCOM = epoxy_glExtGetTexSubImageQCOM_global_rewrite_ptr;

PUBLIC PFNGLEXTGETTEXTURESQCOMPROC epoxy_glExtGetTexturesQCOM = epoxy_glExtGetTexturesQCOM_global_rewrite_ptr;

PUBLIC PFNGLEXTISPROGRAMBINARYQCOMPROC epoxy_glExtIsProgramBinaryQCOM = epoxy_glExtIsProgramBinaryQCOM_global_rewrite_ptr;

PUBLIC PFNGLEXTTEXOBJECTSTATEOVERRIDEIQCOMPROC epoxy_glExtTexObjectStateOverrideiQCOM = epoxy_glExtTexObjectStateOverrideiQCOM_global_rewrite_ptr;

PUBLIC PFNGLEXTRACTCOMPONENTEXTPROC epoxy_glExtractComponentEXT = epoxy_glExtractComponentEXT_global_rewrite_ptr;

PUBLIC PFNGLFEEDBACKBUFFERPROC epoxy_glFeedbackBuffer = epoxy_glFeedbackBuffer_global_rewrite_ptr;

PUBLIC PFNGLFEEDBACKBUFFERXOESPROC epoxy_glFeedbackBufferxOES = epoxy_glFeedbackBufferxOES_global_rewrite_ptr;

PUBLIC PFNGLFENCESYNCPROC epoxy_glFenceSync = epoxy_glFenceSync_global_rewrite_ptr;

PUBLIC PFNGLFENCESYNCAPPLEPROC epoxy_glFenceSyncAPPLE = epoxy_glFenceSyncAPPLE_global_rewrite_ptr;

PUBLIC PFNGLFINALCOMBINERINPUTNVPROC epoxy_glFinalCombinerInputNV = epoxy_glFinalCombinerInputNV_global_rewrite_ptr;

PUBLIC PFNGLFINISHPROC epoxy_glFinish = epoxy_glFinish_global_rewrite_ptr;

PUBLIC PFNGLFINISHASYNCSGIXPROC epoxy_glFinishAsyncSGIX = epoxy_glFinishAsyncSGIX_global_rewrite_ptr;

PUBLIC PFNGLFINISHFENCEAPPLEPROC epoxy_glFinishFenceAPPLE = epoxy_glFinishFenceAPPLE_global_rewrite_ptr;

PUBLIC PFNGLFINISHFENCENVPROC epoxy_glFinishFenceNV = epoxy_glFinishFenceNV_global_rewrite_ptr;

PUBLIC PFNGLFINISHOBJECTAPPLEPROC epoxy_glFinishObjectAPPLE = epoxy_glFinishObjectAPPLE_global_rewrite_ptr;

PUBLIC PFNGLFINISHTEXTURESUNXPROC epoxy_glFinishTextureSUNX = epoxy_glFinishTextureSUNX_global_rewrite_ptr;

PUBLIC PFNGLFLUSHPROC epoxy_glFlush = epoxy_glFlush_global_rewrite_ptr;

PUBLIC PFNGLFLUSHMAPPEDBUFFERRANGEPROC epoxy_glFlushMappedBufferRange = epoxy_glFlushMappedBufferRange_global_rewrite_ptr;

PUBLIC PFNGLFLUSHMAPPEDBUFFERRANGEAPPLEPROC epoxy_glFlushMappedBufferRangeAPPLE = epoxy_glFlushMappedBufferRangeAPPLE_global_rewrite_ptr;

PUBLIC PFNGLFLUSHMAPPEDBUFFERRANGEEXTPROC epoxy_glFlushMappedBufferRangeEXT = epoxy_glFlushMappedBufferRangeEXT_global_rewrite_ptr;

PUBLIC PFNGLFLUSHMAPPEDNAMEDBUFFERRANGEEXTPROC epoxy_glFlushMappedNamedBufferRangeEXT = epoxy_glFlushMappedNamedBufferRangeEXT_global_rewrite_ptr;

PUBLIC PFNGLFLUSHPIXELDATARANGENVPROC epoxy_glFlushPixelDataRangeNV = epoxy_glFlushPixelDataRangeNV_global_rewrite_ptr;

PUBLIC PFNGLFLUSHRASTERSGIXPROC epoxy_glFlushRasterSGIX = epoxy_glFlushRasterSGIX_global_rewrite_ptr;

PUBLIC PFNGLFLUSHSTATICDATAIBMPROC epoxy_glFlushStaticDataIBM = epoxy_glFlushStaticDataIBM_global_rewrite_ptr;

PUBLIC PFNGLFLUSHVERTEXARRAYRANGEAPPLEPROC epoxy_glFlushVertexArrayRangeAPPLE = epoxy_glFlushVertexArrayRangeAPPLE_global_rewrite_ptr;

PUBLIC PFNGLFLUSHVERTEXARRAYRANGENVPROC epoxy_glFlushVertexArrayRangeNV = epoxy_glFlushVertexArrayRangeNV_global_rewrite_ptr;

PUBLIC PFNGLFOGCOORDFORMATNVPROC epoxy_glFogCoordFormatNV = epoxy_glFogCoordFormatNV_global_rewrite_ptr;

PUBLIC PFNGLFOGCOORDPOINTERPROC epoxy_glFogCoordPointer = epoxy_glFogCoordPointer_global_rewrite_ptr;

PUBLIC PFNGLFOGCOORDPOINTEREXTPROC epoxy_glFogCoordPointerEXT = epoxy_glFogCoordPointerEXT_global_rewrite_ptr;

PUBLIC PFNGLFOGCOORDPOINTERLISTIBMPROC epoxy_glFogCoordPointerListIBM = epoxy_glFogCoordPointerListIBM_global_rewrite_ptr;

PUBLIC PFNGLFOGCOORDDPROC epoxy_glFogCoordd = epoxy_glFogCoordd_global_rewrite_ptr;

PUBLIC PFNGLFOGCOORDDEXTPROC epoxy_glFogCoorddEXT = epoxy_glFogCoorddEXT_global_rewrite_ptr;

PUBLIC PFNGLFOGCOORDDVPROC epoxy_glFogCoorddv = epoxy_glFogCoorddv_global_rewrite_ptr;

PUBLIC PFNGLFOGCOORDDVEXTPROC epoxy_glFogCoorddvEXT = epoxy_glFogCoorddvEXT_global_rewrite_ptr;

PUBLIC PFNGLFOGCOORDFPROC epoxy_glFogCoordf = epoxy_glFogCoordf_global_rewrite_ptr;

PUBLIC PFNGLFOGCOORDFEXTPROC epoxy_glFogCoordfEXT = epoxy_glFogCoordfEXT_global_rewrite_ptr;

PUBLIC PFNGLFOGCOORDFVPROC epoxy_glFogCoordfv = epoxy_glFogCoordfv_global_rewrite_ptr;

PUBLIC PFNGLFOGCOORDFVEXTPROC epoxy_glFogCoordfvEXT = epoxy_glFogCoordfvEXT_global_rewrite_ptr;

PUBLIC PFNGLFOGCOORDHNVPROC epoxy_glFogCoordhNV = epoxy_glFogCoordhNV_global_rewrite_ptr;

PUBLIC PFNGLFOGCOORDHVNVPROC epoxy_glFogCoordhvNV = epoxy_glFogCoordhvNV_global_rewrite_ptr;

PUBLIC PFNGLFOGFUNCSGISPROC epoxy_glFogFuncSGIS = epoxy_glFogFuncSGIS_global_rewrite_ptr;

PUBLIC PFNGLFOGFPROC epoxy_glFogf = epoxy_glFogf_global_rewrite_ptr;

PUBLIC PFNGLFOGFVPROC epoxy_glFogfv = epoxy_glFogfv_global_rewrite_ptr;

PUBLIC PFNGLFOGIPROC epoxy_glFogi = epoxy_glFogi_global_rewrite_ptr;

PUBLIC PFNGLFOGIVPROC epoxy_glFogiv = epoxy_glFogiv_global_rewrite_ptr;

PUBLIC PFNGLFOGXPROC epoxy_glFogx = epoxy_glFogx_global_rewrite_ptr;

PUBLIC PFNGLFOGXOESPROC epoxy_glFogxOES = epoxy_glFogxOES_global_rewrite_ptr;

PUBLIC PFNGLFOGXVPROC epoxy_glFogxv = epoxy_glFogxv_global_rewrite_ptr;

PUBLIC PFNGLFOGXVOESPROC epoxy_glFogxvOES = epoxy_glFogxvOES_global_rewrite_ptr;

PUBLIC PFNGLFRAGMENTCOLORMATERIALSGIXPROC epoxy_glFragmentColorMaterialSGIX = epoxy_glFragmentColorMaterialSGIX_global_rewrite_ptr;

PUBLIC PFNGLFRAGMENTLIGHTMODELFSGIXPROC epoxy_glFragmentLightModelfSGIX = epoxy_glFragmentLightModelfSGIX_global_rewrite_ptr;

PUBLIC PFNGLFRAGMENTLIGHTMODELFVSGIXPROC epoxy_glFragmentLightModelfvSGIX = epoxy_glFragmentLightModelfvSGIX_global_rewrite_ptr;

PUBLIC PFNGLFRAGMENTLIGHTMODELISGIXPROC epoxy_glFragmentLightModeliSGIX = epoxy_glFragmentLightModeliSGIX_global_rewrite_ptr;

PUBLIC PFNGLFRAGMENTLIGHTMODELIVSGIXPROC epoxy_glFragmentLightModelivSGIX = epoxy_glFragmentLightModelivSGIX_global_rewrite_ptr;

PUBLIC PFNGLFRAGMENTLIGHTFSGIXPROC epoxy_glFragmentLightfSGIX = epoxy_glFragmentLightfSGIX_global_rewrite_ptr;

PUBLIC PFNGLFRAGMENTLIGHTFVSGIXPROC epoxy_glFragmentLightfvSGIX = epoxy_glFragmentLightfvSGIX_global_rewrite_ptr;

PUBLIC PFNGLFRAGMENTLIGHTISGIXPROC epoxy_glFragmentLightiSGIX = epoxy_glFragmentLightiSGIX_global_rewrite_ptr;

PUBLIC PFNGLFRAGMENTLIGHTIVSGIXPROC epoxy_glFragmentLightivSGIX = epoxy_glFragmentLightivSGIX_global_rewrite_ptr;

PUBLIC PFNGLFRAGMENTMATERIALFSGIXPROC epoxy_glFragmentMaterialfSGIX = epoxy_glFragmentMaterialfSGIX_global_rewrite_ptr;

PUBLIC PFNGLFRAGMENTMATERIALFVSGIXPROC epoxy_glFragmentMaterialfvSGIX = epoxy_glFragmentMaterialfvSGIX_global_rewrite_ptr;

PUBLIC PFNGLFRAGMENTMATERIALISGIXPROC epoxy_glFragmentMaterialiSGIX = epoxy_glFragmentMaterialiSGIX_global_rewrite_ptr;

PUBLIC PFNGLFRAGMENTMATERIALIVSGIXPROC epoxy_glFragmentMaterialivSGIX = epoxy_glFragmentMaterialivSGIX_global_rewrite_ptr;

PUBLIC PFNGLFRAMETERMINATORGREMEDYPROC epoxy_glFrameTerminatorGREMEDY = epoxy_glFrameTerminatorGREMEDY_global_rewrite_ptr;

PUBLIC PFNGLFRAMEZOOMSGIXPROC epoxy_glFrameZoomSGIX = epoxy_glFrameZoomSGIX_global_rewrite_ptr;

PUBLIC PFNGLFRAMEBUFFERDRAWBUFFEREXTPROC epoxy_glFramebufferDrawBufferEXT = epoxy_glFramebufferDrawBufferEXT_global_rewrite_ptr;

PUBLIC PFNGLFRAMEBUFFERDRAWBUFFERSEXTPROC epoxy_glFramebufferDrawBuffersEXT = epoxy_glFramebufferDrawBuffersEXT_global_rewrite_ptr;

PUBLIC PFNGLFRAMEBUFFERPARAMETERIPROC epoxy_glFramebufferParameteri = epoxy_glFramebufferParameteri_global_rewrite_ptr;

PUBLIC PFNGLFRAMEBUFFERREADBUFFEREXTPROC epoxy_glFramebufferReadBufferEXT = epoxy_glFramebufferReadBufferEXT_global_rewrite_ptr;

PUBLIC PFNGLFRAMEBUFFERRENDERBUFFERPROC epoxy_glFramebufferRenderbuffer = epoxy_glFramebufferRenderbuffer_global_rewrite_ptr;

PUBLIC PFNGLFRAMEBUFFERRENDERBUFFEREXTPROC epoxy_glFramebufferRenderbufferEXT = epoxy_glFramebufferRenderbufferEXT_global_rewrite_ptr;

PUBLIC PFNGLFRAMEBUFFERRENDERBUFFEROESPROC epoxy_glFramebufferRenderbufferOES = epoxy_glFramebufferRenderbufferOES_global_rewrite_ptr;

PUBLIC PFNGLFRAMEBUFFERTEXTUREPROC epoxy_glFramebufferTexture = epoxy_glFramebufferTexture_global_rewrite_ptr;

PUBLIC PFNGLFRAMEBUFFERTEXTURE1DPROC epoxy_glFramebufferTexture1D = epoxy_glFramebufferTexture1D_global_rewrite_ptr;

PUBLIC PFNGLFRAMEBUFFERTEXTURE1DEXTPROC epoxy_glFramebufferTexture1DEXT = epoxy_glFramebufferTexture1DEXT_global_rewrite_ptr;

PUBLIC PFNGLFRAMEBUFFERTEXTURE2DPROC epoxy_glFramebufferTexture2D = epoxy_glFramebufferTexture2D_global_rewrite_ptr;

PUBLIC PFNGLFRAMEBUFFERTEXTURE2DEXTPROC epoxy_glFramebufferTexture2DEXT = epoxy_glFramebufferTexture2DEXT_global_rewrite_ptr;

PUBLIC PFNGLFRAMEBUFFERTEXTURE2DMULTISAMPLEEXTPROC epoxy_glFramebufferTexture2DMultisampleEXT = epoxy_glFramebufferTexture2DMultisampleEXT_global_rewrite_ptr;

PUBLIC PFNGLFRAMEBUFFERTEXTURE2DMULTISAMPLEIMGPROC epoxy_glFramebufferTexture2DMultisampleIMG = epoxy_glFramebufferTexture2DMultisampleIMG_global_rewrite_ptr;

PUBLIC PFNGLFRAMEBUFFERTEXTURE2DOESPROC epoxy_glFramebufferTexture2DOES = epoxy_glFramebufferTexture2DOES_global_rewrite_ptr;

PUBLIC PFNGLFRAMEBUFFERTEXTURE3DPROC epoxy_glFramebufferTexture3D = epoxy_glFramebufferTexture3D_global_rewrite_ptr;

PUBLIC PFNGLFRAMEBUFFERTEXTURE3DEXTPROC epoxy_glFramebufferTexture3DEXT = epoxy_glFramebufferTexture3DEXT_global_rewrite_ptr;

PUBLIC PFNGLFRAMEBUFFERTEXTURE3DOESPROC epoxy_glFramebufferTexture3DOES = epoxy_glFramebufferTexture3DOES_global_rewrite_ptr;

PUBLIC PFNGLFRAMEBUFFERTEXTUREARBPROC epoxy_glFramebufferTextureARB = epoxy_glFramebufferTextureARB_global_rewrite_ptr;

PUBLIC PFNGLFRAMEBUFFERTEXTUREEXTPROC epoxy_glFramebufferTextureEXT = epoxy_glFramebufferTextureEXT_global_rewrite_ptr;

PUBLIC PFNGLFRAMEBUFFERTEXTUREFACEARBPROC epoxy_glFramebufferTextureFaceARB = epoxy_glFramebufferTextureFaceARB_global_rewrite_ptr;

PUBLIC PFNGLFRAMEBUFFERTEXTUREFACEEXTPROC epoxy_glFramebufferTextureFaceEXT = epoxy_glFramebufferTextureFaceEXT_global_rewrite_ptr;

PUBLIC PFNGLFRAMEBUFFERTEXTURELAYERPROC epoxy_glFramebufferTextureLayer = epoxy_glFramebufferTextureLayer_global_rewrite_ptr;

PUBLIC PFNGLFRAMEBUFFERTEXTURELAYERARBPROC epoxy_glFramebufferTextureLayerARB = epoxy_glFramebufferTextureLayerARB_global_rewrite_ptr;

PUBLIC PFNGLFRAMEBUFFERTEXTURELAYEREXTPROC epoxy_glFramebufferTextureLayerEXT = epoxy_glFramebufferTextureLayerEXT_global_rewrite_ptr;

PUBLIC PFNGLFREEOBJECTBUFFERATIPROC epoxy_glFreeObjectBufferATI = epoxy_glFreeObjectBufferATI_global_rewrite_ptr;

PUBLIC PFNGLFRONTFACEPROC epoxy_glFrontFace = epoxy_glFrontFace_global_rewrite_ptr;

PUBLIC PFNGLFRUSTUMPROC epoxy_glFrustum = epoxy_glFrustum_global_rewrite_ptr;

PUBLIC PFNGLFRUSTUMFPROC epoxy_glFrustumf = epoxy_glFrustumf_global_rewrite_ptr;

PUBLIC PFNGLFRUSTUMFOESPROC epoxy_glFrustumfOES = epoxy_glFrustumfOES_global_rewrite_ptr;

PUBLIC PFNGLFRUSTUMXPROC epoxy_glFrustumx = epoxy_glFrustumx_global_rewrite_ptr;

PUBLIC PFNGLFRUSTUMXOESPROC epoxy_glFrustumxOES = epoxy_glFrustumxOES_global_rewrite_ptr;

PUBLIC PFNGLGENASYNCMARKERSSGIXPROC epoxy_glGenAsyncMarkersSGIX = epoxy_glGenAsyncMarkersSGIX_global_rewrite_ptr;

PUBLIC PFNGLGENBUFFERSPROC epoxy_glGenBuffers = epoxy_glGenBuffers_global_rewrite_ptr;

PUBLIC PFNGLGENBUFFERSARBPROC epoxy_glGenBuffersARB = epoxy_glGenBuffersARB_global_rewrite_ptr;

PUBLIC PFNGLGENFENCESAPPLEPROC epoxy_glGenFencesAPPLE = epoxy_glGenFencesAPPLE_global_rewrite_ptr;

PUBLIC PFNGLGENFENCESNVPROC epoxy_glGenFencesNV = epoxy_glGenFencesNV_global_rewrite_ptr;

PUBLIC PFNGLGENFRAGMENTSHADERSATIPROC epoxy_glGenFragmentShadersATI = epoxy_glGenFragmentShadersATI_global_rewrite_ptr;

PUBLIC PFNGLGENFRAMEBUFFERSPROC epoxy_glGenFramebuffers = epoxy_glGenFramebuffers_global_rewrite_ptr;

PUBLIC PFNGLGENFRAMEBUFFERSEXTPROC epoxy_glGenFramebuffersEXT = epoxy_glGenFramebuffersEXT_global_rewrite_ptr;

PUBLIC PFNGLGENFRAMEBUFFERSOESPROC epoxy_glGenFramebuffersOES = epoxy_glGenFramebuffersOES_global_rewrite_ptr;

PUBLIC PFNGLGENLISTSPROC epoxy_glGenLists = epoxy_glGenLists_global_rewrite_ptr;

PUBLIC PFNGLGENNAMESAMDPROC epoxy_glGenNamesAMD = epoxy_glGenNamesAMD_global_rewrite_ptr;

PUBLIC PFNGLGENOCCLUSIONQUERIESNVPROC epoxy_glGenOcclusionQueriesNV = epoxy_glGenOcclusionQueriesNV_global_rewrite_ptr;

PUBLIC PFNGLGENPATHSNVPROC epoxy_glGenPathsNV = epoxy_glGenPathsNV_global_rewrite_ptr;

PUBLIC PFNGLGENPERFMONITORSAMDPROC epoxy_glGenPerfMonitorsAMD = epoxy_glGenPerfMonitorsAMD_global_rewrite_ptr;

PUBLIC PFNGLGENPROGRAMPIPELINESPROC epoxy_glGenProgramPipelines = epoxy_glGenProgramPipelines_global_rewrite_ptr;

PUBLIC PFNGLGENPROGRAMPIPELINESEXTPROC epoxy_glGenProgramPipelinesEXT = epoxy_glGenProgramPipelinesEXT_global_rewrite_ptr;

PUBLIC PFNGLGENPROGRAMSARBPROC epoxy_glGenProgramsARB = epoxy_glGenProgramsARB_global_rewrite_ptr;

PUBLIC PFNGLGENPROGRAMSNVPROC epoxy_glGenProgramsNV = epoxy_glGenProgramsNV_global_rewrite_ptr;

PUBLIC PFNGLGENQUERIESPROC epoxy_glGenQueries = epoxy_glGenQueries_global_rewrite_ptr;

PUBLIC PFNGLGENQUERIESARBPROC epoxy_glGenQueriesARB = epoxy_glGenQueriesARB_global_rewrite_ptr;

PUBLIC PFNGLGENQUERIESEXTPROC epoxy_glGenQueriesEXT = epoxy_glGenQueriesEXT_global_rewrite_ptr;

PUBLIC PFNGLGENRENDERBUFFERSPROC epoxy_glGenRenderbuffers = epoxy_glGenRenderbuffers_global_rewrite_ptr;

PUBLIC PFNGLGENRENDERBUFFERSEXTPROC epoxy_glGenRenderbuffersEXT = epoxy_glGenRenderbuffersEXT_global_rewrite_ptr;

PUBLIC PFNGLGENRENDERBUFFERSOESPROC epoxy_glGenRenderbuffersOES = epoxy_glGenRenderbuffersOES_global_rewrite_ptr;

PUBLIC PFNGLGENSAMPLERSPROC epoxy_glGenSamplers = epoxy_glGenSamplers_global_rewrite_ptr;

PUBLIC PFNGLGENSYMBOLSEXTPROC epoxy_glGenSymbolsEXT = epoxy_glGenSymbolsEXT_global_rewrite_ptr;

PUBLIC PFNGLGENTEXTURESPROC epoxy_glGenTextures = epoxy_glGenTextures_global_rewrite_ptr;

PUBLIC PFNGLGENTEXTURESEXTPROC epoxy_glGenTexturesEXT = epoxy_glGenTexturesEXT_global_rewrite_ptr;

PUBLIC PFNGLGENTRANSFORMFEEDBACKSPROC epoxy_glGenTransformFeedbacks = epoxy_glGenTransformFeedbacks_global_rewrite_ptr;

PUBLIC PFNGLGENTRANSFORMFEEDBACKSNVPROC epoxy_glGenTransformFeedbacksNV = epoxy_glGenTransformFeedbacksNV_global_rewrite_ptr;

PUBLIC PFNGLGENVERTEXARRAYSPROC epoxy_glGenVertexArrays = epoxy_glGenVertexArrays_global_rewrite_ptr;

PUBLIC PFNGLGENVERTEXARRAYSAPPLEPROC epoxy_glGenVertexArraysAPPLE = epoxy_glGenVertexArraysAPPLE_global_rewrite_ptr;

PUBLIC PFNGLGENVERTEXARRAYSOESPROC epoxy_glGenVertexArraysOES = epoxy_glGenVertexArraysOES_global_rewrite_ptr;

PUBLIC PFNGLGENVERTEXSHADERSEXTPROC epoxy_glGenVertexShadersEXT = epoxy_glGenVertexShadersEXT_global_rewrite_ptr;

PUBLIC PFNGLGENERATEMIPMAPPROC epoxy_glGenerateMipmap = epoxy_glGenerateMipmap_global_rewrite_ptr;

PUBLIC PFNGLGENERATEMIPMAPEXTPROC epoxy_glGenerateMipmapEXT = epoxy_glGenerateMipmapEXT_global_rewrite_ptr;

PUBLIC PFNGLGENERATEMIPMAPOESPROC epoxy_glGenerateMipmapOES = epoxy_glGenerateMipmapOES_global_rewrite_ptr;

PUBLIC PFNGLGENERATEMULTITEXMIPMAPEXTPROC epoxy_glGenerateMultiTexMipmapEXT = epoxy_glGenerateMultiTexMipmapEXT_global_rewrite_ptr;

PUBLIC PFNGLGENERATETEXTUREMIPMAPEXTPROC epoxy_glGenerateTextureMipmapEXT = epoxy_glGenerateTextureMipmapEXT_global_rewrite_ptr;

PUBLIC PFNGLGETACTIVEATOMICCOUNTERBUFFERIVPROC epoxy_glGetActiveAtomicCounterBufferiv = epoxy_glGetActiveAtomicCounterBufferiv_global_rewrite_ptr;

PUBLIC PFNGLGETACTIVEATTRIBPROC epoxy_glGetActiveAttrib = epoxy_glGetActiveAttrib_global_rewrite_ptr;

PUBLIC PFNGLGETACTIVEATTRIBARBPROC epoxy_glGetActiveAttribARB = epoxy_glGetActiveAttribARB_global_rewrite_ptr;

PUBLIC PFNGLGETACTIVESUBROUTINENAMEPROC epoxy_glGetActiveSubroutineName = epoxy_glGetActiveSubroutineName_global_rewrite_ptr;

PUBLIC PFNGLGETACTIVESUBROUTINEUNIFORMNAMEPROC epoxy_glGetActiveSubroutineUniformName = epoxy_glGetActiveSubroutineUniformName_global_rewrite_ptr;

PUBLIC PFNGLGETACTIVESUBROUTINEUNIFORMIVPROC epoxy_glGetActiveSubroutineUniformiv = epoxy_glGetActiveSubroutineUniformiv_global_rewrite_ptr;

PUBLIC PFNGLGETACTIVEUNIFORMPROC epoxy_glGetActiveUniform = epoxy_glGetActiveUniform_global_rewrite_ptr;

PUBLIC PFNGLGETACTIVEUNIFORMARBPROC epoxy_glGetActiveUniformARB = epoxy_glGetActiveUniformARB_global_rewrite_ptr;

PUBLIC PFNGLGETACTIVEUNIFORMBLOCKNAMEPROC epoxy_glGetActiveUniformBlockName = epoxy_glGetActiveUniformBlockName_global_rewrite_ptr;

PUBLIC PFNGLGETACTIVEUNIFORMBLOCKIVPROC epoxy_glGetActiveUniformBlockiv = epoxy_glGetActiveUniformBlockiv_global_rewrite_ptr;

PUBLIC PFNGLGETACTIVEUNIFORMNAMEPROC epoxy_glGetActiveUniformName = epoxy_glGetActiveUniformName_global_rewrite_ptr;

PUBLIC PFNGLGETACTIVEUNIFORMSIVPROC epoxy_glGetActiveUniformsiv = epoxy_glGetActiveUniformsiv_global_rewrite_ptr;

PUBLIC PFNGLGETACTIVEVARYINGNVPROC epoxy_glGetActiveVaryingNV = epoxy_glGetActiveVaryingNV_global_rewrite_ptr;

PUBLIC PFNGLGETARRAYOBJECTFVATIPROC epoxy_glGetArrayObjectfvATI = epoxy_glGetArrayObjectfvATI_global_rewrite_ptr;

PUBLIC PFNGLGETARRAYOBJECTIVATIPROC epoxy_glGetArrayObjectivATI = epoxy_glGetArrayObjectivATI_global_rewrite_ptr;

PUBLIC PFNGLGETATTACHEDOBJECTSARBPROC epoxy_glGetAttachedObjectsARB = epoxy_glGetAttachedObjectsARB_global_rewrite_ptr;

PUBLIC PFNGLGETATTACHEDSHADERSPROC epoxy_glGetAttachedShaders = epoxy_glGetAttachedShaders_global_rewrite_ptr;

PUBLIC PFNGLGETATTRIBLOCATIONPROC epoxy_glGetAttribLocation = epoxy_glGetAttribLocation_global_rewrite_ptr;

PUBLIC PFNGLGETATTRIBLOCATIONARBPROC epoxy_glGetAttribLocationARB = epoxy_glGetAttribLocationARB_global_rewrite_ptr;

PUBLIC PFNGLGETBOOLEANINDEXEDVEXTPROC epoxy_glGetBooleanIndexedvEXT = epoxy_glGetBooleanIndexedvEXT_global_rewrite_ptr;

PUBLIC PFNGLGETBOOLEANI_VPROC epoxy_glGetBooleani_v = epoxy_glGetBooleani_v_global_rewrite_ptr;

PUBLIC PFNGLGETBOOLEANVPROC epoxy_glGetBooleanv = epoxy_glGetBooleanv_global_rewrite_ptr;

PUBLIC PFNGLGETBUFFERPARAMETERI64VPROC epoxy_glGetBufferParameteri64v = epoxy_glGetBufferParameteri64v_global_rewrite_ptr;

PUBLIC PFNGLGETBUFFERPARAMETERIVPROC epoxy_glGetBufferParameteriv = epoxy_glGetBufferParameteriv_global_rewrite_ptr;

PUBLIC PFNGLGETBUFFERPARAMETERIVARBPROC epoxy_glGetBufferParameterivARB = epoxy_glGetBufferParameterivARB_global_rewrite_ptr;

PUBLIC PFNGLGETBUFFERPARAMETERUI64VNVPROC epoxy_glGetBufferParameterui64vNV = epoxy_glGetBufferParameterui64vNV_global_rewrite_ptr;

PUBLIC PFNGLGETBUFFERPOINTERVPROC epoxy_glGetBufferPointerv = epoxy_glGetBufferPointerv_global_rewrite_ptr;

PUBLIC PFNGLGETBUFFERPOINTERVARBPROC epoxy_glGetBufferPointervARB = epoxy_glGetBufferPointervARB_global_rewrite_ptr;

PUBLIC PFNGLGETBUFFERPOINTERVOESPROC epoxy_glGetBufferPointervOES = epoxy_glGetBufferPointervOES_global_rewrite_ptr;

PUBLIC PFNGLGETBUFFERSUBDATAPROC epoxy_glGetBufferSubData = epoxy_glGetBufferSubData_global_rewrite_ptr;

PUBLIC PFNGLGETBUFFERSUBDATAARBPROC epoxy_glGetBufferSubDataARB = epoxy_glGetBufferSubDataARB_global_rewrite_ptr;

PUBLIC PFNGLGETCLIPPLANEPROC epoxy_glGetClipPlane = epoxy_glGetClipPlane_global_rewrite_ptr;

PUBLIC PFNGLGETCLIPPLANEFPROC epoxy_glGetClipPlanef = epoxy_glGetClipPlanef_global_rewrite_ptr;

PUBLIC PFNGLGETCLIPPLANEFOESPROC epoxy_glGetClipPlanefOES = epoxy_glGetClipPlanefOES_global_rewrite_ptr;

PUBLIC PFNGLGETCLIPPLANEXPROC epoxy_glGetClipPlanex = epoxy_glGetClipPlanex_global_rewrite_ptr;

PUBLIC PFNGLGETCLIPPLANEXOESPROC epoxy_glGetClipPlanexOES = epoxy_glGetClipPlanexOES_global_rewrite_ptr;

PUBLIC PFNGLGETCOLORTABLEPROC epoxy_glGetColorTable = epoxy_glGetColorTable_global_rewrite_ptr;

PUBLIC PFNGLGETCOLORTABLEEXTPROC epoxy_glGetColorTableEXT = epoxy_glGetColorTableEXT_global_rewrite_ptr;

PUBLIC PFNGLGETCOLORTABLEPARAMETERFVPROC epoxy_glGetColorTableParameterfv = epoxy_glGetColorTableParameterfv_global_rewrite_ptr;

PUBLIC PFNGLGETCOLORTABLEPARAMETERFVEXTPROC epoxy_glGetColorTableParameterfvEXT = epoxy_glGetColorTableParameterfvEXT_global_rewrite_ptr;

PUBLIC PFNGLGETCOLORTABLEPARAMETERFVSGIPROC epoxy_glGetColorTableParameterfvSGI = epoxy_glGetColorTableParameterfvSGI_global_rewrite_ptr;

PUBLIC PFNGLGETCOLORTABLEPARAMETERIVPROC epoxy_glGetColorTableParameteriv = epoxy_glGetColorTableParameteriv_global_rewrite_ptr;

PUBLIC PFNGLGETCOLORTABLEPARAMETERIVEXTPROC epoxy_glGetColorTableParameterivEXT = epoxy_glGetColorTableParameterivEXT_global_rewrite_ptr;

PUBLIC PFNGLGETCOLORTABLEPARAMETERIVSGIPROC epoxy_glGetColorTableParameterivSGI = epoxy_glGetColorTableParameterivSGI_global_rewrite_ptr;

PUBLIC PFNGLGETCOLORTABLESGIPROC epoxy_glGetColorTableSGI = epoxy_glGetColorTableSGI_global_rewrite_ptr;

PUBLIC PFNGLGETCOMBINERINPUTPARAMETERFVNVPROC epoxy_glGetCombinerInputParameterfvNV = epoxy_glGetCombinerInputParameterfvNV_global_rewrite_ptr;

PUBLIC PFNGLGETCOMBINERINPUTPARAMETERIVNVPROC epoxy_glGetCombinerInputParameterivNV = epoxy_glGetCombinerInputParameterivNV_global_rewrite_ptr;

PUBLIC PFNGLGETCOMBINEROUTPUTPARAMETERFVNVPROC epoxy_glGetCombinerOutputParameterfvNV = epoxy_glGetCombinerOutputParameterfvNV_global_rewrite_ptr;

PUBLIC PFNGLGETCOMBINEROUTPUTPARAMETERIVNVPROC epoxy_glGetCombinerOutputParameterivNV = epoxy_glGetCombinerOutputParameterivNV_global_rewrite_ptr;

PUBLIC PFNGLGETCOMBINERSTAGEPARAMETERFVNVPROC epoxy_glGetCombinerStageParameterfvNV = epoxy_glGetCombinerStageParameterfvNV_global_rewrite_ptr;

PUBLIC PFNGLGETCOMPRESSEDMULTITEXIMAGEEXTPROC epoxy_glGetCompressedMultiTexImageEXT = epoxy_glGetCompressedMultiTexImageEXT_global_rewrite_ptr;

PUBLIC PFNGLGETCOMPRESSEDTEXIMAGEPROC epoxy_glGetCompressedTexImage = epoxy_glGetCompressedTexImage_global_rewrite_ptr;

PUBLIC PFNGLGETCOMPRESSEDTEXIMAGEARBPROC epoxy_glGetCompressedTexImageARB = epoxy_glGetCompressedTexImageARB_global_rewrite_ptr;

PUBLIC PFNGLGETCOMPRESSEDTEXTUREIMAGEEXTPROC epoxy_glGetCompressedTextureImageEXT = epoxy_glGetCompressedTextureImageEXT_global_rewrite_ptr;

PUBLIC PFNGLGETCONVOLUTIONFILTERPROC epoxy_glGetConvolutionFilter = epoxy_glGetConvolutionFilter_global_rewrite_ptr;

PUBLIC PFNGLGETCONVOLUTIONFILTEREXTPROC epoxy_glGetConvolutionFilterEXT = epoxy_glGetConvolutionFilterEXT_global_rewrite_ptr;

PUBLIC PFNGLGETCONVOLUTIONPARAMETERFVPROC epoxy_glGetConvolutionParameterfv = epoxy_glGetConvolutionParameterfv_global_rewrite_ptr;

PUBLIC PFNGLGETCONVOLUTIONPARAMETERFVEXTPROC epoxy_glGetConvolutionParameterfvEXT = epoxy_glGetConvolutionParameterfvEXT_global_rewrite_ptr;

PUBLIC PFNGLGETCONVOLUTIONPARAMETERIVPROC epoxy_glGetConvolutionParameteriv = epoxy_glGetConvolutionParameteriv_global_rewrite_ptr;

PUBLIC PFNGLGETCONVOLUTIONPARAMETERIVEXTPROC epoxy_glGetConvolutionParameterivEXT = epoxy_glGetConvolutionParameterivEXT_global_rewrite_ptr;

PUBLIC PFNGLGETCONVOLUTIONPARAMETERXVOESPROC epoxy_glGetConvolutionParameterxvOES = epoxy_glGetConvolutionParameterxvOES_global_rewrite_ptr;

PUBLIC PFNGLGETDEBUGMESSAGELOGPROC epoxy_glGetDebugMessageLog = epoxy_glGetDebugMessageLog_global_rewrite_ptr;

PUBLIC PFNGLGETDEBUGMESSAGELOGAMDPROC epoxy_glGetDebugMessageLogAMD = epoxy_glGetDebugMessageLogAMD_global_rewrite_ptr;

PUBLIC PFNGLGETDEBUGMESSAGELOGARBPROC epoxy_glGetDebugMessageLogARB = epoxy_glGetDebugMessageLogARB_global_rewrite_ptr;

PUBLIC PFNGLGETDEBUGMESSAGELOGKHRPROC epoxy_glGetDebugMessageLogKHR = epoxy_glGetDebugMessageLogKHR_global_rewrite_ptr;

PUBLIC PFNGLGETDETAILTEXFUNCSGISPROC epoxy_glGetDetailTexFuncSGIS = epoxy_glGetDetailTexFuncSGIS_global_rewrite_ptr;

PUBLIC PFNGLGETDOUBLEINDEXEDVEXTPROC epoxy_glGetDoubleIndexedvEXT = epoxy_glGetDoubleIndexedvEXT_global_rewrite_ptr;

PUBLIC PFNGLGETDOUBLEI_VPROC epoxy_glGetDoublei_v = epoxy_glGetDoublei_v_global_rewrite_ptr;

PUBLIC PFNGLGETDOUBLEI_VEXTPROC epoxy_glGetDoublei_vEXT = epoxy_glGetDoublei_vEXT_global_rewrite_ptr;

PUBLIC PFNGLGETDOUBLEVPROC epoxy_glGetDoublev = epoxy_glGetDoublev_global_rewrite_ptr;

PUBLIC PFNGLGETDRIVERCONTROLSTRINGQCOMPROC epoxy_glGetDriverControlStringQCOM = epoxy_glGetDriverControlStringQCOM_global_rewrite_ptr;

PUBLIC PFNGLGETDRIVERCONTROLSQCOMPROC epoxy_glGetDriverControlsQCOM = epoxy_glGetDriverControlsQCOM_global_rewrite_ptr;

PUBLIC PFNGLGETERRORPROC epoxy_glGetError = epoxy_glGetError_global_rewrite_ptr;

PUBLIC PFNGLGETFENCEIVNVPROC epoxy_glGetFenceivNV = epoxy_glGetFenceivNV_global_rewrite_ptr;

PUBLIC PFNGLGETFINALCOMBINERINPUTPARAMETERFVNVPROC epoxy_glGetFinalCombinerInputParameterfvNV = epoxy_glGetFinalCombinerInputParameterfvNV_global_rewrite_ptr;

PUBLIC PFNGLGETFINALCOMBINERINPUTPARAMETERIVNVPROC epoxy_glGetFinalCombinerInputParameterivNV = epoxy_glGetFinalCombinerInputParameterivNV_global_rewrite_ptr;

PUBLIC PFNGLGETFIRSTPERFQUERYIDINTELPROC epoxy_glGetFirstPerfQueryIdINTEL = epoxy_glGetFirstPerfQueryIdINTEL_global_rewrite_ptr;

PUBLIC PFNGLGETFIXEDVPROC epoxy_glGetFixedv = epoxy_glGetFixedv_global_rewrite_ptr;

PUBLIC PFNGLGETFIXEDVOESPROC epoxy_glGetFixedvOES = epoxy_glGetFixedvOES_global_rewrite_ptr;

PUBLIC PFNGLGETFLOATINDEXEDVEXTPROC epoxy_glGetFloatIndexedvEXT = epoxy_glGetFloatIndexedvEXT_global_rewrite_ptr;

PUBLIC PFNGLGETFLOATI_VPROC epoxy_glGetFloati_v = epoxy_glGetFloati_v_global_rewrite_ptr;

PUBLIC PFNGLGETFLOATI_VEXTPROC epoxy_glGetFloati_vEXT = epoxy_glGetFloati_vEXT_global_rewrite_ptr;

PUBLIC PFNGLGETFLOATVPROC epoxy_glGetFloatv = epoxy_glGetFloatv_global_rewrite_ptr;

PUBLIC PFNGLGETFOGFUNCSGISPROC epoxy_glGetFogFuncSGIS = epoxy_glGetFogFuncSGIS_global_rewrite_ptr;

PUBLIC PFNGLGETFRAGDATAINDEXPROC epoxy_glGetFragDataIndex = epoxy_glGetFragDataIndex_global_rewrite_ptr;

PUBLIC PFNGLGETFRAGDATALOCATIONPROC epoxy_glGetFragDataLocation = epoxy_glGetFragDataLocation_global_rewrite_ptr;

PUBLIC PFNGLGETFRAGDATALOCATIONEXTPROC epoxy_glGetFragDataLocationEXT = epoxy_glGetFragDataLocationEXT_global_rewrite_ptr;

PUBLIC PFNGLGETFRAGMENTLIGHTFVSGIXPROC epoxy_glGetFragmentLightfvSGIX = epoxy_glGetFragmentLightfvSGIX_global_rewrite_ptr;

PUBLIC PFNGLGETFRAGMENTLIGHTIVSGIXPROC epoxy_glGetFragmentLightivSGIX = epoxy_glGetFragmentLightivSGIX_global_rewrite_ptr;

PUBLIC PFNGLGETFRAGMENTMATERIALFVSGIXPROC epoxy_glGetFragmentMaterialfvSGIX = epoxy_glGetFragmentMaterialfvSGIX_global_rewrite_ptr;

PUBLIC PFNGLGETFRAGMENTMATERIALIVSGIXPROC epoxy_glGetFragmentMaterialivSGIX = epoxy_glGetFragmentMaterialivSGIX_global_rewrite_ptr;

PUBLIC PFNGLGETFRAMEBUFFERATTACHMENTPARAMETERIVPROC epoxy_glGetFramebufferAttachmentParameteriv = epoxy_glGetFramebufferAttachmentParameteriv_global_rewrite_ptr;

PUBLIC PFNGLGETFRAMEBUFFERATTACHMENTPARAMETERIVEXTPROC epoxy_glGetFramebufferAttachmentParameterivEXT = epoxy_glGetFramebufferAttachmentParameterivEXT_global_rewrite_ptr;

PUBLIC PFNGLGETFRAMEBUFFERATTACHMENTPARAMETERIVOESPROC epoxy_glGetFramebufferAttachmentParameterivOES = epoxy_glGetFramebufferAttachmentParameterivOES_global_rewrite_ptr;

PUBLIC PFNGLGETFRAMEBUFFERPARAMETERIVPROC epoxy_glGetFramebufferParameteriv = epoxy_glGetFramebufferParameteriv_global_rewrite_ptr;

PUBLIC PFNGLGETFRAMEBUFFERPARAMETERIVEXTPROC epoxy_glGetFramebufferParameterivEXT = epoxy_glGetFramebufferParameterivEXT_global_rewrite_ptr;

PUBLIC PFNGLGETGRAPHICSRESETSTATUSARBPROC epoxy_glGetGraphicsResetStatusARB = epoxy_glGetGraphicsResetStatusARB_global_rewrite_ptr;

PUBLIC PFNGLGETGRAPHICSRESETSTATUSEXTPROC epoxy_glGetGraphicsResetStatusEXT = epoxy_glGetGraphicsResetStatusEXT_global_rewrite_ptr;

PUBLIC PFNGLGETHANDLEARBPROC epoxy_glGetHandleARB = epoxy_glGetHandleARB_global_rewrite_ptr;

PUBLIC PFNGLGETHISTOGRAMPROC epoxy_glGetHistogram = epoxy_glGetHistogram_global_rewrite_ptr;

PUBLIC PFNGLGETHISTOGRAMEXTPROC epoxy_glGetHistogramEXT = epoxy_glGetHistogramEXT_global_rewrite_ptr;

PUBLIC PFNGLGETHISTOGRAMPARAMETERFVPROC epoxy_glGetHistogramParameterfv = epoxy_glGetHistogramParameterfv_global_rewrite_ptr;

PUBLIC PFNGLGETHISTOGRAMPARAMETERFVEXTPROC epoxy_glGetHistogramParameterfvEXT = epoxy_glGetHistogramParameterfvEXT_global_rewrite_ptr;

PUBLIC PFNGLGETHISTOGRAMPARAMETERIVPROC epoxy_glGetHistogramParameteriv = epoxy_glGetHistogramParameteriv_global_rewrite_ptr;

PUBLIC PFNGLGETHISTOGRAMPARAMETERIVEXTPROC epoxy_glGetHistogramParameterivEXT = epoxy_glGetHistogramParameterivEXT_global_rewrite_ptr;

PUBLIC PFNGLGETHISTOGRAMPARAMETERXVOESPROC epoxy_glGetHistogramParameterxvOES = epoxy_glGetHistogramParameterxvOES_global_rewrite_ptr;

PUBLIC PFNGLGETIMAGEHANDLEARBPROC epoxy_glGetImageHandleARB = epoxy_glGetImageHandleARB_global_rewrite_ptr;

PUBLIC PFNGLGETIMAGEHANDLENVPROC epoxy_glGetImageHandleNV = epoxy_glGetImageHandleNV_global_rewrite_ptr;

PUBLIC PFNGLGETIMAGETRANSFORMPARAMETERFVHPPROC epoxy_glGetImageTransformParameterfvHP = epoxy_glGetImageTransformParameterfvHP_global_rewrite_ptr;

PUBLIC PFNGLGETIMAGETRANSFORMPARAMETERIVHPPROC epoxy_glGetImageTransformParameterivHP = epoxy_glGetImageTransformParameterivHP_global_rewrite_ptr;

PUBLIC PFNGLGETINFOLOGARBPROC epoxy_glGetInfoLogARB = epoxy_glGetInfoLogARB_global_rewrite_ptr;

PUBLIC PFNGLGETINSTRUMENTSSGIXPROC epoxy_glGetInstrumentsSGIX = epoxy_glGetInstrumentsSGIX_global_rewrite_ptr;

PUBLIC PFNGLGETINTEGER64I_VPROC epoxy_glGetInteger64i_v = epoxy_glGetInteger64i_v_global_rewrite_ptr;

PUBLIC PFNGLGETINTEGER64VPROC epoxy_glGetInteger64v = epoxy_glGetInteger64v_global_rewrite_ptr;

PUBLIC PFNGLGETINTEGER64VAPPLEPROC epoxy_glGetInteger64vAPPLE = epoxy_glGetInteger64vAPPLE_global_rewrite_ptr;

PUBLIC PFNGLGETINTEGERINDEXEDVEXTPROC epoxy_glGetIntegerIndexedvEXT = epoxy_glGetIntegerIndexedvEXT_global_rewrite_ptr;

PUBLIC PFNGLGETINTEGERI_VPROC epoxy_glGetIntegeri_v = epoxy_glGetIntegeri_v_global_rewrite_ptr;

PUBLIC PFNGLGETINTEGERI_VEXTPROC epoxy_glGetIntegeri_vEXT = epoxy_glGetIntegeri_vEXT_global_rewrite_ptr;

PUBLIC PFNGLGETINTEGERUI64I_VNVPROC epoxy_glGetIntegerui64i_vNV = epoxy_glGetIntegerui64i_vNV_global_rewrite_ptr;

PUBLIC PFNGLGETINTEGERUI64VNVPROC epoxy_glGetIntegerui64vNV = epoxy_glGetIntegerui64vNV_global_rewrite_ptr;

PUBLIC PFNGLGETINTEGERVPROC epoxy_glGetIntegerv = epoxy_glGetIntegerv_global_rewrite_ptr;

PUBLIC PFNGLGETINTERNALFORMATI64VPROC epoxy_glGetInternalformati64v = epoxy_glGetInternalformati64v_global_rewrite_ptr;

PUBLIC PFNGLGETINTERNALFORMATIVPROC epoxy_glGetInternalformativ = epoxy_glGetInternalformativ_global_rewrite_ptr;

PUBLIC PFNGLGETINVARIANTBOOLEANVEXTPROC epoxy_glGetInvariantBooleanvEXT = epoxy_glGetInvariantBooleanvEXT_global_rewrite_ptr;

PUBLIC PFNGLGETINVARIANTFLOATVEXTPROC epoxy_glGetInvariantFloatvEXT = epoxy_glGetInvariantFloatvEXT_global_rewrite_ptr;

PUBLIC PFNGLGETINVARIANTINTEGERVEXTPROC epoxy_glGetInvariantIntegervEXT = epoxy_glGetInvariantIntegervEXT_global_rewrite_ptr;

PUBLIC PFNGLGETLIGHTFVPROC epoxy_glGetLightfv = epoxy_glGetLightfv_global_rewrite_ptr;

PUBLIC PFNGLGETLIGHTIVPROC epoxy_glGetLightiv = epoxy_glGetLightiv_global_rewrite_ptr;

PUBLIC PFNGLGETLIGHTXOESPROC epoxy_glGetLightxOES = epoxy_glGetLightxOES_global_rewrite_ptr;

PUBLIC PFNGLGETLIGHTXVPROC epoxy_glGetLightxv = epoxy_glGetLightxv_global_rewrite_ptr;

PUBLIC PFNGLGETLIGHTXVOESPROC epoxy_glGetLightxvOES = epoxy_glGetLightxvOES_global_rewrite_ptr;

PUBLIC PFNGLGETLISTPARAMETERFVSGIXPROC epoxy_glGetListParameterfvSGIX = epoxy_glGetListParameterfvSGIX_global_rewrite_ptr;

PUBLIC PFNGLGETLISTPARAMETERIVSGIXPROC epoxy_glGetListParameterivSGIX = epoxy_glGetListParameterivSGIX_global_rewrite_ptr;

PUBLIC PFNGLGETLOCALCONSTANTBOOLEANVEXTPROC epoxy_glGetLocalConstantBooleanvEXT = epoxy_glGetLocalConstantBooleanvEXT_global_rewrite_ptr;

PUBLIC PFNGLGETLOCALCONSTANTFLOATVEXTPROC epoxy_glGetLocalConstantFloatvEXT = epoxy_glGetLocalConstantFloatvEXT_global_rewrite_ptr;

PUBLIC PFNGLGETLOCALCONSTANTINTEGERVEXTPROC epoxy_glGetLocalConstantIntegervEXT = epoxy_glGetLocalConstantIntegervEXT_global_rewrite_ptr;

PUBLIC PFNGLGETMAPATTRIBPARAMETERFVNVPROC epoxy_glGetMapAttribParameterfvNV = epoxy_glGetMapAttribParameterfvNV_global_rewrite_ptr;

PUBLIC PFNGLGETMAPATTRIBPARAMETERIVNVPROC epoxy_glGetMapAttribParameterivNV = epoxy_glGetMapAttribParameterivNV_global_rewrite_ptr;

PUBLIC PFNGLGETMAPCONTROLPOINTSNVPROC epoxy_glGetMapControlPointsNV = epoxy_glGetMapControlPointsNV_global_rewrite_ptr;

PUBLIC PFNGLGETMAPPARAMETERFVNVPROC epoxy_glGetMapParameterfvNV = epoxy_glGetMapParameterfvNV_global_rewrite_ptr;

PUBLIC PFNGLGETMAPPARAMETERIVNVPROC epoxy_glGetMapParameterivNV = epoxy_glGetMapParameterivNV_global_rewrite_ptr;

PUBLIC PFNGLGETMAPDVPROC epoxy_glGetMapdv = epoxy_glGetMapdv_global_rewrite_ptr;

PUBLIC PFNGLGETMAPFVPROC epoxy_glGetMapfv = epoxy_glGetMapfv_global_rewrite_ptr;

PUBLIC PFNGLGETMAPIVPROC epoxy_glGetMapiv = epoxy_glGetMapiv_global_rewrite_ptr;

PUBLIC PFNGLGETMAPXVOESPROC epoxy_glGetMapxvOES = epoxy_glGetMapxvOES_global_rewrite_ptr;

PUBLIC PFNGLGETMATERIALFVPROC epoxy_glGetMaterialfv = epoxy_glGetMaterialfv_global_rewrite_ptr;

PUBLIC PFNGLGETMATERIALIVPROC epoxy_glGetMaterialiv = epoxy_glGetMaterialiv_global_rewrite_ptr;

PUBLIC PFNGLGETMATERIALXOESPROC epoxy_glGetMaterialxOES = epoxy_glGetMaterialxOES_global_rewrite_ptr;

PUBLIC PFNGLGETMATERIALXVPROC epoxy_glGetMaterialxv = epoxy_glGetMaterialxv_global_rewrite_ptr;

PUBLIC PFNGLGETMATERIALXVOESPROC epoxy_glGetMaterialxvOES = epoxy_glGetMaterialxvOES_global_rewrite_ptr;

PUBLIC PFNGLGETMINMAXPROC epoxy_glGetMinmax = epoxy_glGetMinmax_global_rewrite_ptr;

PUBLIC PFNGLGETMINMAXEXTPROC epoxy_glGetMinmaxEXT = epoxy_glGetMinmaxEXT_global_rewrite_ptr;

PUBLIC PFNGLGETMINMAXPARAMETERFVPROC epoxy_glGetMinmaxParameterfv = epoxy_glGetMinmaxParameterfv_global_rewrite_ptr;

PUBLIC PFNGLGETMINMAXPARAMETERFVEXTPROC epoxy_glGetMinmaxParameterfvEXT = epoxy_glGetMinmaxParameterfvEXT_global_rewrite_ptr;

PUBLIC PFNGLGETMINMAXPARAMETERIVPROC epoxy_glGetMinmaxParameteriv = epoxy_glGetMinmaxParameteriv_global_rewrite_ptr;

PUBLIC PFNGLGETMINMAXPARAMETERIVEXTPROC epoxy_glGetMinmaxParameterivEXT = epoxy_glGetMinmaxParameterivEXT_global_rewrite_ptr;

PUBLIC PFNGLGETMULTITEXENVFVEXTPROC epoxy_glGetMultiTexEnvfvEXT = epoxy_glGetMultiTexEnvfvEXT_global_rewrite_ptr;

PUBLIC PFNGLGETMULTITEXENVIVEXTPROC epoxy_glGetMultiTexEnvivEXT = epoxy_glGetMultiTexEnvivEXT_global_rewrite_ptr;

PUBLIC PFNGLGETMULTITEXGENDVEXTPROC epoxy_glGetMultiTexGendvEXT = epoxy_glGetMultiTexGendvEXT_global_rewrite_ptr;

PUBLIC PFNGLGETMULTITEXGENFVEXTPROC epoxy_glGetMultiTexGenfvEXT = epoxy_glGetMultiTexGenfvEXT_global_rewrite_ptr;

PUBLIC PFNGLGETMULTITEXGENIVEXTPROC epoxy_glGetMultiTexGenivEXT = epoxy_glGetMultiTexGenivEXT_global_rewrite_ptr;

PUBLIC PFNGLGETMULTITEXIMAGEEXTPROC epoxy_glGetMultiTexImageEXT = epoxy_glGetMultiTexImageEXT_global_rewrite_ptr;

PUBLIC PFNGLGETMULTITEXLEVELPARAMETERFVEXTPROC epoxy_glGetMultiTexLevelParameterfvEXT = epoxy_glGetMultiTexLevelParameterfvEXT_global_rewrite_ptr;

PUBLIC PFNGLGETMULTITEXLEVELPARAMETERIVEXTPROC epoxy_glGetMultiTexLevelParameterivEXT = epoxy_glGetMultiTexLevelParameterivEXT_global_rewrite_ptr;

PUBLIC PFNGLGETMULTITEXPARAMETERIIVEXTPROC epoxy_glGetMultiTexParameterIivEXT = epoxy_glGetMultiTexParameterIivEXT_global_rewrite_ptr;

PUBLIC PFNGLGETMULTITEXPARAMETERIUIVEXTPROC epoxy_glGetMultiTexParameterIuivEXT = epoxy_glGetMultiTexParameterIuivEXT_global_rewrite_ptr;

PUBLIC PFNGLGETMULTITEXPARAMETERFVEXTPROC epoxy_glGetMultiTexParameterfvEXT = epoxy_glGetMultiTexParameterfvEXT_global_rewrite_ptr;

PUBLIC PFNGLGETMULTITEXPARAMETERIVEXTPROC epoxy_glGetMultiTexParameterivEXT = epoxy_glGetMultiTexParameterivEXT_global_rewrite_ptr;

PUBLIC PFNGLGETMULTISAMPLEFVPROC epoxy_glGetMultisamplefv = epoxy_glGetMultisamplefv_global_rewrite_ptr;

PUBLIC PFNGLGETMULTISAMPLEFVNVPROC epoxy_glGetMultisamplefvNV = epoxy_glGetMultisamplefvNV_global_rewrite_ptr;

PUBLIC PFNGLGETNAMEDBUFFERPARAMETERIVEXTPROC epoxy_glGetNamedBufferParameterivEXT = epoxy_glGetNamedBufferParameterivEXT_global_rewrite_ptr;

PUBLIC PFNGLGETNAMEDBUFFERPARAMETERUI64VNVPROC epoxy_glGetNamedBufferParameterui64vNV = epoxy_glGetNamedBufferParameterui64vNV_global_rewrite_ptr;

PUBLIC PFNGLGETNAMEDBUFFERPOINTERVEXTPROC epoxy_glGetNamedBufferPointervEXT = epoxy_glGetNamedBufferPointervEXT_global_rewrite_ptr;

PUBLIC PFNGLGETNAMEDBUFFERSUBDATAEXTPROC epoxy_glGetNamedBufferSubDataEXT = epoxy_glGetNamedBufferSubDataEXT_global_rewrite_ptr;

PUBLIC PFNGLGETNAMEDFRAMEBUFFERATTACHMENTPARAMETERIVEXTPROC epoxy_glGetNamedFramebufferAttachmentParameterivEXT = epoxy_glGetNamedFramebufferAttachmentParameterivEXT_global_rewrite_ptr;

PUBLIC PFNGLGETNAMEDFRAMEBUFFERPARAMETERIVEXTPROC epoxy_glGetNamedFramebufferParameterivEXT = epoxy_glGetNamedFramebufferParameterivEXT_global_rewrite_ptr;

PUBLIC PFNGLGETNAMEDPROGRAMLOCALPARAMETERIIVEXTPROC epoxy_glGetNamedProgramLocalParameterIivEXT = epoxy_glGetNamedProgramLocalParameterIivEXT_global_rewrite_ptr;

PUBLIC PFNGLGETNAMEDPROGRAMLOCALPARAMETERIUIVEXTPROC epoxy_glGetNamedProgramLocalParameterIuivEXT = epoxy_glGetNamedProgramLocalParameterIuivEXT_global_rewrite_ptr;

PUBLIC PFNGLGETNAMEDPROGRAMLOCALPARAMETERDVEXTPROC epoxy_glGetNamedProgramLocalParameterdvEXT = epoxy_glGetNamedProgramLocalParameterdvEXT_global_rewrite_ptr;

PUBLIC PFNGLGETNAMEDPROGRAMLOCALPARAMETERFVEXTPROC epoxy_glGetNamedProgramLocalParameterfvEXT = epoxy_glGetNamedProgramLocalParameterfvEXT_global_rewrite_ptr;

PUBLIC PFNGLGETNAMEDPROGRAMSTRINGEXTPROC epoxy_glGetNamedProgramStringEXT = epoxy_glGetNamedProgramStringEXT_global_rewrite_ptr;

PUBLIC PFNGLGETNAMEDPROGRAMIVEXTPROC epoxy_glGetNamedProgramivEXT = epoxy_glGetNamedProgramivEXT_global_rewrite_ptr;

PUBLIC PFNGLGETNAMEDRENDERBUFFERPARAMETERIVEXTPROC epoxy_glGetNamedRenderbufferParameterivEXT = epoxy_glGetNamedRenderbufferParameterivEXT_global_rewrite_ptr;

PUBLIC PFNGLGETNAMEDSTRINGARBPROC epoxy_glGetNamedStringARB = epoxy_glGetNamedStringARB_global_rewrite_ptr;

PUBLIC PFNGLGETNAMEDSTRINGIVARBPROC epoxy_glGetNamedStringivARB = epoxy_glGetNamedStringivARB_global_rewrite_ptr;

PUBLIC PFNGLGETNEXTPERFQUERYIDINTELPROC epoxy_glGetNextPerfQueryIdINTEL = epoxy_glGetNextPerfQueryIdINTEL_global_rewrite_ptr;

PUBLIC PFNGLGETOBJECTBUFFERFVATIPROC epoxy_glGetObjectBufferfvATI = epoxy_glGetObjectBufferfvATI_global_rewrite_ptr;

PUBLIC PFNGLGETOBJECTBUFFERIVATIPROC epoxy_glGetObjectBufferivATI = epoxy_glGetObjectBufferivATI_global_rewrite_ptr;

PUBLIC PFNGLGETOBJECTLABELPROC epoxy_glGetObjectLabel = epoxy_glGetObjectLabel_global_rewrite_ptr;

PUBLIC PFNGLGETOBJECTLABELEXTPROC epoxy_glGetObjectLabelEXT = epoxy_glGetObjectLabelEXT_global_rewrite_ptr;

PUBLIC PFNGLGETOBJECTLABELKHRPROC epoxy_glGetObjectLabelKHR = epoxy_glGetObjectLabelKHR_global_rewrite_ptr;

PUBLIC PFNGLGETOBJECTPARAMETERFVARBPROC epoxy_glGetObjectParameterfvARB = epoxy_glGetObjectParameterfvARB_global_rewrite_ptr;

PUBLIC PFNGLGETOBJECTPARAMETERIVAPPLEPROC epoxy_glGetObjectParameterivAPPLE = epoxy_glGetObjectParameterivAPPLE_global_rewrite_ptr;

PUBLIC PFNGLGETOBJECTPARAMETERIVARBPROC epoxy_glGetObjectParameterivARB = epoxy_glGetObjectParameterivARB_global_rewrite_ptr;

PUBLIC PFNGLGETOBJECTPTRLABELPROC epoxy_glGetObjectPtrLabel = epoxy_glGetObjectPtrLabel_global_rewrite_ptr;

PUBLIC PFNGLGETOBJECTPTRLABELKHRPROC epoxy_glGetObjectPtrLabelKHR = epoxy_glGetObjectPtrLabelKHR_global_rewrite_ptr;

PUBLIC PFNGLGETOCCLUSIONQUERYIVNVPROC epoxy_glGetOcclusionQueryivNV = epoxy_glGetOcclusionQueryivNV_global_rewrite_ptr;

PUBLIC PFNGLGETOCCLUSIONQUERYUIVNVPROC epoxy_glGetOcclusionQueryuivNV = epoxy_glGetOcclusionQueryuivNV_global_rewrite_ptr;

PUBLIC PFNGLGETPATHCOLORGENFVNVPROC epoxy_glGetPathColorGenfvNV = epoxy_glGetPathColorGenfvNV_global_rewrite_ptr;

PUBLIC PFNGLGETPATHCOLORGENIVNVPROC epoxy_glGetPathColorGenivNV = epoxy_glGetPathColorGenivNV_global_rewrite_ptr;

PUBLIC PFNGLGETPATHCOMMANDSNVPROC epoxy_glGetPathCommandsNV = epoxy_glGetPathCommandsNV_global_rewrite_ptr;

PUBLIC PFNGLGETPATHCOORDSNVPROC epoxy_glGetPathCoordsNV = epoxy_glGetPathCoordsNV_global_rewrite_ptr;

PUBLIC PFNGLGETPATHDASHARRAYNVPROC epoxy_glGetPathDashArrayNV = epoxy_glGetPathDashArrayNV_global_rewrite_ptr;

PUBLIC PFNGLGETPATHLENGTHNVPROC epoxy_glGetPathLengthNV = epoxy_glGetPathLengthNV_global_rewrite_ptr;

PUBLIC PFNGLGETPATHMETRICRANGENVPROC epoxy_glGetPathMetricRangeNV = epoxy_glGetPathMetricRangeNV_global_rewrite_ptr;

PUBLIC PFNGLGETPATHMETRICSNVPROC epoxy_glGetPathMetricsNV = epoxy_glGetPathMetricsNV_global_rewrite_ptr;

PUBLIC PFNGLGETPATHPARAMETERFVNVPROC epoxy_glGetPathParameterfvNV = epoxy_glGetPathParameterfvNV_global_rewrite_ptr;

PUBLIC PFNGLGETPATHPARAMETERIVNVPROC epoxy_glGetPathParameterivNV = epoxy_glGetPathParameterivNV_global_rewrite_ptr;

PUBLIC PFNGLGETPATHSPACINGNVPROC epoxy_glGetPathSpacingNV = epoxy_glGetPathSpacingNV_global_rewrite_ptr;

PUBLIC PFNGLGETPATHTEXGENFVNVPROC epoxy_glGetPathTexGenfvNV = epoxy_glGetPathTexGenfvNV_global_rewrite_ptr;

PUBLIC PFNGLGETPATHTEXGENIVNVPROC epoxy_glGetPathTexGenivNV = epoxy_glGetPathTexGenivNV_global_rewrite_ptr;

PUBLIC PFNGLGETPERFCOUNTERINFOINTELPROC epoxy_glGetPerfCounterInfoINTEL = epoxy_glGetPerfCounterInfoINTEL_global_rewrite_ptr;

PUBLIC PFNGLGETPERFMONITORCOUNTERDATAAMDPROC epoxy_glGetPerfMonitorCounterDataAMD = epoxy_glGetPerfMonitorCounterDataAMD_global_rewrite_ptr;

PUBLIC PFNGLGETPERFMONITORCOUNTERINFOAMDPROC epoxy_glGetPerfMonitorCounterInfoAMD = epoxy_glGetPerfMonitorCounterInfoAMD_global_rewrite_ptr;

PUBLIC PFNGLGETPERFMONITORCOUNTERSTRINGAMDPROC epoxy_glGetPerfMonitorCounterStringAMD = epoxy_glGetPerfMonitorCounterStringAMD_global_rewrite_ptr;

PUBLIC PFNGLGETPERFMONITORCOUNTERSAMDPROC epoxy_glGetPerfMonitorCountersAMD = epoxy_glGetPerfMonitorCountersAMD_global_rewrite_ptr;

PUBLIC PFNGLGETPERFMONITORGROUPSTRINGAMDPROC epoxy_glGetPerfMonitorGroupStringAMD = epoxy_glGetPerfMonitorGroupStringAMD_global_rewrite_ptr;

PUBLIC PFNGLGETPERFMONITORGROUPSAMDPROC epoxy_glGetPerfMonitorGroupsAMD = epoxy_glGetPerfMonitorGroupsAMD_global_rewrite_ptr;

PUBLIC PFNGLGETPERFQUERYDATAINTELPROC epoxy_glGetPerfQueryDataINTEL = epoxy_glGetPerfQueryDataINTEL_global_rewrite_ptr;

PUBLIC PFNGLGETPERFQUERYIDBYNAMEINTELPROC epoxy_glGetPerfQueryIdByNameINTEL = epoxy_glGetPerfQueryIdByNameINTEL_global_rewrite_ptr;

PUBLIC PFNGLGETPERFQUERYINFOINTELPROC epoxy_glGetPerfQueryInfoINTEL = epoxy_glGetPerfQueryInfoINTEL_global_rewrite_ptr;

PUBLIC PFNGLGETPIXELMAPFVPROC epoxy_glGetPixelMapfv = epoxy_glGetPixelMapfv_global_rewrite_ptr;

PUBLIC PFNGLGETPIXELMAPUIVPROC epoxy_glGetPixelMapuiv = epoxy_glGetPixelMapuiv_global_rewrite_ptr;

PUBLIC PFNGLGETPIXELMAPUSVPROC epoxy_glGetPixelMapusv = epoxy_glGetPixelMapusv_global_rewrite_ptr;

PUBLIC PFNGLGETPIXELMAPXVPROC epoxy_glGetPixelMapxv = epoxy_glGetPixelMapxv_global_rewrite_ptr;

PUBLIC PFNGLGETPIXELTEXGENPARAMETERFVSGISPROC epoxy_glGetPixelTexGenParameterfvSGIS = epoxy_glGetPixelTexGenParameterfvSGIS_global_rewrite_ptr;

PUBLIC PFNGLGETPIXELTEXGENPARAMETERIVSGISPROC epoxy_glGetPixelTexGenParameterivSGIS = epoxy_glGetPixelTexGenParameterivSGIS_global_rewrite_ptr;

PUBLIC PFNGLGETPIXELTRANSFORMPARAMETERFVEXTPROC epoxy_glGetPixelTransformParameterfvEXT = epoxy_glGetPixelTransformParameterfvEXT_global_rewrite_ptr;

PUBLIC PFNGLGETPIXELTRANSFORMPARAMETERIVEXTPROC epoxy_glGetPixelTransformParameterivEXT = epoxy_glGetPixelTransformParameterivEXT_global_rewrite_ptr;

PUBLIC PFNGLGETPOINTERINDEXEDVEXTPROC epoxy_glGetPointerIndexedvEXT = epoxy_glGetPointerIndexedvEXT_global_rewrite_ptr;

PUBLIC PFNGLGETPOINTERI_VEXTPROC epoxy_glGetPointeri_vEXT = epoxy_glGetPointeri_vEXT_global_rewrite_ptr;

PUBLIC PFNGLGETPOINTERVPROC epoxy_glGetPointerv = epoxy_glGetPointerv_global_rewrite_ptr;

PUBLIC PFNGLGETPOINTERVEXTPROC epoxy_glGetPointervEXT = epoxy_glGetPointervEXT_global_rewrite_ptr;

PUBLIC PFNGLGETPOINTERVKHRPROC epoxy_glGetPointervKHR = epoxy_glGetPointervKHR_global_rewrite_ptr;

PUBLIC PFNGLGETPOLYGONSTIPPLEPROC epoxy_glGetPolygonStipple = epoxy_glGetPolygonStipple_global_rewrite_ptr;

PUBLIC PFNGLGETPROGRAMBINARYPROC epoxy_glGetProgramBinary = epoxy_glGetProgramBinary_global_rewrite_ptr;

PUBLIC PFNGLGETPROGRAMBINARYOESPROC epoxy_glGetProgramBinaryOES = epoxy_glGetProgramBinaryOES_global_rewrite_ptr;

PUBLIC PFNGLGETPROGRAMENVPARAMETERIIVNVPROC epoxy_glGetProgramEnvParameterIivNV = epoxy_glGetProgramEnvParameterIivNV_global_rewrite_ptr;

PUBLIC PFNGLGETPROGRAMENVPARAMETERIUIVNVPROC epoxy_glGetProgramEnvParameterIuivNV = epoxy_glGetProgramEnvParameterIuivNV_global_rewrite_ptr;

PUBLIC PFNGLGETPROGRAMENVPARAMETERDVARBPROC epoxy_glGetProgramEnvParameterdvARB = epoxy_glGetProgramEnvParameterdvARB_global_rewrite_ptr;

PUBLIC PFNGLGETPROGRAMENVPARAMETERFVARBPROC epoxy_glGetProgramEnvParameterfvARB = epoxy_glGetProgramEnvParameterfvARB_global_rewrite_ptr;

PUBLIC PFNGLGETPROGRAMINFOLOGPROC epoxy_glGetProgramInfoLog = epoxy_glGetProgramInfoLog_global_rewrite_ptr;

PUBLIC PFNGLGETPROGRAMINTERFACEIVPROC epoxy_glGetProgramInterfaceiv = epoxy_glGetProgramInterfaceiv_global_rewrite_ptr;

PUBLIC PFNGLGETPROGRAMLOCALPARAMETERIIVNVPROC epoxy_glGetProgramLocalParameterIivNV = epoxy_glGetProgramLocalParameterIivNV_global_rewrite_ptr;

PUBLIC PFNGLGETPROGRAMLOCALPARAMETERIUIVNVPROC epoxy_glGetProgramLocalParameterIuivNV = epoxy_glGetProgramLocalParameterIuivNV_global_rewrite_ptr;

PUBLIC PFNGLGETPROGRAMLOCALPARAMETERDVARBPROC epoxy_glGetProgramLocalParameterdvARB = epoxy_glGetProgramLocalParameterdvARB_global_rewrite_ptr;

PUBLIC PFNGLGETPROGRAMLOCALPARAMETERFVARBPROC epoxy_glGetProgramLocalParameterfvARB = epoxy_glGetProgramLocalParameterfvARB_global_rewrite_ptr;

PUBLIC PFNGLGETPROGRAMNAMEDPARAMETERDVNVPROC epoxy_glGetProgramNamedParameterdvNV = epoxy_glGetProgramNamedParameterdvNV_global_rewrite_ptr;

PUBLIC PFNGLGETPROGRAMNAMEDPARAMETERFVNVPROC epoxy_glGetProgramNamedParameterfvNV = epoxy_glGetProgramNamedParameterfvNV_global_rewrite_ptr;

PUBLIC PFNGLGETPROGRAMPARAMETERDVNVPROC epoxy_glGetProgramParameterdvNV = epoxy_glGetProgramParameterdvNV_global_rewrite_ptr;

PUBLIC PFNGLGETPROGRAMPARAMETERFVNVPROC epoxy_glGetProgramParameterfvNV = epoxy_glGetProgramParameterfvNV_global_rewrite_ptr;

PUBLIC PFNGLGETPROGRAMPIPELINEINFOLOGPROC epoxy_glGetProgramPipelineInfoLog = epoxy_glGetProgramPipelineInfoLog_global_rewrite_ptr;

PUBLIC PFNGLGETPROGRAMPIPELINEINFOLOGEXTPROC epoxy_glGetProgramPipelineInfoLogEXT = epoxy_glGetProgramPipelineInfoLogEXT_global_rewrite_ptr;

PUBLIC PFNGLGETPROGRAMPIPELINEIVPROC epoxy_glGetProgramPipelineiv = epoxy_glGetProgramPipelineiv_global_rewrite_ptr;

PUBLIC PFNGLGETPROGRAMPIPELINEIVEXTPROC epoxy_glGetProgramPipelineivEXT = epoxy_glGetProgramPipelineivEXT_global_rewrite_ptr;

PUBLIC PFNGLGETPROGRAMRESOURCEINDEXPROC epoxy_glGetProgramResourceIndex = epoxy_glGetProgramResourceIndex_global_rewrite_ptr;

PUBLIC PFNGLGETPROGRAMRESOURCELOCATIONPROC epoxy_glGetProgramResourceLocation = epoxy_glGetProgramResourceLocation_global_rewrite_ptr;

PUBLIC PFNGLGETPROGRAMRESOURCELOCATIONINDEXPROC epoxy_glGetProgramResourceLocationIndex = epoxy_glGetProgramResourceLocationIndex_global_rewrite_ptr;

PUBLIC PFNGLGETPROGRAMRESOURCENAMEPROC epoxy_glGetProgramResourceName = epoxy_glGetProgramResourceName_global_rewrite_ptr;

PUBLIC PFNGLGETPROGRAMRESOURCEIVPROC epoxy_glGetProgramResourceiv = epoxy_glGetProgramResourceiv_global_rewrite_ptr;

PUBLIC PFNGLGETPROGRAMSTAGEIVPROC epoxy_glGetProgramStageiv = epoxy_glGetProgramStageiv_global_rewrite_ptr;

PUBLIC PFNGLGETPROGRAMSTRINGARBPROC epoxy_glGetProgramStringARB = epoxy_glGetProgramStringARB_global_rewrite_ptr;

PUBLIC PFNGLGETPROGRAMSTRINGNVPROC epoxy_glGetProgramStringNV = epoxy_glGetProgramStringNV_global_rewrite_ptr;

PUBLIC PFNGLGETPROGRAMSUBROUTINEPARAMETERUIVNVPROC epoxy_glGetProgramSubroutineParameteruivNV = epoxy_glGetProgramSubroutineParameteruivNV_global_rewrite_ptr;

PUBLIC PFNGLGETPROGRAMIVPROC epoxy_glGetProgramiv = epoxy_glGetProgramiv_global_rewrite_ptr;

PUBLIC PFNGLGETPROGRAMIVARBPROC epoxy_glGetProgramivARB = epoxy_glGetProgramivARB_global_rewrite_ptr;

PUBLIC PFNGLGETPROGRAMIVNVPROC epoxy_glGetProgramivNV = epoxy_glGetProgramivNV_global_rewrite_ptr;

PUBLIC PFNGLGETQUERYINDEXEDIVPROC epoxy_glGetQueryIndexediv = epoxy_glGetQueryIndexediv_global_rewrite_ptr;

PUBLIC PFNGLGETQUERYOBJECTI64VPROC epoxy_glGetQueryObjecti64v = epoxy_glGetQueryObjecti64v_global_rewrite_ptr;

PUBLIC PFNGLGETQUERYOBJECTI64VEXTPROC epoxy_glGetQueryObjecti64vEXT = epoxy_glGetQueryObjecti64vEXT_global_rewrite_ptr;

PUBLIC PFNGLGETQUERYOBJECTIVPROC epoxy_glGetQueryObjectiv = epoxy_glGetQueryObjectiv_global_rewrite_ptr;

PUBLIC PFNGLGETQUERYOBJECTIVARBPROC epoxy_glGetQueryObjectivARB = epoxy_glGetQueryObjectivARB_global_rewrite_ptr;

PUBLIC PFNGLGETQUERYOBJECTIVEXTPROC epoxy_glGetQueryObjectivEXT = epoxy_glGetQueryObjectivEXT_global_rewrite_ptr;

PUBLIC PFNGLGETQUERYOBJECTUI64VPROC epoxy_glGetQueryObjectui64v = epoxy_glGetQueryObjectui64v_global_rewrite_ptr;

PUBLIC PFNGLGETQUERYOBJECTUI64VEXTPROC epoxy_glGetQueryObjectui64vEXT = epoxy_glGetQueryObjectui64vEXT_global_rewrite_ptr;

PUBLIC PFNGLGETQUERYOBJECTUIVPROC epoxy_glGetQueryObjectuiv = epoxy_glGetQueryObjectuiv_global_rewrite_ptr;

PUBLIC PFNGLGETQUERYOBJECTUIVARBPROC epoxy_glGetQueryObjectuivARB = epoxy_glGetQueryObjectuivARB_global_rewrite_ptr;

PUBLIC PFNGLGETQUERYOBJECTUIVEXTPROC epoxy_glGetQueryObjectuivEXT = epoxy_glGetQueryObjectuivEXT_global_rewrite_ptr;

PUBLIC PFNGLGETQUERYIVPROC epoxy_glGetQueryiv = epoxy_glGetQueryiv_global_rewrite_ptr;

PUBLIC PFNGLGETQUERYIVARBPROC epoxy_glGetQueryivARB = epoxy_glGetQueryivARB_global_rewrite_ptr;

PUBLIC PFNGLGETQUERYIVEXTPROC epoxy_glGetQueryivEXT = epoxy_glGetQueryivEXT_global_rewrite_ptr;

PUBLIC PFNGLGETRENDERBUFFERPARAMETERIVPROC epoxy_glGetRenderbufferParameteriv = epoxy_glGetRenderbufferParameteriv_global_rewrite_ptr;

PUBLIC PFNGLGETRENDERBUFFERPARAMETERIVEXTPROC epoxy_glGetRenderbufferParameterivEXT = epoxy_glGetRenderbufferParameterivEXT_global_rewrite_ptr;

PUBLIC PFNGLGETRENDERBUFFERPARAMETERIVOESPROC epoxy_glGetRenderbufferParameterivOES = epoxy_glGetRenderbufferParameterivOES_global_rewrite_ptr;

PUBLIC PFNGLGETSAMPLERPARAMETERIIVPROC epoxy_glGetSamplerParameterIiv = epoxy_glGetSamplerParameterIiv_global_rewrite_ptr;

PUBLIC PFNGLGETSAMPLERPARAMETERIUIVPROC epoxy_glGetSamplerParameterIuiv = epoxy_glGetSamplerParameterIuiv_global_rewrite_ptr;

PUBLIC PFNGLGETSAMPLERPARAMETERFVPROC epoxy_glGetSamplerParameterfv = epoxy_glGetSamplerParameterfv_global_rewrite_ptr;

PUBLIC PFNGLGETSAMPLERPARAMETERIVPROC epoxy_glGetSamplerParameteriv = epoxy_glGetSamplerParameteriv_global_rewrite_ptr;

PUBLIC PFNGLGETSEPARABLEFILTERPROC epoxy_glGetSeparableFilter = epoxy_glGetSeparableFilter_global_rewrite_ptr;

PUBLIC PFNGLGETSEPARABLEFILTEREXTPROC epoxy_glGetSeparableFilterEXT = epoxy_glGetSeparableFilterEXT_global_rewrite_ptr;

PUBLIC PFNGLGETSHADERINFOLOGPROC epoxy_glGetShaderInfoLog = epoxy_glGetShaderInfoLog_global_rewrite_ptr;

PUBLIC PFNGLGETSHADERPRECISIONFORMATPROC epoxy_glGetShaderPrecisionFormat = epoxy_glGetShaderPrecisionFormat_global_rewrite_ptr;

PUBLIC PFNGLGETSHADERSOURCEPROC epoxy_glGetShaderSource = epoxy_glGetShaderSource_global_rewrite_ptr;

PUBLIC PFNGLGETSHADERSOURCEARBPROC epoxy_glGetShaderSourceARB = epoxy_glGetShaderSourceARB_global_rewrite_ptr;

PUBLIC PFNGLGETSHADERIVPROC epoxy_glGetShaderiv = epoxy_glGetShaderiv_global_rewrite_ptr;

PUBLIC PFNGLGETSHARPENTEXFUNCSGISPROC epoxy_glGetSharpenTexFuncSGIS = epoxy_glGetSharpenTexFuncSGIS_global_rewrite_ptr;

PUBLIC PFNGLGETSTRINGPROC epoxy_glGetString = epoxy_glGetString_global_rewrite_ptr;

PUBLIC PFNGLGETSTRINGIPROC epoxy_glGetStringi = epoxy_glGetStringi_global_rewrite_ptr;

PUBLIC PFNGLGETSUBROUTINEINDEXPROC epoxy_glGetSubroutineIndex = epoxy_glGetSubroutineIndex_global_rewrite_ptr;

PUBLIC PFNGLGETSUBROUTINEUNIFORMLOCATIONPROC epoxy_glGetSubroutineUniformLocation = epoxy_glGetSubroutineUniformLocation_global_rewrite_ptr;

PUBLIC PFNGLGETSYNCIVPROC epoxy_glGetSynciv = epoxy_glGetSynciv_global_rewrite_ptr;

PUBLIC PFNGLGETSYNCIVAPPLEPROC epoxy_glGetSyncivAPPLE = epoxy_glGetSyncivAPPLE_global_rewrite_ptr;

PUBLIC PFNGLGETTEXBUMPPARAMETERFVATIPROC epoxy_glGetTexBumpParameterfvATI = epoxy_glGetTexBumpParameterfvATI_global_rewrite_ptr;

PUBLIC PFNGLGETTEXBUMPPARAMETERIVATIPROC epoxy_glGetTexBumpParameterivATI = epoxy_glGetTexBumpParameterivATI_global_rewrite_ptr;

PUBLIC PFNGLGETTEXENVFVPROC epoxy_glGetTexEnvfv = epoxy_glGetTexEnvfv_global_rewrite_ptr;

PUBLIC PFNGLGETTEXENVIVPROC epoxy_glGetTexEnviv = epoxy_glGetTexEnviv_global_rewrite_ptr;

PUBLIC PFNGLGETTEXENVXVPROC epoxy_glGetTexEnvxv = epoxy_glGetTexEnvxv_global_rewrite_ptr;

PUBLIC PFNGLGETTEXENVXVOESPROC epoxy_glGetTexEnvxvOES = epoxy_glGetTexEnvxvOES_global_rewrite_ptr;

PUBLIC PFNGLGETTEXFILTERFUNCSGISPROC epoxy_glGetTexFilterFuncSGIS = epoxy_glGetTexFilterFuncSGIS_global_rewrite_ptr;

PUBLIC PFNGLGETTEXGENDVPROC epoxy_glGetTexGendv = epoxy_glGetTexGendv_global_rewrite_ptr;

PUBLIC PFNGLGETTEXGENFVPROC epoxy_glGetTexGenfv = epoxy_glGetTexGenfv_global_rewrite_ptr;

PUBLIC PFNGLGETTEXGENFVOESPROC epoxy_glGetTexGenfvOES = epoxy_glGetTexGenfvOES_global_rewrite_ptr;

PUBLIC PFNGLGETTEXGENIVPROC epoxy_glGetTexGeniv = epoxy_glGetTexGeniv_global_rewrite_ptr;

PUBLIC PFNGLGETTEXGENIVOESPROC epoxy_glGetTexGenivOES = epoxy_glGetTexGenivOES_global_rewrite_ptr;

PUBLIC PFNGLGETTEXGENXVOESPROC epoxy_glGetTexGenxvOES = epoxy_glGetTexGenxvOES_global_rewrite_ptr;

PUBLIC PFNGLGETTEXIMAGEPROC epoxy_glGetTexImage = epoxy_glGetTexImage_global_rewrite_ptr;

PUBLIC PFNGLGETTEXLEVELPARAMETERFVPROC epoxy_glGetTexLevelParameterfv = epoxy_glGetTexLevelParameterfv_global_rewrite_ptr;

PUBLIC PFNGLGETTEXLEVELPARAMETERIVPROC epoxy_glGetTexLevelParameteriv = epoxy_glGetTexLevelParameteriv_global_rewrite_ptr;

PUBLIC PFNGLGETTEXLEVELPARAMETERXVOESPROC epoxy_glGetTexLevelParameterxvOES = epoxy_glGetTexLevelParameterxvOES_global_rewrite_ptr;

PUBLIC PFNGLGETTEXPARAMETERIIVPROC epoxy_glGetTexParameterIiv = epoxy_glGetTexParameterIiv_global_rewrite_ptr;

PUBLIC PFNGLGETTEXPARAMETERIIVEXTPROC epoxy_glGetTexParameterIivEXT = epoxy_glGetTexParameterIivEXT_global_rewrite_ptr;

PUBLIC PFNGLGETTEXPARAMETERIUIVPROC epoxy_glGetTexParameterIuiv = epoxy_glGetTexParameterIuiv_global_rewrite_ptr;

PUBLIC PFNGLGETTEXPARAMETERIUIVEXTPROC epoxy_glGetTexParameterIuivEXT = epoxy_glGetTexParameterIuivEXT_global_rewrite_ptr;

PUBLIC PFNGLGETTEXPARAMETERPOINTERVAPPLEPROC epoxy_glGetTexParameterPointervAPPLE = epoxy_glGetTexParameterPointervAPPLE_global_rewrite_ptr;

PUBLIC PFNGLGETTEXPARAMETERFVPROC epoxy_glGetTexParameterfv = epoxy_glGetTexParameterfv_global_rewrite_ptr;

PUBLIC PFNGLGETTEXPARAMETERIVPROC epoxy_glGetTexParameteriv = epoxy_glGetTexParameteriv_global_rewrite_ptr;

PUBLIC PFNGLGETTEXPARAMETERXVPROC epoxy_glGetTexParameterxv = epoxy_glGetTexParameterxv_global_rewrite_ptr;

PUBLIC PFNGLGETTEXPARAMETERXVOESPROC epoxy_glGetTexParameterxvOES = epoxy_glGetTexParameterxvOES_global_rewrite_ptr;

PUBLIC PFNGLGETTEXTUREHANDLEARBPROC epoxy_glGetTextureHandleARB = epoxy_glGetTextureHandleARB_global_rewrite_ptr;

PUBLIC PFNGLGETTEXTUREHANDLENVPROC epoxy_glGetTextureHandleNV = epoxy_glGetTextureHandleNV_global_rewrite_ptr;

PUBLIC PFNGLGETTEXTUREIMAGEEXTPROC epoxy_glGetTextureImageEXT = epoxy_glGetTextureImageEXT_global_rewrite_ptr;

PUBLIC PFNGLGETTEXTURELEVELPARAMETERFVEXTPROC epoxy_glGetTextureLevelParameterfvEXT = epoxy_glGetTextureLevelParameterfvEXT_global_rewrite_ptr;

PUBLIC PFNGLGETTEXTURELEVELPARAMETERIVEXTPROC epoxy_glGetTextureLevelParameterivEXT = epoxy_glGetTextureLevelParameterivEXT_global_rewrite_ptr;

PUBLIC PFNGLGETTEXTUREPARAMETERIIVEXTPROC epoxy_glGetTextureParameterIivEXT = epoxy_glGetTextureParameterIivEXT_global_rewrite_ptr;

PUBLIC PFNGLGETTEXTUREPARAMETERIUIVEXTPROC epoxy_glGetTextureParameterIuivEXT = epoxy_glGetTextureParameterIuivEXT_global_rewrite_ptr;

PUBLIC PFNGLGETTEXTUREPARAMETERFVEXTPROC epoxy_glGetTextureParameterfvEXT = epoxy_glGetTextureParameterfvEXT_global_rewrite_ptr;

PUBLIC PFNGLGETTEXTUREPARAMETERIVEXTPROC epoxy_glGetTextureParameterivEXT = epoxy_glGetTextureParameterivEXT_global_rewrite_ptr;

PUBLIC PFNGLGETTEXTURESAMPLERHANDLEARBPROC epoxy_glGetTextureSamplerHandleARB = epoxy_glGetTextureSamplerHandleARB_global_rewrite_ptr;

PUBLIC PFNGLGETTEXTURESAMPLERHANDLENVPROC epoxy_glGetTextureSamplerHandleNV = epoxy_glGetTextureSamplerHandleNV_global_rewrite_ptr;

PUBLIC PFNGLGETTRACKMATRIXIVNVPROC epoxy_glGetTrackMatrixivNV = epoxy_glGetTrackMatrixivNV_global_rewrite_ptr;

PUBLIC PFNGLGETTRANSFORMFEEDBACKVARYINGPROC epoxy_glGetTransformFeedbackVarying = epoxy_glGetTransformFeedbackVarying_global_rewrite_ptr;

PUBLIC PFNGLGETTRANSFORMFEEDBACKVARYINGEXTPROC epoxy_glGetTransformFeedbackVaryingEXT = epoxy_glGetTransformFeedbackVaryingEXT_global_rewrite_ptr;

PUBLIC PFNGLGETTRANSFORMFEEDBACKVARYINGNVPROC epoxy_glGetTransformFeedbackVaryingNV = epoxy_glGetTransformFeedbackVaryingNV_global_rewrite_ptr;

PUBLIC PFNGLGETTRANSLATEDSHADERSOURCEANGLEPROC epoxy_glGetTranslatedShaderSourceANGLE = epoxy_glGetTranslatedShaderSourceANGLE_global_rewrite_ptr;

PUBLIC PFNGLGETUNIFORMBLOCKINDEXPROC epoxy_glGetUniformBlockIndex = epoxy_glGetUniformBlockIndex_global_rewrite_ptr;

PUBLIC PFNGLGETUNIFORMBUFFERSIZEEXTPROC epoxy_glGetUniformBufferSizeEXT = epoxy_glGetUniformBufferSizeEXT_global_rewrite_ptr;

PUBLIC PFNGLGETUNIFORMINDICESPROC epoxy_glGetUniformIndices = epoxy_glGetUniformIndices_global_rewrite_ptr;

PUBLIC PFNGLGETUNIFORMLOCATIONPROC epoxy_glGetUniformLocation = epoxy_glGetUniformLocation_global_rewrite_ptr;

PUBLIC PFNGLGETUNIFORMLOCATIONARBPROC epoxy_glGetUniformLocationARB = epoxy_glGetUniformLocationARB_global_rewrite_ptr;

PUBLIC PFNGLGETUNIFORMOFFSETEXTPROC epoxy_glGetUniformOffsetEXT = epoxy_glGetUniformOffsetEXT_global_rewrite_ptr;

PUBLIC PFNGLGETUNIFORMSUBROUTINEUIVPROC epoxy_glGetUniformSubroutineuiv = epoxy_glGetUniformSubroutineuiv_global_rewrite_ptr;

PUBLIC PFNGLGETUNIFORMDVPROC epoxy_glGetUniformdv = epoxy_glGetUniformdv_global_rewrite_ptr;

PUBLIC PFNGLGETUNIFORMFVPROC epoxy_glGetUniformfv = epoxy_glGetUniformfv_global_rewrite_ptr;

PUBLIC PFNGLGETUNIFORMFVARBPROC epoxy_glGetUniformfvARB = epoxy_glGetUniformfvARB_global_rewrite_ptr;

PUBLIC PFNGLGETUNIFORMI64VNVPROC epoxy_glGetUniformi64vNV = epoxy_glGetUniformi64vNV_global_rewrite_ptr;

PUBLIC PFNGLGETUNIFORMIVPROC epoxy_glGetUniformiv = epoxy_glGetUniformiv_global_rewrite_ptr;

PUBLIC PFNGLGETUNIFORMIVARBPROC epoxy_glGetUniformivARB = epoxy_glGetUniformivARB_global_rewrite_ptr;

PUBLIC PFNGLGETUNIFORMUI64VNVPROC epoxy_glGetUniformui64vNV = epoxy_glGetUniformui64vNV_global_rewrite_ptr;

PUBLIC PFNGLGETUNIFORMUIVPROC epoxy_glGetUniformuiv = epoxy_glGetUniformuiv_global_rewrite_ptr;

PUBLIC PFNGLGETUNIFORMUIVEXTPROC epoxy_glGetUniformuivEXT = epoxy_glGetUniformuivEXT_global_rewrite_ptr;

PUBLIC PFNGLGETVARIANTARRAYOBJECTFVATIPROC epoxy_glGetVariantArrayObjectfvATI = epoxy_glGetVariantArrayObjectfvATI_global_rewrite_ptr;

PUBLIC PFNGLGETVARIANTARRAYOBJECTIVATIPROC epoxy_glGetVariantArrayObjectivATI = epoxy_glGetVariantArrayObjectivATI_global_rewrite_ptr;

PUBLIC PFNGLGETVARIANTBOOLEANVEXTPROC epoxy_glGetVariantBooleanvEXT = epoxy_glGetVariantBooleanvEXT_global_rewrite_ptr;

PUBLIC PFNGLGETVARIANTFLOATVEXTPROC epoxy_glGetVariantFloatvEXT = epoxy_glGetVariantFloatvEXT_global_rewrite_ptr;

PUBLIC PFNGLGETVARIANTINTEGERVEXTPROC epoxy_glGetVariantIntegervEXT = epoxy_glGetVariantIntegervEXT_global_rewrite_ptr;

PUBLIC PFNGLGETVARIANTPOINTERVEXTPROC epoxy_glGetVariantPointervEXT = epoxy_glGetVariantPointervEXT_global_rewrite_ptr;

PUBLIC PFNGLGETVARYINGLOCATIONNVPROC epoxy_glGetVaryingLocationNV = epoxy_glGetVaryingLocationNV_global_rewrite_ptr;

PUBLIC PFNGLGETVERTEXARRAYINTEGERI_VEXTPROC epoxy_glGetVertexArrayIntegeri_vEXT = epoxy_glGetVertexArrayIntegeri_vEXT_global_rewrite_ptr;

PUBLIC PFNGLGETVERTEXARRAYINTEGERVEXTPROC epoxy_glGetVertexArrayIntegervEXT = epoxy_glGetVertexArrayIntegervEXT_global_rewrite_ptr;

PUBLIC PFNGLGETVERTEXARRAYPOINTERI_VEXTPROC epoxy_glGetVertexArrayPointeri_vEXT = epoxy_glGetVertexArrayPointeri_vEXT_global_rewrite_ptr;

PUBLIC PFNGLGETVERTEXARRAYPOINTERVEXTPROC epoxy_glGetVertexArrayPointervEXT = epoxy_glGetVertexArrayPointervEXT_global_rewrite_ptr;

PUBLIC PFNGLGETVERTEXATTRIBARRAYOBJECTFVATIPROC epoxy_glGetVertexAttribArrayObjectfvATI = epoxy_glGetVertexAttribArrayObjectfvATI_global_rewrite_ptr;

PUBLIC PFNGLGETVERTEXATTRIBARRAYOBJECTIVATIPROC epoxy_glGetVertexAttribArrayObjectivATI = epoxy_glGetVertexAttribArrayObjectivATI_global_rewrite_ptr;

PUBLIC PFNGLGETVERTEXATTRIBIIVPROC epoxy_glGetVertexAttribIiv = epoxy_glGetVertexAttribIiv_global_rewrite_ptr;

PUBLIC PFNGLGETVERTEXATTRIBIIVEXTPROC epoxy_glGetVertexAttribIivEXT = epoxy_glGetVertexAttribIivEXT_global_rewrite_ptr;

PUBLIC PFNGLGETVERTEXATTRIBIUIVPROC epoxy_glGetVertexAttribIuiv = epoxy_glGetVertexAttribIuiv_global_rewrite_ptr;

PUBLIC PFNGLGETVERTEXATTRIBIUIVEXTPROC epoxy_glGetVertexAttribIuivEXT = epoxy_glGetVertexAttribIuivEXT_global_rewrite_ptr;

PUBLIC PFNGLGETVERTEXATTRIBLDVPROC epoxy_glGetVertexAttribLdv = epoxy_glGetVertexAttribLdv_global_rewrite_ptr;

PUBLIC PFNGLGETVERTEXATTRIBLDVEXTPROC epoxy_glGetVertexAttribLdvEXT = epoxy_glGetVertexAttribLdvEXT_global_rewrite_ptr;

PUBLIC PFNGLGETVERTEXATTRIBLI64VNVPROC epoxy_glGetVertexAttribLi64vNV = epoxy_glGetVertexAttribLi64vNV_global_rewrite_ptr;

PUBLIC PFNGLGETVERTEXATTRIBLUI64VARBPROC epoxy_glGetVertexAttribLui64vARB = epoxy_glGetVertexAttribLui64vARB_global_rewrite_ptr;

PUBLIC PFNGLGETVERTEXATTRIBLUI64VNVPROC epoxy_glGetVertexAttribLui64vNV = epoxy_glGetVertexAttribLui64vNV_global_rewrite_ptr;

PUBLIC PFNGLGETVERTEXATTRIBPOINTERVPROC epoxy_glGetVertexAttribPointerv = epoxy_glGetVertexAttribPointerv_global_rewrite_ptr;

PUBLIC PFNGLGETVERTEXATTRIBPOINTERVARBPROC epoxy_glGetVertexAttribPointervARB = epoxy_glGetVertexAttribPointervARB_global_rewrite_ptr;

PUBLIC PFNGLGETVERTEXATTRIBPOINTERVNVPROC epoxy_glGetVertexAttribPointervNV = epoxy_glGetVertexAttribPointervNV_global_rewrite_ptr;

PUBLIC PFNGLGETVERTEXATTRIBDVPROC epoxy_glGetVertexAttribdv = epoxy_glGetVertexAttribdv_global_rewrite_ptr;

PUBLIC PFNGLGETVERTEXATTRIBDVARBPROC epoxy_glGetVertexAttribdvARB = epoxy_glGetVertexAttribdvARB_global_rewrite_ptr;

PUBLIC PFNGLGETVERTEXATTRIBDVNVPROC epoxy_glGetVertexAttribdvNV = epoxy_glGetVertexAttribdvNV_global_rewrite_ptr;

PUBLIC PFNGLGETVERTEXATTRIBFVPROC epoxy_glGetVertexAttribfv = epoxy_glGetVertexAttribfv_global_rewrite_ptr;

PUBLIC PFNGLGETVERTEXATTRIBFVARBPROC epoxy_glGetVertexAttribfvARB = epoxy_glGetVertexAttribfvARB_global_rewrite_ptr;

PUBLIC PFNGLGETVERTEXATTRIBFVNVPROC epoxy_glGetVertexAttribfvNV = epoxy_glGetVertexAttribfvNV_global_rewrite_ptr;

PUBLIC PFNGLGETVERTEXATTRIBIVPROC epoxy_glGetVertexAttribiv = epoxy_glGetVertexAttribiv_global_rewrite_ptr;

PUBLIC PFNGLGETVERTEXATTRIBIVARBPROC epoxy_glGetVertexAttribivARB = epoxy_glGetVertexAttribivARB_global_rewrite_ptr;

PUBLIC PFNGLGETVERTEXATTRIBIVNVPROC epoxy_glGetVertexAttribivNV = epoxy_glGetVertexAttribivNV_global_rewrite_ptr;

PUBLIC PFNGLGETVIDEOCAPTURESTREAMDVNVPROC epoxy_glGetVideoCaptureStreamdvNV = epoxy_glGetVideoCaptureStreamdvNV_global_rewrite_ptr;

PUBLIC PFNGLGETVIDEOCAPTURESTREAMFVNVPROC epoxy_glGetVideoCaptureStreamfvNV = epoxy_glGetVideoCaptureStreamfvNV_global_rewrite_ptr;

PUBLIC PFNGLGETVIDEOCAPTURESTREAMIVNVPROC epoxy_glGetVideoCaptureStreamivNV = epoxy_glGetVideoCaptureStreamivNV_global_rewrite_ptr;

PUBLIC PFNGLGETVIDEOCAPTUREIVNVPROC epoxy_glGetVideoCaptureivNV = epoxy_glGetVideoCaptureivNV_global_rewrite_ptr;

PUBLIC PFNGLGETVIDEOI64VNVPROC epoxy_glGetVideoi64vNV = epoxy_glGetVideoi64vNV_global_rewrite_ptr;

PUBLIC PFNGLGETVIDEOIVNVPROC epoxy_glGetVideoivNV = epoxy_glGetVideoivNV_global_rewrite_ptr;

PUBLIC PFNGLGETVIDEOUI64VNVPROC epoxy_glGetVideoui64vNV = epoxy_glGetVideoui64vNV_global_rewrite_ptr;

PUBLIC PFNGLGETVIDEOUIVNVPROC epoxy_glGetVideouivNV = epoxy_glGetVideouivNV_global_rewrite_ptr;

PUBLIC PFNGLGETNCOLORTABLEARBPROC epoxy_glGetnColorTableARB = epoxy_glGetnColorTableARB_global_rewrite_ptr;

PUBLIC PFNGLGETNCOMPRESSEDTEXIMAGEARBPROC epoxy_glGetnCompressedTexImageARB = epoxy_glGetnCompressedTexImageARB_global_rewrite_ptr;

PUBLIC PFNGLGETNCONVOLUTIONFILTERARBPROC epoxy_glGetnConvolutionFilterARB = epoxy_glGetnConvolutionFilterARB_global_rewrite_ptr;

PUBLIC PFNGLGETNHISTOGRAMARBPROC epoxy_glGetnHistogramARB = epoxy_glGetnHistogramARB_global_rewrite_ptr;

PUBLIC PFNGLGETNMAPDVARBPROC epoxy_glGetnMapdvARB = epoxy_glGetnMapdvARB_global_rewrite_ptr;

PUBLIC PFNGLGETNMAPFVARBPROC epoxy_glGetnMapfvARB = epoxy_glGetnMapfvARB_global_rewrite_ptr;

PUBLIC PFNGLGETNMAPIVARBPROC epoxy_glGetnMapivARB = epoxy_glGetnMapivARB_global_rewrite_ptr;

PUBLIC PFNGLGETNMINMAXARBPROC epoxy_glGetnMinmaxARB = epoxy_glGetnMinmaxARB_global_rewrite_ptr;

PUBLIC PFNGLGETNPIXELMAPFVARBPROC epoxy_glGetnPixelMapfvARB = epoxy_glGetnPixelMapfvARB_global_rewrite_ptr;

PUBLIC PFNGLGETNPIXELMAPUIVARBPROC epoxy_glGetnPixelMapuivARB = epoxy_glGetnPixelMapuivARB_global_rewrite_ptr;

PUBLIC PFNGLGETNPIXELMAPUSVARBPROC epoxy_glGetnPixelMapusvARB = epoxy_glGetnPixelMapusvARB_global_rewrite_ptr;

PUBLIC PFNGLGETNPOLYGONSTIPPLEARBPROC epoxy_glGetnPolygonStippleARB = epoxy_glGetnPolygonStippleARB_global_rewrite_ptr;

PUBLIC PFNGLGETNSEPARABLEFILTERARBPROC epoxy_glGetnSeparableFilterARB = epoxy_glGetnSeparableFilterARB_global_rewrite_ptr;

PUBLIC PFNGLGETNTEXIMAGEARBPROC epoxy_glGetnTexImageARB = epoxy_glGetnTexImageARB_global_rewrite_ptr;

PUBLIC PFNGLGETNUNIFORMDVARBPROC epoxy_glGetnUniformdvARB = epoxy_glGetnUniformdvARB_global_rewrite_ptr;

PUBLIC PFNGLGETNUNIFORMFVARBPROC epoxy_glGetnUniformfvARB = epoxy_glGetnUniformfvARB_global_rewrite_ptr;

PUBLIC PFNGLGETNUNIFORMFVEXTPROC epoxy_glGetnUniformfvEXT = epoxy_glGetnUniformfvEXT_global_rewrite_ptr;

PUBLIC PFNGLGETNUNIFORMIVARBPROC epoxy_glGetnUniformivARB = epoxy_glGetnUniformivARB_global_rewrite_ptr;

PUBLIC PFNGLGETNUNIFORMIVEXTPROC epoxy_glGetnUniformivEXT = epoxy_glGetnUniformivEXT_global_rewrite_ptr;

PUBLIC PFNGLGETNUNIFORMUIVARBPROC epoxy_glGetnUniformuivARB = epoxy_glGetnUniformuivARB_global_rewrite_ptr;

PUBLIC PFNGLGLOBALALPHAFACTORBSUNPROC epoxy_glGlobalAlphaFactorbSUN = epoxy_glGlobalAlphaFactorbSUN_global_rewrite_ptr;

PUBLIC PFNGLGLOBALALPHAFACTORDSUNPROC epoxy_glGlobalAlphaFactordSUN = epoxy_glGlobalAlphaFactordSUN_global_rewrite_ptr;

PUBLIC PFNGLGLOBALALPHAFACTORFSUNPROC epoxy_glGlobalAlphaFactorfSUN = epoxy_glGlobalAlphaFactorfSUN_global_rewrite_ptr;

PUBLIC PFNGLGLOBALALPHAFACTORISUNPROC epoxy_glGlobalAlphaFactoriSUN = epoxy_glGlobalAlphaFactoriSUN_global_rewrite_ptr;

PUBLIC PFNGLGLOBALALPHAFACTORSSUNPROC epoxy_glGlobalAlphaFactorsSUN = epoxy_glGlobalAlphaFactorsSUN_global_rewrite_ptr;

PUBLIC PFNGLGLOBALALPHAFACTORUBSUNPROC epoxy_glGlobalAlphaFactorubSUN = epoxy_glGlobalAlphaFactorubSUN_global_rewrite_ptr;

PUBLIC PFNGLGLOBALALPHAFACTORUISUNPROC epoxy_glGlobalAlphaFactoruiSUN = epoxy_glGlobalAlphaFactoruiSUN_global_rewrite_ptr;

PUBLIC PFNGLGLOBALALPHAFACTORUSSUNPROC epoxy_glGlobalAlphaFactorusSUN = epoxy_glGlobalAlphaFactorusSUN_global_rewrite_ptr;

PUBLIC PFNGLHINTPROC epoxy_glHint = epoxy_glHint_global_rewrite_ptr;

PUBLIC PFNGLHINTPGIPROC epoxy_glHintPGI = epoxy_glHintPGI_global_rewrite_ptr;

PUBLIC PFNGLHISTOGRAMPROC epoxy_glHistogram = epoxy_glHistogram_global_rewrite_ptr;

PUBLIC PFNGLHISTOGRAMEXTPROC epoxy_glHistogramEXT = epoxy_glHistogramEXT_global_rewrite_ptr;

PUBLIC PFNGLIGLOOINTERFACESGIXPROC epoxy_glIglooInterfaceSGIX = epoxy_glIglooInterfaceSGIX_global_rewrite_ptr;

PUBLIC PFNGLIMAGETRANSFORMPARAMETERFHPPROC epoxy_glImageTransformParameterfHP = epoxy_glImageTransformParameterfHP_global_rewrite_ptr;

PUBLIC PFNGLIMAGETRANSFORMPARAMETERFVHPPROC epoxy_glImageTransformParameterfvHP = epoxy_glImageTransformParameterfvHP_global_rewrite_ptr;

PUBLIC PFNGLIMAGETRANSFORMPARAMETERIHPPROC epoxy_glImageTransformParameteriHP = epoxy_glImageTransformParameteriHP_global_rewrite_ptr;

PUBLIC PFNGLIMAGETRANSFORMPARAMETERIVHPPROC epoxy_glImageTransformParameterivHP = epoxy_glImageTransformParameterivHP_global_rewrite_ptr;

PUBLIC PFNGLIMPORTSYNCEXTPROC epoxy_glImportSyncEXT = epoxy_glImportSyncEXT_global_rewrite_ptr;

PUBLIC PFNGLINDEXFORMATNVPROC epoxy_glIndexFormatNV = epoxy_glIndexFormatNV_global_rewrite_ptr;

PUBLIC PFNGLINDEXFUNCEXTPROC epoxy_glIndexFuncEXT = epoxy_glIndexFuncEXT_global_rewrite_ptr;

PUBLIC PFNGLINDEXMASKPROC epoxy_glIndexMask = epoxy_glIndexMask_global_rewrite_ptr;

PUBLIC PFNGLINDEXMATERIALEXTPROC epoxy_glIndexMaterialEXT = epoxy_glIndexMaterialEXT_global_rewrite_ptr;

PUBLIC PFNGLINDEXPOINTERPROC epoxy_glIndexPointer = epoxy_glIndexPointer_global_rewrite_ptr;

PUBLIC PFNGLINDEXPOINTEREXTPROC epoxy_glIndexPointerEXT = epoxy_glIndexPointerEXT_global_rewrite_ptr;

PUBLIC PFNGLINDEXPOINTERLISTIBMPROC epoxy_glIndexPointerListIBM = epoxy_glIndexPointerListIBM_global_rewrite_ptr;

PUBLIC PFNGLINDEXDPROC epoxy_glIndexd = epoxy_glIndexd_global_rewrite_ptr;

PUBLIC PFNGLINDEXDVPROC epoxy_glIndexdv = epoxy_glIndexdv_global_rewrite_ptr;

PUBLIC PFNGLINDEXFPROC epoxy_glIndexf = epoxy_glIndexf_global_rewrite_ptr;

PUBLIC PFNGLINDEXFVPROC epoxy_glIndexfv = epoxy_glIndexfv_global_rewrite_ptr;

PUBLIC PFNGLINDEXIPROC epoxy_glIndexi = epoxy_glIndexi_global_rewrite_ptr;

PUBLIC PFNGLINDEXIVPROC epoxy_glIndexiv = epoxy_glIndexiv_global_rewrite_ptr;

PUBLIC PFNGLINDEXSPROC epoxy_glIndexs = epoxy_glIndexs_global_rewrite_ptr;

PUBLIC PFNGLINDEXSVPROC epoxy_glIndexsv = epoxy_glIndexsv_global_rewrite_ptr;

PUBLIC PFNGLINDEXUBPROC epoxy_glIndexub = epoxy_glIndexub_global_rewrite_ptr;

PUBLIC PFNGLINDEXUBVPROC epoxy_glIndexubv = epoxy_glIndexubv_global_rewrite_ptr;

PUBLIC PFNGLINDEXXOESPROC epoxy_glIndexxOES = epoxy_glIndexxOES_global_rewrite_ptr;

PUBLIC PFNGLINDEXXVOESPROC epoxy_glIndexxvOES = epoxy_glIndexxvOES_global_rewrite_ptr;

PUBLIC PFNGLINITNAMESPROC epoxy_glInitNames = epoxy_glInitNames_global_rewrite_ptr;

PUBLIC PFNGLINSERTCOMPONENTEXTPROC epoxy_glInsertComponentEXT = epoxy_glInsertComponentEXT_global_rewrite_ptr;

PUBLIC PFNGLINSERTEVENTMARKEREXTPROC epoxy_glInsertEventMarkerEXT = epoxy_glInsertEventMarkerEXT_global_rewrite_ptr;

PUBLIC PFNGLINSTRUMENTSBUFFERSGIXPROC epoxy_glInstrumentsBufferSGIX = epoxy_glInstrumentsBufferSGIX_global_rewrite_ptr;

PUBLIC PFNGLINTERLEAVEDARRAYSPROC epoxy_glInterleavedArrays = epoxy_glInterleavedArrays_global_rewrite_ptr;

PUBLIC PFNGLINTERPOLATEPATHSNVPROC epoxy_glInterpolatePathsNV = epoxy_glInterpolatePathsNV_global_rewrite_ptr;

PUBLIC PFNGLINVALIDATEBUFFERDATAPROC epoxy_glInvalidateBufferData = epoxy_glInvalidateBufferData_global_rewrite_ptr;

PUBLIC PFNGLINVALIDATEBUFFERSUBDATAPROC epoxy_glInvalidateBufferSubData = epoxy_glInvalidateBufferSubData_global_rewrite_ptr;

PUBLIC PFNGLINVALIDATEFRAMEBUFFERPROC epoxy_glInvalidateFramebuffer = epoxy_glInvalidateFramebuffer_global_rewrite_ptr;

PUBLIC PFNGLINVALIDATESUBFRAMEBUFFERPROC epoxy_glInvalidateSubFramebuffer = epoxy_glInvalidateSubFramebuffer_global_rewrite_ptr;

PUBLIC PFNGLINVALIDATETEXIMAGEPROC epoxy_glInvalidateTexImage = epoxy_glInvalidateTexImage_global_rewrite_ptr;

PUBLIC PFNGLINVALIDATETEXSUBIMAGEPROC epoxy_glInvalidateTexSubImage = epoxy_glInvalidateTexSubImage_global_rewrite_ptr;

PUBLIC PFNGLISASYNCMARKERSGIXPROC epoxy_glIsAsyncMarkerSGIX = epoxy_glIsAsyncMarkerSGIX_global_rewrite_ptr;

PUBLIC PFNGLISBUFFERPROC epoxy_glIsBuffer = epoxy_glIsBuffer_global_rewrite_ptr;

PUBLIC PFNGLISBUFFERARBPROC epoxy_glIsBufferARB = epoxy_glIsBufferARB_global_rewrite_ptr;

PUBLIC PFNGLISBUFFERRESIDENTNVPROC epoxy_glIsBufferResidentNV = epoxy_glIsBufferResidentNV_global_rewrite_ptr;

PUBLIC PFNGLISENABLEDPROC epoxy_glIsEnabled = epoxy_glIsEnabled_global_rewrite_ptr;

PUBLIC PFNGLISENABLEDINDEXEDEXTPROC epoxy_glIsEnabledIndexedEXT = epoxy_glIsEnabledIndexedEXT_global_rewrite_ptr;

PUBLIC PFNGLISENABLEDIPROC epoxy_glIsEnabledi = epoxy_glIsEnabledi_global_rewrite_ptr;

PUBLIC PFNGLISFENCEAPPLEPROC epoxy_glIsFenceAPPLE = epoxy_glIsFenceAPPLE_global_rewrite_ptr;

PUBLIC PFNGLISFENCENVPROC epoxy_glIsFenceNV = epoxy_glIsFenceNV_global_rewrite_ptr;

PUBLIC PFNGLISFRAMEBUFFERPROC epoxy_glIsFramebuffer = epoxy_glIsFramebuffer_global_rewrite_ptr;

PUBLIC PFNGLISFRAMEBUFFEREXTPROC epoxy_glIsFramebufferEXT = epoxy_glIsFramebufferEXT_global_rewrite_ptr;

PUBLIC PFNGLISFRAMEBUFFEROESPROC epoxy_glIsFramebufferOES = epoxy_glIsFramebufferOES_global_rewrite_ptr;

PUBLIC PFNGLISIMAGEHANDLERESIDENTARBPROC epoxy_glIsImageHandleResidentARB = epoxy_glIsImageHandleResidentARB_global_rewrite_ptr;

PUBLIC PFNGLISIMAGEHANDLERESIDENTNVPROC epoxy_glIsImageHandleResidentNV = epoxy_glIsImageHandleResidentNV_global_rewrite_ptr;

PUBLIC PFNGLISLISTPROC epoxy_glIsList = epoxy_glIsList_global_rewrite_ptr;

PUBLIC PFNGLISNAMEAMDPROC epoxy_glIsNameAMD = epoxy_glIsNameAMD_global_rewrite_ptr;

PUBLIC PFNGLISNAMEDBUFFERRESIDENTNVPROC epoxy_glIsNamedBufferResidentNV = epoxy_glIsNamedBufferResidentNV_global_rewrite_ptr;

PUBLIC PFNGLISNAMEDSTRINGARBPROC epoxy_glIsNamedStringARB = epoxy_glIsNamedStringARB_global_rewrite_ptr;

PUBLIC PFNGLISOBJECTBUFFERATIPROC epoxy_glIsObjectBufferATI = epoxy_glIsObjectBufferATI_global_rewrite_ptr;

PUBLIC PFNGLISOCCLUSIONQUERYNVPROC epoxy_glIsOcclusionQueryNV = epoxy_glIsOcclusionQueryNV_global_rewrite_ptr;

PUBLIC PFNGLISPATHNVPROC epoxy_glIsPathNV = epoxy_glIsPathNV_global_rewrite_ptr;

PUBLIC PFNGLISPOINTINFILLPATHNVPROC epoxy_glIsPointInFillPathNV = epoxy_glIsPointInFillPathNV_global_rewrite_ptr;

PUBLIC PFNGLISPOINTINSTROKEPATHNVPROC epoxy_glIsPointInStrokePathNV = epoxy_glIsPointInStrokePathNV_global_rewrite_ptr;

PUBLIC PFNGLISPROGRAMPROC epoxy_glIsProgram = epoxy_glIsProgram_global_rewrite_ptr;

PUBLIC PFNGLISPROGRAMARBPROC epoxy_glIsProgramARB = epoxy_glIsProgramARB_global_rewrite_ptr;

PUBLIC PFNGLISPROGRAMNVPROC epoxy_glIsProgramNV = epoxy_glIsProgramNV_global_rewrite_ptr;

PUBLIC PFNGLISPROGRAMPIPELINEPROC epoxy_glIsProgramPipeline = epoxy_glIsProgramPipeline_global_rewrite_ptr;

PUBLIC PFNGLISPROGRAMPIPELINEEXTPROC epoxy_glIsProgramPipelineEXT = epoxy_glIsProgramPipelineEXT_global_rewrite_ptr;

PUBLIC PFNGLISQUERYPROC epoxy_glIsQuery = epoxy_glIsQuery_global_rewrite_ptr;

PUBLIC PFNGLISQUERYARBPROC epoxy_glIsQueryARB = epoxy_glIsQueryARB_global_rewrite_ptr;

PUBLIC PFNGLISQUERYEXTPROC epoxy_glIsQueryEXT = epoxy_glIsQueryEXT_global_rewrite_ptr;

PUBLIC PFNGLISRENDERBUFFERPROC epoxy_glIsRenderbuffer = epoxy_glIsRenderbuffer_global_rewrite_ptr;

PUBLIC PFNGLISRENDERBUFFEREXTPROC epoxy_glIsRenderbufferEXT = epoxy_glIsRenderbufferEXT_global_rewrite_ptr;

PUBLIC PFNGLISRENDERBUFFEROESPROC epoxy_glIsRenderbufferOES = epoxy_glIsRenderbufferOES_global_rewrite_ptr;

PUBLIC PFNGLISSAMPLERPROC epoxy_glIsSampler = epoxy_glIsSampler_global_rewrite_ptr;

PUBLIC PFNGLISSHADERPROC epoxy_glIsShader = epoxy_glIsShader_global_rewrite_ptr;

PUBLIC PFNGLISSYNCPROC epoxy_glIsSync = epoxy_glIsSync_global_rewrite_ptr;

PUBLIC PFNGLISSYNCAPPLEPROC epoxy_glIsSyncAPPLE = epoxy_glIsSyncAPPLE_global_rewrite_ptr;

PUBLIC PFNGLISTEXTUREPROC epoxy_glIsTexture = epoxy_glIsTexture_global_rewrite_ptr;

PUBLIC PFNGLISTEXTUREEXTPROC epoxy_glIsTextureEXT = epoxy_glIsTextureEXT_global_rewrite_ptr;

PUBLIC PFNGLISTEXTUREHANDLERESIDENTARBPROC epoxy_glIsTextureHandleResidentARB = epoxy_glIsTextureHandleResidentARB_global_rewrite_ptr;

PUBLIC PFNGLISTEXTUREHANDLERESIDENTNVPROC epoxy_glIsTextureHandleResidentNV = epoxy_glIsTextureHandleResidentNV_global_rewrite_ptr;

PUBLIC PFNGLISTRANSFORMFEEDBACKPROC epoxy_glIsTransformFeedback = epoxy_glIsTransformFeedback_global_rewrite_ptr;

PUBLIC PFNGLISTRANSFORMFEEDBACKNVPROC epoxy_glIsTransformFeedbackNV = epoxy_glIsTransformFeedbackNV_global_rewrite_ptr;

PUBLIC PFNGLISVARIANTENABLEDEXTPROC epoxy_glIsVariantEnabledEXT = epoxy_glIsVariantEnabledEXT_global_rewrite_ptr;

PUBLIC PFNGLISVERTEXARRAYPROC epoxy_glIsVertexArray = epoxy_glIsVertexArray_global_rewrite_ptr;

PUBLIC PFNGLISVERTEXARRAYAPPLEPROC epoxy_glIsVertexArrayAPPLE = epoxy_glIsVertexArrayAPPLE_global_rewrite_ptr;

PUBLIC PFNGLISVERTEXARRAYOESPROC epoxy_glIsVertexArrayOES = epoxy_glIsVertexArrayOES_global_rewrite_ptr;

PUBLIC PFNGLISVERTEXATTRIBENABLEDAPPLEPROC epoxy_glIsVertexAttribEnabledAPPLE = epoxy_glIsVertexAttribEnabledAPPLE_global_rewrite_ptr;

PUBLIC PFNGLLABELOBJECTEXTPROC epoxy_glLabelObjectEXT = epoxy_glLabelObjectEXT_global_rewrite_ptr;

PUBLIC PFNGLLIGHTENVISGIXPROC epoxy_glLightEnviSGIX = epoxy_glLightEnviSGIX_global_rewrite_ptr;

PUBLIC PFNGLLIGHTMODELFPROC epoxy_glLightModelf = epoxy_glLightModelf_global_rewrite_ptr;

PUBLIC PFNGLLIGHTMODELFVPROC epoxy_glLightModelfv = epoxy_glLightModelfv_global_rewrite_ptr;

PUBLIC PFNGLLIGHTMODELIPROC epoxy_glLightModeli = epoxy_glLightModeli_global_rewrite_ptr;

PUBLIC PFNGLLIGHTMODELIVPROC epoxy_glLightModeliv = epoxy_glLightModeliv_global_rewrite_ptr;

PUBLIC PFNGLLIGHTMODELXPROC epoxy_glLightModelx = epoxy_glLightModelx_global_rewrite_ptr;

PUBLIC PFNGLLIGHTMODELXOESPROC epoxy_glLightModelxOES = epoxy_glLightModelxOES_global_rewrite_ptr;

PUBLIC PFNGLLIGHTMODELXVPROC epoxy_glLightModelxv = epoxy_glLightModelxv_global_rewrite_ptr;

PUBLIC PFNGLLIGHTMODELXVOESPROC epoxy_glLightModelxvOES = epoxy_glLightModelxvOES_global_rewrite_ptr;

PUBLIC PFNGLLIGHTFPROC epoxy_glLightf = epoxy_glLightf_global_rewrite_ptr;

PUBLIC PFNGLLIGHTFVPROC epoxy_glLightfv = epoxy_glLightfv_global_rewrite_ptr;

PUBLIC PFNGLLIGHTIPROC epoxy_glLighti = epoxy_glLighti_global_rewrite_ptr;

PUBLIC PFNGLLIGHTIVPROC epoxy_glLightiv = epoxy_glLightiv_global_rewrite_ptr;

PUBLIC PFNGLLIGHTXPROC epoxy_glLightx = epoxy_glLightx_global_rewrite_ptr;

PUBLIC PFNGLLIGHTXOESPROC epoxy_glLightxOES = epoxy_glLightxOES_global_rewrite_ptr;

PUBLIC PFNGLLIGHTXVPROC epoxy_glLightxv = epoxy_glLightxv_global_rewrite_ptr;

PUBLIC PFNGLLIGHTXVOESPROC epoxy_glLightxvOES = epoxy_glLightxvOES_global_rewrite_ptr;

PUBLIC PFNGLLINESTIPPLEPROC epoxy_glLineStipple = epoxy_glLineStipple_global_rewrite_ptr;

PUBLIC PFNGLLINEWIDTHPROC epoxy_glLineWidth = epoxy_glLineWidth_global_rewrite_ptr;

PUBLIC PFNGLLINEWIDTHXPROC epoxy_glLineWidthx = epoxy_glLineWidthx_global_rewrite_ptr;

PUBLIC PFNGLLINEWIDTHXOESPROC epoxy_glLineWidthxOES = epoxy_glLineWidthxOES_global_rewrite_ptr;

PUBLIC PFNGLLINKPROGRAMPROC epoxy_glLinkProgram = epoxy_glLinkProgram_global_rewrite_ptr;

PUBLIC PFNGLLINKPROGRAMARBPROC epoxy_glLinkProgramARB = epoxy_glLinkProgramARB_global_rewrite_ptr;

PUBLIC PFNGLLISTBASEPROC epoxy_glListBase = epoxy_glListBase_global_rewrite_ptr;

PUBLIC PFNGLLISTPARAMETERFSGIXPROC epoxy_glListParameterfSGIX = epoxy_glListParameterfSGIX_global_rewrite_ptr;

PUBLIC PFNGLLISTPARAMETERFVSGIXPROC epoxy_glListParameterfvSGIX = epoxy_glListParameterfvSGIX_global_rewrite_ptr;

PUBLIC PFNGLLISTPARAMETERISGIXPROC epoxy_glListParameteriSGIX = epoxy_glListParameteriSGIX_global_rewrite_ptr;

PUBLIC PFNGLLISTPARAMETERIVSGIXPROC epoxy_glListParameterivSGIX = epoxy_glListParameterivSGIX_global_rewrite_ptr;

PUBLIC PFNGLLOADIDENTITYPROC epoxy_glLoadIdentity = epoxy_glLoadIdentity_global_rewrite_ptr;

PUBLIC PFNGLLOADIDENTITYDEFORMATIONMAPSGIXPROC epoxy_glLoadIdentityDeformationMapSGIX = epoxy_glLoadIdentityDeformationMapSGIX_global_rewrite_ptr;

PUBLIC PFNGLLOADMATRIXDPROC epoxy_glLoadMatrixd = epoxy_glLoadMatrixd_global_rewrite_ptr;

PUBLIC PFNGLLOADMATRIXFPROC epoxy_glLoadMatrixf = epoxy_glLoadMatrixf_global_rewrite_ptr;

PUBLIC PFNGLLOADMATRIXXPROC epoxy_glLoadMatrixx = epoxy_glLoadMatrixx_global_rewrite_ptr;

PUBLIC PFNGLLOADMATRIXXOESPROC epoxy_glLoadMatrixxOES = epoxy_glLoadMatrixxOES_global_rewrite_ptr;

PUBLIC PFNGLLOADNAMEPROC epoxy_glLoadName = epoxy_glLoadName_global_rewrite_ptr;

PUBLIC PFNGLLOADPALETTEFROMMODELVIEWMATRIXOESPROC epoxy_glLoadPaletteFromModelViewMatrixOES = epoxy_glLoadPaletteFromModelViewMatrixOES_global_rewrite_ptr;

PUBLIC PFNGLLOADPROGRAMNVPROC epoxy_glLoadProgramNV = epoxy_glLoadProgramNV_global_rewrite_ptr;

PUBLIC PFNGLLOADTRANSPOSEMATRIXDPROC epoxy_glLoadTransposeMatrixd = epoxy_glLoadTransposeMatrixd_global_rewrite_ptr;

PUBLIC PFNGLLOADTRANSPOSEMATRIXDARBPROC epoxy_glLoadTransposeMatrixdARB = epoxy_glLoadTransposeMatrixdARB_global_rewrite_ptr;

PUBLIC PFNGLLOADTRANSPOSEMATRIXFPROC epoxy_glLoadTransposeMatrixf = epoxy_glLoadTransposeMatrixf_global_rewrite_ptr;

PUBLIC PFNGLLOADTRANSPOSEMATRIXFARBPROC epoxy_glLoadTransposeMatrixfARB = epoxy_glLoadTransposeMatrixfARB_global_rewrite_ptr;

PUBLIC PFNGLLOADTRANSPOSEMATRIXXOESPROC epoxy_glLoadTransposeMatrixxOES = epoxy_glLoadTransposeMatrixxOES_global_rewrite_ptr;

PUBLIC PFNGLLOCKARRAYSEXTPROC epoxy_glLockArraysEXT = epoxy_glLockArraysEXT_global_rewrite_ptr;

PUBLIC PFNGLLOGICOPPROC epoxy_glLogicOp = epoxy_glLogicOp_global_rewrite_ptr;

PUBLIC PFNGLMAKEBUFFERNONRESIDENTNVPROC epoxy_glMakeBufferNonResidentNV = epoxy_glMakeBufferNonResidentNV_global_rewrite_ptr;

PUBLIC PFNGLMAKEBUFFERRESIDENTNVPROC epoxy_glMakeBufferResidentNV = epoxy_glMakeBufferResidentNV_global_rewrite_ptr;

PUBLIC PFNGLMAKEIMAGEHANDLENONRESIDENTARBPROC epoxy_glMakeImageHandleNonResidentARB = epoxy_glMakeImageHandleNonResidentARB_global_rewrite_ptr;

PUBLIC PFNGLMAKEIMAGEHANDLENONRESIDENTNVPROC epoxy_glMakeImageHandleNonResidentNV = epoxy_glMakeImageHandleNonResidentNV_global_rewrite_ptr;

PUBLIC PFNGLMAKEIMAGEHANDLERESIDENTARBPROC epoxy_glMakeImageHandleResidentARB = epoxy_glMakeImageHandleResidentARB_global_rewrite_ptr;

PUBLIC PFNGLMAKEIMAGEHANDLERESIDENTNVPROC epoxy_glMakeImageHandleResidentNV = epoxy_glMakeImageHandleResidentNV_global_rewrite_ptr;

PUBLIC PFNGLMAKENAMEDBUFFERNONRESIDENTNVPROC epoxy_glMakeNamedBufferNonResidentNV = epoxy_glMakeNamedBufferNonResidentNV_global_rewrite_ptr;

PUBLIC PFNGLMAKENAMEDBUFFERRESIDENTNVPROC epoxy_glMakeNamedBufferResidentNV = epoxy_glMakeNamedBufferResidentNV_global_rewrite_ptr;

PUBLIC PFNGLMAKETEXTUREHANDLENONRESIDENTARBPROC epoxy_glMakeTextureHandleNonResidentARB = epoxy_glMakeTextureHandleNonResidentARB_global_rewrite_ptr;

PUBLIC PFNGLMAKETEXTUREHANDLENONRESIDENTNVPROC epoxy_glMakeTextureHandleNonResidentNV = epoxy_glMakeTextureHandleNonResidentNV_global_rewrite_ptr;

PUBLIC PFNGLMAKETEXTUREHANDLERESIDENTARBPROC epoxy_glMakeTextureHandleResidentARB = epoxy_glMakeTextureHandleResidentARB_global_rewrite_ptr;

PUBLIC PFNGLMAKETEXTUREHANDLERESIDENTNVPROC epoxy_glMakeTextureHandleResidentNV = epoxy_glMakeTextureHandleResidentNV_global_rewrite_ptr;

PUBLIC PFNGLMAP1DPROC epoxy_glMap1d = epoxy_glMap1d_global_rewrite_ptr;

PUBLIC PFNGLMAP1FPROC epoxy_glMap1f = epoxy_glMap1f_global_rewrite_ptr;

PUBLIC PFNGLMAP1XOESPROC epoxy_glMap1xOES = epoxy_glMap1xOES_global_rewrite_ptr;

PUBLIC PFNGLMAP2DPROC epoxy_glMap2d = epoxy_glMap2d_global_rewrite_ptr;

PUBLIC PFNGLMAP2FPROC epoxy_glMap2f = epoxy_glMap2f_global_rewrite_ptr;

PUBLIC PFNGLMAP2XOESPROC epoxy_glMap2xOES = epoxy_glMap2xOES_global_rewrite_ptr;

PUBLIC PFNGLMAPBUFFERPROC epoxy_glMapBuffer = epoxy_glMapBuffer_global_rewrite_ptr;

PUBLIC PFNGLMAPBUFFERARBPROC epoxy_glMapBufferARB = epoxy_glMapBufferARB_global_rewrite_ptr;

PUBLIC PFNGLMAPBUFFEROESPROC epoxy_glMapBufferOES = epoxy_glMapBufferOES_global_rewrite_ptr;

PUBLIC PFNGLMAPBUFFERRANGEPROC epoxy_glMapBufferRange = epoxy_glMapBufferRange_global_rewrite_ptr;

PUBLIC PFNGLMAPBUFFERRANGEEXTPROC epoxy_glMapBufferRangeEXT = epoxy_glMapBufferRangeEXT_global_rewrite_ptr;

PUBLIC PFNGLMAPCONTROLPOINTSNVPROC epoxy_glMapControlPointsNV = epoxy_glMapControlPointsNV_global_rewrite_ptr;

PUBLIC PFNGLMAPGRID1DPROC epoxy_glMapGrid1d = epoxy_glMapGrid1d_global_rewrite_ptr;

PUBLIC PFNGLMAPGRID1FPROC epoxy_glMapGrid1f = epoxy_glMapGrid1f_global_rewrite_ptr;

PUBLIC PFNGLMAPGRID1XOESPROC epoxy_glMapGrid1xOES = epoxy_glMapGrid1xOES_global_rewrite_ptr;

PUBLIC PFNGLMAPGRID2DPROC epoxy_glMapGrid2d = epoxy_glMapGrid2d_global_rewrite_ptr;

PUBLIC PFNGLMAPGRID2FPROC epoxy_glMapGrid2f = epoxy_glMapGrid2f_global_rewrite_ptr;

PUBLIC PFNGLMAPGRID2XOESPROC epoxy_glMapGrid2xOES = epoxy_glMapGrid2xOES_global_rewrite_ptr;

PUBLIC PFNGLMAPNAMEDBUFFEREXTPROC epoxy_glMapNamedBufferEXT = epoxy_glMapNamedBufferEXT_global_rewrite_ptr;

PUBLIC PFNGLMAPNAMEDBUFFERRANGEEXTPROC epoxy_glMapNamedBufferRangeEXT = epoxy_glMapNamedBufferRangeEXT_global_rewrite_ptr;

PUBLIC PFNGLMAPOBJECTBUFFERATIPROC epoxy_glMapObjectBufferATI = epoxy_glMapObjectBufferATI_global_rewrite_ptr;

PUBLIC PFNGLMAPPARAMETERFVNVPROC epoxy_glMapParameterfvNV = epoxy_glMapParameterfvNV_global_rewrite_ptr;

PUBLIC PFNGLMAPPARAMETERIVNVPROC epoxy_glMapParameterivNV = epoxy_glMapParameterivNV_global_rewrite_ptr;

PUBLIC PFNGLMAPTEXTURE2DINTELPROC epoxy_glMapTexture2DINTEL = epoxy_glMapTexture2DINTEL_global_rewrite_ptr;

PUBLIC PFNGLMAPVERTEXATTRIB1DAPPLEPROC epoxy_glMapVertexAttrib1dAPPLE = epoxy_glMapVertexAttrib1dAPPLE_global_rewrite_ptr;

PUBLIC PFNGLMAPVERTEXATTRIB1FAPPLEPROC epoxy_glMapVertexAttrib1fAPPLE = epoxy_glMapVertexAttrib1fAPPLE_global_rewrite_ptr;

PUBLIC PFNGLMAPVERTEXATTRIB2DAPPLEPROC epoxy_glMapVertexAttrib2dAPPLE = epoxy_glMapVertexAttrib2dAPPLE_global_rewrite_ptr;

PUBLIC PFNGLMAPVERTEXATTRIB2FAPPLEPROC epoxy_glMapVertexAttrib2fAPPLE = epoxy_glMapVertexAttrib2fAPPLE_global_rewrite_ptr;

PUBLIC PFNGLMATERIALFPROC epoxy_glMaterialf = epoxy_glMaterialf_global_rewrite_ptr;

PUBLIC PFNGLMATERIALFVPROC epoxy_glMaterialfv = epoxy_glMaterialfv_global_rewrite_ptr;

PUBLIC PFNGLMATERIALIPROC epoxy_glMateriali = epoxy_glMateriali_global_rewrite_ptr;

PUBLIC PFNGLMATERIALIVPROC epoxy_glMaterialiv = epoxy_glMaterialiv_global_rewrite_ptr;

PUBLIC PFNGLMATERIALXPROC epoxy_glMaterialx = epoxy_glMaterialx_global_rewrite_ptr;

PUBLIC PFNGLMATERIALXOESPROC epoxy_glMaterialxOES = epoxy_glMaterialxOES_global_rewrite_ptr;

PUBLIC PFNGLMATERIALXVPROC epoxy_glMaterialxv = epoxy_glMaterialxv_global_rewrite_ptr;

PUBLIC PFNGLMATERIALXVOESPROC epoxy_glMaterialxvOES = epoxy_glMaterialxvOES_global_rewrite_ptr;

PUBLIC PFNGLMATRIXFRUSTUMEXTPROC epoxy_glMatrixFrustumEXT = epoxy_glMatrixFrustumEXT_global_rewrite_ptr;

PUBLIC PFNGLMATRIXINDEXPOINTERARBPROC epoxy_glMatrixIndexPointerARB = epoxy_glMatrixIndexPointerARB_global_rewrite_ptr;

PUBLIC PFNGLMATRIXINDEXPOINTEROESPROC epoxy_glMatrixIndexPointerOES = epoxy_glMatrixIndexPointerOES_global_rewrite_ptr;

PUBLIC PFNGLMATRIXINDEXUBVARBPROC epoxy_glMatrixIndexubvARB = epoxy_glMatrixIndexubvARB_global_rewrite_ptr;

PUBLIC PFNGLMATRIXINDEXUIVARBPROC epoxy_glMatrixIndexuivARB = epoxy_glMatrixIndexuivARB_global_rewrite_ptr;

PUBLIC PFNGLMATRIXINDEXUSVARBPROC epoxy_glMatrixIndexusvARB = epoxy_glMatrixIndexusvARB_global_rewrite_ptr;

PUBLIC PFNGLMATRIXLOADIDENTITYEXTPROC epoxy_glMatrixLoadIdentityEXT = epoxy_glMatrixLoadIdentityEXT_global_rewrite_ptr;

PUBLIC PFNGLMATRIXLOADTRANSPOSEDEXTPROC epoxy_glMatrixLoadTransposedEXT = epoxy_glMatrixLoadTransposedEXT_global_rewrite_ptr;

PUBLIC PFNGLMATRIXLOADTRANSPOSEFEXTPROC epoxy_glMatrixLoadTransposefEXT = epoxy_glMatrixLoadTransposefEXT_global_rewrite_ptr;

PUBLIC PFNGLMATRIXLOADDEXTPROC epoxy_glMatrixLoaddEXT = epoxy_glMatrixLoaddEXT_global_rewrite_ptr;

PUBLIC PFNGLMATRIXLOADFEXTPROC epoxy_glMatrixLoadfEXT = epoxy_glMatrixLoadfEXT_global_rewrite_ptr;

PUBLIC PFNGLMATRIXMODEPROC epoxy_glMatrixMode = epoxy_glMatrixMode_global_rewrite_ptr;

PUBLIC PFNGLMATRIXMULTTRANSPOSEDEXTPROC epoxy_glMatrixMultTransposedEXT = epoxy_glMatrixMultTransposedEXT_global_rewrite_ptr;

PUBLIC PFNGLMATRIXMULTTRANSPOSEFEXTPROC epoxy_glMatrixMultTransposefEXT = epoxy_glMatrixMultTransposefEXT_global_rewrite_ptr;

PUBLIC PFNGLMATRIXMULTDEXTPROC epoxy_glMatrixMultdEXT = epoxy_glMatrixMultdEXT_global_rewrite_ptr;

PUBLIC PFNGLMATRIXMULTFEXTPROC epoxy_glMatrixMultfEXT = epoxy_glMatrixMultfEXT_global_rewrite_ptr;

PUBLIC PFNGLMATRIXORTHOEXTPROC epoxy_glMatrixOrthoEXT = epoxy_glMatrixOrthoEXT_global_rewrite_ptr;

PUBLIC PFNGLMATRIXPOPEXTPROC epoxy_glMatrixPopEXT = epoxy_glMatrixPopEXT_global_rewrite_ptr;

PUBLIC PFNGLMATRIXPUSHEXTPROC epoxy_glMatrixPushEXT = epoxy_glMatrixPushEXT_global_rewrite_ptr;

PUBLIC PFNGLMATRIXROTATEDEXTPROC epoxy_glMatrixRotatedEXT = epoxy_glMatrixRotatedEXT_global_rewrite_ptr;

PUBLIC PFNGLMATRIXROTATEFEXTPROC epoxy_glMatrixRotatefEXT = epoxy_glMatrixRotatefEXT_global_rewrite_ptr;

PUBLIC PFNGLMATRIXSCALEDEXTPROC epoxy_glMatrixScaledEXT = epoxy_glMatrixScaledEXT_global_rewrite_ptr;

PUBLIC PFNGLMATRIXSCALEFEXTPROC epoxy_glMatrixScalefEXT = epoxy_glMatrixScalefEXT_global_rewrite_ptr;

PUBLIC PFNGLMATRIXTRANSLATEDEXTPROC epoxy_glMatrixTranslatedEXT = epoxy_glMatrixTranslatedEXT_global_rewrite_ptr;

PUBLIC PFNGLMATRIXTRANSLATEFEXTPROC epoxy_glMatrixTranslatefEXT = epoxy_glMatrixTranslatefEXT_global_rewrite_ptr;

PUBLIC PFNGLMEMORYBARRIERPROC epoxy_glMemoryBarrier = epoxy_glMemoryBarrier_global_rewrite_ptr;

PUBLIC PFNGLMEMORYBARRIERBYREGIONPROC epoxy_glMemoryBarrierByRegion = epoxy_glMemoryBarrierByRegion_global_rewrite_ptr;

PUBLIC PFNGLMEMORYBARRIEREXTPROC epoxy_glMemoryBarrierEXT = epoxy_glMemoryBarrierEXT_global_rewrite_ptr;

PUBLIC PFNGLMINSAMPLESHADINGPROC epoxy_glMinSampleShading = epoxy_glMinSampleShading_global_rewrite_ptr;

PUBLIC PFNGLMINSAMPLESHADINGARBPROC epoxy_glMinSampleShadingARB = epoxy_glMinSampleShadingARB_global_rewrite_ptr;

PUBLIC PFNGLMINSAMPLESHADINGOESPROC epoxy_glMinSampleShadingOES = epoxy_glMinSampleShadingOES_global_rewrite_ptr;

PUBLIC PFNGLMINMAXPROC epoxy_glMinmax = epoxy_glMinmax_global_rewrite_ptr;

PUBLIC PFNGLMINMAXEXTPROC epoxy_glMinmaxEXT = epoxy_glMinmaxEXT_global_rewrite_ptr;

PUBLIC PFNGLMULTMATRIXDPROC epoxy_glMultMatrixd = epoxy_glMultMatrixd_global_rewrite_ptr;

PUBLIC PFNGLMULTMATRIXFPROC epoxy_glMultMatrixf = epoxy_glMultMatrixf_global_rewrite_ptr;

PUBLIC PFNGLMULTMATRIXXPROC epoxy_glMultMatrixx = epoxy_glMultMatrixx_global_rewrite_ptr;

PUBLIC PFNGLMULTMATRIXXOESPROC epoxy_glMultMatrixxOES = epoxy_glMultMatrixxOES_global_rewrite_ptr;

PUBLIC PFNGLMULTTRANSPOSEMATRIXDPROC epoxy_glMultTransposeMatrixd = epoxy_glMultTransposeMatrixd_global_rewrite_ptr;

PUBLIC PFNGLMULTTRANSPOSEMATRIXDARBPROC epoxy_glMultTransposeMatrixdARB = epoxy_glMultTransposeMatrixdARB_global_rewrite_ptr;

PUBLIC PFNGLMULTTRANSPOSEMATRIXFPROC epoxy_glMultTransposeMatrixf = epoxy_glMultTransposeMatrixf_global_rewrite_ptr;

PUBLIC PFNGLMULTTRANSPOSEMATRIXFARBPROC epoxy_glMultTransposeMatrixfARB = epoxy_glMultTransposeMatrixfARB_global_rewrite_ptr;

PUBLIC PFNGLMULTTRANSPOSEMATRIXXOESPROC epoxy_glMultTransposeMatrixxOES = epoxy_glMultTransposeMatrixxOES_global_rewrite_ptr;

PUBLIC PFNGLMULTIDRAWARRAYSPROC epoxy_glMultiDrawArrays = epoxy_glMultiDrawArrays_global_rewrite_ptr;

PUBLIC PFNGLMULTIDRAWARRAYSEXTPROC epoxy_glMultiDrawArraysEXT = epoxy_glMultiDrawArraysEXT_global_rewrite_ptr;

PUBLIC PFNGLMULTIDRAWARRAYSINDIRECTPROC epoxy_glMultiDrawArraysIndirect = epoxy_glMultiDrawArraysIndirect_global_rewrite_ptr;

PUBLIC PFNGLMULTIDRAWARRAYSINDIRECTAMDPROC epoxy_glMultiDrawArraysIndirectAMD = epoxy_glMultiDrawArraysIndirectAMD_global_rewrite_ptr;

PUBLIC PFNGLMULTIDRAWARRAYSINDIRECTBINDLESSNVPROC epoxy_glMultiDrawArraysIndirectBindlessNV = epoxy_glMultiDrawArraysIndirectBindlessNV_global_rewrite_ptr;

PUBLIC PFNGLMULTIDRAWARRAYSINDIRECTCOUNTARBPROC epoxy_glMultiDrawArraysIndirectCountARB = epoxy_glMultiDrawArraysIndirectCountARB_global_rewrite_ptr;

PUBLIC PFNGLMULTIDRAWELEMENTARRAYAPPLEPROC epoxy_glMultiDrawElementArrayAPPLE = epoxy_glMultiDrawElementArrayAPPLE_global_rewrite_ptr;

PUBLIC PFNGLMULTIDRAWELEMENTSPROC epoxy_glMultiDrawElements = epoxy_glMultiDrawElements_global_rewrite_ptr;

PUBLIC PFNGLMULTIDRAWELEMENTSBASEVERTEXPROC epoxy_glMultiDrawElementsBaseVertex = epoxy_glMultiDrawElementsBaseVertex_global_rewrite_ptr;

PUBLIC PFNGLMULTIDRAWELEMENTSEXTPROC epoxy_glMultiDrawElementsEXT = epoxy_glMultiDrawElementsEXT_global_rewrite_ptr;

PUBLIC PFNGLMULTIDRAWELEMENTSINDIRECTPROC epoxy_glMultiDrawElementsIndirect = epoxy_glMultiDrawElementsIndirect_global_rewrite_ptr;

PUBLIC PFNGLMULTIDRAWELEMENTSINDIRECTAMDPROC epoxy_glMultiDrawElementsIndirectAMD = epoxy_glMultiDrawElementsIndirectAMD_global_rewrite_ptr;

PUBLIC PFNGLMULTIDRAWELEMENTSINDIRECTBINDLESSNVPROC epoxy_glMultiDrawElementsIndirectBindlessNV = epoxy_glMultiDrawElementsIndirectBindlessNV_global_rewrite_ptr;

PUBLIC PFNGLMULTIDRAWELEMENTSINDIRECTCOUNTARBPROC epoxy_glMultiDrawElementsIndirectCountARB = epoxy_glMultiDrawElementsIndirectCountARB_global_rewrite_ptr;

PUBLIC PFNGLMULTIDRAWRANGEELEMENTARRAYAPPLEPROC epoxy_glMultiDrawRangeElementArrayAPPLE = epoxy_glMultiDrawRangeElementArrayAPPLE_global_rewrite_ptr;

PUBLIC PFNGLMULTIMODEDRAWARRAYSIBMPROC epoxy_glMultiModeDrawArraysIBM = epoxy_glMultiModeDrawArraysIBM_global_rewrite_ptr;

PUBLIC PFNGLMULTIMODEDRAWELEMENTSIBMPROC epoxy_glMultiModeDrawElementsIBM = epoxy_glMultiModeDrawElementsIBM_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXBUFFEREXTPROC epoxy_glMultiTexBufferEXT = epoxy_glMultiTexBufferEXT_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD1BOESPROC epoxy_glMultiTexCoord1bOES = epoxy_glMultiTexCoord1bOES_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD1BVOESPROC epoxy_glMultiTexCoord1bvOES = epoxy_glMultiTexCoord1bvOES_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD1DPROC epoxy_glMultiTexCoord1d = epoxy_glMultiTexCoord1d_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD1DARBPROC epoxy_glMultiTexCoord1dARB = epoxy_glMultiTexCoord1dARB_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD1DVPROC epoxy_glMultiTexCoord1dv = epoxy_glMultiTexCoord1dv_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD1DVARBPROC epoxy_glMultiTexCoord1dvARB = epoxy_glMultiTexCoord1dvARB_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD1FPROC epoxy_glMultiTexCoord1f = epoxy_glMultiTexCoord1f_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD1FARBPROC epoxy_glMultiTexCoord1fARB = epoxy_glMultiTexCoord1fARB_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD1FVPROC epoxy_glMultiTexCoord1fv = epoxy_glMultiTexCoord1fv_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD1FVARBPROC epoxy_glMultiTexCoord1fvARB = epoxy_glMultiTexCoord1fvARB_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD1HNVPROC epoxy_glMultiTexCoord1hNV = epoxy_glMultiTexCoord1hNV_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD1HVNVPROC epoxy_glMultiTexCoord1hvNV = epoxy_glMultiTexCoord1hvNV_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD1IPROC epoxy_glMultiTexCoord1i = epoxy_glMultiTexCoord1i_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD1IARBPROC epoxy_glMultiTexCoord1iARB = epoxy_glMultiTexCoord1iARB_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD1IVPROC epoxy_glMultiTexCoord1iv = epoxy_glMultiTexCoord1iv_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD1IVARBPROC epoxy_glMultiTexCoord1ivARB = epoxy_glMultiTexCoord1ivARB_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD1SPROC epoxy_glMultiTexCoord1s = epoxy_glMultiTexCoord1s_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD1SARBPROC epoxy_glMultiTexCoord1sARB = epoxy_glMultiTexCoord1sARB_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD1SVPROC epoxy_glMultiTexCoord1sv = epoxy_glMultiTexCoord1sv_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD1SVARBPROC epoxy_glMultiTexCoord1svARB = epoxy_glMultiTexCoord1svARB_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD1XOESPROC epoxy_glMultiTexCoord1xOES = epoxy_glMultiTexCoord1xOES_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD1XVOESPROC epoxy_glMultiTexCoord1xvOES = epoxy_glMultiTexCoord1xvOES_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD2BOESPROC epoxy_glMultiTexCoord2bOES = epoxy_glMultiTexCoord2bOES_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD2BVOESPROC epoxy_glMultiTexCoord2bvOES = epoxy_glMultiTexCoord2bvOES_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD2DPROC epoxy_glMultiTexCoord2d = epoxy_glMultiTexCoord2d_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD2DARBPROC epoxy_glMultiTexCoord2dARB = epoxy_glMultiTexCoord2dARB_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD2DVPROC epoxy_glMultiTexCoord2dv = epoxy_glMultiTexCoord2dv_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD2DVARBPROC epoxy_glMultiTexCoord2dvARB = epoxy_glMultiTexCoord2dvARB_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD2FPROC epoxy_glMultiTexCoord2f = epoxy_glMultiTexCoord2f_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD2FARBPROC epoxy_glMultiTexCoord2fARB = epoxy_glMultiTexCoord2fARB_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD2FVPROC epoxy_glMultiTexCoord2fv = epoxy_glMultiTexCoord2fv_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD2FVARBPROC epoxy_glMultiTexCoord2fvARB = epoxy_glMultiTexCoord2fvARB_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD2HNVPROC epoxy_glMultiTexCoord2hNV = epoxy_glMultiTexCoord2hNV_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD2HVNVPROC epoxy_glMultiTexCoord2hvNV = epoxy_glMultiTexCoord2hvNV_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD2IPROC epoxy_glMultiTexCoord2i = epoxy_glMultiTexCoord2i_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD2IARBPROC epoxy_glMultiTexCoord2iARB = epoxy_glMultiTexCoord2iARB_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD2IVPROC epoxy_glMultiTexCoord2iv = epoxy_glMultiTexCoord2iv_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD2IVARBPROC epoxy_glMultiTexCoord2ivARB = epoxy_glMultiTexCoord2ivARB_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD2SPROC epoxy_glMultiTexCoord2s = epoxy_glMultiTexCoord2s_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD2SARBPROC epoxy_glMultiTexCoord2sARB = epoxy_glMultiTexCoord2sARB_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD2SVPROC epoxy_glMultiTexCoord2sv = epoxy_glMultiTexCoord2sv_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD2SVARBPROC epoxy_glMultiTexCoord2svARB = epoxy_glMultiTexCoord2svARB_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD2XOESPROC epoxy_glMultiTexCoord2xOES = epoxy_glMultiTexCoord2xOES_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD2XVOESPROC epoxy_glMultiTexCoord2xvOES = epoxy_glMultiTexCoord2xvOES_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD3BOESPROC epoxy_glMultiTexCoord3bOES = epoxy_glMultiTexCoord3bOES_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD3BVOESPROC epoxy_glMultiTexCoord3bvOES = epoxy_glMultiTexCoord3bvOES_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD3DPROC epoxy_glMultiTexCoord3d = epoxy_glMultiTexCoord3d_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD3DARBPROC epoxy_glMultiTexCoord3dARB = epoxy_glMultiTexCoord3dARB_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD3DVPROC epoxy_glMultiTexCoord3dv = epoxy_glMultiTexCoord3dv_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD3DVARBPROC epoxy_glMultiTexCoord3dvARB = epoxy_glMultiTexCoord3dvARB_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD3FPROC epoxy_glMultiTexCoord3f = epoxy_glMultiTexCoord3f_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD3FARBPROC epoxy_glMultiTexCoord3fARB = epoxy_glMultiTexCoord3fARB_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD3FVPROC epoxy_glMultiTexCoord3fv = epoxy_glMultiTexCoord3fv_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD3FVARBPROC epoxy_glMultiTexCoord3fvARB = epoxy_glMultiTexCoord3fvARB_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD3HNVPROC epoxy_glMultiTexCoord3hNV = epoxy_glMultiTexCoord3hNV_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD3HVNVPROC epoxy_glMultiTexCoord3hvNV = epoxy_glMultiTexCoord3hvNV_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD3IPROC epoxy_glMultiTexCoord3i = epoxy_glMultiTexCoord3i_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD3IARBPROC epoxy_glMultiTexCoord3iARB = epoxy_glMultiTexCoord3iARB_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD3IVPROC epoxy_glMultiTexCoord3iv = epoxy_glMultiTexCoord3iv_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD3IVARBPROC epoxy_glMultiTexCoord3ivARB = epoxy_glMultiTexCoord3ivARB_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD3SPROC epoxy_glMultiTexCoord3s = epoxy_glMultiTexCoord3s_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD3SARBPROC epoxy_glMultiTexCoord3sARB = epoxy_glMultiTexCoord3sARB_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD3SVPROC epoxy_glMultiTexCoord3sv = epoxy_glMultiTexCoord3sv_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD3SVARBPROC epoxy_glMultiTexCoord3svARB = epoxy_glMultiTexCoord3svARB_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD3XOESPROC epoxy_glMultiTexCoord3xOES = epoxy_glMultiTexCoord3xOES_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD3XVOESPROC epoxy_glMultiTexCoord3xvOES = epoxy_glMultiTexCoord3xvOES_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD4BOESPROC epoxy_glMultiTexCoord4bOES = epoxy_glMultiTexCoord4bOES_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD4BVOESPROC epoxy_glMultiTexCoord4bvOES = epoxy_glMultiTexCoord4bvOES_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD4DPROC epoxy_glMultiTexCoord4d = epoxy_glMultiTexCoord4d_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD4DARBPROC epoxy_glMultiTexCoord4dARB = epoxy_glMultiTexCoord4dARB_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD4DVPROC epoxy_glMultiTexCoord4dv = epoxy_glMultiTexCoord4dv_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD4DVARBPROC epoxy_glMultiTexCoord4dvARB = epoxy_glMultiTexCoord4dvARB_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD4FPROC epoxy_glMultiTexCoord4f = epoxy_glMultiTexCoord4f_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD4FARBPROC epoxy_glMultiTexCoord4fARB = epoxy_glMultiTexCoord4fARB_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD4FVPROC epoxy_glMultiTexCoord4fv = epoxy_glMultiTexCoord4fv_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD4FVARBPROC epoxy_glMultiTexCoord4fvARB = epoxy_glMultiTexCoord4fvARB_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD4HNVPROC epoxy_glMultiTexCoord4hNV = epoxy_glMultiTexCoord4hNV_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD4HVNVPROC epoxy_glMultiTexCoord4hvNV = epoxy_glMultiTexCoord4hvNV_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD4IPROC epoxy_glMultiTexCoord4i = epoxy_glMultiTexCoord4i_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD4IARBPROC epoxy_glMultiTexCoord4iARB = epoxy_glMultiTexCoord4iARB_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD4IVPROC epoxy_glMultiTexCoord4iv = epoxy_glMultiTexCoord4iv_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD4IVARBPROC epoxy_glMultiTexCoord4ivARB = epoxy_glMultiTexCoord4ivARB_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD4SPROC epoxy_glMultiTexCoord4s = epoxy_glMultiTexCoord4s_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD4SARBPROC epoxy_glMultiTexCoord4sARB = epoxy_glMultiTexCoord4sARB_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD4SVPROC epoxy_glMultiTexCoord4sv = epoxy_glMultiTexCoord4sv_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD4SVARBPROC epoxy_glMultiTexCoord4svARB = epoxy_glMultiTexCoord4svARB_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD4XPROC epoxy_glMultiTexCoord4x = epoxy_glMultiTexCoord4x_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD4XOESPROC epoxy_glMultiTexCoord4xOES = epoxy_glMultiTexCoord4xOES_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORD4XVOESPROC epoxy_glMultiTexCoord4xvOES = epoxy_glMultiTexCoord4xvOES_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORDP1UIPROC epoxy_glMultiTexCoordP1ui = epoxy_glMultiTexCoordP1ui_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORDP1UIVPROC epoxy_glMultiTexCoordP1uiv = epoxy_glMultiTexCoordP1uiv_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORDP2UIPROC epoxy_glMultiTexCoordP2ui = epoxy_glMultiTexCoordP2ui_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORDP2UIVPROC epoxy_glMultiTexCoordP2uiv = epoxy_glMultiTexCoordP2uiv_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORDP3UIPROC epoxy_glMultiTexCoordP3ui = epoxy_glMultiTexCoordP3ui_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORDP3UIVPROC epoxy_glMultiTexCoordP3uiv = epoxy_glMultiTexCoordP3uiv_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORDP4UIPROC epoxy_glMultiTexCoordP4ui = epoxy_glMultiTexCoordP4ui_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORDP4UIVPROC epoxy_glMultiTexCoordP4uiv = epoxy_glMultiTexCoordP4uiv_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXCOORDPOINTEREXTPROC epoxy_glMultiTexCoordPointerEXT = epoxy_glMultiTexCoordPointerEXT_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXENVFEXTPROC epoxy_glMultiTexEnvfEXT = epoxy_glMultiTexEnvfEXT_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXENVFVEXTPROC epoxy_glMultiTexEnvfvEXT = epoxy_glMultiTexEnvfvEXT_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXENVIEXTPROC epoxy_glMultiTexEnviEXT = epoxy_glMultiTexEnviEXT_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXENVIVEXTPROC epoxy_glMultiTexEnvivEXT = epoxy_glMultiTexEnvivEXT_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXGENDEXTPROC epoxy_glMultiTexGendEXT = epoxy_glMultiTexGendEXT_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXGENDVEXTPROC epoxy_glMultiTexGendvEXT = epoxy_glMultiTexGendvEXT_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXGENFEXTPROC epoxy_glMultiTexGenfEXT = epoxy_glMultiTexGenfEXT_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXGENFVEXTPROC epoxy_glMultiTexGenfvEXT = epoxy_glMultiTexGenfvEXT_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXGENIEXTPROC epoxy_glMultiTexGeniEXT = epoxy_glMultiTexGeniEXT_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXGENIVEXTPROC epoxy_glMultiTexGenivEXT = epoxy_glMultiTexGenivEXT_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXIMAGE1DEXTPROC epoxy_glMultiTexImage1DEXT = epoxy_glMultiTexImage1DEXT_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXIMAGE2DEXTPROC epoxy_glMultiTexImage2DEXT = epoxy_glMultiTexImage2DEXT_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXIMAGE3DEXTPROC epoxy_glMultiTexImage3DEXT = epoxy_glMultiTexImage3DEXT_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXPARAMETERIIVEXTPROC epoxy_glMultiTexParameterIivEXT = epoxy_glMultiTexParameterIivEXT_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXPARAMETERIUIVEXTPROC epoxy_glMultiTexParameterIuivEXT = epoxy_glMultiTexParameterIuivEXT_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXPARAMETERFEXTPROC epoxy_glMultiTexParameterfEXT = epoxy_glMultiTexParameterfEXT_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXPARAMETERFVEXTPROC epoxy_glMultiTexParameterfvEXT = epoxy_glMultiTexParameterfvEXT_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXPARAMETERIEXTPROC epoxy_glMultiTexParameteriEXT = epoxy_glMultiTexParameteriEXT_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXPARAMETERIVEXTPROC epoxy_glMultiTexParameterivEXT = epoxy_glMultiTexParameterivEXT_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXRENDERBUFFEREXTPROC epoxy_glMultiTexRenderbufferEXT = epoxy_glMultiTexRenderbufferEXT_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXSUBIMAGE1DEXTPROC epoxy_glMultiTexSubImage1DEXT = epoxy_glMultiTexSubImage1DEXT_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXSUBIMAGE2DEXTPROC epoxy_glMultiTexSubImage2DEXT = epoxy_glMultiTexSubImage2DEXT_global_rewrite_ptr;

PUBLIC PFNGLMULTITEXSUBIMAGE3DEXTPROC epoxy_glMultiTexSubImage3DEXT = epoxy_glMultiTexSubImage3DEXT_global_rewrite_ptr;

PUBLIC PFNGLNAMEDBUFFERDATAEXTPROC epoxy_glNamedBufferDataEXT = epoxy_glNamedBufferDataEXT_global_rewrite_ptr;

PUBLIC PFNGLNAMEDBUFFERSTORAGEEXTPROC epoxy_glNamedBufferStorageEXT = epoxy_glNamedBufferStorageEXT_global_rewrite_ptr;

PUBLIC PFNGLNAMEDBUFFERSUBDATAEXTPROC epoxy_glNamedBufferSubDataEXT = epoxy_glNamedBufferSubDataEXT_global_rewrite_ptr;

PUBLIC PFNGLNAMEDCOPYBUFFERSUBDATAEXTPROC epoxy_glNamedCopyBufferSubDataEXT = epoxy_glNamedCopyBufferSubDataEXT_global_rewrite_ptr;

PUBLIC PFNGLNAMEDFRAMEBUFFERPARAMETERIEXTPROC epoxy_glNamedFramebufferParameteriEXT = epoxy_glNamedFramebufferParameteriEXT_global_rewrite_ptr;

PUBLIC PFNGLNAMEDFRAMEBUFFERRENDERBUFFEREXTPROC epoxy_glNamedFramebufferRenderbufferEXT = epoxy_glNamedFramebufferRenderbufferEXT_global_rewrite_ptr;

PUBLIC PFNGLNAMEDFRAMEBUFFERTEXTURE1DEXTPROC epoxy_glNamedFramebufferTexture1DEXT = epoxy_glNamedFramebufferTexture1DEXT_global_rewrite_ptr;

PUBLIC PFNGLNAMEDFRAMEBUFFERTEXTURE2DEXTPROC epoxy_glNamedFramebufferTexture2DEXT = epoxy_glNamedFramebufferTexture2DEXT_global_rewrite_ptr;

PUBLIC PFNGLNAMEDFRAMEBUFFERTEXTURE3DEXTPROC epoxy_glNamedFramebufferTexture3DEXT = epoxy_glNamedFramebufferTexture3DEXT_global_rewrite_ptr;

PUBLIC PFNGLNAMEDFRAMEBUFFERTEXTUREEXTPROC epoxy_glNamedFramebufferTextureEXT = epoxy_glNamedFramebufferTextureEXT_global_rewrite_ptr;

PUBLIC PFNGLNAMEDFRAMEBUFFERTEXTUREFACEEXTPROC epoxy_glNamedFramebufferTextureFaceEXT = epoxy_glNamedFramebufferTextureFaceEXT_global_rewrite_ptr;

PUBLIC PFNGLNAMEDFRAMEBUFFERTEXTURELAYEREXTPROC epoxy_glNamedFramebufferTextureLayerEXT = epoxy_glNamedFramebufferTextureLayerEXT_global_rewrite_ptr;

PUBLIC PFNGLNAMEDPROGRAMLOCALPARAMETER4DEXTPROC epoxy_glNamedProgramLocalParameter4dEXT = epoxy_glNamedProgramLocalParameter4dEXT_global_rewrite_ptr;

PUBLIC PFNGLNAMEDPROGRAMLOCALPARAMETER4DVEXTPROC epoxy_glNamedProgramLocalParameter4dvEXT = epoxy_glNamedProgramLocalParameter4dvEXT_global_rewrite_ptr;

PUBLIC PFNGLNAMEDPROGRAMLOCALPARAMETER4FEXTPROC epoxy_glNamedProgramLocalParameter4fEXT = epoxy_glNamedProgramLocalParameter4fEXT_global_rewrite_ptr;

PUBLIC PFNGLNAMEDPROGRAMLOCALPARAMETER4FVEXTPROC epoxy_glNamedProgramLocalParameter4fvEXT = epoxy_glNamedProgramLocalParameter4fvEXT_global_rewrite_ptr;

PUBLIC PFNGLNAMEDPROGRAMLOCALPARAMETERI4IEXTPROC epoxy_glNamedProgramLocalParameterI4iEXT = epoxy_glNamedProgramLocalParameterI4iEXT_global_rewrite_ptr;

PUBLIC PFNGLNAMEDPROGRAMLOCALPARAMETERI4IVEXTPROC epoxy_glNamedProgramLocalParameterI4ivEXT = epoxy_glNamedProgramLocalParameterI4ivEXT_global_rewrite_ptr;

PUBLIC PFNGLNAMEDPROGRAMLOCALPARAMETERI4UIEXTPROC epoxy_glNamedProgramLocalParameterI4uiEXT = epoxy_glNamedProgramLocalParameterI4uiEXT_global_rewrite_ptr;

PUBLIC PFNGLNAMEDPROGRAMLOCALPARAMETERI4UIVEXTPROC epoxy_glNamedProgramLocalParameterI4uivEXT = epoxy_glNamedProgramLocalParameterI4uivEXT_global_rewrite_ptr;

PUBLIC PFNGLNAMEDPROGRAMLOCALPARAMETERS4FVEXTPROC epoxy_glNamedProgramLocalParameters4fvEXT = epoxy_glNamedProgramLocalParameters4fvEXT_global_rewrite_ptr;

PUBLIC PFNGLNAMEDPROGRAMLOCALPARAMETERSI4IVEXTPROC epoxy_glNamedProgramLocalParametersI4ivEXT = epoxy_glNamedProgramLocalParametersI4ivEXT_global_rewrite_ptr;

PUBLIC PFNGLNAMEDPROGRAMLOCALPARAMETERSI4UIVEXTPROC epoxy_glNamedProgramLocalParametersI4uivEXT = epoxy_glNamedProgramLocalParametersI4uivEXT_global_rewrite_ptr;

PUBLIC PFNGLNAMEDPROGRAMSTRINGEXTPROC epoxy_glNamedProgramStringEXT = epoxy_glNamedProgramStringEXT_global_rewrite_ptr;

PUBLIC PFNGLNAMEDRENDERBUFFERSTORAGEEXTPROC epoxy_glNamedRenderbufferStorageEXT = epoxy_glNamedRenderbufferStorageEXT_global_rewrite_ptr;

PUBLIC PFNGLNAMEDRENDERBUFFERSTORAGEMULTISAMPLECOVERAGEEXTPROC epoxy_glNamedRenderbufferStorageMultisampleCoverageEXT = epoxy_glNamedRenderbufferStorageMultisampleCoverageEXT_global_rewrite_ptr;

PUBLIC PFNGLNAMEDRENDERBUFFERSTORAGEMULTISAMPLEEXTPROC epoxy_glNamedRenderbufferStorageMultisampleEXT = epoxy_glNamedRenderbufferStorageMultisampleEXT_global_rewrite_ptr;

PUBLIC PFNGLNAMEDSTRINGARBPROC epoxy_glNamedStringARB = epoxy_glNamedStringARB_global_rewrite_ptr;

PUBLIC PFNGLNEWLISTPROC epoxy_glNewList = epoxy_glNewList_global_rewrite_ptr;

PUBLIC PFNGLNEWOBJECTBUFFERATIPROC epoxy_glNewObjectBufferATI = epoxy_glNewObjectBufferATI_global_rewrite_ptr;

PUBLIC PFNGLNORMAL3BPROC epoxy_glNormal3b = epoxy_glNormal3b_global_rewrite_ptr;

PUBLIC PFNGLNORMAL3BVPROC epoxy_glNormal3bv = epoxy_glNormal3bv_global_rewrite_ptr;

PUBLIC PFNGLNORMAL3DPROC epoxy_glNormal3d = epoxy_glNormal3d_global_rewrite_ptr;

PUBLIC PFNGLNORMAL3DVPROC epoxy_glNormal3dv = epoxy_glNormal3dv_global_rewrite_ptr;

PUBLIC PFNGLNORMAL3FPROC epoxy_glNormal3f = epoxy_glNormal3f_global_rewrite_ptr;

PUBLIC PFNGLNORMAL3FVERTEX3FSUNPROC epoxy_glNormal3fVertex3fSUN = epoxy_glNormal3fVertex3fSUN_global_rewrite_ptr;

PUBLIC PFNGLNORMAL3FVERTEX3FVSUNPROC epoxy_glNormal3fVertex3fvSUN = epoxy_glNormal3fVertex3fvSUN_global_rewrite_ptr;

PUBLIC PFNGLNORMAL3FVPROC epoxy_glNormal3fv = epoxy_glNormal3fv_global_rewrite_ptr;

PUBLIC PFNGLNORMAL3HNVPROC epoxy_glNormal3hNV = epoxy_glNormal3hNV_global_rewrite_ptr;

PUBLIC PFNGLNORMAL3HVNVPROC epoxy_glNormal3hvNV = epoxy_glNormal3hvNV_global_rewrite_ptr;

PUBLIC PFNGLNORMAL3IPROC epoxy_glNormal3i = epoxy_glNormal3i_global_rewrite_ptr;

PUBLIC PFNGLNORMAL3IVPROC epoxy_glNormal3iv = epoxy_glNormal3iv_global_rewrite_ptr;

PUBLIC PFNGLNORMAL3SPROC epoxy_glNormal3s = epoxy_glNormal3s_global_rewrite_ptr;

PUBLIC PFNGLNORMAL3SVPROC epoxy_glNormal3sv = epoxy_glNormal3sv_global_rewrite_ptr;

PUBLIC PFNGLNORMAL3XPROC epoxy_glNormal3x = epoxy_glNormal3x_global_rewrite_ptr;

PUBLIC PFNGLNORMAL3XOESPROC epoxy_glNormal3xOES = epoxy_glNormal3xOES_global_rewrite_ptr;

PUBLIC PFNGLNORMAL3XVOESPROC epoxy_glNormal3xvOES = epoxy_glNormal3xvOES_global_rewrite_ptr;

PUBLIC PFNGLNORMALFORMATNVPROC epoxy_glNormalFormatNV = epoxy_glNormalFormatNV_global_rewrite_ptr;

PUBLIC PFNGLNORMALP3UIPROC epoxy_glNormalP3ui = epoxy_glNormalP3ui_global_rewrite_ptr;

PUBLIC PFNGLNORMALP3UIVPROC epoxy_glNormalP3uiv = epoxy_glNormalP3uiv_global_rewrite_ptr;

PUBLIC PFNGLNORMALPOINTERPROC epoxy_glNormalPointer = epoxy_glNormalPointer_global_rewrite_ptr;

PUBLIC PFNGLNORMALPOINTEREXTPROC epoxy_glNormalPointerEXT = epoxy_glNormalPointerEXT_global_rewrite_ptr;

PUBLIC PFNGLNORMALPOINTERLISTIBMPROC epoxy_glNormalPointerListIBM = epoxy_glNormalPointerListIBM_global_rewrite_ptr;

PUBLIC PFNGLNORMALPOINTERVINTELPROC epoxy_glNormalPointervINTEL = epoxy_glNormalPointervINTEL_global_rewrite_ptr;

PUBLIC PFNGLNORMALSTREAM3BATIPROC epoxy_glNormalStream3bATI = epoxy_glNormalStream3bATI_global_rewrite_ptr;

PUBLIC PFNGLNORMALSTREAM3BVATIPROC epoxy_glNormalStream3bvATI = epoxy_glNormalStream3bvATI_global_rewrite_ptr;

PUBLIC PFNGLNORMALSTREAM3DATIPROC epoxy_glNormalStream3dATI = epoxy_glNormalStream3dATI_global_rewrite_ptr;

PUBLIC PFNGLNORMALSTREAM3DVATIPROC epoxy_glNormalStream3dvATI = epoxy_glNormalStream3dvATI_global_rewrite_ptr;

PUBLIC PFNGLNORMALSTREAM3FATIPROC epoxy_glNormalStream3fATI = epoxy_glNormalStream3fATI_global_rewrite_ptr;

PUBLIC PFNGLNORMALSTREAM3FVATIPROC epoxy_glNormalStream3fvATI = epoxy_glNormalStream3fvATI_global_rewrite_ptr;

PUBLIC PFNGLNORMALSTREAM3IATIPROC epoxy_glNormalStream3iATI = epoxy_glNormalStream3iATI_global_rewrite_ptr;

PUBLIC PFNGLNORMALSTREAM3IVATIPROC epoxy_glNormalStream3ivATI = epoxy_glNormalStream3ivATI_global_rewrite_ptr;

PUBLIC PFNGLNORMALSTREAM3SATIPROC epoxy_glNormalStream3sATI = epoxy_glNormalStream3sATI_global_rewrite_ptr;

PUBLIC PFNGLNORMALSTREAM3SVATIPROC epoxy_glNormalStream3svATI = epoxy_glNormalStream3svATI_global_rewrite_ptr;

PUBLIC PFNGLOBJECTLABELPROC epoxy_glObjectLabel = epoxy_glObjectLabel_global_rewrite_ptr;

PUBLIC PFNGLOBJECTLABELKHRPROC epoxy_glObjectLabelKHR = epoxy_glObjectLabelKHR_global_rewrite_ptr;

PUBLIC PFNGLOBJECTPTRLABELPROC epoxy_glObjectPtrLabel = epoxy_glObjectPtrLabel_global_rewrite_ptr;

PUBLIC PFNGLOBJECTPTRLABELKHRPROC epoxy_glObjectPtrLabelKHR = epoxy_glObjectPtrLabelKHR_global_rewrite_ptr;

PUBLIC PFNGLOBJECTPURGEABLEAPPLEPROC epoxy_glObjectPurgeableAPPLE = epoxy_glObjectPurgeableAPPLE_global_rewrite_ptr;

PUBLIC PFNGLOBJECTUNPURGEABLEAPPLEPROC epoxy_glObjectUnpurgeableAPPLE = epoxy_glObjectUnpurgeableAPPLE_global_rewrite_ptr;

PUBLIC PFNGLORTHOPROC epoxy_glOrtho = epoxy_glOrtho_global_rewrite_ptr;

PUBLIC PFNGLORTHOFPROC epoxy_glOrthof = epoxy_glOrthof_global_rewrite_ptr;

PUBLIC PFNGLORTHOFOESPROC epoxy_glOrthofOES = epoxy_glOrthofOES_global_rewrite_ptr;

PUBLIC PFNGLORTHOXPROC epoxy_glOrthox = epoxy_glOrthox_global_rewrite_ptr;

PUBLIC PFNGLORTHOXOESPROC epoxy_glOrthoxOES = epoxy_glOrthoxOES_global_rewrite_ptr;

PUBLIC PFNGLPNTRIANGLESFATIPROC epoxy_glPNTrianglesfATI = epoxy_glPNTrianglesfATI_global_rewrite_ptr;

PUBLIC PFNGLPNTRIANGLESIATIPROC epoxy_glPNTrianglesiATI = epoxy_glPNTrianglesiATI_global_rewrite_ptr;

PUBLIC PFNGLPASSTEXCOORDATIPROC epoxy_glPassTexCoordATI = epoxy_glPassTexCoordATI_global_rewrite_ptr;

PUBLIC PFNGLPASSTHROUGHPROC epoxy_glPassThrough = epoxy_glPassThrough_global_rewrite_ptr;

PUBLIC PFNGLPASSTHROUGHXOESPROC epoxy_glPassThroughxOES = epoxy_glPassThroughxOES_global_rewrite_ptr;

PUBLIC PFNGLPATCHPARAMETERFVPROC epoxy_glPatchParameterfv = epoxy_glPatchParameterfv_global_rewrite_ptr;

PUBLIC PFNGLPATCHPARAMETERIPROC epoxy_glPatchParameteri = epoxy_glPatchParameteri_global_rewrite_ptr;

PUBLIC PFNGLPATHCOLORGENNVPROC epoxy_glPathColorGenNV = epoxy_glPathColorGenNV_global_rewrite_ptr;

PUBLIC PFNGLPATHCOMMANDSNVPROC epoxy_glPathCommandsNV = epoxy_glPathCommandsNV_global_rewrite_ptr;

PUBLIC PFNGLPATHCOORDSNVPROC epoxy_glPathCoordsNV = epoxy_glPathCoordsNV_global_rewrite_ptr;

PUBLIC PFNGLPATHCOVERDEPTHFUNCNVPROC epoxy_glPathCoverDepthFuncNV = epoxy_glPathCoverDepthFuncNV_global_rewrite_ptr;

PUBLIC PFNGLPATHDASHARRAYNVPROC epoxy_glPathDashArrayNV = epoxy_glPathDashArrayNV_global_rewrite_ptr;

PUBLIC PFNGLPATHFOGGENNVPROC epoxy_glPathFogGenNV = epoxy_glPathFogGenNV_global_rewrite_ptr;

PUBLIC PFNGLPATHGLYPHRANGENVPROC epoxy_glPathGlyphRangeNV = epoxy_glPathGlyphRangeNV_global_rewrite_ptr;

PUBLIC PFNGLPATHGLYPHSNVPROC epoxy_glPathGlyphsNV = epoxy_glPathGlyphsNV_global_rewrite_ptr;

PUBLIC PFNGLPATHPARAMETERFNVPROC epoxy_glPathParameterfNV = epoxy_glPathParameterfNV_global_rewrite_ptr;

PUBLIC PFNGLPATHPARAMETERFVNVPROC epoxy_glPathParameterfvNV = epoxy_glPathParameterfvNV_global_rewrite_ptr;

PUBLIC PFNGLPATHPARAMETERINVPROC epoxy_glPathParameteriNV = epoxy_glPathParameteriNV_global_rewrite_ptr;

PUBLIC PFNGLPATHPARAMETERIVNVPROC epoxy_glPathParameterivNV = epoxy_glPathParameterivNV_global_rewrite_ptr;

PUBLIC PFNGLPATHSTENCILDEPTHOFFSETNVPROC epoxy_glPathStencilDepthOffsetNV = epoxy_glPathStencilDepthOffsetNV_global_rewrite_ptr;

PUBLIC PFNGLPATHSTENCILFUNCNVPROC epoxy_glPathStencilFuncNV = epoxy_glPathStencilFuncNV_global_rewrite_ptr;

PUBLIC PFNGLPATHSTRINGNVPROC epoxy_glPathStringNV = epoxy_glPathStringNV_global_rewrite_ptr;

PUBLIC PFNGLPATHSUBCOMMANDSNVPROC epoxy_glPathSubCommandsNV = epoxy_glPathSubCommandsNV_global_rewrite_ptr;

PUBLIC PFNGLPATHSUBCOORDSNVPROC epoxy_glPathSubCoordsNV = epoxy_glPathSubCoordsNV_global_rewrite_ptr;

PUBLIC PFNGLPATHTEXGENNVPROC epoxy_glPathTexGenNV = epoxy_glPathTexGenNV_global_rewrite_ptr;

PUBLIC PFNGLPAUSETRANSFORMFEEDBACKPROC epoxy_glPauseTransformFeedback = epoxy_glPauseTransformFeedback_global_rewrite_ptr;

PUBLIC PFNGLPAUSETRANSFORMFEEDBACKNVPROC epoxy_glPauseTransformFeedbackNV = epoxy_glPauseTransformFeedbackNV_global_rewrite_ptr;

PUBLIC PFNGLPIXELDATARANGENVPROC epoxy_glPixelDataRangeNV = epoxy_glPixelDataRangeNV_global_rewrite_ptr;

PUBLIC PFNGLPIXELMAPFVPROC epoxy_glPixelMapfv = epoxy_glPixelMapfv_global_rewrite_ptr;

PUBLIC PFNGLPIXELMAPUIVPROC epoxy_glPixelMapuiv = epoxy_glPixelMapuiv_global_rewrite_ptr;

PUBLIC PFNGLPIXELMAPUSVPROC epoxy_glPixelMapusv = epoxy_glPixelMapusv_global_rewrite_ptr;

PUBLIC PFNGLPIXELMAPXPROC epoxy_glPixelMapx = epoxy_glPixelMapx_global_rewrite_ptr;

PUBLIC PFNGLPIXELSTOREFPROC epoxy_glPixelStoref = epoxy_glPixelStoref_global_rewrite_ptr;

PUBLIC PFNGLPIXELSTOREIPROC epoxy_glPixelStorei = epoxy_glPixelStorei_global_rewrite_ptr;

PUBLIC PFNGLPIXELSTOREXPROC epoxy_glPixelStorex = epoxy_glPixelStorex_global_rewrite_ptr;

PUBLIC PFNGLPIXELTEXGENPARAMETERFSGISPROC epoxy_glPixelTexGenParameterfSGIS = epoxy_glPixelTexGenParameterfSGIS_global_rewrite_ptr;

PUBLIC PFNGLPIXELTEXGENPARAMETERFVSGISPROC epoxy_glPixelTexGenParameterfvSGIS = epoxy_glPixelTexGenParameterfvSGIS_global_rewrite_ptr;

PUBLIC PFNGLPIXELTEXGENPARAMETERISGISPROC epoxy_glPixelTexGenParameteriSGIS = epoxy_glPixelTexGenParameteriSGIS_global_rewrite_ptr;

PUBLIC PFNGLPIXELTEXGENPARAMETERIVSGISPROC epoxy_glPixelTexGenParameterivSGIS = epoxy_glPixelTexGenParameterivSGIS_global_rewrite_ptr;

PUBLIC PFNGLPIXELTEXGENSGIXPROC epoxy_glPixelTexGenSGIX = epoxy_glPixelTexGenSGIX_global_rewrite_ptr;

PUBLIC PFNGLPIXELTRANSFERFPROC epoxy_glPixelTransferf = epoxy_glPixelTransferf_global_rewrite_ptr;

PUBLIC PFNGLPIXELTRANSFERIPROC epoxy_glPixelTransferi = epoxy_glPixelTransferi_global_rewrite_ptr;

PUBLIC PFNGLPIXELTRANSFERXOESPROC epoxy_glPixelTransferxOES = epoxy_glPixelTransferxOES_global_rewrite_ptr;

PUBLIC PFNGLPIXELTRANSFORMPARAMETERFEXTPROC epoxy_glPixelTransformParameterfEXT = epoxy_glPixelTransformParameterfEXT_global_rewrite_ptr;

PUBLIC PFNGLPIXELTRANSFORMPARAMETERFVEXTPROC epoxy_glPixelTransformParameterfvEXT = epoxy_glPixelTransformParameterfvEXT_global_rewrite_ptr;

PUBLIC PFNGLPIXELTRANSFORMPARAMETERIEXTPROC epoxy_glPixelTransformParameteriEXT = epoxy_glPixelTransformParameteriEXT_global_rewrite_ptr;

PUBLIC PFNGLPIXELTRANSFORMPARAMETERIVEXTPROC epoxy_glPixelTransformParameterivEXT = epoxy_glPixelTransformParameterivEXT_global_rewrite_ptr;

PUBLIC PFNGLPIXELZOOMPROC epoxy_glPixelZoom = epoxy_glPixelZoom_global_rewrite_ptr;

PUBLIC PFNGLPIXELZOOMXOESPROC epoxy_glPixelZoomxOES = epoxy_glPixelZoomxOES_global_rewrite_ptr;

PUBLIC PFNGLPOINTALONGPATHNVPROC epoxy_glPointAlongPathNV = epoxy_glPointAlongPathNV_global_rewrite_ptr;

PUBLIC PFNGLPOINTPARAMETERFPROC epoxy_glPointParameterf = epoxy_glPointParameterf_global_rewrite_ptr;

PUBLIC PFNGLPOINTPARAMETERFARBPROC epoxy_glPointParameterfARB = epoxy_glPointParameterfARB_global_rewrite_ptr;

PUBLIC PFNGLPOINTPARAMETERFEXTPROC epoxy_glPointParameterfEXT = epoxy_glPointParameterfEXT_global_rewrite_ptr;

PUBLIC PFNGLPOINTPARAMETERFSGISPROC epoxy_glPointParameterfSGIS = epoxy_glPointParameterfSGIS_global_rewrite_ptr;

PUBLIC PFNGLPOINTPARAMETERFVPROC epoxy_glPointParameterfv = epoxy_glPointParameterfv_global_rewrite_ptr;

PUBLIC PFNGLPOINTPARAMETERFVARBPROC epoxy_glPointParameterfvARB = epoxy_glPointParameterfvARB_global_rewrite_ptr;

PUBLIC PFNGLPOINTPARAMETERFVEXTPROC epoxy_glPointParameterfvEXT = epoxy_glPointParameterfvEXT_global_rewrite_ptr;

PUBLIC PFNGLPOINTPARAMETERFVSGISPROC epoxy_glPointParameterfvSGIS = epoxy_glPointParameterfvSGIS_global_rewrite_ptr;

PUBLIC PFNGLPOINTPARAMETERIPROC epoxy_glPointParameteri = epoxy_glPointParameteri_global_rewrite_ptr;

PUBLIC PFNGLPOINTPARAMETERINVPROC epoxy_glPointParameteriNV = epoxy_glPointParameteriNV_global_rewrite_ptr;

PUBLIC PFNGLPOINTPARAMETERIVPROC epoxy_glPointParameteriv = epoxy_glPointParameteriv_global_rewrite_ptr;

PUBLIC PFNGLPOINTPARAMETERIVNVPROC epoxy_glPointParameterivNV = epoxy_glPointParameterivNV_global_rewrite_ptr;

PUBLIC PFNGLPOINTPARAMETERXPROC epoxy_glPointParameterx = epoxy_glPointParameterx_global_rewrite_ptr;

PUBLIC PFNGLPOINTPARAMETERXOESPROC epoxy_glPointParameterxOES = epoxy_glPointParameterxOES_global_rewrite_ptr;

PUBLIC PFNGLPOINTPARAMETERXVPROC epoxy_glPointParameterxv = epoxy_glPointParameterxv_global_rewrite_ptr;

PUBLIC PFNGLPOINTPARAMETERXVOESPROC epoxy_glPointParameterxvOES = epoxy_glPointParameterxvOES_global_rewrite_ptr;

PUBLIC PFNGLPOINTSIZEPROC epoxy_glPointSize = epoxy_glPointSize_global_rewrite_ptr;

PUBLIC PFNGLPOINTSIZEPOINTEROESPROC epoxy_glPointSizePointerOES = epoxy_glPointSizePointerOES_global_rewrite_ptr;

PUBLIC PFNGLPOINTSIZEXPROC epoxy_glPointSizex = epoxy_glPointSizex_global_rewrite_ptr;

PUBLIC PFNGLPOINTSIZEXOESPROC epoxy_glPointSizexOES = epoxy_glPointSizexOES_global_rewrite_ptr;

PUBLIC PFNGLPOLLASYNCSGIXPROC epoxy_glPollAsyncSGIX = epoxy_glPollAsyncSGIX_global_rewrite_ptr;

PUBLIC PFNGLPOLLINSTRUMENTSSGIXPROC epoxy_glPollInstrumentsSGIX = epoxy_glPollInstrumentsSGIX_global_rewrite_ptr;

PUBLIC PFNGLPOLYGONMODEPROC epoxy_glPolygonMode = epoxy_glPolygonMode_global_rewrite_ptr;

PUBLIC PFNGLPOLYGONOFFSETPROC epoxy_glPolygonOffset = epoxy_glPolygonOffset_global_rewrite_ptr;

PUBLIC PFNGLPOLYGONOFFSETEXTPROC epoxy_glPolygonOffsetEXT = epoxy_glPolygonOffsetEXT_global_rewrite_ptr;

PUBLIC PFNGLPOLYGONOFFSETXPROC epoxy_glPolygonOffsetx = epoxy_glPolygonOffsetx_global_rewrite_ptr;

PUBLIC PFNGLPOLYGONOFFSETXOESPROC epoxy_glPolygonOffsetxOES = epoxy_glPolygonOffsetxOES_global_rewrite_ptr;

PUBLIC PFNGLPOLYGONSTIPPLEPROC epoxy_glPolygonStipple = epoxy_glPolygonStipple_global_rewrite_ptr;

PUBLIC PFNGLPOPATTRIBPROC epoxy_glPopAttrib = epoxy_glPopAttrib_global_rewrite_ptr;

PUBLIC PFNGLPOPCLIENTATTRIBPROC epoxy_glPopClientAttrib = epoxy_glPopClientAttrib_global_rewrite_ptr;

PUBLIC PFNGLPOPDEBUGGROUPPROC epoxy_glPopDebugGroup = epoxy_glPopDebugGroup_global_rewrite_ptr;

PUBLIC PFNGLPOPDEBUGGROUPKHRPROC epoxy_glPopDebugGroupKHR = epoxy_glPopDebugGroupKHR_global_rewrite_ptr;

PUBLIC PFNGLPOPGROUPMARKEREXTPROC epoxy_glPopGroupMarkerEXT = epoxy_glPopGroupMarkerEXT_global_rewrite_ptr;

PUBLIC PFNGLPOPMATRIXPROC epoxy_glPopMatrix = epoxy_glPopMatrix_global_rewrite_ptr;

PUBLIC PFNGLPOPNAMEPROC epoxy_glPopName = epoxy_glPopName_global_rewrite_ptr;

PUBLIC PFNGLPRESENTFRAMEDUALFILLNVPROC epoxy_glPresentFrameDualFillNV = epoxy_glPresentFrameDualFillNV_global_rewrite_ptr;

PUBLIC PFNGLPRESENTFRAMEKEYEDNVPROC epoxy_glPresentFrameKeyedNV = epoxy_glPresentFrameKeyedNV_global_rewrite_ptr;

PUBLIC PFNGLPRIMITIVERESTARTINDEXPROC epoxy_glPrimitiveRestartIndex = epoxy_glPrimitiveRestartIndex_global_rewrite_ptr;

PUBLIC PFNGLPRIMITIVERESTARTINDEXNVPROC epoxy_glPrimitiveRestartIndexNV = epoxy_glPrimitiveRestartIndexNV_global_rewrite_ptr;

PUBLIC PFNGLPRIMITIVERESTARTNVPROC epoxy_glPrimitiveRestartNV = epoxy_glPrimitiveRestartNV_global_rewrite_ptr;

PUBLIC PFNGLPRIORITIZETEXTURESPROC epoxy_glPrioritizeTextures = epoxy_glPrioritizeTextures_global_rewrite_ptr;

PUBLIC PFNGLPRIORITIZETEXTURESEXTPROC epoxy_glPrioritizeTexturesEXT = epoxy_glPrioritizeTexturesEXT_global_rewrite_ptr;

PUBLIC PFNGLPRIORITIZETEXTURESXOESPROC epoxy_glPrioritizeTexturesxOES = epoxy_glPrioritizeTexturesxOES_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMBINARYPROC epoxy_glProgramBinary = epoxy_glProgramBinary_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMBINARYOESPROC epoxy_glProgramBinaryOES = epoxy_glProgramBinaryOES_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMBUFFERPARAMETERSIIVNVPROC epoxy_glProgramBufferParametersIivNV = epoxy_glProgramBufferParametersIivNV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMBUFFERPARAMETERSIUIVNVPROC epoxy_glProgramBufferParametersIuivNV = epoxy_glProgramBufferParametersIuivNV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMBUFFERPARAMETERSFVNVPROC epoxy_glProgramBufferParametersfvNV = epoxy_glProgramBufferParametersfvNV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMENVPARAMETER4DARBPROC epoxy_glProgramEnvParameter4dARB = epoxy_glProgramEnvParameter4dARB_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMENVPARAMETER4DVARBPROC epoxy_glProgramEnvParameter4dvARB = epoxy_glProgramEnvParameter4dvARB_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMENVPARAMETER4FARBPROC epoxy_glProgramEnvParameter4fARB = epoxy_glProgramEnvParameter4fARB_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMENVPARAMETER4FVARBPROC epoxy_glProgramEnvParameter4fvARB = epoxy_glProgramEnvParameter4fvARB_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMENVPARAMETERI4INVPROC epoxy_glProgramEnvParameterI4iNV = epoxy_glProgramEnvParameterI4iNV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMENVPARAMETERI4IVNVPROC epoxy_glProgramEnvParameterI4ivNV = epoxy_glProgramEnvParameterI4ivNV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMENVPARAMETERI4UINVPROC epoxy_glProgramEnvParameterI4uiNV = epoxy_glProgramEnvParameterI4uiNV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMENVPARAMETERI4UIVNVPROC epoxy_glProgramEnvParameterI4uivNV = epoxy_glProgramEnvParameterI4uivNV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMENVPARAMETERS4FVEXTPROC epoxy_glProgramEnvParameters4fvEXT = epoxy_glProgramEnvParameters4fvEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMENVPARAMETERSI4IVNVPROC epoxy_glProgramEnvParametersI4ivNV = epoxy_glProgramEnvParametersI4ivNV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMENVPARAMETERSI4UIVNVPROC epoxy_glProgramEnvParametersI4uivNV = epoxy_glProgramEnvParametersI4uivNV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMLOCALPARAMETER4DARBPROC epoxy_glProgramLocalParameter4dARB = epoxy_glProgramLocalParameter4dARB_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMLOCALPARAMETER4DVARBPROC epoxy_glProgramLocalParameter4dvARB = epoxy_glProgramLocalParameter4dvARB_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMLOCALPARAMETER4FARBPROC epoxy_glProgramLocalParameter4fARB = epoxy_glProgramLocalParameter4fARB_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMLOCALPARAMETER4FVARBPROC epoxy_glProgramLocalParameter4fvARB = epoxy_glProgramLocalParameter4fvARB_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMLOCALPARAMETERI4INVPROC epoxy_glProgramLocalParameterI4iNV = epoxy_glProgramLocalParameterI4iNV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMLOCALPARAMETERI4IVNVPROC epoxy_glProgramLocalParameterI4ivNV = epoxy_glProgramLocalParameterI4ivNV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMLOCALPARAMETERI4UINVPROC epoxy_glProgramLocalParameterI4uiNV = epoxy_glProgramLocalParameterI4uiNV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMLOCALPARAMETERI4UIVNVPROC epoxy_glProgramLocalParameterI4uivNV = epoxy_glProgramLocalParameterI4uivNV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMLOCALPARAMETERS4FVEXTPROC epoxy_glProgramLocalParameters4fvEXT = epoxy_glProgramLocalParameters4fvEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMLOCALPARAMETERSI4IVNVPROC epoxy_glProgramLocalParametersI4ivNV = epoxy_glProgramLocalParametersI4ivNV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMLOCALPARAMETERSI4UIVNVPROC epoxy_glProgramLocalParametersI4uivNV = epoxy_glProgramLocalParametersI4uivNV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMNAMEDPARAMETER4DNVPROC epoxy_glProgramNamedParameter4dNV = epoxy_glProgramNamedParameter4dNV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMNAMEDPARAMETER4DVNVPROC epoxy_glProgramNamedParameter4dvNV = epoxy_glProgramNamedParameter4dvNV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMNAMEDPARAMETER4FNVPROC epoxy_glProgramNamedParameter4fNV = epoxy_glProgramNamedParameter4fNV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMNAMEDPARAMETER4FVNVPROC epoxy_glProgramNamedParameter4fvNV = epoxy_glProgramNamedParameter4fvNV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMPARAMETER4DNVPROC epoxy_glProgramParameter4dNV = epoxy_glProgramParameter4dNV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMPARAMETER4DVNVPROC epoxy_glProgramParameter4dvNV = epoxy_glProgramParameter4dvNV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMPARAMETER4FNVPROC epoxy_glProgramParameter4fNV = epoxy_glProgramParameter4fNV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMPARAMETER4FVNVPROC epoxy_glProgramParameter4fvNV = epoxy_glProgramParameter4fvNV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMPARAMETERIPROC epoxy_glProgramParameteri = epoxy_glProgramParameteri_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMPARAMETERIARBPROC epoxy_glProgramParameteriARB = epoxy_glProgramParameteriARB_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMPARAMETERIEXTPROC epoxy_glProgramParameteriEXT = epoxy_glProgramParameteriEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMPARAMETERS4DVNVPROC epoxy_glProgramParameters4dvNV = epoxy_glProgramParameters4dvNV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMPARAMETERS4FVNVPROC epoxy_glProgramParameters4fvNV = epoxy_glProgramParameters4fvNV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMSTRINGARBPROC epoxy_glProgramStringARB = epoxy_glProgramStringARB_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMSUBROUTINEPARAMETERSUIVNVPROC epoxy_glProgramSubroutineParametersuivNV = epoxy_glProgramSubroutineParametersuivNV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM1DPROC epoxy_glProgramUniform1d = epoxy_glProgramUniform1d_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM1DEXTPROC epoxy_glProgramUniform1dEXT = epoxy_glProgramUniform1dEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM1DVPROC epoxy_glProgramUniform1dv = epoxy_glProgramUniform1dv_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM1DVEXTPROC epoxy_glProgramUniform1dvEXT = epoxy_glProgramUniform1dvEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM1FPROC epoxy_glProgramUniform1f = epoxy_glProgramUniform1f_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM1FEXTPROC epoxy_glProgramUniform1fEXT = epoxy_glProgramUniform1fEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM1FVPROC epoxy_glProgramUniform1fv = epoxy_glProgramUniform1fv_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM1FVEXTPROC epoxy_glProgramUniform1fvEXT = epoxy_glProgramUniform1fvEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM1IPROC epoxy_glProgramUniform1i = epoxy_glProgramUniform1i_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM1I64NVPROC epoxy_glProgramUniform1i64NV = epoxy_glProgramUniform1i64NV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM1I64VNVPROC epoxy_glProgramUniform1i64vNV = epoxy_glProgramUniform1i64vNV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM1IEXTPROC epoxy_glProgramUniform1iEXT = epoxy_glProgramUniform1iEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM1IVPROC epoxy_glProgramUniform1iv = epoxy_glProgramUniform1iv_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM1IVEXTPROC epoxy_glProgramUniform1ivEXT = epoxy_glProgramUniform1ivEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM1UIPROC epoxy_glProgramUniform1ui = epoxy_glProgramUniform1ui_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM1UI64NVPROC epoxy_glProgramUniform1ui64NV = epoxy_glProgramUniform1ui64NV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM1UI64VNVPROC epoxy_glProgramUniform1ui64vNV = epoxy_glProgramUniform1ui64vNV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM1UIEXTPROC epoxy_glProgramUniform1uiEXT = epoxy_glProgramUniform1uiEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM1UIVPROC epoxy_glProgramUniform1uiv = epoxy_glProgramUniform1uiv_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM1UIVEXTPROC epoxy_glProgramUniform1uivEXT = epoxy_glProgramUniform1uivEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM2DPROC epoxy_glProgramUniform2d = epoxy_glProgramUniform2d_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM2DEXTPROC epoxy_glProgramUniform2dEXT = epoxy_glProgramUniform2dEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM2DVPROC epoxy_glProgramUniform2dv = epoxy_glProgramUniform2dv_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM2DVEXTPROC epoxy_glProgramUniform2dvEXT = epoxy_glProgramUniform2dvEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM2FPROC epoxy_glProgramUniform2f = epoxy_glProgramUniform2f_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM2FEXTPROC epoxy_glProgramUniform2fEXT = epoxy_glProgramUniform2fEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM2FVPROC epoxy_glProgramUniform2fv = epoxy_glProgramUniform2fv_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM2FVEXTPROC epoxy_glProgramUniform2fvEXT = epoxy_glProgramUniform2fvEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM2IPROC epoxy_glProgramUniform2i = epoxy_glProgramUniform2i_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM2I64NVPROC epoxy_glProgramUniform2i64NV = epoxy_glProgramUniform2i64NV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM2I64VNVPROC epoxy_glProgramUniform2i64vNV = epoxy_glProgramUniform2i64vNV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM2IEXTPROC epoxy_glProgramUniform2iEXT = epoxy_glProgramUniform2iEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM2IVPROC epoxy_glProgramUniform2iv = epoxy_glProgramUniform2iv_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM2IVEXTPROC epoxy_glProgramUniform2ivEXT = epoxy_glProgramUniform2ivEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM2UIPROC epoxy_glProgramUniform2ui = epoxy_glProgramUniform2ui_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM2UI64NVPROC epoxy_glProgramUniform2ui64NV = epoxy_glProgramUniform2ui64NV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM2UI64VNVPROC epoxy_glProgramUniform2ui64vNV = epoxy_glProgramUniform2ui64vNV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM2UIEXTPROC epoxy_glProgramUniform2uiEXT = epoxy_glProgramUniform2uiEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM2UIVPROC epoxy_glProgramUniform2uiv = epoxy_glProgramUniform2uiv_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM2UIVEXTPROC epoxy_glProgramUniform2uivEXT = epoxy_glProgramUniform2uivEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM3DPROC epoxy_glProgramUniform3d = epoxy_glProgramUniform3d_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM3DEXTPROC epoxy_glProgramUniform3dEXT = epoxy_glProgramUniform3dEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM3DVPROC epoxy_glProgramUniform3dv = epoxy_glProgramUniform3dv_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM3DVEXTPROC epoxy_glProgramUniform3dvEXT = epoxy_glProgramUniform3dvEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM3FPROC epoxy_glProgramUniform3f = epoxy_glProgramUniform3f_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM3FEXTPROC epoxy_glProgramUniform3fEXT = epoxy_glProgramUniform3fEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM3FVPROC epoxy_glProgramUniform3fv = epoxy_glProgramUniform3fv_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM3FVEXTPROC epoxy_glProgramUniform3fvEXT = epoxy_glProgramUniform3fvEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM3IPROC epoxy_glProgramUniform3i = epoxy_glProgramUniform3i_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM3I64NVPROC epoxy_glProgramUniform3i64NV = epoxy_glProgramUniform3i64NV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM3I64VNVPROC epoxy_glProgramUniform3i64vNV = epoxy_glProgramUniform3i64vNV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM3IEXTPROC epoxy_glProgramUniform3iEXT = epoxy_glProgramUniform3iEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM3IVPROC epoxy_glProgramUniform3iv = epoxy_glProgramUniform3iv_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM3IVEXTPROC epoxy_glProgramUniform3ivEXT = epoxy_glProgramUniform3ivEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM3UIPROC epoxy_glProgramUniform3ui = epoxy_glProgramUniform3ui_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM3UI64NVPROC epoxy_glProgramUniform3ui64NV = epoxy_glProgramUniform3ui64NV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM3UI64VNVPROC epoxy_glProgramUniform3ui64vNV = epoxy_glProgramUniform3ui64vNV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM3UIEXTPROC epoxy_glProgramUniform3uiEXT = epoxy_glProgramUniform3uiEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM3UIVPROC epoxy_glProgramUniform3uiv = epoxy_glProgramUniform3uiv_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM3UIVEXTPROC epoxy_glProgramUniform3uivEXT = epoxy_glProgramUniform3uivEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM4DPROC epoxy_glProgramUniform4d = epoxy_glProgramUniform4d_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM4DEXTPROC epoxy_glProgramUniform4dEXT = epoxy_glProgramUniform4dEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM4DVPROC epoxy_glProgramUniform4dv = epoxy_glProgramUniform4dv_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM4DVEXTPROC epoxy_glProgramUniform4dvEXT = epoxy_glProgramUniform4dvEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM4FPROC epoxy_glProgramUniform4f = epoxy_glProgramUniform4f_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM4FEXTPROC epoxy_glProgramUniform4fEXT = epoxy_glProgramUniform4fEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM4FVPROC epoxy_glProgramUniform4fv = epoxy_glProgramUniform4fv_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM4FVEXTPROC epoxy_glProgramUniform4fvEXT = epoxy_glProgramUniform4fvEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM4IPROC epoxy_glProgramUniform4i = epoxy_glProgramUniform4i_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM4I64NVPROC epoxy_glProgramUniform4i64NV = epoxy_glProgramUniform4i64NV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM4I64VNVPROC epoxy_glProgramUniform4i64vNV = epoxy_glProgramUniform4i64vNV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM4IEXTPROC epoxy_glProgramUniform4iEXT = epoxy_glProgramUniform4iEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM4IVPROC epoxy_glProgramUniform4iv = epoxy_glProgramUniform4iv_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM4IVEXTPROC epoxy_glProgramUniform4ivEXT = epoxy_glProgramUniform4ivEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM4UIPROC epoxy_glProgramUniform4ui = epoxy_glProgramUniform4ui_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM4UI64NVPROC epoxy_glProgramUniform4ui64NV = epoxy_glProgramUniform4ui64NV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM4UI64VNVPROC epoxy_glProgramUniform4ui64vNV = epoxy_glProgramUniform4ui64vNV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM4UIEXTPROC epoxy_glProgramUniform4uiEXT = epoxy_glProgramUniform4uiEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM4UIVPROC epoxy_glProgramUniform4uiv = epoxy_glProgramUniform4uiv_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORM4UIVEXTPROC epoxy_glProgramUniform4uivEXT = epoxy_glProgramUniform4uivEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMHANDLEUI64ARBPROC epoxy_glProgramUniformHandleui64ARB = epoxy_glProgramUniformHandleui64ARB_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMHANDLEUI64NVPROC epoxy_glProgramUniformHandleui64NV = epoxy_glProgramUniformHandleui64NV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMHANDLEUI64VARBPROC epoxy_glProgramUniformHandleui64vARB = epoxy_glProgramUniformHandleui64vARB_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMHANDLEUI64VNVPROC epoxy_glProgramUniformHandleui64vNV = epoxy_glProgramUniformHandleui64vNV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX2DVPROC epoxy_glProgramUniformMatrix2dv = epoxy_glProgramUniformMatrix2dv_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX2DVEXTPROC epoxy_glProgramUniformMatrix2dvEXT = epoxy_glProgramUniformMatrix2dvEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX2FVPROC epoxy_glProgramUniformMatrix2fv = epoxy_glProgramUniformMatrix2fv_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX2FVEXTPROC epoxy_glProgramUniformMatrix2fvEXT = epoxy_glProgramUniformMatrix2fvEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX2X3DVPROC epoxy_glProgramUniformMatrix2x3dv = epoxy_glProgramUniformMatrix2x3dv_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX2X3DVEXTPROC epoxy_glProgramUniformMatrix2x3dvEXT = epoxy_glProgramUniformMatrix2x3dvEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX2X3FVPROC epoxy_glProgramUniformMatrix2x3fv = epoxy_glProgramUniformMatrix2x3fv_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX2X3FVEXTPROC epoxy_glProgramUniformMatrix2x3fvEXT = epoxy_glProgramUniformMatrix2x3fvEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX2X4DVPROC epoxy_glProgramUniformMatrix2x4dv = epoxy_glProgramUniformMatrix2x4dv_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX2X4DVEXTPROC epoxy_glProgramUniformMatrix2x4dvEXT = epoxy_glProgramUniformMatrix2x4dvEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX2X4FVPROC epoxy_glProgramUniformMatrix2x4fv = epoxy_glProgramUniformMatrix2x4fv_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX2X4FVEXTPROC epoxy_glProgramUniformMatrix2x4fvEXT = epoxy_glProgramUniformMatrix2x4fvEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX3DVPROC epoxy_glProgramUniformMatrix3dv = epoxy_glProgramUniformMatrix3dv_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX3DVEXTPROC epoxy_glProgramUniformMatrix3dvEXT = epoxy_glProgramUniformMatrix3dvEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX3FVPROC epoxy_glProgramUniformMatrix3fv = epoxy_glProgramUniformMatrix3fv_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX3FVEXTPROC epoxy_glProgramUniformMatrix3fvEXT = epoxy_glProgramUniformMatrix3fvEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX3X2DVPROC epoxy_glProgramUniformMatrix3x2dv = epoxy_glProgramUniformMatrix3x2dv_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX3X2DVEXTPROC epoxy_glProgramUniformMatrix3x2dvEXT = epoxy_glProgramUniformMatrix3x2dvEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX3X2FVPROC epoxy_glProgramUniformMatrix3x2fv = epoxy_glProgramUniformMatrix3x2fv_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX3X2FVEXTPROC epoxy_glProgramUniformMatrix3x2fvEXT = epoxy_glProgramUniformMatrix3x2fvEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX3X4DVPROC epoxy_glProgramUniformMatrix3x4dv = epoxy_glProgramUniformMatrix3x4dv_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX3X4DVEXTPROC epoxy_glProgramUniformMatrix3x4dvEXT = epoxy_glProgramUniformMatrix3x4dvEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX3X4FVPROC epoxy_glProgramUniformMatrix3x4fv = epoxy_glProgramUniformMatrix3x4fv_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX3X4FVEXTPROC epoxy_glProgramUniformMatrix3x4fvEXT = epoxy_glProgramUniformMatrix3x4fvEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX4DVPROC epoxy_glProgramUniformMatrix4dv = epoxy_glProgramUniformMatrix4dv_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX4DVEXTPROC epoxy_glProgramUniformMatrix4dvEXT = epoxy_glProgramUniformMatrix4dvEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX4FVPROC epoxy_glProgramUniformMatrix4fv = epoxy_glProgramUniformMatrix4fv_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX4FVEXTPROC epoxy_glProgramUniformMatrix4fvEXT = epoxy_glProgramUniformMatrix4fvEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX4X2DVPROC epoxy_glProgramUniformMatrix4x2dv = epoxy_glProgramUniformMatrix4x2dv_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX4X2DVEXTPROC epoxy_glProgramUniformMatrix4x2dvEXT = epoxy_glProgramUniformMatrix4x2dvEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX4X2FVPROC epoxy_glProgramUniformMatrix4x2fv = epoxy_glProgramUniformMatrix4x2fv_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX4X2FVEXTPROC epoxy_glProgramUniformMatrix4x2fvEXT = epoxy_glProgramUniformMatrix4x2fvEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX4X3DVPROC epoxy_glProgramUniformMatrix4x3dv = epoxy_glProgramUniformMatrix4x3dv_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX4X3DVEXTPROC epoxy_glProgramUniformMatrix4x3dvEXT = epoxy_glProgramUniformMatrix4x3dvEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX4X3FVPROC epoxy_glProgramUniformMatrix4x3fv = epoxy_glProgramUniformMatrix4x3fv_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMMATRIX4X3FVEXTPROC epoxy_glProgramUniformMatrix4x3fvEXT = epoxy_glProgramUniformMatrix4x3fvEXT_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMUI64NVPROC epoxy_glProgramUniformui64NV = epoxy_glProgramUniformui64NV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMUNIFORMUI64VNVPROC epoxy_glProgramUniformui64vNV = epoxy_glProgramUniformui64vNV_global_rewrite_ptr;

PUBLIC PFNGLPROGRAMVERTEXLIMITNVPROC epoxy_glProgramVertexLimitNV = epoxy_glProgramVertexLimitNV_global_rewrite_ptr;

PUBLIC PFNGLPROVOKINGVERTEXPROC epoxy_glProvokingVertex = epoxy_glProvokingVertex_global_rewrite_ptr;

PUBLIC PFNGLPROVOKINGVERTEXEXTPROC epoxy_glProvokingVertexEXT = epoxy_glProvokingVertexEXT_global_rewrite_ptr;

PUBLIC PFNGLPUSHATTRIBPROC epoxy_glPushAttrib = epoxy_glPushAttrib_global_rewrite_ptr;

PUBLIC PFNGLPUSHCLIENTATTRIBPROC epoxy_glPushClientAttrib = epoxy_glPushClientAttrib_global_rewrite_ptr;

PUBLIC PFNGLPUSHCLIENTATTRIBDEFAULTEXTPROC epoxy_glPushClientAttribDefaultEXT = epoxy_glPushClientAttribDefaultEXT_global_rewrite_ptr;

PUBLIC PFNGLPUSHDEBUGGROUPPROC epoxy_glPushDebugGroup = epoxy_glPushDebugGroup_global_rewrite_ptr;

PUBLIC PFNGLPUSHDEBUGGROUPKHRPROC epoxy_glPushDebugGroupKHR = epoxy_glPushDebugGroupKHR_global_rewrite_ptr;

PUBLIC PFNGLPUSHGROUPMARKEREXTPROC epoxy_glPushGroupMarkerEXT = epoxy_glPushGroupMarkerEXT_global_rewrite_ptr;

PUBLIC PFNGLPUSHMATRIXPROC epoxy_glPushMatrix = epoxy_glPushMatrix_global_rewrite_ptr;

PUBLIC PFNGLPUSHNAMEPROC epoxy_glPushName = epoxy_glPushName_global_rewrite_ptr;

PUBLIC PFNGLQUERYCOUNTERPROC epoxy_glQueryCounter = epoxy_glQueryCounter_global_rewrite_ptr;

PUBLIC PFNGLQUERYCOUNTEREXTPROC epoxy_glQueryCounterEXT = epoxy_glQueryCounterEXT_global_rewrite_ptr;

PUBLIC PFNGLQUERYMATRIXXOESPROC epoxy_glQueryMatrixxOES = epoxy_glQueryMatrixxOES_global_rewrite_ptr;

PUBLIC PFNGLQUERYOBJECTPARAMETERUIAMDPROC epoxy_glQueryObjectParameteruiAMD = epoxy_glQueryObjectParameteruiAMD_global_rewrite_ptr;

PUBLIC PFNGLRASTERPOS2DPROC epoxy_glRasterPos2d = epoxy_glRasterPos2d_global_rewrite_ptr;

PUBLIC PFNGLRASTERPOS2DVPROC epoxy_glRasterPos2dv = epoxy_glRasterPos2dv_global_rewrite_ptr;

PUBLIC PFNGLRASTERPOS2FPROC epoxy_glRasterPos2f = epoxy_glRasterPos2f_global_rewrite_ptr;

PUBLIC PFNGLRASTERPOS2FVPROC epoxy_glRasterPos2fv = epoxy_glRasterPos2fv_global_rewrite_ptr;

PUBLIC PFNGLRASTERPOS2IPROC epoxy_glRasterPos2i = epoxy_glRasterPos2i_global_rewrite_ptr;

PUBLIC PFNGLRASTERPOS2IVPROC epoxy_glRasterPos2iv = epoxy_glRasterPos2iv_global_rewrite_ptr;

PUBLIC PFNGLRASTERPOS2SPROC epoxy_glRasterPos2s = epoxy_glRasterPos2s_global_rewrite_ptr;

PUBLIC PFNGLRASTERPOS2SVPROC epoxy_glRasterPos2sv = epoxy_glRasterPos2sv_global_rewrite_ptr;

PUBLIC PFNGLRASTERPOS2XOESPROC epoxy_glRasterPos2xOES = epoxy_glRasterPos2xOES_global_rewrite_ptr;

PUBLIC PFNGLRASTERPOS2XVOESPROC epoxy_glRasterPos2xvOES = epoxy_glRasterPos2xvOES_global_rewrite_ptr;

PUBLIC PFNGLRASTERPOS3DPROC epoxy_glRasterPos3d = epoxy_glRasterPos3d_global_rewrite_ptr;

PUBLIC PFNGLRASTERPOS3DVPROC epoxy_glRasterPos3dv = epoxy_glRasterPos3dv_global_rewrite_ptr;

PUBLIC PFNGLRASTERPOS3FPROC epoxy_glRasterPos3f = epoxy_glRasterPos3f_global_rewrite_ptr;

PUBLIC PFNGLRASTERPOS3FVPROC epoxy_glRasterPos3fv = epoxy_glRasterPos3fv_global_rewrite_ptr;

PUBLIC PFNGLRASTERPOS3IPROC epoxy_glRasterPos3i = epoxy_glRasterPos3i_global_rewrite_ptr;

PUBLIC PFNGLRASTERPOS3IVPROC epoxy_glRasterPos3iv = epoxy_glRasterPos3iv_global_rewrite_ptr;

PUBLIC PFNGLRASTERPOS3SPROC epoxy_glRasterPos3s = epoxy_glRasterPos3s_global_rewrite_ptr;

PUBLIC PFNGLRASTERPOS3SVPROC epoxy_glRasterPos3sv = epoxy_glRasterPos3sv_global_rewrite_ptr;

PUBLIC PFNGLRASTERPOS3XOESPROC epoxy_glRasterPos3xOES = epoxy_glRasterPos3xOES_global_rewrite_ptr;

PUBLIC PFNGLRASTERPOS3XVOESPROC epoxy_glRasterPos3xvOES = epoxy_glRasterPos3xvOES_global_rewrite_ptr;

PUBLIC PFNGLRASTERPOS4DPROC epoxy_glRasterPos4d = epoxy_glRasterPos4d_global_rewrite_ptr;

PUBLIC PFNGLRASTERPOS4DVPROC epoxy_glRasterPos4dv = epoxy_glRasterPos4dv_global_rewrite_ptr;

PUBLIC PFNGLRASTERPOS4FPROC epoxy_glRasterPos4f = epoxy_glRasterPos4f_global_rewrite_ptr;

PUBLIC PFNGLRASTERPOS4FVPROC epoxy_glRasterPos4fv = epoxy_glRasterPos4fv_global_rewrite_ptr;

PUBLIC PFNGLRASTERPOS4IPROC epoxy_glRasterPos4i = epoxy_glRasterPos4i_global_rewrite_ptr;

PUBLIC PFNGLRASTERPOS4IVPROC epoxy_glRasterPos4iv = epoxy_glRasterPos4iv_global_rewrite_ptr;

PUBLIC PFNGLRASTERPOS4SPROC epoxy_glRasterPos4s = epoxy_glRasterPos4s_global_rewrite_ptr;

PUBLIC PFNGLRASTERPOS4SVPROC epoxy_glRasterPos4sv = epoxy_glRasterPos4sv_global_rewrite_ptr;

PUBLIC PFNGLRASTERPOS4XOESPROC epoxy_glRasterPos4xOES = epoxy_glRasterPos4xOES_global_rewrite_ptr;

PUBLIC PFNGLRASTERPOS4XVOESPROC epoxy_glRasterPos4xvOES = epoxy_glRasterPos4xvOES_global_rewrite_ptr;

PUBLIC PFNGLREADBUFFERPROC epoxy_glReadBuffer = epoxy_glReadBuffer_global_rewrite_ptr;

PUBLIC PFNGLREADBUFFERINDEXEDEXTPROC epoxy_glReadBufferIndexedEXT = epoxy_glReadBufferIndexedEXT_global_rewrite_ptr;

PUBLIC PFNGLREADBUFFERNVPROC epoxy_glReadBufferNV = epoxy_glReadBufferNV_global_rewrite_ptr;

PUBLIC PFNGLREADINSTRUMENTSSGIXPROC epoxy_glReadInstrumentsSGIX = epoxy_glReadInstrumentsSGIX_global_rewrite_ptr;

PUBLIC PFNGLREADPIXELSPROC epoxy_glReadPixels = epoxy_glReadPixels_global_rewrite_ptr;

PUBLIC PFNGLREADNPIXELSARBPROC epoxy_glReadnPixelsARB = epoxy_glReadnPixelsARB_global_rewrite_ptr;

PUBLIC PFNGLREADNPIXELSEXTPROC epoxy_glReadnPixelsEXT = epoxy_glReadnPixelsEXT_global_rewrite_ptr;

PUBLIC PFNGLRECTDPROC epoxy_glRectd = epoxy_glRectd_global_rewrite_ptr;

PUBLIC PFNGLRECTDVPROC epoxy_glRectdv = epoxy_glRectdv_global_rewrite_ptr;

PUBLIC PFNGLRECTFPROC epoxy_glRectf = epoxy_glRectf_global_rewrite_ptr;

PUBLIC PFNGLRECTFVPROC epoxy_glRectfv = epoxy_glRectfv_global_rewrite_ptr;

PUBLIC PFNGLRECTIPROC epoxy_glRecti = epoxy_glRecti_global_rewrite_ptr;

PUBLIC PFNGLRECTIVPROC epoxy_glRectiv = epoxy_glRectiv_global_rewrite_ptr;

PUBLIC PFNGLRECTSPROC epoxy_glRects = epoxy_glRects_global_rewrite_ptr;

PUBLIC PFNGLRECTSVPROC epoxy_glRectsv = epoxy_glRectsv_global_rewrite_ptr;

PUBLIC PFNGLRECTXOESPROC epoxy_glRectxOES = epoxy_glRectxOES_global_rewrite_ptr;

PUBLIC PFNGLRECTXVOESPROC epoxy_glRectxvOES = epoxy_glRectxvOES_global_rewrite_ptr;

PUBLIC PFNGLREFERENCEPLANESGIXPROC epoxy_glReferencePlaneSGIX = epoxy_glReferencePlaneSGIX_global_rewrite_ptr;

PUBLIC PFNGLRELEASESHADERCOMPILERPROC epoxy_glReleaseShaderCompiler = epoxy_glReleaseShaderCompiler_global_rewrite_ptr;

PUBLIC PFNGLRENDERMODEPROC epoxy_glRenderMode = epoxy_glRenderMode_global_rewrite_ptr;

PUBLIC PFNGLRENDERBUFFERSTORAGEPROC epoxy_glRenderbufferStorage = epoxy_glRenderbufferStorage_global_rewrite_ptr;

PUBLIC PFNGLRENDERBUFFERSTORAGEEXTPROC epoxy_glRenderbufferStorageEXT = epoxy_glRenderbufferStorageEXT_global_rewrite_ptr;

PUBLIC PFNGLRENDERBUFFERSTORAGEMULTISAMPLEPROC epoxy_glRenderbufferStorageMultisample = epoxy_glRenderbufferStorageMultisample_global_rewrite_ptr;

PUBLIC PFNGLRENDERBUFFERSTORAGEMULTISAMPLEANGLEPROC epoxy_glRenderbufferStorageMultisampleANGLE = epoxy_glRenderbufferStorageMultisampleANGLE_global_rewrite_ptr;

PUBLIC PFNGLRENDERBUFFERSTORAGEMULTISAMPLEAPPLEPROC epoxy_glRenderbufferStorageMultisampleAPPLE = epoxy_glRenderbufferStorageMultisampleAPPLE_global_rewrite_ptr;

PUBLIC PFNGLRENDERBUFFERSTORAGEMULTISAMPLECOVERAGENVPROC epoxy_glRenderbufferStorageMultisampleCoverageNV = epoxy_glRenderbufferStorageMultisampleCoverageNV_global_rewrite_ptr;

PUBLIC PFNGLRENDERBUFFERSTORAGEMULTISAMPLEEXTPROC epoxy_glRenderbufferStorageMultisampleEXT = epoxy_glRenderbufferStorageMultisampleEXT_global_rewrite_ptr;

PUBLIC PFNGLRENDERBUFFERSTORAGEMULTISAMPLEIMGPROC epoxy_glRenderbufferStorageMultisampleIMG = epoxy_glRenderbufferStorageMultisampleIMG_global_rewrite_ptr;

PUBLIC PFNGLRENDERBUFFERSTORAGEMULTISAMPLENVPROC epoxy_glRenderbufferStorageMultisampleNV = epoxy_glRenderbufferStorageMultisampleNV_global_rewrite_ptr;

PUBLIC PFNGLRENDERBUFFERSTORAGEOESPROC epoxy_glRenderbufferStorageOES = epoxy_glRenderbufferStorageOES_global_rewrite_ptr;

PUBLIC PFNGLREPLACEMENTCODEPOINTERSUNPROC epoxy_glReplacementCodePointerSUN = epoxy_glReplacementCodePointerSUN_global_rewrite_ptr;

PUBLIC PFNGLREPLACEMENTCODEUBSUNPROC epoxy_glReplacementCodeubSUN = epoxy_glReplacementCodeubSUN_global_rewrite_ptr;

PUBLIC PFNGLREPLACEMENTCODEUBVSUNPROC epoxy_glReplacementCodeubvSUN = epoxy_glReplacementCodeubvSUN_global_rewrite_ptr;

PUBLIC PFNGLREPLACEMENTCODEUICOLOR3FVERTEX3FSUNPROC epoxy_glReplacementCodeuiColor3fVertex3fSUN = epoxy_glReplacementCodeuiColor3fVertex3fSUN_global_rewrite_ptr;

PUBLIC PFNGLREPLACEMENTCODEUICOLOR3FVERTEX3FVSUNPROC epoxy_glReplacementCodeuiColor3fVertex3fvSUN = epoxy_glReplacementCodeuiColor3fVertex3fvSUN_global_rewrite_ptr;

PUBLIC PFNGLREPLACEMENTCODEUICOLOR4FNORMAL3FVERTEX3FSUNPROC epoxy_glReplacementCodeuiColor4fNormal3fVertex3fSUN = epoxy_glReplacementCodeuiColor4fNormal3fVertex3fSUN_global_rewrite_ptr;

PUBLIC PFNGLREPLACEMENTCODEUICOLOR4FNORMAL3FVERTEX3FVSUNPROC epoxy_glReplacementCodeuiColor4fNormal3fVertex3fvSUN = epoxy_glReplacementCodeuiColor4fNormal3fVertex3fvSUN_global_rewrite_ptr;

PUBLIC PFNGLREPLACEMENTCODEUICOLOR4UBVERTEX3FSUNPROC epoxy_glReplacementCodeuiColor4ubVertex3fSUN = epoxy_glReplacementCodeuiColor4ubVertex3fSUN_global_rewrite_ptr;

PUBLIC PFNGLREPLACEMENTCODEUICOLOR4UBVERTEX3FVSUNPROC epoxy_glReplacementCodeuiColor4ubVertex3fvSUN = epoxy_glReplacementCodeuiColor4ubVertex3fvSUN_global_rewrite_ptr;

PUBLIC PFNGLREPLACEMENTCODEUINORMAL3FVERTEX3FSUNPROC epoxy_glReplacementCodeuiNormal3fVertex3fSUN = epoxy_glReplacementCodeuiNormal3fVertex3fSUN_global_rewrite_ptr;

PUBLIC PFNGLREPLACEMENTCODEUINORMAL3FVERTEX3FVSUNPROC epoxy_glReplacementCodeuiNormal3fVertex3fvSUN = epoxy_glReplacementCodeuiNormal3fVertex3fvSUN_global_rewrite_ptr;

PUBLIC PFNGLREPLACEMENTCODEUISUNPROC epoxy_glReplacementCodeuiSUN = epoxy_glReplacementCodeuiSUN_global_rewrite_ptr;

PUBLIC PFNGLREPLACEMENTCODEUITEXCOORD2FCOLOR4FNORMAL3FVERTEX3FSUNPROC epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN = epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN_global_rewrite_ptr;

PUBLIC PFNGLREPLACEMENTCODEUITEXCOORD2FCOLOR4FNORMAL3FVERTEX3FVSUNPROC epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN = epoxy_glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN_global_rewrite_ptr;

PUBLIC PFNGLREPLACEMENTCODEUITEXCOORD2FNORMAL3FVERTEX3FSUNPROC epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN = epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN_global_rewrite_ptr;

PUBLIC PFNGLREPLACEMENTCODEUITEXCOORD2FNORMAL3FVERTEX3FVSUNPROC epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN = epoxy_glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN_global_rewrite_ptr;

PUBLIC PFNGLREPLACEMENTCODEUITEXCOORD2FVERTEX3FSUNPROC epoxy_glReplacementCodeuiTexCoord2fVertex3fSUN = epoxy_glReplacementCodeuiTexCoord2fVertex3fSUN_global_rewrite_ptr;

PUBLIC PFNGLREPLACEMENTCODEUITEXCOORD2FVERTEX3FVSUNPROC epoxy_glReplacementCodeuiTexCoord2fVertex3fvSUN = epoxy_glReplacementCodeuiTexCoord2fVertex3fvSUN_global_rewrite_ptr;

PUBLIC PFNGLREPLACEMENTCODEUIVERTEX3FSUNPROC epoxy_glReplacementCodeuiVertex3fSUN = epoxy_glReplacementCodeuiVertex3fSUN_global_rewrite_ptr;

PUBLIC PFNGLREPLACEMENTCODEUIVERTEX3FVSUNPROC epoxy_glReplacementCodeuiVertex3fvSUN = epoxy_glReplacementCodeuiVertex3fvSUN_global_rewrite_ptr;

PUBLIC PFNGLREPLACEMENTCODEUIVSUNPROC epoxy_glReplacementCodeuivSUN = epoxy_glReplacementCodeuivSUN_global_rewrite_ptr;

PUBLIC PFNGLREPLACEMENTCODEUSSUNPROC epoxy_glReplacementCodeusSUN = epoxy_glReplacementCodeusSUN_global_rewrite_ptr;

PUBLIC PFNGLREPLACEMENTCODEUSVSUNPROC epoxy_glReplacementCodeusvSUN = epoxy_glReplacementCodeusvSUN_global_rewrite_ptr;

PUBLIC PFNGLREQUESTRESIDENTPROGRAMSNVPROC epoxy_glRequestResidentProgramsNV = epoxy_glRequestResidentProgramsNV_global_rewrite_ptr;

PUBLIC PFNGLRESETHISTOGRAMPROC epoxy_glResetHistogram = epoxy_glResetHistogram_global_rewrite_ptr;

PUBLIC PFNGLRESETHISTOGRAMEXTPROC epoxy_glResetHistogramEXT = epoxy_glResetHistogramEXT_global_rewrite_ptr;

PUBLIC PFNGLRESETMINMAXPROC epoxy_glResetMinmax = epoxy_glResetMinmax_global_rewrite_ptr;

PUBLIC PFNGLRESETMINMAXEXTPROC epoxy_glResetMinmaxEXT = epoxy_glResetMinmaxEXT_global_rewrite_ptr;

PUBLIC PFNGLRESIZEBUFFERSMESAPROC epoxy_glResizeBuffersMESA = epoxy_glResizeBuffersMESA_global_rewrite_ptr;

PUBLIC PFNGLRESOLVEMULTISAMPLEFRAMEBUFFERAPPLEPROC epoxy_glResolveMultisampleFramebufferAPPLE = epoxy_glResolveMultisampleFramebufferAPPLE_global_rewrite_ptr;

PUBLIC PFNGLRESUMETRANSFORMFEEDBACKPROC epoxy_glResumeTransformFeedback = epoxy_glResumeTransformFeedback_global_rewrite_ptr;

PUBLIC PFNGLRESUMETRANSFORMFEEDBACKNVPROC epoxy_glResumeTransformFeedbackNV = epoxy_glResumeTransformFeedbackNV_global_rewrite_ptr;

PUBLIC PFNGLROTATEDPROC epoxy_glRotated = epoxy_glRotated_global_rewrite_ptr;

PUBLIC PFNGLROTATEFPROC epoxy_glRotatef = epoxy_glRotatef_global_rewrite_ptr;

PUBLIC PFNGLROTATEXPROC epoxy_glRotatex = epoxy_glRotatex_global_rewrite_ptr;

PUBLIC PFNGLROTATEXOESPROC epoxy_glRotatexOES = epoxy_glRotatexOES_global_rewrite_ptr;

PUBLIC PFNGLSAMPLECOVERAGEPROC epoxy_glSampleCoverage = epoxy_glSampleCoverage_global_rewrite_ptr;

PUBLIC PFNGLSAMPLECOVERAGEARBPROC epoxy_glSampleCoverageARB = epoxy_glSampleCoverageARB_global_rewrite_ptr;

PUBLIC PFNGLSAMPLECOVERAGEOESPROC epoxy_glSampleCoverageOES = epoxy_glSampleCoverageOES_global_rewrite_ptr;

PUBLIC PFNGLSAMPLECOVERAGEXPROC epoxy_glSampleCoveragex = epoxy_glSampleCoveragex_global_rewrite_ptr;

PUBLIC PFNGLSAMPLECOVERAGEXOESPROC epoxy_glSampleCoveragexOES = epoxy_glSampleCoveragexOES_global_rewrite_ptr;

PUBLIC PFNGLSAMPLEMAPATIPROC epoxy_glSampleMapATI = epoxy_glSampleMapATI_global_rewrite_ptr;

PUBLIC PFNGLSAMPLEMASKEXTPROC epoxy_glSampleMaskEXT = epoxy_glSampleMaskEXT_global_rewrite_ptr;

PUBLIC PFNGLSAMPLEMASKINDEXEDNVPROC epoxy_glSampleMaskIndexedNV = epoxy_glSampleMaskIndexedNV_global_rewrite_ptr;

PUBLIC PFNGLSAMPLEMASKSGISPROC epoxy_glSampleMaskSGIS = epoxy_glSampleMaskSGIS_global_rewrite_ptr;

PUBLIC PFNGLSAMPLEMASKIPROC epoxy_glSampleMaski = epoxy_glSampleMaski_global_rewrite_ptr;

PUBLIC PFNGLSAMPLEPATTERNEXTPROC epoxy_glSamplePatternEXT = epoxy_glSamplePatternEXT_global_rewrite_ptr;

PUBLIC PFNGLSAMPLEPATTERNSGISPROC epoxy_glSamplePatternSGIS = epoxy_glSamplePatternSGIS_global_rewrite_ptr;

PUBLIC PFNGLSAMPLERPARAMETERIIVPROC epoxy_glSamplerParameterIiv = epoxy_glSamplerParameterIiv_global_rewrite_ptr;

PUBLIC PFNGLSAMPLERPARAMETERIUIVPROC epoxy_glSamplerParameterIuiv = epoxy_glSamplerParameterIuiv_global_rewrite_ptr;

PUBLIC PFNGLSAMPLERPARAMETERFPROC epoxy_glSamplerParameterf = epoxy_glSamplerParameterf_global_rewrite_ptr;

PUBLIC PFNGLSAMPLERPARAMETERFVPROC epoxy_glSamplerParameterfv = epoxy_glSamplerParameterfv_global_rewrite_ptr;

PUBLIC PFNGLSAMPLERPARAMETERIPROC epoxy_glSamplerParameteri = epoxy_glSamplerParameteri_global_rewrite_ptr;

PUBLIC PFNGLSAMPLERPARAMETERIVPROC epoxy_glSamplerParameteriv = epoxy_glSamplerParameteriv_global_rewrite_ptr;

PUBLIC PFNGLSCALEDPROC epoxy_glScaled = epoxy_glScaled_global_rewrite_ptr;

PUBLIC PFNGLSCALEFPROC epoxy_glScalef = epoxy_glScalef_global_rewrite_ptr;

PUBLIC PFNGLSCALEXPROC epoxy_glScalex = epoxy_glScalex_global_rewrite_ptr;

PUBLIC PFNGLSCALEXOESPROC epoxy_glScalexOES = epoxy_glScalexOES_global_rewrite_ptr;

PUBLIC PFNGLSCISSORPROC epoxy_glScissor = epoxy_glScissor_global_rewrite_ptr;

PUBLIC PFNGLSCISSORARRAYVPROC epoxy_glScissorArrayv = epoxy_glScissorArrayv_global_rewrite_ptr;

PUBLIC PFNGLSCISSORINDEXEDPROC epoxy_glScissorIndexed = epoxy_glScissorIndexed_global_rewrite_ptr;

PUBLIC PFNGLSCISSORINDEXEDVPROC epoxy_glScissorIndexedv = epoxy_glScissorIndexedv_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLOR3BPROC epoxy_glSecondaryColor3b = epoxy_glSecondaryColor3b_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLOR3BEXTPROC epoxy_glSecondaryColor3bEXT = epoxy_glSecondaryColor3bEXT_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLOR3BVPROC epoxy_glSecondaryColor3bv = epoxy_glSecondaryColor3bv_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLOR3BVEXTPROC epoxy_glSecondaryColor3bvEXT = epoxy_glSecondaryColor3bvEXT_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLOR3DPROC epoxy_glSecondaryColor3d = epoxy_glSecondaryColor3d_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLOR3DEXTPROC epoxy_glSecondaryColor3dEXT = epoxy_glSecondaryColor3dEXT_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLOR3DVPROC epoxy_glSecondaryColor3dv = epoxy_glSecondaryColor3dv_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLOR3DVEXTPROC epoxy_glSecondaryColor3dvEXT = epoxy_glSecondaryColor3dvEXT_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLOR3FPROC epoxy_glSecondaryColor3f = epoxy_glSecondaryColor3f_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLOR3FEXTPROC epoxy_glSecondaryColor3fEXT = epoxy_glSecondaryColor3fEXT_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLOR3FVPROC epoxy_glSecondaryColor3fv = epoxy_glSecondaryColor3fv_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLOR3FVEXTPROC epoxy_glSecondaryColor3fvEXT = epoxy_glSecondaryColor3fvEXT_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLOR3HNVPROC epoxy_glSecondaryColor3hNV = epoxy_glSecondaryColor3hNV_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLOR3HVNVPROC epoxy_glSecondaryColor3hvNV = epoxy_glSecondaryColor3hvNV_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLOR3IPROC epoxy_glSecondaryColor3i = epoxy_glSecondaryColor3i_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLOR3IEXTPROC epoxy_glSecondaryColor3iEXT = epoxy_glSecondaryColor3iEXT_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLOR3IVPROC epoxy_glSecondaryColor3iv = epoxy_glSecondaryColor3iv_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLOR3IVEXTPROC epoxy_glSecondaryColor3ivEXT = epoxy_glSecondaryColor3ivEXT_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLOR3SPROC epoxy_glSecondaryColor3s = epoxy_glSecondaryColor3s_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLOR3SEXTPROC epoxy_glSecondaryColor3sEXT = epoxy_glSecondaryColor3sEXT_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLOR3SVPROC epoxy_glSecondaryColor3sv = epoxy_glSecondaryColor3sv_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLOR3SVEXTPROC epoxy_glSecondaryColor3svEXT = epoxy_glSecondaryColor3svEXT_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLOR3UBPROC epoxy_glSecondaryColor3ub = epoxy_glSecondaryColor3ub_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLOR3UBEXTPROC epoxy_glSecondaryColor3ubEXT = epoxy_glSecondaryColor3ubEXT_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLOR3UBVPROC epoxy_glSecondaryColor3ubv = epoxy_glSecondaryColor3ubv_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLOR3UBVEXTPROC epoxy_glSecondaryColor3ubvEXT = epoxy_glSecondaryColor3ubvEXT_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLOR3UIPROC epoxy_glSecondaryColor3ui = epoxy_glSecondaryColor3ui_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLOR3UIEXTPROC epoxy_glSecondaryColor3uiEXT = epoxy_glSecondaryColor3uiEXT_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLOR3UIVPROC epoxy_glSecondaryColor3uiv = epoxy_glSecondaryColor3uiv_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLOR3UIVEXTPROC epoxy_glSecondaryColor3uivEXT = epoxy_glSecondaryColor3uivEXT_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLOR3USPROC epoxy_glSecondaryColor3us = epoxy_glSecondaryColor3us_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLOR3USEXTPROC epoxy_glSecondaryColor3usEXT = epoxy_glSecondaryColor3usEXT_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLOR3USVPROC epoxy_glSecondaryColor3usv = epoxy_glSecondaryColor3usv_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLOR3USVEXTPROC epoxy_glSecondaryColor3usvEXT = epoxy_glSecondaryColor3usvEXT_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLORFORMATNVPROC epoxy_glSecondaryColorFormatNV = epoxy_glSecondaryColorFormatNV_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLORP3UIPROC epoxy_glSecondaryColorP3ui = epoxy_glSecondaryColorP3ui_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLORP3UIVPROC epoxy_glSecondaryColorP3uiv = epoxy_glSecondaryColorP3uiv_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLORPOINTERPROC epoxy_glSecondaryColorPointer = epoxy_glSecondaryColorPointer_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLORPOINTEREXTPROC epoxy_glSecondaryColorPointerEXT = epoxy_glSecondaryColorPointerEXT_global_rewrite_ptr;

PUBLIC PFNGLSECONDARYCOLORPOINTERLISTIBMPROC epoxy_glSecondaryColorPointerListIBM = epoxy_glSecondaryColorPointerListIBM_global_rewrite_ptr;

PUBLIC PFNGLSELECTBUFFERPROC epoxy_glSelectBuffer = epoxy_glSelectBuffer_global_rewrite_ptr;

PUBLIC PFNGLSELECTPERFMONITORCOUNTERSAMDPROC epoxy_glSelectPerfMonitorCountersAMD = epoxy_glSelectPerfMonitorCountersAMD_global_rewrite_ptr;

PUBLIC PFNGLSEPARABLEFILTER2DPROC epoxy_glSeparableFilter2D = epoxy_glSeparableFilter2D_global_rewrite_ptr;

PUBLIC PFNGLSEPARABLEFILTER2DEXTPROC epoxy_glSeparableFilter2DEXT = epoxy_glSeparableFilter2DEXT_global_rewrite_ptr;

PUBLIC PFNGLSETFENCEAPPLEPROC epoxy_glSetFenceAPPLE = epoxy_glSetFenceAPPLE_global_rewrite_ptr;

PUBLIC PFNGLSETFENCENVPROC epoxy_glSetFenceNV = epoxy_glSetFenceNV_global_rewrite_ptr;

PUBLIC PFNGLSETFRAGMENTSHADERCONSTANTATIPROC epoxy_glSetFragmentShaderConstantATI = epoxy_glSetFragmentShaderConstantATI_global_rewrite_ptr;

PUBLIC PFNGLSETINVARIANTEXTPROC epoxy_glSetInvariantEXT = epoxy_glSetInvariantEXT_global_rewrite_ptr;

PUBLIC PFNGLSETLOCALCONSTANTEXTPROC epoxy_glSetLocalConstantEXT = epoxy_glSetLocalConstantEXT_global_rewrite_ptr;

PUBLIC PFNGLSETMULTISAMPLEFVAMDPROC epoxy_glSetMultisamplefvAMD = epoxy_glSetMultisamplefvAMD_global_rewrite_ptr;

PUBLIC PFNGLSHADEMODELPROC epoxy_glShadeModel = epoxy_glShadeModel_global_rewrite_ptr;

PUBLIC PFNGLSHADERBINARYPROC epoxy_glShaderBinary = epoxy_glShaderBinary_global_rewrite_ptr;

PUBLIC PFNGLSHADEROP1EXTPROC epoxy_glShaderOp1EXT = epoxy_glShaderOp1EXT_global_rewrite_ptr;

PUBLIC PFNGLSHADEROP2EXTPROC epoxy_glShaderOp2EXT = epoxy_glShaderOp2EXT_global_rewrite_ptr;

PUBLIC PFNGLSHADEROP3EXTPROC epoxy_glShaderOp3EXT = epoxy_glShaderOp3EXT_global_rewrite_ptr;

PUBLIC PFNGLSHADERSOURCEPROC epoxy_glShaderSource = epoxy_glShaderSource_global_rewrite_ptr;

PUBLIC PFNGLSHADERSOURCEARBPROC epoxy_glShaderSourceARB = epoxy_glShaderSourceARB_global_rewrite_ptr;

PUBLIC PFNGLSHADERSTORAGEBLOCKBINDINGPROC epoxy_glShaderStorageBlockBinding = epoxy_glShaderStorageBlockBinding_global_rewrite_ptr;

PUBLIC PFNGLSHARPENTEXFUNCSGISPROC epoxy_glSharpenTexFuncSGIS = epoxy_glSharpenTexFuncSGIS_global_rewrite_ptr;

PUBLIC PFNGLSPRITEPARAMETERFSGIXPROC epoxy_glSpriteParameterfSGIX = epoxy_glSpriteParameterfSGIX_global_rewrite_ptr;

PUBLIC PFNGLSPRITEPARAMETERFVSGIXPROC epoxy_glSpriteParameterfvSGIX = epoxy_glSpriteParameterfvSGIX_global_rewrite_ptr;

PUBLIC PFNGLSPRITEPARAMETERISGIXPROC epoxy_glSpriteParameteriSGIX = epoxy_glSpriteParameteriSGIX_global_rewrite_ptr;

PUBLIC PFNGLSPRITEPARAMETERIVSGIXPROC epoxy_glSpriteParameterivSGIX = epoxy_glSpriteParameterivSGIX_global_rewrite_ptr;

PUBLIC PFNGLSTARTINSTRUMENTSSGIXPROC epoxy_glStartInstrumentsSGIX = epoxy_glStartInstrumentsSGIX_global_rewrite_ptr;

PUBLIC PFNGLSTARTTILINGQCOMPROC epoxy_glStartTilingQCOM = epoxy_glStartTilingQCOM_global_rewrite_ptr;

PUBLIC PFNGLSTENCILCLEARTAGEXTPROC epoxy_glStencilClearTagEXT = epoxy_glStencilClearTagEXT_global_rewrite_ptr;

PUBLIC PFNGLSTENCILFILLPATHINSTANCEDNVPROC epoxy_glStencilFillPathInstancedNV = epoxy_glStencilFillPathInstancedNV_global_rewrite_ptr;

PUBLIC PFNGLSTENCILFILLPATHNVPROC epoxy_glStencilFillPathNV = epoxy_glStencilFillPathNV_global_rewrite_ptr;

PUBLIC PFNGLSTENCILFUNCPROC epoxy_glStencilFunc = epoxy_glStencilFunc_global_rewrite_ptr;

PUBLIC PFNGLSTENCILFUNCSEPARATEPROC epoxy_glStencilFuncSeparate = epoxy_glStencilFuncSeparate_global_rewrite_ptr;

PUBLIC PFNGLSTENCILFUNCSEPARATEATIPROC epoxy_glStencilFuncSeparateATI = epoxy_glStencilFuncSeparateATI_global_rewrite_ptr;

PUBLIC PFNGLSTENCILMASKPROC epoxy_glStencilMask = epoxy_glStencilMask_global_rewrite_ptr;

PUBLIC PFNGLSTENCILMASKSEPARATEPROC epoxy_glStencilMaskSeparate = epoxy_glStencilMaskSeparate_global_rewrite_ptr;

PUBLIC PFNGLSTENCILOPPROC epoxy_glStencilOp = epoxy_glStencilOp_global_rewrite_ptr;

PUBLIC PFNGLSTENCILOPSEPARATEPROC epoxy_glStencilOpSeparate = epoxy_glStencilOpSeparate_global_rewrite_ptr;

PUBLIC PFNGLSTENCILOPSEPARATEATIPROC epoxy_glStencilOpSeparateATI = epoxy_glStencilOpSeparateATI_global_rewrite_ptr;

PUBLIC PFNGLSTENCILOPVALUEAMDPROC epoxy_glStencilOpValueAMD = epoxy_glStencilOpValueAMD_global_rewrite_ptr;

PUBLIC PFNGLSTENCILSTROKEPATHINSTANCEDNVPROC epoxy_glStencilStrokePathInstancedNV = epoxy_glStencilStrokePathInstancedNV_global_rewrite_ptr;

PUBLIC PFNGLSTENCILSTROKEPATHNVPROC epoxy_glStencilStrokePathNV = epoxy_glStencilStrokePathNV_global_rewrite_ptr;

PUBLIC PFNGLSTOPINSTRUMENTSSGIXPROC epoxy_glStopInstrumentsSGIX = epoxy_glStopInstrumentsSGIX_global_rewrite_ptr;

PUBLIC PFNGLSTRINGMARKERGREMEDYPROC epoxy_glStringMarkerGREMEDY = epoxy_glStringMarkerGREMEDY_global_rewrite_ptr;

PUBLIC PFNGLSWIZZLEEXTPROC epoxy_glSwizzleEXT = epoxy_glSwizzleEXT_global_rewrite_ptr;

PUBLIC PFNGLSYNCTEXTUREINTELPROC epoxy_glSyncTextureINTEL = epoxy_glSyncTextureINTEL_global_rewrite_ptr;

PUBLIC PFNGLTAGSAMPLEBUFFERSGIXPROC epoxy_glTagSampleBufferSGIX = epoxy_glTagSampleBufferSGIX_global_rewrite_ptr;

PUBLIC PFNGLTANGENT3BEXTPROC epoxy_glTangent3bEXT = epoxy_glTangent3bEXT_global_rewrite_ptr;

PUBLIC PFNGLTANGENT3BVEXTPROC epoxy_glTangent3bvEXT = epoxy_glTangent3bvEXT_global_rewrite_ptr;

PUBLIC PFNGLTANGENT3DEXTPROC epoxy_glTangent3dEXT = epoxy_glTangent3dEXT_global_rewrite_ptr;

PUBLIC PFNGLTANGENT3DVEXTPROC epoxy_glTangent3dvEXT = epoxy_glTangent3dvEXT_global_rewrite_ptr;

PUBLIC PFNGLTANGENT3FEXTPROC epoxy_glTangent3fEXT = epoxy_glTangent3fEXT_global_rewrite_ptr;

PUBLIC PFNGLTANGENT3FVEXTPROC epoxy_glTangent3fvEXT = epoxy_glTangent3fvEXT_global_rewrite_ptr;

PUBLIC PFNGLTANGENT3IEXTPROC epoxy_glTangent3iEXT = epoxy_glTangent3iEXT_global_rewrite_ptr;

PUBLIC PFNGLTANGENT3IVEXTPROC epoxy_glTangent3ivEXT = epoxy_glTangent3ivEXT_global_rewrite_ptr;

PUBLIC PFNGLTANGENT3SEXTPROC epoxy_glTangent3sEXT = epoxy_glTangent3sEXT_global_rewrite_ptr;

PUBLIC PFNGLTANGENT3SVEXTPROC epoxy_glTangent3svEXT = epoxy_glTangent3svEXT_global_rewrite_ptr;

PUBLIC PFNGLTANGENTPOINTEREXTPROC epoxy_glTangentPointerEXT = epoxy_glTangentPointerEXT_global_rewrite_ptr;

PUBLIC PFNGLTBUFFERMASK3DFXPROC epoxy_glTbufferMask3DFX = epoxy_glTbufferMask3DFX_global_rewrite_ptr;

PUBLIC PFNGLTESSELLATIONFACTORAMDPROC epoxy_glTessellationFactorAMD = epoxy_glTessellationFactorAMD_global_rewrite_ptr;

PUBLIC PFNGLTESSELLATIONMODEAMDPROC epoxy_glTessellationModeAMD = epoxy_glTessellationModeAMD_global_rewrite_ptr;

PUBLIC PFNGLTESTFENCEAPPLEPROC epoxy_glTestFenceAPPLE = epoxy_glTestFenceAPPLE_global_rewrite_ptr;

PUBLIC PFNGLTESTFENCENVPROC epoxy_glTestFenceNV = epoxy_glTestFenceNV_global_rewrite_ptr;

PUBLIC PFNGLTESTOBJECTAPPLEPROC epoxy_glTestObjectAPPLE = epoxy_glTestObjectAPPLE_global_rewrite_ptr;

PUBLIC PFNGLTEXBUFFERPROC epoxy_glTexBuffer = epoxy_glTexBuffer_global_rewrite_ptr;

PUBLIC PFNGLTEXBUFFERARBPROC epoxy_glTexBufferARB = epoxy_glTexBufferARB_global_rewrite_ptr;

PUBLIC PFNGLTEXBUFFEREXTPROC epoxy_glTexBufferEXT = epoxy_glTexBufferEXT_global_rewrite_ptr;

PUBLIC PFNGLTEXBUFFERRANGEPROC epoxy_glTexBufferRange = epoxy_glTexBufferRange_global_rewrite_ptr;

PUBLIC PFNGLTEXBUMPPARAMETERFVATIPROC epoxy_glTexBumpParameterfvATI = epoxy_glTexBumpParameterfvATI_global_rewrite_ptr;

PUBLIC PFNGLTEXBUMPPARAMETERIVATIPROC epoxy_glTexBumpParameterivATI = epoxy_glTexBumpParameterivATI_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD1BOESPROC epoxy_glTexCoord1bOES = epoxy_glTexCoord1bOES_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD1BVOESPROC epoxy_glTexCoord1bvOES = epoxy_glTexCoord1bvOES_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD1DPROC epoxy_glTexCoord1d = epoxy_glTexCoord1d_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD1DVPROC epoxy_glTexCoord1dv = epoxy_glTexCoord1dv_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD1FPROC epoxy_glTexCoord1f = epoxy_glTexCoord1f_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD1FVPROC epoxy_glTexCoord1fv = epoxy_glTexCoord1fv_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD1HNVPROC epoxy_glTexCoord1hNV = epoxy_glTexCoord1hNV_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD1HVNVPROC epoxy_glTexCoord1hvNV = epoxy_glTexCoord1hvNV_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD1IPROC epoxy_glTexCoord1i = epoxy_glTexCoord1i_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD1IVPROC epoxy_glTexCoord1iv = epoxy_glTexCoord1iv_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD1SPROC epoxy_glTexCoord1s = epoxy_glTexCoord1s_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD1SVPROC epoxy_glTexCoord1sv = epoxy_glTexCoord1sv_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD1XOESPROC epoxy_glTexCoord1xOES = epoxy_glTexCoord1xOES_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD1XVOESPROC epoxy_glTexCoord1xvOES = epoxy_glTexCoord1xvOES_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD2BOESPROC epoxy_glTexCoord2bOES = epoxy_glTexCoord2bOES_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD2BVOESPROC epoxy_glTexCoord2bvOES = epoxy_glTexCoord2bvOES_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD2DPROC epoxy_glTexCoord2d = epoxy_glTexCoord2d_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD2DVPROC epoxy_glTexCoord2dv = epoxy_glTexCoord2dv_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD2FPROC epoxy_glTexCoord2f = epoxy_glTexCoord2f_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD2FCOLOR3FVERTEX3FSUNPROC epoxy_glTexCoord2fColor3fVertex3fSUN = epoxy_glTexCoord2fColor3fVertex3fSUN_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD2FCOLOR3FVERTEX3FVSUNPROC epoxy_glTexCoord2fColor3fVertex3fvSUN = epoxy_glTexCoord2fColor3fVertex3fvSUN_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD2FCOLOR4FNORMAL3FVERTEX3FSUNPROC epoxy_glTexCoord2fColor4fNormal3fVertex3fSUN = epoxy_glTexCoord2fColor4fNormal3fVertex3fSUN_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD2FCOLOR4FNORMAL3FVERTEX3FVSUNPROC epoxy_glTexCoord2fColor4fNormal3fVertex3fvSUN = epoxy_glTexCoord2fColor4fNormal3fVertex3fvSUN_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD2FCOLOR4UBVERTEX3FSUNPROC epoxy_glTexCoord2fColor4ubVertex3fSUN = epoxy_glTexCoord2fColor4ubVertex3fSUN_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD2FCOLOR4UBVERTEX3FVSUNPROC epoxy_glTexCoord2fColor4ubVertex3fvSUN = epoxy_glTexCoord2fColor4ubVertex3fvSUN_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD2FNORMAL3FVERTEX3FSUNPROC epoxy_glTexCoord2fNormal3fVertex3fSUN = epoxy_glTexCoord2fNormal3fVertex3fSUN_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD2FNORMAL3FVERTEX3FVSUNPROC epoxy_glTexCoord2fNormal3fVertex3fvSUN = epoxy_glTexCoord2fNormal3fVertex3fvSUN_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD2FVERTEX3FSUNPROC epoxy_glTexCoord2fVertex3fSUN = epoxy_glTexCoord2fVertex3fSUN_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD2FVERTEX3FVSUNPROC epoxy_glTexCoord2fVertex3fvSUN = epoxy_glTexCoord2fVertex3fvSUN_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD2FVPROC epoxy_glTexCoord2fv = epoxy_glTexCoord2fv_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD2HNVPROC epoxy_glTexCoord2hNV = epoxy_glTexCoord2hNV_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD2HVNVPROC epoxy_glTexCoord2hvNV = epoxy_glTexCoord2hvNV_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD2IPROC epoxy_glTexCoord2i = epoxy_glTexCoord2i_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD2IVPROC epoxy_glTexCoord2iv = epoxy_glTexCoord2iv_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD2SPROC epoxy_glTexCoord2s = epoxy_glTexCoord2s_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD2SVPROC epoxy_glTexCoord2sv = epoxy_glTexCoord2sv_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD2XOESPROC epoxy_glTexCoord2xOES = epoxy_glTexCoord2xOES_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD2XVOESPROC epoxy_glTexCoord2xvOES = epoxy_glTexCoord2xvOES_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD3BOESPROC epoxy_glTexCoord3bOES = epoxy_glTexCoord3bOES_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD3BVOESPROC epoxy_glTexCoord3bvOES = epoxy_glTexCoord3bvOES_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD3DPROC epoxy_glTexCoord3d = epoxy_glTexCoord3d_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD3DVPROC epoxy_glTexCoord3dv = epoxy_glTexCoord3dv_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD3FPROC epoxy_glTexCoord3f = epoxy_glTexCoord3f_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD3FVPROC epoxy_glTexCoord3fv = epoxy_glTexCoord3fv_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD3HNVPROC epoxy_glTexCoord3hNV = epoxy_glTexCoord3hNV_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD3HVNVPROC epoxy_glTexCoord3hvNV = epoxy_glTexCoord3hvNV_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD3IPROC epoxy_glTexCoord3i = epoxy_glTexCoord3i_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD3IVPROC epoxy_glTexCoord3iv = epoxy_glTexCoord3iv_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD3SPROC epoxy_glTexCoord3s = epoxy_glTexCoord3s_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD3SVPROC epoxy_glTexCoord3sv = epoxy_glTexCoord3sv_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD3XOESPROC epoxy_glTexCoord3xOES = epoxy_glTexCoord3xOES_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD3XVOESPROC epoxy_glTexCoord3xvOES = epoxy_glTexCoord3xvOES_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD4BOESPROC epoxy_glTexCoord4bOES = epoxy_glTexCoord4bOES_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD4BVOESPROC epoxy_glTexCoord4bvOES = epoxy_glTexCoord4bvOES_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD4DPROC epoxy_glTexCoord4d = epoxy_glTexCoord4d_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD4DVPROC epoxy_glTexCoord4dv = epoxy_glTexCoord4dv_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD4FPROC epoxy_glTexCoord4f = epoxy_glTexCoord4f_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD4FCOLOR4FNORMAL3FVERTEX4FSUNPROC epoxy_glTexCoord4fColor4fNormal3fVertex4fSUN = epoxy_glTexCoord4fColor4fNormal3fVertex4fSUN_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD4FCOLOR4FNORMAL3FVERTEX4FVSUNPROC epoxy_glTexCoord4fColor4fNormal3fVertex4fvSUN = epoxy_glTexCoord4fColor4fNormal3fVertex4fvSUN_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD4FVERTEX4FSUNPROC epoxy_glTexCoord4fVertex4fSUN = epoxy_glTexCoord4fVertex4fSUN_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD4FVERTEX4FVSUNPROC epoxy_glTexCoord4fVertex4fvSUN = epoxy_glTexCoord4fVertex4fvSUN_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD4FVPROC epoxy_glTexCoord4fv = epoxy_glTexCoord4fv_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD4HNVPROC epoxy_glTexCoord4hNV = epoxy_glTexCoord4hNV_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD4HVNVPROC epoxy_glTexCoord4hvNV = epoxy_glTexCoord4hvNV_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD4IPROC epoxy_glTexCoord4i = epoxy_glTexCoord4i_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD4IVPROC epoxy_glTexCoord4iv = epoxy_glTexCoord4iv_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD4SPROC epoxy_glTexCoord4s = epoxy_glTexCoord4s_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD4SVPROC epoxy_glTexCoord4sv = epoxy_glTexCoord4sv_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD4XOESPROC epoxy_glTexCoord4xOES = epoxy_glTexCoord4xOES_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORD4XVOESPROC epoxy_glTexCoord4xvOES = epoxy_glTexCoord4xvOES_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORDFORMATNVPROC epoxy_glTexCoordFormatNV = epoxy_glTexCoordFormatNV_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORDP1UIPROC epoxy_glTexCoordP1ui = epoxy_glTexCoordP1ui_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORDP1UIVPROC epoxy_glTexCoordP1uiv = epoxy_glTexCoordP1uiv_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORDP2UIPROC epoxy_glTexCoordP2ui = epoxy_glTexCoordP2ui_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORDP2UIVPROC epoxy_glTexCoordP2uiv = epoxy_glTexCoordP2uiv_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORDP3UIPROC epoxy_glTexCoordP3ui = epoxy_glTexCoordP3ui_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORDP3UIVPROC epoxy_glTexCoordP3uiv = epoxy_glTexCoordP3uiv_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORDP4UIPROC epoxy_glTexCoordP4ui = epoxy_glTexCoordP4ui_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORDP4UIVPROC epoxy_glTexCoordP4uiv = epoxy_glTexCoordP4uiv_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORDPOINTERPROC epoxy_glTexCoordPointer = epoxy_glTexCoordPointer_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORDPOINTEREXTPROC epoxy_glTexCoordPointerEXT = epoxy_glTexCoordPointerEXT_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORDPOINTERLISTIBMPROC epoxy_glTexCoordPointerListIBM = epoxy_glTexCoordPointerListIBM_global_rewrite_ptr;

PUBLIC PFNGLTEXCOORDPOINTERVINTELPROC epoxy_glTexCoordPointervINTEL = epoxy_glTexCoordPointervINTEL_global_rewrite_ptr;

PUBLIC PFNGLTEXENVFPROC epoxy_glTexEnvf = epoxy_glTexEnvf_global_rewrite_ptr;

PUBLIC PFNGLTEXENVFVPROC epoxy_glTexEnvfv = epoxy_glTexEnvfv_global_rewrite_ptr;

PUBLIC PFNGLTEXENVIPROC epoxy_glTexEnvi = epoxy_glTexEnvi_global_rewrite_ptr;

PUBLIC PFNGLTEXENVIVPROC epoxy_glTexEnviv = epoxy_glTexEnviv_global_rewrite_ptr;

PUBLIC PFNGLTEXENVXPROC epoxy_glTexEnvx = epoxy_glTexEnvx_global_rewrite_ptr;

PUBLIC PFNGLTEXENVXOESPROC epoxy_glTexEnvxOES = epoxy_glTexEnvxOES_global_rewrite_ptr;

PUBLIC PFNGLTEXENVXVPROC epoxy_glTexEnvxv = epoxy_glTexEnvxv_global_rewrite_ptr;

PUBLIC PFNGLTEXENVXVOESPROC epoxy_glTexEnvxvOES = epoxy_glTexEnvxvOES_global_rewrite_ptr;

PUBLIC PFNGLTEXFILTERFUNCSGISPROC epoxy_glTexFilterFuncSGIS = epoxy_glTexFilterFuncSGIS_global_rewrite_ptr;

PUBLIC PFNGLTEXGENDPROC epoxy_glTexGend = epoxy_glTexGend_global_rewrite_ptr;

PUBLIC PFNGLTEXGENDVPROC epoxy_glTexGendv = epoxy_glTexGendv_global_rewrite_ptr;

PUBLIC PFNGLTEXGENFPROC epoxy_glTexGenf = epoxy_glTexGenf_global_rewrite_ptr;

PUBLIC PFNGLTEXGENFOESPROC epoxy_glTexGenfOES = epoxy_glTexGenfOES_global_rewrite_ptr;

PUBLIC PFNGLTEXGENFVPROC epoxy_glTexGenfv = epoxy_glTexGenfv_global_rewrite_ptr;

PUBLIC PFNGLTEXGENFVOESPROC epoxy_glTexGenfvOES = epoxy_glTexGenfvOES_global_rewrite_ptr;

PUBLIC PFNGLTEXGENIPROC epoxy_glTexGeni = epoxy_glTexGeni_global_rewrite_ptr;

PUBLIC PFNGLTEXGENIOESPROC epoxy_glTexGeniOES = epoxy_glTexGeniOES_global_rewrite_ptr;

PUBLIC PFNGLTEXGENIVPROC epoxy_glTexGeniv = epoxy_glTexGeniv_global_rewrite_ptr;

PUBLIC PFNGLTEXGENIVOESPROC epoxy_glTexGenivOES = epoxy_glTexGenivOES_global_rewrite_ptr;

PUBLIC PFNGLTEXGENXOESPROC epoxy_glTexGenxOES = epoxy_glTexGenxOES_global_rewrite_ptr;

PUBLIC PFNGLTEXGENXVOESPROC epoxy_glTexGenxvOES = epoxy_glTexGenxvOES_global_rewrite_ptr;

PUBLIC PFNGLTEXIMAGE1DPROC epoxy_glTexImage1D = epoxy_glTexImage1D_global_rewrite_ptr;

PUBLIC PFNGLTEXIMAGE2DPROC epoxy_glTexImage2D = epoxy_glTexImage2D_global_rewrite_ptr;

PUBLIC PFNGLTEXIMAGE2DMULTISAMPLEPROC epoxy_glTexImage2DMultisample = epoxy_glTexImage2DMultisample_global_rewrite_ptr;

PUBLIC PFNGLTEXIMAGE2DMULTISAMPLECOVERAGENVPROC epoxy_glTexImage2DMultisampleCoverageNV = epoxy_glTexImage2DMultisampleCoverageNV_global_rewrite_ptr;

PUBLIC PFNGLTEXIMAGE3DPROC epoxy_glTexImage3D = epoxy_glTexImage3D_global_rewrite_ptr;

PUBLIC PFNGLTEXIMAGE3DEXTPROC epoxy_glTexImage3DEXT = epoxy_glTexImage3DEXT_global_rewrite_ptr;

PUBLIC PFNGLTEXIMAGE3DMULTISAMPLEPROC epoxy_glTexImage3DMultisample = epoxy_glTexImage3DMultisample_global_rewrite_ptr;

PUBLIC PFNGLTEXIMAGE3DMULTISAMPLECOVERAGENVPROC epoxy_glTexImage3DMultisampleCoverageNV = epoxy_glTexImage3DMultisampleCoverageNV_global_rewrite_ptr;

PUBLIC PFNGLTEXIMAGE3DOESPROC epoxy_glTexImage3DOES = epoxy_glTexImage3DOES_global_rewrite_ptr;

PUBLIC PFNGLTEXIMAGE4DSGISPROC epoxy_glTexImage4DSGIS = epoxy_glTexImage4DSGIS_global_rewrite_ptr;

PUBLIC PFNGLTEXPAGECOMMITMENTARBPROC epoxy_glTexPageCommitmentARB = epoxy_glTexPageCommitmentARB_global_rewrite_ptr;

PUBLIC PFNGLTEXPARAMETERIIVPROC epoxy_glTexParameterIiv = epoxy_glTexParameterIiv_global_rewrite_ptr;

PUBLIC PFNGLTEXPARAMETERIIVEXTPROC epoxy_glTexParameterIivEXT = epoxy_glTexParameterIivEXT_global_rewrite_ptr;

PUBLIC PFNGLTEXPARAMETERIUIVPROC epoxy_glTexParameterIuiv = epoxy_glTexParameterIuiv_global_rewrite_ptr;

PUBLIC PFNGLTEXPARAMETERIUIVEXTPROC epoxy_glTexParameterIuivEXT = epoxy_glTexParameterIuivEXT_global_rewrite_ptr;

PUBLIC PFNGLTEXPARAMETERFPROC epoxy_glTexParameterf = epoxy_glTexParameterf_global_rewrite_ptr;

PUBLIC PFNGLTEXPARAMETERFVPROC epoxy_glTexParameterfv = epoxy_glTexParameterfv_global_rewrite_ptr;

PUBLIC PFNGLTEXPARAMETERIPROC epoxy_glTexParameteri = epoxy_glTexParameteri_global_rewrite_ptr;

PUBLIC PFNGLTEXPARAMETERIVPROC epoxy_glTexParameteriv = epoxy_glTexParameteriv_global_rewrite_ptr;

PUBLIC PFNGLTEXPARAMETERXPROC epoxy_glTexParameterx = epoxy_glTexParameterx_global_rewrite_ptr;

PUBLIC PFNGLTEXPARAMETERXOESPROC epoxy_glTexParameterxOES = epoxy_glTexParameterxOES_global_rewrite_ptr;

PUBLIC PFNGLTEXPARAMETERXVPROC epoxy_glTexParameterxv = epoxy_glTexParameterxv_global_rewrite_ptr;

PUBLIC PFNGLTEXPARAMETERXVOESPROC epoxy_glTexParameterxvOES = epoxy_glTexParameterxvOES_global_rewrite_ptr;

PUBLIC PFNGLTEXRENDERBUFFERNVPROC epoxy_glTexRenderbufferNV = epoxy_glTexRenderbufferNV_global_rewrite_ptr;

PUBLIC PFNGLTEXSTORAGE1DPROC epoxy_glTexStorage1D = epoxy_glTexStorage1D_global_rewrite_ptr;

PUBLIC PFNGLTEXSTORAGE1DEXTPROC epoxy_glTexStorage1DEXT = epoxy_glTexStorage1DEXT_global_rewrite_ptr;

PUBLIC PFNGLTEXSTORAGE2DPROC epoxy_glTexStorage2D = epoxy_glTexStorage2D_global_rewrite_ptr;

PUBLIC PFNGLTEXSTORAGE2DEXTPROC epoxy_glTexStorage2DEXT = epoxy_glTexStorage2DEXT_global_rewrite_ptr;

PUBLIC PFNGLTEXSTORAGE2DMULTISAMPLEPROC epoxy_glTexStorage2DMultisample = epoxy_glTexStorage2DMultisample_global_rewrite_ptr;

PUBLIC PFNGLTEXSTORAGE3DPROC epoxy_glTexStorage3D = epoxy_glTexStorage3D_global_rewrite_ptr;

PUBLIC PFNGLTEXSTORAGE3DEXTPROC epoxy_glTexStorage3DEXT = epoxy_glTexStorage3DEXT_global_rewrite_ptr;

PUBLIC PFNGLTEXSTORAGE3DMULTISAMPLEPROC epoxy_glTexStorage3DMultisample = epoxy_glTexStorage3DMultisample_global_rewrite_ptr;

PUBLIC PFNGLTEXSTORAGE3DMULTISAMPLEOESPROC epoxy_glTexStorage3DMultisampleOES = epoxy_glTexStorage3DMultisampleOES_global_rewrite_ptr;

PUBLIC PFNGLTEXSTORAGESPARSEAMDPROC epoxy_glTexStorageSparseAMD = epoxy_glTexStorageSparseAMD_global_rewrite_ptr;

PUBLIC PFNGLTEXSUBIMAGE1DPROC epoxy_glTexSubImage1D = epoxy_glTexSubImage1D_global_rewrite_ptr;

PUBLIC PFNGLTEXSUBIMAGE1DEXTPROC epoxy_glTexSubImage1DEXT = epoxy_glTexSubImage1DEXT_global_rewrite_ptr;

PUBLIC PFNGLTEXSUBIMAGE2DPROC epoxy_glTexSubImage2D = epoxy_glTexSubImage2D_global_rewrite_ptr;

PUBLIC PFNGLTEXSUBIMAGE2DEXTPROC epoxy_glTexSubImage2DEXT = epoxy_glTexSubImage2DEXT_global_rewrite_ptr;

PUBLIC PFNGLTEXSUBIMAGE3DPROC epoxy_glTexSubImage3D = epoxy_glTexSubImage3D_global_rewrite_ptr;

PUBLIC PFNGLTEXSUBIMAGE3DEXTPROC epoxy_glTexSubImage3DEXT = epoxy_glTexSubImage3DEXT_global_rewrite_ptr;

PUBLIC PFNGLTEXSUBIMAGE3DOESPROC epoxy_glTexSubImage3DOES = epoxy_glTexSubImage3DOES_global_rewrite_ptr;

PUBLIC PFNGLTEXSUBIMAGE4DSGISPROC epoxy_glTexSubImage4DSGIS = epoxy_glTexSubImage4DSGIS_global_rewrite_ptr;

PUBLIC PFNGLTEXTUREBARRIERNVPROC epoxy_glTextureBarrierNV = epoxy_glTextureBarrierNV_global_rewrite_ptr;

PUBLIC PFNGLTEXTUREBUFFEREXTPROC epoxy_glTextureBufferEXT = epoxy_glTextureBufferEXT_global_rewrite_ptr;

PUBLIC PFNGLTEXTUREBUFFERRANGEEXTPROC epoxy_glTextureBufferRangeEXT = epoxy_glTextureBufferRangeEXT_global_rewrite_ptr;

PUBLIC PFNGLTEXTURECOLORMASKSGISPROC epoxy_glTextureColorMaskSGIS = epoxy_glTextureColorMaskSGIS_global_rewrite_ptr;

PUBLIC PFNGLTEXTUREIMAGE1DEXTPROC epoxy_glTextureImage1DEXT = epoxy_glTextureImage1DEXT_global_rewrite_ptr;

PUBLIC PFNGLTEXTUREIMAGE2DEXTPROC epoxy_glTextureImage2DEXT = epoxy_glTextureImage2DEXT_global_rewrite_ptr;

PUBLIC PFNGLTEXTUREIMAGE2DMULTISAMPLECOVERAGENVPROC epoxy_glTextureImage2DMultisampleCoverageNV = epoxy_glTextureImage2DMultisampleCoverageNV_global_rewrite_ptr;

PUBLIC PFNGLTEXTUREIMAGE2DMULTISAMPLENVPROC epoxy_glTextureImage2DMultisampleNV = epoxy_glTextureImage2DMultisampleNV_global_rewrite_ptr;

PUBLIC PFNGLTEXTUREIMAGE3DEXTPROC epoxy_glTextureImage3DEXT = epoxy_glTextureImage3DEXT_global_rewrite_ptr;

PUBLIC PFNGLTEXTUREIMAGE3DMULTISAMPLECOVERAGENVPROC epoxy_glTextureImage3DMultisampleCoverageNV = epoxy_glTextureImage3DMultisampleCoverageNV_global_rewrite_ptr;

PUBLIC PFNGLTEXTUREIMAGE3DMULTISAMPLENVPROC epoxy_glTextureImage3DMultisampleNV = epoxy_glTextureImage3DMultisampleNV_global_rewrite_ptr;

PUBLIC PFNGLTEXTURELIGHTEXTPROC epoxy_glTextureLightEXT = epoxy_glTextureLightEXT_global_rewrite_ptr;

PUBLIC PFNGLTEXTUREMATERIALEXTPROC epoxy_glTextureMaterialEXT = epoxy_glTextureMaterialEXT_global_rewrite_ptr;

PUBLIC PFNGLTEXTURENORMALEXTPROC epoxy_glTextureNormalEXT = epoxy_glTextureNormalEXT_global_rewrite_ptr;

PUBLIC PFNGLTEXTUREPAGECOMMITMENTEXTPROC epoxy_glTexturePageCommitmentEXT = epoxy_glTexturePageCommitmentEXT_global_rewrite_ptr;

PUBLIC PFNGLTEXTUREPARAMETERIIVEXTPROC epoxy_glTextureParameterIivEXT = epoxy_glTextureParameterIivEXT_global_rewrite_ptr;

PUBLIC PFNGLTEXTUREPARAMETERIUIVEXTPROC epoxy_glTextureParameterIuivEXT = epoxy_glTextureParameterIuivEXT_global_rewrite_ptr;

PUBLIC PFNGLTEXTUREPARAMETERFEXTPROC epoxy_glTextureParameterfEXT = epoxy_glTextureParameterfEXT_global_rewrite_ptr;

PUBLIC PFNGLTEXTUREPARAMETERFVEXTPROC epoxy_glTextureParameterfvEXT = epoxy_glTextureParameterfvEXT_global_rewrite_ptr;

PUBLIC PFNGLTEXTUREPARAMETERIEXTPROC epoxy_glTextureParameteriEXT = epoxy_glTextureParameteriEXT_global_rewrite_ptr;

PUBLIC PFNGLTEXTUREPARAMETERIVEXTPROC epoxy_glTextureParameterivEXT = epoxy_glTextureParameterivEXT_global_rewrite_ptr;

PUBLIC PFNGLTEXTURERANGEAPPLEPROC epoxy_glTextureRangeAPPLE = epoxy_glTextureRangeAPPLE_global_rewrite_ptr;

PUBLIC PFNGLTEXTURERENDERBUFFEREXTPROC epoxy_glTextureRenderbufferEXT = epoxy_glTextureRenderbufferEXT_global_rewrite_ptr;

PUBLIC PFNGLTEXTURESTORAGE1DEXTPROC epoxy_glTextureStorage1DEXT = epoxy_glTextureStorage1DEXT_global_rewrite_ptr;

PUBLIC PFNGLTEXTURESTORAGE2DEXTPROC epoxy_glTextureStorage2DEXT = epoxy_glTextureStorage2DEXT_global_rewrite_ptr;

PUBLIC PFNGLTEXTURESTORAGE2DMULTISAMPLEEXTPROC epoxy_glTextureStorage2DMultisampleEXT = epoxy_glTextureStorage2DMultisampleEXT_global_rewrite_ptr;

PUBLIC PFNGLTEXTURESTORAGE3DEXTPROC epoxy_glTextureStorage3DEXT = epoxy_glTextureStorage3DEXT_global_rewrite_ptr;

PUBLIC PFNGLTEXTURESTORAGE3DMULTISAMPLEEXTPROC epoxy_glTextureStorage3DMultisampleEXT = epoxy_glTextureStorage3DMultisampleEXT_global_rewrite_ptr;

PUBLIC PFNGLTEXTURESTORAGESPARSEAMDPROC epoxy_glTextureStorageSparseAMD = epoxy_glTextureStorageSparseAMD_global_rewrite_ptr;

PUBLIC PFNGLTEXTURESUBIMAGE1DEXTPROC epoxy_glTextureSubImage1DEXT = epoxy_glTextureSubImage1DEXT_global_rewrite_ptr;

PUBLIC PFNGLTEXTURESUBIMAGE2DEXTPROC epoxy_glTextureSubImage2DEXT = epoxy_glTextureSubImage2DEXT_global_rewrite_ptr;

PUBLIC PFNGLTEXTURESUBIMAGE3DEXTPROC epoxy_glTextureSubImage3DEXT = epoxy_glTextureSubImage3DEXT_global_rewrite_ptr;

PUBLIC PFNGLTEXTUREVIEWPROC epoxy_glTextureView = epoxy_glTextureView_global_rewrite_ptr;

PUBLIC PFNGLTRACKMATRIXNVPROC epoxy_glTrackMatrixNV = epoxy_glTrackMatrixNV_global_rewrite_ptr;

PUBLIC PFNGLTRANSFORMFEEDBACKATTRIBSNVPROC epoxy_glTransformFeedbackAttribsNV = epoxy_glTransformFeedbackAttribsNV_global_rewrite_ptr;

PUBLIC PFNGLTRANSFORMFEEDBACKSTREAMATTRIBSNVPROC epoxy_glTransformFeedbackStreamAttribsNV = epoxy_glTransformFeedbackStreamAttribsNV_global_rewrite_ptr;

PUBLIC PFNGLTRANSFORMFEEDBACKVARYINGSPROC epoxy_glTransformFeedbackVaryings = epoxy_glTransformFeedbackVaryings_global_rewrite_ptr;

PUBLIC PFNGLTRANSFORMFEEDBACKVARYINGSEXTPROC epoxy_glTransformFeedbackVaryingsEXT = epoxy_glTransformFeedbackVaryingsEXT_global_rewrite_ptr;

PUBLIC PFNGLTRANSFORMFEEDBACKVARYINGSNVPROC epoxy_glTransformFeedbackVaryingsNV = epoxy_glTransformFeedbackVaryingsNV_global_rewrite_ptr;

PUBLIC PFNGLTRANSFORMPATHNVPROC epoxy_glTransformPathNV = epoxy_glTransformPathNV_global_rewrite_ptr;

PUBLIC PFNGLTRANSLATEDPROC epoxy_glTranslated = epoxy_glTranslated_global_rewrite_ptr;

PUBLIC PFNGLTRANSLATEFPROC epoxy_glTranslatef = epoxy_glTranslatef_global_rewrite_ptr;

PUBLIC PFNGLTRANSLATEXPROC epoxy_glTranslatex = epoxy_glTranslatex_global_rewrite_ptr;

PUBLIC PFNGLTRANSLATEXOESPROC epoxy_glTranslatexOES = epoxy_glTranslatexOES_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM1DPROC epoxy_glUniform1d = epoxy_glUniform1d_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM1DVPROC epoxy_glUniform1dv = epoxy_glUniform1dv_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM1FPROC epoxy_glUniform1f = epoxy_glUniform1f_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM1FARBPROC epoxy_glUniform1fARB = epoxy_glUniform1fARB_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM1FVPROC epoxy_glUniform1fv = epoxy_glUniform1fv_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM1FVARBPROC epoxy_glUniform1fvARB = epoxy_glUniform1fvARB_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM1IPROC epoxy_glUniform1i = epoxy_glUniform1i_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM1I64NVPROC epoxy_glUniform1i64NV = epoxy_glUniform1i64NV_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM1I64VNVPROC epoxy_glUniform1i64vNV = epoxy_glUniform1i64vNV_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM1IARBPROC epoxy_glUniform1iARB = epoxy_glUniform1iARB_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM1IVPROC epoxy_glUniform1iv = epoxy_glUniform1iv_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM1IVARBPROC epoxy_glUniform1ivARB = epoxy_glUniform1ivARB_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM1UIPROC epoxy_glUniform1ui = epoxy_glUniform1ui_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM1UI64NVPROC epoxy_glUniform1ui64NV = epoxy_glUniform1ui64NV_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM1UI64VNVPROC epoxy_glUniform1ui64vNV = epoxy_glUniform1ui64vNV_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM1UIEXTPROC epoxy_glUniform1uiEXT = epoxy_glUniform1uiEXT_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM1UIVPROC epoxy_glUniform1uiv = epoxy_glUniform1uiv_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM1UIVEXTPROC epoxy_glUniform1uivEXT = epoxy_glUniform1uivEXT_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM2DPROC epoxy_glUniform2d = epoxy_glUniform2d_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM2DVPROC epoxy_glUniform2dv = epoxy_glUniform2dv_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM2FPROC epoxy_glUniform2f = epoxy_glUniform2f_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM2FARBPROC epoxy_glUniform2fARB = epoxy_glUniform2fARB_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM2FVPROC epoxy_glUniform2fv = epoxy_glUniform2fv_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM2FVARBPROC epoxy_glUniform2fvARB = epoxy_glUniform2fvARB_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM2IPROC epoxy_glUniform2i = epoxy_glUniform2i_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM2I64NVPROC epoxy_glUniform2i64NV = epoxy_glUniform2i64NV_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM2I64VNVPROC epoxy_glUniform2i64vNV = epoxy_glUniform2i64vNV_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM2IARBPROC epoxy_glUniform2iARB = epoxy_glUniform2iARB_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM2IVPROC epoxy_glUniform2iv = epoxy_glUniform2iv_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM2IVARBPROC epoxy_glUniform2ivARB = epoxy_glUniform2ivARB_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM2UIPROC epoxy_glUniform2ui = epoxy_glUniform2ui_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM2UI64NVPROC epoxy_glUniform2ui64NV = epoxy_glUniform2ui64NV_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM2UI64VNVPROC epoxy_glUniform2ui64vNV = epoxy_glUniform2ui64vNV_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM2UIEXTPROC epoxy_glUniform2uiEXT = epoxy_glUniform2uiEXT_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM2UIVPROC epoxy_glUniform2uiv = epoxy_glUniform2uiv_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM2UIVEXTPROC epoxy_glUniform2uivEXT = epoxy_glUniform2uivEXT_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM3DPROC epoxy_glUniform3d = epoxy_glUniform3d_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM3DVPROC epoxy_glUniform3dv = epoxy_glUniform3dv_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM3FPROC epoxy_glUniform3f = epoxy_glUniform3f_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM3FARBPROC epoxy_glUniform3fARB = epoxy_glUniform3fARB_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM3FVPROC epoxy_glUniform3fv = epoxy_glUniform3fv_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM3FVARBPROC epoxy_glUniform3fvARB = epoxy_glUniform3fvARB_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM3IPROC epoxy_glUniform3i = epoxy_glUniform3i_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM3I64NVPROC epoxy_glUniform3i64NV = epoxy_glUniform3i64NV_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM3I64VNVPROC epoxy_glUniform3i64vNV = epoxy_glUniform3i64vNV_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM3IARBPROC epoxy_glUniform3iARB = epoxy_glUniform3iARB_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM3IVPROC epoxy_glUniform3iv = epoxy_glUniform3iv_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM3IVARBPROC epoxy_glUniform3ivARB = epoxy_glUniform3ivARB_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM3UIPROC epoxy_glUniform3ui = epoxy_glUniform3ui_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM3UI64NVPROC epoxy_glUniform3ui64NV = epoxy_glUniform3ui64NV_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM3UI64VNVPROC epoxy_glUniform3ui64vNV = epoxy_glUniform3ui64vNV_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM3UIEXTPROC epoxy_glUniform3uiEXT = epoxy_glUniform3uiEXT_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM3UIVPROC epoxy_glUniform3uiv = epoxy_glUniform3uiv_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM3UIVEXTPROC epoxy_glUniform3uivEXT = epoxy_glUniform3uivEXT_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM4DPROC epoxy_glUniform4d = epoxy_glUniform4d_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM4DVPROC epoxy_glUniform4dv = epoxy_glUniform4dv_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM4FPROC epoxy_glUniform4f = epoxy_glUniform4f_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM4FARBPROC epoxy_glUniform4fARB = epoxy_glUniform4fARB_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM4FVPROC epoxy_glUniform4fv = epoxy_glUniform4fv_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM4FVARBPROC epoxy_glUniform4fvARB = epoxy_glUniform4fvARB_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM4IPROC epoxy_glUniform4i = epoxy_glUniform4i_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM4I64NVPROC epoxy_glUniform4i64NV = epoxy_glUniform4i64NV_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM4I64VNVPROC epoxy_glUniform4i64vNV = epoxy_glUniform4i64vNV_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM4IARBPROC epoxy_glUniform4iARB = epoxy_glUniform4iARB_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM4IVPROC epoxy_glUniform4iv = epoxy_glUniform4iv_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM4IVARBPROC epoxy_glUniform4ivARB = epoxy_glUniform4ivARB_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM4UIPROC epoxy_glUniform4ui = epoxy_glUniform4ui_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM4UI64NVPROC epoxy_glUniform4ui64NV = epoxy_glUniform4ui64NV_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM4UI64VNVPROC epoxy_glUniform4ui64vNV = epoxy_glUniform4ui64vNV_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM4UIEXTPROC epoxy_glUniform4uiEXT = epoxy_glUniform4uiEXT_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM4UIVPROC epoxy_glUniform4uiv = epoxy_glUniform4uiv_global_rewrite_ptr;

PUBLIC PFNGLUNIFORM4UIVEXTPROC epoxy_glUniform4uivEXT = epoxy_glUniform4uivEXT_global_rewrite_ptr;

PUBLIC PFNGLUNIFORMBLOCKBINDINGPROC epoxy_glUniformBlockBinding = epoxy_glUniformBlockBinding_global_rewrite_ptr;

PUBLIC PFNGLUNIFORMBUFFEREXTPROC epoxy_glUniformBufferEXT = epoxy_glUniformBufferEXT_global_rewrite_ptr;

PUBLIC PFNGLUNIFORMHANDLEUI64ARBPROC epoxy_glUniformHandleui64ARB = epoxy_glUniformHandleui64ARB_global_rewrite_ptr;

PUBLIC PFNGLUNIFORMHANDLEUI64NVPROC epoxy_glUniformHandleui64NV = epoxy_glUniformHandleui64NV_global_rewrite_ptr;

PUBLIC PFNGLUNIFORMHANDLEUI64VARBPROC epoxy_glUniformHandleui64vARB = epoxy_glUniformHandleui64vARB_global_rewrite_ptr;

PUBLIC PFNGLUNIFORMHANDLEUI64VNVPROC epoxy_glUniformHandleui64vNV = epoxy_glUniformHandleui64vNV_global_rewrite_ptr;

PUBLIC PFNGLUNIFORMMATRIX2DVPROC epoxy_glUniformMatrix2dv = epoxy_glUniformMatrix2dv_global_rewrite_ptr;

PUBLIC PFNGLUNIFORMMATRIX2FVPROC epoxy_glUniformMatrix2fv = epoxy_glUniformMatrix2fv_global_rewrite_ptr;

PUBLIC PFNGLUNIFORMMATRIX2FVARBPROC epoxy_glUniformMatrix2fvARB = epoxy_glUniformMatrix2fvARB_global_rewrite_ptr;

PUBLIC PFNGLUNIFORMMATRIX2X3DVPROC epoxy_glUniformMatrix2x3dv = epoxy_glUniformMatrix2x3dv_global_rewrite_ptr;

PUBLIC PFNGLUNIFORMMATRIX2X3FVPROC epoxy_glUniformMatrix2x3fv = epoxy_glUniformMatrix2x3fv_global_rewrite_ptr;

PUBLIC PFNGLUNIFORMMATRIX2X3FVNVPROC epoxy_glUniformMatrix2x3fvNV = epoxy_glUniformMatrix2x3fvNV_global_rewrite_ptr;

PUBLIC PFNGLUNIFORMMATRIX2X4DVPROC epoxy_glUniformMatrix2x4dv = epoxy_glUniformMatrix2x4dv_global_rewrite_ptr;

PUBLIC PFNGLUNIFORMMATRIX2X4FVPROC epoxy_glUniformMatrix2x4fv = epoxy_glUniformMatrix2x4fv_global_rewrite_ptr;

PUBLIC PFNGLUNIFORMMATRIX2X4FVNVPROC epoxy_glUniformMatrix2x4fvNV = epoxy_glUniformMatrix2x4fvNV_global_rewrite_ptr;

PUBLIC PFNGLUNIFORMMATRIX3DVPROC epoxy_glUniformMatrix3dv = epoxy_glUniformMatrix3dv_global_rewrite_ptr;

PUBLIC PFNGLUNIFORMMATRIX3FVPROC epoxy_glUniformMatrix3fv = epoxy_glUniformMatrix3fv_global_rewrite_ptr;

PUBLIC PFNGLUNIFORMMATRIX3FVARBPROC epoxy_glUniformMatrix3fvARB = epoxy_glUniformMatrix3fvARB_global_rewrite_ptr;

PUBLIC PFNGLUNIFORMMATRIX3X2DVPROC epoxy_glUniformMatrix3x2dv = epoxy_glUniformMatrix3x2dv_global_rewrite_ptr;

PUBLIC PFNGLUNIFORMMATRIX3X2FVPROC epoxy_glUniformMatrix3x2fv = epoxy_glUniformMatrix3x2fv_global_rewrite_ptr;

PUBLIC PFNGLUNIFORMMATRIX3X2FVNVPROC epoxy_glUniformMatrix3x2fvNV = epoxy_glUniformMatrix3x2fvNV_global_rewrite_ptr;

PUBLIC PFNGLUNIFORMMATRIX3X4DVPROC epoxy_glUniformMatrix3x4dv = epoxy_glUniformMatrix3x4dv_global_rewrite_ptr;

PUBLIC PFNGLUNIFORMMATRIX3X4FVPROC epoxy_glUniformMatrix3x4fv = epoxy_glUniformMatrix3x4fv_global_rewrite_ptr;

PUBLIC PFNGLUNIFORMMATRIX3X4FVNVPROC epoxy_glUniformMatrix3x4fvNV = epoxy_glUniformMatrix3x4fvNV_global_rewrite_ptr;

PUBLIC PFNGLUNIFORMMATRIX4DVPROC epoxy_glUniformMatrix4dv = epoxy_glUniformMatrix4dv_global_rewrite_ptr;

PUBLIC PFNGLUNIFORMMATRIX4FVPROC epoxy_glUniformMatrix4fv = epoxy_glUniformMatrix4fv_global_rewrite_ptr;

PUBLIC PFNGLUNIFORMMATRIX4FVARBPROC epoxy_glUniformMatrix4fvARB = epoxy_glUniformMatrix4fvARB_global_rewrite_ptr;

PUBLIC PFNGLUNIFORMMATRIX4X2DVPROC epoxy_glUniformMatrix4x2dv = epoxy_glUniformMatrix4x2dv_global_rewrite_ptr;

PUBLIC PFNGLUNIFORMMATRIX4X2FVPROC epoxy_glUniformMatrix4x2fv = epoxy_glUniformMatrix4x2fv_global_rewrite_ptr;

PUBLIC PFNGLUNIFORMMATRIX4X2FVNVPROC epoxy_glUniformMatrix4x2fvNV = epoxy_glUniformMatrix4x2fvNV_global_rewrite_ptr;

PUBLIC PFNGLUNIFORMMATRIX4X3DVPROC epoxy_glUniformMatrix4x3dv = epoxy_glUniformMatrix4x3dv_global_rewrite_ptr;

PUBLIC PFNGLUNIFORMMATRIX4X3FVPROC epoxy_glUniformMatrix4x3fv = epoxy_glUniformMatrix4x3fv_global_rewrite_ptr;

PUBLIC PFNGLUNIFORMMATRIX4X3FVNVPROC epoxy_glUniformMatrix4x3fvNV = epoxy_glUniformMatrix4x3fvNV_global_rewrite_ptr;

PUBLIC PFNGLUNIFORMSUBROUTINESUIVPROC epoxy_glUniformSubroutinesuiv = epoxy_glUniformSubroutinesuiv_global_rewrite_ptr;

PUBLIC PFNGLUNIFORMUI64NVPROC epoxy_glUniformui64NV = epoxy_glUniformui64NV_global_rewrite_ptr;

PUBLIC PFNGLUNIFORMUI64VNVPROC epoxy_glUniformui64vNV = epoxy_glUniformui64vNV_global_rewrite_ptr;

PUBLIC PFNGLUNLOCKARRAYSEXTPROC epoxy_glUnlockArraysEXT = epoxy_glUnlockArraysEXT_global_rewrite_ptr;

PUBLIC PFNGLUNMAPBUFFERPROC epoxy_glUnmapBuffer = epoxy_glUnmapBuffer_global_rewrite_ptr;

PUBLIC PFNGLUNMAPBUFFERARBPROC epoxy_glUnmapBufferARB = epoxy_glUnmapBufferARB_global_rewrite_ptr;

PUBLIC PFNGLUNMAPBUFFEROESPROC epoxy_glUnmapBufferOES = epoxy_glUnmapBufferOES_global_rewrite_ptr;

PUBLIC PFNGLUNMAPNAMEDBUFFEREXTPROC epoxy_glUnmapNamedBufferEXT = epoxy_glUnmapNamedBufferEXT_global_rewrite_ptr;

PUBLIC PFNGLUNMAPOBJECTBUFFERATIPROC epoxy_glUnmapObjectBufferATI = epoxy_glUnmapObjectBufferATI_global_rewrite_ptr;

PUBLIC PFNGLUNMAPTEXTURE2DINTELPROC epoxy_glUnmapTexture2DINTEL = epoxy_glUnmapTexture2DINTEL_global_rewrite_ptr;

PUBLIC PFNGLUPDATEOBJECTBUFFERATIPROC epoxy_glUpdateObjectBufferATI = epoxy_glUpdateObjectBufferATI_global_rewrite_ptr;

PUBLIC PFNGLUSEPROGRAMPROC epoxy_glUseProgram = epoxy_glUseProgram_global_rewrite_ptr;

PUBLIC PFNGLUSEPROGRAMOBJECTARBPROC epoxy_glUseProgramObjectARB = epoxy_glUseProgramObjectARB_global_rewrite_ptr;

PUBLIC PFNGLUSEPROGRAMSTAGESPROC epoxy_glUseProgramStages = epoxy_glUseProgramStages_global_rewrite_ptr;

PUBLIC PFNGLUSEPROGRAMSTAGESEXTPROC epoxy_glUseProgramStagesEXT = epoxy_glUseProgramStagesEXT_global_rewrite_ptr;

PUBLIC PFNGLUSESHADERPROGRAMEXTPROC epoxy_glUseShaderProgramEXT = epoxy_glUseShaderProgramEXT_global_rewrite_ptr;

PUBLIC PFNGLVDPAUFININVPROC epoxy_glVDPAUFiniNV = epoxy_glVDPAUFiniNV_global_rewrite_ptr;

PUBLIC PFNGLVDPAUGETSURFACEIVNVPROC epoxy_glVDPAUGetSurfaceivNV = epoxy_glVDPAUGetSurfaceivNV_global_rewrite_ptr;

PUBLIC PFNGLVDPAUINITNVPROC epoxy_glVDPAUInitNV = epoxy_glVDPAUInitNV_global_rewrite_ptr;

PUBLIC PFNGLVDPAUISSURFACENVPROC epoxy_glVDPAUIsSurfaceNV = epoxy_glVDPAUIsSurfaceNV_global_rewrite_ptr;

PUBLIC PFNGLVDPAUMAPSURFACESNVPROC epoxy_glVDPAUMapSurfacesNV = epoxy_glVDPAUMapSurfacesNV_global_rewrite_ptr;

PUBLIC PFNGLVDPAUREGISTEROUTPUTSURFACENVPROC epoxy_glVDPAURegisterOutputSurfaceNV = epoxy_glVDPAURegisterOutputSurfaceNV_global_rewrite_ptr;

PUBLIC PFNGLVDPAUREGISTERVIDEOSURFACENVPROC epoxy_glVDPAURegisterVideoSurfaceNV = epoxy_glVDPAURegisterVideoSurfaceNV_global_rewrite_ptr;

PUBLIC PFNGLVDPAUSURFACEACCESSNVPROC epoxy_glVDPAUSurfaceAccessNV = epoxy_glVDPAUSurfaceAccessNV_global_rewrite_ptr;

PUBLIC PFNGLVDPAUUNMAPSURFACESNVPROC epoxy_glVDPAUUnmapSurfacesNV = epoxy_glVDPAUUnmapSurfacesNV_global_rewrite_ptr;

PUBLIC PFNGLVDPAUUNREGISTERSURFACENVPROC epoxy_glVDPAUUnregisterSurfaceNV = epoxy_glVDPAUUnregisterSurfaceNV_global_rewrite_ptr;

PUBLIC PFNGLVALIDATEPROGRAMPROC epoxy_glValidateProgram = epoxy_glValidateProgram_global_rewrite_ptr;

PUBLIC PFNGLVALIDATEPROGRAMARBPROC epoxy_glValidateProgramARB = epoxy_glValidateProgramARB_global_rewrite_ptr;

PUBLIC PFNGLVALIDATEPROGRAMPIPELINEPROC epoxy_glValidateProgramPipeline = epoxy_glValidateProgramPipeline_global_rewrite_ptr;

PUBLIC PFNGLVALIDATEPROGRAMPIPELINEEXTPROC epoxy_glValidateProgramPipelineEXT = epoxy_glValidateProgramPipelineEXT_global_rewrite_ptr;

PUBLIC PFNGLVARIANTARRAYOBJECTATIPROC epoxy_glVariantArrayObjectATI = epoxy_glVariantArrayObjectATI_global_rewrite_ptr;

PUBLIC PFNGLVARIANTPOINTEREXTPROC epoxy_glVariantPointerEXT = epoxy_glVariantPointerEXT_global_rewrite_ptr;

PUBLIC PFNGLVARIANTBVEXTPROC epoxy_glVariantbvEXT = epoxy_glVariantbvEXT_global_rewrite_ptr;

PUBLIC PFNGLVARIANTDVEXTPROC epoxy_glVariantdvEXT = epoxy_glVariantdvEXT_global_rewrite_ptr;

PUBLIC PFNGLVARIANTFVEXTPROC epoxy_glVariantfvEXT = epoxy_glVariantfvEXT_global_rewrite_ptr;

PUBLIC PFNGLVARIANTIVEXTPROC epoxy_glVariantivEXT = epoxy_glVariantivEXT_global_rewrite_ptr;

PUBLIC PFNGLVARIANTSVEXTPROC epoxy_glVariantsvEXT = epoxy_glVariantsvEXT_global_rewrite_ptr;

PUBLIC PFNGLVARIANTUBVEXTPROC epoxy_glVariantubvEXT = epoxy_glVariantubvEXT_global_rewrite_ptr;

PUBLIC PFNGLVARIANTUIVEXTPROC epoxy_glVariantuivEXT = epoxy_glVariantuivEXT_global_rewrite_ptr;

PUBLIC PFNGLVARIANTUSVEXTPROC epoxy_glVariantusvEXT = epoxy_glVariantusvEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEX2BOESPROC epoxy_glVertex2bOES = epoxy_glVertex2bOES_global_rewrite_ptr;

PUBLIC PFNGLVERTEX2BVOESPROC epoxy_glVertex2bvOES = epoxy_glVertex2bvOES_global_rewrite_ptr;

PUBLIC PFNGLVERTEX2DPROC epoxy_glVertex2d = epoxy_glVertex2d_global_rewrite_ptr;

PUBLIC PFNGLVERTEX2DVPROC epoxy_glVertex2dv = epoxy_glVertex2dv_global_rewrite_ptr;

PUBLIC PFNGLVERTEX2FPROC epoxy_glVertex2f = epoxy_glVertex2f_global_rewrite_ptr;

PUBLIC PFNGLVERTEX2FVPROC epoxy_glVertex2fv = epoxy_glVertex2fv_global_rewrite_ptr;

PUBLIC PFNGLVERTEX2HNVPROC epoxy_glVertex2hNV = epoxy_glVertex2hNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEX2HVNVPROC epoxy_glVertex2hvNV = epoxy_glVertex2hvNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEX2IPROC epoxy_glVertex2i = epoxy_glVertex2i_global_rewrite_ptr;

PUBLIC PFNGLVERTEX2IVPROC epoxy_glVertex2iv = epoxy_glVertex2iv_global_rewrite_ptr;

PUBLIC PFNGLVERTEX2SPROC epoxy_glVertex2s = epoxy_glVertex2s_global_rewrite_ptr;

PUBLIC PFNGLVERTEX2SVPROC epoxy_glVertex2sv = epoxy_glVertex2sv_global_rewrite_ptr;

PUBLIC PFNGLVERTEX2XOESPROC epoxy_glVertex2xOES = epoxy_glVertex2xOES_global_rewrite_ptr;

PUBLIC PFNGLVERTEX2XVOESPROC epoxy_glVertex2xvOES = epoxy_glVertex2xvOES_global_rewrite_ptr;

PUBLIC PFNGLVERTEX3BOESPROC epoxy_glVertex3bOES = epoxy_glVertex3bOES_global_rewrite_ptr;

PUBLIC PFNGLVERTEX3BVOESPROC epoxy_glVertex3bvOES = epoxy_glVertex3bvOES_global_rewrite_ptr;

PUBLIC PFNGLVERTEX3DPROC epoxy_glVertex3d = epoxy_glVertex3d_global_rewrite_ptr;

PUBLIC PFNGLVERTEX3DVPROC epoxy_glVertex3dv = epoxy_glVertex3dv_global_rewrite_ptr;

PUBLIC PFNGLVERTEX3FPROC epoxy_glVertex3f = epoxy_glVertex3f_global_rewrite_ptr;

PUBLIC PFNGLVERTEX3FVPROC epoxy_glVertex3fv = epoxy_glVertex3fv_global_rewrite_ptr;

PUBLIC PFNGLVERTEX3HNVPROC epoxy_glVertex3hNV = epoxy_glVertex3hNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEX3HVNVPROC epoxy_glVertex3hvNV = epoxy_glVertex3hvNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEX3IPROC epoxy_glVertex3i = epoxy_glVertex3i_global_rewrite_ptr;

PUBLIC PFNGLVERTEX3IVPROC epoxy_glVertex3iv = epoxy_glVertex3iv_global_rewrite_ptr;

PUBLIC PFNGLVERTEX3SPROC epoxy_glVertex3s = epoxy_glVertex3s_global_rewrite_ptr;

PUBLIC PFNGLVERTEX3SVPROC epoxy_glVertex3sv = epoxy_glVertex3sv_global_rewrite_ptr;

PUBLIC PFNGLVERTEX3XOESPROC epoxy_glVertex3xOES = epoxy_glVertex3xOES_global_rewrite_ptr;

PUBLIC PFNGLVERTEX3XVOESPROC epoxy_glVertex3xvOES = epoxy_glVertex3xvOES_global_rewrite_ptr;

PUBLIC PFNGLVERTEX4BOESPROC epoxy_glVertex4bOES = epoxy_glVertex4bOES_global_rewrite_ptr;

PUBLIC PFNGLVERTEX4BVOESPROC epoxy_glVertex4bvOES = epoxy_glVertex4bvOES_global_rewrite_ptr;

PUBLIC PFNGLVERTEX4DPROC epoxy_glVertex4d = epoxy_glVertex4d_global_rewrite_ptr;

PUBLIC PFNGLVERTEX4DVPROC epoxy_glVertex4dv = epoxy_glVertex4dv_global_rewrite_ptr;

PUBLIC PFNGLVERTEX4FPROC epoxy_glVertex4f = epoxy_glVertex4f_global_rewrite_ptr;

PUBLIC PFNGLVERTEX4FVPROC epoxy_glVertex4fv = epoxy_glVertex4fv_global_rewrite_ptr;

PUBLIC PFNGLVERTEX4HNVPROC epoxy_glVertex4hNV = epoxy_glVertex4hNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEX4HVNVPROC epoxy_glVertex4hvNV = epoxy_glVertex4hvNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEX4IPROC epoxy_glVertex4i = epoxy_glVertex4i_global_rewrite_ptr;

PUBLIC PFNGLVERTEX4IVPROC epoxy_glVertex4iv = epoxy_glVertex4iv_global_rewrite_ptr;

PUBLIC PFNGLVERTEX4SPROC epoxy_glVertex4s = epoxy_glVertex4s_global_rewrite_ptr;

PUBLIC PFNGLVERTEX4SVPROC epoxy_glVertex4sv = epoxy_glVertex4sv_global_rewrite_ptr;

PUBLIC PFNGLVERTEX4XOESPROC epoxy_glVertex4xOES = epoxy_glVertex4xOES_global_rewrite_ptr;

PUBLIC PFNGLVERTEX4XVOESPROC epoxy_glVertex4xvOES = epoxy_glVertex4xvOES_global_rewrite_ptr;

PUBLIC PFNGLVERTEXARRAYBINDVERTEXBUFFEREXTPROC epoxy_glVertexArrayBindVertexBufferEXT = epoxy_glVertexArrayBindVertexBufferEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXARRAYCOLOROFFSETEXTPROC epoxy_glVertexArrayColorOffsetEXT = epoxy_glVertexArrayColorOffsetEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXARRAYEDGEFLAGOFFSETEXTPROC epoxy_glVertexArrayEdgeFlagOffsetEXT = epoxy_glVertexArrayEdgeFlagOffsetEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXARRAYFOGCOORDOFFSETEXTPROC epoxy_glVertexArrayFogCoordOffsetEXT = epoxy_glVertexArrayFogCoordOffsetEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXARRAYINDEXOFFSETEXTPROC epoxy_glVertexArrayIndexOffsetEXT = epoxy_glVertexArrayIndexOffsetEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXARRAYMULTITEXCOORDOFFSETEXTPROC epoxy_glVertexArrayMultiTexCoordOffsetEXT = epoxy_glVertexArrayMultiTexCoordOffsetEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXARRAYNORMALOFFSETEXTPROC epoxy_glVertexArrayNormalOffsetEXT = epoxy_glVertexArrayNormalOffsetEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXARRAYPARAMETERIAPPLEPROC epoxy_glVertexArrayParameteriAPPLE = epoxy_glVertexArrayParameteriAPPLE_global_rewrite_ptr;

PUBLIC PFNGLVERTEXARRAYRANGEAPPLEPROC epoxy_glVertexArrayRangeAPPLE = epoxy_glVertexArrayRangeAPPLE_global_rewrite_ptr;

PUBLIC PFNGLVERTEXARRAYRANGENVPROC epoxy_glVertexArrayRangeNV = epoxy_glVertexArrayRangeNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXARRAYSECONDARYCOLOROFFSETEXTPROC epoxy_glVertexArraySecondaryColorOffsetEXT = epoxy_glVertexArraySecondaryColorOffsetEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXARRAYTEXCOORDOFFSETEXTPROC epoxy_glVertexArrayTexCoordOffsetEXT = epoxy_glVertexArrayTexCoordOffsetEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXARRAYVERTEXATTRIBBINDINGEXTPROC epoxy_glVertexArrayVertexAttribBindingEXT = epoxy_glVertexArrayVertexAttribBindingEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXARRAYVERTEXATTRIBDIVISOREXTPROC epoxy_glVertexArrayVertexAttribDivisorEXT = epoxy_glVertexArrayVertexAttribDivisorEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXARRAYVERTEXATTRIBFORMATEXTPROC epoxy_glVertexArrayVertexAttribFormatEXT = epoxy_glVertexArrayVertexAttribFormatEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXARRAYVERTEXATTRIBIFORMATEXTPROC epoxy_glVertexArrayVertexAttribIFormatEXT = epoxy_glVertexArrayVertexAttribIFormatEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXARRAYVERTEXATTRIBIOFFSETEXTPROC epoxy_glVertexArrayVertexAttribIOffsetEXT = epoxy_glVertexArrayVertexAttribIOffsetEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXARRAYVERTEXATTRIBLFORMATEXTPROC epoxy_glVertexArrayVertexAttribLFormatEXT = epoxy_glVertexArrayVertexAttribLFormatEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXARRAYVERTEXATTRIBLOFFSETEXTPROC epoxy_glVertexArrayVertexAttribLOffsetEXT = epoxy_glVertexArrayVertexAttribLOffsetEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXARRAYVERTEXATTRIBOFFSETEXTPROC epoxy_glVertexArrayVertexAttribOffsetEXT = epoxy_glVertexArrayVertexAttribOffsetEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXARRAYVERTEXBINDINGDIVISOREXTPROC epoxy_glVertexArrayVertexBindingDivisorEXT = epoxy_glVertexArrayVertexBindingDivisorEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXARRAYVERTEXOFFSETEXTPROC epoxy_glVertexArrayVertexOffsetEXT = epoxy_glVertexArrayVertexOffsetEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB1DPROC epoxy_glVertexAttrib1d = epoxy_glVertexAttrib1d_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB1DARBPROC epoxy_glVertexAttrib1dARB = epoxy_glVertexAttrib1dARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB1DNVPROC epoxy_glVertexAttrib1dNV = epoxy_glVertexAttrib1dNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB1DVPROC epoxy_glVertexAttrib1dv = epoxy_glVertexAttrib1dv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB1DVARBPROC epoxy_glVertexAttrib1dvARB = epoxy_glVertexAttrib1dvARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB1DVNVPROC epoxy_glVertexAttrib1dvNV = epoxy_glVertexAttrib1dvNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB1FPROC epoxy_glVertexAttrib1f = epoxy_glVertexAttrib1f_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB1FARBPROC epoxy_glVertexAttrib1fARB = epoxy_glVertexAttrib1fARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB1FNVPROC epoxy_glVertexAttrib1fNV = epoxy_glVertexAttrib1fNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB1FVPROC epoxy_glVertexAttrib1fv = epoxy_glVertexAttrib1fv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB1FVARBPROC epoxy_glVertexAttrib1fvARB = epoxy_glVertexAttrib1fvARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB1FVNVPROC epoxy_glVertexAttrib1fvNV = epoxy_glVertexAttrib1fvNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB1HNVPROC epoxy_glVertexAttrib1hNV = epoxy_glVertexAttrib1hNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB1HVNVPROC epoxy_glVertexAttrib1hvNV = epoxy_glVertexAttrib1hvNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB1SPROC epoxy_glVertexAttrib1s = epoxy_glVertexAttrib1s_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB1SARBPROC epoxy_glVertexAttrib1sARB = epoxy_glVertexAttrib1sARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB1SNVPROC epoxy_glVertexAttrib1sNV = epoxy_glVertexAttrib1sNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB1SVPROC epoxy_glVertexAttrib1sv = epoxy_glVertexAttrib1sv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB1SVARBPROC epoxy_glVertexAttrib1svARB = epoxy_glVertexAttrib1svARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB1SVNVPROC epoxy_glVertexAttrib1svNV = epoxy_glVertexAttrib1svNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB2DPROC epoxy_glVertexAttrib2d = epoxy_glVertexAttrib2d_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB2DARBPROC epoxy_glVertexAttrib2dARB = epoxy_glVertexAttrib2dARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB2DNVPROC epoxy_glVertexAttrib2dNV = epoxy_glVertexAttrib2dNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB2DVPROC epoxy_glVertexAttrib2dv = epoxy_glVertexAttrib2dv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB2DVARBPROC epoxy_glVertexAttrib2dvARB = epoxy_glVertexAttrib2dvARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB2DVNVPROC epoxy_glVertexAttrib2dvNV = epoxy_glVertexAttrib2dvNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB2FPROC epoxy_glVertexAttrib2f = epoxy_glVertexAttrib2f_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB2FARBPROC epoxy_glVertexAttrib2fARB = epoxy_glVertexAttrib2fARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB2FNVPROC epoxy_glVertexAttrib2fNV = epoxy_glVertexAttrib2fNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB2FVPROC epoxy_glVertexAttrib2fv = epoxy_glVertexAttrib2fv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB2FVARBPROC epoxy_glVertexAttrib2fvARB = epoxy_glVertexAttrib2fvARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB2FVNVPROC epoxy_glVertexAttrib2fvNV = epoxy_glVertexAttrib2fvNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB2HNVPROC epoxy_glVertexAttrib2hNV = epoxy_glVertexAttrib2hNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB2HVNVPROC epoxy_glVertexAttrib2hvNV = epoxy_glVertexAttrib2hvNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB2SPROC epoxy_glVertexAttrib2s = epoxy_glVertexAttrib2s_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB2SARBPROC epoxy_glVertexAttrib2sARB = epoxy_glVertexAttrib2sARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB2SNVPROC epoxy_glVertexAttrib2sNV = epoxy_glVertexAttrib2sNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB2SVPROC epoxy_glVertexAttrib2sv = epoxy_glVertexAttrib2sv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB2SVARBPROC epoxy_glVertexAttrib2svARB = epoxy_glVertexAttrib2svARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB2SVNVPROC epoxy_glVertexAttrib2svNV = epoxy_glVertexAttrib2svNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB3DPROC epoxy_glVertexAttrib3d = epoxy_glVertexAttrib3d_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB3DARBPROC epoxy_glVertexAttrib3dARB = epoxy_glVertexAttrib3dARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB3DNVPROC epoxy_glVertexAttrib3dNV = epoxy_glVertexAttrib3dNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB3DVPROC epoxy_glVertexAttrib3dv = epoxy_glVertexAttrib3dv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB3DVARBPROC epoxy_glVertexAttrib3dvARB = epoxy_glVertexAttrib3dvARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB3DVNVPROC epoxy_glVertexAttrib3dvNV = epoxy_glVertexAttrib3dvNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB3FPROC epoxy_glVertexAttrib3f = epoxy_glVertexAttrib3f_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB3FARBPROC epoxy_glVertexAttrib3fARB = epoxy_glVertexAttrib3fARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB3FNVPROC epoxy_glVertexAttrib3fNV = epoxy_glVertexAttrib3fNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB3FVPROC epoxy_glVertexAttrib3fv = epoxy_glVertexAttrib3fv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB3FVARBPROC epoxy_glVertexAttrib3fvARB = epoxy_glVertexAttrib3fvARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB3FVNVPROC epoxy_glVertexAttrib3fvNV = epoxy_glVertexAttrib3fvNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB3HNVPROC epoxy_glVertexAttrib3hNV = epoxy_glVertexAttrib3hNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB3HVNVPROC epoxy_glVertexAttrib3hvNV = epoxy_glVertexAttrib3hvNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB3SPROC epoxy_glVertexAttrib3s = epoxy_glVertexAttrib3s_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB3SARBPROC epoxy_glVertexAttrib3sARB = epoxy_glVertexAttrib3sARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB3SNVPROC epoxy_glVertexAttrib3sNV = epoxy_glVertexAttrib3sNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB3SVPROC epoxy_glVertexAttrib3sv = epoxy_glVertexAttrib3sv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB3SVARBPROC epoxy_glVertexAttrib3svARB = epoxy_glVertexAttrib3svARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB3SVNVPROC epoxy_glVertexAttrib3svNV = epoxy_glVertexAttrib3svNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4NBVPROC epoxy_glVertexAttrib4Nbv = epoxy_glVertexAttrib4Nbv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4NBVARBPROC epoxy_glVertexAttrib4NbvARB = epoxy_glVertexAttrib4NbvARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4NIVPROC epoxy_glVertexAttrib4Niv = epoxy_glVertexAttrib4Niv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4NIVARBPROC epoxy_glVertexAttrib4NivARB = epoxy_glVertexAttrib4NivARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4NSVPROC epoxy_glVertexAttrib4Nsv = epoxy_glVertexAttrib4Nsv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4NSVARBPROC epoxy_glVertexAttrib4NsvARB = epoxy_glVertexAttrib4NsvARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4NUBPROC epoxy_glVertexAttrib4Nub = epoxy_glVertexAttrib4Nub_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4NUBARBPROC epoxy_glVertexAttrib4NubARB = epoxy_glVertexAttrib4NubARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4NUBVPROC epoxy_glVertexAttrib4Nubv = epoxy_glVertexAttrib4Nubv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4NUBVARBPROC epoxy_glVertexAttrib4NubvARB = epoxy_glVertexAttrib4NubvARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4NUIVPROC epoxy_glVertexAttrib4Nuiv = epoxy_glVertexAttrib4Nuiv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4NUIVARBPROC epoxy_glVertexAttrib4NuivARB = epoxy_glVertexAttrib4NuivARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4NUSVPROC epoxy_glVertexAttrib4Nusv = epoxy_glVertexAttrib4Nusv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4NUSVARBPROC epoxy_glVertexAttrib4NusvARB = epoxy_glVertexAttrib4NusvARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4BVPROC epoxy_glVertexAttrib4bv = epoxy_glVertexAttrib4bv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4BVARBPROC epoxy_glVertexAttrib4bvARB = epoxy_glVertexAttrib4bvARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4DPROC epoxy_glVertexAttrib4d = epoxy_glVertexAttrib4d_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4DARBPROC epoxy_glVertexAttrib4dARB = epoxy_glVertexAttrib4dARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4DNVPROC epoxy_glVertexAttrib4dNV = epoxy_glVertexAttrib4dNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4DVPROC epoxy_glVertexAttrib4dv = epoxy_glVertexAttrib4dv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4DVARBPROC epoxy_glVertexAttrib4dvARB = epoxy_glVertexAttrib4dvARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4DVNVPROC epoxy_glVertexAttrib4dvNV = epoxy_glVertexAttrib4dvNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4FPROC epoxy_glVertexAttrib4f = epoxy_glVertexAttrib4f_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4FARBPROC epoxy_glVertexAttrib4fARB = epoxy_glVertexAttrib4fARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4FNVPROC epoxy_glVertexAttrib4fNV = epoxy_glVertexAttrib4fNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4FVPROC epoxy_glVertexAttrib4fv = epoxy_glVertexAttrib4fv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4FVARBPROC epoxy_glVertexAttrib4fvARB = epoxy_glVertexAttrib4fvARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4FVNVPROC epoxy_glVertexAttrib4fvNV = epoxy_glVertexAttrib4fvNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4HNVPROC epoxy_glVertexAttrib4hNV = epoxy_glVertexAttrib4hNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4HVNVPROC epoxy_glVertexAttrib4hvNV = epoxy_glVertexAttrib4hvNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4IVPROC epoxy_glVertexAttrib4iv = epoxy_glVertexAttrib4iv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4IVARBPROC epoxy_glVertexAttrib4ivARB = epoxy_glVertexAttrib4ivARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4SPROC epoxy_glVertexAttrib4s = epoxy_glVertexAttrib4s_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4SARBPROC epoxy_glVertexAttrib4sARB = epoxy_glVertexAttrib4sARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4SNVPROC epoxy_glVertexAttrib4sNV = epoxy_glVertexAttrib4sNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4SVPROC epoxy_glVertexAttrib4sv = epoxy_glVertexAttrib4sv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4SVARBPROC epoxy_glVertexAttrib4svARB = epoxy_glVertexAttrib4svARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4SVNVPROC epoxy_glVertexAttrib4svNV = epoxy_glVertexAttrib4svNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4UBNVPROC epoxy_glVertexAttrib4ubNV = epoxy_glVertexAttrib4ubNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4UBVPROC epoxy_glVertexAttrib4ubv = epoxy_glVertexAttrib4ubv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4UBVARBPROC epoxy_glVertexAttrib4ubvARB = epoxy_glVertexAttrib4ubvARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4UBVNVPROC epoxy_glVertexAttrib4ubvNV = epoxy_glVertexAttrib4ubvNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4UIVPROC epoxy_glVertexAttrib4uiv = epoxy_glVertexAttrib4uiv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4UIVARBPROC epoxy_glVertexAttrib4uivARB = epoxy_glVertexAttrib4uivARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4USVPROC epoxy_glVertexAttrib4usv = epoxy_glVertexAttrib4usv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIB4USVARBPROC epoxy_glVertexAttrib4usvARB = epoxy_glVertexAttrib4usvARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBARRAYOBJECTATIPROC epoxy_glVertexAttribArrayObjectATI = epoxy_glVertexAttribArrayObjectATI_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBBINDINGPROC epoxy_glVertexAttribBinding = epoxy_glVertexAttribBinding_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBDIVISORPROC epoxy_glVertexAttribDivisor = epoxy_glVertexAttribDivisor_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBDIVISORANGLEPROC epoxy_glVertexAttribDivisorANGLE = epoxy_glVertexAttribDivisorANGLE_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBDIVISORARBPROC epoxy_glVertexAttribDivisorARB = epoxy_glVertexAttribDivisorARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBDIVISOREXTPROC epoxy_glVertexAttribDivisorEXT = epoxy_glVertexAttribDivisorEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBDIVISORNVPROC epoxy_glVertexAttribDivisorNV = epoxy_glVertexAttribDivisorNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBFORMATPROC epoxy_glVertexAttribFormat = epoxy_glVertexAttribFormat_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBFORMATNVPROC epoxy_glVertexAttribFormatNV = epoxy_glVertexAttribFormatNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI1IPROC epoxy_glVertexAttribI1i = epoxy_glVertexAttribI1i_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI1IEXTPROC epoxy_glVertexAttribI1iEXT = epoxy_glVertexAttribI1iEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI1IVPROC epoxy_glVertexAttribI1iv = epoxy_glVertexAttribI1iv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI1IVEXTPROC epoxy_glVertexAttribI1ivEXT = epoxy_glVertexAttribI1ivEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI1UIPROC epoxy_glVertexAttribI1ui = epoxy_glVertexAttribI1ui_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI1UIEXTPROC epoxy_glVertexAttribI1uiEXT = epoxy_glVertexAttribI1uiEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI1UIVPROC epoxy_glVertexAttribI1uiv = epoxy_glVertexAttribI1uiv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI1UIVEXTPROC epoxy_glVertexAttribI1uivEXT = epoxy_glVertexAttribI1uivEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI2IPROC epoxy_glVertexAttribI2i = epoxy_glVertexAttribI2i_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI2IEXTPROC epoxy_glVertexAttribI2iEXT = epoxy_glVertexAttribI2iEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI2IVPROC epoxy_glVertexAttribI2iv = epoxy_glVertexAttribI2iv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI2IVEXTPROC epoxy_glVertexAttribI2ivEXT = epoxy_glVertexAttribI2ivEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI2UIPROC epoxy_glVertexAttribI2ui = epoxy_glVertexAttribI2ui_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI2UIEXTPROC epoxy_glVertexAttribI2uiEXT = epoxy_glVertexAttribI2uiEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI2UIVPROC epoxy_glVertexAttribI2uiv = epoxy_glVertexAttribI2uiv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI2UIVEXTPROC epoxy_glVertexAttribI2uivEXT = epoxy_glVertexAttribI2uivEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI3IPROC epoxy_glVertexAttribI3i = epoxy_glVertexAttribI3i_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI3IEXTPROC epoxy_glVertexAttribI3iEXT = epoxy_glVertexAttribI3iEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI3IVPROC epoxy_glVertexAttribI3iv = epoxy_glVertexAttribI3iv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI3IVEXTPROC epoxy_glVertexAttribI3ivEXT = epoxy_glVertexAttribI3ivEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI3UIPROC epoxy_glVertexAttribI3ui = epoxy_glVertexAttribI3ui_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI3UIEXTPROC epoxy_glVertexAttribI3uiEXT = epoxy_glVertexAttribI3uiEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI3UIVPROC epoxy_glVertexAttribI3uiv = epoxy_glVertexAttribI3uiv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI3UIVEXTPROC epoxy_glVertexAttribI3uivEXT = epoxy_glVertexAttribI3uivEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI4BVPROC epoxy_glVertexAttribI4bv = epoxy_glVertexAttribI4bv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI4BVEXTPROC epoxy_glVertexAttribI4bvEXT = epoxy_glVertexAttribI4bvEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI4IPROC epoxy_glVertexAttribI4i = epoxy_glVertexAttribI4i_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI4IEXTPROC epoxy_glVertexAttribI4iEXT = epoxy_glVertexAttribI4iEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI4IVPROC epoxy_glVertexAttribI4iv = epoxy_glVertexAttribI4iv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI4IVEXTPROC epoxy_glVertexAttribI4ivEXT = epoxy_glVertexAttribI4ivEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI4SVPROC epoxy_glVertexAttribI4sv = epoxy_glVertexAttribI4sv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI4SVEXTPROC epoxy_glVertexAttribI4svEXT = epoxy_glVertexAttribI4svEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI4UBVPROC epoxy_glVertexAttribI4ubv = epoxy_glVertexAttribI4ubv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI4UBVEXTPROC epoxy_glVertexAttribI4ubvEXT = epoxy_glVertexAttribI4ubvEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI4UIPROC epoxy_glVertexAttribI4ui = epoxy_glVertexAttribI4ui_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI4UIEXTPROC epoxy_glVertexAttribI4uiEXT = epoxy_glVertexAttribI4uiEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI4UIVPROC epoxy_glVertexAttribI4uiv = epoxy_glVertexAttribI4uiv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI4UIVEXTPROC epoxy_glVertexAttribI4uivEXT = epoxy_glVertexAttribI4uivEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI4USVPROC epoxy_glVertexAttribI4usv = epoxy_glVertexAttribI4usv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBI4USVEXTPROC epoxy_glVertexAttribI4usvEXT = epoxy_glVertexAttribI4usvEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBIFORMATPROC epoxy_glVertexAttribIFormat = epoxy_glVertexAttribIFormat_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBIFORMATNVPROC epoxy_glVertexAttribIFormatNV = epoxy_glVertexAttribIFormatNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBIPOINTERPROC epoxy_glVertexAttribIPointer = epoxy_glVertexAttribIPointer_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBIPOINTEREXTPROC epoxy_glVertexAttribIPointerEXT = epoxy_glVertexAttribIPointerEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBL1DPROC epoxy_glVertexAttribL1d = epoxy_glVertexAttribL1d_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBL1DEXTPROC epoxy_glVertexAttribL1dEXT = epoxy_glVertexAttribL1dEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBL1DVPROC epoxy_glVertexAttribL1dv = epoxy_glVertexAttribL1dv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBL1DVEXTPROC epoxy_glVertexAttribL1dvEXT = epoxy_glVertexAttribL1dvEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBL1I64NVPROC epoxy_glVertexAttribL1i64NV = epoxy_glVertexAttribL1i64NV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBL1I64VNVPROC epoxy_glVertexAttribL1i64vNV = epoxy_glVertexAttribL1i64vNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBL1UI64ARBPROC epoxy_glVertexAttribL1ui64ARB = epoxy_glVertexAttribL1ui64ARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBL1UI64NVPROC epoxy_glVertexAttribL1ui64NV = epoxy_glVertexAttribL1ui64NV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBL1UI64VARBPROC epoxy_glVertexAttribL1ui64vARB = epoxy_glVertexAttribL1ui64vARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBL1UI64VNVPROC epoxy_glVertexAttribL1ui64vNV = epoxy_glVertexAttribL1ui64vNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBL2DPROC epoxy_glVertexAttribL2d = epoxy_glVertexAttribL2d_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBL2DEXTPROC epoxy_glVertexAttribL2dEXT = epoxy_glVertexAttribL2dEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBL2DVPROC epoxy_glVertexAttribL2dv = epoxy_glVertexAttribL2dv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBL2DVEXTPROC epoxy_glVertexAttribL2dvEXT = epoxy_glVertexAttribL2dvEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBL2I64NVPROC epoxy_glVertexAttribL2i64NV = epoxy_glVertexAttribL2i64NV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBL2I64VNVPROC epoxy_glVertexAttribL2i64vNV = epoxy_glVertexAttribL2i64vNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBL2UI64NVPROC epoxy_glVertexAttribL2ui64NV = epoxy_glVertexAttribL2ui64NV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBL2UI64VNVPROC epoxy_glVertexAttribL2ui64vNV = epoxy_glVertexAttribL2ui64vNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBL3DPROC epoxy_glVertexAttribL3d = epoxy_glVertexAttribL3d_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBL3DEXTPROC epoxy_glVertexAttribL3dEXT = epoxy_glVertexAttribL3dEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBL3DVPROC epoxy_glVertexAttribL3dv = epoxy_glVertexAttribL3dv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBL3DVEXTPROC epoxy_glVertexAttribL3dvEXT = epoxy_glVertexAttribL3dvEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBL3I64NVPROC epoxy_glVertexAttribL3i64NV = epoxy_glVertexAttribL3i64NV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBL3I64VNVPROC epoxy_glVertexAttribL3i64vNV = epoxy_glVertexAttribL3i64vNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBL3UI64NVPROC epoxy_glVertexAttribL3ui64NV = epoxy_glVertexAttribL3ui64NV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBL3UI64VNVPROC epoxy_glVertexAttribL3ui64vNV = epoxy_glVertexAttribL3ui64vNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBL4DPROC epoxy_glVertexAttribL4d = epoxy_glVertexAttribL4d_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBL4DEXTPROC epoxy_glVertexAttribL4dEXT = epoxy_glVertexAttribL4dEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBL4DVPROC epoxy_glVertexAttribL4dv = epoxy_glVertexAttribL4dv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBL4DVEXTPROC epoxy_glVertexAttribL4dvEXT = epoxy_glVertexAttribL4dvEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBL4I64NVPROC epoxy_glVertexAttribL4i64NV = epoxy_glVertexAttribL4i64NV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBL4I64VNVPROC epoxy_glVertexAttribL4i64vNV = epoxy_glVertexAttribL4i64vNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBL4UI64NVPROC epoxy_glVertexAttribL4ui64NV = epoxy_glVertexAttribL4ui64NV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBL4UI64VNVPROC epoxy_glVertexAttribL4ui64vNV = epoxy_glVertexAttribL4ui64vNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBLFORMATPROC epoxy_glVertexAttribLFormat = epoxy_glVertexAttribLFormat_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBLFORMATNVPROC epoxy_glVertexAttribLFormatNV = epoxy_glVertexAttribLFormatNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBLPOINTERPROC epoxy_glVertexAttribLPointer = epoxy_glVertexAttribLPointer_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBLPOINTEREXTPROC epoxy_glVertexAttribLPointerEXT = epoxy_glVertexAttribLPointerEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBP1UIPROC epoxy_glVertexAttribP1ui = epoxy_glVertexAttribP1ui_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBP1UIVPROC epoxy_glVertexAttribP1uiv = epoxy_glVertexAttribP1uiv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBP2UIPROC epoxy_glVertexAttribP2ui = epoxy_glVertexAttribP2ui_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBP2UIVPROC epoxy_glVertexAttribP2uiv = epoxy_glVertexAttribP2uiv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBP3UIPROC epoxy_glVertexAttribP3ui = epoxy_glVertexAttribP3ui_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBP3UIVPROC epoxy_glVertexAttribP3uiv = epoxy_glVertexAttribP3uiv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBP4UIPROC epoxy_glVertexAttribP4ui = epoxy_glVertexAttribP4ui_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBP4UIVPROC epoxy_glVertexAttribP4uiv = epoxy_glVertexAttribP4uiv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBPARAMETERIAMDPROC epoxy_glVertexAttribParameteriAMD = epoxy_glVertexAttribParameteriAMD_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBPOINTERPROC epoxy_glVertexAttribPointer = epoxy_glVertexAttribPointer_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBPOINTERARBPROC epoxy_glVertexAttribPointerARB = epoxy_glVertexAttribPointerARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBPOINTERNVPROC epoxy_glVertexAttribPointerNV = epoxy_glVertexAttribPointerNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBS1DVNVPROC epoxy_glVertexAttribs1dvNV = epoxy_glVertexAttribs1dvNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBS1FVNVPROC epoxy_glVertexAttribs1fvNV = epoxy_glVertexAttribs1fvNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBS1HVNVPROC epoxy_glVertexAttribs1hvNV = epoxy_glVertexAttribs1hvNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBS1SVNVPROC epoxy_glVertexAttribs1svNV = epoxy_glVertexAttribs1svNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBS2DVNVPROC epoxy_glVertexAttribs2dvNV = epoxy_glVertexAttribs2dvNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBS2FVNVPROC epoxy_glVertexAttribs2fvNV = epoxy_glVertexAttribs2fvNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBS2HVNVPROC epoxy_glVertexAttribs2hvNV = epoxy_glVertexAttribs2hvNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBS2SVNVPROC epoxy_glVertexAttribs2svNV = epoxy_glVertexAttribs2svNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBS3DVNVPROC epoxy_glVertexAttribs3dvNV = epoxy_glVertexAttribs3dvNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBS3FVNVPROC epoxy_glVertexAttribs3fvNV = epoxy_glVertexAttribs3fvNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBS3HVNVPROC epoxy_glVertexAttribs3hvNV = epoxy_glVertexAttribs3hvNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBS3SVNVPROC epoxy_glVertexAttribs3svNV = epoxy_glVertexAttribs3svNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBS4DVNVPROC epoxy_glVertexAttribs4dvNV = epoxy_glVertexAttribs4dvNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBS4FVNVPROC epoxy_glVertexAttribs4fvNV = epoxy_glVertexAttribs4fvNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBS4HVNVPROC epoxy_glVertexAttribs4hvNV = epoxy_glVertexAttribs4hvNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBS4SVNVPROC epoxy_glVertexAttribs4svNV = epoxy_glVertexAttribs4svNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXATTRIBS4UBVNVPROC epoxy_glVertexAttribs4ubvNV = epoxy_glVertexAttribs4ubvNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXBINDINGDIVISORPROC epoxy_glVertexBindingDivisor = epoxy_glVertexBindingDivisor_global_rewrite_ptr;

PUBLIC PFNGLVERTEXBLENDARBPROC epoxy_glVertexBlendARB = epoxy_glVertexBlendARB_global_rewrite_ptr;

PUBLIC PFNGLVERTEXBLENDENVFATIPROC epoxy_glVertexBlendEnvfATI = epoxy_glVertexBlendEnvfATI_global_rewrite_ptr;

PUBLIC PFNGLVERTEXBLENDENVIATIPROC epoxy_glVertexBlendEnviATI = epoxy_glVertexBlendEnviATI_global_rewrite_ptr;

PUBLIC PFNGLVERTEXFORMATNVPROC epoxy_glVertexFormatNV = epoxy_glVertexFormatNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXP2UIPROC epoxy_glVertexP2ui = epoxy_glVertexP2ui_global_rewrite_ptr;

PUBLIC PFNGLVERTEXP2UIVPROC epoxy_glVertexP2uiv = epoxy_glVertexP2uiv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXP3UIPROC epoxy_glVertexP3ui = epoxy_glVertexP3ui_global_rewrite_ptr;

PUBLIC PFNGLVERTEXP3UIVPROC epoxy_glVertexP3uiv = epoxy_glVertexP3uiv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXP4UIPROC epoxy_glVertexP4ui = epoxy_glVertexP4ui_global_rewrite_ptr;

PUBLIC PFNGLVERTEXP4UIVPROC epoxy_glVertexP4uiv = epoxy_glVertexP4uiv_global_rewrite_ptr;

PUBLIC PFNGLVERTEXPOINTERPROC epoxy_glVertexPointer = epoxy_glVertexPointer_global_rewrite_ptr;

PUBLIC PFNGLVERTEXPOINTEREXTPROC epoxy_glVertexPointerEXT = epoxy_glVertexPointerEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXPOINTERLISTIBMPROC epoxy_glVertexPointerListIBM = epoxy_glVertexPointerListIBM_global_rewrite_ptr;

PUBLIC PFNGLVERTEXPOINTERVINTELPROC epoxy_glVertexPointervINTEL = epoxy_glVertexPointervINTEL_global_rewrite_ptr;

PUBLIC PFNGLVERTEXSTREAM1DATIPROC epoxy_glVertexStream1dATI = epoxy_glVertexStream1dATI_global_rewrite_ptr;

PUBLIC PFNGLVERTEXSTREAM1DVATIPROC epoxy_glVertexStream1dvATI = epoxy_glVertexStream1dvATI_global_rewrite_ptr;

PUBLIC PFNGLVERTEXSTREAM1FATIPROC epoxy_glVertexStream1fATI = epoxy_glVertexStream1fATI_global_rewrite_ptr;

PUBLIC PFNGLVERTEXSTREAM1FVATIPROC epoxy_glVertexStream1fvATI = epoxy_glVertexStream1fvATI_global_rewrite_ptr;

PUBLIC PFNGLVERTEXSTREAM1IATIPROC epoxy_glVertexStream1iATI = epoxy_glVertexStream1iATI_global_rewrite_ptr;

PUBLIC PFNGLVERTEXSTREAM1IVATIPROC epoxy_glVertexStream1ivATI = epoxy_glVertexStream1ivATI_global_rewrite_ptr;

PUBLIC PFNGLVERTEXSTREAM1SATIPROC epoxy_glVertexStream1sATI = epoxy_glVertexStream1sATI_global_rewrite_ptr;

PUBLIC PFNGLVERTEXSTREAM1SVATIPROC epoxy_glVertexStream1svATI = epoxy_glVertexStream1svATI_global_rewrite_ptr;

PUBLIC PFNGLVERTEXSTREAM2DATIPROC epoxy_glVertexStream2dATI = epoxy_glVertexStream2dATI_global_rewrite_ptr;

PUBLIC PFNGLVERTEXSTREAM2DVATIPROC epoxy_glVertexStream2dvATI = epoxy_glVertexStream2dvATI_global_rewrite_ptr;

PUBLIC PFNGLVERTEXSTREAM2FATIPROC epoxy_glVertexStream2fATI = epoxy_glVertexStream2fATI_global_rewrite_ptr;

PUBLIC PFNGLVERTEXSTREAM2FVATIPROC epoxy_glVertexStream2fvATI = epoxy_glVertexStream2fvATI_global_rewrite_ptr;

PUBLIC PFNGLVERTEXSTREAM2IATIPROC epoxy_glVertexStream2iATI = epoxy_glVertexStream2iATI_global_rewrite_ptr;

PUBLIC PFNGLVERTEXSTREAM2IVATIPROC epoxy_glVertexStream2ivATI = epoxy_glVertexStream2ivATI_global_rewrite_ptr;

PUBLIC PFNGLVERTEXSTREAM2SATIPROC epoxy_glVertexStream2sATI = epoxy_glVertexStream2sATI_global_rewrite_ptr;

PUBLIC PFNGLVERTEXSTREAM2SVATIPROC epoxy_glVertexStream2svATI = epoxy_glVertexStream2svATI_global_rewrite_ptr;

PUBLIC PFNGLVERTEXSTREAM3DATIPROC epoxy_glVertexStream3dATI = epoxy_glVertexStream3dATI_global_rewrite_ptr;

PUBLIC PFNGLVERTEXSTREAM3DVATIPROC epoxy_glVertexStream3dvATI = epoxy_glVertexStream3dvATI_global_rewrite_ptr;

PUBLIC PFNGLVERTEXSTREAM3FATIPROC epoxy_glVertexStream3fATI = epoxy_glVertexStream3fATI_global_rewrite_ptr;

PUBLIC PFNGLVERTEXSTREAM3FVATIPROC epoxy_glVertexStream3fvATI = epoxy_glVertexStream3fvATI_global_rewrite_ptr;

PUBLIC PFNGLVERTEXSTREAM3IATIPROC epoxy_glVertexStream3iATI = epoxy_glVertexStream3iATI_global_rewrite_ptr;

PUBLIC PFNGLVERTEXSTREAM3IVATIPROC epoxy_glVertexStream3ivATI = epoxy_glVertexStream3ivATI_global_rewrite_ptr;

PUBLIC PFNGLVERTEXSTREAM3SATIPROC epoxy_glVertexStream3sATI = epoxy_glVertexStream3sATI_global_rewrite_ptr;

PUBLIC PFNGLVERTEXSTREAM3SVATIPROC epoxy_glVertexStream3svATI = epoxy_glVertexStream3svATI_global_rewrite_ptr;

PUBLIC PFNGLVERTEXSTREAM4DATIPROC epoxy_glVertexStream4dATI = epoxy_glVertexStream4dATI_global_rewrite_ptr;

PUBLIC PFNGLVERTEXSTREAM4DVATIPROC epoxy_glVertexStream4dvATI = epoxy_glVertexStream4dvATI_global_rewrite_ptr;

PUBLIC PFNGLVERTEXSTREAM4FATIPROC epoxy_glVertexStream4fATI = epoxy_glVertexStream4fATI_global_rewrite_ptr;

PUBLIC PFNGLVERTEXSTREAM4FVATIPROC epoxy_glVertexStream4fvATI = epoxy_glVertexStream4fvATI_global_rewrite_ptr;

PUBLIC PFNGLVERTEXSTREAM4IATIPROC epoxy_glVertexStream4iATI = epoxy_glVertexStream4iATI_global_rewrite_ptr;

PUBLIC PFNGLVERTEXSTREAM4IVATIPROC epoxy_glVertexStream4ivATI = epoxy_glVertexStream4ivATI_global_rewrite_ptr;

PUBLIC PFNGLVERTEXSTREAM4SATIPROC epoxy_glVertexStream4sATI = epoxy_glVertexStream4sATI_global_rewrite_ptr;

PUBLIC PFNGLVERTEXSTREAM4SVATIPROC epoxy_glVertexStream4svATI = epoxy_glVertexStream4svATI_global_rewrite_ptr;

PUBLIC PFNGLVERTEXWEIGHTPOINTEREXTPROC epoxy_glVertexWeightPointerEXT = epoxy_glVertexWeightPointerEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXWEIGHTFEXTPROC epoxy_glVertexWeightfEXT = epoxy_glVertexWeightfEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXWEIGHTFVEXTPROC epoxy_glVertexWeightfvEXT = epoxy_glVertexWeightfvEXT_global_rewrite_ptr;

PUBLIC PFNGLVERTEXWEIGHTHNVPROC epoxy_glVertexWeighthNV = epoxy_glVertexWeighthNV_global_rewrite_ptr;

PUBLIC PFNGLVERTEXWEIGHTHVNVPROC epoxy_glVertexWeighthvNV = epoxy_glVertexWeighthvNV_global_rewrite_ptr;

PUBLIC PFNGLVIDEOCAPTURENVPROC epoxy_glVideoCaptureNV = epoxy_glVideoCaptureNV_global_rewrite_ptr;

PUBLIC PFNGLVIDEOCAPTURESTREAMPARAMETERDVNVPROC epoxy_glVideoCaptureStreamParameterdvNV = epoxy_glVideoCaptureStreamParameterdvNV_global_rewrite_ptr;

PUBLIC PFNGLVIDEOCAPTURESTREAMPARAMETERFVNVPROC epoxy_glVideoCaptureStreamParameterfvNV = epoxy_glVideoCaptureStreamParameterfvNV_global_rewrite_ptr;

PUBLIC PFNGLVIDEOCAPTURESTREAMPARAMETERIVNVPROC epoxy_glVideoCaptureStreamParameterivNV = epoxy_glVideoCaptureStreamParameterivNV_global_rewrite_ptr;

PUBLIC PFNGLVIEWPORTPROC epoxy_glViewport = epoxy_glViewport_global_rewrite_ptr;

PUBLIC PFNGLVIEWPORTARRAYVPROC epoxy_glViewportArrayv = epoxy_glViewportArrayv_global_rewrite_ptr;

PUBLIC PFNGLVIEWPORTINDEXEDFPROC epoxy_glViewportIndexedf = epoxy_glViewportIndexedf_global_rewrite_ptr;

PUBLIC PFNGLVIEWPORTINDEXEDFVPROC epoxy_glViewportIndexedfv = epoxy_glViewportIndexedfv_global_rewrite_ptr;

PUBLIC PFNGLWAITSYNCPROC epoxy_glWaitSync = epoxy_glWaitSync_global_rewrite_ptr;

PUBLIC PFNGLWAITSYNCAPPLEPROC epoxy_glWaitSyncAPPLE = epoxy_glWaitSyncAPPLE_global_rewrite_ptr;

PUBLIC PFNGLWEIGHTPATHSNVPROC epoxy_glWeightPathsNV = epoxy_glWeightPathsNV_global_rewrite_ptr;

PUBLIC PFNGLWEIGHTPOINTERARBPROC epoxy_glWeightPointerARB = epoxy_glWeightPointerARB_global_rewrite_ptr;

PUBLIC PFNGLWEIGHTPOINTEROESPROC epoxy_glWeightPointerOES = epoxy_glWeightPointerOES_global_rewrite_ptr;

PUBLIC PFNGLWEIGHTBVARBPROC epoxy_glWeightbvARB = epoxy_glWeightbvARB_global_rewrite_ptr;

PUBLIC PFNGLWEIGHTDVARBPROC epoxy_glWeightdvARB = epoxy_glWeightdvARB_global_rewrite_ptr;

PUBLIC PFNGLWEIGHTFVARBPROC epoxy_glWeightfvARB = epoxy_glWeightfvARB_global_rewrite_ptr;

PUBLIC PFNGLWEIGHTIVARBPROC epoxy_glWeightivARB = epoxy_glWeightivARB_global_rewrite_ptr;

PUBLIC PFNGLWEIGHTSVARBPROC epoxy_glWeightsvARB = epoxy_glWeightsvARB_global_rewrite_ptr;

PUBLIC PFNGLWEIGHTUBVARBPROC epoxy_glWeightubvARB = epoxy_glWeightubvARB_global_rewrite_ptr;

PUBLIC PFNGLWEIGHTUIVARBPROC epoxy_glWeightuivARB = epoxy_glWeightuivARB_global_rewrite_ptr;

PUBLIC PFNGLWEIGHTUSVARBPROC epoxy_glWeightusvARB = epoxy_glWeightusvARB_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS2DPROC epoxy_glWindowPos2d = epoxy_glWindowPos2d_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS2DARBPROC epoxy_glWindowPos2dARB = epoxy_glWindowPos2dARB_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS2DMESAPROC epoxy_glWindowPos2dMESA = epoxy_glWindowPos2dMESA_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS2DVPROC epoxy_glWindowPos2dv = epoxy_glWindowPos2dv_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS2DVARBPROC epoxy_glWindowPos2dvARB = epoxy_glWindowPos2dvARB_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS2DVMESAPROC epoxy_glWindowPos2dvMESA = epoxy_glWindowPos2dvMESA_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS2FPROC epoxy_glWindowPos2f = epoxy_glWindowPos2f_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS2FARBPROC epoxy_glWindowPos2fARB = epoxy_glWindowPos2fARB_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS2FMESAPROC epoxy_glWindowPos2fMESA = epoxy_glWindowPos2fMESA_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS2FVPROC epoxy_glWindowPos2fv = epoxy_glWindowPos2fv_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS2FVARBPROC epoxy_glWindowPos2fvARB = epoxy_glWindowPos2fvARB_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS2FVMESAPROC epoxy_glWindowPos2fvMESA = epoxy_glWindowPos2fvMESA_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS2IPROC epoxy_glWindowPos2i = epoxy_glWindowPos2i_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS2IARBPROC epoxy_glWindowPos2iARB = epoxy_glWindowPos2iARB_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS2IMESAPROC epoxy_glWindowPos2iMESA = epoxy_glWindowPos2iMESA_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS2IVPROC epoxy_glWindowPos2iv = epoxy_glWindowPos2iv_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS2IVARBPROC epoxy_glWindowPos2ivARB = epoxy_glWindowPos2ivARB_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS2IVMESAPROC epoxy_glWindowPos2ivMESA = epoxy_glWindowPos2ivMESA_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS2SPROC epoxy_glWindowPos2s = epoxy_glWindowPos2s_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS2SARBPROC epoxy_glWindowPos2sARB = epoxy_glWindowPos2sARB_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS2SMESAPROC epoxy_glWindowPos2sMESA = epoxy_glWindowPos2sMESA_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS2SVPROC epoxy_glWindowPos2sv = epoxy_glWindowPos2sv_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS2SVARBPROC epoxy_glWindowPos2svARB = epoxy_glWindowPos2svARB_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS2SVMESAPROC epoxy_glWindowPos2svMESA = epoxy_glWindowPos2svMESA_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS3DPROC epoxy_glWindowPos3d = epoxy_glWindowPos3d_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS3DARBPROC epoxy_glWindowPos3dARB = epoxy_glWindowPos3dARB_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS3DMESAPROC epoxy_glWindowPos3dMESA = epoxy_glWindowPos3dMESA_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS3DVPROC epoxy_glWindowPos3dv = epoxy_glWindowPos3dv_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS3DVARBPROC epoxy_glWindowPos3dvARB = epoxy_glWindowPos3dvARB_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS3DVMESAPROC epoxy_glWindowPos3dvMESA = epoxy_glWindowPos3dvMESA_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS3FPROC epoxy_glWindowPos3f = epoxy_glWindowPos3f_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS3FARBPROC epoxy_glWindowPos3fARB = epoxy_glWindowPos3fARB_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS3FMESAPROC epoxy_glWindowPos3fMESA = epoxy_glWindowPos3fMESA_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS3FVPROC epoxy_glWindowPos3fv = epoxy_glWindowPos3fv_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS3FVARBPROC epoxy_glWindowPos3fvARB = epoxy_glWindowPos3fvARB_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS3FVMESAPROC epoxy_glWindowPos3fvMESA = epoxy_glWindowPos3fvMESA_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS3IPROC epoxy_glWindowPos3i = epoxy_glWindowPos3i_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS3IARBPROC epoxy_glWindowPos3iARB = epoxy_glWindowPos3iARB_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS3IMESAPROC epoxy_glWindowPos3iMESA = epoxy_glWindowPos3iMESA_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS3IVPROC epoxy_glWindowPos3iv = epoxy_glWindowPos3iv_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS3IVARBPROC epoxy_glWindowPos3ivARB = epoxy_glWindowPos3ivARB_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS3IVMESAPROC epoxy_glWindowPos3ivMESA = epoxy_glWindowPos3ivMESA_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS3SPROC epoxy_glWindowPos3s = epoxy_glWindowPos3s_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS3SARBPROC epoxy_glWindowPos3sARB = epoxy_glWindowPos3sARB_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS3SMESAPROC epoxy_glWindowPos3sMESA = epoxy_glWindowPos3sMESA_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS3SVPROC epoxy_glWindowPos3sv = epoxy_glWindowPos3sv_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS3SVARBPROC epoxy_glWindowPos3svARB = epoxy_glWindowPos3svARB_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS3SVMESAPROC epoxy_glWindowPos3svMESA = epoxy_glWindowPos3svMESA_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS4DMESAPROC epoxy_glWindowPos4dMESA = epoxy_glWindowPos4dMESA_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS4DVMESAPROC epoxy_glWindowPos4dvMESA = epoxy_glWindowPos4dvMESA_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS4FMESAPROC epoxy_glWindowPos4fMESA = epoxy_glWindowPos4fMESA_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS4FVMESAPROC epoxy_glWindowPos4fvMESA = epoxy_glWindowPos4fvMESA_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS4IMESAPROC epoxy_glWindowPos4iMESA = epoxy_glWindowPos4iMESA_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS4IVMESAPROC epoxy_glWindowPos4ivMESA = epoxy_glWindowPos4ivMESA_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS4SMESAPROC epoxy_glWindowPos4sMESA = epoxy_glWindowPos4sMESA_global_rewrite_ptr;

PUBLIC PFNGLWINDOWPOS4SVMESAPROC epoxy_glWindowPos4svMESA = epoxy_glWindowPos4svMESA_global_rewrite_ptr;

PUBLIC PFNGLWRITEMASKEXTPROC epoxy_glWriteMaskEXT = epoxy_glWriteMaskEXT_global_rewrite_ptr;

